package com.ibm.icu.text;

import androidx.core.view.InputDeviceCompat;
import com.ibm.icu.impl.b2;
import com.ibm.icu.impl.h2;
import com.ibm.icu.impl.i1;
import com.ibm.icu.impl.j2;
import com.ibm.icu.impl.n1;
import com.ibm.icu.impl.p1;
import com.ibm.icu.impl.p2;
import com.ibm.icu.impl.q2;
import com.ibm.icu.impl.y0;
import com.ibm.icu.impl.z0;
import com.ibm.icu.lang.UScript;
import com.ibm.icu.util.ICUUncheckedIOException;
import com.ibm.icu.util.ULocale;
import com.ibm.icu.util.l0;
import com.ibm.icu.util.n;
import com.ibm.icu.util.x;
import java.io.IOException;
import java.text.ParsePosition;
import java.util.ArrayList;
import java.util.Arrays;
import java.util.Collection;
import java.util.Collections;
import java.util.Iterator;
import java.util.NoSuchElementException;
import java.util.SortedSet;
import java.util.TreeSet;
import kotlin.text.Typography;

public class UnicodeSet extends a3 implements Iterable<String>, Comparable<UnicodeSet>, n<UnicodeSet> {
    public static final UnicodeSet I0 = new UnicodeSet(0, 1114111).freeze();
    private static l J0 = null;
    private static final int K0 = 0;
    private static final int L0 = 1114112;
    private static final int M0 = 25;
    private static final int N0 = 1114113;
    public static final int O0 = 0;
    public static final int P0 = 1114111;
    private static final String Q0 = "ANY";
    private static final String R0 = "ASCII";
    private static final String S0 = "Assigned";
    private static final int T0 = 0;
    private static final int U0 = 1;
    private static final int V0 = 2;
    private static final int W0 = 0;
    private static final int X0 = 1;
    private static final int Y0 = 2;
    private static final int Z0 = 0;

    /* renamed from: a  reason: collision with root package name */
    private static final SortedSet<String> f15445a = Collections.unmodifiableSortedSet(new TreeSet());
    private static final int a1 = 1;

    /* renamed from: b  reason: collision with root package name */
    public static final UnicodeSet f15446b = new UnicodeSet().freeze();
    private static final int b1 = 2;
    private static final int c1 = 3;
    private static final int d1 = 100;
    private static final l0 e1 = l0.i(0, 0, 0, 0);
    public static final int f1 = 1;
    public static final int g1 = 2;
    public static final int h1 = 2;
    public static final int i1 = 4;
    static final /* synthetic */ boolean j1 = false;
    private int k1;
    private int[] l1;
    private int[] m1;
    private int[] n1;
    SortedSet<String> o1;
    private String p1;
    private volatile com.ibm.icu.impl.b q1;
    private volatile p2 r1;

    public enum ComparisonStyle {
        SHORTER_FIRST,
        LEXICOGRAPHIC,
        LONGER_FIRST
    }

    public enum SpanCondition {
        NOT_CONTAINED,
        CONTAINED,
        SIMPLE,
        CONDITION_COUNT
    }

    public static class b {

        /* renamed from: a  reason: collision with root package name */
        public int f15449a;

        /* renamed from: b  reason: collision with root package name */
        public int f15450b;

        b() {
        }

        public String toString() {
            StringBuilder sb;
            StringBuilder sb2 = new StringBuilder();
            int i = this.f15449a;
            if (i == this.f15450b) {
                sb = (StringBuilder) UnicodeSet.t(sb2, i, false);
            } else {
                StringBuilder sb3 = (StringBuilder) UnicodeSet.t(sb2, i, false);
                sb3.append('-');
                sb = (StringBuilder) UnicodeSet.t(sb3, this.f15450b, false);
            }
            return sb.toString();
        }
    }

    private class c implements Iterable<b> {
        private c() {
        }

        @Override // java.lang.Iterable
        public Iterator<b> iterator() {
            return new d();
        }
    }

    private class d implements Iterator<b> {

        /* renamed from: a  reason: collision with root package name */
        int f15452a;

        /* renamed from: b  reason: collision with root package name */
        b f15453b;

        private d() {
            this.f15453b = new b();
        }

        /* renamed from: a */
        public b next() {
            if (this.f15452a < UnicodeSet.this.k1 - 1) {
                b bVar = this.f15453b;
                int[] iArr = UnicodeSet.this.l1;
                int i = this.f15452a;
                this.f15452a = i + 1;
                bVar.f15449a = iArr[i];
                b bVar2 = this.f15453b;
                int[] iArr2 = UnicodeSet.this.l1;
                int i2 = this.f15452a;
                this.f15452a = i2 + 1;
                bVar2.f15450b = iArr2[i2] - 1;
                return this.f15453b;
            }
            throw new NoSuchElementException();
        }

        public boolean hasNext() {
            return this.f15452a < UnicodeSet.this.k1 - 1;
        }

        public void remove() {
            throw new UnsupportedOperationException();
        }
    }

    /* access modifiers changed from: private */
    public interface e {
        boolean a(int i);
    }

    /* access modifiers changed from: private */
    public static final class f implements e {

        /* renamed from: a  reason: collision with root package name */
        int f15454a;

        f(int i) {
            this.f15454a = i;
        }

        @Override // com.ibm.icu.text.UnicodeSet.e
        public boolean a(int i) {
            return ((1 << com.ibm.icu.lang.c.Z(i)) & this.f15454a) != 0;
        }
    }

    /* access modifiers changed from: private */
    public static final class g implements e {

        /* renamed from: a  reason: collision with root package name */
        int f15455a;

        /* renamed from: b  reason: collision with root package name */
        int f15456b;

        g(int i, int i2) {
            this.f15455a = i;
            this.f15456b = i2;
        }

        @Override // com.ibm.icu.text.UnicodeSet.e
        public boolean a(int i) {
            return com.ibm.icu.lang.c.K(i, this.f15455a) == this.f15456b;
        }
    }

    /* access modifiers changed from: private */
    public static final class h implements e {

        /* renamed from: a  reason: collision with root package name */
        double f15457a;

        h(double d2) {
            this.f15457a = d2;
        }

        @Override // com.ibm.icu.text.UnicodeSet.e
        public boolean a(int i) {
            return com.ibm.icu.lang.c.b0(i) == this.f15457a;
        }
    }

    /* access modifiers changed from: private */
    public static final class i implements e {

        /* renamed from: a  reason: collision with root package name */
        int f15458a;

        i(int i) {
            this.f15458a = i;
        }

        @Override // com.ibm.icu.text.UnicodeSet.e
        public boolean a(int i) {
            return UScript.n(i, this.f15458a);
        }
    }

    private static class j implements Iterator<String> {
        private int I0;
        private int J0;
        private int K0;
        private SortedSet<String> L0;
        private Iterator<String> M0;
        private char[] N0;

        /* renamed from: a  reason: collision with root package name */
        private int[] f15459a;

        /* renamed from: b  reason: collision with root package name */
        private int f15460b;

        j(UnicodeSet unicodeSet) {
            int i = unicodeSet.k1 - 1;
            this.f15460b = i;
            if (i > 0) {
                this.L0 = unicodeSet.o1;
                int[] iArr = unicodeSet.l1;
                this.f15459a = iArr;
                int i2 = this.I0;
                int i3 = i2 + 1;
                this.I0 = i3;
                this.J0 = iArr[i2];
                this.I0 = i3 + 1;
                this.K0 = iArr[i3];
                return;
            }
            this.M0 = unicodeSet.o1.iterator();
            this.f15459a = null;
        }

        /* renamed from: a */
        public String next() {
            int[] iArr = this.f15459a;
            if (iArr == null) {
                return this.M0.next();
            }
            int i = this.J0;
            int i2 = i + 1;
            this.J0 = i2;
            if (i2 >= this.K0) {
                int i3 = this.I0;
                if (i3 >= this.f15460b) {
                    this.M0 = this.L0.iterator();
                    this.f15459a = null;
                } else {
                    int i4 = i3 + 1;
                    this.I0 = i4;
                    this.J0 = iArr[i3];
                    this.I0 = i4 + 1;
                    this.K0 = iArr[i4];
                }
            }
            if (i <= 65535) {
                return String.valueOf((char) i);
            }
            if (this.N0 == null) {
                this.N0 = new char[2];
            }
            int i5 = i - 65536;
            char[] cArr = this.N0;
            cArr[0] = (char) ((i5 >>> 10) + 55296);
            cArr[1] = (char) ((i5 & h2.U) + 56320);
            return String.valueOf(cArr);
        }

        public boolean hasNext() {
            return this.f15459a != null || this.M0.hasNext();
        }

        public void remove() {
            throw new UnsupportedOperationException();
        }
    }

    /* access modifiers changed from: private */
    public static final class k implements e {

        /* renamed from: a  reason: collision with root package name */
        l0 f15461a;

        k(l0 l0Var) {
            this.f15461a = l0Var;
        }

        @Override // com.ibm.icu.text.UnicodeSet.e
        public boolean a(int i) {
            l0 q = com.ibm.icu.lang.c.q(i);
            return !q2.p0(q, UnicodeSet.e1) && q.compareTo(this.f15461a) <= 0;
        }
    }

    public static abstract class l implements k2 {
        @Override // com.ibm.icu.text.k2
        public char[] a(String str) {
            return null;
        }

        @Override // com.ibm.icu.text.k2
        public String b(String str, ParsePosition parsePosition, int i) {
            return null;
        }

        @Override // com.ibm.icu.text.k2
        public b3 c(int i) {
            return null;
        }

        public boolean d(String str, String str2, UnicodeSet unicodeSet) {
            return false;
        }
    }

    public UnicodeSet() {
        this.o1 = f15445a;
        this.p1 = null;
        int[] iArr = new int[25];
        this.l1 = iArr;
        iArr[0] = 1114112;
        this.k1 = 1;
    }

    public static int A0(int i2, CharSequence charSequence) {
        return -com.ibm.icu.lang.a.d(charSequence, i2);
    }

    private static int A1(CharSequence charSequence, int i2, CharSequence charSequence2) {
        int length = charSequence2.length();
        if (charSequence.length() + i2 > length) {
            return -1;
        }
        int i3 = 0;
        while (i3 < length) {
            if (charSequence2.charAt(i3) != charSequence.charAt(i2)) {
                return -1;
            }
            i3++;
            i2++;
        }
        return i3;
    }

    public static int B0(CharSequence charSequence, int i2) {
        return com.ibm.icu.lang.a.d(charSequence, i2);
    }

    private static final int B1(int i2, int i3) {
        return i2 > i3 ? i2 : i3;
    }

    public static <T extends Comparable<T>> int C0(Iterable<T> iterable, Iterable<T> iterable2) {
        return E0(iterable.iterator(), iterable2.iterator());
    }

    private static String C1(String str) {
        String i2 = y0.i(str);
        StringBuilder sb = null;
        for (int i3 = 0; i3 < i2.length(); i3++) {
            char charAt = i2.charAt(i3);
            if (y0.e(charAt)) {
                if (sb == null) {
                    sb = new StringBuilder();
                    sb.append((CharSequence) i2, 0, i3);
                } else if (sb.charAt(sb.length() - 1) == ' ') {
                }
                charAt = ' ';
            }
            if (sb != null) {
                sb.append(charAt);
            }
        }
        return sb == null ? i2 : sb.toString();
    }

    public static <T extends Comparable<T>> int D0(Collection<T> collection, Collection<T> collection2, ComparisonStyle comparisonStyle) {
        int size;
        if (comparisonStyle == ComparisonStyle.LEXICOGRAPHIC || (size = collection.size() - collection2.size()) == 0) {
            return C0(collection, collection2);
        }
        boolean z = false;
        boolean z2 = size < 0;
        if (comparisonStyle == ComparisonStyle.SHORTER_FIRST) {
            z = true;
        }
        if (z2 == z) {
            return -1;
        }
        return 1;
    }

    private int D1(int i2) {
        if (i2 < 25) {
            return i2 + 25;
        }
        if (i2 <= 2500) {
            return i2 * 5;
        }
        int i3 = i2 * 2;
        if (i3 > 1114113) {
            return 1114113;
        }
        return i3;
    }

    @Deprecated
    public static <T extends Comparable<T>> int E0(Iterator<T> it, Iterator<T> it2) {
        while (it.hasNext()) {
            if (!it2.hasNext()) {
                return 1;
            }
            int compareTo = it.next().compareTo(it2.next());
            if (compareTo != 0) {
                return compareTo;
            }
        }
        return it2.hasNext() ? -1 : 0;
    }

    private int[] E1(int i2, int i3) {
        int[] iArr = this.m1;
        if (iArr == null) {
            this.m1 = new int[]{i2, i3 + 1, 1114112};
        } else {
            iArr[0] = i2;
            iArr[1] = i3 + 1;
        }
        return this.m1;
    }

    private UnicodeSet H(int[] iArr, int i2, int i3) {
        int i4;
        int i5;
        int i6;
        int i7;
        int i8;
        int i9;
        int i10;
        int i11;
        g1(this.k1 + i2);
        int i12 = 0;
        int i13 = this.l1[0];
        int i14 = iArr[0];
        int i15 = 1;
        int i16 = 1;
        while (true) {
            if (i3 != 0) {
                if (i3 != 1) {
                    if (i3 != 2) {
                        if (i3 == 3) {
                            if (i14 <= i13) {
                                if (i13 == 1114112) {
                                    break;
                                }
                                i11 = i12 + 1;
                                this.n1[i12] = i13;
                            } else if (i14 == 1114112) {
                                break;
                            } else {
                                i11 = i12 + 1;
                                this.n1[i12] = i14;
                            }
                            int i17 = i15 + 1;
                            i13 = this.l1[i15];
                            int i18 = iArr[i16];
                            i3 = (i3 ^ 1) ^ 2;
                            i16++;
                            i14 = i18;
                            i15 = i17;
                            i12 = i11;
                        } else {
                            continue;
                        }
                    } else if (i14 < i13) {
                        i10 = i12 + 1;
                        this.n1[i12] = i14;
                        i14 = iArr[i16];
                        i3 ^= 2;
                        i16++;
                    } else if (i13 < i14) {
                        i13 = this.l1[i15];
                        i3 ^= 1;
                        i15++;
                    } else if (i13 == 1114112) {
                        break;
                    } else {
                        i9 = i15 + 1;
                        i13 = this.l1[i15];
                        i6 = i3 ^ 1;
                        i8 = i16 + 1;
                        i7 = iArr[i16];
                        i3 = i6 ^ 2;
                        i15 = i9;
                        i14 = i7;
                        i16 = i8;
                    }
                } else if (i13 < i14) {
                    i10 = i12 + 1;
                    this.n1[i12] = i13;
                    i13 = this.l1[i15];
                    i3 ^= 1;
                    i15++;
                } else if (i14 < i13) {
                    i4 = i16 + 1;
                    i5 = iArr[i16];
                    i3 ^= 2;
                } else if (i13 == 1114112) {
                    break;
                } else {
                    i9 = i15 + 1;
                    i13 = this.l1[i15];
                    i6 = i3 ^ 1;
                    i8 = i16 + 1;
                    i7 = iArr[i16];
                    i3 = i6 ^ 2;
                    i15 = i9;
                    i14 = i7;
                    i16 = i8;
                }
                i12 = i10;
            } else if (i13 < i14) {
                if (i12 > 0) {
                    int[] iArr2 = this.n1;
                    if (i13 <= iArr2[i12 - 1]) {
                        i12--;
                        i13 = B1(this.l1[i15], iArr2[i12]);
                        i15++;
                        i3 ^= 1;
                    }
                }
                this.n1[i12] = i13;
                i13 = this.l1[i15];
                i12++;
                i15++;
                i3 ^= 1;
            } else if (i14 < i13) {
                if (i12 > 0) {
                    int[] iArr3 = this.n1;
                    if (i14 <= iArr3[i12 - 1]) {
                        i12--;
                        i14 = B1(iArr[i16], iArr3[i12]);
                        i16++;
                        i3 ^= 2;
                    }
                }
                this.n1[i12] = i14;
                i14 = iArr[i16];
                i12++;
                i16++;
                i3 ^= 2;
            } else if (i13 == 1114112) {
                break;
            } else {
                if (i12 > 0) {
                    int[] iArr4 = this.n1;
                    if (i13 <= iArr4[i12 - 1]) {
                        i12--;
                        i13 = B1(this.l1[i15], iArr4[i12]);
                        i15++;
                        i4 = i16 + 1;
                        i5 = iArr[i16];
                        i3 = (i3 ^ 1) ^ 2;
                    }
                }
                this.n1[i12] = i13;
                i13 = this.l1[i15];
                i12++;
                i15++;
                i4 = i16 + 1;
                i5 = iArr[i16];
                i3 = (i3 ^ 1) ^ 2;
            }
            i16 = i4;
            i14 = i5;
        }
        int[] iArr5 = this.n1;
        iArr5[i12] = 1114112;
        this.k1 = i12 + 1;
        int[] iArr6 = this.l1;
        this.l1 = iArr5;
        this.n1 = iArr6;
        this.p1 = null;
        return this;
    }

    public static boolean N1(String str, int i2) {
        return (i2 + 1 < str.length() && str.charAt(i2) == '[') || P1(str, i2);
    }

    public static <T, U extends Collection<T>> U O(Iterable<T> iterable, U u) {
        for (T t : iterable) {
            u.add(t);
        }
        return u;
    }

    private static boolean O1(i1 i1Var, int i2) {
        int i3 = i2 & -3;
        i1.a f2 = i1Var.f(null);
        int j2 = i1Var.j(i3);
        boolean z = false;
        if (j2 == 91 || j2 == 92) {
            int j3 = i1Var.j(i3 & -5);
            if (j2 != 91 ? j3 == 78 || j3 == 112 || j3 == 80 : j3 == 58) {
                z = true;
            }
        }
        i1Var.k(f2);
        return z;
    }

    private static boolean P1(String str, int i2) {
        if (i2 + 5 > str.length()) {
            return false;
        }
        if (str.regionMatches(i2, "[:", 0, 2) || str.regionMatches(true, i2, "\\p", 0, 2) || str.regionMatches(i2, "\\N", 0, 2)) {
            return true;
        }
        return false;
    }

    public static <T> T[] S(Iterable<T> iterable, T[] tArr) {
        int i2 = 0;
        for (T t : iterable) {
            tArr[i2] = t;
            i2++;
        }
        return tArr;
    }

    private UnicodeSet T1(int[] iArr, int i2, int i3) {
        int i4;
        int i5;
        int i6;
        int i7;
        int i8;
        int i9;
        int i10;
        int i11;
        int i12;
        int i13;
        int i14;
        int i15;
        int i16;
        int i17;
        int i18;
        g1(this.k1 + i2);
        int i19 = 0;
        int i20 = this.l1[0];
        int i21 = iArr[0];
        int i22 = 1;
        int i23 = 1;
        while (true) {
            if (i3 != 0) {
                if (i3 != 1) {
                    if (i3 != 2) {
                        if (i3 != 3) {
                            continue;
                        } else if (i20 < i21) {
                            i16 = i19 + 1;
                            this.n1[i19] = i20;
                            i18 = i22 + 1;
                            i20 = this.l1[i22];
                        } else if (i21 < i20) {
                            i16 = i19 + 1;
                            this.n1[i19] = i21;
                            i17 = i23 + 1;
                            i21 = iArr[i23];
                            i3 ^= 2;
                            i23 = i17;
                        } else if (i20 == 1114112) {
                            break;
                        } else {
                            i5 = i19 + 1;
                            this.n1[i19] = i20;
                            i8 = i22 + 1;
                            i20 = this.l1[i22];
                            i4 = i3 ^ 1;
                            i7 = i23 + 1;
                            i6 = iArr[i23];
                            i3 = i4 ^ 2;
                            i23 = i7;
                            i21 = i6;
                            i22 = i8;
                            i19 = i5;
                        }
                    } else if (i21 < i20) {
                        i10 = i23 + 1;
                        i11 = iArr[i23];
                    } else if (i20 < i21) {
                        i16 = i19 + 1;
                        this.n1[i19] = i20;
                        i18 = i22 + 1;
                        i20 = this.l1[i22];
                    } else if (i20 == 1114112) {
                        break;
                    } else {
                        i15 = i22 + 1;
                        i20 = this.l1[i22];
                        i12 = i3 ^ 1;
                        i14 = i23 + 1;
                        i13 = iArr[i23];
                        i3 = i12 ^ 2;
                        i22 = i15;
                        i21 = i13;
                        i23 = i14;
                    }
                    i3 ^= 1;
                    i22 = i18;
                } else if (i20 < i21) {
                    i9 = i22 + 1;
                    i20 = this.l1[i22];
                    i3 ^= 1;
                    i22 = i9;
                } else if (i21 < i20) {
                    i16 = i19 + 1;
                    this.n1[i19] = i21;
                    i17 = i23 + 1;
                    i21 = iArr[i23];
                    i3 ^= 2;
                    i23 = i17;
                } else if (i20 == 1114112) {
                    break;
                } else {
                    i15 = i22 + 1;
                    i20 = this.l1[i22];
                    i12 = i3 ^ 1;
                    i14 = i23 + 1;
                    i13 = iArr[i23];
                    i3 = i12 ^ 2;
                    i22 = i15;
                    i21 = i13;
                    i23 = i14;
                }
                i19 = i16;
            } else if (i20 < i21) {
                i9 = i22 + 1;
                i20 = this.l1[i22];
                i3 ^= 1;
                i22 = i9;
            } else if (i21 < i20) {
                i10 = i23 + 1;
                i11 = iArr[i23];
            } else if (i20 == 1114112) {
                break;
            } else {
                i5 = i19 + 1;
                this.n1[i19] = i20;
                i8 = i22 + 1;
                i20 = this.l1[i22];
                i4 = i3 ^ 1;
                i7 = i23 + 1;
                i6 = iArr[i23];
                i3 = i4 ^ 2;
                i23 = i7;
                i21 = i6;
                i22 = i8;
                i19 = i5;
            }
            i3 ^= 2;
            i23 = i10;
            i21 = i11;
        }
        int[] iArr2 = this.n1;
        iArr2[i19] = 1114112;
        this.k1 = i19 + 1;
        int[] iArr3 = this.l1;
        this.l1 = iArr2;
        this.n1 = iArr3;
        this.p1 = null;
        return this;
    }

    private boolean U0(String str, int i2) {
        if (i2 >= str.length()) {
            return true;
        }
        int k2 = w2.k(str, i2);
        if (r(k2) && U0(str, w2.z(k2) + i2)) {
            return true;
        }
        for (String str2 : this.o1) {
            if (!str2.isEmpty() && str.startsWith(str2, i2) && U0(str, str2.length() + i2)) {
                return true;
            }
        }
        return false;
    }

    private static final void V(UnicodeSet unicodeSet, int i2, StringBuilder sb) {
        if (i2 < 0) {
            return;
        }
        if (i2 > 31) {
            unicodeSet.D(i2);
            return;
        }
        unicodeSet.F(sb.toString());
        sb.setLength(0);
    }

    private void W(CharSequence charSequence) {
        if (this.o1 == f15445a) {
            this.o1 = new TreeSet();
        }
        this.o1.add(charSequence.toString());
    }

    private final UnicodeSet X(int i2) {
        if (i2 < 0 || i2 > 1114111) {
            throw new IllegalArgumentException("Invalid code point U+" + q2.X((long) i2, 6));
        }
        int i12 = i1(i2);
        if ((i12 & 1) != 0) {
            return this;
        }
        int[] iArr = this.l1;
        if (i2 == iArr[i12] - 1) {
            iArr[i12] = i2;
            if (i2 == 1114111) {
                h1(this.k1 + 1);
                int[] iArr2 = this.l1;
                int i3 = this.k1;
                this.k1 = i3 + 1;
                iArr2[i3] = 1114112;
            }
            if (i12 > 0) {
                int[] iArr3 = this.l1;
                int i4 = i12 - 1;
                if (i2 == iArr3[i4]) {
                    System.arraycopy(iArr3, i12 + 1, iArr3, i4, (this.k1 - i12) - 1);
                    this.k1 -= 2;
                }
            }
        } else {
            if (i12 > 0) {
                int i5 = i12 - 1;
                if (i2 == iArr[i5]) {
                    iArr[i5] = iArr[i5] + 1;
                }
            }
            int i6 = this.k1;
            if (i6 + 2 > iArr.length) {
                int[] iArr4 = new int[D1(i6 + 2)];
                if (i12 != 0) {
                    System.arraycopy(this.l1, 0, iArr4, 0, i12);
                }
                System.arraycopy(this.l1, i12, iArr4, i12 + 2, this.k1 - i12);
                this.l1 = iArr4;
            } else {
                System.arraycopy(iArr, i12, iArr, i12 + 2, i6 - i12);
            }
            int[] iArr5 = this.l1;
            iArr5[i12] = i2;
            iArr5[i12 + 1] = i2 + 1;
            this.k1 += 2;
        }
        this.p1 = null;
        return this;
    }

    private UnicodeSet Y(int i2, int i3) {
        int i4;
        if (i2 < 0 || i2 > 1114111) {
            throw new IllegalArgumentException("Invalid code point U+" + q2.X((long) i2, 6));
        } else if (i3 < 0 || i3 > 1114111) {
            throw new IllegalArgumentException("Invalid code point U+" + q2.X((long) i3, 6));
        } else {
            if (i2 < i3) {
                int i5 = i3 + 1;
                int i6 = this.k1;
                if ((i6 & 1) != 0) {
                    if (i6 == 1) {
                        i4 = -2;
                    } else {
                        i4 = this.l1[i6 - 2];
                    }
                    if (i4 <= i2) {
                        t0();
                        if (i4 == i2) {
                            int[] iArr = this.l1;
                            int i7 = this.k1;
                            iArr[i7 - 2] = i5;
                            if (i5 == 1114112) {
                                this.k1 = i7 - 1;
                            }
                        } else {
                            int[] iArr2 = this.l1;
                            int i8 = this.k1;
                            iArr2[i8 - 1] = i2;
                            if (i5 < 1114112) {
                                h1(i8 + 2);
                                int[] iArr3 = this.l1;
                                int i9 = this.k1;
                                int i10 = i9 + 1;
                                this.k1 = i10;
                                iArr3[i9] = i5;
                                this.k1 = i10 + 1;
                                iArr3[i10] = 1114112;
                            } else {
                                h1(i8 + 1);
                                int[] iArr4 = this.l1;
                                int i11 = this.k1;
                                this.k1 = i11 + 1;
                                iArr4[i11] = 1114112;
                            }
                        }
                        this.p1 = null;
                        return this;
                    }
                }
                H(E1(i2, i3), 2, 0);
            } else if (i2 == i3) {
                D(i2);
            }
            return this;
        }
    }

    @Deprecated
    public static void Z1(l lVar) {
        com.ibm.icu.impl.l.a();
        J0 = lVar;
    }

    private static void a0(Appendable appendable, CharSequence charSequence) {
        try {
            appendable.append(charSequence);
        } catch (IOException e2) {
            throw new ICUUncheckedIOException(e2);
        }
    }

    private static void c0(Appendable appendable, int i2) {
        if (i2 <= 65535) {
            try {
                appendable.append((char) i2);
            } catch (IOException e2) {
                throw new ICUUncheckedIOException(e2);
            }
        } else {
            appendable.append(w2.A(i2)).append(w2.C(i2));
        }
    }

    private <T extends Appendable> T d0(T t, boolean z, boolean z2) {
        try {
            t.append('[');
            int i2 = this.k1;
            int i3 = i2 & -2;
            int i4 = 0;
            if (i2 >= 4 && this.l1[0] == 0 && i3 == i2 && !w1()) {
                t.append('^');
                i3--;
                i4 = 1;
            }
            while (i4 < i3) {
                int[] iArr = this.l1;
                int i5 = iArr[i4];
                int i6 = iArr[i4 + 1] - 1;
                if (55296 <= i6) {
                    if (i6 <= 56319) {
                        int i7 = i4;
                        while (true) {
                            i7 += 2;
                            if (i7 >= i3 || this.l1[i7] > 56319) {
                                int i8 = i7;
                            }
                        }
                        int i82 = i7;
                        while (i82 < i3) {
                            int[] iArr2 = this.l1;
                            int i9 = iArr2[i82];
                            if (i9 > 57343) {
                                break;
                            }
                            s(t, i9, iArr2[i82 + 1] - 1, z);
                            i82 += 2;
                        }
                        while (i4 < i7) {
                            int[] iArr3 = this.l1;
                            s(t, iArr3[i4], iArr3[i4 + 1] - 1, z);
                            i4 += 2;
                        }
                        i4 = i82;
                    }
                }
                s(t, i5, i6, z);
                i4 += 2;
            }
            if (z2 && w1()) {
                for (String str : this.o1) {
                    t.append('{');
                    u(t, str, z);
                    t.append('}');
                }
            }
            t.append(']');
            return t;
        } catch (IOException e2) {
            throw new ICUUncheckedIOException(e2);
        }
    }

    private void f0(e eVar, UnicodeSet unicodeSet) {
        u0();
        int q12 = unicodeSet.q1();
        int i2 = -1;
        for (int i3 = 0; i3 < q12; i3++) {
            int r12 = unicodeSet.r1(i3);
            for (int s1 = unicodeSet.s1(i3); s1 <= r12; s1++) {
                if (eVar.a(s1)) {
                    if (i2 < 0) {
                        i2 = s1;
                    }
                } else if (i2 >= 0) {
                    Y(i2, s1 - 1);
                    i2 = -1;
                }
            }
        }
        if (i2 >= 0) {
            Y(i2, 1114111);
        }
    }

    private int f2(CharSequence charSequence, int i2, SpanCondition spanCondition, x xVar) {
        int i3 = 0;
        boolean z = spanCondition != SpanCondition.NOT_CONTAINED;
        int length = charSequence.length();
        do {
            int codePointAt = Character.codePointAt(charSequence, i2);
            if (z != r(codePointAt)) {
                break;
            }
            i3++;
            i2 += Character.charCount(codePointAt);
        } while (i2 < length);
        if (xVar != null) {
            xVar.f16196a = i3;
        }
        return i2;
    }

    private void g1(int i2) {
        if (i2 > 1114113) {
            i2 = 1114113;
        }
        int[] iArr = this.n1;
        if (iArr == null || i2 > iArr.length) {
            this.n1 = new int[D1(i2)];
        }
    }

    private void h1(int i2) {
        if (i2 > 1114113) {
            i2 = 1114113;
        }
        if (i2 > this.l1.length) {
            int[] iArr = new int[D1(i2)];
            System.arraycopy(this.l1, 0, iArr, 0, this.k1);
            this.l1 = iArr;
        }
    }

    private final int i1(int i2) {
        int[] iArr = this.l1;
        int i3 = 0;
        if (i2 < iArr[0]) {
            return 0;
        }
        int i4 = this.k1;
        if (i4 >= 2 && i2 >= iArr[i4 - 2]) {
            return i4 - 1;
        }
        int i5 = i4 - 1;
        while (true) {
            int i6 = (i3 + i5) >>> 1;
            if (i6 == i3) {
                return i5;
            }
            if (i2 < this.l1[i6]) {
                i5 = i6;
            } else {
                i3 = i6;
            }
        }
    }

    private static void i2(i1 i1Var, String str) {
        throw new IllegalArgumentException("Error: " + str + " at \"" + q2.O(i1Var.toString()) + Typography.quote);
    }

    public static String[] j2(UnicodeSet unicodeSet) {
        return (String[]) S(unicodeSet, new String[unicodeSet.size()]);
    }

    /* JADX WARNING: Removed duplicated region for block: B:12:0x0023  */
    /* JADX WARNING: Removed duplicated region for block: B:14:0x0032  */
    private UnicodeSet k2(int[] iArr, int i2, int i3) {
        int i4;
        int i5;
        int i6;
        g1(this.k1 + i2);
        int i7 = 0;
        int i8 = this.l1[0];
        int i9 = 1;
        if (i3 != 1 && i3 != 2) {
            i6 = iArr[0];
        } else if (iArr[0] == 0) {
            i6 = iArr[1];
        } else {
            i4 = 0;
            i9 = 0;
            int i10 = 1;
            while (true) {
                if (i8 >= i7) {
                    i5 = i4 + 1;
                    this.n1[i4] = i8;
                    i8 = this.l1[i10];
                    i10++;
                } else if (i7 < i8) {
                    i5 = i4 + 1;
                    this.n1[i4] = i7;
                    int i11 = iArr[i9];
                    i9++;
                    i7 = i11;
                } else if (i8 != 1114112) {
                    int i12 = i10 + 1;
                    i8 = this.l1[i10];
                    i10 = i12;
                    i7 = iArr[i9];
                    i9++;
                } else {
                    int[] iArr2 = this.n1;
                    iArr2[i4] = 1114112;
                    this.k1 = i4 + 1;
                    int[] iArr3 = this.l1;
                    this.l1 = iArr2;
                    this.n1 = iArr3;
                    this.p1 = null;
                    return this;
                }
                i4 = i5;
            }
        }
        i7 = i6;
        i4 = 0;
        int i102 = 1;
        while (true) {
            if (i8 >= i7) {
            }
            i4 = i5;
        }
    }

    /* JADX WARNING: Removed duplicated region for block: B:170:0x0314  */
    /* JADX WARNING: Removed duplicated region for block: B:185:0x034a  */
    /* JADX WARNING: Removed duplicated region for block: B:43:0x00d4  */
    /* JADX WARNING: Removed duplicated region for block: B:74:0x0169  */
    private void l0(i1 i1Var, k2 k2Var, Appendable appendable, int i2, int i3) {
        boolean z;
        boolean z2;
        boolean z3;
        int i4;
        boolean z4;
        int i5;
        int i6;
        i1.a aVar;
        boolean z5;
        int i7;
        UnicodeSet unicodeSet;
        StringBuilder sb;
        int i8;
        boolean z6;
        i1.a aVar2;
        String str;
        boolean z7;
        String str2;
        char c2;
        i1.a aVar3;
        int i9;
        b3 c3;
        int i10;
        if (i3 > 100) {
            i2(i1Var, "Pattern nested too deeply");
        }
        int i11 = (i2 & 1) != 0 ? 7 : 3;
        StringBuilder sb2 = new StringBuilder();
        u0();
        int i12 = 2;
        int i13 = 1;
        int i14 = 0;
        i1.a aVar4 = null;
        int i15 = 0;
        int i16 = 0;
        char c4 = 0;
        UnicodeSet unicodeSet2 = null;
        String str3 = null;
        StringBuilder sb3 = null;
        boolean z8 = false;
        boolean z9 = false;
        while (true) {
            if (i14 == i12 || i1Var.c()) {
                i4 = 2;
                z3 = false;
                z2 = true;
                z = z9;
            } else {
                if (O1(i1Var, i11)) {
                    aVar = aVar4;
                    z4 = z8;
                    i7 = 0;
                    z5 = false;
                    i6 = 2;
                } else {
                    i1.a f2 = i1Var.f(aVar4);
                    int j2 = i1Var.j(i11);
                    boolean h2 = i1Var.h();
                    if (j2 != 91 || h2) {
                        if (!(k2Var == null || (c3 = k2Var.c(j2)) == null)) {
                            try {
                                i6 = 3;
                                i5 = i14;
                                unicodeSet = (UnicodeSet) c3;
                                aVar = f2;
                                i7 = j2;
                                z5 = h2;
                                z4 = z8;
                            } catch (ClassCastException unused) {
                                i2(i1Var, "Syntax error");
                            }
                            if (i6 != 0) {
                                if (i15 == i13) {
                                    if (c4 != 0) {
                                        i2(i1Var, "Char expected after operator");
                                    }
                                    Y(i16, i16);
                                    t(sb2, i16, false);
                                    c2 = '-';
                                    c4 = 0;
                                } else {
                                    c2 = '-';
                                }
                                if (c4 == c2 || c4 == '&') {
                                    sb2.append(c4);
                                }
                                if (unicodeSet == null) {
                                    if (unicodeSet2 == null) {
                                        unicodeSet2 = new UnicodeSet();
                                    }
                                    unicodeSet = unicodeSet2;
                                }
                                if (i6 != i13) {
                                    if (i6 == 2) {
                                        i1Var.l(i11);
                                        unicodeSet.r0(i1Var, sb2, k2Var);
                                    } else if (i6 == 3) {
                                        unicodeSet.x(sb2, false);
                                    }
                                    i9 = i16;
                                    aVar3 = aVar;
                                } else {
                                    i9 = i16;
                                    aVar3 = aVar;
                                    unicodeSet.l0(i1Var, k2Var, sb2, i2, i3 + 1);
                                }
                                if (i5 == 0) {
                                    Y1(unicodeSet);
                                    z8 = z4;
                                    i14 = 2;
                                    i4 = 2;
                                    z3 = false;
                                    z2 = true;
                                    z = true;
                                    break;
                                }
                                if (c4 == 0) {
                                    J(unicodeSet);
                                } else if (c4 == '&') {
                                    U1(unicodeSet);
                                } else if (c4 == '-') {
                                    J1(unicodeSet);
                                }
                                i16 = i9;
                                i14 = i5;
                                z8 = z4;
                                aVar4 = aVar3;
                                i15 = 2;
                                i13 = 1;
                                i12 = 2;
                                c4 = 0;
                                z9 = true;
                            } else {
                                i1.a aVar5 = aVar;
                                if (i5 == 0) {
                                    i2(i1Var, "Missing '['");
                                }
                                if (!z5) {
                                    if (i7 != 36) {
                                        if (i7 != 38) {
                                            if (i7 == 45) {
                                                str = str3;
                                                sb = sb3;
                                                z6 = false;
                                                i8 = 1;
                                                if (c4 == 0) {
                                                    if (i15 == 0 && str == null) {
                                                        Y(i7, i7);
                                                        i7 = i1Var.j(i11);
                                                        boolean h3 = i1Var.h();
                                                        if (i7 == 93 && !h3) {
                                                            sb2.append("-]");
                                                            str3 = str;
                                                            sb3 = sb;
                                                            i16 = i16;
                                                            z8 = z4;
                                                            aVar4 = aVar5;
                                                            i14 = 2;
                                                        }
                                                    }
                                                }
                                                i2(i1Var, "'-' not after char, string, or set");
                                                str3 = str;
                                            } else if (i7 == 123) {
                                                if (!(c4 == 0 || c4 == '-')) {
                                                    i2(i1Var, "Missing operand after operator");
                                                }
                                                if (i15 == 1) {
                                                    Y(i16, i16);
                                                    t(sb2, i16, false);
                                                }
                                                StringBuilder sb4 = sb3;
                                                if (sb4 == null) {
                                                    sb4 = new StringBuilder();
                                                } else {
                                                    sb4.setLength(0);
                                                }
                                                while (true) {
                                                    if (i1Var.c()) {
                                                        z7 = false;
                                                        break;
                                                    }
                                                    int j3 = i1Var.j(i11);
                                                    boolean h4 = i1Var.h();
                                                    if (j3 == 125 && !h4) {
                                                        z7 = true;
                                                        break;
                                                    }
                                                    c0(sb4, j3);
                                                }
                                                if (!z7) {
                                                    i2(i1Var, "Invalid multicharacter string");
                                                }
                                                String sb5 = sb4.toString();
                                                if (c4 == '-') {
                                                    int j4 = com.ibm.icu.lang.a.j(str3 == null ? "" : str3);
                                                    int j5 = com.ibm.icu.lang.a.j(sb5);
                                                    if (j4 == Integer.MAX_VALUE || j5 == Integer.MAX_VALUE) {
                                                        if (this.o1 == f15445a) {
                                                            this.o1 = new TreeSet();
                                                        }
                                                        try {
                                                            p1.e(str3, sb5, true, this.o1);
                                                        } catch (Exception e2) {
                                                            i2(i1Var, e2.getMessage());
                                                        }
                                                    } else {
                                                        E(j4, j5);
                                                    }
                                                    str2 = null;
                                                    c4 = 0;
                                                } else {
                                                    F(sb5);
                                                    str2 = sb5;
                                                }
                                                sb2.append('{');
                                                u(sb2, sb5, false);
                                                sb2.append('}');
                                                str3 = str2;
                                                sb3 = sb4;
                                                i16 = i16;
                                                i14 = i5;
                                                z8 = z4;
                                                aVar4 = aVar5;
                                                i15 = 0;
                                            } else if (i7 == 93) {
                                                if (i15 == 1) {
                                                    Y(i16, i16);
                                                    t(sb2, i16, false);
                                                }
                                                if (c4 == '-') {
                                                    Y(c4, c4);
                                                    sb2.append(c4);
                                                } else if (c4 == '&') {
                                                    i2(i1Var, "Trailing '&'");
                                                }
                                                sb2.append(']');
                                                i16 = i16;
                                                z8 = z4;
                                                aVar4 = aVar5;
                                                i14 = 2;
                                                i13 = 1;
                                                i12 = 2;
                                            } else if (i7 == 94) {
                                                i2(i1Var, "'^' not after '['");
                                            }
                                            i13 = 1;
                                            i12 = 2;
                                        } else {
                                            str = str3;
                                            sb = sb3;
                                            z6 = false;
                                            i8 = 1;
                                            if (!(i15 == 2 && c4 == 0)) {
                                                i2(i1Var, "'&' not after set");
                                                str3 = str;
                                                aVar2 = aVar5;
                                                aVar5 = aVar2;
                                            }
                                        }
                                        c4 = (char) i7;
                                        str3 = str;
                                        sb3 = sb;
                                        i16 = i16;
                                        i14 = i5;
                                        z8 = z4;
                                        aVar4 = aVar5;
                                        i13 = 1;
                                        i12 = 2;
                                    } else {
                                        sb = sb3;
                                        z6 = false;
                                        i8 = 1;
                                        aVar4 = i1Var.f(aVar5);
                                        int j6 = i1Var.j(i11);
                                        boolean z10 = j6 == 93 && !i1Var.h();
                                        if (k2Var == null && !z10) {
                                            i1Var.k(aVar4);
                                            aVar5 = aVar4;
                                            i7 = 36;
                                        } else if (!z10 || c4 != 0) {
                                            i2(i1Var, "Unquoted '$'");
                                            aVar5 = aVar4;
                                            i7 = j6;
                                        } else {
                                            if (i15 == 1) {
                                                Y(i16, i16);
                                                t(sb2, i16, false);
                                            }
                                            X(65535);
                                            sb2.append('$');
                                            sb2.append(']');
                                            sb3 = sb;
                                            i16 = i16;
                                            z8 = z4;
                                            i14 = 2;
                                            i13 = 1;
                                            i12 = 2;
                                            z9 = true;
                                        }
                                    }
                                    if (i15 != 0) {
                                        if (c4 == '-' && str3 != null) {
                                            i2(i1Var, "Invalid range");
                                        }
                                        i15 = 1;
                                        str3 = null;
                                    } else if (i15 != i8) {
                                        if (i15 != 2) {
                                            i7 = i16;
                                        } else {
                                            if (c4 != 0) {
                                                i2(i1Var, "Set expected after operator");
                                            }
                                            i15 = 1;
                                        }
                                    } else if (c4 == '-') {
                                        if (str3 != null) {
                                            i2(i1Var, "Invalid range");
                                        }
                                        if (i16 >= i7) {
                                            i2(i1Var, "Invalid range");
                                        }
                                        Y(i16, i7);
                                        t(sb2, i16, z6);
                                        sb2.append(c4);
                                        t(sb2, i7, z6);
                                        i7 = i16;
                                        i15 = 0;
                                        c4 = 0;
                                    } else {
                                        Y(i16, i16);
                                        t(sb2, i16, z6);
                                    }
                                    i16 = i7;
                                    sb3 = sb;
                                    i14 = i5;
                                    z8 = z4;
                                    aVar4 = aVar5;
                                    i13 = 1;
                                    i12 = 2;
                                }
                                sb = sb3;
                                aVar2 = aVar5;
                                z6 = false;
                                i8 = 1;
                                aVar5 = aVar2;
                                if (i15 != 0) {
                                }
                                i16 = i7;
                                sb3 = sb;
                                i14 = i5;
                                z8 = z4;
                                aVar4 = aVar5;
                                i13 = 1;
                                i12 = 2;
                            }
                        }
                        aVar = f2;
                        i7 = j2;
                        z5 = h2;
                        i6 = 0;
                    } else if (i14 == i13) {
                        i1Var.k(f2);
                        aVar = f2;
                        i7 = j2;
                        z5 = h2;
                        i6 = 1;
                    } else {
                        sb2.append('[');
                        i1.a f3 = i1Var.f(f2);
                        int j7 = i1Var.j(i11);
                        boolean h5 = i1Var.h();
                        if (j7 != 94 || h5) {
                            i10 = 45;
                        } else {
                            sb2.append('^');
                            f3 = i1Var.f(f3);
                            j7 = i1Var.j(i11);
                            i1Var.h();
                            i10 = 45;
                            z8 = true;
                        }
                        aVar4 = f3;
                        if (j7 == i10) {
                            aVar = aVar4;
                            z4 = z8;
                            z5 = true;
                            i6 = 0;
                            i5 = 1;
                            i7 = j7;
                            unicodeSet = null;
                            if (i6 != 0) {
                            }
                        } else {
                            i1Var.k(aVar4);
                            i14 = 1;
                            i12 = 2;
                        }
                    }
                    z4 = z8;
                }
                i5 = i14;
                unicodeSet = null;
                if (i6 != 0) {
                }
            }
        }
        if (i14 != i4) {
            i2(i1Var, "Missing ']'");
        }
        i1Var.l(i11);
        if ((i2 & 2) != 0) {
            y0(i4);
        }
        if (z8) {
            I0().M1();
        }
        if (z) {
            a0(appendable, sb2.toString());
        } else {
            d0(appendable, z3, z2);
        }
    }

    public static UnicodeSet n1(CharSequence charSequence) {
        return new UnicodeSet().F(charSequence);
    }

    public static UnicodeSet o1(CharSequence charSequence) {
        return new UnicodeSet().K(charSequence);
    }

    @Deprecated
    public static l p1() {
        return J0;
    }

    private UnicodeSet q0(String str, ParsePosition parsePosition, k2 k2Var) {
        boolean z;
        boolean z2;
        int i2;
        String str2;
        String str3;
        int index = parsePosition.getIndex();
        if (index + 5 > str.length()) {
            return null;
        }
        boolean z3 = false;
        int i3 = 2;
        if (str.regionMatches(index, "[:", 0, 2)) {
            i2 = y0.g(str, index + 2);
            if (i2 >= str.length() || str.charAt(i2) != '^') {
                z2 = false;
                z = false;
            } else {
                i2++;
                z2 = false;
                z = true;
            }
            z3 = true;
        } else if (!str.regionMatches(true, index, "\\p", 0, 2) && !str.regionMatches(index, "\\N", 0, 2)) {
            return null;
        } else {
            char charAt = str.charAt(index + 1);
            boolean z4 = charAt == 'P';
            boolean z5 = charAt == 'N';
            int g2 = y0.g(str, index + 2);
            if (g2 != str.length()) {
                int i4 = g2 + 1;
                if (str.charAt(g2) == '{') {
                    z = z4;
                    z2 = z5;
                    i2 = i4;
                }
            }
            return null;
        }
        int indexOf = str.indexOf(z3 ? ":]" : com.alipay.sdk.util.g.f6033d, i2);
        if (indexOf < 0) {
            return null;
        }
        int indexOf2 = str.indexOf(61, i2);
        if (indexOf2 < 0 || indexOf2 >= indexOf || z2) {
            str3 = str.substring(i2, indexOf);
            if (z2) {
                str3 = "na";
                str2 = str3;
            } else {
                str2 = "";
            }
        } else {
            str3 = str.substring(i2, indexOf2);
            str2 = str.substring(indexOf2 + 1, indexOf);
        }
        p0(str3, str2, k2Var);
        if (z) {
            I0().M1();
        }
        if (!z3) {
            i3 = 1;
        }
        parsePosition.setIndex(indexOf + i3);
        return this;
    }

    private void r0(i1 i1Var, Appendable appendable, k2 k2Var) {
        String d2 = i1Var.d();
        int e2 = i1Var.e();
        ParsePosition parsePosition = new ParsePosition(e2);
        q0(d2, parsePosition, k2Var);
        int index = parsePosition.getIndex() - e2;
        if (index == 0) {
            i2(i1Var, "Invalid property pattern");
        }
        i1Var.i(index);
        a0(appendable, d2.substring(e2, parsePosition.getIndex()));
    }

    private static <T extends Appendable> T s(T t, int i2, int i3, boolean z) {
        t(t, i2, z);
        if (i2 != i3) {
            if (i2 + 1 != i3 || i2 == 56319) {
                try {
                    t.append('-');
                } catch (IOException e2) {
                    throw new ICUUncheckedIOException(e2);
                }
            }
            t(t, i3, z);
        }
        return t;
    }

    /* access modifiers changed from: private */
    /* JADX WARNING: Code restructure failed: missing block: B:6:0x000d, code lost:
        if (com.ibm.icu.impl.q2.q0(r2) != false) goto L_0x000f;
     */
    public static <T extends Appendable> T t(T t, int i2, boolean z) {
        if (z) {
            try {
                if (q2.c0(i2)) {
                }
                if (!(i2 == 36 || i2 == 38 || i2 == 45 || i2 == 58 || i2 == 123 || i2 == 125)) {
                    switch (i2) {
                        case 91:
                        case 92:
                        case 93:
                        case 94:
                            break;
                        default:
                            if (y0.e(i2)) {
                                t.append(z0.f14783b);
                                break;
                            }
                            break;
                    }
                    c0(t, i2);
                    return t;
                }
                t.append(z0.f14783b);
                c0(t, i2);
                return t;
            } catch (IOException e2) {
                throw new ICUUncheckedIOException(e2);
            }
        }
        return (T) q2.N(t, i2);
    }

    private void t0() {
        if (isFrozen()) {
            throw new UnsupportedOperationException("Attempt to modify frozen object");
        }
    }

    private static <T extends Appendable> T u(T t, String str, boolean z) {
        int i2 = 0;
        while (i2 < str.length()) {
            int codePointAt = str.codePointAt(i2);
            t(t, codePointAt, z);
            i2 += Character.charCount(codePointAt);
        }
        return t;
    }

    private static int u1(CharSequence charSequence) {
        int codePointAt;
        if (charSequence.length() == 1) {
            return charSequence.charAt(0);
        }
        if (charSequence.length() != 2 || (codePointAt = Character.codePointAt(charSequence, 0)) <= 65535) {
            return -1;
        }
        return codePointAt;
    }

    @Deprecated
    public static int v1(CharSequence charSequence) {
        return com.ibm.icu.lang.a.j(charSequence);
    }

    private <T extends Appendable> T x(T t, boolean z) {
        boolean z2;
        String str = this.p1;
        if (str == null) {
            return (T) d0(t, z, true);
        }
        if (!z) {
            try {
                t.append(str);
                return t;
            } catch (IOException e2) {
                throw new ICUUncheckedIOException(e2);
            }
        } else {
            int i2 = 0;
            loop0:
            while (true) {
                z2 = false;
                while (i2 < this.p1.length()) {
                    int codePointAt = this.p1.codePointAt(i2);
                    i2 += Character.charCount(codePointAt);
                    if (q2.c0(codePointAt)) {
                        q2.N(t, codePointAt);
                    } else if (z2 || codePointAt != 92) {
                        if (z2) {
                            t.append(z0.f14783b);
                        }
                        c0(t, codePointAt);
                    } else {
                        z2 = true;
                    }
                }
                break loop0;
            }
            if (z2) {
                t.append(z0.f14783b);
            }
            return t;
        }
    }

    private static int y1(r1 r1Var, int i2, int i3, String str) {
        int length = str.length();
        int i4 = 1;
        if (i2 < i3) {
            int i5 = i3 - i2;
            if (i5 <= length) {
                length = i5;
            }
            while (i4 < length) {
                if (r1Var.charAt(i2 + i4) != str.charAt(i4)) {
                    return 0;
                }
                i4++;
            }
            return length;
        }
        int i6 = i2 - i3;
        if (i6 > length) {
            i6 = length;
        }
        int i7 = length - 1;
        while (i4 < i6) {
            if (r1Var.charAt(i2 - i4) != str.charAt(i7 - i4)) {
                return 0;
            }
            i4++;
        }
        return i6;
    }

    public final UnicodeSet D(int i2) {
        t0();
        return X(i2);
    }

    public UnicodeSet E(int i2, int i3) {
        t0();
        return Y(i2, i3);
    }

    public final UnicodeSet F(CharSequence charSequence) {
        t0();
        int u1 = u1(charSequence);
        if (u1 < 0) {
            String charSequence2 = charSequence.toString();
            if (!this.o1.contains(charSequence2)) {
                W(charSequence2);
                this.p1 = null;
            }
        } else {
            Y(u1, u1);
        }
        return this;
    }

    /* renamed from: F0 */
    public int compareTo(UnicodeSet unicodeSet) {
        return G0(unicodeSet, ComparisonStyle.SHORTER_FIRST);
    }

    public Iterable<b> F1() {
        return new c();
    }

    public UnicodeSet G(Iterable<?> iterable) {
        return L(iterable);
    }

    public int G0(UnicodeSet unicodeSet, ComparisonStyle comparisonStyle) {
        int B0;
        int size;
        boolean z = false;
        if (comparisonStyle == ComparisonStyle.LEXICOGRAPHIC || (size = size() - unicodeSet.size()) == 0) {
            int i2 = 0;
            while (true) {
                int[] iArr = this.l1;
                int i3 = iArr[i2];
                int[] iArr2 = unicodeSet.l1;
                int i4 = i3 - iArr2[i2];
                if (i4 != 0) {
                    if (iArr[i2] == 1114112) {
                        if (!w1()) {
                            return 1;
                        }
                        return B0(this.o1.first(), unicodeSet.l1[i2]);
                    } else if (iArr2[i2] != 1114112) {
                        return (i2 & 1) == 0 ? i4 : -i4;
                    } else {
                        if (unicodeSet.w1() && (B0 = B0(unicodeSet.o1.first(), this.l1[i2])) <= 0) {
                            return B0 < 0 ? 1 : 0;
                        }
                        return -1;
                    }
                } else if (iArr[i2] == 1114112) {
                    return C0(this.o1, unicodeSet.o1);
                } else {
                    i2++;
                }
            }
        } else {
            boolean z2 = size < 0;
            if (comparisonStyle == ComparisonStyle.SHORTER_FIRST) {
                z = true;
            }
            if (z2 == z) {
                return -1;
            }
            return 1;
        }
    }

    public final UnicodeSet G1(int i2) {
        return H1(i2, i2);
    }

    public int H0(Iterable<String> iterable) {
        return C0(this, iterable);
    }

    public UnicodeSet H1(int i2, int i3) {
        t0();
        if (i2 < 0 || i2 > 1114111) {
            throw new IllegalArgumentException("Invalid code point U+" + q2.X((long) i2, 6));
        } else if (i3 < 0 || i3 > 1114111) {
            throw new IllegalArgumentException("Invalid code point U+" + q2.X((long) i3, 6));
        } else {
            if (i2 <= i3) {
                T1(E1(i2, i3), 2, 2);
            }
            return this;
        }
    }

    public UnicodeSet I(int i2, int i3) {
        t0();
        return Y(i2, i3);
    }

    public UnicodeSet I0() {
        t0();
        int[] iArr = this.l1;
        if (iArr[0] == 0) {
            System.arraycopy(iArr, 1, iArr, 0, this.k1 - 1);
            this.k1--;
        } else {
            h1(this.k1 + 1);
            int[] iArr2 = this.l1;
            System.arraycopy(iArr2, 0, iArr2, 1, this.k1);
            this.l1[0] = 0;
            this.k1++;
        }
        this.p1 = null;
        return this;
    }

    public final UnicodeSet I1(CharSequence charSequence) {
        int u1 = u1(charSequence);
        if (u1 < 0) {
            t0();
            String charSequence2 = charSequence.toString();
            if (this.o1.contains(charSequence2)) {
                this.o1.remove(charSequence2);
                this.p1 = null;
            }
        } else {
            H1(u1, u1);
        }
        return this;
    }

    public UnicodeSet J(UnicodeSet unicodeSet) {
        t0();
        H(unicodeSet.l1, unicodeSet.k1, 0);
        if (unicodeSet.w1()) {
            SortedSet<String> sortedSet = this.o1;
            if (sortedSet == f15445a) {
                this.o1 = new TreeSet((SortedSet) unicodeSet.o1);
            } else {
                sortedSet.addAll(unicodeSet.o1);
            }
        }
        return this;
    }

    public UnicodeSet J1(UnicodeSet unicodeSet) {
        t0();
        T1(unicodeSet.l1, unicodeSet.k1, 2);
        if (w1() && unicodeSet.w1()) {
            this.o1.removeAll(unicodeSet.o1);
        }
        return this;
    }

    public final UnicodeSet K(CharSequence charSequence) {
        t0();
        int i2 = 0;
        while (i2 < charSequence.length()) {
            int j2 = w2.j(charSequence, i2);
            Y(j2, j2);
            i2 += w2.z(j2);
        }
        return this;
    }

    public final UnicodeSet K0(int i2) {
        return L0(i2, i2);
    }

    public final UnicodeSet K1(CharSequence charSequence) {
        return J1(o1(charSequence));
    }

    public UnicodeSet L(Iterable<?> iterable) {
        t0();
        Iterator<?> it = iterable.iterator();
        while (it.hasNext()) {
            F(it.next().toString());
        }
        return this;
    }

    public UnicodeSet L0(int i2, int i3) {
        t0();
        if (i2 < 0 || i2 > 1114111) {
            throw new IllegalArgumentException("Invalid code point U+" + q2.X((long) i2, 6));
        } else if (i3 < 0 || i3 > 1114111) {
            throw new IllegalArgumentException("Invalid code point U+" + q2.X((long) i3, 6));
        } else {
            if (i2 <= i3) {
                k2(E1(i2, i3), 2, 0);
            }
            this.p1 = null;
            return this;
        }
    }

    public <T extends CharSequence> UnicodeSet L1(Iterable<T> iterable) {
        t0();
        for (T t : iterable) {
            I1(t);
        }
        return this;
    }

    public final UnicodeSet M0(CharSequence charSequence) {
        t0();
        int u1 = u1(charSequence);
        if (u1 < 0) {
            String charSequence2 = charSequence.toString();
            if (this.o1.contains(charSequence2)) {
                this.o1.remove(charSequence2);
            } else {
                W(charSequence2);
            }
            this.p1 = null;
        } else {
            L0(u1, u1);
        }
        return this;
    }

    public final UnicodeSet M1() {
        t0();
        if (w1()) {
            this.o1.clear();
            this.p1 = null;
        }
        return this;
    }

    public <T extends CharSequence> UnicodeSet N(T... tArr) {
        t0();
        for (T t : tArr) {
            F(t);
        }
        return this;
    }

    public UnicodeSet N0(UnicodeSet unicodeSet) {
        t0();
        k2(unicodeSet.l1, unicodeSet.k1, 0);
        if (unicodeSet.w1()) {
            SortedSet<String> sortedSet = this.o1;
            if (sortedSet == f15445a) {
                this.o1 = new TreeSet((SortedSet) unicodeSet.o1);
            } else {
                n1.a(sortedSet, 5, unicodeSet.o1);
            }
        }
        return this;
    }

    public final UnicodeSet O0(CharSequence charSequence) {
        return N0(o1(charSequence));
    }

    public boolean P0(int i2, int i3) {
        if (i2 < 0 || i2 > 1114111) {
            throw new IllegalArgumentException("Invalid code point U+" + q2.X((long) i2, 6));
        } else if (i3 < 0 || i3 > 1114111) {
            throw new IllegalArgumentException("Invalid code point U+" + q2.X((long) i3, 6));
        } else {
            int i12 = i1(i2);
            return (i12 & 1) != 0 && i3 < this.l1[i12];
        }
    }

    public final boolean Q0(CharSequence charSequence) {
        int u1 = u1(charSequence);
        if (u1 < 0) {
            return this.o1.contains(charSequence.toString());
        }
        return r(u1);
    }

    public final UnicodeSet Q1(int i2) {
        return R1(i2, i2);
    }

    public <T extends Collection<String>> T R(T t) {
        return (T) O(this, t);
    }

    public boolean R0(UnicodeSet unicodeSet) {
        int[] iArr = unicodeSet.l1;
        int i2 = this.k1 - 1;
        int i3 = unicodeSet.k1 - 1;
        boolean z = true;
        int i4 = 0;
        boolean z2 = true;
        int i5 = 0;
        int i6 = 0;
        int i7 = 0;
        int i8 = 0;
        int i9 = 0;
        while (true) {
            if (z) {
                if (i4 < i2) {
                    int[] iArr2 = this.l1;
                    int i10 = i4 + 1;
                    int i11 = iArr2[i4];
                    int i12 = i10 + 1;
                    int i13 = iArr2[i10];
                    i6 = i11;
                    i4 = i12;
                    i8 = i13;
                } else if (!z2 || i5 < i3) {
                    return false;
                }
            }
            if (z2) {
                if (i5 >= i3) {
                    break;
                }
                int i14 = i5 + 1;
                i7 = iArr[i5];
                i5 = i14 + 1;
                i9 = iArr[i14];
            }
            if (i7 >= i8) {
                z = true;
                z2 = false;
            } else if (i7 < i6 || i9 > i8) {
                return false;
            } else {
                z = false;
                z2 = true;
            }
        }
        if (!this.o1.containsAll(unicodeSet.o1)) {
            return false;
        }
        return true;
    }

    public UnicodeSet R1(int i2, int i3) {
        t0();
        if (i2 < 0 || i2 > 1114111) {
            throw new IllegalArgumentException("Invalid code point U+" + q2.X((long) i2, 6));
        } else if (i3 < 0 || i3 > 1114111) {
            throw new IllegalArgumentException("Invalid code point U+" + q2.X((long) i3, 6));
        } else {
            if (i2 <= i3) {
                T1(E1(i2, i3), 2, 0);
            } else {
                u0();
            }
            return this;
        }
    }

    public <T extends CharSequence> boolean S0(Iterable<T> iterable) {
        for (T t : iterable) {
            if (!Q0(t)) {
                return false;
            }
        }
        return true;
    }

    public final UnicodeSet S1(CharSequence charSequence) {
        int u1 = u1(charSequence);
        if (u1 < 0) {
            t0();
            String charSequence2 = charSequence.toString();
            boolean contains = this.o1.contains(charSequence2);
            if (contains && q1() == 0 && size() == 1) {
                return this;
            }
            u0();
            if (contains) {
                W(charSequence2);
            }
            this.p1 = null;
        } else {
            R1(u1, u1);
        }
        return this;
    }

    public String[] T(String[] strArr) {
        return (String[]) S(this, strArr);
    }

    public boolean T0(String str) {
        int i2 = 0;
        while (i2 < str.length()) {
            int k2 = w2.k(str, i2);
            if (r(k2)) {
                i2 += w2.z(k2);
            } else if (!w1()) {
                return false;
            } else {
                return U0(str, 0);
            }
        }
        return true;
    }

    @Deprecated
    public UnicodeSet U(UnicodeSet unicodeSet) {
        int i2;
        e3 e3Var = new e3(new UnicodeSet(this).I0().M1());
        while (e3Var.d()) {
            int i3 = e3Var.f15548b;
            if (!(i3 == 0 || (i2 = e3Var.f15549c) == 1114111 || !unicodeSet.P0(i3, i2))) {
                E(e3Var.f15548b, e3Var.f15549c);
            }
        }
        return this;
    }

    public UnicodeSet U1(UnicodeSet unicodeSet) {
        t0();
        T1(unicodeSet.l1, unicodeSet.k1, 0);
        if (w1()) {
            if (!unicodeSet.w1()) {
                this.o1.clear();
            } else {
                this.o1.retainAll(unicodeSet.o1);
            }
        }
        return this;
    }

    public final UnicodeSet V1(CharSequence charSequence) {
        return U1(o1(charSequence));
    }

    public boolean W0(int i2, int i3) {
        int[] iArr;
        if (i2 < 0 || i2 > 1114111) {
            throw new IllegalArgumentException("Invalid code point U+" + q2.X((long) i2, 6));
        } else if (i3 < 0 || i3 > 1114111) {
            throw new IllegalArgumentException("Invalid code point U+" + q2.X((long) i3, 6));
        } else {
            int i4 = -1;
            do {
                iArr = this.l1;
                i4++;
            } while (i2 >= iArr[i4]);
            if ((i4 & 1) != 0 || i3 >= iArr[i4]) {
                return false;
            }
            return true;
        }
    }

    public <T extends CharSequence> UnicodeSet W1(Iterable<T> iterable) {
        t0();
        UnicodeSet unicodeSet = new UnicodeSet();
        unicodeSet.L(iterable);
        U1(unicodeSet);
        return this;
    }

    public boolean X0(UnicodeSet unicodeSet) {
        int[] iArr = unicodeSet.l1;
        int i2 = this.k1 - 1;
        int i3 = unicodeSet.k1 - 1;
        boolean z = true;
        int i4 = 0;
        boolean z2 = true;
        int i5 = 0;
        int i6 = 0;
        int i7 = 0;
        int i8 = 0;
        int i9 = 0;
        while (true) {
            if (z) {
                if (i4 >= i2) {
                    break;
                }
                int[] iArr2 = this.l1;
                int i10 = i4 + 1;
                int i11 = iArr2[i4];
                int i12 = i10 + 1;
                int i13 = iArr2[i10];
                i6 = i11;
                i4 = i12;
                i8 = i13;
            }
            if (z2) {
                if (i5 >= i3) {
                    break;
                }
                int i14 = i5 + 1;
                i7 = iArr[i5];
                i5 = i14 + 1;
                i9 = iArr[i14];
            }
            if (i7 >= i8) {
                z = true;
                z2 = false;
            } else if (i6 < i9) {
                return false;
            } else {
                z = false;
                z2 = true;
            }
        }
        if (!n1.b(this.o1, 5, unicodeSet.o1)) {
            return false;
        }
        return true;
    }

    public UnicodeSet X1(int i2, int i3) {
        t0();
        u0();
        L0(i2, i3);
        return this;
    }

    public boolean Y0(CharSequence charSequence) {
        return b2(charSequence, SpanCondition.NOT_CONTAINED) == charSequence.length();
    }

    public UnicodeSet Y1(UnicodeSet unicodeSet) {
        t0();
        this.l1 = Arrays.copyOf(unicodeSet.l1, unicodeSet.k1);
        this.k1 = unicodeSet.k1;
        this.p1 = unicodeSet.p1;
        if (unicodeSet.w1()) {
            this.o1 = new TreeSet((SortedSet) unicodeSet.o1);
        } else {
            this.o1 = f15445a;
        }
        return this;
    }

    public <T extends CharSequence> boolean Z0(Iterable<T> iterable) {
        for (T t : iterable) {
            if (Q0(t)) {
                return false;
            }
        }
        return true;
    }

    public final boolean a1(int i2, int i3) {
        return !W0(i2, i3);
    }

    public int a2(CharSequence charSequence, int i2, SpanCondition spanCondition) {
        int length = charSequence.length();
        if (i2 < 0) {
            i2 = 0;
        } else if (i2 >= length) {
            return length;
        }
        if (this.q1 != null) {
            return this.q1.f(charSequence, i2, spanCondition, null);
        }
        if (this.r1 != null) {
            return this.r1.g(charSequence, i2, spanCondition);
        }
        if (w1()) {
            p2 p2Var = new p2(this, new ArrayList(this.o1), spanCondition == SpanCondition.NOT_CONTAINED ? 33 : 34);
            if (p2Var.f()) {
                return p2Var.g(charSequence, i2, spanCondition);
            }
        }
        return f2(charSequence, i2, spanCondition, null);
    }

    @Override // com.ibm.icu.text.b3
    public void b(UnicodeSet unicodeSet) {
        unicodeSet.J(this);
    }

    public int b2(CharSequence charSequence, SpanCondition spanCondition) {
        return a2(charSequence, 0, spanCondition);
    }

    public final boolean c1(UnicodeSet unicodeSet) {
        return !X0(unicodeSet);
    }

    @Deprecated
    public int c2(CharSequence charSequence, int i2, SpanCondition spanCondition, x xVar) {
        if (xVar != null) {
            int length = charSequence.length();
            if (i2 < 0) {
                i2 = 0;
            } else if (i2 >= length) {
                return length;
            }
            if (this.r1 != null) {
                return this.r1.h(charSequence, i2, spanCondition, xVar);
            }
            if (this.q1 != null) {
                return this.q1.f(charSequence, i2, spanCondition, xVar);
            }
            if (!w1()) {
                return f2(charSequence, i2, spanCondition, xVar);
            }
            return new p2(this, new ArrayList(this.o1), (spanCondition == SpanCondition.NOT_CONTAINED ? 33 : 34) | 64).h(charSequence, i2, spanCondition, xVar);
        }
        throw new IllegalArgumentException("outCount must not be null");
    }

    @Override // java.lang.Object
    public Object clone() {
        if (isFrozen()) {
            return this;
        }
        return new UnicodeSet(this);
    }

    public int d2(CharSequence charSequence, int i2, SpanCondition spanCondition) {
        boolean z = false;
        if (i2 <= 0) {
            return 0;
        }
        if (i2 > charSequence.length()) {
            i2 = charSequence.length();
        }
        if (this.q1 != null) {
            return this.q1.g(charSequence, i2, spanCondition);
        }
        if (this.r1 != null) {
            return this.r1.i(charSequence, i2, spanCondition);
        }
        if (w1()) {
            p2 p2Var = new p2(this, new ArrayList(this.o1), spanCondition == SpanCondition.NOT_CONTAINED ? 17 : 18);
            if (p2Var.f()) {
                return p2Var.i(charSequence, i2, spanCondition);
            }
        }
        if (spanCondition != SpanCondition.NOT_CONTAINED) {
            z = true;
        }
        do {
            int codePointBefore = Character.codePointBefore(charSequence, i2);
            if (z != r(codePointBefore)) {
                break;
            }
            i2 -= Character.charCount(codePointBefore);
        } while (i2 > 0);
        return i2;
    }

    public final boolean e1(CharSequence charSequence) {
        return !Y0(charSequence);
    }

    public int e2(CharSequence charSequence, SpanCondition spanCondition) {
        return d2(charSequence, charSequence.length(), spanCondition);
    }

    public boolean equals(Object obj) {
        if (obj == null) {
            return false;
        }
        if (this == obj) {
            return true;
        }
        try {
            UnicodeSet unicodeSet = (UnicodeSet) obj;
            if (this.k1 != unicodeSet.k1) {
                return false;
            }
            for (int i2 = 0; i2 < this.k1; i2++) {
                if (this.l1[i2] != unicodeSet.l1[i2]) {
                    return false;
                }
            }
            return this.o1.equals(unicodeSet.o1);
        } catch (Exception unused) {
            return false;
        }
    }

    public final <T extends CharSequence> boolean f1(Iterable<T> iterable) {
        return !Z0(iterable);
    }

    public UnicodeSet g0(int i2, int i3) {
        if (i2 == 8192) {
            f0(new f(i3), com.ibm.icu.impl.l.b(i2));
        } else if (i2 == 28672) {
            f0(new i(i3), com.ibm.icu.impl.l.b(i2));
        } else if (i2 < 0 || i2 >= 72) {
            if (4096 > i2 || i2 >= 4121) {
                throw new IllegalArgumentException("unsupported property " + i2);
            }
            f0(new g(i2, i3), com.ibm.icu.impl.l.b(i2));
        } else if (i3 == 0 || i3 == 1) {
            Y1(com.ibm.icu.lang.b.a(i2));
            if (i3 == 0) {
                I0().M1();
            }
        } else {
            u0();
        }
        return this;
    }

    public Collection<String> g2() {
        if (w1()) {
            return Collections.unmodifiableSortedSet(this.o1);
        }
        return f15445a;
    }

    public final UnicodeSet h0(String str) {
        t0();
        return j0(str, null, null, 1);
    }

    @Deprecated
    public String h2(CharSequence charSequence, boolean z) {
        StringBuilder sb = new StringBuilder();
        int i2 = 0;
        while (i2 < charSequence.length()) {
            int k12 = k1(charSequence, i2, !z);
            sb.append(charSequence.subSequence(i2, k12));
            i2 = k1(charSequence, k12, z);
        }
        return sb.toString();
    }

    public int hashCode() {
        int i2 = this.k1;
        for (int i3 = 0; i3 < this.k1; i3++) {
            i2 = (i2 * 1000003) + this.l1[i3];
        }
        return i2;
    }

    public UnicodeSet i0(String str, int i2) {
        t0();
        return j0(str, null, null, i2);
    }

    public boolean isEmpty() {
        return this.k1 == 1 && !w1();
    }

    @Override // com.ibm.icu.util.n
    public boolean isFrozen() {
        return (this.q1 == null && this.r1 == null) ? false : true;
    }

    @Override // java.lang.Iterable
    public Iterator<String> iterator() {
        return new j(this);
    }

    @Deprecated
    public UnicodeSet j0(String str, ParsePosition parsePosition, k2 k2Var, int i2) {
        boolean z = parsePosition == null;
        if (z) {
            parsePosition = new ParsePosition(0);
        }
        StringBuilder sb = new StringBuilder();
        i1 i1Var = new i1(str, k2Var, parsePosition);
        l0(i1Var, k2Var, sb, i2, 0);
        if (i1Var.g()) {
            i2(i1Var, "Extra chars in variable value");
        }
        this.p1 = sb.toString();
        if (z) {
            int index = parsePosition.getIndex();
            if ((i2 & 1) != 0) {
                index = y0.g(str, index);
            }
            if (index != str.length()) {
                throw new IllegalArgumentException("Parse of \"" + str + "\" failed at " + index);
            }
        }
        return this;
    }

    public UnicodeSet k0(String str, boolean z) {
        t0();
        return j0(str, null, null, z ? 1 : 0);
    }

    @Deprecated
    public int k1(CharSequence charSequence, int i2, boolean z) {
        while (i2 < charSequence.length()) {
            int j2 = w2.j(charSequence, i2);
            if (r(j2) != z) {
                break;
            }
            i2 += w2.z(j2);
        }
        return i2;
    }

    @Deprecated
    public int l1(CharSequence charSequence, int i2, boolean z) {
        int i3 = i2 - 1;
        while (i3 >= 0) {
            int j2 = w2.j(charSequence, i3);
            if (r(j2) != z) {
                break;
            }
            i3 -= w2.z(j2);
        }
        if (i3 < 0) {
            return -1;
        }
        return i3;
    }

    /* renamed from: m1 */
    public UnicodeSet freeze() {
        if (!isFrozen()) {
            z0();
            if (w1()) {
                this.r1 = new p2(this, new ArrayList(this.o1), 127);
            }
            if (this.r1 == null || !this.r1.f()) {
                this.q1 = new com.ibm.icu.impl.b(this.l1, this.k1);
            }
        }
        return this;
    }

    @Override // com.ibm.icu.text.a3, com.ibm.icu.text.b3
    public int n(r1 r1Var, int[] iArr, int i2, boolean z) {
        int i3;
        if (iArr[0] != i2) {
            if (w1()) {
                boolean z2 = iArr[0] < i2;
                char charAt = r1Var.charAt(iArr[0]);
                int i4 = 0;
                for (String str : this.o1) {
                    if (!str.isEmpty()) {
                        if (z2) {
                            i3 = 0;
                        } else {
                            i3 = str.length() - 1;
                        }
                        char charAt2 = str.charAt(i3);
                        if (z2 && charAt2 > charAt) {
                            break;
                        } else if (charAt2 == charAt) {
                            int y1 = y1(r1Var, iArr[0], i2, str);
                            if (z) {
                                if (y1 == (z2 ? i2 - iArr[0] : iArr[0] - i2)) {
                                    return 1;
                                }
                            }
                            if (y1 == str.length()) {
                                if (y1 > i4) {
                                    i4 = y1;
                                }
                                if (z2 && y1 < i4) {
                                    break;
                                }
                            } else {
                                continue;
                            }
                        } else {
                            continue;
                        }
                    }
                }
                if (i4 != 0) {
                    int i5 = iArr[0];
                    if (!z2) {
                        i4 = -i4;
                    }
                    iArr[0] = i5 + i4;
                    return 2;
                }
            }
            return super.n(r1Var, iArr, i2, z);
        } else if (!r(65535)) {
            return 0;
        } else {
            if (z) {
                return 1;
            }
            return 2;
        }
    }

    public UnicodeSet n0(String str, String str2) {
        return p0(str, str2, null);
    }

    @Override // com.ibm.icu.text.b3
    public boolean p(int i2) {
        for (int i3 = 0; i3 < q1(); i3++) {
            int s1 = s1(i3);
            int r12 = r1(i3);
            if ((s1 & InputDeviceCompat.SOURCE_ANY) == (r12 & InputDeviceCompat.SOURCE_ANY)) {
                if ((s1 & 255) <= i2 && i2 <= (r12 & 255)) {
                    return true;
                }
            } else if ((s1 & 255) <= i2 || i2 <= (r12 & 255)) {
                return true;
            }
        }
        if (w1()) {
            for (String str : this.o1) {
                if (!str.isEmpty() && (w2.k(str, 0) & 255) == i2) {
                    return true;
                }
            }
        }
        return false;
    }

    public UnicodeSet p0(String str, String str2, k2 k2Var) {
        t0();
        if (k2Var != null && (k2Var instanceof l) && ((l) k2Var).d(str, str2, this)) {
            return this;
        }
        l lVar = J0;
        if (lVar != null && lVar.d(str, str2, this)) {
            return this;
        }
        int length = str2.length();
        int i2 = com.ibm.icu.lang.h.I0;
        int i3 = 1;
        boolean z = false;
        if (length > 0) {
            int T = com.ibm.icu.lang.c.T(str);
            if (T == 4101) {
                T = 8192;
            }
            if ((T >= 0 && T < 72) || ((T >= 4096 && T < 4121) || (T >= 8192 && T < 8193))) {
                try {
                    i3 = com.ibm.icu.lang.c.V(T, str2);
                } catch (IllegalArgumentException e2) {
                    if (T == 4098 || T == 4112 || T == 4113) {
                        i3 = Integer.parseInt(y0.i(str2));
                        if (i3 < 0 || i3 > 255) {
                            throw e2;
                        }
                    } else {
                        throw e2;
                    }
                }
            } else if (T == 12288) {
                f0(new h(Double.parseDouble(y0.i(str2))), com.ibm.icu.impl.l.b(T));
                return this;
            } else if (T == 16384) {
                f0(new k(l0.j(C1(str2))), com.ibm.icu.impl.l.b(T));
                return this;
            } else if (T == 16389) {
                int u = com.ibm.icu.lang.c.u(C1(str2));
                if (u != -1) {
                    u0();
                    X(u);
                    return this;
                }
                throw new IllegalArgumentException("Invalid character name");
            } else if (T == 16395) {
                throw new IllegalArgumentException("Unicode_1_Name (na1) not supported");
            } else if (T == 28672) {
                i3 = com.ibm.icu.lang.c.V(com.ibm.icu.lang.h.I0, str2);
            } else {
                throw new IllegalArgumentException("Unsupported property");
            }
            i2 = T;
        } else {
            j2 j2Var = j2.g;
            int j2 = j2Var.j(8192, str);
            if (j2 == -1) {
                int j3 = j2Var.j(com.ibm.icu.lang.h.I0, str);
                if (j3 == -1) {
                    int g2 = j2Var.g(str);
                    i2 = g2 == -1 ? -1 : g2;
                    if (i2 < 0 || i2 >= 72) {
                        if (i2 != -1) {
                            throw new IllegalArgumentException("Missing property value");
                        } else if (j2.b(Q0, str) == 0) {
                            X1(0, 1114111);
                            return this;
                        } else if (j2.b(R0, str) == 0) {
                            X1(0, 127);
                            return this;
                        } else if (j2.b(S0, str) == 0) {
                            i2 = 8192;
                            z = true;
                        } else {
                            throw new IllegalArgumentException("Invalid property alias: " + str + "=" + str2);
                        }
                    }
                } else {
                    i3 = j3;
                }
            } else {
                i3 = j2;
                i2 = 8192;
            }
        }
        g0(i2, i3);
        if (z) {
            I0().M1();
        }
        return this;
    }

    @Override // com.ibm.icu.text.b3
    public String q(boolean z) {
        String str = this.p1;
        if (str == null || z) {
            return ((StringBuilder) x(new StringBuilder(), z)).toString();
        }
        return str;
    }

    public int q1() {
        return this.k1 / 2;
    }

    @Override // com.ibm.icu.text.a3
    public boolean r(int i2) {
        if (i2 < 0 || i2 > 1114111) {
            throw new IllegalArgumentException("Invalid code point U+" + q2.X((long) i2, 6));
        } else if (this.q1 != null) {
            return this.q1.a(i2);
        } else {
            if (this.r1 != null) {
                return this.r1.b(i2);
            }
            return (i1(i2) & 1) != 0;
        }
    }

    public int r1(int i2) {
        return this.l1[(i2 * 2) + 1] - 1;
    }

    public int s0(int i2) {
        if (i2 < 0) {
            return -1;
        }
        int i3 = this.k1 & -2;
        int i4 = 0;
        while (i4 < i3) {
            int[] iArr = this.l1;
            int i5 = i4 + 1;
            int i6 = iArr[i4];
            int i7 = i5 + 1;
            int i8 = iArr[i5] - i6;
            if (i2 < i8) {
                return i6 + i2;
            }
            i2 -= i8;
            i4 = i7;
        }
        return -1;
    }

    public int s1(int i2) {
        return this.l1[i2 * 2];
    }

    public int size() {
        int q12 = q1();
        int i2 = 0;
        for (int i3 = 0; i3 < q12; i3++) {
            i2 += (r1(i3) - s1(i3)) + 1;
        }
        return i2 + this.o1.size();
    }

    @Deprecated
    public String t1() {
        if (!w1()) {
            return toString();
        }
        StringBuilder sb = new StringBuilder("(?:");
        d0(sb, true, false);
        for (String str : this.o1) {
            sb.append('|');
            u(sb, str, true);
        }
        sb.append(")");
        return sb.toString();
    }

    public String toString() {
        return q(true);
    }

    public UnicodeSet u0() {
        t0();
        this.l1[0] = 1114112;
        this.k1 = 1;
        this.p1 = null;
        if (w1()) {
            this.o1.clear();
        }
        return this;
    }

    public StringBuffer v(StringBuffer stringBuffer, boolean z) {
        return w(stringBuffer, z, true);
    }

    /* renamed from: v0 */
    public UnicodeSet cloneAsThawed() {
        return new UnicodeSet(this);
    }

    public StringBuffer w(StringBuffer stringBuffer, boolean z, boolean z2) {
        return (StringBuffer) d0(stringBuffer, z, z2);
    }

    public boolean w1() {
        return !this.o1.isEmpty();
    }

    public int x1(int i2) {
        if (i2 < 0 || i2 > 1114111) {
            throw new IllegalArgumentException("Invalid code point U+" + q2.X((long) i2, 6));
        }
        int i3 = 0;
        int i4 = 0;
        while (true) {
            int[] iArr = this.l1;
            int i5 = i3 + 1;
            int i6 = iArr[i3];
            if (i2 < i6) {
                return -1;
            }
            int i7 = i5 + 1;
            int i8 = iArr[i5];
            if (i2 < i8) {
                return (i4 + i2) - i6;
            }
            i4 += i8 - i6;
            i3 = i7;
        }
    }

    public UnicodeSet y0(int i2) {
        t0();
        if ((i2 & 6) != 0) {
            b2 b2Var = b2.f0;
            UnicodeSet unicodeSet = new UnicodeSet(this);
            ULocale uLocale = ULocale.ROOT;
            int i3 = i2 & 2;
            if (i3 != 0 && unicodeSet.w1()) {
                unicodeSet.o1.clear();
            }
            int q12 = q1();
            StringBuilder sb = new StringBuilder();
            for (int i4 = 0; i4 < q12; i4++) {
                int s1 = s1(i4);
                int r12 = r1(i4);
                if (i3 != 0) {
                    while (s1 <= r12) {
                        b2Var.a(s1, unicodeSet);
                        s1++;
                    }
                } else {
                    while (s1 <= r12) {
                        V(unicodeSet, b2Var.G(s1, null, sb, 1), sb);
                        V(unicodeSet, b2Var.H(s1, null, sb, 1), sb);
                        V(unicodeSet, b2Var.I(s1, null, sb, 1), sb);
                        V(unicodeSet, b2Var.F(s1, sb, 0), sb);
                        s1++;
                    }
                }
            }
            if (w1()) {
                if (i3 != 0) {
                    for (String str : this.o1) {
                        String n = com.ibm.icu.lang.c.n(str, 0);
                        if (!b2Var.c(n, unicodeSet)) {
                            unicodeSet.F(n);
                        }
                    }
                } else {
                    i E = i.E(uLocale);
                    for (String str2 : this.o1) {
                        unicodeSet.F(com.ibm.icu.lang.c.T0(uLocale, str2));
                        unicodeSet.F(com.ibm.icu.lang.c.Y0(uLocale, str2, E));
                        unicodeSet.F(com.ibm.icu.lang.c.e1(uLocale, str2));
                        unicodeSet.F(com.ibm.icu.lang.c.n(str2, 0));
                    }
                }
            }
            Y1(unicodeSet);
        }
        return this;
    }

    public UnicodeSet z0() {
        t0();
        int i2 = this.k1;
        int i3 = i2 + 7;
        int[] iArr = this.l1;
        if (i3 < iArr.length) {
            this.l1 = Arrays.copyOf(iArr, i2);
        }
        this.m1 = null;
        this.n1 = null;
        SortedSet<String> sortedSet = this.o1;
        SortedSet<String> sortedSet2 = f15445a;
        if (sortedSet != sortedSet2 && sortedSet.isEmpty()) {
            this.o1 = sortedSet2;
        }
        return this;
    }

    @Deprecated
    public int z1(CharSequence charSequence, int i2) {
        int i3 = -1;
        if (w1()) {
            char charAt = charSequence.charAt(i2);
            String str = null;
            Iterator<String> it = this.o1.iterator();
            while (true) {
                if (!it.hasNext()) {
                    while (true) {
                        int A1 = A1(charSequence, i2, str);
                        if (i3 > A1) {
                            break;
                        } else if (!it.hasNext()) {
                            i3 = A1;
                            break;
                        } else {
                            str = it.next();
                            i3 = A1;
                        }
                    }
                } else {
                    str = it.next();
                    char charAt2 = str.charAt(0);
                    if (charAt2 >= charAt && charAt2 > charAt) {
                        break;
                    }
                }
            }
        }
        if (i3 < 2) {
            int j2 = w2.j(charSequence, i2);
            if (r(j2)) {
                i3 = w2.z(j2);
            }
        }
        return i2 + i3;
    }

    public UnicodeSet(UnicodeSet unicodeSet) {
        this.o1 = f15445a;
        this.p1 = null;
        Y1(unicodeSet);
    }

    public UnicodeSet(int i2, int i3) {
        this();
        E(i2, i3);
    }

    public UnicodeSet(int... iArr) {
        this.o1 = f15445a;
        this.p1 = null;
        if ((iArr.length & 1) == 0) {
            int[] iArr2 = new int[(iArr.length + 1)];
            this.l1 = iArr2;
            this.k1 = iArr2.length;
            int i2 = -1;
            int i3 = 0;
            while (i3 < iArr.length) {
                int i4 = iArr[i3];
                if (i2 < i4) {
                    int[] iArr3 = this.l1;
                    int i5 = i3 + 1;
                    iArr3[i3] = i4;
                    int i6 = iArr[i5] + 1;
                    if (i4 < i6) {
                        iArr3[i5] = i6;
                        i2 = i6;
                        i3 = i5 + 1;
                    } else {
                        throw new IllegalArgumentException("Must be monotonically increasing.");
                    }
                } else {
                    throw new IllegalArgumentException("Must be monotonically increasing.");
                }
            }
            this.l1[i3] = 1114112;
            return;
        }
        throw new IllegalArgumentException("Must have even number of integers");
    }

    public UnicodeSet(String str) {
        this();
        j0(str, null, null, 1);
    }

    public UnicodeSet(String str, boolean z) {
        this();
        j0(str, null, null, z ? 1 : 0);
    }

    public UnicodeSet(String str, int i2) {
        this();
        j0(str, null, null, i2);
    }

    public UnicodeSet(String str, ParsePosition parsePosition, k2 k2Var) {
        this();
        j0(str, parsePosition, k2Var, 1);
    }

    public UnicodeSet(String str, ParsePosition parsePosition, k2 k2Var, int i2) {
        this();
        j0(str, parsePosition, k2Var, i2);
    }
}
