package com.ibm.icu.text;

import com.ibm.icu.text.UnicodeSet;
import com.ibm.icu.util.x;

public class UnicodeSetSpanner {

    /* renamed from: a  reason: collision with root package name */
    private final UnicodeSet f15462a;

    public enum CountMethod {
        WHOLE_SPAN,
        MIN_ELEMENTS
    }

    public enum TrimOption {
        LEADING,
        BOTH,
        TRAILING
    }

    public UnicodeSetSpanner(UnicodeSet unicodeSet) {
        this.f15462a = unicodeSet;
    }

    public int a(CharSequence charSequence) {
        return c(charSequence, CountMethod.MIN_ELEMENTS, UnicodeSet.SpanCondition.SIMPLE);
    }

    public int b(CharSequence charSequence, CountMethod countMethod) {
        return c(charSequence, countMethod, UnicodeSet.SpanCondition.SIMPLE);
    }

    public int c(CharSequence charSequence, CountMethod countMethod, UnicodeSet.SpanCondition spanCondition) {
        UnicodeSet.SpanCondition spanCondition2 = UnicodeSet.SpanCondition.NOT_CONTAINED;
        if (spanCondition == spanCondition2) {
            spanCondition2 = UnicodeSet.SpanCondition.SIMPLE;
        }
        int length = charSequence.length();
        x xVar = null;
        int i = 0;
        int i2 = 0;
        while (i != length) {
            int a2 = this.f15462a.a2(charSequence, i, spanCondition2);
            if (a2 == length) {
                break;
            } else if (countMethod == CountMethod.WHOLE_SPAN) {
                i = this.f15462a.a2(charSequence, a2, spanCondition);
                i2++;
            } else {
                if (xVar == null) {
                    xVar = new x();
                }
                i = this.f15462a.c2(charSequence, a2, spanCondition, xVar);
                i2 += xVar.f16196a;
            }
        }
        return i2;
    }

    public String d(CharSequence charSequence) {
        return i(charSequence, "", CountMethod.WHOLE_SPAN, UnicodeSet.SpanCondition.SIMPLE);
    }

    public String e(CharSequence charSequence, UnicodeSet.SpanCondition spanCondition) {
        return i(charSequence, "", CountMethod.WHOLE_SPAN, spanCondition);
    }

    public boolean equals(Object obj) {
        return (obj instanceof UnicodeSetSpanner) && this.f15462a.equals(((UnicodeSetSpanner) obj).f15462a);
    }

    public UnicodeSet f() {
        return this.f15462a;
    }

    public String g(CharSequence charSequence, CharSequence charSequence2) {
        return i(charSequence, charSequence2, CountMethod.MIN_ELEMENTS, UnicodeSet.SpanCondition.SIMPLE);
    }

    public String h(CharSequence charSequence, CharSequence charSequence2, CountMethod countMethod) {
        return i(charSequence, charSequence2, countMethod, UnicodeSet.SpanCondition.SIMPLE);
    }

    public int hashCode() {
        return this.f15462a.hashCode();
    }

    public String i(CharSequence charSequence, CharSequence charSequence2, CountMethod countMethod, UnicodeSet.SpanCondition spanCondition) {
        int i;
        UnicodeSet.SpanCondition spanCondition2 = UnicodeSet.SpanCondition.NOT_CONTAINED;
        if (spanCondition == spanCondition2) {
            spanCondition2 = UnicodeSet.SpanCondition.SIMPLE;
        }
        int i2 = 0;
        boolean z = charSequence2.length() == 0;
        StringBuilder sb = new StringBuilder();
        int length = charSequence.length();
        x xVar = null;
        while (i2 != length) {
            CountMethod countMethod2 = CountMethod.WHOLE_SPAN;
            if (countMethod == countMethod2) {
                i = this.f15462a.a2(charSequence, i2, spanCondition);
            } else {
                if (xVar == null) {
                    xVar = new x();
                }
                i = this.f15462a.c2(charSequence, i2, spanCondition, xVar);
            }
            if (!z && i != 0) {
                if (countMethod == countMethod2) {
                    sb.append(charSequence2);
                } else {
                    for (int i3 = xVar.f16196a; i3 > 0; i3--) {
                        sb.append(charSequence2);
                    }
                }
            }
            if (i == length) {
                break;
            }
            int a2 = this.f15462a.a2(charSequence, i, spanCondition2);
            sb.append(charSequence.subSequence(i, a2));
            i2 = a2;
        }
        return sb.toString();
    }

    public CharSequence j(CharSequence charSequence) {
        return l(charSequence, TrimOption.BOTH, UnicodeSet.SpanCondition.SIMPLE);
    }

    public CharSequence k(CharSequence charSequence, TrimOption trimOption) {
        return l(charSequence, trimOption, UnicodeSet.SpanCondition.SIMPLE);
    }

    public CharSequence l(CharSequence charSequence, TrimOption trimOption, UnicodeSet.SpanCondition spanCondition) {
        int i;
        int length = charSequence.length();
        if (trimOption != TrimOption.TRAILING) {
            i = this.f15462a.b2(charSequence, spanCondition);
            if (i == length) {
                return "";
            }
        } else {
            i = 0;
        }
        int e2 = trimOption != TrimOption.LEADING ? this.f15462a.e2(charSequence, spanCondition) : length;
        return (i == 0 && e2 == length) ? charSequence : charSequence.subSequence(i, e2);
    }
}
