package com.ibm.icu.text;

import com.ibm.icu.text.UnicodeSet;
import com.ibm.icu.text.w0;
import com.ibm.icu.util.ICUUncheckedIOException;
import java.io.IOException;

/* compiled from: FilteredNormalizer2 */
public class j0 extends Normalizer2 {

    /* renamed from: a  reason: collision with root package name */
    private Normalizer2 f15669a;

    /* renamed from: b  reason: collision with root package name */
    private UnicodeSet f15670b;

    public j0(Normalizer2 normalizer2, UnicodeSet unicodeSet) {
        this.f15669a = normalizer2;
        this.f15670b = unicodeSet;
    }

    private Appendable v(CharSequence charSequence, Appendable appendable, UnicodeSet.SpanCondition spanCondition) {
        StringBuilder sb = new StringBuilder();
        int i = 0;
        while (i < charSequence.length()) {
            try {
                int a2 = this.f15670b.a2(charSequence, i, spanCondition);
                int i2 = a2 - i;
                UnicodeSet.SpanCondition spanCondition2 = UnicodeSet.SpanCondition.NOT_CONTAINED;
                if (spanCondition == spanCondition2) {
                    if (i2 != 0) {
                        appendable.append(charSequence, i, a2);
                    }
                    spanCondition = UnicodeSet.SpanCondition.SIMPLE;
                } else {
                    if (i2 != 0) {
                        appendable.append(this.f15669a.r(charSequence.subSequence(i, a2), sb));
                    }
                    spanCondition = spanCondition2;
                }
                i = a2;
            } catch (IOException e2) {
                throw new ICUUncheckedIOException(e2);
            }
        }
        return appendable;
    }

    private StringBuilder w(StringBuilder sb, CharSequence charSequence, boolean z) {
        if (sb == charSequence) {
            throw new IllegalArgumentException();
        } else if (sb.length() != 0) {
            UnicodeSet unicodeSet = this.f15670b;
            UnicodeSet.SpanCondition spanCondition = UnicodeSet.SpanCondition.SIMPLE;
            int a2 = unicodeSet.a2(charSequence, 0, spanCondition);
            if (a2 != 0) {
                CharSequence subSequence = charSequence.subSequence(0, a2);
                int d2 = this.f15670b.d2(sb, Integer.MAX_VALUE, spanCondition);
                if (d2 != 0) {
                    StringBuilder sb2 = new StringBuilder(sb.subSequence(d2, sb.length()));
                    if (z) {
                        this.f15669a.s(sb2, subSequence);
                    } else {
                        this.f15669a.a(sb2, subSequence);
                    }
                    sb.delete(d2, Integer.MAX_VALUE).append((CharSequence) sb2);
                } else if (z) {
                    this.f15669a.s(sb, subSequence);
                } else {
                    this.f15669a.a(sb, subSequence);
                }
            }
            if (a2 < charSequence.length()) {
                CharSequence subSequence2 = charSequence.subSequence(a2, charSequence.length());
                if (z) {
                    v(subSequence2, sb, UnicodeSet.SpanCondition.NOT_CONTAINED);
                } else {
                    sb.append(subSequence2);
                }
            }
            return sb;
        } else if (z) {
            return r(charSequence, sb);
        } else {
            sb.append(charSequence);
            return sb;
        }
    }

    @Override // com.ibm.icu.text.Normalizer2
    public StringBuilder a(StringBuilder sb, CharSequence charSequence) {
        return w(sb, charSequence, false);
    }

    @Override // com.ibm.icu.text.Normalizer2
    public int b(int i, int i2) {
        if (!this.f15670b.r(i) || !this.f15670b.r(i2)) {
            return -1;
        }
        return this.f15669a.b(i, i2);
    }

    @Override // com.ibm.icu.text.Normalizer2
    public int c(int i) {
        if (this.f15670b.r(i)) {
            return this.f15669a.c(i);
        }
        return 0;
    }

    @Override // com.ibm.icu.text.Normalizer2
    public String d(int i) {
        if (this.f15670b.r(i)) {
            return this.f15669a.d(i);
        }
        return null;
    }

    @Override // com.ibm.icu.text.Normalizer2
    public String k(int i) {
        if (this.f15670b.r(i)) {
            return this.f15669a.k(i);
        }
        return null;
    }

    @Override // com.ibm.icu.text.Normalizer2
    public boolean l(int i) {
        return !this.f15670b.r(i) || this.f15669a.l(i);
    }

    @Override // com.ibm.icu.text.Normalizer2
    public boolean m(int i) {
        return !this.f15670b.r(i) || this.f15669a.m(i);
    }

    @Override // com.ibm.icu.text.Normalizer2
    public boolean n(int i) {
        return !this.f15670b.r(i) || this.f15669a.n(i);
    }

    @Override // com.ibm.icu.text.Normalizer2
    public boolean o(CharSequence charSequence) {
        UnicodeSet.SpanCondition spanCondition = UnicodeSet.SpanCondition.SIMPLE;
        int i = 0;
        while (i < charSequence.length()) {
            int a2 = this.f15670b.a2(charSequence, i, spanCondition);
            UnicodeSet.SpanCondition spanCondition2 = UnicodeSet.SpanCondition.NOT_CONTAINED;
            if (spanCondition == spanCondition2) {
                spanCondition = UnicodeSet.SpanCondition.SIMPLE;
            } else if (!this.f15669a.o(charSequence.subSequence(i, a2))) {
                return false;
            } else {
                spanCondition = spanCondition2;
            }
            i = a2;
        }
        return true;
    }

    @Override // com.ibm.icu.text.Normalizer2
    public Appendable p(CharSequence charSequence, Appendable appendable) {
        if (appendable != charSequence) {
            return v(charSequence, appendable, UnicodeSet.SpanCondition.SIMPLE);
        }
        throw new IllegalArgumentException();
    }

    @Override // com.ibm.icu.text.Normalizer2
    public StringBuilder r(CharSequence charSequence, StringBuilder sb) {
        if (sb != charSequence) {
            sb.setLength(0);
            v(charSequence, sb, UnicodeSet.SpanCondition.SIMPLE);
            return sb;
        }
        throw new IllegalArgumentException();
    }

    @Override // com.ibm.icu.text.Normalizer2
    public StringBuilder s(StringBuilder sb, CharSequence charSequence) {
        return w(sb, charSequence, true);
    }

    @Override // com.ibm.icu.text.Normalizer2
    public w0.v t(CharSequence charSequence) {
        w0.v vVar = w0.W0;
        UnicodeSet.SpanCondition spanCondition = UnicodeSet.SpanCondition.SIMPLE;
        int i = 0;
        while (i < charSequence.length()) {
            int a2 = this.f15670b.a2(charSequence, i, spanCondition);
            UnicodeSet.SpanCondition spanCondition2 = UnicodeSet.SpanCondition.NOT_CONTAINED;
            if (spanCondition == spanCondition2) {
                spanCondition = UnicodeSet.SpanCondition.SIMPLE;
            } else {
                w0.v t = this.f15669a.t(charSequence.subSequence(i, a2));
                if (t == w0.V0) {
                    return t;
                }
                if (t == w0.X0) {
                    vVar = t;
                }
                spanCondition = spanCondition2;
            }
            i = a2;
        }
        return vVar;
    }

    @Override // com.ibm.icu.text.Normalizer2
    public int u(CharSequence charSequence) {
        UnicodeSet.SpanCondition spanCondition = UnicodeSet.SpanCondition.SIMPLE;
        int i = 0;
        while (i < charSequence.length()) {
            int a2 = this.f15670b.a2(charSequence, i, spanCondition);
            UnicodeSet.SpanCondition spanCondition2 = UnicodeSet.SpanCondition.NOT_CONTAINED;
            if (spanCondition == spanCondition2) {
                spanCondition = UnicodeSet.SpanCondition.SIMPLE;
            } else {
                int u = i + this.f15669a.u(charSequence.subSequence(i, a2));
                if (u < a2) {
                    return u;
                }
                spanCondition = spanCondition2;
            }
            i = a2;
        }
        return charSequence.length();
    }
}
