package com.ibm.icu.text;

import com.ibm.icu.impl.ICUResourceBundle;
import com.ibm.icu.impl.a0;
import com.ibm.icu.impl.d;
import com.ibm.icu.impl.m1;
import com.ibm.icu.impl.units.e;
import com.ibm.icu.util.ULocale;
import com.ibm.icu.util.h0;
import com.ibm.icu.util.i0;
import java.util.ArrayList;
import java.util.Locale;
import java.util.MissingResourceException;

/* compiled from: NumberingSystem */
public class z0 {

    /* renamed from: a  reason: collision with root package name */
    private static final String[] f15935a = {"native", "traditional", "finance"};

    /* renamed from: b  reason: collision with root package name */
    public static final z0 f15936b = o("latn");

    /* renamed from: c  reason: collision with root package name */
    private static d<String, z0, c> f15937c = new a();

    /* renamed from: d  reason: collision with root package name */
    private static d<String, z0, Void> f15938d = new b();

    /* renamed from: e  reason: collision with root package name */
    private String f15939e = "0123456789";
    private int f = 10;
    private boolean g = false;
    private String h = "latn";

    /* compiled from: NumberingSystem */
    static class a extends m1<String, z0, c> {
        a() {
        }

        /* access modifiers changed from: protected */
        /* renamed from: c */
        public z0 a(String str, c cVar) {
            return z0.n(cVar);
        }
    }

    /* compiled from: NumberingSystem */
    static class b extends m1<String, z0, Void> {
        b() {
        }

        /* access modifiers changed from: protected */
        /* renamed from: c */
        public z0 a(String str, Void r2) {
            return z0.o(str);
        }
    }

    /* access modifiers changed from: private */
    /* compiled from: NumberingSystem */
    public static class c {

        /* renamed from: a  reason: collision with root package name */
        public final ULocale f15940a;

        /* renamed from: b  reason: collision with root package name */
        public final String f15941b;

        c(ULocale uLocale, String str) {
            this.f15940a = uLocale;
            this.f15941b = str;
        }
    }

    public static String[] b() {
        h0 d2 = h0.l(a0.f13490d, "numberingSystems").d("numberingSystems");
        ArrayList arrayList = new ArrayList();
        i0 s = d2.s();
        while (s.a()) {
            arrayList.add(s.b().t());
        }
        return (String[]) arrayList.toArray(new String[arrayList.size()]);
    }

    public static z0 d() {
        return f(ULocale.getDefault(ULocale.Category.FORMAT));
    }

    public static z0 e(int i, boolean z, String str) {
        return g(null, i, z, str);
    }

    public static z0 f(ULocale uLocale) {
        String keywordValue = uLocale.getKeywordValue("numbers");
        String str = e.c.j;
        boolean z = false;
        if (keywordValue != null) {
            String[] strArr = f15935a;
            int length = strArr.length;
            int i = 0;
            while (true) {
                if (i >= length) {
                    z = true;
                    break;
                } else if (keywordValue.equals(strArr[i])) {
                    break;
                } else {
                    i++;
                }
            }
        } else {
            keywordValue = str;
        }
        if (z) {
            z0 i2 = i(keywordValue);
            if (i2 != null) {
                return i2;
            }
        } else {
            str = keywordValue;
        }
        String baseName = uLocale.getBaseName();
        return f15937c.b(baseName + "@numbers=" + str, new c(uLocale, str));
    }

    private static z0 g(String str, int i, boolean z, String str2) {
        if (i < 2) {
            throw new IllegalArgumentException("Invalid radix for numbering system");
        } else if (z || (str2.codePointCount(0, str2.length()) == i && m(str2))) {
            z0 z0Var = new z0();
            z0Var.f = i;
            z0Var.g = z;
            z0Var.f15939e = str2;
            z0Var.h = str;
            return z0Var;
        } else {
            throw new IllegalArgumentException("Invalid digit string for numbering system");
        }
    }

    public static z0 h(Locale locale) {
        return f(ULocale.forLocale(locale));
    }

    public static z0 i(String str) {
        return f15938d.b(str, null);
    }

    public static boolean m(String str) {
        return str.codePointCount(0, str.length()) == 10;
    }

    static z0 n(c cVar) {
        z0 z0Var;
        String str;
        try {
            ICUResourceBundle Z0 = ((ICUResourceBundle) h0.j(a0.f13490d, cVar.f15940a)).Z0("NumberElements");
            String str2 = cVar.f15941b;
            while (true) {
                z0Var = null;
                try {
                    str = Z0.W0(str2);
                    break;
                } catch (MissingResourceException unused) {
                    if (!str2.equals("native") && !str2.equals("finance")) {
                        if (!str2.equals("traditional")) {
                            str = null;
                            break;
                        }
                        str2 = "native";
                    } else {
                        str2 = e.c.j;
                    }
                }
            }
            if (str != null) {
                z0Var = i(str);
            }
            return z0Var == null ? new z0() : z0Var;
        } catch (MissingResourceException unused2) {
            return new z0();
        }
    }

    /* access modifiers changed from: private */
    public static z0 o(String str) {
        try {
            h0 d2 = h0.l(a0.f13490d, "numberingSystems").d("numberingSystems").d(str);
            String string = d2.getString("desc");
            h0 d3 = d2.d("radix");
            h0 d4 = d2.d("algorithmic");
            int q = d3.q();
            boolean z = true;
            if (d4.q() != 1) {
                z = false;
            }
            return g(str, q, z, string);
        } catch (MissingResourceException unused) {
            return null;
        }
    }

    public String c() {
        return this.f15939e;
    }

    public String j() {
        return this.h;
    }

    public int k() {
        return this.f;
    }

    public boolean l() {
        return this.g;
    }
}
