package com.ibm.icu.text;

import com.ibm.icu.impl.StaticUnicodeSets;
import com.ibm.icu.text.NumberFormat;
import com.ibm.icu.util.ULocale;
import java.text.AttributedCharacterIterator;
import java.util.Map;

/* compiled from: ScientificNumberFormatter */
public final class z1 {

    /* renamed from: a  reason: collision with root package name */
    private static final c f15942a = new d();

    /* renamed from: b  reason: collision with root package name */
    private final String f15943b;

    /* renamed from: c  reason: collision with root package name */
    private final DecimalFormat f15944c;

    /* renamed from: d  reason: collision with root package name */
    private final c f15945d;

    /* compiled from: ScientificNumberFormatter */
    private static class b extends c {

        /* renamed from: a  reason: collision with root package name */
        private final String f15946a;

        /* renamed from: b  reason: collision with root package name */
        private final String f15947b;

        b(String str, String str2) {
            super();
            this.f15946a = str;
            this.f15947b = str2;
        }

        /* access modifiers changed from: package-private */
        @Override // com.ibm.icu.text.z1.c
        public String b(AttributedCharacterIterator attributedCharacterIterator, String str) {
            StringBuilder sb = new StringBuilder();
            attributedCharacterIterator.first();
            int i = 0;
            while (attributedCharacterIterator.current() != 65535) {
                Map<AttributedCharacterIterator.Attribute, Object> attributes = attributedCharacterIterator.getAttributes();
                NumberFormat.Field field = NumberFormat.Field.EXPONENT_SYMBOL;
                if (attributes.containsKey(field)) {
                    c.a(attributedCharacterIterator, i, attributedCharacterIterator.getRunStart(field), sb);
                    i = attributedCharacterIterator.getRunLimit(field);
                    attributedCharacterIterator.setIndex(i);
                    sb.append(str);
                    sb.append(this.f15946a);
                } else {
                    NumberFormat.Field field2 = NumberFormat.Field.EXPONENT;
                    if (attributes.containsKey(field2)) {
                        int runLimit = attributedCharacterIterator.getRunLimit(field2);
                        c.a(attributedCharacterIterator, i, runLimit, sb);
                        attributedCharacterIterator.setIndex(runLimit);
                        sb.append(this.f15947b);
                        i = runLimit;
                    } else {
                        attributedCharacterIterator.next();
                    }
                }
            }
            c.a(attributedCharacterIterator, i, attributedCharacterIterator.getEndIndex(), sb);
            return sb.toString();
        }
    }

    /* access modifiers changed from: private */
    /* compiled from: ScientificNumberFormatter */
    public static abstract class c {
        private c() {
        }

        static void a(AttributedCharacterIterator attributedCharacterIterator, int i, int i2, StringBuilder sb) {
            int index = attributedCharacterIterator.getIndex();
            attributedCharacterIterator.setIndex(i);
            while (i < i2) {
                sb.append(attributedCharacterIterator.current());
                attributedCharacterIterator.next();
                i++;
            }
            attributedCharacterIterator.setIndex(index);
        }

        /* access modifiers changed from: package-private */
        public abstract String b(AttributedCharacterIterator attributedCharacterIterator, String str);
    }

    /* compiled from: ScientificNumberFormatter */
    private static class d extends c {

        /* renamed from: a  reason: collision with root package name */
        private static final char[] f15948a = {8304, 185, 178, 179, 8308, 8309, 8310, 8311, 8312, 8313};

        /* renamed from: b  reason: collision with root package name */
        private static final char f15949b = 8314;

        /* renamed from: c  reason: collision with root package name */
        private static final char f15950c = 8315;

        private d() {
            super();
        }

        private static int c(AttributedCharacterIterator attributedCharacterIterator) {
            char current = attributedCharacterIterator.current();
            char next = attributedCharacterIterator.next();
            if (!com.ibm.icu.lang.c.j0(current) || !com.ibm.icu.lang.c.u0(next)) {
                return current;
            }
            attributedCharacterIterator.next();
            return com.ibm.icu.lang.c.R0(current, next);
        }

        private static void d(AttributedCharacterIterator attributedCharacterIterator, int i, int i2, StringBuilder sb) {
            int index = attributedCharacterIterator.getIndex();
            attributedCharacterIterator.setIndex(i);
            while (attributedCharacterIterator.getIndex() < i2) {
                int j = com.ibm.icu.lang.c.j(c(attributedCharacterIterator));
                if (j >= 0) {
                    sb.append(f15948a[j]);
                } else {
                    throw new IllegalArgumentException();
                }
            }
            attributedCharacterIterator.setIndex(index);
        }

        /* access modifiers changed from: package-private */
        @Override // com.ibm.icu.text.z1.c
        public String b(AttributedCharacterIterator attributedCharacterIterator, String str) {
            int i;
            StringBuilder sb = new StringBuilder();
            attributedCharacterIterator.first();
            int i2 = 0;
            while (attributedCharacterIterator.current() != 65535) {
                Map<AttributedCharacterIterator.Attribute, Object> attributes = attributedCharacterIterator.getAttributes();
                NumberFormat.Field field = NumberFormat.Field.EXPONENT_SYMBOL;
                if (attributes.containsKey(field)) {
                    c.a(attributedCharacterIterator, i2, attributedCharacterIterator.getRunStart(field), sb);
                    i2 = attributedCharacterIterator.getRunLimit(field);
                    attributedCharacterIterator.setIndex(i2);
                    sb.append(str);
                } else {
                    NumberFormat.Field field2 = NumberFormat.Field.EXPONENT_SIGN;
                    if (attributes.containsKey(field2)) {
                        int runStart = attributedCharacterIterator.getRunStart(field2);
                        i = attributedCharacterIterator.getRunLimit(field2);
                        int c2 = c(attributedCharacterIterator);
                        if (StaticUnicodeSets.g(StaticUnicodeSets.Key.MINUS_SIGN).r(c2)) {
                            c.a(attributedCharacterIterator, i2, runStart, sb);
                            sb.append(f15950c);
                        } else if (StaticUnicodeSets.g(StaticUnicodeSets.Key.PLUS_SIGN).r(c2)) {
                            c.a(attributedCharacterIterator, i2, runStart, sb);
                            sb.append(f15949b);
                        } else {
                            throw new IllegalArgumentException();
                        }
                        attributedCharacterIterator.setIndex(i);
                    } else {
                        NumberFormat.Field field3 = NumberFormat.Field.EXPONENT;
                        if (attributes.containsKey(field3)) {
                            int runStart2 = attributedCharacterIterator.getRunStart(field3);
                            i = attributedCharacterIterator.getRunLimit(field3);
                            c.a(attributedCharacterIterator, i2, runStart2, sb);
                            d(attributedCharacterIterator, runStart2, i, sb);
                            attributedCharacterIterator.setIndex(i);
                        } else {
                            attributedCharacterIterator.next();
                        }
                    }
                    i2 = i;
                }
            }
            c.a(attributedCharacterIterator, i2, attributedCharacterIterator.getEndIndex(), sb);
            return sb.toString();
        }
    }

    private z1(DecimalFormat decimalFormat, String str, c cVar) {
        this.f15944c = decimalFormat;
        this.f15943b = str;
        this.f15945d = cVar;
    }

    private static z1 b(DecimalFormat decimalFormat, c cVar) {
        return new z1((DecimalFormat) decimalFormat.clone(), f(decimalFormat.getDecimalFormatSymbols()), cVar);
    }

    private static z1 c(ULocale uLocale, c cVar) {
        DecimalFormat decimalFormat = (DecimalFormat) NumberFormat.getScientificInstance(uLocale);
        return new z1(decimalFormat, f(decimalFormat.getDecimalFormatSymbols()), cVar);
    }

    public static z1 d(DecimalFormat decimalFormat, String str, String str2) {
        return b(decimalFormat, new b(str, str2));
    }

    public static z1 e(ULocale uLocale, String str, String str2) {
        return c(uLocale, new b(str, str2));
    }

    private static String f(DecimalFormatSymbols decimalFormatSymbols) {
        StringBuilder sb = new StringBuilder();
        sb.append(decimalFormatSymbols.getExponentMultiplicationSign());
        char[] digits = decimalFormatSymbols.getDigits();
        sb.append(digits[1]);
        sb.append(digits[0]);
        return sb.toString();
    }

    public static z1 g(DecimalFormat decimalFormat) {
        return b(decimalFormat, f15942a);
    }

    public static z1 h(ULocale uLocale) {
        return c(uLocale, f15942a);
    }

    public String a(Object obj) {
        String b2;
        synchronized (this.f15944c) {
            b2 = this.f15945d.b(this.f15944c.formatToCharacterIterator(obj), this.f15943b);
        }
        return b2;
    }
}
