package com.ibm.icu.util;

import com.ibm.icu.lang.f;
import java.io.IOException;
import java.nio.ByteBuffer;
import java.util.ArrayList;
import java.util.Iterator;
import java.util.NoSuchElementException;

public final class BytesTrie implements Cloneable, Iterable<b> {
    static final int I0 = 16;
    static final int J0 = 16;
    static final int K0 = 32;
    private static final int L0 = 1;
    static final int M0 = 16;
    static final int N0 = 64;
    static final int O0 = 81;
    static final int P0 = 6911;
    static final int Q0 = 108;
    static final int R0 = 126;
    static final int S0 = 1179647;
    static final int T0 = 127;
    static final int U0 = 191;
    static final int V0 = 192;
    static final int W0 = 240;
    static final int X0 = 254;
    static final int Y0 = 255;
    static final int Z0 = 12287;

    /* renamed from: a  reason: collision with root package name */
    private static Result[] f15952a = {Result.INTERMEDIATE_VALUE, Result.FINAL_VALUE};
    static final int a1 = 917503;

    /* renamed from: b  reason: collision with root package name */
    static final int f15953b = 5;
    static final /* synthetic */ boolean b1 = false;
    private byte[] c1;
    private int d1;
    private int e1;
    private int f1;

    public enum Result {
        NO_MATCH,
        NO_VALUE,
        FINAL_VALUE,
        INTERMEDIATE_VALUE;

        public boolean hasNext() {
            return (ordinal() & 1) != 0;
        }

        public boolean hasValue() {
            return ordinal() >= 2;
        }

        public boolean matches() {
            return this != NO_MATCH;
        }
    }

    public static final class b {

        /* renamed from: a  reason: collision with root package name */
        public int f15955a;

        /* renamed from: b  reason: collision with root package name */
        private byte[] f15956b;

        /* renamed from: c  reason: collision with root package name */
        private int f15957c;

        /* access modifiers changed from: private */
        /* access modifiers changed from: public */
        private void e(byte b2) {
            k(this.f15957c + 1);
            byte[] bArr = this.f15956b;
            int i = this.f15957c;
            this.f15957c = i + 1;
            bArr[i] = b2;
        }

        /* access modifiers changed from: private */
        /* access modifiers changed from: public */
        private void f(byte[] bArr, int i, int i2) {
            k(this.f15957c + i2);
            System.arraycopy(bArr, i, this.f15956b, this.f15957c, i2);
            this.f15957c += i2;
        }

        private void k(int i) {
            byte[] bArr = this.f15956b;
            if (bArr.length < i) {
                byte[] bArr2 = new byte[Math.min(bArr.length * 2, i * 2)];
                System.arraycopy(this.f15956b, 0, bArr2, 0, this.f15957c);
                this.f15956b = bArr2;
            }
        }

        /* access modifiers changed from: private */
        /* access modifiers changed from: public */
        private void l(int i) {
            this.f15957c = i;
        }

        public byte g(int i) {
            return this.f15956b[i];
        }

        public ByteBuffer h() {
            return ByteBuffer.wrap(this.f15956b, 0, this.f15957c).asReadOnlyBuffer();
        }

        public int i() {
            return this.f15957c;
        }

        public void j(byte[] bArr, int i) {
            System.arraycopy(this.f15956b, 0, bArr, i, this.f15957c);
        }

        private b(int i) {
            this.f15956b = new byte[i];
        }
    }

    public static final class c implements Iterator<b> {
        private int I0;
        private int J0;
        private int K0;
        private int L0;
        private b M0;
        private ArrayList<Long> N0;

        /* renamed from: a  reason: collision with root package name */
        private byte[] f15958a;

        /* renamed from: b  reason: collision with root package name */
        private int f15959b;

        private int a(int i, int i2) {
            while (i2 > 5) {
                int i3 = i + 1;
                int i4 = i2 >> 1;
                this.N0.add(Long.valueOf((((long) BytesTrie.K(this.f15958a, i3)) << 32) | ((long) ((i2 - i4) << 16)) | ((long) this.M0.f15957c)));
                i = BytesTrie.B(this.f15958a, i3);
                i2 = i4;
            }
            byte[] bArr = this.f15958a;
            int i5 = i + 1;
            byte b2 = bArr[i];
            int i6 = i5 + 1;
            int i7 = bArr[i5] & 255;
            boolean z = (i7 & 1) != 0;
            int F = BytesTrie.F(bArr, i6, i7 >> 1);
            int L = BytesTrie.L(i6, i7);
            this.N0.add(Long.valueOf((((long) L) << 32) | ((long) ((i2 - 1) << 16)) | ((long) this.M0.f15957c)));
            this.M0.e(b2);
            if (!z) {
                return L + F;
            }
            this.f15959b = -1;
            this.M0.f15955a = F;
            return -1;
        }

        private b d() {
            this.f15959b = -1;
            b bVar = this.M0;
            bVar.f15955a = -1;
            return bVar;
        }

        /* renamed from: b */
        public b next() {
            int i;
            int i2 = this.f15959b;
            boolean z = true;
            if (i2 < 0) {
                if (!this.N0.isEmpty()) {
                    ArrayList<Long> arrayList = this.N0;
                    long longValue = arrayList.remove(arrayList.size() - 1).longValue();
                    int i3 = (int) longValue;
                    int i4 = (int) (longValue >> 32);
                    this.M0.l(65535 & i3);
                    int i5 = i3 >>> 16;
                    if (i5 > 1) {
                        i2 = a(i4, i5);
                        if (i2 < 0) {
                            return this.M0;
                        }
                    } else {
                        this.M0.e(this.f15958a[i4]);
                        i2 = i4 + 1;
                    }
                } else {
                    throw new NoSuchElementException();
                }
            }
            if (this.J0 >= 0) {
                return d();
            }
            while (true) {
                byte[] bArr = this.f15958a;
                int i6 = i2 + 1;
                int i7 = bArr[i2] & 255;
                if (i7 >= 32) {
                    if ((i7 & 1) == 0) {
                        z = false;
                    }
                    this.M0.f15955a = BytesTrie.F(bArr, i6, i7 >> 1);
                    if (z || (this.L0 > 0 && this.M0.f15957c == this.L0)) {
                        this.f15959b = -1;
                    } else {
                        this.f15959b = BytesTrie.L(i6, i7);
                    }
                    return this.M0;
                } else if (this.L0 > 0 && this.M0.f15957c == this.L0) {
                    return d();
                } else {
                    if (i7 < 16) {
                        if (i7 == 0) {
                            i7 = this.f15958a[i6] & 255;
                            i6++;
                        }
                        i2 = a(i6, i7 + 1);
                        if (i2 < 0) {
                            return this.M0;
                        }
                    } else {
                        int i8 = (i7 - 16) + 1;
                        if (this.L0 <= 0 || this.M0.f15957c + i8 <= (i = this.L0)) {
                            this.M0.f(this.f15958a, i6, i8);
                            i2 = i6 + i8;
                        } else {
                            b bVar = this.M0;
                            bVar.f(this.f15958a, i6, i - bVar.f15957c);
                            return d();
                        }
                    }
                }
            }
        }

        public c c() {
            this.f15959b = this.I0;
            int i = this.K0;
            this.J0 = i;
            int i2 = i + 1;
            int i3 = this.L0;
            if (i3 > 0 && i2 > i3) {
                i2 = i3;
            }
            this.M0.l(i2);
            this.f15959b += i2;
            this.J0 -= i2;
            this.N0.clear();
            return this;
        }

        public boolean hasNext() {
            return this.f15959b >= 0 || !this.N0.isEmpty();
        }

        public void remove() {
            throw new UnsupportedOperationException();
        }

        private c(byte[] bArr, int i, int i2, int i3) {
            this.N0 = new ArrayList<>();
            this.f15958a = bArr;
            this.I0 = i;
            this.f15959b = i;
            this.K0 = i2;
            this.J0 = i2;
            this.L0 = i3;
            b bVar = new b(i3 == 0 ? 32 : i3);
            this.M0 = bVar;
            int i4 = this.J0;
            if (i4 >= 0) {
                int i5 = i4 + 1;
                int i6 = this.L0;
                if (i6 > 0 && i5 > i6) {
                    i5 = i6;
                }
                bVar.f(this.f15958a, this.f15959b, i5);
                this.f15959b += i5;
                this.J0 -= i5;
            }
        }
    }

    public static final class d {

        /* renamed from: a  reason: collision with root package name */
        private byte[] f15960a;

        /* renamed from: b  reason: collision with root package name */
        private int f15961b;

        /* renamed from: c  reason: collision with root package name */
        private int f15962c;

        /* renamed from: d  reason: collision with root package name */
        private int f15963d;
    }

    public BytesTrie(byte[] bArr, int i) {
        this.c1 = bArr;
        this.d1 = i;
        this.e1 = i;
        this.f1 = -1;
    }

    public static c A(byte[] bArr, int i, int i2) {
        return new c(bArr, i, -1, i2);
    }

    @Deprecated
    public static int B(byte[] bArr, int i) {
        int i2 = i + 1;
        int i3 = bArr[i] & 255;
        if (i3 >= 192) {
            if (i3 < 240) {
                i3 = ((i3 - 192) << 8) | (bArr[i2] & 255);
                i2++;
            } else if (i3 < 254) {
                i3 = ((i3 - 240) << 16) | ((bArr[i2] & 255) << 8) | (bArr[i2 + 1] & 255);
                i2 += 2;
            } else if (i3 == 254) {
                i3 = ((bArr[i2] & 255) << 16) | ((bArr[i2 + 1] & 255) << 8) | (bArr[i2 + 2] & 255);
                i2 += 3;
            } else {
                i3 = (bArr[i2] << f.a.z) | ((bArr[i2 + 1] & 255) << 16) | ((bArr[i2 + 2] & 255) << 8) | (bArr[i2 + 3] & 255);
                i2 += 4;
            }
        }
        return i2 + i3;
    }

    private Result E(int i, int i2) {
        int i3;
        while (true) {
            byte[] bArr = this.c1;
            int i4 = i + 1;
            int i5 = bArr[i] & 255;
            if (i5 < 16) {
                return m(i4, i5, i2);
            }
            if (i5 < 32) {
                int i6 = i5 - 16;
                int i7 = i4 + 1;
                if (i2 == (bArr[i4] & 255)) {
                    int i8 = i6 - 1;
                    this.f1 = i8;
                    this.e1 = i7;
                    return (i8 >= 0 || (i3 = bArr[i7] & 255) < 32) ? Result.NO_VALUE : f15952a[i3 & 1];
                }
            } else if ((i5 & 1) != 0) {
                break;
            } else {
                i = L(i4, i5);
            }
        }
        O();
        return Result.NO_MATCH;
    }

    /* access modifiers changed from: private */
    public static int F(byte[] bArr, int i, int i2) {
        int i3;
        byte b2;
        if (i2 < 81) {
            return i2 - 16;
        }
        if (i2 < 108) {
            i3 = (i2 - 81) << 8;
            b2 = bArr[i];
        } else if (i2 < 126) {
            i3 = ((i2 - 108) << 16) | ((bArr[i] & 255) << 8);
            b2 = bArr[i + 1];
        } else if (i2 == 126) {
            i3 = ((bArr[i] & 255) << 16) | ((bArr[i + 1] & 255) << 8);
            b2 = bArr[i + 2];
        } else {
            i3 = (bArr[i] << f.a.z) | ((bArr[i + 1] & 255) << 16) | ((bArr[i + 2] & 255) << 8);
            b2 = bArr[i + 3];
        }
        return i3 | (b2 & 255);
    }

    /* access modifiers changed from: private */
    public static int K(byte[] bArr, int i) {
        int i2 = i + 1;
        int i3 = bArr[i] & 255;
        if (i3 < 192) {
            return i2;
        }
        if (i3 < 240) {
            return i2 + 1;
        }
        return i3 < 254 ? i2 + 2 : i2 + (i3 & 1) + 3;
    }

    /* access modifiers changed from: private */
    public static int L(int i, int i2) {
        return i2 >= 162 ? i2 < 216 ? i + 1 : i2 < 252 ? i + 2 : i + ((i2 >> 1) & 1) + 3 : i;
    }

    private static int N(byte[] bArr, int i) {
        return L(i + 1, bArr[i] & 255);
    }

    private void O() {
        this.e1 = -1;
    }

    private static void f(Appendable appendable, int i) {
        try {
            appendable.append((char) i);
        } catch (IOException e2) {
            throw new ICUUncheckedIOException(e2);
        }
    }

    private Result m(int i, int i2, int i3) {
        Result result;
        int i4;
        if (i2 == 0) {
            i2 = this.c1[i] & 255;
            i++;
        }
        int i5 = i2 + 1;
        while (i5 > 5) {
            byte[] bArr = this.c1;
            int i6 = i + 1;
            if (i3 < (bArr[i] & 255)) {
                i5 >>= 1;
                i = B(bArr, i6);
            } else {
                i5 -= i5 >> 1;
                i = K(bArr, i6);
            }
        }
        do {
            byte[] bArr2 = this.c1;
            int i7 = i + 1;
            if (i3 == (bArr2[i] & 255)) {
                int i8 = bArr2[i7] & 255;
                if ((i8 & 1) != 0) {
                    result = Result.FINAL_VALUE;
                } else {
                    int i9 = i7 + 1;
                    int i10 = i8 >> 1;
                    if (i10 < 81) {
                        i4 = i10 - 16;
                    } else if (i10 < 108) {
                        i4 = ((i10 - 81) << 8) | (bArr2[i9] & 255);
                        i9++;
                    } else if (i10 < 126) {
                        i4 = ((i10 - 108) << 16) | ((bArr2[i9] & 255) << 8) | (bArr2[i9 + 1] & 255);
                        i9 += 2;
                    } else if (i10 == 126) {
                        i4 = ((bArr2[i9] & 255) << 16) | ((bArr2[i9 + 1] & 255) << 8) | (bArr2[i9 + 2] & 255);
                        i9 += 3;
                    } else {
                        i4 = (bArr2[i9] << f.a.z) | ((bArr2[i9 + 1] & 255) << 16) | ((bArr2[i9 + 2] & 255) << 8) | (bArr2[i9 + 3] & 255);
                        i9 += 4;
                    }
                    i7 = i9 + i4;
                    int i11 = bArr2[i7] & 255;
                    result = i11 >= 32 ? f15952a[i11 & 1] : Result.NO_VALUE;
                }
                this.e1 = i7;
                return result;
            }
            i5--;
            i = N(bArr2, i7);
        } while (i5 > 1);
        byte[] bArr3 = this.c1;
        int i12 = i + 1;
        if (i3 == (bArr3[i] & 255)) {
            this.e1 = i12;
            int i13 = bArr3[i12] & 255;
            return i13 >= 32 ? f15952a[i13 & 1] : Result.NO_VALUE;
        }
        O();
        return Result.NO_MATCH;
    }

    private static long q(byte[] bArr, int i, long j) {
        while (true) {
            int i2 = i + 1;
            int i3 = bArr[i] & 255;
            if (i3 < 16) {
                if (i3 == 0) {
                    int i4 = i2 + 1;
                    int i5 = bArr[i2] & 255;
                    i2 = i4;
                    i3 = i5;
                }
                long r = r(bArr, i2, i3 + 1, j);
                if (r == 0) {
                    return 0;
                }
                i = (int) (r >>> 33);
                j = r;
            } else if (i3 < 32) {
                i = i2 + (i3 - 16) + 1;
            } else {
                boolean z = (i3 & 1) != 0;
                int F = F(bArr, i2, i3 >> 1);
                if (j == 0) {
                    j = (((long) F) << 1) | 1;
                } else if (F != ((int) (j >> 1))) {
                    return 0;
                }
                if (z) {
                    return j;
                }
                i = L(i2, i3);
            }
        }
    }

    private static long r(byte[] bArr, int i, int i2, long j) {
        while (i2 > 5) {
            int i3 = i + 1;
            int i4 = i2 >> 1;
            j = r(bArr, B(bArr, i3), i4, j);
            if (j == 0) {
                return 0;
            }
            i2 -= i4;
            i = K(bArr, i3);
        }
        do {
            int i5 = i + 1;
            int i6 = i5 + 1;
            int i7 = bArr[i5] & 255;
            boolean z = (i7 & 1) != 0;
            int F = F(bArr, i6, i7 >> 1);
            i = L(i6, i7);
            if (!z) {
                j = q(bArr, F + i, j);
                if (j == 0) {
                    return 0;
                }
            } else if (j == 0) {
                j = (((long) F) << 1) | 1;
            } else if (F != ((int) (j >> 1))) {
                return 0;
            }
            i2--;
        } while (i2 > 1);
        return (((long) (i + 1)) << 33) | (j & 8589934591L);
    }

    private static void t(byte[] bArr, int i, int i2, Appendable appendable) {
        while (i2 > 5) {
            int i3 = i + 1;
            int i4 = i2 >> 1;
            t(bArr, B(bArr, i3), i4, appendable);
            i2 -= i4;
            i = K(bArr, i3);
        }
        do {
            f(appendable, bArr[i] & 255);
            i = N(bArr, i + 1);
            i2--;
        } while (i2 > 1);
        f(appendable, bArr[i] & 255);
    }

    public Result C(int i) {
        int i2;
        int i3 = this.e1;
        if (i3 < 0) {
            return Result.NO_MATCH;
        }
        if (i < 0) {
            i += 256;
        }
        int i4 = this.f1;
        if (i4 < 0) {
            return E(i3, i);
        }
        byte[] bArr = this.c1;
        int i5 = i3 + 1;
        if (i == (bArr[i3] & 255)) {
            int i6 = i4 - 1;
            this.f1 = i6;
            this.e1 = i5;
            return (i6 >= 0 || (i2 = bArr[i5] & 255) < 32) ? Result.NO_VALUE : f15952a[i2 & 1];
        }
        O();
        return Result.NO_MATCH;
    }

    public Result D(byte[] bArr, int i, int i2) {
        int i3;
        if (i >= i2) {
            return p();
        }
        int i4 = this.e1;
        if (i4 < 0) {
            return Result.NO_MATCH;
        }
        int i5 = this.f1;
        while (i != i2) {
            int i6 = i + 1;
            byte b2 = bArr[i];
            if (i5 < 0) {
                this.f1 = i5;
                while (true) {
                    byte[] bArr2 = this.c1;
                    int i7 = i4 + 1;
                    int i8 = bArr2[i4] & 255;
                    if (i8 < 16) {
                        Result m = m(i7, i8, b2 & 255);
                        Result result = Result.NO_MATCH;
                        if (m == result) {
                            return result;
                        }
                        if (i6 == i2) {
                            return m;
                        }
                        if (m == Result.FINAL_VALUE) {
                            O();
                            return result;
                        }
                        byte b3 = bArr[i6];
                        i6++;
                        b2 = b3;
                        i4 = this.e1;
                    } else if (i8 < 32) {
                        int i9 = i8 - 16;
                        if (b2 != bArr2[i7]) {
                            O();
                            return Result.NO_MATCH;
                        }
                        i5 = i9 - 1;
                        i4 = i7 + 1;
                    } else if ((i8 & 1) != 0) {
                        O();
                        return Result.NO_MATCH;
                    } else {
                        i4 = L(i7, i8);
                    }
                }
            } else if (b2 != this.c1[i4]) {
                O();
                return Result.NO_MATCH;
            } else {
                i4++;
                i5--;
            }
            i = i6;
        }
        this.f1 = i5;
        this.e1 = i4;
        return (i5 >= 0 || (i3 = this.c1[i4] & 255) < 32) ? Result.NO_VALUE : f15952a[i3 & 1];
    }

    public BytesTrie G() {
        this.e1 = this.d1;
        this.f1 = -1;
        return this;
    }

    public BytesTrie H(d dVar) {
        if (this.c1 == dVar.f15960a && this.c1 != null && this.d1 == dVar.f15961b) {
            this.e1 = dVar.f15962c;
            this.f1 = dVar.f15963d;
            return this;
        }
        throw new IllegalArgumentException("incompatible trie state");
    }

    public BytesTrie I(long j) {
        this.f1 = (int) (j >> 32);
        this.e1 = (int) j;
        return this;
    }

    public BytesTrie J(d dVar) {
        dVar.f15960a = this.c1;
        dVar.f15961b = this.d1;
        dVar.f15962c = this.e1;
        dVar.f15963d = this.f1;
        return this;
    }

    /* renamed from: n */
    public BytesTrie clone() throws CloneNotSupportedException {
        return (BytesTrie) super.clone();
    }

    public Result p() {
        int i;
        int i2 = this.e1;
        if (i2 < 0) {
            return Result.NO_MATCH;
        }
        return (this.f1 >= 0 || (i = this.c1[i2] & 255) < 32) ? Result.NO_VALUE : f15952a[i & 1];
    }

    public Result s(int i) {
        this.f1 = -1;
        if (i < 0) {
            i += 256;
        }
        return E(this.d1, i);
    }

    public int u(Appendable appendable) {
        int i = this.e1;
        if (i < 0) {
            return 0;
        }
        if (this.f1 >= 0) {
            f(appendable, this.c1[i] & 255);
            return 1;
        }
        int i2 = i + 1;
        int i3 = this.c1[i] & 255;
        if (i3 >= 32) {
            if ((i3 & 1) != 0) {
                return 0;
            }
            int L = L(i2, i3);
            i2 = L + 1;
            i3 = this.c1[L] & 255;
        }
        if (i3 < 16) {
            if (i3 == 0) {
                i3 = this.c1[i2] & 255;
                i2++;
            }
            int i4 = i3 + 1;
            t(this.c1, i2, i4, appendable);
            return i4;
        }
        f(appendable, this.c1[i2] & 255);
        return 1;
    }

    public long v() {
        return (((long) this.f1) << 32) | ((long) this.e1);
    }

    public long w() {
        int i = this.e1;
        if (i < 0) {
            return 0;
        }
        return (q(this.c1, (i + this.f1) + 1, 0) << 31) >> 31;
    }

    public int x() {
        int i = this.e1;
        byte[] bArr = this.c1;
        return F(bArr, i + 1, (bArr[i] & 255) >> 1);
    }

    /* renamed from: y */
    public c iterator() {
        return new c(this.c1, this.e1, this.f1, 0);
    }

    public c z(int i) {
        return new c(this.c1, this.e1, this.f1, i);
    }

    public BytesTrie(BytesTrie bytesTrie) {
        this.c1 = bytesTrie.c1;
        this.d1 = bytesTrie.d1;
        this.e1 = bytesTrie.e1;
        this.f1 = bytesTrie.f1;
    }
}
