package com.ibm.icu.util;

import androidx.core.view.PointerIconCompat;
import com.ibm.icu.impl.v;
import com.ibm.icu.impl.v0;
import com.ibm.icu.util.CodePointMap;
import java.io.DataOutputStream;
import java.io.IOException;
import java.io.OutputStream;
import java.nio.ByteBuffer;
import java.nio.ByteOrder;

public abstract class CodePointTrie extends CodePointMap {
    private static final int I0 = 128;
    static final int J0 = 6;
    static final int K0 = 64;
    private static final int L0 = 63;
    private static final int M0 = 4095;
    private static final int N0 = 1;
    private static final int O0 = 2;
    private static final int P0 = 1024;
    static final int Q0 = 4096;
    private static final int R0 = 64;
    static final int S0 = 4;
    private static final int T0 = 9;
    private static final int U0 = 14;
    static final int V0 = 5;
    static final int W0 = 5;
    private static final int X0 = 4;
    static final int Y0 = 32;
    static final int Z0 = 31;
    static final int a1 = 512;

    /* renamed from: b  reason: collision with root package name */
    private static final int f15992b = 1114111;
    static final int b1 = 32;
    private static final int c1 = 31;
    static final int d1 = 16;
    static final int e1 = 15;
    private static final int f1 = 61440;
    private static final int g1 = 3840;
    private static final int h1 = 56;
    private static final int i1 = 7;
    static final int j1 = 32767;
    static final int k1 = 1048575;
    static final /* synthetic */ boolean l1 = false;
    private final int[] m1;
    private final char[] n1;
    @Deprecated
    protected final e o1;
    @Deprecated
    protected final int p1;
    @Deprecated
    protected final int q1;
    private final int r1;
    private final int s1;
    private final int t1;

    public enum Type {
        FAST,
        SMALL
    }

    public enum ValueWidth {
        BITS_16,
        BITS_32,
        BITS_8
    }

    /* access modifiers changed from: package-private */
    public static /* synthetic */ class a {

        /* renamed from: a  reason: collision with root package name */
        static final /* synthetic */ int[] f15995a;

        /* JADX WARNING: Can't wrap try/catch for region: R(6:0|1|2|3|4|(3:5|6|8)) */
        /* JADX WARNING: Failed to process nested try/catch */
        /* JADX WARNING: Missing exception handler attribute for start block: B:3:0x0012 */
        /* JADX WARNING: Missing exception handler attribute for start block: B:5:0x001d */
        static {
            int[] iArr = new int[ValueWidth.values().length];
            f15995a = iArr;
            iArr[ValueWidth.BITS_16.ordinal()] = 1;
            f15995a[ValueWidth.BITS_32.ordinal()] = 2;
            try {
                f15995a[ValueWidth.BITS_8.ordinal()] = 3;
            } catch (NoSuchFieldError unused) {
            }
        }
    }

    private static final class b extends e {

        /* renamed from: a  reason: collision with root package name */
        char[] f15996a;

        b(char[] cArr) {
            super(null);
            this.f15996a = cArr;
        }

        /* access modifiers changed from: package-private */
        @Override // com.ibm.icu.util.CodePointTrie.e
        public int a() {
            return this.f15996a.length;
        }

        /* access modifiers changed from: package-private */
        @Override // com.ibm.icu.util.CodePointTrie.e
        public int b(int i) {
            return this.f15996a[i];
        }

        /* access modifiers changed from: package-private */
        @Override // com.ibm.icu.util.CodePointTrie.e
        public ValueWidth c() {
            return ValueWidth.BITS_16;
        }

        /* access modifiers changed from: package-private */
        @Override // com.ibm.icu.util.CodePointTrie.e
        public int d(DataOutputStream dataOutputStream) throws IOException {
            for (char c2 : this.f15996a) {
                dataOutputStream.writeChar(c2);
            }
            return this.f15996a.length * 2;
        }
    }

    private static final class c extends e {

        /* renamed from: a  reason: collision with root package name */
        int[] f15997a;

        c(int[] iArr) {
            super(null);
            this.f15997a = iArr;
        }

        /* access modifiers changed from: package-private */
        @Override // com.ibm.icu.util.CodePointTrie.e
        public int a() {
            return this.f15997a.length;
        }

        /* access modifiers changed from: package-private */
        @Override // com.ibm.icu.util.CodePointTrie.e
        public int b(int i) {
            return this.f15997a[i];
        }

        /* access modifiers changed from: package-private */
        @Override // com.ibm.icu.util.CodePointTrie.e
        public ValueWidth c() {
            return ValueWidth.BITS_32;
        }

        /* access modifiers changed from: package-private */
        @Override // com.ibm.icu.util.CodePointTrie.e
        public int d(DataOutputStream dataOutputStream) throws IOException {
            for (int i : this.f15997a) {
                dataOutputStream.writeInt(i);
            }
            return this.f15997a.length * 4;
        }
    }

    private static final class d extends e {

        /* renamed from: a  reason: collision with root package name */
        byte[] f15998a;

        d(byte[] bArr) {
            super(null);
            this.f15998a = bArr;
        }

        /* access modifiers changed from: package-private */
        @Override // com.ibm.icu.util.CodePointTrie.e
        public int a() {
            return this.f15998a.length;
        }

        /* access modifiers changed from: package-private */
        @Override // com.ibm.icu.util.CodePointTrie.e
        public int b(int i) {
            return this.f15998a[i] & 255;
        }

        /* access modifiers changed from: package-private */
        @Override // com.ibm.icu.util.CodePointTrie.e
        public ValueWidth c() {
            return ValueWidth.BITS_8;
        }

        /* access modifiers changed from: package-private */
        @Override // com.ibm.icu.util.CodePointTrie.e
        public int d(DataOutputStream dataOutputStream) throws IOException {
            for (byte b2 : this.f15998a) {
                dataOutputStream.writeByte(b2);
            }
            return this.f15998a.length;
        }
    }

    /* access modifiers changed from: private */
    public static abstract class e {
        private e() {
        }

        /* access modifiers changed from: package-private */
        public abstract int a();

        /* access modifiers changed from: package-private */
        public abstract int b(int i);

        /* access modifiers changed from: package-private */
        public abstract ValueWidth c();

        /* access modifiers changed from: package-private */
        public abstract int d(DataOutputStream dataOutputStream) throws IOException;

        /* synthetic */ e(a aVar) {
            this();
        }
    }

    public static abstract class f extends CodePointTrie {

        private final class a extends CodePointMap.d {
            /* synthetic */ a(f fVar, CharSequence charSequence, int i, a aVar) {
                this(charSequence, i);
            }

            @Override // com.ibm.icu.util.CodePointMap.d
            public boolean d() {
                int i;
                if (this.f15988b >= this.f15987a.length()) {
                    return false;
                }
                CharSequence charSequence = this.f15987a;
                int i2 = this.f15988b;
                this.f15988b = i2 + 1;
                char charAt = charSequence.charAt(i2);
                this.f15989c = charAt;
                if (!Character.isSurrogate(charAt)) {
                    i = f.this.p(this.f15989c);
                } else {
                    if (v0.e.e(charAt) && this.f15988b < this.f15987a.length()) {
                        char charAt2 = this.f15987a.charAt(this.f15988b);
                        if (Character.isLowSurrogate(charAt2)) {
                            this.f15988b++;
                            int codePoint = Character.toCodePoint(charAt, charAt2);
                            this.f15989c = codePoint;
                            i = f.this.v(Type.FAST, codePoint);
                        }
                    }
                    i = f.this.p1 - 1;
                }
                this.f15990d = f.this.o1.b(i);
                return true;
            }

            @Override // com.ibm.icu.util.CodePointMap.d
            public boolean e() {
                int i;
                int i2;
                int i3 = this.f15988b;
                if (i3 <= 0) {
                    return false;
                }
                CharSequence charSequence = this.f15987a;
                int i4 = i3 - 1;
                this.f15988b = i4;
                char charAt = charSequence.charAt(i4);
                this.f15989c = charAt;
                if (!Character.isSurrogate(charAt)) {
                    i = f.this.p(this.f15989c);
                } else {
                    if (!v0.e.e(charAt) && (i2 = this.f15988b) > 0) {
                        char charAt2 = this.f15987a.charAt(i2 - 1);
                        if (Character.isHighSurrogate(charAt2)) {
                            this.f15988b--;
                            int codePoint = Character.toCodePoint(charAt2, charAt);
                            this.f15989c = codePoint;
                            i = f.this.v(Type.FAST, codePoint);
                        }
                    }
                    i = f.this.p1 - 1;
                }
                this.f15990d = f.this.o1.b(i);
                return true;
            }

            private a(CharSequence charSequence, int i) {
                super(charSequence, i);
            }
        }

        /* synthetic */ f(char[] cArr, e eVar, int i, int i2, int i3, a aVar) {
            this(cArr, eVar, i, i2, i3);
        }

        public static f y(ValueWidth valueWidth, ByteBuffer byteBuffer) {
            return (f) CodePointTrie.q(Type.FAST, valueWidth, byteBuffer);
        }

        @Override // com.ibm.icu.util.CodePointMap
        public final CodePointMap.d f(CharSequence charSequence, int i) {
            return new a(this, charSequence, i, null);
        }

        /* access modifiers changed from: protected */
        @Override // com.ibm.icu.util.CodePointTrie
        @Deprecated
        public final int n(int i) {
            if (i >= 0) {
                if (i <= 65535) {
                    return p(i);
                }
                if (i <= 1114111) {
                    return v(Type.FAST, i);
                }
            }
            return this.p1 - 1;
        }

        @Override // com.ibm.icu.util.CodePointTrie
        public final Type r() {
            return Type.FAST;
        }

        public abstract int x(int i);

        public abstract int z(int i);

        private f(char[] cArr, e eVar, int i, int i2, int i3) {
            super(cArr, eVar, i, i2, i3, null);
        }
    }

    public static final class g extends f {
        static final /* synthetic */ boolean u1 = false;
        private final char[] v1;

        g(char[] cArr, char[] cArr2, int i, int i2, int i3) {
            super(cArr, new b(cArr2), i, i2, i3, null);
            this.v1 = cArr2;
        }

        public static g A(ByteBuffer byteBuffer) {
            return (g) CodePointTrie.q(Type.FAST, ValueWidth.BITS_16, byteBuffer);
        }

        @Override // com.ibm.icu.util.CodePointMap, com.ibm.icu.util.CodePointTrie
        public final int b(int i) {
            return this.v1[n(i)];
        }

        @Override // com.ibm.icu.util.CodePointTrie.f
        public final int x(int i) {
            return this.v1[p(i)];
        }

        @Override // com.ibm.icu.util.CodePointTrie.f
        public final int z(int i) {
            return this.v1[v(Type.FAST, i)];
        }
    }

    public static final class h extends f {
        static final /* synthetic */ boolean u1 = false;
        private final int[] v1;

        h(char[] cArr, int[] iArr, int i, int i2, int i3) {
            super(cArr, new c(iArr), i, i2, i3, null);
            this.v1 = iArr;
        }

        public static h A(ByteBuffer byteBuffer) {
            return (h) CodePointTrie.q(Type.FAST, ValueWidth.BITS_32, byteBuffer);
        }

        @Override // com.ibm.icu.util.CodePointMap, com.ibm.icu.util.CodePointTrie
        public final int b(int i) {
            return this.v1[n(i)];
        }

        @Override // com.ibm.icu.util.CodePointTrie.f
        public final int x(int i) {
            return this.v1[p(i)];
        }

        @Override // com.ibm.icu.util.CodePointTrie.f
        public final int z(int i) {
            return this.v1[v(Type.FAST, i)];
        }
    }

    public static final class i extends f {
        static final /* synthetic */ boolean u1 = false;
        private final byte[] v1;

        i(char[] cArr, byte[] bArr, int i, int i2, int i3) {
            super(cArr, new d(bArr), i, i2, i3, null);
            this.v1 = bArr;
        }

        public static i A(ByteBuffer byteBuffer) {
            return (i) CodePointTrie.q(Type.FAST, ValueWidth.BITS_8, byteBuffer);
        }

        @Override // com.ibm.icu.util.CodePointMap, com.ibm.icu.util.CodePointTrie
        public final int b(int i) {
            return this.v1[n(i)] & 255;
        }

        @Override // com.ibm.icu.util.CodePointTrie.f
        public final int x(int i) {
            return this.v1[p(i)] & 255;
        }

        @Override // com.ibm.icu.util.CodePointTrie.f
        public final int z(int i) {
            return this.v1[v(Type.FAST, i)] & 255;
        }
    }

    public static abstract class j extends CodePointTrie {

        private final class a extends CodePointMap.d {
            /* synthetic */ a(j jVar, CharSequence charSequence, int i, a aVar) {
                this(charSequence, i);
            }

            @Override // com.ibm.icu.util.CodePointMap.d
            public boolean d() {
                int i;
                if (this.f15988b >= this.f15987a.length()) {
                    return false;
                }
                CharSequence charSequence = this.f15987a;
                int i2 = this.f15988b;
                this.f15988b = i2 + 1;
                char charAt = charSequence.charAt(i2);
                this.f15989c = charAt;
                if (!Character.isSurrogate(charAt)) {
                    i = j.this.n(this.f15989c);
                } else {
                    if (v0.e.e(charAt) && this.f15988b < this.f15987a.length()) {
                        char charAt2 = this.f15987a.charAt(this.f15988b);
                        if (Character.isLowSurrogate(charAt2)) {
                            this.f15988b++;
                            int codePoint = Character.toCodePoint(charAt, charAt2);
                            this.f15989c = codePoint;
                            i = j.this.v(Type.SMALL, codePoint);
                        }
                    }
                    i = j.this.p1 - 1;
                }
                this.f15990d = j.this.o1.b(i);
                return true;
            }

            @Override // com.ibm.icu.util.CodePointMap.d
            public boolean e() {
                int i;
                int i2;
                int i3 = this.f15988b;
                if (i3 <= 0) {
                    return false;
                }
                CharSequence charSequence = this.f15987a;
                int i4 = i3 - 1;
                this.f15988b = i4;
                char charAt = charSequence.charAt(i4);
                this.f15989c = charAt;
                if (!Character.isSurrogate(charAt)) {
                    i = j.this.n(this.f15989c);
                } else {
                    if (!v0.e.e(charAt) && (i2 = this.f15988b) > 0) {
                        char charAt2 = this.f15987a.charAt(i2 - 1);
                        if (Character.isHighSurrogate(charAt2)) {
                            this.f15988b--;
                            int codePoint = Character.toCodePoint(charAt2, charAt);
                            this.f15989c = codePoint;
                            i = j.this.v(Type.SMALL, codePoint);
                        }
                    }
                    i = j.this.p1 - 1;
                }
                this.f15990d = j.this.o1.b(i);
                return true;
            }

            private a(CharSequence charSequence, int i) {
                super(charSequence, i);
            }
        }

        /* synthetic */ j(char[] cArr, e eVar, int i, int i2, int i3, a aVar) {
            this(cArr, eVar, i, i2, i3);
        }

        public static j x(ValueWidth valueWidth, ByteBuffer byteBuffer) {
            return (j) CodePointTrie.q(Type.SMALL, valueWidth, byteBuffer);
        }

        @Override // com.ibm.icu.util.CodePointMap
        public final CodePointMap.d f(CharSequence charSequence, int i) {
            return new a(this, charSequence, i, null);
        }

        /* access modifiers changed from: protected */
        @Override // com.ibm.icu.util.CodePointTrie
        @Deprecated
        public final int n(int i) {
            if (i >= 0) {
                if (i <= CodePointTrie.M0) {
                    return p(i);
                }
                if (i <= 1114111) {
                    return v(Type.SMALL, i);
                }
            }
            return this.p1 - 1;
        }

        @Override // com.ibm.icu.util.CodePointTrie
        public final Type r() {
            return Type.SMALL;
        }

        private j(char[] cArr, e eVar, int i, int i2, int i3) {
            super(cArr, eVar, i, i2, i3, null);
        }
    }

    public static final class k extends j {
        k(char[] cArr, char[] cArr2, int i, int i2, int i3) {
            super(cArr, new b(cArr2), i, i2, i3, null);
        }

        public static k y(ByteBuffer byteBuffer) {
            return (k) CodePointTrie.q(Type.SMALL, ValueWidth.BITS_16, byteBuffer);
        }
    }

    public static final class l extends j {
        l(char[] cArr, int[] iArr, int i, int i2, int i3) {
            super(cArr, new c(iArr), i, i2, i3, null);
        }

        public static l y(ByteBuffer byteBuffer) {
            return (l) CodePointTrie.q(Type.SMALL, ValueWidth.BITS_32, byteBuffer);
        }
    }

    public static final class m extends j {
        m(char[] cArr, byte[] bArr, int i, int i2, int i3) {
            super(cArr, new d(bArr), i, i2, i3, null);
        }

        public static m y(ByteBuffer byteBuffer) {
            return (m) CodePointTrie.q(Type.SMALL, ValueWidth.BITS_8, byteBuffer);
        }
    }

    /* synthetic */ CodePointTrie(char[] cArr, e eVar, int i2, int i3, int i4, a aVar) {
        this(cArr, eVar, i2, i3, i4);
    }

    /* JADX WARNING: Removed duplicated region for block: B:54:0x00b6 A[Catch:{ all -> 0x0141 }] */
    /* JADX WARNING: Removed duplicated region for block: B:78:0x0121  */
    public static CodePointTrie q(Type type, ValueWidth valueWidth, ByteBuffer byteBuffer) {
        Type type2;
        ValueWidth valueWidth2;
        int i2;
        int i3;
        ByteOrder order = byteBuffer.order();
        try {
            if (byteBuffer.remaining() >= 16) {
                int i4 = byteBuffer.getInt();
                if (i4 == 862548564) {
                    ByteOrder byteOrder = ByteOrder.BIG_ENDIAN;
                    if (order == byteOrder) {
                        byteOrder = ByteOrder.LITTLE_ENDIAN;
                    }
                    byteBuffer.order(byteOrder);
                } else if (i4 != 1416784179) {
                    throw new ICUUncheckedIOException("Buffer does not contain a serialized CodePointTrie");
                }
                char c2 = byteBuffer.getChar();
                char c3 = byteBuffer.getChar();
                char c4 = byteBuffer.getChar();
                char c5 = byteBuffer.getChar();
                char c6 = byteBuffer.getChar();
                char c7 = byteBuffer.getChar();
                int i5 = (c2 >> 6) & 3;
                if (i5 == 0) {
                    type2 = Type.FAST;
                } else if (i5 == 1) {
                    type2 = Type.SMALL;
                } else {
                    throw new ICUUncheckedIOException("CodePointTrie data header has an unsupported type");
                }
                int i6 = c2 & 7;
                if (i6 == 0) {
                    valueWidth2 = ValueWidth.BITS_16;
                } else if (i6 == 1) {
                    valueWidth2 = ValueWidth.BITS_32;
                } else if (i6 == 2) {
                    valueWidth2 = ValueWidth.BITS_8;
                } else {
                    throw new ICUUncheckedIOException("CodePointTrie data header has an unsupported value width");
                }
                if ((c2 & '8') == 0) {
                    Type type3 = type == null ? type2 : type;
                    ValueWidth valueWidth3 = valueWidth == null ? valueWidth2 : valueWidth;
                    if (type3 == type2 && valueWidth3 == valueWidth2) {
                        int i7 = c4 | ((f1 & c2) << 4);
                        int i8 = c6 | ((c2 & 3840) << 8);
                        int i9 = c7 << '\t';
                        int i10 = c3 * 2;
                        if (valueWidth3 == ValueWidth.BITS_16) {
                            i3 = i7 * 2;
                        } else if (valueWidth3 == ValueWidth.BITS_32) {
                            i3 = i7 * 4;
                        } else {
                            i2 = i10 + i7;
                            if (byteBuffer.remaining() < i2) {
                                char[] i11 = v.i(byteBuffer, c3, 0);
                                int i12 = a.f15995a[valueWidth3.ordinal()];
                                if (i12 == 1) {
                                    char[] i13 = v.i(byteBuffer, i7, 0);
                                    CodePointTrie gVar = type3 == Type.FAST ? new g(i11, i13, i9, c5, i8) : new k(i11, i13, i9, c5, i8);
                                    byteBuffer.order(order);
                                    return gVar;
                                } else if (i12 == 2) {
                                    int[] n = v.n(byteBuffer, i7, 0);
                                    CodePointTrie hVar = type3 == Type.FAST ? new h(i11, n, i9, c5, i8) : new l(i11, n, i9, c5, i8);
                                    byteBuffer.order(order);
                                    return hVar;
                                } else if (i12 == 3) {
                                    byte[] h2 = v.h(byteBuffer, i7, 0);
                                    return type3 == Type.FAST ? new i(i11, h2, i9, c5, i8) : new m(i11, h2, i9, c5, i8);
                                } else {
                                    throw new AssertionError("should be unreachable");
                                }
                            } else {
                                throw new ICUUncheckedIOException("Buffer too short for the CodePointTrie data");
                            }
                        }
                        i2 = i10 + i3;
                        if (byteBuffer.remaining() < i2) {
                        }
                    } else {
                        throw new ICUUncheckedIOException("CodePointTrie data header has a different type or value width than required");
                    }
                } else {
                    throw new ICUUncheckedIOException("CodePointTrie data header has unsupported options");
                }
            } else {
                throw new ICUUncheckedIOException("Buffer too short for a CodePointTrie header");
            }
        } finally {
            byteBuffer.order(order);
        }
    }

    private final int t(Type type, int i2) {
        char c2;
        int i3 = i2 >> 14;
        int i4 = type == Type.FAST ? i3 + PointerIconCompat.TYPE_GRAB : i3 + 64;
        char[] cArr = this.n1;
        char c3 = cArr[cArr[i4] + ((i2 >> 9) & 31)];
        int i5 = (i2 >> 4) & 31;
        if ((32768 & c3) == 0) {
            c2 = cArr[c3 + i5];
        } else {
            int i6 = (c3 & 32767) + (i5 & -8) + (i5 >> 3);
            int i7 = i5 & 7;
            c2 = cArr[i6 + 1 + i7] | ((cArr[i6] << ((i7 * 2) + 2)) & 196608);
        }
        return c2 + (i2 & 15);
    }

    private static final int u(int i2, int i3, int i4, CodePointMap.e eVar) {
        if (i2 == i3) {
            return i4;
        }
        return eVar != null ? eVar.a(i2) : i2;
    }

    @Override // com.ibm.icu.util.CodePointMap
    public int b(int i2) {
        return this.o1.b(n(i2));
    }

    /* JADX WARNING: Code restructure failed: missing block: B:69:0x0124, code lost:
        return true;
     */
    /* JADX WARNING: Removed duplicated region for block: B:102:0x015a A[EDGE_INSN: B:102:0x015a->B:85:0x015a ?: BREAK  , SYNTHETIC] */
    /* JADX WARNING: Removed duplicated region for block: B:105:0x0155 A[EDGE_INSN: B:105:0x0155->B:82:0x0155 ?: BREAK  , SYNTHETIC] */
    /* JADX WARNING: Removed duplicated region for block: B:47:0x00ab  */
    /* JADX WARNING: Removed duplicated region for block: B:48:0x00b6  */
    /* JADX WARNING: Removed duplicated region for block: B:55:0x00ec  */
    /* JADX WARNING: Removed duplicated region for block: B:61:0x0101  */
    /* JADX WARNING: Removed duplicated region for block: B:74:0x0138  */
    /* JADX WARNING: Removed duplicated region for block: B:94:0x0181 A[LOOP:1: B:45:0x00a4->B:94:0x0181, LOOP_END] */
    @Override // com.ibm.icu.util.CodePointMap
    public final boolean e(int i2, CodePointMap.e eVar, CodePointMap.b bVar) {
        int i3;
        int i4;
        int i5;
        char c2;
        char c3;
        Type type;
        char c4;
        int i6;
        boolean z;
        int b2;
        Type type2;
        if (i2 < 0 || 1114111 < i2) {
            return false;
        }
        boolean z2 = true;
        if (i2 >= this.q1) {
            int b3 = this.o1.b(this.p1 - 2);
            if (eVar != null) {
                b3 = eVar.a(b3);
            }
            bVar.i(i2, 1114111, b3);
            return true;
        }
        int i7 = this.t1;
        if (eVar != null) {
            i7 = eVar.a(i7);
        }
        Type r = r();
        int i8 = i2;
        char c5 = 65535;
        boolean z3 = false;
        int i9 = 0;
        int i10 = -1;
        int i11 = 0;
        loop0:
        while (true) {
            if (i8 > 65535 || (r != (type2 = Type.FAST) && i8 > M0)) {
                int i12 = i8 >> 14;
                int i13 = r == Type.FAST ? i12 + PointerIconCompat.TYPE_GRAB : i12 + 64;
                char[] cArr = this.n1;
                c2 = cArr[cArr[i13] + ((i8 >> 9) & 31)];
                if (c2 == c5 && i8 - i2 >= 512) {
                    i8 += 512;
                } else if (c2 == this.r1) {
                    if (!z3) {
                        i11 = this.t1;
                        i9 = i7;
                        z3 = true;
                    } else if (i7 != i9) {
                        int i14 = z2 ? 1 : 0;
                        int i15 = z2 ? 1 : 0;
                        int i16 = z2 ? 1 : 0;
                        bVar.i(i2, i8 - i14, i9);
                        return z2;
                    }
                    i10 = this.s1;
                    c5 = c2;
                    i8 = (i8 + 512) & -512;
                } else {
                    i5 = (i8 >> 4) & 31;
                    i3 = 32;
                    c5 = c2;
                    i4 = 16;
                    while (true) {
                        if ((c2 & 32768) != 0) {
                            type = r;
                            c3 = c2;
                            c4 = this.n1[c2 + i5];
                        } else {
                            type = r;
                            int i17 = (c2 & 32767) + (i5 & -8) + (i5 >> 3);
                            int i18 = i5 & 7;
                            c3 = c2;
                            char[] cArr2 = this.n1;
                            c4 = ((cArr2[i17] << ((i18 * 2) + 2)) & 196608) | cArr2[i17 + 1 + i18];
                        }
                        if (c4 == i10 || i8 - i2 < i4) {
                            int i19 = i4 - 1;
                            if (c4 != this.s1) {
                                if (!z3) {
                                    i11 = this.t1;
                                    i9 = i7;
                                    z3 = true;
                                } else if (i7 != i9) {
                                    bVar.i(i2, i8 - 1, i9);
                                    return true;
                                }
                                i8 = (~i19) & (i8 + i4);
                                i6 = i4;
                            } else {
                                int i20 = (i8 & i19) + c4;
                                i6 = i4;
                                int b4 = this.o1.b(i20);
                                if (!z3) {
                                    z = true;
                                    i9 = u(b4, this.t1, i7, eVar);
                                    i11 = b4;
                                    z3 = true;
                                    while (true) {
                                        i8++;
                                        if ((i8 & i19) != 0) {
                                            i20++;
                                            b2 = this.o1.b(i20);
                                            if (b2 == i11) {
                                                break;
                                            } else if (eVar != null && u(b2, this.t1, i7, eVar) == i9) {
                                                i11 = b2;
                                            } else {
                                                bVar.i(i2, i8 - 1, i9);
                                            }
                                            if (eVar != null) {
                                                break loop0;
                                            }
                                            break loop0;
                                        }
                                        break;
                                        break;
                                        break;
                                    }
                                } else if (b4 != i11) {
                                    if (eVar == null || u(b4, this.t1, i7, eVar) != i9) {
                                        bVar.i(i2, i8 - 1, i9);
                                    } else {
                                        i11 = b4;
                                    }
                                }
                                z = true;
                                while (true) {
                                    i8++;
                                    if ((i8 & i19) != 0) {
                                    }
                                    break;
                                    i11 = b2;
                                }
                            }
                            i10 = c4;
                        } else {
                            i8 += i4;
                            i6 = i4;
                        }
                        i5++;
                        if (i5 < i3) {
                            break;
                        }
                        r = type;
                        i4 = i6;
                        c2 = c3;
                    }
                }
                type = r;
            } else {
                int i21 = i8 >> 6;
                i3 = r == type2 ? 1024 : 64;
                i4 = 64;
                i5 = i21;
                c2 = 0;
                while (true) {
                    if ((c2 & 32768) != 0) {
                    }
                    if (c4 == i10) {
                    }
                    int i192 = i4 - 1;
                    if (c4 != this.s1) {
                    }
                    i10 = c4;
                    i5++;
                    if (i5 < i3) {
                    }
                    r = type;
                    i4 = i6;
                    c2 = c3;
                }
            }
            if (i8 >= this.q1) {
                bVar.i(i2, u(this.o1.b(this.p1 + -2), this.t1, i7, eVar) != i9 ? i8 - 1 : 1114111, i9);
                return true;
            }
            r = type;
            z2 = true;
        }
        bVar.i(i2, i8 - 1, i9);
        return z;
    }

    public final int m(int i2) {
        return this.m1[i2];
    }

    /* access modifiers changed from: protected */
    @Deprecated
    public abstract int n(int i2);

    /* access modifiers changed from: protected */
    @Deprecated
    public final int p(int i2) {
        return this.n1[i2 >> 6] + (i2 & 63);
    }

    public abstract Type r();

    public final ValueWidth s() {
        return this.o1.c();
    }

    /* access modifiers changed from: protected */
    @Deprecated
    public final int v(Type type, int i2) {
        if (i2 >= this.q1) {
            return this.p1 - 2;
        }
        return t(type, i2);
    }

    public final int w(OutputStream outputStream) {
        try {
            DataOutputStream dataOutputStream = new DataOutputStream(outputStream);
            dataOutputStream.writeInt(1416784179);
            dataOutputStream.writeChar(((this.p1 & 983040) >> 4) | ((983040 & this.s1) >> 8) | (r().ordinal() << 6) | s().ordinal());
            dataOutputStream.writeChar(this.n1.length);
            dataOutputStream.writeChar(this.p1);
            dataOutputStream.writeChar(this.r1);
            dataOutputStream.writeChar(this.s1);
            dataOutputStream.writeChar(this.q1 >> 9);
            for (char c2 : this.n1) {
                dataOutputStream.writeChar(c2);
            }
            return 16 + (this.n1.length * 2) + this.o1.d(dataOutputStream);
        } catch (IOException e2) {
            throw new ICUUncheckedIOException(e2);
        }
    }

    private CodePointTrie(char[] cArr, e eVar, int i2, int i3, int i4) {
        this.m1 = new int[128];
        this.n1 = cArr;
        this.o1 = eVar;
        this.p1 = eVar.a();
        this.q1 = i2;
        this.r1 = i3;
        this.s1 = i4;
        for (int i5 = 0; i5 < 128; i5++) {
            this.m1[i5] = eVar.b(i5);
        }
        int i6 = this.p1;
        this.t1 = eVar.b(i4 >= i6 ? i6 - 2 : i4);
    }
}
