package com.ibm.icu.util;

import com.google.android.exoplayer2.C;
import com.google.firebase.analytics.FirebaseAnalytics;
import com.ibm.icu.impl.ICUResourceBundle;
import com.ibm.icu.impl.StaticUnicodeSets;
import com.ibm.icu.impl.a0;
import com.ibm.icu.impl.c0;
import com.ibm.icu.impl.j1;
import com.ibm.icu.impl.m1;
import com.ibm.icu.impl.r1;
import com.ibm.icu.impl.w;
import com.ibm.icu.text.d0;
import com.ibm.icu.text.f0;
import com.ibm.icu.util.MeasureUnit;
import com.ibm.icu.util.ULocale;
import java.io.ObjectStreamException;
import java.lang.ref.SoftReference;
import java.text.ParsePosition;
import java.util.ArrayList;
import java.util.Collections;
import java.util.Date;
import java.util.HashSet;
import java.util.Iterator;
import java.util.List;
import java.util.Locale;
import java.util.Map;
import java.util.MissingResourceException;
import java.util.Objects;
import java.util.Set;
import kotlin.time.DurationKt;

public class Currency extends MeasureUnit {
    public static final int FORMAL_SYMBOL_NAME = 4;
    public static final int LONG_NAME = 1;
    private static final boolean N0 = c0.b(FirebaseAnalytics.b.f12316e);
    public static final int NARROW_SYMBOL_NAME = 3;
    private static w<ULocale, List<r1<c>>> O0 = new j1();
    private static d P0 = null;
    public static final int PLURAL_LONG_NAME = 2;
    private static final com.ibm.icu.impl.d<String, Currency, Void> Q0 = new a();
    private static final ULocale R0 = new ULocale(C.r0);
    private static final String[] S0 = new String[0];
    public static final int SYMBOL_NAME = 0;
    private static final int[] T0 = {1, 10, 100, 1000, 10000, com.google.android.exoplayer2.g0.q.a.f8444e, DurationKt.NANOS_IN_MILLIS, 10000000, 100000000, 1000000000};
    private static SoftReference<List<String>> U0 = null;
    private static SoftReference<Set<String>> V0 = null;
    public static final int VARIANT_SYMBOL_NAME = 5;
    private static final long serialVersionUID = -5839973855554750484L;
    private final String isoCode;

    public enum CurrencyUsage {
        STANDARD,
        CASH
    }

    static class a extends m1<String, Currency, Void> {
        a() {
        }

        /* access modifiers changed from: protected */
        /* renamed from: c */
        public Currency a(String str, Void r2) {
            return Currency.m(str);
        }
    }

    private static class b implements r1.f<c> {

        /* renamed from: a  reason: collision with root package name */
        private int f16000a;

        /* renamed from: b  reason: collision with root package name */
        private String f16001b;

        private b() {
        }

        @Override // com.ibm.icu.impl.r1.f
        public boolean a(int i, Iterator<c> it) {
            if (!it.hasNext()) {
                return true;
            }
            this.f16001b = it.next().b();
            this.f16000a = i;
            return true;
        }

        public String b() {
            return this.f16001b;
        }

        public int c() {
            return this.f16000a;
        }

        /* synthetic */ b(a aVar) {
            this();
        }
    }

    @Deprecated
    public static final class c {

        /* renamed from: a  reason: collision with root package name */
        private String f16002a;

        /* renamed from: b  reason: collision with root package name */
        private String f16003b;

        @Deprecated
        public c(String str, String str2) {
            this.f16002a = str;
            this.f16003b = str2;
        }

        @Deprecated
        public String a() {
            return this.f16003b;
        }

        @Deprecated
        public String b() {
            return this.f16002a;
        }
    }

    /* access modifiers changed from: package-private */
    public static abstract class d {
        d() {
        }

        /* access modifiers changed from: package-private */
        public abstract Currency a(ULocale uLocale);

        /* access modifiers changed from: package-private */
        public abstract Locale[] b();

        /* access modifiers changed from: package-private */
        public abstract ULocale[] c();

        /* access modifiers changed from: package-private */
        public abstract Object d(Currency currency, ULocale uLocale);

        /* access modifiers changed from: package-private */
        public abstract boolean e(Object obj);
    }

    protected Currency(String str) {
        super(FirebaseAnalytics.b.f12316e, str);
        this.isoCode = str;
    }

    static Currency f(ULocale uLocale) {
        return Q0.b(ULocale.getRegionForSupplementalData(uLocale, false), null);
    }

    public static Currency fromJavaCurrency(java.util.Currency currency) {
        return getInstance(currency.getCurrencyCode());
    }

    private static synchronized Set<String> g() {
        Set<String> set;
        synchronized (Currency.class) {
            SoftReference<Set<String>> softReference = V0;
            set = softReference == null ? null : softReference.get();
            if (set == null) {
                set = Collections.unmodifiableSet(new HashSet(f0.h().b(f0.b.a())));
                V0 = new SoftReference<>(set);
            }
        }
        return set;
    }

    public static Set<Currency> getAvailableCurrencies() {
        List<String> b2 = f0.h().b(f0.b.a());
        HashSet hashSet = new HashSet(b2.size());
        for (String str : b2) {
            hashSet.add(getInstance(str));
        }
        return hashSet;
    }

    public static String[] getAvailableCurrencyCodes(ULocale uLocale, Date date) {
        List<String> k = k(f0.b.g(date).q(ULocale.getRegionForSupplementalData(uLocale, false)));
        if (k.isEmpty()) {
            return null;
        }
        return (String[]) k.toArray(new String[k.size()]);
    }

    public static Locale[] getAvailableLocales() {
        d dVar = P0;
        if (dVar == null) {
            return ICUResourceBundle.x0();
        }
        return dVar.b();
    }

    public static ULocale[] getAvailableULocales() {
        d dVar = P0;
        if (dVar == null) {
            return ICUResourceBundle.B0();
        }
        return dVar.c();
    }

    public static Currency getInstance(Locale locale) {
        return getInstance(ULocale.forLocale(locale));
    }

    public static final String[] getKeywordValuesForLocale(String str, ULocale uLocale, boolean z) {
        if (!FirebaseAnalytics.b.f12316e.equals(str)) {
            return S0;
        }
        if (!z) {
            return (String[]) h().toArray(new String[0]);
        }
        if (R0.equals(uLocale)) {
            return S0;
        }
        List<String> k = k(f0.b.d().q(ULocale.getRegionForSupplementalData(uLocale, true)));
        if (k.size() == 0) {
            return S0;
        }
        return (String[]) k.toArray(new String[k.size()]);
    }

    @Deprecated
    public static r1<c> getParsingTrie(ULocale uLocale, int i) {
        List<r1<c>> i2 = i(uLocale);
        if (i == 1) {
            return i2.get(1);
        }
        return i2.get(0);
    }

    private static synchronized List<String> h() {
        List<String> list;
        synchronized (Currency.class) {
            SoftReference<List<String>> softReference = U0;
            list = softReference == null ? null : softReference.get();
            if (list == null) {
                list = Collections.unmodifiableList(k(f0.b.a()));
                U0 = new SoftReference<>(list);
            }
        }
        return list;
    }

    private static List<r1<c>> i(ULocale uLocale) {
        List<r1<c>> list = O0.get(uLocale);
        if (list != null) {
            return list;
        }
        r1 r1Var = new r1(true);
        r1 r1Var2 = new r1(false);
        ArrayList arrayList = new ArrayList();
        arrayList.add(r1Var2);
        arrayList.add(r1Var);
        n(uLocale, arrayList);
        O0.put(uLocale, arrayList);
        return arrayList;
    }

    public static boolean isAvailable(String str, Date date, Date date2) {
        if (!l(str)) {
            return false;
        }
        if (date == null || date2 == null || !date.after(date2)) {
            String upperCase = str.toUpperCase(Locale.ENGLISH);
            if (!g().contains(upperCase)) {
                return false;
            }
            if (date == null && date2 == null) {
                return true;
            }
            return f0.h().b(f0.b.i(date, date2).l(upperCase)).contains(upperCase);
        }
        throw new IllegalArgumentException("To is before from");
    }

    private static d j() {
        if (P0 == null) {
            try {
                P0 = (d) Class.forName("com.ibm.icu.util.j").newInstance();
            } catch (Exception e2) {
                if (N0) {
                    e2.printStackTrace();
                }
                throw new RuntimeException(e2.getMessage());
            }
        }
        return P0;
    }

    private static List<String> k(f0.b bVar) {
        return f0.h().b(bVar.r());
    }

    private static boolean l(String str) {
        if (str.length() != 3) {
            return false;
        }
        for (int i = 0; i < 3; i++) {
            char charAt = str.charAt(i);
            if (charAt < 'A' || ((charAt > 'Z' && charAt < 'a') || charAt > 'z')) {
                return false;
            }
        }
        return true;
    }

    /* access modifiers changed from: private */
    public static Currency m(String str) {
        f0 h = f0.h();
        List<String> b2 = h.b(f0.b.j(str).r());
        if (b2.isEmpty()) {
            b2 = h.b(f0.b.j(str));
        }
        if (!b2.isEmpty()) {
            return getInstance(b2.get(0));
        }
        return null;
    }

    private static void n(ULocale uLocale, List<r1<c>> list) {
        r1<c> r1Var = list.get(0);
        r1<c> r1Var2 = list.get(1);
        d0 b2 = d0.b(uLocale);
        for (Map.Entry<String, String> entry : b2.n().entrySet()) {
            String key = entry.getKey();
            StaticUnicodeSets.Key b3 = StaticUnicodeSets.b(key);
            c cVar = new c(entry.getValue(), key);
            if (b3 != null) {
                Iterator<String> it = StaticUnicodeSets.g(b3).iterator();
                while (it.hasNext()) {
                    r1Var.k(it.next(), cVar);
                }
            } else {
                r1Var.k(key, cVar);
            }
        }
        for (Map.Entry<String, String> entry2 : b2.m().entrySet()) {
            String key2 = entry2.getKey();
            r1Var2.k(key2, new c(entry2.getValue(), key2));
        }
    }

    @Deprecated
    public static String parse(ULocale uLocale, String str, int i, ParsePosition parsePosition) {
        List<r1<c>> i2 = i(uLocale);
        b bVar = new b(null);
        i2.get(1).e(str, parsePosition.getIndex(), bVar);
        String b2 = bVar.b();
        int c2 = bVar.c();
        if (i != 1) {
            b bVar2 = new b(null);
            i2.get(0).e(str, parsePosition.getIndex(), bVar2);
            if (bVar2.c() > c2) {
                b2 = bVar2.b();
                c2 = bVar2.c();
            }
        }
        parsePosition.setIndex(parsePosition.getIndex() + c2);
        return b2;
    }

    private Object readResolve() throws ObjectStreamException {
        return getInstance(this.isoCode);
    }

    public static Object registerInstance(Currency currency, ULocale uLocale) {
        return j().d(currency, uLocale);
    }

    public static boolean unregister(Object obj) {
        if (obj != null) {
            d dVar = P0;
            if (dVar == null) {
                return false;
            }
            return dVar.e(obj);
        }
        throw new IllegalArgumentException("registryKey must not be null");
    }

    private Object writeReplace() throws ObjectStreamException {
        return new MeasureUnit.f(this.type, this.subType);
    }

    public String getCurrencyCode() {
        return this.subType;
    }

    public int getDefaultFractionDigits() {
        return getDefaultFractionDigits(CurrencyUsage.STANDARD);
    }

    public String getDisplayName() {
        return getName(Locale.getDefault(), 1, (boolean[]) null);
    }

    public String getName(Locale locale, int i, boolean[] zArr) {
        return getName(ULocale.forLocale(locale), i, zArr);
    }

    public int getNumericCode() {
        try {
            return h0.m(a0.f13490d, "currencyNumericCodes", ICUResourceBundle.j).d("codeMap").d(this.subType).q();
        } catch (MissingResourceException unused) {
            return 0;
        }
    }

    public double getRoundingIncrement() {
        return getRoundingIncrement(CurrencyUsage.STANDARD);
    }

    public String getSymbol() {
        return getSymbol(ULocale.getDefault(ULocale.Category.DISPLAY));
    }

    public java.util.Currency toJavaCurrency() {
        return java.util.Currency.getInstance(getCurrencyCode());
    }

    @Override // com.ibm.icu.util.MeasureUnit
    public String toString() {
        return this.subType;
    }

    public static Currency getInstance(ULocale uLocale) {
        String keywordValue = uLocale.getKeywordValue(FirebaseAnalytics.b.f12316e);
        if (keywordValue != null) {
            return getInstance(keywordValue);
        }
        d dVar = P0;
        if (dVar == null) {
            return f(uLocale);
        }
        return dVar.a(uLocale);
    }

    public int getDefaultFractionDigits(CurrencyUsage currencyUsage) {
        return f0.h().d(this.subType, currencyUsage).f15555a;
    }

    public String getDisplayName(Locale locale) {
        return getName(locale, 1, (boolean[]) null);
    }

    public String getName(ULocale uLocale, int i, boolean[] zArr) {
        if (zArr != null) {
            zArr[0] = false;
        }
        d0 b2 = d0.b(uLocale);
        if (i == 0) {
            return b2.i(this.subType);
        }
        if (i == 1) {
            return b2.f(this.subType);
        }
        if (i == 3) {
            return b2.g(this.subType);
        }
        if (i == 4) {
            return b2.a(this.subType);
        }
        if (i == 5) {
            return b2.k(this.subType);
        }
        throw new IllegalArgumentException("bad name style: " + i);
    }

    public double getRoundingIncrement(CurrencyUsage currencyUsage) {
        int i;
        f0.a d2 = f0.h().d(this.subType, currencyUsage);
        int i2 = d2.f15556b;
        if (i2 != 0 && (i = d2.f15555a) >= 0) {
            int[] iArr = T0;
            if (i < iArr.length) {
                return ((double) i2) / ((double) iArr[i]);
            }
        }
        return 0.0d;
    }

    public String getSymbol(Locale locale) {
        return getSymbol(ULocale.forLocale(locale));
    }

    public String getSymbol(ULocale uLocale) {
        return getName(uLocale, 0, (boolean[]) null);
    }

    public static String[] getAvailableCurrencyCodes(Locale locale, Date date) {
        return getAvailableCurrencyCodes(ULocale.forLocale(locale), date);
    }

    public static Currency getInstance(String str) {
        Objects.requireNonNull(str, "The input currency code is null.");
        if (l(str)) {
            return (Currency) MeasureUnit.internalGetInstance(FirebaseAnalytics.b.f12316e, str.toUpperCase(Locale.ENGLISH));
        }
        throw new IllegalArgumentException("The input currency code is not 3-letter alphabetic code.");
    }

    public String getName(Locale locale, int i, String str, boolean[] zArr) {
        return getName(ULocale.forLocale(locale), i, str, zArr);
    }

    public String getName(ULocale uLocale, int i, String str, boolean[] zArr) {
        if (i != 2) {
            return getName(uLocale, i, zArr);
        }
        if (zArr != null) {
            zArr[0] = false;
        }
        return d0.b(uLocale).h(this.subType, str);
    }
}
