package com.ibm.icu.util;

import com.google.android.exoplayer2.C;
import com.ibm.icu.impl.locale.g;
import com.ibm.icu.impl.locale.o;
import com.ibm.icu.util.ULocale;
import java.util.ArrayList;
import java.util.Collection;
import java.util.HashMap;
import java.util.Iterator;
import java.util.List;
import java.util.Locale;
import java.util.Map;

public final class LocaleMatcher {

    /* renamed from: a  reason: collision with root package name */
    private static final com.ibm.icu.impl.locale.e f16016a = new com.ibm.icu.impl.locale.e(C.r0, "", "", 7);

    /* renamed from: b  reason: collision with root package name */
    private static final ULocale f16017b = new ULocale(C.r0);

    /* renamed from: c  reason: collision with root package name */
    private static final Locale f16018c = new Locale(C.r0);

    /* renamed from: d  reason: collision with root package name */
    private static final Locale f16019d = new Locale("");

    /* renamed from: e  reason: collision with root package name */
    private static final boolean f16020e = false;
    static final /* synthetic */ boolean f = false;
    private final int g;
    private final int h;
    private final FavorSubtag i;
    private final Direction j;
    private final ULocale[] k;
    private final Locale[] l;
    private final Map<com.ibm.icu.impl.locale.e, Integer> m;
    private final com.ibm.icu.impl.locale.e[] n;
    private final int[] o;
    private final int p;
    private final ULocale q;
    private final Locale r;

    public enum Demotion {
        NONE,
        REGION
    }

    public enum Direction {
        WITH_ONE_WAY,
        ONLY_TWO_WAY
    }

    public enum FavorSubtag {
        LANGUAGE,
        SCRIPT
    }

    public static final class b {

        /* renamed from: a  reason: collision with root package name */
        private List<ULocale> f16024a;

        /* renamed from: b  reason: collision with root package name */
        private int f16025b;

        /* renamed from: c  reason: collision with root package name */
        private Demotion f16026c;

        /* renamed from: d  reason: collision with root package name */
        private ULocale f16027d;

        /* renamed from: e  reason: collision with root package name */
        private boolean f16028e;
        private FavorSubtag f;
        private Direction g;
        private ULocale h;
        private ULocale i;

        public b j(Locale locale) {
            return k(ULocale.forLocale(locale));
        }

        public b k(ULocale uLocale) {
            if (this.f16024a == null) {
                this.f16024a = new ArrayList();
            }
            this.f16024a.add(uLocale);
            return this;
        }

        public LocaleMatcher l() {
            return new LocaleMatcher(this);
        }

        @Deprecated
        public b m(int i2) {
            if (i2 > 100) {
                i2 = 100;
            }
            this.f16025b = i2;
            return this;
        }

        public b n(Locale locale) {
            this.f16027d = ULocale.forLocale(locale);
            this.f16028e = true;
            return this;
        }

        public b o(ULocale uLocale) {
            this.f16027d = uLocale;
            this.f16028e = true;
            return this;
        }

        public b p(Demotion demotion) {
            this.f16026c = demotion;
            return this;
        }

        public b q(Direction direction) {
            this.g = direction;
            return this;
        }

        public b r(FavorSubtag favorSubtag) {
            this.f = favorSubtag;
            return this;
        }

        public b s(ULocale uLocale, ULocale uLocale2) {
            if (uLocale == null || uLocale2 == null) {
                throw new IllegalArgumentException("desired/supported locales must not be null");
            }
            this.h = uLocale;
            this.i = uLocale2;
            return this;
        }

        public b t(Locale locale, Locale locale2) {
            if (locale != null && locale2 != null) {
                return s(ULocale.forLocale(locale), ULocale.forLocale(locale2));
            }
            throw new IllegalArgumentException("desired/supported locales must not be null");
        }

        public String toString() {
            StringBuilder sb = new StringBuilder();
            sb.append("{LocaleMatcher.Builder");
            List<ULocale> list = this.f16024a;
            if (list != null && !list.isEmpty()) {
                sb.append(" supported={");
                sb.append(this.f16024a);
                sb.append('}');
            }
            if (this.f16027d != null) {
                sb.append(" default=");
                sb.append(this.f16027d);
            }
            if (this.f != null) {
                sb.append(" distance=");
                sb.append(this.f);
            }
            int i2 = this.f16025b;
            if (i2 >= 0) {
                sb.append(String.format(" threshold=%d", Integer.valueOf(i2)));
            }
            if (this.f16026c != null) {
                sb.append(" demotion=");
                sb.append(this.f16026c);
            }
            sb.append('}');
            return sb.toString();
        }

        public b u() {
            this.f16027d = null;
            this.f16028e = false;
            return this;
        }

        public b v(String str) {
            return x(s.k(str).f().m());
        }

        public b w(Collection<Locale> collection) {
            this.f16024a = new ArrayList(collection.size());
            for (Locale locale : collection) {
                this.f16024a.add(ULocale.forLocale(locale));
            }
            return this;
        }

        public b x(Collection<ULocale> collection) {
            this.f16024a = new ArrayList(collection);
            return this;
        }

        private b() {
            this.f16025b = -1;
            this.f16028e = true;
        }
    }

    /* access modifiers changed from: private */
    public static final class c extends d {
        private Locale I0;
        private Locale J0;

        /* renamed from: b  reason: collision with root package name */
        private Iterator<Locale> f16029b;

        c(Iterator<Locale> it) {
            super();
            this.f16029b = it;
        }

        @Override // com.ibm.icu.util.LocaleMatcher.d
        public void a(int i) {
            this.f16030a = i;
            this.J0 = this.I0;
        }

        /* renamed from: c */
        public com.ibm.icu.impl.locale.e next() {
            Locale next = this.f16029b.next();
            this.I0 = next;
            return LocaleMatcher.q(next);
        }

        public boolean hasNext() {
            return this.f16029b.hasNext();
        }
    }

    /* access modifiers changed from: private */
    public static abstract class d implements Iterator<com.ibm.icu.impl.locale.e> {

        /* renamed from: a  reason: collision with root package name */
        int f16030a;

        private d() {
            this.f16030a = -1;
        }

        public abstract void a(int i);

        public void remove() {
            throw new UnsupportedOperationException();
        }
    }

    public static final class e {

        /* renamed from: a  reason: collision with root package name */
        private final ULocale f16031a;

        /* renamed from: b  reason: collision with root package name */
        private final ULocale f16032b;

        /* renamed from: c  reason: collision with root package name */
        private final Locale f16033c;

        /* renamed from: d  reason: collision with root package name */
        private final Locale f16034d;

        /* renamed from: e  reason: collision with root package name */
        private final int f16035e;
        private final int f;

        public int a() {
            return this.f16035e;
        }

        public Locale b() {
            ULocale uLocale;
            Locale locale = this.f16033c;
            return (locale != null || (uLocale = this.f16031a) == null) ? locale : uLocale.toLocale();
        }

        public ULocale c() {
            Locale locale;
            ULocale uLocale = this.f16031a;
            return (uLocale != null || (locale = this.f16033c) == null) ? uLocale : ULocale.forLocale(locale);
        }

        public int d() {
            return this.f;
        }

        public Locale e() {
            return this.f16034d;
        }

        public ULocale f() {
            return this.f16032b;
        }

        public Locale g() {
            ULocale h = h();
            if (h != null) {
                return h.toLocale();
            }
            return null;
        }

        public ULocale h() {
            ULocale c2 = c();
            ULocale uLocale = this.f16032b;
            if (uLocale == null || c2 == null || uLocale.equals(c2)) {
                return this.f16032b;
            }
            ULocale.e i = new ULocale.e().i(this.f16032b);
            String country = c2.getCountry();
            if (!country.isEmpty()) {
                i.j(country);
            }
            String variant = c2.getVariant();
            if (!variant.isEmpty()) {
                i.m(variant);
            }
            for (Character ch : c2.getExtensionKeys()) {
                char charValue = ch.charValue();
                i.f(charValue, c2.getExtension(charValue));
            }
            return i.b();
        }

        private e(ULocale uLocale, ULocale uLocale2, Locale locale, Locale locale2, int i, int i2) {
            this.f16031a = uLocale;
            this.f16032b = uLocale2;
            this.f16033c = locale;
            this.f16034d = locale2;
            this.f16035e = i;
            this.f = i2;
        }
    }

    /* access modifiers changed from: private */
    public static final class f extends d {
        private ULocale I0;
        private ULocale J0;

        /* renamed from: b  reason: collision with root package name */
        private Iterator<ULocale> f16036b;

        f(Iterator<ULocale> it) {
            super();
            this.f16036b = it;
        }

        @Override // com.ibm.icu.util.LocaleMatcher.d
        public void a(int i) {
            this.f16030a = i;
            this.J0 = this.I0;
        }

        /* renamed from: c */
        public com.ibm.icu.impl.locale.e next() {
            ULocale next = this.f16036b.next();
            this.I0 = next;
            return LocaleMatcher.p(next);
        }

        public boolean hasNext() {
            return this.f16036b.hasNext();
        }
    }

    public static b c() {
        return new b();
    }

    private e e() {
        return new e(null, this.q, null, this.r, -1, -1);
    }

    private int o(com.ibm.icu.impl.locale.e eVar, d dVar) {
        int o2 = g.o(this.g);
        int i2 = 0;
        com.ibm.icu.impl.locale.e eVar2 = eVar;
        int i3 = -1;
        while (true) {
            Integer num = this.m.get(eVar2);
            if (num != null) {
                int intValue = num.intValue();
                if (dVar != null) {
                    dVar.a(i2);
                }
                return intValue;
            }
            int a2 = g.r.a(eVar2, this.n, this.p, o2, this.i, this.j);
            if (a2 >= 0) {
                o2 = g.k(a2);
                if (dVar != null) {
                    dVar.a(i2);
                }
                i3 = g.i(a2);
            }
            o2 -= g.o(this.h);
            if (o2 > 0 && dVar != null && dVar.hasNext()) {
                eVar2 = (com.ibm.icu.impl.locale.e) dVar.next();
                i2++;
            }
        }
        if (i3 < 0) {
            return -1;
        }
        return this.o[i3];
    }

    /* access modifiers changed from: private */
    public static final com.ibm.icu.impl.locale.e p(ULocale uLocale) {
        if (uLocale.equals(f16017b)) {
            return f16016a;
        }
        return o.f.g(uLocale);
    }

    /* access modifiers changed from: private */
    public static final com.ibm.icu.impl.locale.e q(Locale locale) {
        if (locale.equals(f16018c) || locale.equals(f16019d)) {
            return f16016a;
        }
        return o.f.h(locale);
    }

    private e t(ULocale uLocale, f fVar, int i2) {
        if (i2 < 0) {
            return e();
        }
        if (uLocale != null) {
            return new e(uLocale, this.k[i2], null, this.l[i2], 0, i2);
        }
        return new e(fVar.J0, this.k[i2], null, this.l[i2], fVar.f16030a, i2);
    }

    private e u(Locale locale, c cVar, int i2) {
        if (i2 < 0) {
            return e();
        }
        if (locale != null) {
            return new e(null, this.k[i2], locale, this.l[i2], 0, i2);
        }
        return new e(null, this.k[i2], cVar.J0, this.l[i2], cVar.f16030a, i2);
    }

    private final int w(com.ibm.icu.impl.locale.e eVar, int i2, int i3) {
        if (this.m.containsKey(eVar)) {
            return i3;
        }
        this.m.put(eVar, Integer.valueOf(i2));
        this.n[i3] = eVar;
        int i4 = i3 + 1;
        this.o[i3] = i2;
        return i4;
    }

    public ULocale d(ULocale uLocale) {
        return o.f.a(uLocale);
    }

    public Locale f(Iterable<Locale> iterable) {
        Iterator<Locale> it = iterable.iterator();
        if (!it.hasNext()) {
            return this.r;
        }
        c cVar = new c(it);
        int o2 = o(cVar.next(), cVar);
        return o2 >= 0 ? this.l[o2] : this.r;
    }

    public Locale g(Locale locale) {
        int o2 = o(q(locale), null);
        return o2 >= 0 ? this.l[o2] : this.r;
    }

    public e h(Iterable<Locale> iterable) {
        Iterator<Locale> it = iterable.iterator();
        if (!it.hasNext()) {
            return e();
        }
        c cVar = new c(it);
        return u(null, cVar, o(cVar.next(), cVar));
    }

    public e i(Locale locale) {
        return u(locale, null, o(q(locale), null));
    }

    public ULocale j(ULocale uLocale) {
        int o2 = o(p(uLocale), null);
        return o2 >= 0 ? this.k[o2] : this.q;
    }

    public ULocale k(Iterable<ULocale> iterable) {
        Iterator<ULocale> it = iterable.iterator();
        if (!it.hasNext()) {
            return this.q;
        }
        f fVar = new f(it);
        int o2 = o(fVar.next(), fVar);
        return o2 >= 0 ? this.k[o2] : this.q;
    }

    public ULocale l(String str) {
        return k(s.k(str).f());
    }

    public e m(ULocale uLocale) {
        return t(uLocale, null, o(p(uLocale), null));
    }

    public e n(Iterable<ULocale> iterable) {
        Iterator<ULocale> it = iterable.iterator();
        if (!it.hasNext()) {
            return e();
        }
        f fVar = new f(it);
        return t(null, fVar, o(fVar.next(), fVar));
    }

    public boolean r(ULocale uLocale, ULocale uLocale2) {
        if (g.r.a(p(uLocale), new com.ibm.icu.impl.locale.e[]{p(uLocale2)}, 1, g.o(this.g), this.i, this.j) >= 0) {
            return true;
        }
        return false;
    }

    public boolean s(Locale locale, Locale locale2) {
        if (g.r.a(q(locale), new com.ibm.icu.impl.locale.e[]{q(locale2)}, 1, g.o(this.g), this.i, this.j) >= 0) {
            return true;
        }
        return false;
    }

    public String toString() {
        StringBuilder sb = new StringBuilder();
        sb.append("{LocaleMatcher");
        if (this.p > 0) {
            sb.append(" supportedLSRs={");
            sb.append(this.n[0]);
            for (int i2 = 1; i2 < this.p; i2++) {
                sb.append(", ");
                sb.append(this.n[i2]);
            }
            sb.append('}');
        }
        sb.append(" default=");
        sb.append(this.q);
        if (this.i != null) {
            sb.append(" favor=");
            sb.append(this.i);
        }
        if (this.j != null) {
            sb.append(" direction=");
            sb.append(this.j);
        }
        int i3 = this.g;
        if (i3 >= 0) {
            sb.append(String.format(" threshold=%d", Integer.valueOf(i3)));
        }
        sb.append(String.format(" demotion=%d", Integer.valueOf(this.h)));
        sb.append('}');
        return sb.toString();
    }

    @Deprecated
    public double v(ULocale uLocale, ULocale uLocale2, ULocale uLocale3, ULocale uLocale4) {
        return (100.0d - g.f(g.r.a(p(uLocale), new com.ibm.icu.impl.locale.e[]{p(uLocale3)}, 1, g.o(this.g), this.i, this.j))) / 100.0d;
    }

    public LocaleMatcher(s sVar) {
        this(c().x(sVar.m()));
    }

    public LocaleMatcher(String str) {
        this(c().v(str));
    }

    private LocaleMatcher(b bVar) {
        Locale locale;
        int i2;
        int i3;
        ULocale uLocale = bVar.f16027d;
        com.ibm.icu.impl.locale.e eVar = null;
        if (uLocale != null) {
            locale = uLocale.toLocale();
            eVar = p(uLocale);
        } else {
            locale = null;
        }
        int i4 = 0;
        int size = bVar.f16024a != null ? bVar.f16024a.size() : 0;
        this.k = new ULocale[size];
        this.l = new Locale[size];
        com.ibm.icu.impl.locale.e[] eVarArr = new com.ibm.icu.impl.locale.e[size];
        if (size > 0) {
            int i5 = 0;
            for (ULocale uLocale2 : bVar.f16024a) {
                this.k[i5] = uLocale2;
                this.l[i5] = uLocale2.toLocale();
                eVarArr[i5] = p(uLocale2);
                i5++;
            }
        }
        this.m = new HashMap(size);
        this.n = new com.ibm.icu.impl.locale.e[size];
        this.o = new int[size];
        byte[] bArr = new byte[size];
        ULocale[] uLocaleArr = this.k;
        int length = uLocaleArr.length;
        int i6 = 0;
        int i7 = 0;
        int i8 = 0;
        int i9 = 0;
        while (i6 < length) {
            ULocale uLocale3 = uLocaleArr[i6];
            com.ibm.icu.impl.locale.e eVar2 = eVarArr[i9];
            if (eVar == null && bVar.f16028e) {
                Locale locale2 = this.l[i4];
                i7 = w(eVar2, i4, i7);
                locale = locale2;
                eVar = eVar2;
                uLocale = uLocale3;
            } else if (eVar != null && eVar2.b(eVar)) {
                i7 = w(eVar2, i9, i7);
            } else if (g.r.m(eVar2)) {
                bArr[i9] = 2;
                i8++;
            } else {
                bArr[i9] = 3;
            }
            i9++;
            i6++;
            i4 = 0;
        }
        int i10 = i8 + i7;
        for (int i11 = 0; i11 < size && i7 < i10; i11++) {
            if (bArr[i11] == 2) {
                i7 = w(eVarArr[i11], i11, i7);
            }
        }
        for (int i12 = 0; i12 < size; i12++) {
            if (bArr[i12] == 3) {
                i7 = w(eVarArr[i12], i12, i7);
            }
        }
        this.p = i7;
        this.q = uLocale;
        this.r = locale;
        if (bVar.f16026c == Demotion.NONE) {
            i2 = 0;
        } else {
            i2 = g.r.b();
        }
        this.h = i2;
        FavorSubtag favorSubtag = bVar.f;
        this.i = favorSubtag;
        Direction direction = bVar.g;
        this.j = direction;
        if (bVar.f16025b >= 0) {
            i3 = bVar.f16025b;
        } else if (bVar.h != null) {
            i3 = g.g(g.r.a(p(bVar.h), new com.ibm.icu.impl.locale.e[]{p(bVar.i)}, 1, g.o(100), favorSubtag, direction)) + 1;
        } else {
            i3 = g.r.d();
        }
        this.g = i3;
    }
}
