package com.ibm.icu.util;

import com.google.android.exoplayer2.text.ttml.b;
import com.ibm.icu.impl.ICUResourceBundle;
import com.ibm.icu.impl.a0;
import com.ibm.icu.impl.number.Padder;
import java.util.ArrayList;
import java.util.Arrays;
import java.util.Collections;
import java.util.Enumeration;
import java.util.HashMap;
import java.util.Iterator;
import java.util.List;
import java.util.Map;
import java.util.Objects;
import java.util.Set;
import java.util.TreeSet;

public class Region implements Comparable<Region> {
    private static Map<Integer, Region> I0 = null;
    private static Map<String, Region> J0 = null;
    private static ArrayList<Region> K0 = null;
    private static ArrayList<Set<Region>> L0 = null;
    private static final String M0 = "ZZ";
    private static final String N0 = "QO";
    private static final String O0 = "001";

    /* renamed from: a  reason: collision with root package name */
    private static boolean f16041a;

    /* renamed from: b  reason: collision with root package name */
    private static Map<String, Region> f16042b;
    private String P0;
    private int Q0;
    private RegionType R0;
    private Region S0 = null;
    private Set<Region> T0 = new TreeSet();
    private List<Region> U0 = null;

    public enum RegionType {
        UNKNOWN,
        TERRITORY,
        WORLD,
        CONTINENT,
        SUBCONTINENT,
        GROUPING,
        DEPRECATED
    }

    private Region() {
    }

    public static Set<Region> g(RegionType regionType) {
        r();
        return Collections.unmodifiableSet(L0.get(regionType.ordinal()));
    }

    public static Region l(int i) {
        r();
        Region region = I0.get(Integer.valueOf(i));
        if (region == null) {
            String str = i < 10 ? "00" : i < 100 ? "0" : "";
            region = J0.get(str + Integer.toString(i));
        }
        if (region != null) {
            return (region.R0 == RegionType.DEPRECATED && region.U0.size() == 1) ? region.U0.get(0) : region;
        }
        throw new IllegalArgumentException("Unknown region code: " + i);
    }

    public static Region n(String str) {
        Objects.requireNonNull(str);
        r();
        Region region = f16042b.get(str);
        if (region == null) {
            region = J0.get(str);
        }
        if (region != null) {
            return (region.R0 == RegionType.DEPRECATED && region.U0.size() == 1) ? region.U0.get(0) : region;
        }
        throw new IllegalArgumentException("Unknown region id: " + str);
    }

    private static synchronized void r() {
        Region region;
        synchronized (Region.class) {
            if (!f16041a) {
                J0 = new HashMap();
                f16042b = new HashMap();
                I0 = new HashMap();
                L0 = new ArrayList<>(RegionType.values().length);
                ClassLoader classLoader = ICUResourceBundle.j;
                h0 d2 = h0.m(a0.f13490d, b.l, classLoader).d("alias").d("territory");
                h0 m = h0.m(a0.f13490d, "supplementalData", classLoader);
                h0 d3 = m.d("codeMappings");
                h0 d4 = m.d("idValidity").d(b.k);
                h0 d5 = d4.d("regular");
                h0 d6 = d4.d("macroregion");
                h0 d7 = d4.d("unknown");
                h0 d8 = m.d("territoryContainment");
                h0 d9 = d8.d("001");
                h0 d10 = d8.d("grouping");
                List<String> asList = Arrays.asList(d9.A());
                Enumeration<String> keys = d10.getKeys();
                ArrayList<String> arrayList = new ArrayList();
                ArrayList<String> arrayList2 = new ArrayList();
                arrayList2.addAll(Arrays.asList(d5.A()));
                arrayList2.addAll(Arrays.asList(d6.A()));
                arrayList2.add(d7.y());
                for (String str : arrayList2) {
                    int indexOf = str.indexOf("~");
                    if (indexOf > 0) {
                        StringBuilder sb = new StringBuilder(str);
                        char charAt = sb.charAt(indexOf + 1);
                        sb.setLength(indexOf);
                        int i = indexOf - 1;
                        char charAt2 = sb.charAt(i);
                        while (charAt2 <= charAt) {
                            arrayList.add(sb.toString());
                            charAt2 = (char) (charAt2 + 1);
                            sb.setCharAt(i, charAt2);
                        }
                    } else {
                        arrayList.add(str);
                    }
                }
                K0 = new ArrayList<>(arrayList.size());
                for (String str2 : arrayList) {
                    Region region2 = new Region();
                    region2.P0 = str2;
                    region2.R0 = RegionType.TERRITORY;
                    f16042b.put(str2, region2);
                    if (str2.matches("[0-9]{3}")) {
                        int intValue = Integer.valueOf(str2).intValue();
                        region2.Q0 = intValue;
                        I0.put(Integer.valueOf(intValue), region2);
                        region2.R0 = RegionType.SUBCONTINENT;
                    } else {
                        region2.Q0 = -1;
                    }
                    K0.add(region2);
                }
                for (int i2 = 0; i2 < d2.x(); i2++) {
                    h0 c2 = d2.c(i2);
                    String t = c2.t();
                    String y = c2.d("replacement").y();
                    if (!f16042b.containsKey(y) || f16042b.containsKey(t)) {
                        if (f16042b.containsKey(t)) {
                            region = f16042b.get(t);
                        } else {
                            Region region3 = new Region();
                            region3.P0 = t;
                            f16042b.put(t, region3);
                            if (t.matches("[0-9]{3}")) {
                                int intValue2 = Integer.valueOf(t).intValue();
                                region3.Q0 = intValue2;
                                I0.put(Integer.valueOf(intValue2), region3);
                            } else {
                                region3.Q0 = -1;
                            }
                            K0.add(region3);
                            region = region3;
                        }
                        region.R0 = RegionType.DEPRECATED;
                        List<String> asList2 = Arrays.asList(y.split(Padder.f14124a));
                        region.U0 = new ArrayList();
                        for (String str3 : asList2) {
                            if (f16042b.containsKey(str3)) {
                                region.U0.add(f16042b.get(str3));
                            }
                        }
                    } else {
                        J0.put(t, f16042b.get(y));
                    }
                }
                for (int i3 = 0; i3 < d3.x(); i3++) {
                    h0 c3 = d3.c(i3);
                    if (c3.B() == 8) {
                        String[] A = c3.A();
                        String str4 = A[0];
                        Integer valueOf = Integer.valueOf(A[1]);
                        String str5 = A[2];
                        if (f16042b.containsKey(str4)) {
                            Region region4 = f16042b.get(str4);
                            int intValue3 = valueOf.intValue();
                            region4.Q0 = intValue3;
                            I0.put(Integer.valueOf(intValue3), region4);
                            J0.put(str5, region4);
                        }
                    }
                }
                if (f16042b.containsKey("001")) {
                    f16042b.get("001").R0 = RegionType.WORLD;
                }
                if (f16042b.containsKey(M0)) {
                    f16042b.get(M0).R0 = RegionType.UNKNOWN;
                }
                for (String str6 : asList) {
                    if (f16042b.containsKey(str6)) {
                        f16042b.get(str6).R0 = RegionType.CONTINENT;
                    }
                }
                while (keys.hasMoreElements()) {
                    String nextElement = keys.nextElement();
                    if (f16042b.containsKey(nextElement)) {
                        f16042b.get(nextElement).R0 = RegionType.GROUPING;
                    }
                }
                if (f16042b.containsKey(N0)) {
                    f16042b.get(N0).R0 = RegionType.SUBCONTINENT;
                }
                for (int i4 = 0; i4 < d8.x(); i4++) {
                    h0 c4 = d8.c(i4);
                    String t2 = c4.t();
                    if (!t2.equals("containedGroupings") && !t2.equals("deprecated") && !t2.equals("grouping")) {
                        Region region5 = f16042b.get(t2);
                        for (int i5 = 0; i5 < c4.x(); i5++) {
                            Region region6 = f16042b.get(c4.z(i5));
                            if (!(region5 == null || region6 == null)) {
                                region5.T0.add(region6);
                                if (region5.q() != RegionType.GROUPING) {
                                    region6.S0 = region5;
                                }
                            }
                        }
                    }
                }
                for (int i6 = 0; i6 < d10.x(); i6++) {
                    h0 c5 = d10.c(i6);
                    Region region7 = f16042b.get(c5.t());
                    for (int i7 = 0; i7 < c5.x(); i7++) {
                        Region region8 = f16042b.get(c5.z(i7));
                        if (!(region7 == null || region8 == null)) {
                            region7.T0.add(region8);
                        }
                    }
                }
                for (int i8 = 0; i8 < RegionType.values().length; i8++) {
                    L0.add(new TreeSet());
                }
                Iterator<Region> it = K0.iterator();
                while (it.hasNext()) {
                    Region next = it.next();
                    Set<Region> set = L0.get(next.R0.ordinal());
                    set.add(next);
                    L0.set(next.R0.ordinal(), set);
                }
                f16041a = true;
            }
        }
    }

    /* renamed from: a */
    public int compareTo(Region region) {
        return this.P0.compareTo(region.P0);
    }

    public boolean b(Region region) {
        r();
        if (this.T0.contains(region)) {
            return true;
        }
        for (Region region2 : this.T0) {
            if (region2.b(region)) {
                return true;
            }
        }
        return false;
    }

    public Set<Region> h() {
        r();
        return Collections.unmodifiableSet(this.T0);
    }

    public Set<Region> i(RegionType regionType) {
        r();
        TreeSet treeSet = new TreeSet();
        for (Region region : h()) {
            if (region.q() == regionType) {
                treeSet.add(region);
            } else {
                treeSet.addAll(region.i(regionType));
            }
        }
        return Collections.unmodifiableSet(treeSet);
    }

    public Region j() {
        r();
        return this.S0;
    }

    public Region k(RegionType regionType) {
        r();
        Region region = this.S0;
        if (region == null) {
            return null;
        }
        if (region.R0.equals(regionType)) {
            return this.S0;
        }
        return this.S0.k(regionType);
    }

    public int o() {
        return this.Q0;
    }

    public List<Region> p() {
        r();
        if (this.R0 == RegionType.DEPRECATED) {
            return Collections.unmodifiableList(this.U0);
        }
        return null;
    }

    public RegionType q() {
        return this.R0;
    }

    public String toString() {
        return this.P0;
    }
}
