package com.ibm.icu.util;

import com.ibm.icu.impl.e;
import com.ibm.icu.impl.u;
import com.ibm.icu.util.BasicTimeZone;
import java.util.ArrayList;
import java.util.BitSet;
import java.util.Date;
import java.util.Iterator;
import java.util.List;

public class RuleBasedTimeZone extends BasicTimeZone {
    private static final long serialVersionUID = 7580833058949327935L;
    private transient List<g0> V0;
    private transient boolean W0;
    private volatile transient boolean X0 = false;
    private AnnualTimeZoneRule[] finalRules;
    private List<TimeZoneRule> historicRules;
    private final InitialTimeZoneRule initialRule;

    public RuleBasedTimeZone(String str, InitialTimeZoneRule initialTimeZoneRule) {
        super(str);
        this.initialRule = initialTimeZoneRule;
    }

    /* JADX WARN: Multi-variable type inference failed */
    /* JADX WARN: Type inference failed for: r8v7, types: [com.ibm.icu.util.AnnualTimeZoneRule[]] */
    /* JADX WARN: Type inference failed for: r8v8 */
    /* JADX WARN: Type inference failed for: r11v4, types: [com.ibm.icu.util.TimeZoneRule] */
    /* JADX WARNING: Unknown variable types count: 2 */
    private void e() {
        boolean z;
        Date nextStart;
        boolean z2;
        int i;
        if (!this.W0) {
            AnnualTimeZoneRule[] annualTimeZoneRuleArr = this.finalRules;
            if (annualTimeZoneRuleArr == null || annualTimeZoneRuleArr[1] != null) {
                List<TimeZoneRule> list = this.historicRules;
                if (!(list == null && annualTimeZoneRuleArr == null)) {
                    InitialTimeZoneRule initialTimeZoneRule = this.initialRule;
                    long j = u.f14517a;
                    if (list != null) {
                        BitSet bitSet = new BitSet(this.historicRules.size());
                        while (true) {
                            int rawOffset = initialTimeZoneRule.getRawOffset();
                            int dSTSavings = initialTimeZoneRule.getDSTSavings();
                            long j2 = 183882168921600000L;
                            InitialTimeZoneRule initialTimeZoneRule2 = null;
                            int i2 = 0;
                            while (i2 < this.historicRules.size()) {
                                if (bitSet.get(i2)) {
                                    i = i2;
                                } else {
                                    TimeZoneRule timeZoneRule = this.historicRules.get(i2);
                                    i = i2;
                                    Date nextStart2 = timeZoneRule.getNextStart(j, rawOffset, dSTSavings, false);
                                    if (nextStart2 == null) {
                                        bitSet.set(i);
                                    } else if (!(timeZoneRule == initialTimeZoneRule || (timeZoneRule.getName().equals(initialTimeZoneRule.getName()) && timeZoneRule.getRawOffset() == initialTimeZoneRule.getRawOffset() && timeZoneRule.getDSTSavings() == initialTimeZoneRule.getDSTSavings()))) {
                                        long time = nextStart2.getTime();
                                        if (time < j2) {
                                            initialTimeZoneRule2 = timeZoneRule;
                                            j2 = time;
                                        }
                                    }
                                }
                                i2 = i + 1;
                            }
                            if (initialTimeZoneRule2 == null) {
                                int i3 = 0;
                                while (true) {
                                    if (i3 >= this.historicRules.size()) {
                                        z2 = true;
                                        break;
                                    } else if (!bitSet.get(i3)) {
                                        z2 = false;
                                        break;
                                    } else {
                                        i3++;
                                    }
                                }
                                if (z2) {
                                    break;
                                }
                            }
                            if (this.finalRules != null) {
                                for (int i4 = 0; i4 < 2; i4++) {
                                    AnnualTimeZoneRule[] annualTimeZoneRuleArr2 = this.finalRules;
                                    if (!(annualTimeZoneRuleArr2[i4] == initialTimeZoneRule || (nextStart = annualTimeZoneRuleArr2[i4].getNextStart(j, rawOffset, dSTSavings, false)) == null)) {
                                        long time2 = nextStart.getTime();
                                        if (time2 < j2) {
                                            j2 = time2;
                                            initialTimeZoneRule2 = this.finalRules[i4];
                                        }
                                    }
                                }
                            }
                            if (initialTimeZoneRule2 == null) {
                                break;
                            }
                            if (this.V0 == null) {
                                this.V0 = new ArrayList();
                            }
                            this.V0.add(new g0(j2, initialTimeZoneRule, initialTimeZoneRule2));
                            initialTimeZoneRule = initialTimeZoneRule2;
                            j = j2;
                        }
                    }
                    if (this.finalRules != null) {
                        if (this.V0 == null) {
                            this.V0 = new ArrayList();
                        }
                        Date nextStart3 = this.finalRules[0].getNextStart(j, initialTimeZoneRule.getRawOffset(), initialTimeZoneRule.getDSTSavings(), false);
                        Date nextStart4 = this.finalRules[1].getNextStart(j, initialTimeZoneRule.getRawOffset(), initialTimeZoneRule.getDSTSavings(), false);
                        if (nextStart4.after(nextStart3)) {
                            this.V0.add(new g0(nextStart3.getTime(), initialTimeZoneRule, this.finalRules[0]));
                            Date nextStart5 = this.finalRules[1].getNextStart(nextStart3.getTime(), this.finalRules[0].getRawOffset(), this.finalRules[0].getDSTSavings(), false);
                            List<g0> list2 = this.V0;
                            long time3 = nextStart5.getTime();
                            AnnualTimeZoneRule[] annualTimeZoneRuleArr3 = this.finalRules;
                            list2.add(new g0(time3, annualTimeZoneRuleArr3[0], annualTimeZoneRuleArr3[1]));
                        } else {
                            this.V0.add(new g0(nextStart4.getTime(), initialTimeZoneRule, this.finalRules[1]));
                            Date nextStart6 = this.finalRules[0].getNextStart(nextStart4.getTime(), this.finalRules[1].getRawOffset(), this.finalRules[1].getDSTSavings(), false);
                            List<g0> list3 = this.V0;
                            long time4 = nextStart6.getTime();
                            AnnualTimeZoneRule[] annualTimeZoneRuleArr4 = this.finalRules;
                            z = true;
                            list3.add(new g0(time4, annualTimeZoneRuleArr4[1], annualTimeZoneRuleArr4[0]));
                            this.W0 = z;
                            return;
                        }
                    }
                }
                z = true;
                this.W0 = z;
                return;
            }
            throw new IllegalStateException("Incomplete final rules");
        }
    }

    private TimeZoneRule f(long j, boolean z, int i, int i2) {
        AnnualTimeZoneRule[] annualTimeZoneRuleArr = this.finalRules;
        if (!(annualTimeZoneRuleArr == null || annualTimeZoneRuleArr.length != 2 || annualTimeZoneRuleArr[0] == null || annualTimeZoneRuleArr[1] == null)) {
            long h = z ? j - ((long) h(annualTimeZoneRuleArr[1].getRawOffset(), this.finalRules[1].getDSTSavings(), this.finalRules[0].getRawOffset(), this.finalRules[0].getDSTSavings(), i, i2)) : j;
            AnnualTimeZoneRule[] annualTimeZoneRuleArr2 = this.finalRules;
            Date previousStart = annualTimeZoneRuleArr2[0].getPreviousStart(h, annualTimeZoneRuleArr2[1].getRawOffset(), this.finalRules[1].getDSTSavings(), true);
            long h2 = z ? j - ((long) h(this.finalRules[0].getRawOffset(), this.finalRules[0].getDSTSavings(), this.finalRules[1].getRawOffset(), this.finalRules[1].getDSTSavings(), i, i2)) : j;
            AnnualTimeZoneRule[] annualTimeZoneRuleArr3 = this.finalRules;
            Date previousStart2 = annualTimeZoneRuleArr3[1].getPreviousStart(h2, annualTimeZoneRuleArr3[0].getRawOffset(), this.finalRules[0].getDSTSavings(), true);
            if (previousStart != null && previousStart2 != null) {
                return previousStart.after(previousStart2) ? this.finalRules[0] : this.finalRules[1];
            }
            if (previousStart != null) {
                return this.finalRules[0];
            }
            if (previousStart2 != null) {
                return this.finalRules[1];
            }
        }
        return null;
    }

    private static int h(int i, int i2, int i3, int i4, int i5, int i6) {
        int i7 = i + i2;
        int i8 = i3 + i4;
        boolean z = false;
        boolean z2 = i2 != 0 && i4 == 0;
        if (i2 == 0 && i4 != 0) {
            z = true;
        }
        if (i8 - i7 >= 0) {
            int i9 = i5 & 3;
            if (i9 == 1 && z2) {
                return i7;
            }
            if (i9 == 3 && z) {
                return i7;
            }
            if ((i9 != 1 || !z) && ((i9 != 3 || !z2) && (i5 & 12) == 12)) {
                return i7;
            }
        } else {
            int i10 = i6 & 3;
            if ((i10 != 1 || !z2) && (i10 != 3 || !z)) {
                if (i10 == 1 && z) {
                    return i7;
                }
                if ((i10 == 3 && z2) || (i6 & 12) == 4) {
                    return i7;
                }
            }
        }
        return i8;
    }

    private void m(long j, boolean z, int i, int i2, int[] iArr) {
        TimeZoneRule timeZoneRule;
        e();
        List<g0> list = this.V0;
        if (list == null) {
            timeZoneRule = this.initialRule;
        } else if (j < n(list.get(0), z, i, i2)) {
            timeZoneRule = this.initialRule;
        } else {
            int size = this.V0.size() - 1;
            if (j > n(this.V0.get(size), z, i, i2)) {
                timeZoneRule = this.finalRules != null ? f(j, z, i, i2) : null;
                if (timeZoneRule == null) {
                    timeZoneRule = this.V0.get(size).c();
                }
            } else {
                while (size >= 0 && j < n(this.V0.get(size), z, i, i2)) {
                    size--;
                }
                timeZoneRule = this.V0.get(size).c();
            }
        }
        iArr[0] = timeZoneRule.getRawOffset();
        iArr[1] = timeZoneRule.getDSTSavings();
    }

    private static long n(g0 g0Var, boolean z, int i, int i2) {
        long b2 = g0Var.b();
        return z ? b2 + ((long) h(g0Var.a().getRawOffset(), g0Var.a().getDSTSavings(), g0Var.c().getRawOffset(), g0Var.c().getDSTSavings(), i, i2)) : b2;
    }

    public void addTransitionRule(TimeZoneRule timeZoneRule) {
        if (isFrozen()) {
            throw new UnsupportedOperationException("Attempt to modify a frozen RuleBasedTimeZone instance.");
        } else if (timeZoneRule.isTransitionRule()) {
            if (timeZoneRule instanceof AnnualTimeZoneRule) {
                AnnualTimeZoneRule annualTimeZoneRule = (AnnualTimeZoneRule) timeZoneRule;
                if (annualTimeZoneRule.getEndYear() == Integer.MAX_VALUE) {
                    AnnualTimeZoneRule[] annualTimeZoneRuleArr = this.finalRules;
                    if (annualTimeZoneRuleArr == null) {
                        AnnualTimeZoneRule[] annualTimeZoneRuleArr2 = new AnnualTimeZoneRule[2];
                        this.finalRules = annualTimeZoneRuleArr2;
                        annualTimeZoneRuleArr2[0] = annualTimeZoneRule;
                    } else if (annualTimeZoneRuleArr[1] == null) {
                        annualTimeZoneRuleArr[1] = annualTimeZoneRule;
                    } else {
                        throw new IllegalStateException("Too many final rules");
                    }
                    this.W0 = false;
                }
            }
            if (this.historicRules == null) {
                this.historicRules = new ArrayList();
            }
            this.historicRules.add(timeZoneRule);
            this.W0 = false;
        } else {
            throw new IllegalArgumentException("Rule must be a transition rule");
        }
    }

    @Override // com.ibm.icu.util.TimeZone, java.lang.Object
    public Object clone() {
        if (isFrozen()) {
            return this;
        }
        return cloneAsThawed();
    }

    @Override // com.ibm.icu.util.BasicTimeZone
    public g0 getNextTransition(long j, boolean z) {
        TimeZoneRule a2;
        TimeZoneRule c2;
        e();
        List<g0> list = this.V0;
        if (list == null) {
            return null;
        }
        g0 g0Var = list.get(0);
        boolean z2 = true;
        int i = (g0Var.b() > j ? 1 : (g0Var.b() == j ? 0 : -1));
        if (i <= 0 && (!z || i != 0)) {
            int size = this.V0.size() - 1;
            g0 g0Var2 = this.V0.get(size);
            long b2 = g0Var2.b();
            if (!z || b2 != j) {
                if (b2 > j) {
                    int i2 = size - 1;
                    while (i2 > 0) {
                        g0 g0Var3 = this.V0.get(i2);
                        int i3 = (g0Var3.b() > j ? 1 : (g0Var3.b() == j ? 0 : -1));
                        if (i3 < 0 || (!z && i3 == 0)) {
                            break;
                        }
                        i2--;
                        g0Var2 = g0Var3;
                    }
                } else {
                    AnnualTimeZoneRule[] annualTimeZoneRuleArr = this.finalRules;
                    if (annualTimeZoneRuleArr == null) {
                        return null;
                    }
                    Date nextStart = annualTimeZoneRuleArr[0].getNextStart(j, annualTimeZoneRuleArr[1].getRawOffset(), this.finalRules[1].getDSTSavings(), z);
                    AnnualTimeZoneRule[] annualTimeZoneRuleArr2 = this.finalRules;
                    Date nextStart2 = annualTimeZoneRuleArr2[1].getNextStart(j, annualTimeZoneRuleArr2[0].getRawOffset(), this.finalRules[0].getDSTSavings(), z);
                    if (nextStart2.after(nextStart)) {
                        long time = nextStart.getTime();
                        AnnualTimeZoneRule[] annualTimeZoneRuleArr3 = this.finalRules;
                        g0Var = new g0(time, annualTimeZoneRuleArr3[1], annualTimeZoneRuleArr3[0]);
                    } else {
                        long time2 = nextStart2.getTime();
                        AnnualTimeZoneRule[] annualTimeZoneRuleArr4 = this.finalRules;
                        g0Var = new g0(time2, annualTimeZoneRuleArr4[0], annualTimeZoneRuleArr4[1]);
                    }
                    a2 = g0Var.a();
                    c2 = g0Var.c();
                    if (a2.getRawOffset() != c2.getRawOffset() && a2.getDSTSavings() == c2.getDSTSavings()) {
                        if (z2) {
                            return null;
                        }
                        return getNextTransition(g0Var.b(), false);
                    }
                }
            }
            g0Var = g0Var2;
        }
        z2 = false;
        a2 = g0Var.a();
        c2 = g0Var.c();
        return a2.getRawOffset() != c2.getRawOffset() ? g0Var : g0Var;
    }

    @Override // com.ibm.icu.util.TimeZone
    public int getOffset(int i, int i2, int i3, int i4, int i5, int i6) {
        if (i == 0) {
            i2 = 1 - i2;
        }
        int[] iArr = new int[2];
        m((u.c(i2, i3, i4) * e.j) + ((long) i6), true, 3, 1, iArr);
        return iArr[0] + iArr[1];
    }

    @Override // com.ibm.icu.util.BasicTimeZone
    public void getOffsetFromLocal(long j, BasicTimeZone.LocalOption localOption, BasicTimeZone.LocalOption localOption2, int[] iArr) {
        m(j, true, BasicTimeZone.d(localOption), BasicTimeZone.d(localOption2), iArr);
    }

    @Override // com.ibm.icu.util.BasicTimeZone
    public g0 getPreviousTransition(long j, boolean z) {
        e();
        List<g0> list = this.V0;
        if (list == null) {
            return null;
        }
        g0 g0Var = list.get(0);
        long b2 = g0Var.b();
        if (!z || b2 != j) {
            if (b2 >= j) {
                return null;
            }
            int size = this.V0.size() - 1;
            g0 g0Var2 = this.V0.get(size);
            long b3 = g0Var2.b();
            if (!z || b3 != j) {
                if (b3 >= j) {
                    while (true) {
                        size--;
                        if (size < 0) {
                            break;
                        }
                        g0Var2 = this.V0.get(size);
                        int i = (g0Var2.b() > j ? 1 : (g0Var2.b() == j ? 0 : -1));
                        if (i < 0 || (z && i == 0)) {
                            break;
                        }
                    }
                } else {
                    AnnualTimeZoneRule[] annualTimeZoneRuleArr = this.finalRules;
                    if (annualTimeZoneRuleArr != null) {
                        Date previousStart = annualTimeZoneRuleArr[0].getPreviousStart(j, annualTimeZoneRuleArr[1].getRawOffset(), this.finalRules[1].getDSTSavings(), z);
                        AnnualTimeZoneRule[] annualTimeZoneRuleArr2 = this.finalRules;
                        Date previousStart2 = annualTimeZoneRuleArr2[1].getPreviousStart(j, annualTimeZoneRuleArr2[0].getRawOffset(), this.finalRules[0].getDSTSavings(), z);
                        if (previousStart2.before(previousStart)) {
                            long time = previousStart.getTime();
                            AnnualTimeZoneRule[] annualTimeZoneRuleArr3 = this.finalRules;
                            g0Var = new g0(time, annualTimeZoneRuleArr3[1], annualTimeZoneRuleArr3[0]);
                        } else {
                            long time2 = previousStart2.getTime();
                            AnnualTimeZoneRule[] annualTimeZoneRuleArr4 = this.finalRules;
                            g0Var = new g0(time2, annualTimeZoneRuleArr4[0], annualTimeZoneRuleArr4[1]);
                        }
                    }
                }
            }
            g0Var = g0Var2;
        }
        TimeZoneRule a2 = g0Var.a();
        TimeZoneRule c2 = g0Var.c();
        return (a2.getRawOffset() == c2.getRawOffset() && a2.getDSTSavings() == c2.getDSTSavings()) ? getPreviousTransition(g0Var.b(), false) : g0Var;
    }

    @Override // com.ibm.icu.util.TimeZone
    public int getRawOffset() {
        int[] iArr = new int[2];
        getOffset(System.currentTimeMillis(), false, iArr);
        return iArr[0];
    }

    @Override // com.ibm.icu.util.BasicTimeZone
    public TimeZoneRule[] getTimeZoneRules() {
        int i;
        List<TimeZoneRule> list = this.historicRules;
        int size = list != null ? list.size() + 1 : 1;
        AnnualTimeZoneRule[] annualTimeZoneRuleArr = this.finalRules;
        if (annualTimeZoneRuleArr != null) {
            size = annualTimeZoneRuleArr[1] != null ? size + 2 : size + 1;
        }
        TimeZoneRule[] timeZoneRuleArr = new TimeZoneRule[size];
        timeZoneRuleArr[0] = this.initialRule;
        if (this.historicRules != null) {
            i = 1;
            while (i < this.historicRules.size() + 1) {
                timeZoneRuleArr[i] = this.historicRules.get(i - 1);
                i++;
            }
        } else {
            i = 1;
        }
        AnnualTimeZoneRule[] annualTimeZoneRuleArr2 = this.finalRules;
        if (annualTimeZoneRuleArr2 != null) {
            int i2 = i + 1;
            timeZoneRuleArr[i] = annualTimeZoneRuleArr2[0];
            if (annualTimeZoneRuleArr2[1] != null) {
                timeZoneRuleArr[i2] = annualTimeZoneRuleArr2[1];
            }
        }
        return timeZoneRuleArr;
    }

    /* JADX WARNING: Code restructure failed: missing block: B:30:0x004c, code lost:
        if (r7.finalRules == null) goto L_0x004f;
     */
    @Override // com.ibm.icu.util.TimeZone
    public boolean hasSameRules(TimeZone timeZone) {
        boolean z;
        if (this == timeZone) {
            return true;
        }
        if (!(timeZone instanceof RuleBasedTimeZone)) {
            return false;
        }
        RuleBasedTimeZone ruleBasedTimeZone = (RuleBasedTimeZone) timeZone;
        if (!this.initialRule.isEquivalentTo(ruleBasedTimeZone.initialRule)) {
            return false;
        }
        AnnualTimeZoneRule[] annualTimeZoneRuleArr = this.finalRules;
        if (annualTimeZoneRuleArr == null || ruleBasedTimeZone.finalRules == null) {
            if (annualTimeZoneRuleArr == null) {
            }
            return false;
        }
        int i = 0;
        while (true) {
            AnnualTimeZoneRule[] annualTimeZoneRuleArr2 = this.finalRules;
            if (i >= annualTimeZoneRuleArr2.length) {
                break;
            }
            if (annualTimeZoneRuleArr2[i] != null || ruleBasedTimeZone.finalRules[i] != null) {
                if (annualTimeZoneRuleArr2[i] == null) {
                    break;
                }
                AnnualTimeZoneRule[] annualTimeZoneRuleArr3 = ruleBasedTimeZone.finalRules;
                if (annualTimeZoneRuleArr3[i] == null || !annualTimeZoneRuleArr2[i].isEquivalentTo(annualTimeZoneRuleArr3[i])) {
                    break;
                }
            }
            i++;
        }
        return false;
        List<TimeZoneRule> list = this.historicRules;
        if (list == null || ruleBasedTimeZone.historicRules == null) {
            if (!(list == null && ruleBasedTimeZone.historicRules == null)) {
                return false;
            }
        } else if (list.size() != ruleBasedTimeZone.historicRules.size()) {
            return false;
        } else {
            for (TimeZoneRule timeZoneRule : this.historicRules) {
                Iterator<TimeZoneRule> it = ruleBasedTimeZone.historicRules.iterator();
                while (true) {
                    if (it.hasNext()) {
                        if (timeZoneRule.isEquivalentTo(it.next())) {
                            z = true;
                            continue;
                            break;
                        }
                    } else {
                        z = false;
                        continue;
                        break;
                    }
                }
                if (!z) {
                    return false;
                }
            }
        }
        return true;
    }

    @Override // com.ibm.icu.util.TimeZone
    public boolean inDaylightTime(Date date) {
        int[] iArr = new int[2];
        getOffset(date.getTime(), false, iArr);
        if (iArr[1] != 0) {
            return true;
        }
        return false;
    }

    @Override // com.ibm.icu.util.TimeZone, com.ibm.icu.util.n
    public boolean isFrozen() {
        return this.X0;
    }

    @Override // com.ibm.icu.util.TimeZone
    public boolean observesDaylightTime() {
        long currentTimeMillis = System.currentTimeMillis();
        int[] iArr = new int[2];
        getOffset(currentTimeMillis, false, iArr);
        if (iArr[1] != 0) {
            return true;
        }
        BitSet bitSet = this.finalRules == null ? null : new BitSet(this.finalRules.length);
        while (true) {
            g0 nextTransition = getNextTransition(currentTimeMillis, false);
            if (nextTransition == null) {
                break;
            }
            TimeZoneRule c2 = nextTransition.c();
            if (c2.getDSTSavings() != 0) {
                return true;
            }
            if (bitSet != null) {
                int i = 0;
                while (true) {
                    AnnualTimeZoneRule[] annualTimeZoneRuleArr = this.finalRules;
                    if (i >= annualTimeZoneRuleArr.length) {
                        break;
                    }
                    if (annualTimeZoneRuleArr[i].equals(c2)) {
                        bitSet.set(i);
                    }
                    i++;
                }
                if (bitSet.cardinality() == this.finalRules.length) {
                    break;
                }
            }
            currentTimeMillis = nextTransition.b();
        }
        return false;
    }

    @Override // com.ibm.icu.util.TimeZone
    public void setRawOffset(int i) {
        throw new UnsupportedOperationException("setRawOffset in RuleBasedTimeZone is not supported.");
    }

    @Override // com.ibm.icu.util.TimeZone
    public boolean useDaylightTime() {
        long currentTimeMillis = System.currentTimeMillis();
        int[] iArr = new int[2];
        getOffset(currentTimeMillis, false, iArr);
        if (iArr[1] != 0) {
            return true;
        }
        g0 nextTransition = getNextTransition(currentTimeMillis, false);
        if (nextTransition == null || nextTransition.c().getDSTSavings() == 0) {
            return false;
        }
        return true;
    }

    @Override // com.ibm.icu.util.TimeZone, com.ibm.icu.util.TimeZone, com.ibm.icu.util.n
    public TimeZone cloneAsThawed() {
        RuleBasedTimeZone ruleBasedTimeZone = (RuleBasedTimeZone) super.cloneAsThawed();
        if (this.historicRules != null) {
            ruleBasedTimeZone.historicRules = new ArrayList(this.historicRules);
        }
        AnnualTimeZoneRule[] annualTimeZoneRuleArr = this.finalRules;
        if (annualTimeZoneRuleArr != null) {
            ruleBasedTimeZone.finalRules = (AnnualTimeZoneRule[]) annualTimeZoneRuleArr.clone();
        }
        ruleBasedTimeZone.X0 = false;
        return ruleBasedTimeZone;
    }

    @Override // com.ibm.icu.util.TimeZone, com.ibm.icu.util.TimeZone, com.ibm.icu.util.n
    public TimeZone freeze() {
        e();
        this.X0 = true;
        return this;
    }

    @Override // com.ibm.icu.util.TimeZone
    public void getOffset(long j, boolean z, int[] iArr) {
        m(j, z, 4, 12, iArr);
    }
}
