package com.ibm.icu.util;

import com.ibm.icu.impl.ICUResourceBundle;
import com.ibm.icu.impl.JavaTimeZone;
import com.ibm.icu.impl.OlsonTimeZone;
import com.ibm.icu.impl.TimeZoneAdapter;
import com.ibm.icu.impl.a0;
import com.ibm.icu.impl.number.Padder;
import com.ibm.icu.impl.s2;
import com.ibm.icu.impl.u;
import com.ibm.icu.impl.units.e;
import com.ibm.icu.impl.x;
import com.ibm.icu.text.TimeZoneFormat;
import com.ibm.icu.text.TimeZoneNames;
import com.ibm.icu.util.ULocale;
import java.io.Serializable;
import java.util.Date;
import java.util.Locale;
import java.util.MissingResourceException;
import java.util.Objects;
import java.util.Set;
import java.util.logging.Logger;

public abstract class TimeZone implements Serializable, Cloneable, n<TimeZone> {
    public static final int GENERIC_LOCATION = 7;
    public static final TimeZone GMT_ZONE = new b(0, f16068b).freeze();
    private static volatile TimeZone I0 = null;
    private static int J0 = 0;
    private static final String K0 = "com.ibm.icu.util.TimeZone.DefaultTimeZoneType";
    private static final String L0 = "ICU";
    public static final int LONG = 1;
    public static final int LONG_GENERIC = 3;
    public static final int LONG_GMT = 5;
    private static final String M0 = "JDK";
    static final /* synthetic */ boolean N0 = false;
    public static final int SHORT = 0;
    public static final int SHORT_COMMONLY_USED = 6;
    public static final int SHORT_GENERIC = 2;
    public static final int SHORT_GMT = 4;
    public static final int TIMEZONE_ICU = 0;
    public static final int TIMEZONE_JDK = 1;
    public static final TimeZone UNKNOWN_ZONE = new b(0, UNKNOWN_ZONE_ID).freeze();
    public static final String UNKNOWN_ZONE_ID = "Etc/Unknown";

    /* renamed from: a  reason: collision with root package name */
    private static final Logger f16067a = Logger.getLogger("com.ibm.icu.util.TimeZone");

    /* renamed from: b  reason: collision with root package name */
    static final String f16068b = "Etc/GMT";
    private static final long serialVersionUID = -744942128318337471L;
    private String ID;

    public enum SystemTimeZoneType {
        ANY,
        CANONICAL,
        CANONICAL_LOCATION
    }

    private static final class b extends TimeZone {
        private static final long serialVersionUID = 1;
        private volatile transient boolean O0;
        private int rawOffset;

        @Override // com.ibm.icu.util.TimeZone
        public int getOffset(int i, int i2, int i3, int i4, int i5, int i6) {
            return this.rawOffset;
        }

        @Override // com.ibm.icu.util.TimeZone
        public int getRawOffset() {
            return this.rawOffset;
        }

        @Override // com.ibm.icu.util.TimeZone
        public boolean inDaylightTime(Date date) {
            return false;
        }

        @Override // com.ibm.icu.util.TimeZone, com.ibm.icu.util.n
        public boolean isFrozen() {
            return this.O0;
        }

        @Override // com.ibm.icu.util.TimeZone
        public void setRawOffset(int i) {
            if (!isFrozen()) {
                this.rawOffset = i;
                return;
            }
            throw new UnsupportedOperationException("Attempt to modify a frozen TimeZone instance.");
        }

        @Override // com.ibm.icu.util.TimeZone
        public boolean useDaylightTime() {
            return false;
        }

        private b(int i, String str) {
            super(str);
            this.O0 = false;
            this.rawOffset = i;
        }

        @Override // com.ibm.icu.util.TimeZone, com.ibm.icu.util.TimeZone, com.ibm.icu.util.n
        public TimeZone cloneAsThawed() {
            b bVar = (b) TimeZone.super.cloneAsThawed();
            bVar.O0 = false;
            return bVar;
        }

        @Override // com.ibm.icu.util.TimeZone, com.ibm.icu.util.TimeZone, com.ibm.icu.util.n
        public TimeZone freeze() {
            this.O0 = true;
            return this;
        }
    }

    static {
        J0 = 0;
        if (x.b(K0, L0).equalsIgnoreCase(M0)) {
            J0 = 1;
        }
    }

    public TimeZone() {
    }

    /* JADX WARNING: Code restructure failed: missing block: B:11:0x0026, code lost:
        if (r12 != 6) goto L_0x0038;
     */
    /* JADX WARNING: Removed duplicated region for block: B:20:0x0042  */
    /* JADX WARNING: Removed duplicated region for block: B:61:? A[RETURN, SYNTHETIC] */
    private String a(int i, boolean z, ULocale uLocale) {
        String formatOffsetShortLocalizedGMT;
        String displayName;
        Objects.requireNonNull(uLocale, "locale is null");
        String str = null;
        TimeZoneNames.NameType nameType = null;
        str = null;
        if (i == 7 || i == 3 || i == 2) {
            TimeZoneFormat instance = TimeZoneFormat.getInstance(uLocale);
            long currentTimeMillis = System.currentTimeMillis();
            w<TimeZoneFormat.TimeType> wVar = new w<>(TimeZoneFormat.TimeType.UNKNOWN);
            if (i == 2) {
                str = instance.format(TimeZoneFormat.Style.GENERIC_SHORT, this, currentTimeMillis, wVar);
            } else if (i == 3) {
                str = instance.format(TimeZoneFormat.Style.GENERIC_LONG, this, currentTimeMillis, wVar);
            } else if (i == 7) {
                str = instance.format(TimeZoneFormat.Style.GENERIC_LOCATION, this, currentTimeMillis, wVar);
            }
            if ((z && wVar.f16195a == TimeZoneFormat.TimeType.STANDARD) || (!z && wVar.f16195a == TimeZoneFormat.TimeType.DAYLIGHT)) {
                int rawOffset = z ? getRawOffset() + getDSTSavings() : getRawOffset();
                formatOffsetShortLocalizedGMT = i == 2 ? instance.formatOffsetShortLocalizedGMT(rawOffset) : instance.formatOffsetLocalizedGMT(rawOffset);
            }
            return str;
        } else if (i == 5 || i == 4) {
            TimeZoneFormat instance2 = TimeZoneFormat.getInstance(uLocale);
            int rawOffset2 = (!z || !useDaylightTime()) ? getRawOffset() : getRawOffset() + getDSTSavings();
            if (i == 4) {
                str = instance2.formatOffsetISO8601Basic(rawOffset2, false, false, false);
            } else if (i == 5) {
                str = instance2.formatOffsetLocalizedGMT(rawOffset2);
            }
            return str;
        } else {
            long currentTimeMillis2 = System.currentTimeMillis();
            TimeZoneNames instance3 = TimeZoneNames.getInstance(uLocale);
            if (i != 0) {
                if (i == 1) {
                    nameType = z ? TimeZoneNames.NameType.LONG_DAYLIGHT : TimeZoneNames.NameType.LONG_STANDARD;
                }
                displayName = instance3.getDisplayName(s2.e(this), nameType, currentTimeMillis2);
                if (displayName == null) {
                    return displayName;
                }
                TimeZoneFormat instance4 = TimeZoneFormat.getInstance(uLocale);
                int rawOffset3 = (!z || !useDaylightTime()) ? getRawOffset() : getRawOffset() + getDSTSavings();
                formatOffsetShortLocalizedGMT = i == 1 ? instance4.formatOffsetLocalizedGMT(rawOffset3) : instance4.formatOffsetShortLocalizedGMT(rawOffset3);
            }
            nameType = z ? TimeZoneNames.NameType.SHORT_DAYLIGHT : TimeZoneNames.NameType.SHORT_STANDARD;
            displayName = instance3.getDisplayName(s2.e(this), nameType, currentTimeMillis2);
            if (displayName == null) {
            }
        }
        return formatOffsetShortLocalizedGMT;
    }

    static BasicTimeZone b(String str, boolean z) {
        OlsonTimeZone s = z ? s2.s(str) : null;
        return s == null ? s2.m(str) : s;
    }

    private static TimeZone c(String str, int i, boolean z) {
        TimeZone timeZone;
        if (i == 1) {
            JavaTimeZone createTimeZone = JavaTimeZone.createTimeZone(str);
            if (createTimeZone != null) {
                return z ? createTimeZone.freeze() : createTimeZone;
            }
            timeZone = b(str, false);
        } else {
            timeZone = b(str, true);
        }
        if (timeZone == null) {
            Logger logger = f16067a;
            logger.fine("\"" + str + "\" is a bogus id so timezone is falling back to Etc/Unknown(GMT).");
            timeZone = UNKNOWN_ZONE;
        }
        return z ? timeZone : timeZone.cloneAsThawed();
    }

    public static int countEquivalentIDs(String str) {
        return s2.a(str);
    }

    @Deprecated
    public static TimeZone forLocaleOrDefault(Locale locale) {
        return forULocaleOrDefault(ULocale.forLocale(locale));
    }

    @Deprecated
    public static TimeZone forULocaleOrDefault(ULocale uLocale) {
        String keywordValue = uLocale.getKeywordValue("timezone");
        return keywordValue == null ? getDefault() : getTimeZone(keywordValue);
    }

    public static Set<String> getAvailableIDs(SystemTimeZoneType systemTimeZoneType, String str, Integer num) {
        return s2.d(systemTimeZoneType, str, num);
    }

    public static String getCanonicalID(String str) {
        return getCanonicalID(str, null);
    }

    public static TimeZone getDefault() {
        TimeZone timeZone;
        TimeZone timeZone2 = I0;
        if (timeZone2 == null) {
            synchronized (java.util.TimeZone.class) {
                synchronized (TimeZone.class) {
                    timeZone = I0;
                    if (timeZone == null) {
                        if (J0 == 1) {
                            timeZone = new JavaTimeZone();
                        } else {
                            timeZone = getFrozenTimeZone(java.util.TimeZone.getDefault().getID());
                        }
                        I0 = timeZone;
                    }
                }
            }
            timeZone2 = timeZone;
        }
        return timeZone2.cloneAsThawed();
    }

    public static int getDefaultTimeZoneType() {
        return J0;
    }

    public static String getEquivalentID(String str, int i) {
        return s2.n(str, i);
    }

    public static TimeZone getFrozenTimeZone(String str) {
        return c(str, J0, true);
    }

    public static String getIDForWindowsID(String str, String str2) {
        String str3 = null;
        try {
            h0 d2 = h0.m(a0.f13490d, "windowsZones", ICUResourceBundle.j).d("mapTimezones").d(str);
            if (str2 != null) {
                try {
                    String string = d2.getString(str2);
                    if (string != null) {
                        try {
                            int indexOf = string.indexOf(32);
                            if (indexOf > 0) {
                                string = string.substring(0, indexOf);
                            }
                        } catch (MissingResourceException unused) {
                        }
                    }
                    str3 = string;
                } catch (MissingResourceException unused2) {
                }
            }
            return str3 == null ? d2.getString(e.c.i) : str3;
        } catch (MissingResourceException unused3) {
            return null;
        }
    }

    public static String getRegion(String str) {
        String o = !str.equals(UNKNOWN_ZONE_ID) ? s2.o(str) : null;
        if (o != null) {
            return o;
        }
        throw new IllegalArgumentException("Unknown system zone id: " + str);
    }

    public static String getTZDataVersion() {
        return l0.q();
    }

    public static TimeZone getTimeZone(String str) {
        return c(str, J0, false);
    }

    public static String getWindowsID(String str) {
        boolean[] zArr = {false};
        String canonicalID = getCanonicalID(str, zArr);
        if (!zArr[0]) {
            return null;
        }
        i0 s = h0.m(a0.f13490d, "windowsZones", ICUResourceBundle.j).d("mapTimezones").s();
        while (s.a()) {
            h0 b2 = s.b();
            if (b2.B() == 2) {
                i0 s2 = b2.s();
                while (s2.a()) {
                    h0 b3 = s2.b();
                    if (b3.B() == 0) {
                        for (String str2 : b3.y().split(Padder.f14124a)) {
                            if (str2.equals(canonicalID)) {
                                return b2.t();
                            }
                        }
                        continue;
                    }
                }
                continue;
            }
        }
        return null;
    }

    public static synchronized void setDefault(TimeZone timeZone) {
        synchronized (TimeZone.class) {
            setICUDefault(timeZone);
            if (timeZone != null) {
                java.util.TimeZone timeZone2 = null;
                if (timeZone instanceof JavaTimeZone) {
                    timeZone2 = ((JavaTimeZone) timeZone).unwrap();
                } else if (timeZone instanceof OlsonTimeZone) {
                    String id = timeZone.getID();
                    java.util.TimeZone timeZone3 = java.util.TimeZone.getTimeZone(id);
                    if (!id.equals(timeZone3.getID())) {
                        String canonicalID = getCanonicalID(id);
                        timeZone3 = java.util.TimeZone.getTimeZone(canonicalID);
                        if (!canonicalID.equals(timeZone3.getID())) {
                        }
                    }
                    timeZone2 = timeZone3;
                }
                if (timeZone2 == null) {
                    timeZone2 = TimeZoneAdapter.wrap(timeZone);
                }
                java.util.TimeZone.setDefault(timeZone2);
            }
        }
    }

    public static synchronized void setDefaultTimeZoneType(int i) {
        synchronized (TimeZone.class) {
            if (i == 0 || i == 1) {
                J0 = i;
            } else {
                throw new IllegalArgumentException("Invalid timezone type");
            }
        }
    }

    @Deprecated
    public static synchronized void setICUDefault(TimeZone timeZone) {
        synchronized (TimeZone.class) {
            if (timeZone == null) {
                I0 = null;
            } else if (timeZone.isFrozen()) {
                I0 = timeZone;
            } else {
                I0 = ((TimeZone) timeZone.clone()).freeze();
            }
        }
    }

    @Override // java.lang.Object
    public Object clone() {
        if (isFrozen()) {
            return this;
        }
        return cloneAsThawed();
    }

    public boolean equals(Object obj) {
        if (this == obj) {
            return true;
        }
        if (obj == null || getClass() != obj.getClass()) {
            return false;
        }
        return this.ID.equals(((TimeZone) obj).ID);
    }

    public int getDSTSavings() {
        return useDaylightTime() ? 3600000 : 0;
    }

    public final String getDisplayName() {
        return a(3, false, ULocale.getDefault(ULocale.Category.DISPLAY));
    }

    public String getID() {
        return this.ID;
    }

    public abstract int getOffset(int i, int i2, int i3, int i4, int i5, int i6);

    public int getOffset(long j) {
        int[] iArr = new int[2];
        getOffset(j, false, iArr);
        return iArr[0] + iArr[1];
    }

    public abstract int getRawOffset();

    public boolean hasSameRules(TimeZone timeZone) {
        return timeZone != null && getRawOffset() == timeZone.getRawOffset() && useDaylightTime() == timeZone.useDaylightTime();
    }

    public int hashCode() {
        return this.ID.hashCode();
    }

    public abstract boolean inDaylightTime(Date date);

    @Override // com.ibm.icu.util.n
    public boolean isFrozen() {
        return false;
    }

    public boolean observesDaylightTime() {
        return useDaylightTime() || inDaylightTime(new Date());
    }

    public void setID(String str) {
        Objects.requireNonNull(str);
        if (!isFrozen()) {
            this.ID = str;
            return;
        }
        throw new UnsupportedOperationException("Attempt to modify a frozen TimeZone instance.");
    }

    public abstract void setRawOffset(int i);

    public abstract boolean useDaylightTime();

    @Deprecated
    protected TimeZone(String str) {
        Objects.requireNonNull(str);
        this.ID = str;
    }

    public static String[] getAvailableIDs(int i) {
        return (String[]) getAvailableIDs(SystemTimeZoneType.ANY, null, Integer.valueOf(i)).toArray(new String[0]);
    }

    /* JADX WARNING: Removed duplicated region for block: B:13:0x0023  */
    public static String getCanonicalID(String str, boolean[] zArr) {
        boolean z;
        Object obj = UNKNOWN_ZONE_ID;
        if (str == null || str.length() == 0) {
            obj = null;
        } else if (!str.equals(obj)) {
            obj = s2.f(str);
            if (obj != null) {
                z = true;
                if (zArr != null) {
                    zArr[0] = z;
                }
                return obj;
            }
            obj = s2.k(str);
        }
        z = false;
        if (zArr != null) {
        }
        return obj;
    }

    public static TimeZone getTimeZone(String str, int i) {
        return c(str, i, false);
    }

    @Override // com.ibm.icu.util.n
    public TimeZone cloneAsThawed() {
        try {
            return (TimeZone) super.clone();
        } catch (CloneNotSupportedException e2) {
            throw new ICUCloneNotSupportedException(e2);
        }
    }

    @Override // com.ibm.icu.util.n
    public TimeZone freeze() {
        throw new UnsupportedOperationException("Needs to be implemented by the subclass.");
    }

    public final String getDisplayName(Locale locale) {
        return a(3, false, ULocale.forLocale(locale));
    }

    public final String getDisplayName(ULocale uLocale) {
        return a(3, false, uLocale);
    }

    public void getOffset(long j, boolean z, int[] iArr) {
        iArr[0] = getRawOffset();
        if (!z) {
            j += (long) iArr[0];
        }
        int[] iArr2 = new int[6];
        int i = 0;
        while (true) {
            u.j(j, iArr2);
            iArr[1] = getOffset(1, iArr2[0], iArr2[1], iArr2[2], iArr2[3], iArr2[5]) - iArr[0];
            if (i == 0 && z && iArr[1] != 0) {
                j -= (long) iArr[1];
                i++;
            } else {
                return;
            }
        }
    }

    public static String[] getAvailableIDs(String str) {
        return (String[]) getAvailableIDs(SystemTimeZoneType.ANY, str, null).toArray(new String[0]);
    }

    public final String getDisplayName(boolean z, int i) {
        return getDisplayName(z, i, ULocale.getDefault(ULocale.Category.DISPLAY));
    }

    public String getDisplayName(boolean z, int i, Locale locale) {
        return getDisplayName(z, i, ULocale.forLocale(locale));
    }

    public static String[] getAvailableIDs() {
        return (String[]) getAvailableIDs(SystemTimeZoneType.ANY, null, null).toArray(new String[0]);
    }

    public String getDisplayName(boolean z, int i, ULocale uLocale) {
        if (i >= 0 && i <= 7) {
            return a(i, z, uLocale);
        }
        throw new IllegalArgumentException("Illegal style: " + i);
    }
}
