package com.ibm.icu.util;

import com.ibm.icu.impl.e;
import com.ibm.icu.impl.u;
import com.ibm.icu.util.BasicTimeZone;
import java.io.BufferedWriter;
import java.io.IOException;
import java.io.Reader;
import java.io.Writer;
import java.util.ArrayList;
import java.util.Date;
import java.util.Iterator;
import java.util.LinkedList;
import java.util.List;
import java.util.MissingResourceException;
import java.util.StringTokenizer;

public class VTimeZone extends BasicTimeZone {
    private static final String A1 = "BYDAY";
    private static final String B1 = "BYMONTHDAY";
    private static final String[] C1 = {"SU", "MO", "TU", "WE", "TH", "FR", "SA"};
    private static final int[] D1 = {31, 28, 31, 30, 31, 30, 31, 31, 30, 31, 30, 31};
    private static final int E1 = 0;
    private static final int F1 = 1;
    private static final int G1 = 2;
    private static final int H1 = 3;
    static final /* synthetic */ boolean I1 = false;
    private static String V0 = null;
    private static final String W0 = "X-TZINFO";
    private static final int X0 = 3600000;
    private static final long Y0 = 0;
    private static final long Z0 = Long.MIN_VALUE;
    private static final long a1 = Long.MAX_VALUE;
    private static final String b1 = ":";
    private static final String c1 = ";";
    private static final String d1 = "=";
    private static final String e1 = ",";
    private static final String f1 = "\r\n";
    private static final String g1 = "BEGIN:VTIMEZONE";
    private static final String h1 = "END:VTIMEZONE";
    private static final String i1 = "BEGIN";
    private static final String j1 = "END";
    private static final String k1 = "VTIMEZONE";
    private static final String l1 = "TZID";
    private static final String m1 = "STANDARD";
    private static final String n1 = "DAYLIGHT";
    private static final String o1 = "DTSTART";
    private static final String p1 = "TZOFFSETFROM";
    private static final String q1 = "TZOFFSETTO";
    private static final String r1 = "RDATE";
    private static final String s1 = "RRULE";
    private static final long serialVersionUID = -6851467294127795902L;
    private static final String t1 = "TZNAME";
    private static final String u1 = "TZURL";
    private static final String v1 = "LAST-MODIFIED";
    private static final String w1 = "FREQ";
    private static final String x1 = "UNTIL";
    private static final String y1 = "YEARLY";
    private static final String z1 = "BYMONTH";
    private volatile transient boolean J1 = false;
    private Date lastmod = null;
    private String olsonzid = null;
    private BasicTimeZone tz;
    private String tzurl = null;
    private List<String> vtzlines;

    static {
        try {
            V0 = TimeZone.getTZDataVersion();
        } catch (MissingResourceException unused) {
            V0 = null;
        }
    }

    private VTimeZone() {
    }

    /* JADX WARN: Multi-variable type inference failed */
    /* JADX WARN: Type inference failed for: r5v11, types: [com.ibm.icu.util.TimeArrayTimeZoneRule] */
    /* JADX WARNING: Removed duplicated region for block: B:121:0x0200  */
    /* JADX WARNING: Removed duplicated region for block: B:162:0x01fb A[SYNTHETIC] */
    /* JADX WARNING: Removed duplicated region for block: B:87:0x0162  */
    /* JADX WARNING: Removed duplicated region for block: B:88:0x0164  */
    /* JADX WARNING: Unknown variable types count: 1 */
    private boolean A() {
        AnnualTimeZoneRule annualTimeZoneRule;
        char c2;
        String str;
        boolean z;
        int i;
        TimeZoneRule timeZoneRule;
        int i2;
        int i3;
        List<String> list = this.vtzlines;
        boolean z2 = false;
        if (list == null || list.size() == 0) {
            return false;
        }
        ArrayList<TimeZoneRule> arrayList = new ArrayList();
        long j = Long.MAX_VALUE;
        Iterator<String> it = this.vtzlines.iterator();
        String str2 = null;
        int i4 = 0;
        int i5 = 0;
        char c3 = 0;
        boolean z3 = false;
        String str3 = null;
        boolean z4 = false;
        String str4 = null;
        LinkedList linkedList = null;
        String str5 = null;
        String str6 = null;
        while (it.hasNext()) {
            String next = it.next();
            int indexOf = next.indexOf(b1);
            if (indexOf >= 0) {
                int i6 = z2 ? 1 : 0;
                int i7 = z2 ? 1 : 0;
                int i8 = z2 ? 1 : 0;
                int i9 = z2 ? 1 : 0;
                String substring = next.substring(i6, indexOf);
                String substring2 = next.substring(indexOf + 1);
                if (c3 != 0) {
                    i = i4;
                    if (c3 != 1) {
                        if (c3 == 2) {
                            if (substring.equals(o1)) {
                                str4 = substring2;
                            } else if (substring.equals(t1)) {
                                str3 = substring2;
                            } else if (substring.equals(p1)) {
                                str5 = substring2;
                            } else if (substring.equals(q1)) {
                                str6 = substring2;
                            } else {
                                if (substring.equals(r1)) {
                                    if (!z3) {
                                        if (linkedList == null) {
                                            linkedList = new LinkedList();
                                        }
                                        StringTokenizer stringTokenizer = new StringTokenizer(substring2, e1);
                                        while (stringTokenizer.hasMoreTokens()) {
                                            linkedList.add(stringTokenizer.nextToken());
                                        }
                                        linkedList = linkedList;
                                    }
                                } else if (substring.equals(s1)) {
                                    if (z3 || linkedList == null) {
                                        if (linkedList == null) {
                                            linkedList = new LinkedList();
                                        }
                                        linkedList.add(substring2);
                                        linkedList = linkedList;
                                        i4 = i;
                                        c2 = 3;
                                        z3 = true;
                                        if (c3 != c2) {
                                            this.vtzlines = null;
                                            return false;
                                        }
                                        it = it;
                                        z2 = false;
                                    }
                                } else if (substring.equals(j1)) {
                                    if (str4 == null || str5 == null || str6 == null) {
                                        z = z4;
                                        str = str4;
                                    } else {
                                        if (str3 == null) {
                                            str3 = s(str2, z4);
                                        }
                                        try {
                                            int z5 = z(str5);
                                            int z6 = z(str6);
                                            if (z4) {
                                                i3 = z6 - z5;
                                                if (i3 > 0) {
                                                    i2 = z5;
                                                } else {
                                                    i2 = z6 - 3600000;
                                                    i3 = 3600000;
                                                }
                                            } else {
                                                i2 = z6;
                                                i3 = 0;
                                            }
                                            long B = B(str4, z5);
                                            if (z3) {
                                                z = z4;
                                                str = str4;
                                                try {
                                                    timeZoneRule = n(str3, i2, i3, B, linkedList, z5);
                                                } catch (IllegalArgumentException unused) {
                                                    timeZoneRule = null;
                                                    i4 = i;
                                                    if (timeZoneRule != null) {
                                                    }
                                                }
                                            } else {
                                                z = z4;
                                                str = str4;
                                                timeZoneRule = m(str3, i2, i3, B, linkedList, z5);
                                            }
                                            if (timeZoneRule != null) {
                                                try {
                                                    Date firstStart = timeZoneRule.getFirstStart(z5, 0);
                                                    if (firstStart.getTime() < j) {
                                                        j = firstStart.getTime();
                                                        if (i3 <= 0 && z5 - z6 == 3600000) {
                                                            i4 = z5 - 3600000;
                                                            i5 = 3600000;
                                                        } else {
                                                            i4 = z5;
                                                            i5 = 0;
                                                        }
                                                        if (timeZoneRule != null) {
                                                            str3 = str3;
                                                            z4 = z;
                                                            str4 = str;
                                                            c2 = 3;
                                                            c3 = 3;
                                                            if (c3 != c2) {
                                                            }
                                                        } else {
                                                            arrayList.add(timeZoneRule);
                                                            str3 = str3;
                                                        }
                                                    }
                                                } catch (IllegalArgumentException unused2) {
                                                }
                                            }
                                        } catch (IllegalArgumentException unused3) {
                                            z = z4;
                                            str = str4;
                                            timeZoneRule = null;
                                            i4 = i;
                                            if (timeZoneRule != null) {
                                            }
                                        }
                                        i4 = i;
                                        if (timeZoneRule != null) {
                                        }
                                    }
                                }
                                i4 = i;
                                c2 = 3;
                                c3 = 3;
                                if (c3 != c2) {
                                }
                            }
                            i4 = i;
                            c2 = 3;
                            if (c3 != c2) {
                            }
                        }
                        z = z4;
                        str = str4;
                        i4 = i;
                        z4 = z;
                        str4 = str;
                        c2 = 3;
                        if (c3 != c2) {
                        }
                    } else {
                        z = z4;
                        str = str4;
                        if (substring.equals(l1)) {
                            str2 = substring2;
                        } else if (substring.equals(u1)) {
                            this.tzurl = substring2;
                        } else if (substring.equals(v1)) {
                            this.lastmod = new Date(B(substring2, 0));
                        } else if (substring.equals(i1)) {
                            boolean equals = substring2.equals(n1);
                            if ((substring2.equals(m1) || equals) && str2 != null) {
                                z4 = equals;
                                i4 = i;
                                str4 = str;
                                c2 = 3;
                                c3 = 2;
                                z3 = false;
                                str3 = null;
                                linkedList = null;
                                str5 = null;
                                str6 = null;
                                if (c3 != c2) {
                                }
                            }
                        } else {
                            substring.equals(j1);
                        }
                        i4 = i;
                        z4 = z;
                        str4 = str;
                        c2 = 3;
                        if (c3 != c2) {
                        }
                    }
                    i4 = i;
                    z4 = z;
                    str4 = str;
                    c2 = 3;
                    c3 = 3;
                    if (c3 != c2) {
                    }
                } else {
                    i = i4;
                    z = z4;
                    str = str4;
                    if (substring.equals(i1) && substring2.equals(k1)) {
                        i4 = i;
                    }
                    i4 = i;
                    z4 = z;
                    str4 = str;
                    c2 = 3;
                    if (c3 != c2) {
                    }
                }
                z4 = z;
                str4 = str;
                c2 = 3;
                c3 = 1;
                if (c3 != c2) {
                }
            }
        }
        if (arrayList.size() == 0) {
            return z2;
        }
        RuleBasedTimeZone ruleBasedTimeZone = new RuleBasedTimeZone(str2, new InitialTimeZoneRule(s(str2, z2), i4, i5));
        int i10 = -1;
        int i11 = 0;
        for (int i12 = 0; i12 < arrayList.size(); i12++) {
            TimeZoneRule timeZoneRule2 = (TimeZoneRule) arrayList.get(i12);
            if ((timeZoneRule2 instanceof AnnualTimeZoneRule) && ((AnnualTimeZoneRule) timeZoneRule2).getEndYear() == Integer.MAX_VALUE) {
                i11++;
                i10 = i12;
            }
        }
        if (i11 > 2) {
            return false;
        }
        if (i11 == 1) {
            if (arrayList.size() == 1) {
                arrayList.clear();
            } else {
                AnnualTimeZoneRule annualTimeZoneRule2 = (AnnualTimeZoneRule) arrayList.get(i10);
                int rawOffset = annualTimeZoneRule2.getRawOffset();
                int dSTSavings = annualTimeZoneRule2.getDSTSavings();
                Date firstStart2 = annualTimeZoneRule2.getFirstStart(i4, i5);
                Date date = firstStart2;
                for (int i13 = 0; i13 < arrayList.size(); i13++) {
                    if (i10 != i13) {
                        TimeZoneRule timeZoneRule3 = (TimeZoneRule) arrayList.get(i13);
                        Date finalStart = timeZoneRule3.getFinalStart(rawOffset, dSTSavings);
                        if (finalStart.after(date)) {
                            date = annualTimeZoneRule2.getNextStart(finalStart.getTime(), timeZoneRule3.getRawOffset(), timeZoneRule3.getDSTSavings(), false);
                        }
                    }
                }
                if (date == firstStart2) {
                    annualTimeZoneRule = new TimeArrayTimeZoneRule(annualTimeZoneRule2.getName(), annualTimeZoneRule2.getRawOffset(), annualTimeZoneRule2.getDSTSavings(), new long[]{firstStart2.getTime()}, 2);
                } else {
                    annualTimeZoneRule = new AnnualTimeZoneRule(annualTimeZoneRule2.getName(), annualTimeZoneRule2.getRawOffset(), annualTimeZoneRule2.getDSTSavings(), annualTimeZoneRule2.getRule(), annualTimeZoneRule2.getStartYear(), u.j(date.getTime(), null)[0]);
                }
                arrayList.set(i10, annualTimeZoneRule);
            }
        }
        for (TimeZoneRule timeZoneRule4 : arrayList) {
            ruleBasedTimeZone.addTransitionRule(timeZoneRule4);
        }
        this.tz = ruleBasedTimeZone;
        setID(str2);
        return true;
    }

    /* JADX WARNING: Removed duplicated region for block: B:60:0x009c  */
    /* JADX WARNING: Removed duplicated region for block: B:63:0x00ba  */
    private static long B(String str, int i) {
        int i2;
        int i3;
        int i4;
        int i5;
        int i6;
        boolean z;
        int length;
        int i7;
        boolean z2 = true;
        int i8 = 0;
        if (str != null && (((length = str.length()) == 15 || length == 16) && str.charAt(8) == 'T')) {
            if (length != 16) {
                z = false;
            } else if (str.charAt(15) == 'Z') {
                z = true;
            }
            try {
                i7 = Integer.parseInt(str.substring(0, 4));
                try {
                    i6 = Integer.parseInt(str.substring(4, 6)) - 1;
                    try {
                        i5 = Integer.parseInt(str.substring(6, 8));
                    } catch (NumberFormatException unused) {
                        i5 = 0;
                        i4 = 0;
                        i3 = 0;
                        i8 = i7;
                        i2 = 0;
                        z2 = false;
                        if (z2) {
                        }
                    }
                } catch (NumberFormatException unused2) {
                    i6 = 0;
                    i5 = 0;
                    i4 = 0;
                    i3 = 0;
                    i8 = i7;
                    i2 = 0;
                    z2 = false;
                    if (z2) {
                    }
                }
                try {
                    i4 = Integer.parseInt(str.substring(9, 11));
                    try {
                        i3 = Integer.parseInt(str.substring(11, 13));
                    } catch (NumberFormatException unused3) {
                        i3 = 0;
                        i8 = i7;
                        i2 = 0;
                        z2 = false;
                        if (z2) {
                        }
                    }
                    try {
                        i2 = Integer.parseInt(str.substring(13, 15));
                        int h = u.h(i7, i6);
                        if (i7 < 0 || i6 < 0 || i6 > 11 || i5 < 1 || i5 > h || i4 < 0 || i4 >= 24 || i3 < 0 || i3 >= 60 || i2 < 0 || i2 >= 60) {
                            i8 = i7;
                            z2 = false;
                            if (z2) {
                                long c2 = (u.c(i8, i6, i5) * e.j) + ((long) ((i4 * 3600000) + (i3 * 60000) + (i2 * 1000)));
                                return !z ? c2 - ((long) i) : c2;
                            }
                            throw new IllegalArgumentException("Invalid date time string format");
                        }
                        i8 = i7;
                        if (z2) {
                        }
                    } catch (NumberFormatException unused4) {
                        i8 = i7;
                        i2 = 0;
                        z2 = false;
                        if (z2) {
                        }
                    }
                } catch (NumberFormatException unused5) {
                    i4 = 0;
                    i3 = 0;
                    i8 = i7;
                    i2 = 0;
                    z2 = false;
                    if (z2) {
                    }
                }
            } catch (NumberFormatException unused6) {
                i6 = 0;
                i5 = 0;
                i7 = 0;
                i4 = 0;
                i3 = 0;
                i8 = i7;
                i2 = 0;
                z2 = false;
                if (z2) {
                }
            }
        }
        i2 = 0;
        z2 = false;
        z = false;
        i6 = 0;
        i5 = 0;
        i4 = 0;
        i3 = 0;
        if (z2) {
        }
    }

    private static int[] C(String str, long[] jArr) {
        int[] iArr;
        String[] strArr;
        int i;
        int parseInt;
        StringTokenizer stringTokenizer = new StringTokenizer(str, ";");
        int i2 = -1;
        long j = Long.MIN_VALUE;
        int i3 = -1;
        int i4 = 0;
        int i5 = 0;
        int[] iArr2 = null;
        boolean z = false;
        boolean z2 = false;
        while (true) {
            if (!stringTokenizer.hasMoreTokens()) {
                break;
            }
            String nextToken = stringTokenizer.nextToken();
            int indexOf = nextToken.indexOf(d1);
            if (indexOf == i2) {
                break;
            }
            String substring = nextToken.substring(0, indexOf);
            String substring2 = nextToken.substring(indexOf + 1);
            if (substring.equals(w1)) {
                if (!substring2.equals(y1)) {
                    break;
                }
                z = true;
            } else if (substring.equals(x1)) {
                try {
                    j = B(substring2, 0);
                } catch (IllegalArgumentException unused) {
                }
            } else if (substring.equals(z1)) {
                if (substring2.length() > 2 || Integer.parseInt(substring2) - 1 < 0 || i3 >= 12) {
                    break;
                }
            } else if (substring.equals(A1)) {
                int length = substring2.length();
                if (length < 2 || length > 4) {
                    break;
                }
                if (length > 2) {
                    if (substring2.charAt(0) != '+') {
                        if (substring2.charAt(0) != '-') {
                            if (length == 4) {
                                break;
                            }
                        } else {
                            i = -1;
                            int i6 = length - 3;
                            int i7 = length - 2;
                            parseInt = Integer.parseInt(substring2.substring(i6, i7));
                            if (parseInt == 0 || parseInt > 4) {
                                break;
                            }
                            substring2 = substring2.substring(i7);
                            i5 = parseInt * i;
                        }
                    }
                    i = 1;
                    int i62 = length - 3;
                    int i72 = length - 2;
                    parseInt = Integer.parseInt(substring2.substring(i62, i72));
                    substring2 = substring2.substring(i72);
                    i5 = parseInt * i;
                }
                int i8 = 0;
                while (true) {
                    strArr = C1;
                    if (i8 < strArr.length && !substring2.equals(strArr[i8])) {
                        i8++;
                    }
                }
                if (i8 >= strArr.length) {
                    break;
                }
                i4 = i8 + 1;
            } else if (substring.equals(B1)) {
                StringTokenizer stringTokenizer2 = new StringTokenizer(substring2, e1);
                iArr2 = new int[stringTokenizer2.countTokens()];
                int i9 = 0;
                while (stringTokenizer2.hasMoreTokens()) {
                    int i10 = i9 + 1;
                    try {
                        iArr2[i9] = Integer.parseInt(stringTokenizer2.nextToken());
                        i9 = i10;
                    } catch (NumberFormatException unused2) {
                        z2 = true;
                    }
                }
            }
            i2 = -1;
        }
        z2 = true;
        if (z2 || !z) {
            return null;
        }
        jArr[0] = j;
        if (iArr2 == null) {
            iArr = new int[4];
            iArr[3] = 0;
        } else {
            iArr = new int[(iArr2.length + 3)];
            for (int i11 = 0; i11 < iArr2.length; i11++) {
                iArr[i11 + 3] = iArr2[i11];
            }
        }
        iArr[0] = i3;
        iArr[1] = i4;
        iArr[2] = i5;
        return iArr;
    }

    /* JADX WARNING: Removed duplicated region for block: B:42:0x0087  */
    /* JADX WARNING: Removed duplicated region for block: B:43:0x008d  */
    private static DateTimeRule D(DateTimeRule dateTimeRule, int i, int i2) {
        int i3;
        int i4;
        int i5;
        int i6;
        if (dateTimeRule.getTimeRuleType() == 0) {
            return dateTimeRule;
        }
        int ruleMillisInDay = dateTimeRule.getRuleMillisInDay();
        if (dateTimeRule.getTimeRuleType() == 2) {
            ruleMillisInDay += i + i2;
        } else if (dateTimeRule.getTimeRuleType() == 1) {
            ruleMillisInDay += i2;
        }
        if (ruleMillisInDay < 0) {
            i3 = -1;
            i4 = ruleMillisInDay + 86400000;
        } else if (ruleMillisInDay >= 86400000) {
            i4 = ruleMillisInDay - 86400000;
            i3 = 1;
        } else {
            i4 = ruleMillisInDay;
            i3 = 0;
        }
        int ruleMonth = dateTimeRule.getRuleMonth();
        int ruleDayOfMonth = dateTimeRule.getRuleDayOfMonth();
        int ruleDayOfWeek = dateTimeRule.getRuleDayOfWeek();
        int dateRuleType = dateTimeRule.getDateRuleType();
        if (i3 != 0) {
            if (dateRuleType == 1) {
                int ruleWeekInMonth = dateTimeRule.getRuleWeekInMonth();
                if (ruleWeekInMonth > 0) {
                    ruleDayOfMonth = ((ruleWeekInMonth - 1) * 7) + 1;
                    dateRuleType = 2;
                } else {
                    dateRuleType = 3;
                    ruleDayOfMonth = D1[ruleMonth] + ((ruleWeekInMonth + 1) * 7);
                }
            }
            ruleDayOfMonth += i3;
            if (ruleDayOfMonth == 0) {
                ruleMonth--;
                if (ruleMonth < 0) {
                    ruleMonth = 11;
                }
                ruleDayOfMonth = D1[ruleMonth];
            } else if (ruleDayOfMonth > D1[ruleMonth]) {
                ruleMonth++;
                if (ruleMonth > 11) {
                    ruleMonth = 0;
                }
                ruleDayOfMonth = 1;
            }
            if (dateRuleType != 0) {
                ruleDayOfWeek += i3;
                if (ruleDayOfWeek < 1) {
                    i6 = ruleDayOfMonth;
                    i5 = 7;
                } else if (ruleDayOfWeek > 7) {
                    i6 = ruleDayOfMonth;
                    i5 = 1;
                }
                if (dateRuleType != 0) {
                    return new DateTimeRule(ruleMonth, i6, i4, 0);
                }
                return new DateTimeRule(ruleMonth, i6, i5, dateRuleType == 2, i4, 0);
            }
        }
        i6 = ruleDayOfMonth;
        i5 = ruleDayOfWeek;
        if (dateRuleType != 0) {
        }
    }

    private static void E(Writer writer, boolean z, AnnualTimeZoneRule annualTimeZoneRule, int i, int i2, long j) throws IOException {
        DateTimeRule D = D(annualTimeZoneRule.getRule(), i, i2);
        int ruleMillisInDay = D.getRuleMillisInDay();
        long j2 = ruleMillisInDay < 0 ? j + ((long) (0 - ruleMillisInDay)) : ruleMillisInDay >= 86400000 ? j - ((long) (ruleMillisInDay - 86399999)) : j;
        int rawOffset = annualTimeZoneRule.getRawOffset() + annualTimeZoneRule.getDSTSavings();
        int dateRuleType = D.getDateRuleType();
        if (dateRuleType == 0) {
            I(writer, z, annualTimeZoneRule.getName(), i + i2, rawOffset, D.getRuleMonth(), D.getRuleDayOfMonth(), j2, Long.MAX_VALUE);
        } else if (dateRuleType == 1) {
            J(writer, z, annualTimeZoneRule.getName(), i + i2, rawOffset, D.getRuleMonth(), D.getRuleWeekInMonth(), D.getRuleDayOfWeek(), j2, Long.MAX_VALUE);
        } else if (dateRuleType == 2) {
            K(writer, z, annualTimeZoneRule.getName(), i + i2, rawOffset, D.getRuleMonth(), D.getRuleDayOfMonth(), D.getRuleDayOfWeek(), j2, Long.MAX_VALUE);
        } else if (dateRuleType == 3) {
            M(writer, z, annualTimeZoneRule.getName(), i + i2, rawOffset, D.getRuleMonth(), D.getRuleDayOfMonth(), D.getRuleDayOfWeek(), j2, Long.MAX_VALUE);
        }
    }

    private static void F(Writer writer) throws IOException {
        writer.write(j1);
        writer.write(b1);
        writer.write(k1);
        writer.write(f1);
    }

    private void G(Writer writer) throws IOException {
        writer.write(i1);
        writer.write(b1);
        writer.write(k1);
        writer.write(f1);
        writer.write(l1);
        writer.write(b1);
        writer.write(this.tz.getID());
        writer.write(f1);
        if (this.tzurl != null) {
            writer.write(u1);
            writer.write(b1);
            writer.write(this.tzurl);
            writer.write(f1);
        }
        if (this.lastmod != null) {
            writer.write(v1);
            writer.write(b1);
            writer.write(t(this.lastmod.getTime()));
            writer.write(f1);
        }
    }

    /* JADX WARNING: Removed duplicated region for block: B:102:0x033f  */
    /* JADX WARNING: Removed duplicated region for block: B:134:0x045b  */
    /* JADX WARNING: Removed duplicated region for block: B:51:0x0151  */
    /* JADX WARNING: Removed duplicated region for block: B:55:0x01b3  */
    /* JADX WARNING: Removed duplicated region for block: B:99:0x02ef  */
    private void H(Writer writer, BasicTimeZone basicTimeZone, String[] strArr) throws IOException {
        boolean z;
        int i;
        int i2;
        int i3;
        String str;
        String str2;
        int i4;
        int i5;
        int i6;
        int i7;
        int i8;
        long j;
        int i9;
        int i10;
        int i11;
        boolean z2;
        int i12;
        int i13;
        int i14;
        int i15;
        BasicTimeZone basicTimeZone2;
        int i16;
        int i17;
        String str3;
        int i18;
        int i19;
        int i20;
        int i21;
        int i22;
        int i23;
        boolean z3;
        int i24;
        String str4;
        int i25;
        String str5;
        int i26;
        int i27;
        int i28;
        int i29;
        int i30;
        int i31;
        int i32;
        int i33;
        int i34;
        String str6;
        int i35;
        String str7;
        int i36;
        int i37;
        int i38;
        int i39;
        boolean z4;
        int i40;
        int i41;
        int i42;
        int i43;
        int i44;
        int i45;
        int i46;
        int i47;
        int i48;
        int i49;
        BasicTimeZone basicTimeZone3 = basicTimeZone;
        G(writer);
        boolean z5 = false;
        if (strArr != null && strArr.length > 0) {
            for (int i50 = 0; i50 < strArr.length; i50++) {
                if (strArr[i50] != null) {
                    writer.write(strArr[i50]);
                    writer.write(f1);
                }
            }
        }
        long j2 = Long.MIN_VALUE;
        int[] iArr = new int[6];
        String str8 = null;
        String str9 = null;
        AnnualTimeZoneRule annualTimeZoneRule = null;
        AnnualTimeZoneRule annualTimeZoneRule2 = null;
        boolean z6 = false;
        int i51 = 0;
        int i52 = 0;
        int i53 = 0;
        int i54 = 0;
        int i55 = 0;
        int i56 = 0;
        int i57 = 0;
        int i58 = 0;
        int i59 = 0;
        int i60 = 0;
        int i61 = 0;
        int i62 = 0;
        long j3 = 0;
        long j4 = 0;
        long j5 = 0;
        int i63 = 0;
        int i64 = 0;
        int i65 = 0;
        int i66 = 0;
        long j6 = 0;
        int i67 = 0;
        int i68 = 0;
        while (true) {
            g0 nextTransition = basicTimeZone3.getNextTransition(j2, z5);
            if (nextTransition == null) {
                z = z6;
                i = i52;
                i2 = i53;
                i3 = i54;
                str = str8;
                str2 = str9;
                i4 = i55;
                i5 = i57;
                i6 = i60;
                i7 = i61;
                i8 = i62;
                j = j4;
                i9 = i64;
                i10 = i65;
                i11 = i66;
                z2 = true;
                i12 = i51;
                break;
            }
            long b2 = nextTransition.b();
            String name = nextTransition.c().getName();
            boolean z7 = nextTransition.c().getDSTSavings() != 0;
            int rawOffset = nextTransition.a().getRawOffset() + nextTransition.a().getDSTSavings();
            int dSTSavings = nextTransition.a().getDSTSavings();
            int rawOffset2 = nextTransition.c().getRawOffset() + nextTransition.c().getDSTSavings();
            u.j(nextTransition.b() + ((long) rawOffset), iArr);
            int f = u.f(iArr[0], iArr[1], iArr[2]);
            int i69 = iArr[0];
            if (!z7) {
                String str10 = name;
                i3 = i54;
                i15 = i51;
                if (annualTimeZoneRule == null && (nextTransition.c() instanceof AnnualTimeZoneRule) && ((AnnualTimeZoneRule) nextTransition.c()).getEndYear() == Integer.MAX_VALUE) {
                    annualTimeZoneRule = (AnnualTimeZoneRule) nextTransition.c();
                }
                if (i55 > 0) {
                    if (i69 == i56 + i55) {
                        str4 = str10;
                        str5 = str9;
                        if (str4.equals(str5)) {
                            i26 = i53;
                            i25 = rawOffset;
                            if (i26 == i25) {
                                i28 = i52;
                                if (i28 == rawOffset2) {
                                    i27 = i64;
                                    if (i27 == iArr[1]) {
                                        i29 = i65;
                                        i30 = i66;
                                        if (i29 == iArr[3] && i30 == f) {
                                            i31 = i67;
                                            if (i31 == iArr[5]) {
                                                i32 = i55 + 1;
                                                j5 = b2;
                                                z3 = true;
                                                if (z3) {
                                                    i33 = i32;
                                                    i23 = i31;
                                                    i66 = i30;
                                                    i21 = i29;
                                                    i20 = i28;
                                                    i19 = i27;
                                                    i18 = i26;
                                                } else if (i32 == 1) {
                                                    i33 = i32;
                                                    i23 = i31;
                                                    i66 = i30;
                                                    i21 = i29;
                                                    i20 = i28;
                                                    i19 = i27;
                                                    i18 = i26;
                                                    N(writer, false, str5, i26, i28, j6, true);
                                                } else {
                                                    i33 = i32;
                                                    i23 = i31;
                                                    i66 = i30;
                                                    i21 = i29;
                                                    i20 = i28;
                                                    i19 = i27;
                                                    i18 = i26;
                                                    str3 = str5;
                                                    i22 = i25;
                                                    str10 = str4;
                                                    i17 = f;
                                                    z2 = true;
                                                    J(writer, false, str5, i18, i20, i19, i66, i21, j6, j5);
                                                    i24 = i33;
                                                }
                                                str3 = str5;
                                                i22 = i25;
                                                str10 = str4;
                                                i17 = f;
                                                z2 = true;
                                                i24 = i33;
                                            }
                                        }
                                        i31 = i67;
                                    }
                                } else {
                                    i27 = i64;
                                }
                                i29 = i65;
                                i30 = i66;
                                i31 = i67;
                            } else {
                                i27 = i64;
                                i29 = i65;
                                i30 = i66;
                                i31 = i67;
                                i28 = i52;
                            }
                            i32 = i55;
                            z3 = false;
                            if (z3) {
                            }
                            str3 = str5;
                            i22 = i25;
                            str10 = str4;
                            i17 = f;
                            z2 = true;
                            i24 = i33;
                        } else {
                            i27 = i64;
                            i29 = i65;
                            i30 = i66;
                            i31 = i67;
                            i28 = i52;
                            i26 = i53;
                        }
                    } else {
                        i27 = i64;
                        i29 = i65;
                        i30 = i66;
                        i31 = i67;
                        str4 = str10;
                        i28 = i52;
                        i26 = i53;
                        str5 = str9;
                    }
                    i25 = rawOffset;
                    i32 = i55;
                    z3 = false;
                    if (z3) {
                    }
                    str3 = str5;
                    i22 = i25;
                    str10 = str4;
                    i17 = f;
                    z2 = true;
                    i24 = i33;
                } else {
                    i19 = i64;
                    i23 = i67;
                    i20 = i52;
                    i18 = i53;
                    str3 = str9;
                    i22 = rawOffset;
                    i17 = f;
                    i21 = i65;
                    z2 = true;
                    i24 = i55;
                    z3 = false;
                }
                if (!z3) {
                    char c2 = z2 ? 1 : 0;
                    char c3 = z2 ? 1 : 0;
                    char c4 = z2 ? 1 : 0;
                    char c5 = z2 ? 1 : 0;
                    char c6 = z2 ? 1 : 0;
                    char c7 = z2 ? 1 : 0;
                    char c8 = z2 ? 1 : 0;
                    int i70 = iArr[c2];
                    i65 = iArr[3];
                    i67 = iArr[5];
                    i56 = i69;
                    i52 = rawOffset2;
                    i53 = i22;
                    j5 = b2;
                    j6 = j5;
                    i63 = dSTSavings;
                    str9 = str10;
                    i66 = i17;
                    i24 = 1;
                    i64 = i70;
                } else {
                    i65 = i21;
                    i52 = i20;
                    i64 = i19;
                    i53 = i18;
                    str9 = str3;
                    i67 = i23;
                }
                if (!(annualTimeZoneRule == null || annualTimeZoneRule2 == null)) {
                    i = i52;
                    i2 = i53;
                    i4 = i24;
                    str2 = str9;
                    i5 = i57;
                    i7 = i61;
                    j = j4;
                    i9 = i64;
                    i10 = i65;
                    i11 = i66;
                    i12 = i15;
                    i6 = i60;
                    i8 = i62;
                    str = str8;
                    z = true;
                    break;
                }
                basicTimeZone2 = basicTimeZone;
                i55 = i24;
                i16 = i68;
                i60 = i60;
                i62 = i62;
                i54 = i3;
                str8 = str8;
            } else {
                if (annualTimeZoneRule2 == null && (nextTransition.c() instanceof AnnualTimeZoneRule) && ((AnnualTimeZoneRule) nextTransition.c()).getEndYear() == Integer.MAX_VALUE) {
                    annualTimeZoneRule2 = (AnnualTimeZoneRule) nextTransition.c();
                }
                if (i57 > 0) {
                    if (i69 == i58 + i57 && name.equals(str8) && i54 == rawOffset && i51 == rawOffset2) {
                        i46 = i60;
                        if (i46 == iArr[1]) {
                            if (i61 == iArr[3]) {
                                i45 = i62;
                                if (i62 == f) {
                                    i61 = i61;
                                    i47 = i68;
                                    if (i47 == iArr[5]) {
                                        i48 = i57 + 1;
                                        j4 = b2;
                                        z4 = true;
                                        i39 = i47;
                                        if (!z4) {
                                            str7 = name;
                                            i38 = i51;
                                            i2 = i53;
                                            i35 = i54;
                                            str6 = str8;
                                            i34 = rawOffset;
                                            str2 = str9;
                                            i41 = f;
                                            i40 = i69;
                                            i36 = i45;
                                            i = i52;
                                            i49 = i48;
                                            i37 = i46;
                                        } else if (i48 == 1) {
                                            i36 = i45;
                                            i49 = i48;
                                            str7 = name;
                                            i38 = i51;
                                            i = i52;
                                            i37 = i46;
                                            i2 = i53;
                                            i35 = i54;
                                            str6 = str8;
                                            N(writer, true, str8, i54, i38, j3, true);
                                            i34 = rawOffset;
                                            str2 = str9;
                                            i41 = f;
                                            i40 = i69;
                                        } else {
                                            str7 = name;
                                            i38 = i51;
                                            i2 = i53;
                                            i35 = i54;
                                            str6 = str8;
                                            i36 = i45;
                                            i = i52;
                                            i49 = i48;
                                            i37 = i46;
                                            i34 = rawOffset;
                                            str2 = str9;
                                            i41 = f;
                                            i40 = i69;
                                            J(writer, true, str6, i35, i38, i37, i36, i61, j3, j4);
                                        }
                                        i42 = i49;
                                    }
                                    i48 = i57;
                                    z4 = false;
                                    i39 = i47;
                                    if (!z4) {
                                    }
                                    i42 = i49;
                                } else {
                                    i61 = i61;
                                    i47 = i68;
                                    i48 = i57;
                                    z4 = false;
                                    i39 = i47;
                                    if (!z4) {
                                    }
                                    i42 = i49;
                                }
                            } else {
                                i61 = i61;
                            }
                        }
                    } else {
                        i46 = i60;
                    }
                    i45 = i62;
                    i47 = i68;
                    i48 = i57;
                    z4 = false;
                    i39 = i47;
                    if (!z4) {
                    }
                    i42 = i49;
                } else {
                    str7 = name;
                    i2 = i53;
                    i35 = i54;
                    str6 = str8;
                    i34 = rawOffset;
                    str2 = str9;
                    i41 = f;
                    i40 = i69;
                    i36 = i62;
                    i39 = i68;
                    i = i52;
                    i38 = i51;
                    i37 = i60;
                    i42 = i57;
                    z4 = false;
                }
                if (!z4) {
                    i60 = iArr[1];
                    i61 = iArr[3];
                    i43 = iArr[5];
                    i62 = i41;
                    i58 = i40;
                    i44 = rawOffset2;
                    j3 = b2;
                    j4 = j3;
                    i59 = dSTSavings;
                    str8 = str7;
                    i54 = i34;
                    i42 = 1;
                } else {
                    i44 = i38;
                    i60 = i37;
                    i54 = i35;
                    str8 = str6;
                    i43 = i39;
                    i62 = i36;
                }
                if (!(annualTimeZoneRule == null || annualTimeZoneRule2 == null)) {
                    i12 = i44;
                    i3 = i54;
                    str = str8;
                    i5 = i42;
                    i4 = i55;
                    i6 = i60;
                    i7 = i61;
                    i8 = i62;
                    j = j4;
                    i9 = i64;
                    i10 = i65;
                    i11 = i66;
                    z = true;
                    z2 = true;
                    break;
                }
                basicTimeZone2 = basicTimeZone;
                i57 = i42;
                i16 = i43;
                i52 = i;
                i53 = i2;
                str9 = str2;
                i15 = i44;
            }
            basicTimeZone3 = basicTimeZone2;
            i51 = i15;
            z6 = true;
            z5 = false;
            i68 = i16;
            j2 = b2;
        }
        if (!z) {
            int offset = basicTimeZone.getOffset(0);
            if (offset == basicTimeZone.getRawOffset()) {
                z2 = false;
            }
            N(writer, z2, s(basicTimeZone.getID(), z2), offset, offset, 0 - ((long) offset), false);
        } else {
            if (i5 > 0) {
                if (annualTimeZoneRule2 != null) {
                    i14 = i4;
                    if (i5 == z2) {
                        E(writer, true, annualTimeZoneRule2, i3 - i59, i59, j3);
                    } else if (u(i6, i8, i7, annualTimeZoneRule2.getRule())) {
                        J(writer, true, str, i3, i12, i6, i8, i7, j3, Long.MAX_VALUE);
                    } else {
                        J(writer, true, str, i3, i12, i6, i8, i7, j3, j);
                        int i71 = i3 - i59;
                        Date nextStart = annualTimeZoneRule2.getNextStart(j, i71, i59, false);
                        if (nextStart != null) {
                            E(writer, true, annualTimeZoneRule2, i71, i59, nextStart.getTime());
                        }
                    }
                } else if (i5 == z2) {
                    N(writer, true, str, i3, i12, j3, true);
                } else {
                    i14 = i4;
                    J(writer, true, str, i3, i12, i6, i8, i7, j3, j);
                }
                i13 = i14;
                if (i13 > 0) {
                    if (annualTimeZoneRule == null) {
                        if (i13 == z2) {
                            N(writer, false, str2, i2, i, j6, true);
                        } else {
                            J(writer, false, str2, i2, i, i9, i11, i10, j6, j5);
                        }
                    } else if (i13 == z2) {
                        E(writer, false, annualTimeZoneRule, i2 - i63, i63, j6);
                    } else if (u(i9, i11, i10, annualTimeZoneRule.getRule())) {
                        J(writer, false, str2, i2, i, i9, i11, i10, j6, Long.MAX_VALUE);
                    } else {
                        J(writer, false, str2, i2, i, i9, i11, i10, j6, j5);
                        int i72 = i2 - i63;
                        Date nextStart2 = annualTimeZoneRule.getNextStart(j5, i72, i63, false);
                        if (nextStart2 != null) {
                            E(writer, false, annualTimeZoneRule, i72, i63, nextStart2.getTime());
                        }
                    }
                }
            }
            i13 = i4;
            if (i13 > 0) {
            }
        }
        F(writer);
    }

    private static void I(Writer writer, boolean z, String str, int i, int i2, int i3, int i4, long j, long j2) throws IOException {
        h(writer, z, str, i, i2, j);
        f(writer, i3);
        writer.write(B1);
        writer.write(d1);
        writer.write(Integer.toString(i4));
        if (j2 != Long.MAX_VALUE) {
            e(writer, q(j2 + ((long) i)));
        }
        writer.write(f1);
        p(writer, z);
    }

    private static void J(Writer writer, boolean z, String str, int i, int i2, int i3, int i4, int i5, long j, long j2) throws IOException {
        h(writer, z, str, i, i2, j);
        f(writer, i3);
        writer.write(A1);
        writer.write(d1);
        writer.write(Integer.toString(i4));
        writer.write(C1[i5 - 1]);
        if (j2 != Long.MAX_VALUE) {
            e(writer, q(j2 + ((long) i)));
        }
        writer.write(f1);
        p(writer, z);
    }

    private static void K(Writer writer, boolean z, String str, int i, int i2, int i3, int i4, int i5, long j, long j2) throws IOException {
        int i6;
        int i7;
        if (i4 % 7 == 1) {
            J(writer, z, str, i, i2, i3, (i4 + 6) / 7, i5, j, j2);
            return;
        }
        if (i3 != 1) {
            int[] iArr = D1;
            if ((iArr[i3] - i4) % 7 == 6) {
                J(writer, z, str, i, i2, i3, (((iArr[i3] - i4) + 1) / 7) * -1, i5, j, j2);
                return;
            }
        }
        h(writer, z, str, i, i2, j);
        if (i4 <= 0) {
            int i8 = 1 - i4;
            int i9 = 7 - i8;
            int i10 = i3 - 1;
            L(writer, i10 < 0 ? 11 : i10, -i8, i5, i8, Long.MAX_VALUE, i);
            i6 = i9;
            i7 = 1;
        } else {
            int i11 = i4 + 6;
            int[] iArr2 = D1;
            if (i11 > iArr2[i3]) {
                int i12 = i11 - iArr2[i3];
                int i13 = 7 - i12;
                int i14 = i3 + 1;
                L(writer, i14 > 11 ? 0 : i14, 1, i5, i12, Long.MAX_VALUE, i);
                i7 = i4;
                i6 = i13;
            } else {
                i7 = i4;
                i6 = 7;
            }
        }
        L(writer, i3, i7, i5, i6, j2, i);
        p(writer, z);
    }

    private static void L(Writer writer, int i, int i2, int i3, int i4, long j, int i5) throws IOException {
        boolean z = i == 1;
        if (i2 < 0 && !z) {
            i2 = D1[i] + i2 + 1;
        }
        f(writer, i);
        writer.write(A1);
        writer.write(d1);
        writer.write(C1[i3 - 1]);
        writer.write(";");
        writer.write(B1);
        writer.write(d1);
        writer.write(Integer.toString(i2));
        for (int i6 = 1; i6 < i4; i6++) {
            writer.write(e1);
            writer.write(Integer.toString(i2 + i6));
        }
        if (j != Long.MAX_VALUE) {
            e(writer, q(j + ((long) i5)));
        }
        writer.write(f1);
    }

    private static void M(Writer writer, boolean z, String str, int i, int i2, int i3, int i4, int i5, long j, long j2) throws IOException {
        if (i4 % 7 == 0) {
            J(writer, z, str, i, i2, i3, i4 / 7, i5, j, j2);
            return;
        }
        if (i3 != 1) {
            int[] iArr = D1;
            if ((iArr[i3] - i4) % 7 == 0) {
                J(writer, z, str, i, i2, i3, (((iArr[i3] - i4) / 7) + 1) * -1, i5, j, j2);
                return;
            }
        }
        if (i3 == 1 && i4 == 29) {
            J(writer, z, str, i, i2, 1, -1, i5, j, j2);
        } else {
            K(writer, z, str, i, i2, i3, i4 - 6, i5, j, j2);
        }
    }

    private static void N(Writer writer, boolean z, String str, int i, int i2, long j, boolean z2) throws IOException {
        h(writer, z, str, i, i2, j);
        if (z2) {
            writer.write(r1);
            writer.write(b1);
            writer.write(q(j + ((long) i)));
            writer.write(f1);
        }
        p(writer, z);
    }

    public static VTimeZone create(String str) {
        BasicTimeZone b2 = TimeZone.b(str, true);
        if (b2 == null) {
            return null;
        }
        VTimeZone vTimeZone = new VTimeZone(str);
        BasicTimeZone basicTimeZone = (BasicTimeZone) b2.cloneAsThawed();
        vTimeZone.tz = basicTimeZone;
        vTimeZone.olsonzid = basicTimeZone.getID();
        return vTimeZone;
    }

    private static void e(Writer writer, String str) throws IOException {
        if (str != null) {
            writer.write(";");
            writer.write(x1);
            writer.write(d1);
            writer.write(str);
        }
    }

    private static void f(Writer writer, int i) throws IOException {
        writer.write(s1);
        writer.write(b1);
        writer.write(w1);
        writer.write(d1);
        writer.write(y1);
        writer.write(";");
        writer.write(z1);
        writer.write(d1);
        writer.write(Integer.toString(i + 1));
        writer.write(";");
    }

    private static void h(Writer writer, boolean z, String str, int i, int i2, long j) throws IOException {
        writer.write(i1);
        writer.write(b1);
        if (z) {
            writer.write(n1);
        } else {
            writer.write(m1);
        }
        writer.write(f1);
        writer.write(q1);
        writer.write(b1);
        writer.write(x(i2));
        writer.write(f1);
        writer.write(p1);
        writer.write(b1);
        writer.write(x(i));
        writer.write(f1);
        writer.write(t1);
        writer.write(b1);
        writer.write(str);
        writer.write(f1);
        writer.write(o1);
        writer.write(b1);
        writer.write(q(j + ((long) i)));
        writer.write(f1);
    }

    private static TimeZoneRule m(String str, int i, int i2, long j, List<String> list, int i3) {
        long[] jArr;
        int i4 = 0;
        if (list == null || list.size() == 0) {
            jArr = new long[]{j};
        } else {
            long[] jArr2 = new long[list.size()];
            try {
                for (String str2 : list) {
                    int i5 = i4 + 1;
                    jArr2[i4] = B(str2, i3);
                    i4 = i5;
                }
                jArr = jArr2;
            } catch (IllegalArgumentException unused) {
                return null;
            }
        }
        return new TimeArrayTimeZoneRule(str, i, i2, jArr, 2);
    }

    private static TimeZoneRule n(String str, int i, int i2, long j, List<String> list, int i3) {
        int i4;
        int[] iArr;
        int i5;
        DateTimeRule dateTimeRule;
        int length;
        boolean z;
        if (list == null || list.size() == 0) {
            return null;
        }
        long[] jArr = new long[1];
        int[] C = C(list.get(0), jArr);
        if (C == null) {
            return null;
        }
        int i6 = C[0];
        int i7 = C[1];
        int i8 = C[2];
        int i9 = 3;
        int i10 = C[3];
        int i11 = -1;
        if (list.size() == 1) {
            if (C.length > 4) {
                if (C.length != 10 || i6 == -1 || i7 == 0) {
                    return null;
                }
                int[] iArr2 = new int[7];
                i10 = 31;
                for (int i12 = 0; i12 < 7; i12++) {
                    iArr2[i12] = C[i12 + 3];
                    iArr2[i12] = iArr2[i12] > 0 ? iArr2[i12] : D1[i6] + iArr2[i12] + 1;
                    if (iArr2[i12] < i10) {
                        i10 = iArr2[i12];
                    }
                }
                for (int i13 = 1; i13 < 7; i13++) {
                    int i14 = 0;
                    while (true) {
                        if (i14 >= 7) {
                            z = false;
                            break;
                        } else if (iArr2[i14] == i10 + i13) {
                            z = true;
                            break;
                        } else {
                            i14++;
                        }
                    }
                    if (!z) {
                        return null;
                    }
                }
            }
            iArr = null;
            i4 = i3;
        } else if (i6 == -1 || i7 == 0 || i10 == 0) {
            return null;
        } else {
            if (list.size() > 7) {
                return null;
            }
            int length2 = C.length - 3;
            int i15 = 31;
            for (int i16 = 0; i16 < length2; i16++) {
                int i17 = C[i16 + 3];
                if (i17 <= 0) {
                    i17 = D1[i6] + i17 + 1;
                }
                if (i17 < i15) {
                    i15 = i17;
                }
            }
            int i18 = i6;
            int i19 = 1;
            int i20 = -1;
            while (i19 < list.size()) {
                long[] jArr2 = new long[1];
                int[] C2 = C(list.get(i19), jArr2);
                if (jArr2[0] > jArr[0]) {
                    jArr = jArr2;
                }
                if (C2[0] == i11 || C2[1] == 0 || C2[i9] == 0 || (length2 = length2 + (length = C2.length - i9)) > 7 || C2[1] != i7) {
                    return null;
                }
                if (C2[0] != i6) {
                    if (i20 == -1) {
                        int i21 = C2[0] - i6;
                        if (i21 == -11 || i21 == -1) {
                            i18 = C2[0];
                            i20 = i18;
                            i15 = 31;
                        } else if (i21 != 11 && i21 != 1) {
                            return null;
                        } else {
                            i20 = C2[0];
                        }
                    } else if (!(C2[0] == i6 || C2[0] == i20)) {
                        return null;
                    }
                }
                if (C2[0] == i18) {
                    for (int i22 = 0; i22 < length; i22++) {
                        int i23 = C2[i22 + 3];
                        if (i23 <= 0) {
                            i23 = D1[C2[0]] + i23 + 1;
                        }
                        if (i23 < i15) {
                            i15 = i23;
                        }
                    }
                }
                i19++;
                i9 = 3;
                i11 = -1;
            }
            iArr = null;
            if (length2 != 7) {
                return null;
            }
            i4 = i3;
            i6 = i18;
            i10 = i15;
        }
        int[] j2 = u.j(j + ((long) i4), iArr);
        int i24 = j2[0];
        int i25 = i6 == -1 ? j2[1] : i6;
        if (i7 == 0 && i8 == 0 && i10 == 0) {
            i10 = j2[2];
        }
        int i26 = j2[5];
        if (jArr[0] != Long.MIN_VALUE) {
            u.j(jArr[0], j2);
            i5 = j2[0];
        } else {
            i5 = Integer.MAX_VALUE;
        }
        if (i7 == 0 && i8 == 0 && i10 != 0) {
            dateTimeRule = new DateTimeRule(i25, i10, i26, 0);
        } else if (i7 != 0 && i8 != 0 && i10 == 0) {
            dateTimeRule = new DateTimeRule(i25, i8, i7, i26, 0);
        } else if (i7 == 0 || i8 != 0 || i10 == 0) {
            return null;
        } else {
            dateTimeRule = new DateTimeRule(i25, i10, i7, true, i26, 0);
        }
        return new AnnualTimeZoneRule(str, i, i2, dateTimeRule, i24, i5);
    }

    private static void p(Writer writer, boolean z) throws IOException {
        writer.write(j1);
        writer.write(b1);
        if (z) {
            writer.write(n1);
        } else {
            writer.write(m1);
        }
        writer.write(f1);
    }

    private static String q(long j) {
        int[] j2 = u.j(j, null);
        StringBuilder sb = new StringBuilder(15);
        sb.append(y(j2[0], 4));
        sb.append(y(j2[1] + 1, 2));
        sb.append(y(j2[2], 2));
        sb.append('T');
        int i = j2[5];
        int i2 = i / 3600000;
        int i3 = i % 3600000;
        sb.append(y(i2, 2));
        sb.append(y(i3 / 60000, 2));
        sb.append(y((i3 % 60000) / 1000, 2));
        return sb.toString();
    }

    private static String s(String str, boolean z) {
        if (z) {
            return str + "(DST)";
        }
        return str + "(STD)";
    }

    private static String t(long j) {
        return q(j) + "Z";
    }

    private static boolean u(int i, int i2, int i3, DateTimeRule dateTimeRule) {
        if (i != dateTimeRule.getRuleMonth() || i3 != dateTimeRule.getRuleDayOfWeek() || dateTimeRule.getTimeRuleType() != 0) {
            return false;
        }
        if (dateTimeRule.getDateRuleType() == 1 && dateTimeRule.getRuleWeekInMonth() == i2) {
            return true;
        }
        int ruleDayOfMonth = dateTimeRule.getRuleDayOfMonth();
        if (dateTimeRule.getDateRuleType() == 2) {
            if (ruleDayOfMonth % 7 == 1 && (ruleDayOfMonth + 6) / 7 == i2) {
                return true;
            }
            if (i != 1) {
                int[] iArr = D1;
                if ((iArr[i] - ruleDayOfMonth) % 7 == 6 && i2 == (((iArr[i] - ruleDayOfMonth) + 1) / 7) * -1) {
                    return true;
                }
            }
        }
        if (dateTimeRule.getDateRuleType() == 3) {
            if (ruleDayOfMonth % 7 == 0 && ruleDayOfMonth / 7 == i2) {
                return true;
            }
            if (i != 1) {
                int[] iArr2 = D1;
                if ((iArr2[i] - ruleDayOfMonth) % 7 == 0 && i2 == (((iArr2[i] - ruleDayOfMonth) / 7) + 1) * -1) {
                    return true;
                }
                return false;
            }
        }
        return false;
    }

    private boolean v(Reader reader) {
        boolean z;
        try {
            this.vtzlines = new LinkedList();
            StringBuilder sb = new StringBuilder();
            boolean z2 = false;
            loop0:
            while (true) {
                boolean z3 = false;
                while (true) {
                    int read = reader.read();
                    z = true;
                    if (read == -1) {
                        if (!z2 || !sb.toString().startsWith(h1)) {
                            z = false;
                        } else {
                            this.vtzlines.add(sb.toString());
                        }
                    } else if (read != 13) {
                        if (z3) {
                            if (read != 9 && read != 32) {
                                if (z2 && sb.length() > 0) {
                                    this.vtzlines.add(sb.toString());
                                }
                                sb.setLength(0);
                                if (read != 10) {
                                    sb.append((char) read);
                                }
                            }
                        } else if (read == 10) {
                            if (!z2) {
                                if (sb.toString().startsWith(g1)) {
                                    this.vtzlines.add(sb.toString());
                                    sb.setLength(0);
                                    z2 = true;
                                    break;
                                }
                            } else if (sb.toString().startsWith(h1)) {
                                this.vtzlines.add(sb.toString());
                                break loop0;
                            }
                            z3 = true;
                        } else {
                            sb.append((char) read);
                        }
                    }
                }
            }
            if (!z) {
                return false;
            }
            return A();
        } catch (IOException unused) {
            return false;
        }
    }

    private static String x(int i) {
        StringBuilder sb = new StringBuilder(7);
        if (i >= 0) {
            sb.append('+');
        } else {
            sb.append('-');
            i = -i;
        }
        int i2 = i / 1000;
        int i3 = i2 % 60;
        int i4 = (i2 - i3) / 60;
        sb.append(y(i4 / 60, 2));
        sb.append(y(i4 % 60, 2));
        sb.append(y(i3, 2));
        return sb.toString();
    }

    private static String y(int i, int i2) {
        String num = Integer.toString(i);
        int length = num.length();
        if (length >= i2) {
            return num.substring(length - i2, length);
        }
        StringBuilder sb = new StringBuilder(i2);
        while (length < i2) {
            sb.append('0');
            length++;
        }
        sb.append(num);
        return sb.toString();
    }

    /* JADX WARNING: Removed duplicated region for block: B:29:0x004c  */
    /* JADX WARNING: Removed duplicated region for block: B:31:0x0057  */
    private static int z(String str) {
        int i;
        int i2;
        int i3;
        int length;
        int i4;
        boolean z = true;
        int i5 = 0;
        if (str != null && ((length = str.length()) == 5 || length == 7)) {
            char charAt = str.charAt(0);
            if (charAt == '+') {
                i4 = 1;
            } else if (charAt == '-') {
                i4 = -1;
            }
            try {
                i2 = Integer.parseInt(str.substring(1, 3));
                try {
                    i3 = Integer.parseInt(str.substring(3, 5));
                    if (length == 7) {
                        try {
                            i5 = Integer.parseInt(str.substring(5, 7));
                        } catch (NumberFormatException unused) {
                            i5 = i4;
                            i = 0;
                            z = false;
                            if (z) {
                            }
                        }
                    }
                    i = i5;
                    i5 = i4;
                } catch (NumberFormatException unused2) {
                    i3 = 0;
                    i5 = i4;
                    i = 0;
                    z = false;
                    if (z) {
                    }
                }
            } catch (NumberFormatException unused3) {
                i3 = 0;
                i2 = 0;
                i5 = i4;
                i = 0;
                z = false;
                if (z) {
                }
            }
            if (z) {
                return i5 * ((((i2 * 60) + i3) * 60) + i) * 1000;
            }
            throw new IllegalArgumentException("Bad offset string");
        }
        i = 0;
        z = false;
        i3 = 0;
        i2 = 0;
        if (z) {
        }
    }

    @Override // com.ibm.icu.util.TimeZone, java.lang.Object
    public Object clone() {
        if (isFrozen()) {
            return this;
        }
        return cloneAsThawed();
    }

    public Date getLastModified() {
        return this.lastmod;
    }

    @Override // com.ibm.icu.util.BasicTimeZone
    public g0 getNextTransition(long j, boolean z) {
        return this.tz.getNextTransition(j, z);
    }

    @Override // com.ibm.icu.util.TimeZone
    public int getOffset(int i, int i2, int i3, int i4, int i5, int i6) {
        return this.tz.getOffset(i, i2, i3, i4, i5, i6);
    }

    @Override // com.ibm.icu.util.BasicTimeZone
    public void getOffsetFromLocal(long j, BasicTimeZone.LocalOption localOption, BasicTimeZone.LocalOption localOption2, int[] iArr) {
        this.tz.getOffsetFromLocal(j, localOption, localOption2, iArr);
    }

    @Override // com.ibm.icu.util.BasicTimeZone
    public g0 getPreviousTransition(long j, boolean z) {
        return this.tz.getPreviousTransition(j, z);
    }

    @Override // com.ibm.icu.util.TimeZone
    public int getRawOffset() {
        return this.tz.getRawOffset();
    }

    public String getTZURL() {
        return this.tzurl;
    }

    @Override // com.ibm.icu.util.BasicTimeZone
    public TimeZoneRule[] getTimeZoneRules() {
        return this.tz.getTimeZoneRules();
    }

    @Override // com.ibm.icu.util.BasicTimeZone
    public boolean hasEquivalentTransitions(TimeZone timeZone, long j, long j2) {
        if (this == timeZone) {
            return true;
        }
        return this.tz.hasEquivalentTransitions(timeZone, j, j2);
    }

    @Override // com.ibm.icu.util.TimeZone
    public boolean hasSameRules(TimeZone timeZone) {
        if (this == timeZone) {
            return true;
        }
        if (timeZone instanceof VTimeZone) {
            return this.tz.hasSameRules(((VTimeZone) timeZone).tz);
        }
        return this.tz.hasSameRules(timeZone);
    }

    @Override // com.ibm.icu.util.TimeZone
    public boolean inDaylightTime(Date date) {
        return this.tz.inDaylightTime(date);
    }

    @Override // com.ibm.icu.util.TimeZone, com.ibm.icu.util.n
    public boolean isFrozen() {
        return this.J1;
    }

    @Override // com.ibm.icu.util.TimeZone
    public boolean observesDaylightTime() {
        return this.tz.observesDaylightTime();
    }

    public void setLastModified(Date date) {
        if (!isFrozen()) {
            this.lastmod = date;
            return;
        }
        throw new UnsupportedOperationException("Attempt to modify a frozen VTimeZone instance.");
    }

    @Override // com.ibm.icu.util.TimeZone
    public void setRawOffset(int i) {
        if (!isFrozen()) {
            this.tz.setRawOffset(i);
            return;
        }
        throw new UnsupportedOperationException("Attempt to modify a frozen VTimeZone instance.");
    }

    public void setTZURL(String str) {
        if (!isFrozen()) {
            this.tzurl = str;
            return;
        }
        throw new UnsupportedOperationException("Attempt to modify a frozen VTimeZone instance.");
    }

    @Override // com.ibm.icu.util.TimeZone
    public boolean useDaylightTime() {
        return this.tz.useDaylightTime();
    }

    public void write(Writer writer) throws IOException {
        BufferedWriter bufferedWriter = new BufferedWriter(writer);
        List<String> list = this.vtzlines;
        if (list != null) {
            for (String str : list) {
                if (str.startsWith("TZURL:")) {
                    if (this.tzurl != null) {
                        bufferedWriter.write(u1);
                        bufferedWriter.write(b1);
                        bufferedWriter.write(this.tzurl);
                        bufferedWriter.write(f1);
                    }
                } else if (!str.startsWith("LAST-MODIFIED:")) {
                    bufferedWriter.write(str);
                    bufferedWriter.write(f1);
                } else if (this.lastmod != null) {
                    bufferedWriter.write(v1);
                    bufferedWriter.write(b1);
                    bufferedWriter.write(t(this.lastmod.getTime()));
                    bufferedWriter.write(f1);
                }
            }
            bufferedWriter.flush();
            return;
        }
        String[] strArr = null;
        if (!(this.olsonzid == null || V0 == null)) {
            strArr = new String[]{"X-TZINFO:" + this.olsonzid + "[" + V0 + "]"};
        }
        H(writer, this.tz, strArr);
    }

    public void writeSimple(Writer writer, long j) throws IOException {
        TimeZoneRule[] simpleTimeZoneRulesNear = this.tz.getSimpleTimeZoneRulesNear(j);
        RuleBasedTimeZone ruleBasedTimeZone = new RuleBasedTimeZone(this.tz.getID(), (InitialTimeZoneRule) simpleTimeZoneRulesNear[0]);
        for (int i = 1; i < simpleTimeZoneRulesNear.length; i++) {
            ruleBasedTimeZone.addTransitionRule(simpleTimeZoneRulesNear[i]);
        }
        String[] strArr = null;
        if (!(this.olsonzid == null || V0 == null)) {
            strArr = new String[]{"X-TZINFO:" + this.olsonzid + "[" + V0 + "/Simple@" + j + "]"};
        }
        H(writer, ruleBasedTimeZone, strArr);
    }

    @Override // com.ibm.icu.util.TimeZone, com.ibm.icu.util.TimeZone, com.ibm.icu.util.n
    public TimeZone cloneAsThawed() {
        VTimeZone vTimeZone = (VTimeZone) super.cloneAsThawed();
        vTimeZone.tz = (BasicTimeZone) this.tz.cloneAsThawed();
        vTimeZone.J1 = false;
        return vTimeZone;
    }

    @Override // com.ibm.icu.util.TimeZone, com.ibm.icu.util.TimeZone, com.ibm.icu.util.n
    public TimeZone freeze() {
        this.J1 = true;
        return this;
    }

    @Override // com.ibm.icu.util.TimeZone
    public void getOffset(long j, boolean z, int[] iArr) {
        this.tz.getOffset(j, z, iArr);
    }

    @Override // com.ibm.icu.util.BasicTimeZone
    public TimeZoneRule[] getTimeZoneRules(long j) {
        return this.tz.getTimeZoneRules(j);
    }

    public static VTimeZone create(Reader reader) {
        VTimeZone vTimeZone = new VTimeZone();
        if (vTimeZone.v(reader)) {
            return vTimeZone;
        }
        return null;
    }

    private VTimeZone(String str) {
        super(str);
    }

    public void write(Writer writer, long j) throws IOException {
        TimeZoneRule[] timeZoneRules = this.tz.getTimeZoneRules(j);
        RuleBasedTimeZone ruleBasedTimeZone = new RuleBasedTimeZone(this.tz.getID(), (InitialTimeZoneRule) timeZoneRules[0]);
        for (int i = 1; i < timeZoneRules.length; i++) {
            ruleBasedTimeZone.addTransitionRule(timeZoneRules[i]);
        }
        String[] strArr = null;
        if (!(this.olsonzid == null || V0 == null)) {
            strArr = new String[]{"X-TZINFO:" + this.olsonzid + "[" + V0 + "/Partial@" + j + "]"};
        }
        H(writer, ruleBasedTimeZone, strArr);
    }
}
