package com.ibm.icu.util;

import java.util.Collections;
import java.util.Comparator;
import java.util.Iterator;
import java.util.LinkedHashMap;
import java.util.LinkedList;
import java.util.List;
import java.util.Map;
import java.util.Set;
import java.util.TreeMap;
import java.util.regex.Matcher;
import java.util.regex.Pattern;

/* compiled from: LocalePriorityList */
public class s implements Iterable<ULocale> {
    private static final Pattern I0 = Pattern.compile("\\s*(\\S*)\\s*;\\s*q\\s*=\\s*(\\S*)");
    private static Comparator<Double> J0 = new a();

    /* renamed from: a  reason: collision with root package name */
    private static final Double f16172a = Double.valueOf(1.0d);

    /* renamed from: b  reason: collision with root package name */
    private static final Pattern f16173b = Pattern.compile("\\s*,\\s*");
    private final Map<ULocale, Double> K0;

    /* access modifiers changed from: package-private */
    /* compiled from: LocalePriorityList */
    public static class a implements Comparator<Double> {
        a() {
        }

        /* renamed from: a */
        public int compare(Double d2, Double d3) {
            int compareTo = d2.compareTo(d3);
            if (compareTo > 0) {
                return -1;
            }
            return compareTo < 0 ? 1 : 0;
        }
    }

    /* compiled from: LocalePriorityList */
    public static class b {

        /* renamed from: a  reason: collision with root package name */
        static final /* synthetic */ boolean f16174a = false;

        /* renamed from: b  reason: collision with root package name */
        private Map<ULocale, Double> f16175b;

        /* renamed from: c  reason: collision with root package name */
        private s f16176c;

        /* renamed from: d  reason: collision with root package name */
        private boolean f16177d;

        /* synthetic */ b(a aVar) {
            this();
        }

        public b a(s sVar) {
            for (Map.Entry entry : sVar.K0.entrySet()) {
                c((ULocale) entry.getKey(), ((Double) entry.getValue()).doubleValue());
            }
            return this;
        }

        public b b(ULocale uLocale) {
            return c(uLocale, 1.0d);
        }

        public b c(ULocale uLocale, double d2) {
            Double d3;
            if (this.f16175b == null) {
                this.f16175b = new LinkedHashMap(this.f16176c.K0);
                this.f16176c = null;
            }
            if (this.f16175b.containsKey(uLocale)) {
                this.f16175b.remove(uLocale);
            }
            if (d2 <= 0.0d) {
                return this;
            }
            if (d2 >= 1.0d) {
                d3 = s.f16172a;
            } else {
                d3 = Double.valueOf(d2);
                this.f16177d = true;
            }
            this.f16175b.put(uLocale, d3);
            return this;
        }

        public b d(String str) {
            String[] split = s.f16173b.split(str.trim());
            Matcher matcher = s.I0.matcher("");
            for (String str2 : split) {
                if (matcher.reset(str2).matches()) {
                    ULocale uLocale = new ULocale(matcher.group(1));
                    double parseDouble = Double.parseDouble(matcher.group(2));
                    if (0.0d > parseDouble || parseDouble > 1.0d) {
                        throw new IllegalArgumentException("Illegal weight, must be 0..1: " + parseDouble);
                    }
                    c(uLocale, parseDouble);
                } else if (str2.length() != 0) {
                    b(new ULocale(str2));
                }
            }
            return this;
        }

        public b e(ULocale... uLocaleArr) {
            for (ULocale uLocale : uLocaleArr) {
                c(uLocale, 1.0d);
            }
            return this;
        }

        public s f() {
            return g(false);
        }

        public s g(boolean z) {
            Map<ULocale, Double> map;
            s sVar = this.f16176c;
            if (sVar != null) {
                return sVar;
            }
            if (this.f16177d) {
                TreeMap treeMap = new TreeMap(s.J0);
                for (Map.Entry<ULocale, Double> entry : this.f16175b.entrySet()) {
                    ULocale key = entry.getKey();
                    Double value = entry.getValue();
                    List list = (List) treeMap.get(value);
                    if (list == null) {
                        list = new LinkedList();
                        treeMap.put(value, list);
                    }
                    list.add(key);
                }
                if (treeMap.size() <= 1) {
                    map = this.f16175b;
                    if (treeMap.isEmpty() || ((Double) treeMap.firstKey()).doubleValue() == 1.0d) {
                        this.f16177d = false;
                    }
                } else {
                    LinkedHashMap linkedHashMap = new LinkedHashMap();
                    for (Map.Entry entry2 : treeMap.entrySet()) {
                        Double d2 = z ? (Double) entry2.getKey() : s.f16172a;
                        for (ULocale uLocale : (List) entry2.getValue()) {
                            linkedHashMap.put(uLocale, d2);
                        }
                    }
                    map = linkedHashMap;
                }
            } else {
                map = this.f16175b;
            }
            this.f16175b = null;
            s sVar2 = new s(Collections.unmodifiableMap(map), null);
            this.f16176c = sVar2;
            return sVar2;
        }

        /* synthetic */ b(s sVar, a aVar) {
            this(sVar);
        }

        private b() {
            this.f16177d = false;
            this.f16175b = new LinkedHashMap();
        }

        private b(s sVar) {
            this.f16177d = false;
            this.f16176c = sVar;
            for (Double d2 : sVar.K0.values()) {
                if (d2.doubleValue() != 1.0d) {
                    this.f16177d = true;
                    return;
                }
            }
        }
    }

    /* synthetic */ s(Map map, a aVar) {
        this(map);
    }

    public static b i(s sVar) {
        return new b(sVar, null);
    }

    public static b j(ULocale uLocale, double d2) {
        return new b((a) null).c(uLocale, d2);
    }

    public static b k(String str) {
        return new b((a) null).d(str);
    }

    public static b l(ULocale... uLocaleArr) {
        return new b((a) null).e(uLocaleArr);
    }

    public boolean equals(Object obj) {
        if (obj == null) {
            return false;
        }
        if (this == obj) {
            return true;
        }
        try {
            return this.K0.equals(((s) obj).K0);
        } catch (RuntimeException unused) {
            return false;
        }
    }

    public int hashCode() {
        return this.K0.hashCode();
    }

    @Override // java.lang.Iterable
    public Iterator<ULocale> iterator() {
        return this.K0.keySet().iterator();
    }

    public Set<ULocale> m() {
        return this.K0.keySet();
    }

    public Double n(ULocale uLocale) {
        return this.K0.get(uLocale);
    }

    public String toString() {
        StringBuilder sb = new StringBuilder();
        for (Map.Entry<ULocale, Double> entry : this.K0.entrySet()) {
            ULocale key = entry.getKey();
            double doubleValue = entry.getValue().doubleValue();
            if (sb.length() != 0) {
                sb.append(", ");
            }
            sb.append(key);
            if (doubleValue != 1.0d) {
                sb.append(";q=");
                sb.append(doubleValue);
            }
        }
        return sb.toString();
    }

    private s(Map<ULocale, Double> map) {
        this.K0 = map;
    }
}
