package com.lihang;

import android.content.Context;
import android.content.res.Resources;
import android.content.res.TypedArray;
import android.graphics.Bitmap;
import android.graphics.Canvas;
import android.graphics.Color;
import android.graphics.Paint;
import android.graphics.RectF;
import android.graphics.drawable.BitmapDrawable;
import android.graphics.drawable.ShapeDrawable;
import android.graphics.drawable.shapes.RoundRectShape;
import android.os.Build;
import android.util.AttributeSet;
import android.view.MotionEvent;
import android.widget.FrameLayout;

public class ShadowLayout extends FrameLayout {
    private int I0;
    private float J0;
    private float K0;
    private float L0;
    private float M0;
    private boolean N0;
    private boolean O0;
    private boolean P0;
    private boolean Q0;
    private Paint R0;
    private Paint S0;
    private int T0;
    private int U0;
    private int V0;
    private int W0;
    private RectF X0;
    private int Y0;
    private boolean Z0;

    /* renamed from: a  reason: collision with root package name */
    private int f16281a;
    private boolean a1;

    /* renamed from: b  reason: collision with root package name */
    private int f16282b;
    private float b1;
    private float c1;
    private float d1;
    private float e1;

    public ShadowLayout(Context context) {
        this(context, null);
    }

    public static int a(String str) throws IllegalArgumentException {
        if (!str.startsWith("#")) {
            str = "#" + str;
        }
        return Color.parseColor(str);
    }

    private Bitmap b(int i, int i2, float f, float f2, float f3, float f4, int i3, int i4) {
        float f5 = f3 / 4.0f;
        float f6 = f4 / 4.0f;
        int i5 = i / 4;
        int i6 = i2 / 4;
        float f7 = f / 4.0f;
        float f8 = f2 / 4.0f;
        Bitmap createBitmap = Bitmap.createBitmap(i5, i6, Bitmap.Config.ARGB_4444);
        Canvas canvas = new Canvas(createBitmap);
        RectF rectF = new RectF(f8, f8, ((float) i5) - f8, ((float) i6) - f8);
        if (this.a1) {
            if (f6 > 0.0f) {
                rectF.top += f6;
                rectF.bottom -= f6;
            } else if (f6 < 0.0f) {
                rectF.top += Math.abs(f6);
                rectF.bottom -= Math.abs(f6);
            }
            if (f5 > 0.0f) {
                rectF.left += f5;
                rectF.right -= f5;
            } else if (f5 < 0.0f) {
                rectF.left += Math.abs(f5);
                rectF.right -= Math.abs(f5);
            }
        } else {
            rectF.top -= f6;
            rectF.bottom -= f6;
            rectF.right -= f5;
            rectF.left -= f5;
        }
        this.R0.setColor(i4);
        if (!isInEditMode()) {
            this.R0.setShadowLayer(f8, f5, f6, i3);
        }
        if (this.d1 == -1.0f && this.b1 == -1.0f && this.c1 == -1.0f && this.e1 == -1.0f) {
            canvas.drawRoundRect(rectF, f7, f7, this.R0);
        } else {
            RectF rectF2 = this.X0;
            rectF2.left = (float) this.T0;
            rectF2.top = (float) this.U0;
            rectF2.right = (float) (getWidth() - this.V0);
            this.X0.bottom = (float) (getHeight() - this.W0);
            int height = (getHeight() - this.W0) - this.U0;
            int width = (getWidth() - this.V0) - this.T0;
            if (width <= height) {
                height = width;
            }
            float f9 = (float) (height / 2);
            canvas.drawRoundRect(rectF, f9, f9, this.R0);
            float f10 = this.b1;
            if (f10 != -1.0f) {
                if (f10 / f9 <= 0.62f) {
                    float f11 = rectF.left;
                    float f12 = rectF.top;
                    float f13 = (float) (height / 8);
                    RectF rectF3 = new RectF(f11, f12, f11 + f13, f13 + f12);
                    float f14 = this.b1;
                    canvas.drawRoundRect(rectF3, f14 / 4.0f, f14 / 4.0f, this.R0);
                }
            } else if (this.K0 / f9 <= 0.62f) {
                float f15 = rectF.left;
                float f16 = rectF.top;
                float f17 = (float) (height / 8);
                RectF rectF4 = new RectF(f15, f16, f15 + f17, f17 + f16);
                float f18 = this.K0;
                canvas.drawRoundRect(rectF4, f18 / 4.0f, f18 / 4.0f, this.R0);
            }
            float f19 = this.d1;
            if (f19 != -1.0f) {
                if (f19 / f9 <= 0.62f) {
                    float f20 = rectF.left;
                    float f21 = rectF.bottom;
                    float f22 = (float) (height / 8);
                    RectF rectF5 = new RectF(f20, f21 - f22, f22 + f20, f21);
                    float f23 = this.d1;
                    canvas.drawRoundRect(rectF5, f23 / 4.0f, f23 / 4.0f, this.R0);
                }
            } else if (this.K0 / f9 <= 0.62f) {
                float f24 = rectF.left;
                float f25 = rectF.bottom;
                float f26 = (float) (height / 8);
                RectF rectF6 = new RectF(f24, f25 - f26, f26 + f24, f25);
                float f27 = this.K0;
                canvas.drawRoundRect(rectF6, f27 / 4.0f, f27 / 4.0f, this.R0);
            }
            float f28 = this.c1;
            if (f28 != -1.0f) {
                if (f28 / f9 <= 0.62f) {
                    float f29 = rectF.right;
                    float f30 = (float) (height / 8);
                    float f31 = rectF.top;
                    RectF rectF7 = new RectF(f29 - f30, f31, f29, f30 + f31);
                    float f32 = this.c1;
                    canvas.drawRoundRect(rectF7, f32 / 4.0f, f32 / 4.0f, this.R0);
                }
            } else if (this.K0 / f9 <= 0.62f) {
                float f33 = rectF.right;
                float f34 = (float) (height / 8);
                float f35 = rectF.top;
                RectF rectF8 = new RectF(f33 - f34, f35, f33, f34 + f35);
                float f36 = this.K0;
                canvas.drawRoundRect(rectF8, f36 / 4.0f, f36 / 4.0f, this.R0);
            }
            float f37 = this.e1;
            if (f37 != -1.0f) {
                if (f37 / f9 <= 0.62f) {
                    float f38 = rectF.right;
                    float f39 = (float) (height / 8);
                    float f40 = rectF.bottom;
                    RectF rectF9 = new RectF(f38 - f39, f40 - f39, f38, f40);
                    float f41 = this.e1;
                    canvas.drawRoundRect(rectF9, f41 / 4.0f, f41 / 4.0f, this.R0);
                }
            } else if (this.K0 / f9 <= 0.62f) {
                float f42 = rectF.right;
                float f43 = (float) (height / 8);
                float f44 = rectF.bottom;
                RectF rectF10 = new RectF(f42 - f43, f44 - f43, f42, f44);
                float f45 = this.K0;
                canvas.drawRoundRect(rectF10, f45 / 4.0f, f45 / 4.0f, this.R0);
            }
        }
        return createBitmap;
    }

    private void c(AttributeSet attributeSet) {
        TypedArray obtainStyledAttributes = getContext().obtainStyledAttributes(attributeSet, R.styleable.ShadowLayout);
        if (obtainStyledAttributes != null) {
            try {
                this.Z0 = obtainStyledAttributes.getBoolean(R.styleable.ShadowLayout_hl_isShowShadow, true);
                this.N0 = obtainStyledAttributes.getBoolean(R.styleable.ShadowLayout_hl_leftShow, true);
                this.O0 = obtainStyledAttributes.getBoolean(R.styleable.ShadowLayout_hl_rightShow, true);
                this.Q0 = obtainStyledAttributes.getBoolean(R.styleable.ShadowLayout_hl_bottomShow, true);
                this.P0 = obtainStyledAttributes.getBoolean(R.styleable.ShadowLayout_hl_topShow, true);
                this.K0 = obtainStyledAttributes.getDimension(R.styleable.ShadowLayout_hl_cornerRadius, getResources().getDimension(R.dimen.dp_0));
                this.b1 = obtainStyledAttributes.getDimension(R.styleable.ShadowLayout_hl_cornerRadius_leftTop, -1.0f);
                this.d1 = obtainStyledAttributes.getDimension(R.styleable.ShadowLayout_hl_cornerRadius_leftBottom, -1.0f);
                this.c1 = obtainStyledAttributes.getDimension(R.styleable.ShadowLayout_hl_cornerRadius_rigthTop, -1.0f);
                this.e1 = obtainStyledAttributes.getDimension(R.styleable.ShadowLayout_hl_cornerRadius_rightBottom, -1.0f);
                this.J0 = obtainStyledAttributes.getDimension(R.styleable.ShadowLayout_hl_shadowLimit, getResources().getDimension(R.dimen.dp_5));
                this.L0 = obtainStyledAttributes.getDimension(R.styleable.ShadowLayout_hl_dx, 0.0f);
                this.M0 = obtainStyledAttributes.getDimension(R.styleable.ShadowLayout_hl_dy, 0.0f);
                this.I0 = obtainStyledAttributes.getColor(R.styleable.ShadowLayout_hl_shadowColor, getResources().getColor(R.color.default_shadow_color));
                int i = R.styleable.ShadowLayout_hl_shadowBackColor;
                Resources resources = getResources();
                int i2 = R.color.default_shadowback_color;
                this.f16281a = obtainStyledAttributes.getColor(i, resources.getColor(i2));
                int color = obtainStyledAttributes.getColor(R.styleable.ShadowLayout_hl_shadowBackColorClicked, getResources().getColor(i2));
                this.f16282b = color;
                if (color != -1) {
                    setClickable(true);
                }
                this.Y0 = obtainStyledAttributes.getInt(R.styleable.ShadowLayout_hl_selectorMode, 3);
                this.a1 = obtainStyledAttributes.getBoolean(R.styleable.ShadowLayout_hl_isSym, true);
            } finally {
                obtainStyledAttributes.recycle();
            }
        }
    }

    private void d(Context context, AttributeSet attributeSet) {
        c(attributeSet);
        Paint paint = new Paint();
        this.R0 = paint;
        paint.setAntiAlias(true);
        this.R0.setStyle(Paint.Style.FILL);
        Paint paint2 = new Paint(1);
        this.S0 = paint2;
        paint2.setStyle(Paint.Style.FILL);
        this.S0.setColor(this.f16281a);
        g();
    }

    private void f(int i, int i2) {
        if (this.Z0) {
            e(this.I0);
            BitmapDrawable bitmapDrawable = new BitmapDrawable(b(i, i2, this.K0, this.J0, this.L0, this.M0, this.I0, 0));
            if (Build.VERSION.SDK_INT <= 16) {
                setBackgroundDrawable(bitmapDrawable);
            } else {
                setBackground(bitmapDrawable);
            }
        } else {
            setBackgroundColor(Color.parseColor("#00000000"));
        }
    }

    private void h(Canvas canvas, int i) {
        float f = this.b1;
        if (f == -1.0f) {
            f = this.K0;
        }
        int i2 = (int) f;
        int i3 = i / 2;
        if (i2 > i3) {
            i2 = i3;
        }
        float f2 = this.c1;
        if (f2 == -1.0f) {
            f2 = this.K0;
        }
        int i4 = (int) f2;
        if (i4 > i3) {
            i4 = i3;
        }
        float f3 = this.e1;
        if (f3 == -1.0f) {
            f3 = this.K0;
        }
        int i5 = (int) f3;
        if (i5 > i3) {
            i5 = i3;
        }
        float f4 = this.d1;
        int i6 = f4 == -1.0f ? (int) this.K0 : (int) f4;
        if (i6 <= i3) {
            i3 = i6;
        }
        float f5 = (float) i2;
        float f6 = (float) i4;
        float f7 = (float) i5;
        float f8 = (float) i3;
        ShapeDrawable shapeDrawable = new ShapeDrawable(new RoundRectShape(new float[]{f5, f5, f6, f6, f7, f7, f8, f8}, null, null));
        shapeDrawable.getPaint().setColor(this.S0.getColor());
        shapeDrawable.setBounds(this.T0, this.U0, getWidth() - this.V0, getHeight() - this.W0);
        shapeDrawable.draw(canvas);
    }

    public void e(int i) {
        if (Color.alpha(i) == 255) {
            String hexString = Integer.toHexString(Color.red(i));
            String hexString2 = Integer.toHexString(Color.green(i));
            String hexString3 = Integer.toHexString(Color.blue(i));
            if (hexString.length() == 1) {
                hexString = "0" + hexString;
            }
            if (hexString2.length() == 1) {
                hexString2 = "0" + hexString2;
            }
            if (hexString3.length() == 1) {
                hexString3 = "0" + hexString3;
            }
            this.I0 = a("#2a" + hexString + hexString2 + hexString3);
        }
    }

    public void g() {
        if (this.a1) {
            int abs = (int) (this.J0 + Math.abs(this.L0));
            int abs2 = (int) (this.J0 + Math.abs(this.M0));
            if (this.N0) {
                this.T0 = abs;
            } else {
                this.T0 = 0;
            }
            if (this.P0) {
                this.U0 = abs2;
            } else {
                this.U0 = 0;
            }
            if (this.O0) {
                this.V0 = abs;
            } else {
                this.V0 = 0;
            }
            if (this.Q0) {
                this.W0 = abs2;
            } else {
                this.W0 = 0;
            }
        } else {
            float abs3 = Math.abs(this.M0);
            float f = this.J0;
            if (abs3 > f) {
                if (this.M0 > 0.0f) {
                    this.M0 = f;
                } else {
                    this.M0 = 0.0f - f;
                }
            }
            float abs4 = Math.abs(this.L0);
            float f2 = this.J0;
            if (abs4 > f2) {
                if (this.L0 > 0.0f) {
                    this.L0 = f2;
                } else {
                    this.L0 = 0.0f - f2;
                }
            }
            if (this.P0) {
                this.U0 = (int) (f2 - this.M0);
            } else {
                this.U0 = 0;
            }
            if (this.Q0) {
                this.W0 = (int) (this.M0 + f2);
            } else {
                this.W0 = 0;
            }
            if (this.O0) {
                this.V0 = (int) (f2 - this.L0);
            } else {
                this.V0 = 0;
            }
            if (this.N0) {
                this.T0 = (int) (f2 + this.L0);
            } else {
                this.T0 = 0;
            }
        }
        setPadding(this.T0, this.U0, this.V0, this.W0);
    }

    public float getmCornerRadius() {
        return this.K0;
    }

    public float getmShadowLimit() {
        return this.J0;
    }

    /* access modifiers changed from: protected */
    public void onDraw(Canvas canvas) {
        super.onDraw(canvas);
        RectF rectF = this.X0;
        rectF.left = (float) this.T0;
        rectF.top = (float) this.U0;
        rectF.right = (float) (getWidth() - this.V0);
        this.X0.bottom = (float) (getHeight() - this.W0);
        RectF rectF2 = this.X0;
        int i = (int) (rectF2.bottom - rectF2.top);
        if (this.b1 == 0.0f && this.d1 == 0.0f && this.c1 == 0.0f && this.e1 == 0.0f) {
            float f = this.K0;
            float f2 = (float) (i / 2);
            if (f > f2) {
                canvas.drawRoundRect(rectF2, f2, f2, this.S0);
            } else {
                canvas.drawRoundRect(rectF2, f, f, this.S0);
            }
        } else {
            h(canvas, i);
        }
    }

    /* access modifiers changed from: protected */
    public void onSizeChanged(int i, int i2, int i3, int i4) {
        super.onSizeChanged(i, i2, i3, i4);
        if (i > 0 && i2 > 0) {
            f(i, i2);
        }
    }

    public boolean onTouchEvent(MotionEvent motionEvent) {
        if (this.f16282b != -1) {
            int action = motionEvent.getAction();
            if (action != 0) {
                if (action == 1 && !isSelected() && this.Y0 != 2) {
                    this.S0.setColor(this.f16281a);
                    postInvalidate();
                }
            } else if (!isSelected() && this.Y0 != 2) {
                this.S0.setColor(this.f16282b);
                postInvalidate();
            }
        }
        return super.onTouchEvent(motionEvent);
    }

    public void setBottomShow(boolean z) {
        this.Q0 = z;
        g();
    }

    public void setLeftShow(boolean z) {
        this.N0 = z;
        g();
    }

    public void setMDx(float f) {
        float abs = Math.abs(f);
        float f2 = this.J0;
        if (abs <= f2) {
            this.L0 = f;
        } else if (f > 0.0f) {
            this.L0 = f2;
        } else {
            this.L0 = -f2;
        }
        g();
    }

    public void setMDy(float f) {
        float abs = Math.abs(f);
        float f2 = this.J0;
        if (abs <= f2) {
            this.M0 = f;
        } else if (f > 0.0f) {
            this.M0 = f2;
        } else {
            this.M0 = -f2;
        }
        g();
    }

    public void setRightShow(boolean z) {
        this.O0 = z;
        g();
    }

    public void setSelected(boolean z) {
        super.setSelected(z);
        int i = this.Y0;
        if (i == 3 || i == 2) {
            if (z) {
                this.S0.setColor(this.f16282b);
            } else {
                this.S0.setColor(this.f16281a);
            }
            postInvalidate();
            invalidate();
        }
    }

    public void setTopShow(boolean z) {
        this.P0 = z;
        g();
    }

    public void setmCornerRadius(int i) {
        this.K0 = (float) i;
        if (getWidth() != 0 && getHeight() != 0) {
            f(getWidth(), getHeight());
        }
    }

    public void setmShadowColor(int i) {
        this.I0 = i;
        if (getWidth() != 0 && getHeight() != 0) {
            f(getWidth(), getHeight());
        }
    }

    public void setmShadowLimit(int i) {
        this.J0 = (float) i;
        g();
    }

    public ShadowLayout(Context context, AttributeSet attributeSet) {
        this(context, attributeSet, 0);
    }

    public ShadowLayout(Context context, AttributeSet attributeSet, int i) {
        super(context, attributeSet, i);
        this.X0 = new RectF();
        this.Y0 = 3;
        this.Z0 = true;
        d(context, attributeSet);
    }
}
