package com.like;

import android.animation.ArgbEvaluator;
import android.content.Context;
import android.graphics.Bitmap;
import android.graphics.Canvas;
import android.graphics.Paint;
import android.graphics.PorterDuff;
import android.graphics.PorterDuffXfermode;
import android.util.AttributeSet;
import android.util.Property;
import android.view.View;
import androidx.annotation.ColorInt;
import androidx.core.view.ViewCompat;

public class CircleView extends View {

    /* renamed from: a  reason: collision with root package name */
    public static final Property<CircleView, Float> f16288a = new a(Float.class, "innerCircleRadiusProgress");

    /* renamed from: b  reason: collision with root package name */
    public static final Property<CircleView, Float> f16289b = new b(Float.class, "outerCircleRadiusProgress");
    private int I0 = -43230;
    private int J0 = -16121;
    private ArgbEvaluator K0 = new ArgbEvaluator();
    private Paint L0 = new Paint();
    private Paint M0 = new Paint();
    private Bitmap N0;
    private Canvas O0;
    private float P0 = 0.0f;
    private float Q0 = 0.0f;
    private int R0 = 0;
    private int S0 = 0;
    private int T0;

    static class a extends Property<CircleView, Float> {
        a(Class cls, String str) {
            super(cls, str);
        }

        /* renamed from: a */
        public Float get(CircleView circleView) {
            return Float.valueOf(circleView.getInnerCircleRadiusProgress());
        }

        /* renamed from: b */
        public void set(CircleView circleView, Float f) {
            circleView.setInnerCircleRadiusProgress(f.floatValue());
        }
    }

    static class b extends Property<CircleView, Float> {
        b(Class cls, String str) {
            super(cls, str);
        }

        /* renamed from: a */
        public Float get(CircleView circleView) {
            return Float.valueOf(circleView.getOuterCircleRadiusProgress());
        }

        /* renamed from: b */
        public void set(CircleView circleView, Float f) {
            circleView.setOuterCircleRadiusProgress(f.floatValue());
        }
    }

    public CircleView(Context context) {
        super(context);
        a();
    }

    private void a() {
        this.L0.setStyle(Paint.Style.FILL);
        this.M0.setXfermode(new PorterDuffXfermode(PorterDuff.Mode.CLEAR));
    }

    private void c() {
        this.L0.setColor(((Integer) this.K0.evaluate((float) d.g((double) ((float) d.a((double) this.P0, 0.5d, 1.0d)), 0.5d, 1.0d, 0.0d, 1.0d), Integer.valueOf(this.I0), Integer.valueOf(this.J0))).intValue());
    }

    public void b(int i, int i2) {
        this.R0 = i;
        this.S0 = i2;
        invalidate();
    }

    public float getInnerCircleRadiusProgress() {
        return this.Q0;
    }

    public float getOuterCircleRadiusProgress() {
        return this.P0;
    }

    /* access modifiers changed from: protected */
    public void onDraw(Canvas canvas) {
        super.onDraw(canvas);
        this.O0.drawColor(ViewCompat.MEASURED_SIZE_MASK, PorterDuff.Mode.CLEAR);
        this.O0.drawCircle((float) (getWidth() / 2), (float) (getHeight() / 2), this.P0 * ((float) this.T0), this.L0);
        this.O0.drawCircle((float) (getWidth() / 2), (float) (getHeight() / 2), this.Q0 * ((float) this.T0), this.M0);
        canvas.drawBitmap(this.N0, 0.0f, 0.0f, (Paint) null);
    }

    /* access modifiers changed from: protected */
    public void onMeasure(int i, int i2) {
        int i3;
        super.onMeasure(i, i2);
        int i4 = this.R0;
        if (i4 != 0 && (i3 = this.S0) != 0) {
            setMeasuredDimension(i4, i3);
        }
    }

    /* access modifiers changed from: protected */
    public void onSizeChanged(int i, int i2, int i3, int i4) {
        super.onSizeChanged(i, i2, i3, i4);
        this.T0 = i / 2;
        this.N0 = Bitmap.createBitmap(getWidth(), getWidth(), Bitmap.Config.ARGB_8888);
        this.O0 = new Canvas(this.N0);
    }

    public void setEndColor(@ColorInt int i) {
        this.J0 = i;
        invalidate();
    }

    public void setInnerCircleRadiusProgress(float f) {
        this.Q0 = f;
        postInvalidate();
    }

    public void setOuterCircleRadiusProgress(float f) {
        this.P0 = f;
        c();
        postInvalidate();
    }

    public void setStartColor(@ColorInt int i) {
        this.I0 = i;
        invalidate();
    }

    public CircleView(Context context, AttributeSet attributeSet) {
        super(context, attributeSet);
        a();
    }

    public CircleView(Context context, AttributeSet attributeSet, int i) {
        super(context, attributeSet, i);
        a();
    }
}
