package com.like;

import android.animation.Animator;
import android.animation.AnimatorListenerAdapter;
import android.animation.AnimatorSet;
import android.animation.ObjectAnimator;
import android.content.Context;
import android.content.res.TypedArray;
import android.graphics.drawable.Drawable;
import android.util.AttributeSet;
import android.view.LayoutInflater;
import android.view.MotionEvent;
import android.view.View;
import android.view.ViewGroup;
import android.view.ViewPropertyAnimator;
import android.view.animation.AccelerateDecelerateInterpolator;
import android.view.animation.DecelerateInterpolator;
import android.view.animation.OvershootInterpolator;
import android.widget.FrameLayout;
import android.widget.ImageView;
import androidx.annotation.ColorInt;
import androidx.annotation.ColorRes;
import androidx.annotation.DrawableRes;
import androidx.core.content.d;
import com.like.view.R;

public class LikeButton extends FrameLayout implements View.OnClickListener {
    private static final OvershootInterpolator I0 = new OvershootInterpolator(4.0f);

    /* renamed from: a  reason: collision with root package name */
    private static final DecelerateInterpolator f16293a = new DecelerateInterpolator();

    /* renamed from: b  reason: collision with root package name */
    private static final AccelerateDecelerateInterpolator f16294b = new AccelerateDecelerateInterpolator();
    private ImageView J0;
    private DotsView K0;
    private CircleView L0;
    private a M0;
    private c N0;
    private b O0;
    private int P0;
    private int Q0;
    private int R0;
    private int S0;
    private int T0;
    private float U0;
    private boolean V0;
    private boolean W0;
    private AnimatorSet X0;
    private Drawable Y0;
    private Drawable Z0;

    class a extends AnimatorListenerAdapter {
        a() {
        }

        public void onAnimationCancel(Animator animator) {
            LikeButton.this.L0.setInnerCircleRadiusProgress(0.0f);
            LikeButton.this.L0.setOuterCircleRadiusProgress(0.0f);
            LikeButton.this.K0.setCurrentProgress(0.0f);
            LikeButton.this.J0.setScaleX(1.0f);
            LikeButton.this.J0.setScaleY(1.0f);
        }

        public void onAnimationEnd(Animator animator) {
            if (LikeButton.this.O0 != null) {
                LikeButton.this.O0.a(LikeButton.this);
            }
        }
    }

    public LikeButton(Context context) {
        this(context, null);
    }

    private Drawable e(TypedArray typedArray, int i) {
        int resourceId = typedArray.getResourceId(i, -1);
        if (-1 != resourceId) {
            return d.i(getContext(), resourceId);
        }
        return null;
    }

    private void f(Context context, AttributeSet attributeSet, int i) {
        LayoutInflater.from(getContext()).inflate(R.layout.likeview, (ViewGroup) this, true);
        this.J0 = (ImageView) findViewById(R.id.icon);
        this.K0 = (DotsView) findViewById(R.id.dots);
        this.L0 = (CircleView) findViewById(R.id.circle);
        TypedArray obtainStyledAttributes = context.obtainStyledAttributes(attributeSet, R.styleable.LikeButton, i, 0);
        int dimensionPixelSize = obtainStyledAttributes.getDimensionPixelSize(R.styleable.LikeButton_icon_size, -1);
        this.T0 = dimensionPixelSize;
        if (dimensionPixelSize == -1) {
            this.T0 = 40;
        }
        String string = obtainStyledAttributes.getString(R.styleable.LikeButton_icon_type);
        Drawable e2 = e(obtainStyledAttributes, R.styleable.LikeButton_like_drawable);
        this.Y0 = e2;
        if (e2 != null) {
            setLikeDrawable(e2);
        }
        Drawable e3 = e(obtainStyledAttributes, R.styleable.LikeButton_unlike_drawable);
        this.Z0 = e3;
        if (e3 != null) {
            setUnlikeDrawable(e3);
        }
        if (string != null && !string.isEmpty()) {
            this.M0 = i(string);
        }
        int color = obtainStyledAttributes.getColor(R.styleable.LikeButton_circle_start_color, 0);
        this.R0 = color;
        if (color != 0) {
            this.L0.setStartColor(color);
        }
        int color2 = obtainStyledAttributes.getColor(R.styleable.LikeButton_circle_end_color, 0);
        this.S0 = color2;
        if (color2 != 0) {
            this.L0.setEndColor(color2);
        }
        this.P0 = obtainStyledAttributes.getColor(R.styleable.LikeButton_dots_primary_color, 0);
        int color3 = obtainStyledAttributes.getColor(R.styleable.LikeButton_dots_secondary_color, 0);
        this.Q0 = color3;
        int i2 = this.P0;
        if (!(i2 == 0 || color3 == 0)) {
            this.K0.d(i2, color3);
        }
        if (this.Y0 == null && this.Z0 == null) {
            if (this.M0 != null) {
                m();
            } else {
                setIcon(IconType.Heart);
            }
        }
        setEnabled(obtainStyledAttributes.getBoolean(R.styleable.LikeButton_is_enabled, true));
        Boolean valueOf = Boolean.valueOf(obtainStyledAttributes.getBoolean(R.styleable.LikeButton_liked, false));
        setAnimationScaleFactor(obtainStyledAttributes.getFloat(R.styleable.LikeButton_anim_scale_factor, 3.0f));
        setLiked(valueOf);
        setOnClickListener(this);
        obtainStyledAttributes.recycle();
    }

    private a h(IconType iconType) {
        for (a aVar : d.f()) {
            if (aVar.a().equals(iconType)) {
                return aVar;
            }
        }
        throw new IllegalArgumentException("Correct icon type not specified.");
    }

    private a i(String str) {
        for (a aVar : d.f()) {
            if (aVar.a().name().toLowerCase().equals(str.toLowerCase())) {
                return aVar;
            }
        }
        throw new IllegalArgumentException("Correct icon type not specified.");
    }

    private void j() {
        int i = this.T0;
        if (i != 0) {
            DotsView dotsView = this.K0;
            float f = this.U0;
            dotsView.e((int) (((float) i) * f), (int) (((float) i) * f));
            CircleView circleView = this.L0;
            int i2 = this.T0;
            circleView.b(i2, i2);
        }
    }

    public boolean g() {
        return this.V0;
    }

    public void k(@ColorInt int i, @ColorInt int i2) {
        this.K0.d(i, i2);
    }

    public void l(@ColorRes int i, @ColorRes int i2) {
        this.K0.d(d.f(getContext(), i), d.f(getContext(), i2));
    }

    public void m() {
        setLikeDrawableRes(this.M0.c());
        setUnlikeDrawableRes(this.M0.b());
        this.J0.setImageDrawable(this.Z0);
    }

    public void onClick(View view) {
        if (this.W0) {
            boolean z = !this.V0;
            this.V0 = z;
            this.J0.setImageDrawable(z ? this.Y0 : this.Z0);
            c cVar = this.N0;
            if (cVar != null) {
                if (this.V0) {
                    cVar.a(this);
                } else {
                    cVar.b(this);
                }
            }
            AnimatorSet animatorSet = this.X0;
            if (animatorSet != null) {
                animatorSet.cancel();
            }
            if (this.V0) {
                this.J0.animate().cancel();
                this.J0.setScaleX(0.0f);
                this.J0.setScaleY(0.0f);
                this.L0.setInnerCircleRadiusProgress(0.0f);
                this.L0.setOuterCircleRadiusProgress(0.0f);
                this.K0.setCurrentProgress(0.0f);
                this.X0 = new AnimatorSet();
                ObjectAnimator ofFloat = ObjectAnimator.ofFloat(this.L0, CircleView.f16289b, 0.1f, 1.0f);
                ofFloat.setDuration(250L);
                DecelerateInterpolator decelerateInterpolator = f16293a;
                ofFloat.setInterpolator(decelerateInterpolator);
                ObjectAnimator ofFloat2 = ObjectAnimator.ofFloat(this.L0, CircleView.f16288a, 0.1f, 1.0f);
                ofFloat2.setDuration(200L);
                ofFloat2.setStartDelay(200);
                ofFloat2.setInterpolator(decelerateInterpolator);
                ObjectAnimator ofFloat3 = ObjectAnimator.ofFloat(this.J0, ImageView.SCALE_Y, 0.2f, 1.0f);
                ofFloat3.setDuration(350L);
                ofFloat3.setStartDelay(250);
                OvershootInterpolator overshootInterpolator = I0;
                ofFloat3.setInterpolator(overshootInterpolator);
                ObjectAnimator ofFloat4 = ObjectAnimator.ofFloat(this.J0, ImageView.SCALE_X, 0.2f, 1.0f);
                ofFloat4.setDuration(350L);
                ofFloat4.setStartDelay(250);
                ofFloat4.setInterpolator(overshootInterpolator);
                ObjectAnimator ofFloat5 = ObjectAnimator.ofFloat(this.K0, DotsView.I0, 0.0f, 1.0f);
                ofFloat5.setDuration(900L);
                ofFloat5.setStartDelay(50);
                ofFloat5.setInterpolator(f16294b);
                this.X0.playTogether(ofFloat, ofFloat2, ofFloat3, ofFloat4, ofFloat5);
                this.X0.addListener(new a());
                this.X0.start();
            }
        }
    }

    public boolean onTouchEvent(MotionEvent motionEvent) {
        if (!this.W0) {
            return true;
        }
        int action = motionEvent.getAction();
        if (action != 0) {
            boolean z = false;
            if (action == 1) {
                ViewPropertyAnimator duration = this.J0.animate().scaleX(0.7f).scaleY(0.7f).setDuration(150);
                DecelerateInterpolator decelerateInterpolator = f16293a;
                duration.setInterpolator(decelerateInterpolator);
                this.J0.animate().scaleX(1.0f).scaleY(1.0f).setInterpolator(decelerateInterpolator);
                if (isPressed()) {
                    performClick();
                    setPressed(false);
                }
            } else if (action == 2) {
                float x = motionEvent.getX();
                float y = motionEvent.getY();
                if (x > 0.0f && x < ((float) getWidth()) && y > 0.0f && y < ((float) getHeight())) {
                    z = true;
                }
                if (isPressed() != z) {
                    setPressed(z);
                }
            } else if (action == 3) {
                setPressed(false);
            }
        } else {
            setPressed(true);
        }
        return true;
    }

    public void setAnimationScaleFactor(float f) {
        this.U0 = f;
        j();
    }

    public void setCircleEndColorRes(@ColorRes int i) {
        int f = d.f(getContext(), i);
        this.S0 = f;
        this.L0.setEndColor(f);
    }

    public void setCircleStartColorInt(@ColorInt int i) {
        this.R0 = i;
        this.L0.setStartColor(i);
    }

    public void setCircleStartColorRes(@ColorRes int i) {
        int f = d.f(getContext(), i);
        this.R0 = f;
        this.L0.setStartColor(f);
    }

    public void setEnabled(boolean z) {
        this.W0 = z;
    }

    public void setIcon(IconType iconType) {
        a h = h(iconType);
        this.M0 = h;
        setLikeDrawableRes(h.c());
        setUnlikeDrawableRes(this.M0.b());
        this.J0.setImageDrawable(this.Z0);
    }

    public void setIconSizeDp(int i) {
        setIconSizePx((int) d.b(getContext(), (float) i));
    }

    public void setIconSizePx(int i) {
        this.T0 = i;
        j();
        this.Z0 = d.h(getContext(), this.Z0, i, i);
        this.Y0 = d.h(getContext(), this.Y0, i, i);
    }

    public void setLikeDrawable(Drawable drawable) {
        this.Y0 = drawable;
        if (this.T0 != 0) {
            Context context = getContext();
            int i = this.T0;
            this.Y0 = d.h(context, drawable, i, i);
        }
        if (this.V0) {
            this.J0.setImageDrawable(this.Y0);
        }
    }

    public void setLikeDrawableRes(@DrawableRes int i) {
        this.Y0 = d.i(getContext(), i);
        if (this.T0 != 0) {
            Context context = getContext();
            Drawable drawable = this.Y0;
            int i2 = this.T0;
            this.Y0 = d.h(context, drawable, i2, i2);
        }
        if (this.V0) {
            this.J0.setImageDrawable(this.Y0);
        }
    }

    public void setLiked(Boolean bool) {
        if (bool.booleanValue()) {
            this.V0 = true;
            this.J0.setImageDrawable(this.Y0);
            return;
        }
        this.V0 = false;
        this.J0.setImageDrawable(this.Z0);
    }

    public void setOnAnimationEndListener(b bVar) {
        this.O0 = bVar;
    }

    public void setOnLikeListener(c cVar) {
        this.N0 = cVar;
    }

    public void setUnlikeDrawable(Drawable drawable) {
        this.Z0 = drawable;
        if (this.T0 != 0) {
            Context context = getContext();
            int i = this.T0;
            this.Z0 = d.h(context, drawable, i, i);
        }
        if (!this.V0) {
            this.J0.setImageDrawable(this.Z0);
        }
    }

    public void setUnlikeDrawableRes(@DrawableRes int i) {
        this.Z0 = d.i(getContext(), i);
        if (this.T0 != 0) {
            Context context = getContext();
            Drawable drawable = this.Z0;
            int i2 = this.T0;
            this.Z0 = d.h(context, drawable, i2, i2);
        }
        if (!this.V0) {
            this.J0.setImageDrawable(this.Z0);
        }
    }

    public LikeButton(Context context, AttributeSet attributeSet) {
        this(context, attributeSet, 0);
    }

    public LikeButton(Context context, AttributeSet attributeSet, int i) {
        super(context, attributeSet, i);
        if (!isInEditMode()) {
            f(context, attributeSet, i);
        }
    }
}
