package com.liulishuo.filedownloader.o0;

import android.app.ActivityManager;
import android.content.Context;
import android.net.ConnectivityManager;
import android.net.NetworkInfo;
import android.os.Build;
import android.os.Environment;
import android.os.PowerManager;
import android.os.Process;
import android.os.StatFs;
import android.text.TextUtils;
import com.liulishuo.filedownloader.b;
import com.liulishuo.filedownloader.exception.FileDownloadGiveUpRetryException;
import com.liulishuo.filedownloader.exception.FileDownloadSecurityException;
import com.liulishuo.filedownloader.k0.c;
import com.liulishuo.filedownloader.model.FileDownloadModel;
import com.liulishuo.filedownloader.n0.a;
import com.lzy.okgo.model.HttpHeaders;
import java.io.File;
import java.io.IOException;
import java.io.UnsupportedEncodingException;
import java.net.URLDecoder;
import java.security.MessageDigest;
import java.security.NoSuchAlgorithmException;
import java.util.Iterator;
import java.util.List;
import java.util.Locale;
import java.util.regex.Matcher;
import java.util.regex.Pattern;

/* compiled from: FileDownloadUtils */
public class h {

    /* renamed from: a  reason: collision with root package name */
    private static int f16530a = 65536;

    /* renamed from: b  reason: collision with root package name */
    private static long f16531b = 2000;

    /* renamed from: c  reason: collision with root package name */
    private static String f16532c = null;

    /* renamed from: d  reason: collision with root package name */
    private static Boolean f16533d = null;

    /* renamed from: e  reason: collision with root package name */
    private static final String f16534e = "filedownloader";
    private static final String f = ".old_file_converted";
    private static Boolean g = null;
    private static final Pattern h = Pattern.compile("attachment;\\s*filename\\*\\s*=\\s*\"*([^\"]*)'\\S*'([^\"]*)\"*");
    private static final Pattern i = Pattern.compile("attachment;\\s*filename\\s*=\\s*\"*([^\"\\n]*)\"*");
    private static final String j = "FileDownloader";

    public static String A(String str) {
        char c2;
        int length = str.length();
        int i2 = 2;
        int i3 = (File.separatorChar == '\\' && length > 2 && str.charAt(1) == ':') ? 2 : 0;
        int lastIndexOf = str.lastIndexOf(File.separatorChar);
        if (lastIndexOf != -1 || i3 <= 0) {
            i2 = lastIndexOf;
        }
        if (i2 == -1 || str.charAt(length - 1) == (c2 = File.separatorChar)) {
            return null;
        }
        if (str.indexOf(c2) == i2 && str.charAt(i3) == File.separatorChar) {
            return str.substring(0, i2 + 1);
        }
        return str.substring(0, i2);
    }

    public static String B() {
        return C(true);
    }

    public static String C(boolean z) {
        return D(new Throwable().getStackTrace(), z);
    }

    public static String D(StackTraceElement[] stackTraceElementArr, boolean z) {
        if (stackTraceElementArr == null || stackTraceElementArr.length < 4) {
            return "";
        }
        StringBuilder sb = new StringBuilder();
        for (int i2 = 3; i2 < stackTraceElementArr.length; i2++) {
            if (stackTraceElementArr[i2].getClassName().contains(b.f16306b)) {
                sb.append("[");
                sb.append(stackTraceElementArr[i2].getClassName().substring(28));
                sb.append(":");
                sb.append(stackTraceElementArr[i2].getMethodName());
                if (z) {
                    sb.append("(");
                    sb.append(stackTraceElementArr[i2].getLineNumber());
                    sb.append(")]");
                } else {
                    sb.append("]");
                }
            }
        }
        return sb.toString();
    }

    public static String E(String str, boolean z, String str2) {
        if (str == null) {
            return null;
        }
        if (!z) {
            return str;
        }
        if (str2 == null) {
            return null;
        }
        return q(str, str2);
    }

    public static String F(String str) {
        return o("%s.temp", str);
    }

    public static String G(String str) {
        return "FileDownloader-" + str;
    }

    public static boolean H(int i2, com.liulishuo.filedownloader.i0.b bVar) {
        if (i2 == 206 || i2 == 1) {
            return true;
        }
        return "bytes".equals(bVar.d("Accept-Ranges"));
    }

    private static boolean I(Context context) {
        List<ActivityManager.RunningAppProcessInfo> runningAppProcesses;
        PowerManager powerManager;
        ActivityManager activityManager = (ActivityManager) context.getApplicationContext().getSystemService("activity");
        if (activityManager == null || (runningAppProcesses = activityManager.getRunningAppProcesses()) == null || (powerManager = (PowerManager) context.getSystemService("power")) == null) {
            return false;
        }
        if (Build.VERSION.SDK_INT > 19) {
            if (!powerManager.isInteractive()) {
                return false;
            }
        } else if (!powerManager.isScreenOn()) {
            return false;
        }
        String packageName = context.getApplicationContext().getPackageName();
        for (ActivityManager.RunningAppProcessInfo runningAppProcessInfo : runningAppProcesses) {
            if (runningAppProcessInfo.processName.equals(packageName) && runningAppProcessInfo.importance == 100) {
                return true;
            }
        }
        return false;
    }

    public static boolean J(int i2, FileDownloadModel fileDownloadModel) {
        return K(i2, fileDownloadModel, null);
    }

    public static boolean K(int i2, FileDownloadModel fileDownloadModel, Boolean bool) {
        if (fileDownloadModel == null) {
            if (e.f16515a) {
                e.a(h.class, "can't continue %d model == null", Integer.valueOf(i2));
            }
            return false;
        } else if (fileDownloadModel.m() != null) {
            return L(i2, fileDownloadModel, fileDownloadModel.m(), bool);
        } else {
            if (e.f16515a) {
                e.a(h.class, "can't continue %d temp path == null", Integer.valueOf(i2));
            }
            return false;
        }
    }

    public static boolean L(int i2, FileDownloadModel fileDownloadModel, String str, Boolean bool) {
        if (str != null) {
            File file = new File(str);
            boolean exists = file.exists();
            boolean isDirectory = file.isDirectory();
            if (exists && !isDirectory) {
                long length = file.length();
                long j2 = fileDownloadModel.j();
                if (fileDownloadModel.d() > 1 || j2 != 0) {
                    long n = fileDownloadModel.n();
                    if (length < j2 || (n != -1 && (length > n || j2 >= n))) {
                        if (!e.f16515a) {
                            return false;
                        }
                        e.a(h.class, "can't continue %d dirty data fileLength[%d] sofar[%d] total[%d]", Integer.valueOf(i2), Long.valueOf(length), Long.valueOf(j2), Long.valueOf(n));
                        return false;
                    } else if (bool == null || bool.booleanValue() || n != length) {
                        return true;
                    } else {
                        if (!e.f16515a) {
                            return false;
                        }
                        e.a(h.class, "can't continue %d, because of the output stream doesn't support seek, but the task has already pre-allocated, so we only can download it from the very beginning.", Integer.valueOf(i2));
                        return false;
                    }
                } else if (!e.f16515a) {
                    return false;
                } else {
                    e.a(h.class, "can't continue %d the downloaded-record is zero.", Integer.valueOf(i2));
                    return false;
                }
            } else if (!e.f16515a) {
                return false;
            } else {
                e.a(h.class, "can't continue %d file not suit, exists[%B], directory[%B]", Integer.valueOf(i2), Boolean.valueOf(exists), Boolean.valueOf(isDirectory));
                return false;
            }
        } else if (!e.f16515a) {
            return false;
        } else {
            e.a(h.class, "can't continue %d path = null", Integer.valueOf(i2));
            return false;
        }
    }

    public static boolean M(Context context) {
        Boolean bool = f16533d;
        if (bool != null) {
            return bool.booleanValue();
        }
        boolean z = false;
        if (!f.a().n) {
            int myPid = Process.myPid();
            ActivityManager activityManager = (ActivityManager) context.getSystemService("activity");
            if (activityManager != null) {
                List<ActivityManager.RunningAppProcessInfo> runningAppProcesses = activityManager.getRunningAppProcesses();
                if (runningAppProcesses != null && !runningAppProcesses.isEmpty()) {
                    Iterator<ActivityManager.RunningAppProcessInfo> it = runningAppProcesses.iterator();
                    while (true) {
                        if (!it.hasNext()) {
                            break;
                        }
                        ActivityManager.RunningAppProcessInfo next = it.next();
                        if (next.pid == myPid) {
                            z = next.processName.endsWith(":filedownloader");
                            break;
                        }
                    }
                } else {
                    e.i(h.class, "The running app process info list from ActivityManager is null or empty, maybe current App is not running.", new Object[0]);
                    return false;
                }
            } else {
                e.i(h.class, "fail to get the activity manager!", new Object[0]);
                return false;
            }
        } else {
            z = true;
        }
        Boolean valueOf = Boolean.valueOf(z);
        f16533d = valueOf;
        return valueOf.booleanValue();
    }

    public static boolean N(Context context) {
        if (g == null) {
            g = Boolean.valueOf(u(context).exists());
        }
        return g.booleanValue();
    }

    public static boolean O(String str) {
        return true;
    }

    public static boolean P(long j2, long j3) {
        return j2 > ((long) y()) && j3 > z();
    }

    public static boolean Q() {
        ConnectivityManager connectivityManager = (ConnectivityManager) d.a().getSystemService("connectivity");
        if (connectivityManager == null) {
            e.i(h.class, "failed to get connectivity manager!", new Object[0]);
            return true;
        }
        NetworkInfo activeNetworkInfo = connectivityManager.getActiveNetworkInfo();
        if (activeNetworkInfo == null || activeNetworkInfo.getType() != 1) {
            return true;
        }
        return false;
    }

    public static void R(Context context) {
        File u = u(context);
        try {
            u.getParentFile().mkdirs();
            u.createNewFile();
        } catch (IOException e2) {
            e2.printStackTrace();
        }
    }

    public static String S(String str) {
        try {
            byte[] digest = MessageDigest.getInstance("MD5").digest(str.getBytes("UTF-8"));
            StringBuilder sb = new StringBuilder(digest.length * 2);
            for (byte b2 : digest) {
                int i2 = b2 & 255;
                if (i2 < 16) {
                    sb.append("0");
                }
                sb.append(Integer.toHexString(i2));
            }
            return sb.toString();
        } catch (NoSuchAlgorithmException e2) {
            throw new RuntimeException("Huh, MD5 should be supported?", e2);
        } catch (UnsupportedEncodingException e3) {
            throw new RuntimeException("Huh, UTF-8 should be supported?", e3);
        }
    }

    public static boolean T(Context context) {
        return Build.VERSION.SDK_INT >= 26 && !I(context);
    }

    public static String U(String str) {
        if (str == null) {
            return null;
        }
        try {
            Matcher matcher = h.matcher(str);
            if (matcher.find()) {
                return URLDecoder.decode(matcher.group(2), matcher.group(1));
            }
            Matcher matcher2 = i.matcher(str);
            if (matcher2.find()) {
                return matcher2.group(1);
            }
            return null;
        } catch (UnsupportedEncodingException | IllegalStateException unused) {
        }
    }

    public static long V(String str) {
        if (!(str == null || str.length() == 0)) {
            try {
                Matcher matcher = Pattern.compile("bytes (\\d+)-(\\d+)/\\d+").matcher(str);
                if (matcher.find()) {
                    return (Long.parseLong(matcher.group(2)) - Long.parseLong(matcher.group(1))) + 1;
                }
            } catch (Exception e2) {
                e.c(h.class, e2, "parse content length from content range error", new Object[0]);
            }
        }
        return -1;
    }

    public static long W(String str) {
        if (str == null) {
            return -1;
        }
        String[] split = str.split("/");
        if (split.length >= 2) {
            try {
                return Long.parseLong(split[1]);
            } catch (NumberFormatException unused) {
                e.i(h.class, "parse instance length failed with %s", str);
            }
        }
        return -1;
    }

    public static void X(String str) {
        f16532c = str;
    }

    public static void Y(int i2) throws IllegalAccessException {
        if (M(d.a())) {
            f16530a = i2;
            return;
        }
        throw new IllegalAccessException("This value is used in the :filedownloader process, so set this value in your process is without effect. You can add 'process.non-separate=true' in 'filedownloader.properties' to share the main process to FileDownloadService. Or you can configure this value in 'filedownloader.properties' by 'download.min-progress-step'.");
    }

    public static void Z(long j2) throws IllegalAccessException {
        if (M(d.a())) {
            f16531b = j2;
            return;
        }
        throw new IllegalAccessException("This value is used in the :filedownloader process, so set this value in your process is without effect. You can add 'process.non-separate=true' in 'filedownloader.properties' to share the main process to FileDownloadService. Or you can configure this value in 'filedownloader.properties' by 'download.min-progress-time'.");
    }

    public static boolean a(String str) {
        return d.a().checkCallingOrSelfPermission(str) == 0;
    }

    public static long b(String str) {
        if (str == null) {
            return -1;
        }
        try {
            return Long.parseLong(str);
        } catch (NumberFormatException unused) {
            return -1;
        }
    }

    public static String[] c(String str) {
        String[] split = str.split("\n");
        String[] strArr = new String[(split.length * 2)];
        for (int i2 = 0; i2 < split.length; i2++) {
            String[] split2 = split[i2].split(": ");
            int i3 = i2 * 2;
            strArr[i3] = split2[0];
            strArr[i3 + 1] = split2[1];
        }
        return strArr;
    }

    public static a d(String str) throws IOException {
        if (TextUtils.isEmpty(str)) {
            throw new RuntimeException("found invalid internal destination path, empty");
        } else if (O(str)) {
            File file = new File(str);
            if (file.exists() && file.isDirectory()) {
                throw new RuntimeException(o("found invalid internal destination path[%s], & path is directory[%B]", str, Boolean.valueOf(file.isDirectory())));
            } else if (file.exists() || file.createNewFile()) {
                return c.j().b(file);
            } else {
                throw new IOException(o("create new file error  %s", file.getAbsolutePath()));
            }
        } else {
            throw new RuntimeException(o("found invalid internal destination filename %s", str));
        }
    }

    public static String e() {
        return o("FileDownloader/%s", b.f);
    }

    public static void f(String str) {
        if (str != null) {
            File file = new File(str);
            if (file.exists()) {
                file.delete();
            }
        }
    }

    public static void g(String str, String str2) {
        h(str2);
        f(str);
    }

    public static void h(String str) {
        if (str != null) {
            File file = new File(str);
            if (file.exists()) {
                file.delete();
            }
        }
    }

    public static long i(int i2, com.liulishuo.filedownloader.i0.b bVar) {
        long b2 = b(bVar.d(HttpHeaders.HEAD_KEY_CONTENT_LENGTH));
        String d2 = bVar.d("Transfer-Encoding");
        if (b2 >= 0) {
            return b2;
        }
        if (!(d2 != null && d2.equals("chunked"))) {
            if (!f.a().m) {
                throw new FileDownloadGiveUpRetryException("can't know the size of the download file, and its Transfer-Encoding is not Chunked either.\nyou can ignore such exception by add http.lenient=true to the filedownloader.properties");
            } else if (e.f16515a) {
                e.a(h.class, "%d response header is not legal but HTTP lenient is true, so handle as the case of transfer encoding chunk", Integer.valueOf(i2));
            }
        }
        return -1;
    }

    public static long j(com.liulishuo.filedownloader.i0.b bVar) {
        long V = V(t(bVar));
        if (V < 0) {
            return -1;
        }
        return V;
    }

    public static String k(int i2, com.liulishuo.filedownloader.i0.b bVar) {
        if (bVar != null) {
            String d2 = bVar.d("Etag");
            if (e.f16515a) {
                e.a(h.class, "etag find %s for task(%d)", d2, Integer.valueOf(i2));
            }
            return d2;
        }
        throw new RuntimeException("connection is null when findEtag");
    }

    public static String l(com.liulishuo.filedownloader.i0.b bVar, String str) throws FileDownloadSecurityException {
        String U = U(bVar.d(HttpHeaders.HEAD_KEY_CONTENT_DISPOSITION));
        if (TextUtils.isEmpty(U)) {
            return p(str);
        }
        if (!U.contains("../")) {
            return U;
        }
        throw new FileDownloadSecurityException(o("The filename [%s] from the response is not allowable, because it contains '../', which can raise the directory traversal vulnerability", U));
    }

    public static long m(com.liulishuo.filedownloader.i0.b bVar) {
        long n = n(bVar);
        if (n < 0) {
            e.i(h.class, "don't get instance length fromContent-Range header", new Object[0]);
            n = -1;
        }
        if (n != 0 || !f.a().r) {
            return n;
        }
        return -1;
    }

    public static long n(com.liulishuo.filedownloader.i0.b bVar) {
        return W(t(bVar));
    }

    public static String o(String str, Object... objArr) {
        return String.format(Locale.ENGLISH, str, objArr);
    }

    public static String p(String str) {
        return S(str);
    }

    public static String q(String str, String str2) {
        if (str2 == null) {
            throw new IllegalStateException("can't generate real path, the file name is null");
        } else if (str != null) {
            return o("%s%s%s", str, File.separator, str2);
        } else {
            throw new IllegalStateException("can't generate real path, the directory is null");
        }
    }

    public static int r(String str, String str2) {
        return c.j().i().a(str, str2, false);
    }

    public static int s(String str, String str2, boolean z) {
        return c.j().i().a(str, str2, z);
    }

    private static String t(com.liulishuo.filedownloader.i0.b bVar) {
        return bVar.d(HttpHeaders.HEAD_KEY_CONTENT_RANGE);
    }

    public static File u(Context context) {
        return new File(context.getFilesDir().getAbsolutePath() + File.separator + "filedownloader", f);
    }

    public static String v(String str) {
        return q(w(), p(str));
    }

    public static String w() {
        if (!TextUtils.isEmpty(f16532c)) {
            return f16532c;
        }
        if (d.a().getExternalCacheDir() == null) {
            return Environment.getDownloadCacheDirectory().getAbsolutePath();
        }
        return d.a().getExternalCacheDir().getAbsolutePath();
    }

    public static long x(String str) {
        StatFs statFs = new StatFs(str);
        if (Build.VERSION.SDK_INT >= 18) {
            return statFs.getAvailableBytes();
        }
        return ((long) statFs.getAvailableBlocks()) * ((long) statFs.getBlockSize());
    }

    public static int y() {
        return f16530a;
    }

    public static long z() {
        return f16531b;
    }
}
