package com.liulishuo.filedownloader.services;

import android.content.ComponentName;
import android.content.Context;
import android.content.Intent;
import android.content.ServiceConnection;
import android.os.Binder;
import android.os.Build;
import android.os.IBinder;
import android.os.IInterface;
import android.os.RemoteException;
import com.liulishuo.filedownloader.event.DownloadServiceConnectChangedEvent;
import com.liulishuo.filedownloader.g;
import com.liulishuo.filedownloader.o0.b;
import com.liulishuo.filedownloader.o0.e;
import com.liulishuo.filedownloader.o0.h;
import com.liulishuo.filedownloader.z;
import java.util.ArrayList;
import java.util.HashMap;
import java.util.List;

/* compiled from: BaseFileServiceUIGuard */
public abstract class a<CALLBACK extends Binder, INTERFACE extends IInterface> implements z, ServiceConnection {
    private final Class<?> I0;
    protected boolean J0 = false;
    private final HashMap<String, Object> K0 = new HashMap<>();
    private final List<Context> L0 = new ArrayList();
    private final ArrayList<Runnable> M0 = new ArrayList<>();

    /* renamed from: a  reason: collision with root package name */
    private final CALLBACK f16544a;

    /* renamed from: b  reason: collision with root package name */
    private volatile INTERFACE f16545b;

    protected a(Class<?> cls) {
        this.I0 = cls;
        this.f16544a = b();
    }

    private void m(boolean z) {
        if (!z && this.f16545b != null) {
            try {
                o(this.f16545b, this.f16544a);
            } catch (RemoteException e2) {
                e2.printStackTrace();
            }
        }
        if (e.f16515a) {
            e.a(this, "release connect resources %s", this.f16545b);
        }
        this.f16545b = null;
        g.f().b(new DownloadServiceConnectChangedEvent(z ? DownloadServiceConnectChangedEvent.ConnectStatus.lost : DownloadServiceConnectChangedEvent.ConnectStatus.disconnected, this.I0));
    }

    @Override // com.liulishuo.filedownloader.z
    public void C(Context context) {
        if (this.L0.contains(context)) {
            if (e.f16515a) {
                e.a(this, "unbindByContext %s", context);
            }
            this.L0.remove(context);
            if (this.L0.isEmpty()) {
                m(false);
            }
            Intent intent = new Intent(context, this.I0);
            context.unbindService(this);
            context.stopService(intent);
        }
    }

    @Override // com.liulishuo.filedownloader.z
    public void D(Context context) {
        G(context, null);
    }

    @Override // com.liulishuo.filedownloader.z
    public boolean F() {
        return this.J0;
    }

    @Override // com.liulishuo.filedownloader.z
    public void G(Context context, Runnable runnable) {
        if (!h.M(context)) {
            if (e.f16515a) {
                e.a(this, "bindStartByContext %s", context.getClass().getSimpleName());
            }
            Intent intent = new Intent(context, this.I0);
            if (runnable != null && !this.M0.contains(runnable)) {
                this.M0.add(runnable);
            }
            if (!this.L0.contains(context)) {
                this.L0.add(context);
            }
            boolean T = h.T(context);
            this.J0 = T;
            intent.putExtra(b.f16510a, T);
            context.bindService(intent, this, 1);
            if (this.J0) {
                if (e.f16515a) {
                    e.a(this, "start foreground service", new Object[0]);
                }
                if (Build.VERSION.SDK_INT >= 26) {
                    context.startForegroundService(intent);
                    return;
                }
                return;
            }
            context.startService(intent);
            return;
        }
        throw new IllegalStateException("Fatal-Exception: You can't bind the FileDownloadService in :filedownloader process.\n It's the invalid operation and is likely to cause unexpected problems.\n Maybe you want to use non-separate process mode for FileDownloader, More detail about non-separate mode, please move to wiki manually: https://github.com/lingochamp/FileDownloader/wiki/filedownloader.properties");
    }

    /* access modifiers changed from: protected */
    public abstract INTERFACE a(IBinder iBinder);

    /* access modifiers changed from: protected */
    public abstract CALLBACK b();

    /* access modifiers changed from: protected */
    public CALLBACK c() {
        return this.f16544a;
    }

    /* access modifiers changed from: protected */
    public INTERFACE d() {
        return this.f16545b;
    }

    /* access modifiers changed from: protected */
    public Object e(String str) {
        return this.K0.remove(str);
    }

    /* access modifiers changed from: protected */
    public String g(Object obj) {
        if (obj == null) {
            return null;
        }
        String obj2 = obj.toString();
        this.K0.put(obj2, obj);
        return obj2;
    }

    @Override // com.liulishuo.filedownloader.z
    public boolean isConnected() {
        return d() != null;
    }

    /* access modifiers changed from: protected */
    public abstract void k(INTERFACE v, CALLBACK callback) throws RemoteException;

    /* access modifiers changed from: protected */
    public abstract void o(INTERFACE v, CALLBACK callback) throws RemoteException;

    public void onServiceConnected(ComponentName componentName, IBinder iBinder) {
        this.f16545b = a(iBinder);
        if (e.f16515a) {
            e.a(this, "onServiceConnected %s %s", componentName, this.f16545b);
        }
        try {
            k(this.f16545b, this.f16544a);
        } catch (RemoteException e2) {
            e2.printStackTrace();
        }
        this.M0.clear();
        for (Runnable runnable : (List) this.M0.clone()) {
            runnable.run();
        }
        g.f().b(new DownloadServiceConnectChangedEvent(DownloadServiceConnectChangedEvent.ConnectStatus.connected, this.I0));
    }

    public void onServiceDisconnected(ComponentName componentName) {
        if (e.f16515a) {
            e.a(this, "onServiceDisconnected %s %s", componentName, this.f16545b);
        }
        m(true);
    }
}
