package com.luck.picture.lib;

import android.content.Context;
import android.content.ContextWrapper;
import android.content.Intent;
import android.media.MediaPlayer;
import android.net.Uri;
import android.os.Bundle;
import android.os.Parcelable;
import android.text.TextUtils;
import android.view.View;
import android.widget.ImageButton;
import android.widget.ImageView;
import android.widget.MediaController;
import android.widget.TextView;
import android.widget.VideoView;
import androidx.core.view.ViewCompat;
import com.luck.picture.lib.config.PictureSelectionConfig;
import com.luck.picture.lib.config.b;
import com.luck.picture.lib.entity.LocalMedia;
import com.luck.picture.lib.style.PictureWindowAnimationStyle;
import com.luck.picture.lib.z0.l;
import java.util.ArrayList;

public class PictureVideoPlayActivity extends PictureBaseActivity implements MediaPlayer.OnErrorListener, MediaPlayer.OnPreparedListener, MediaPlayer.OnCompletionListener, View.OnClickListener {
    private String S0;
    private ImageButton T0;
    private MediaController U0;
    private VideoView V0;
    private ImageView W0;
    private int X0 = -1;

    class a extends ContextWrapper {
        a(Context context) {
            super(context);
        }

        @Override // android.content.Context, android.content.ContextWrapper
        public Object getSystemService(String str) {
            if ("audio".equals(str)) {
                return getApplicationContext().getSystemService(str);
            }
            return super.getSystemService(str);
        }
    }

    /* access modifiers changed from: private */
    /* renamed from: R0 */
    public /* synthetic */ boolean S0(MediaPlayer mediaPlayer, int i, int i2) {
        if (i != 3) {
            return false;
        }
        this.V0.setBackgroundColor(0);
        return true;
    }

    /* access modifiers changed from: protected */
    @Override // androidx.appcompat.app.AppCompatActivity, com.luck.picture.lib.PictureBaseActivity
    public void attachBaseContext(Context context) {
        super.attachBaseContext(new a(context));
    }

    @Override // com.luck.picture.lib.PictureBaseActivity
    public boolean isImmersive() {
        return false;
    }

    @Override // androidx.activity.ComponentActivity
    public void onBackPressed() {
        PictureWindowAnimationStyle pictureWindowAnimationStyle = PictureSelectionConfig.J0;
        if (pictureWindowAnimationStyle == null || pictureWindowAnimationStyle.J0 == 0) {
            l0();
            return;
        }
        finish();
        overridePendingTransition(0, PictureSelectionConfig.J0.J0);
    }

    public void onClick(View view) {
        int id = view.getId();
        if (id == R.id.pictureLeftBack) {
            onBackPressed();
        } else if (id == R.id.iv_play) {
            this.V0.start();
            this.W0.setVisibility(4);
        } else if (id == R.id.tv_confirm) {
            ArrayList<? extends Parcelable> arrayList = new ArrayList<>();
            arrayList.add(getIntent().getParcelableExtra(com.luck.picture.lib.config.a.f));
            setResult(-1, new Intent().putParcelableArrayListExtra(com.luck.picture.lib.config.a.o, arrayList));
            onBackPressed();
        }
    }

    public void onCompletion(MediaPlayer mediaPlayer) {
        ImageView imageView = this.W0;
        if (imageView != null) {
            imageView.setVisibility(0);
        }
    }

    /* access modifiers changed from: protected */
    @Override // androidx.activity.ComponentActivity, androidx.core.app.ComponentActivity, androidx.appcompat.app.AppCompatActivity, com.luck.picture.lib.PictureBaseActivity, androidx.fragment.app.FragmentActivity
    public void onCreate(Bundle bundle) {
        getWindow().addFlags(67108864);
        super.onCreate(bundle);
    }

    /* access modifiers changed from: protected */
    @Override // androidx.appcompat.app.AppCompatActivity, com.luck.picture.lib.PictureBaseActivity, androidx.fragment.app.FragmentActivity
    public void onDestroy() {
        this.U0 = null;
        this.V0 = null;
        this.W0 = null;
        super.onDestroy();
    }

    public boolean onError(MediaPlayer mediaPlayer, int i, int i2) {
        return false;
    }

    @Override // androidx.fragment.app.FragmentActivity
    public void onPause() {
        this.X0 = this.V0.getCurrentPosition();
        this.V0.stopPlayback();
        super.onPause();
    }

    public void onPrepared(MediaPlayer mediaPlayer) {
        mediaPlayer.setOnInfoListener(new d0(this));
    }

    @Override // androidx.fragment.app.FragmentActivity
    public void onResume() {
        int i = this.X0;
        if (i >= 0) {
            this.V0.seekTo(i);
            this.X0 = -1;
        }
        super.onResume();
    }

    @Override // androidx.appcompat.app.AppCompatActivity, androidx.fragment.app.FragmentActivity
    public void onStart() {
        if (!l.a() || !b.g(this.S0)) {
            this.V0.setVideoPath(this.S0);
        } else {
            this.V0.setVideoURI(Uri.parse(this.S0));
        }
        this.V0.start();
        super.onStart();
    }

    @Override // com.luck.picture.lib.PictureBaseActivity
    public int p0() {
        return R.layout.picture_activity_video_play;
    }

    /* access modifiers changed from: protected */
    @Override // com.luck.picture.lib.PictureBaseActivity
    public void w0() {
        int i;
        com.luck.picture.lib.style.a aVar = PictureSelectionConfig.f16659b;
        if (aVar != null && (i = aVar.H) != 0) {
            this.T0.setImageResource(i);
        }
    }

    /* access modifiers changed from: protected */
    @Override // com.luck.picture.lib.PictureBaseActivity
    public void x0() {
        super.x0();
        this.S0 = getIntent().getStringExtra(com.luck.picture.lib.config.a.i);
        int i = 0;
        boolean booleanExtra = getIntent().getBooleanExtra(com.luck.picture.lib.config.a.j, false);
        if (TextUtils.isEmpty(this.S0)) {
            LocalMedia localMedia = (LocalMedia) getIntent().getParcelableExtra(com.luck.picture.lib.config.a.f);
            if (localMedia == null || TextUtils.isEmpty(localMedia.u())) {
                finish();
                return;
            }
            this.S0 = localMedia.u();
        }
        if (TextUtils.isEmpty(this.S0)) {
            l0();
            return;
        }
        this.T0 = (ImageButton) findViewById(R.id.pictureLeftBack);
        this.V0 = (VideoView) findViewById(R.id.video_view);
        TextView textView = (TextView) findViewById(R.id.tv_confirm);
        this.V0.setBackgroundColor(ViewCompat.MEASURED_STATE_MASK);
        this.W0 = (ImageView) findViewById(R.id.iv_play);
        this.U0 = new MediaController(this);
        this.V0.setOnCompletionListener(this);
        this.V0.setOnPreparedListener(this);
        this.V0.setMediaController(this.U0);
        this.T0.setOnClickListener(this);
        this.W0.setOnClickListener(this);
        textView.setOnClickListener(this);
        PictureSelectionConfig pictureSelectionConfig = this.f16584a;
        if (pictureSelectionConfig.h1 != 1 || !pictureSelectionConfig.P1 || booleanExtra) {
            i = 8;
        }
        textView.setVisibility(i);
    }

    @Override // com.luck.picture.lib.PictureBaseActivity
    public boolean y0() {
        return false;
    }
}
