package com.luck.picture.lib.s0;

import android.content.Context;
import android.content.res.Configuration;
import android.content.res.Resources;
import android.os.Build;
import android.util.DisplayMetrics;
import androidx.annotation.NonNull;
import com.luck.picture.lib.z0.j;
import java.lang.ref.WeakReference;
import java.util.Locale;

/* compiled from: PictureLanguageUtils */
public class c {

    /* renamed from: a  reason: collision with root package name */
    private static final String f16829a = "KEY_LOCALE";

    /* renamed from: b  reason: collision with root package name */
    private static final String f16830b = "VALUE_FOLLOW_SYSTEM";

    private c() {
        throw new UnsupportedOperationException("u can't instantiate me...");
    }

    private static void a(@NonNull Context context, @NonNull Locale locale) {
        b(context, locale, false);
    }

    private static void b(@NonNull Context context, @NonNull Locale locale, boolean z) {
        if (z) {
            j.r().D(f16829a, f16830b);
        } else {
            String language = locale.getLanguage();
            String country = locale.getCountry();
            j r = j.r();
            r.D(f16829a, language + "$" + country);
        }
        f(context, locale);
    }

    private static boolean c(CharSequence charSequence, CharSequence charSequence2) {
        int length;
        if (charSequence == charSequence2) {
            return true;
        }
        if (charSequence == null || charSequence2 == null || (length = charSequence.length()) != charSequence2.length()) {
            return false;
        }
        if ((charSequence instanceof String) && (charSequence2 instanceof String)) {
            return charSequence.equals(charSequence2);
        }
        for (int i = 0; i < length; i++) {
            if (charSequence.charAt(i) != charSequence2.charAt(i)) {
                return false;
            }
        }
        return true;
    }

    public static void d(Context context, int i) {
        WeakReference weakReference = new WeakReference(context);
        if (i >= 0) {
            a((Context) weakReference.get(), b.a(i));
        } else {
            e((Context) weakReference.get());
        }
    }

    private static void e(Context context) {
        Resources resources = context.getResources();
        Configuration configuration = resources.getConfiguration();
        DisplayMetrics displayMetrics = resources.getDisplayMetrics();
        if (Build.VERSION.SDK_INT >= 17) {
            configuration.setLocale(Locale.getDefault());
            context.createConfigurationContext(configuration);
        } else {
            configuration.locale = Locale.getDefault();
        }
        resources.updateConfiguration(configuration, displayMetrics);
    }

    private static void f(Context context, Locale locale) {
        Resources resources = context.getResources();
        Configuration configuration = resources.getConfiguration();
        Locale locale2 = configuration.locale;
        if (!c(locale2.getLanguage(), locale.getLanguage()) || !c(locale2.getCountry(), locale.getCountry())) {
            DisplayMetrics displayMetrics = resources.getDisplayMetrics();
            if (Build.VERSION.SDK_INT >= 17) {
                configuration.setLocale(locale);
                context.createConfigurationContext(configuration);
            } else {
                configuration.locale = locale;
            }
            resources.updateConfiguration(configuration, displayMetrics);
        }
    }
}
