package com.luck.picture.lib.widget.longimage;

import android.content.Context;
import android.content.res.Resources;
import android.graphics.Bitmap;
import android.graphics.BitmapFactory;
import android.graphics.BitmapRegionDecoder;
import android.graphics.Point;
import android.graphics.Rect;
import android.net.Uri;
import android.text.TextUtils;
import com.luck.picture.lib.z0.o;
import java.io.InputStream;
import java.util.List;

/* compiled from: SkiaImageRegionDecoder */
public class g implements d {

    /* renamed from: a  reason: collision with root package name */
    private static final String f16924a = "file://";

    /* renamed from: b  reason: collision with root package name */
    private static final String f16925b = "file:///android_asset/";

    /* renamed from: c  reason: collision with root package name */
    private static final String f16926c = "android.resource://";

    /* renamed from: d  reason: collision with root package name */
    private BitmapRegionDecoder f16927d;

    /* renamed from: e  reason: collision with root package name */
    private final Object f16928e = new Object();

    @Override // com.luck.picture.lib.widget.longimage.d
    public Bitmap decodeRegion(Rect rect, int i) {
        Bitmap decodeRegion;
        synchronized (this.f16928e) {
            BitmapFactory.Options options = new BitmapFactory.Options();
            options.inSampleSize = i;
            options.inPreferredConfig = Bitmap.Config.RGB_565;
            decodeRegion = this.f16927d.decodeRegion(rect, options);
            if (decodeRegion == null) {
                throw new RuntimeException("Skia image decoder returned null bitmap - image format may not be supported");
            }
        }
        return decodeRegion;
    }

    @Override // com.luck.picture.lib.widget.longimage.d
    public Point init(Context context, Uri uri) throws Exception {
        Resources resources;
        int i;
        String uri2 = uri.toString();
        if (uri2.startsWith(f16926c)) {
            String authority = uri.getAuthority();
            if (context.getPackageName().equals(authority)) {
                resources = context.getResources();
            } else {
                resources = context.getPackageManager().getResourcesForApplication(authority);
            }
            List<String> pathSegments = uri.getPathSegments();
            int size = pathSegments.size();
            if (size != 2 || !pathSegments.get(0).equals("drawable")) {
                if (size == 1 && TextUtils.isDigitsOnly(pathSegments.get(0))) {
                    try {
                        i = o.h(pathSegments.get(0));
                    } catch (NumberFormatException unused) {
                    }
                }
                i = 0;
            } else {
                i = resources.getIdentifier(pathSegments.get(1), "drawable", authority);
            }
            this.f16927d = BitmapRegionDecoder.newInstance(context.getResources().openRawResource(i), false);
        } else if (uri2.startsWith(f16925b)) {
            this.f16927d = BitmapRegionDecoder.newInstance(context.getAssets().open(uri2.substring(22), 1), false);
        } else if (uri2.startsWith(f16924a)) {
            this.f16927d = BitmapRegionDecoder.newInstance(uri2.substring(7), false);
        } else {
            InputStream inputStream = null;
            try {
                inputStream = context.getContentResolver().openInputStream(uri);
                this.f16927d = BitmapRegionDecoder.newInstance(inputStream, false);
            } finally {
                if (inputStream != null) {
                    try {
                        inputStream.close();
                    } catch (Exception unused2) {
                    }
                }
            }
        }
        return new Point(this.f16927d.getWidth(), this.f16927d.getHeight());
    }

    @Override // com.luck.picture.lib.widget.longimage.d
    public boolean isReady() {
        BitmapRegionDecoder bitmapRegionDecoder = this.f16927d;
        return bitmapRegionDecoder != null && !bitmapRegionDecoder.isRecycled();
    }

    @Override // com.luck.picture.lib.widget.longimage.d
    public void recycle() {
        this.f16927d.recycle();
    }
}
