package com.luck.picture.lib.y0;

import android.os.Handler;
import android.os.Looper;
import android.util.Log;
import androidx.annotation.CallSuper;
import androidx.annotation.IntRange;
import androidx.annotation.NonNull;
import java.lang.Thread;
import java.util.HashMap;
import java.util.List;
import java.util.Map;
import java.util.Timer;
import java.util.TimerTask;
import java.util.concurrent.ConcurrentHashMap;
import java.util.concurrent.CountDownLatch;
import java.util.concurrent.Executor;
import java.util.concurrent.ExecutorService;
import java.util.concurrent.LinkedBlockingQueue;
import java.util.concurrent.RejectedExecutionException;
import java.util.concurrent.ThreadFactory;
import java.util.concurrent.ThreadPoolExecutor;
import java.util.concurrent.TimeUnit;
import java.util.concurrent.atomic.AtomicBoolean;
import java.util.concurrent.atomic.AtomicInteger;
import java.util.concurrent.atomic.AtomicLong;

/* compiled from: PictureThreadUtils */
public final class a {

    /* renamed from: a  reason: collision with root package name */
    private static final Handler f16931a = new Handler(Looper.getMainLooper());

    /* renamed from: b  reason: collision with root package name */
    private static final Map<Integer, Map<Integer, ExecutorService>> f16932b = new HashMap();

    /* renamed from: c  reason: collision with root package name */
    private static final Map<g, ExecutorService> f16933c = new ConcurrentHashMap();

    /* renamed from: d  reason: collision with root package name */
    private static final int f16934d = Runtime.getRuntime().availableProcessors();

    /* renamed from: e  reason: collision with root package name */
    private static final Timer f16935e = new Timer();
    private static final byte f = -1;
    private static final byte g = -2;
    private static final byte h = -4;
    private static final byte i = -8;
    private static Executor j;

    /* access modifiers changed from: package-private */
    /* renamed from: com.luck.picture.lib.y0.a$a  reason: collision with other inner class name */
    /* compiled from: PictureThreadUtils */
    public static class C0334a extends TimerTask {

        /* renamed from: a  reason: collision with root package name */
        final /* synthetic */ ExecutorService f16936a;

        /* renamed from: b  reason: collision with root package name */
        final /* synthetic */ g f16937b;

        C0334a(ExecutorService executorService, g gVar) {
            this.f16936a = executorService;
            this.f16937b = gVar;
        }

        public void run() {
            this.f16936a.execute(this.f16937b);
        }
    }

    /* access modifiers changed from: package-private */
    /* compiled from: PictureThreadUtils */
    public static class b extends TimerTask {

        /* renamed from: a  reason: collision with root package name */
        final /* synthetic */ ExecutorService f16938a;

        /* renamed from: b  reason: collision with root package name */
        final /* synthetic */ g f16939b;

        b(ExecutorService executorService, g gVar) {
            this.f16938a = executorService;
            this.f16939b = gVar;
        }

        public void run() {
            this.f16938a.execute(this.f16939b);
        }
    }

    /* access modifiers changed from: package-private */
    /* compiled from: PictureThreadUtils */
    public static class c implements Executor {
        c() {
        }

        public void execute(@NonNull Runnable runnable) {
            a.t(runnable);
        }
    }

    /* compiled from: PictureThreadUtils */
    public static abstract class e<T> extends g<T> {
        @Override // com.luck.picture.lib.y0.a.g
        public void j() {
            Log.e("ThreadUtils", "onCancel: " + Thread.currentThread());
        }

        @Override // com.luck.picture.lib.y0.a.g
        public void l(Throwable th) {
            Log.e("ThreadUtils", "onFail: ", th);
        }
    }

    /* compiled from: PictureThreadUtils */
    public static class f<T> {

        /* renamed from: a  reason: collision with root package name */
        private CountDownLatch f16940a = new CountDownLatch(1);

        /* renamed from: b  reason: collision with root package name */
        private AtomicBoolean f16941b = new AtomicBoolean();

        /* renamed from: c  reason: collision with root package name */
        private T f16942c;

        public T a() {
            if (!this.f16941b.get()) {
                try {
                    this.f16940a.await();
                } catch (InterruptedException e2) {
                    e2.printStackTrace();
                }
            }
            return this.f16942c;
        }

        public T b(long j, TimeUnit timeUnit, T t) {
            if (!this.f16941b.get()) {
                try {
                    this.f16940a.await(j, timeUnit);
                } catch (InterruptedException e2) {
                    e2.printStackTrace();
                    return t;
                }
            }
            return this.f16942c;
        }

        public void c(T t) {
            if (this.f16941b.compareAndSet(false, true)) {
                this.f16942c = t;
                this.f16940a.countDown();
            }
        }
    }

    /* compiled from: PictureThreadUtils */
    public static abstract class g<T> implements Runnable {
        private static final int I0 = 2;
        private static final int J0 = 3;
        private static final int K0 = 4;
        private static final int L0 = 5;
        private static final int M0 = 6;

        /* renamed from: a  reason: collision with root package name */
        private static final int f16943a = 0;

        /* renamed from: b  reason: collision with root package name */
        private static final int f16944b = 1;
        private final AtomicInteger N0 = new AtomicInteger(0);
        private volatile boolean O0;
        private volatile Thread P0;
        private Timer Q0;
        private long R0;
        private f S0;
        private Executor T0;

        /* renamed from: com.luck.picture.lib.y0.a$g$a  reason: collision with other inner class name */
        /* compiled from: PictureThreadUtils */
        class C0335a extends TimerTask {
            C0335a() {
            }

            public void run() {
                if (!g.this.i() && g.this.S0 != null) {
                    g.this.q();
                    g.this.S0.a();
                    g.this.k();
                }
            }
        }

        /* compiled from: PictureThreadUtils */
        class b implements Runnable {

            /* renamed from: a  reason: collision with root package name */
            final /* synthetic */ Object f16946a;

            b(Object obj) {
                this.f16946a = obj;
            }

            /* JADX DEBUG: Multi-variable search result rejected for r0v0, resolved type: com.luck.picture.lib.y0.a$g */
            /* JADX WARN: Multi-variable type inference failed */
            public void run() {
                g.this.m(this.f16946a);
            }
        }

        /* compiled from: PictureThreadUtils */
        class c implements Runnable {

            /* renamed from: a  reason: collision with root package name */
            final /* synthetic */ Object f16948a;

            c(Object obj) {
                this.f16948a = obj;
            }

            /* JADX DEBUG: Multi-variable search result rejected for r0v0, resolved type: com.luck.picture.lib.y0.a$g */
            /* JADX WARN: Multi-variable type inference failed */
            public void run() {
                g.this.m(this.f16948a);
                g.this.k();
            }
        }

        /* compiled from: PictureThreadUtils */
        class d implements Runnable {

            /* renamed from: a  reason: collision with root package name */
            final /* synthetic */ Throwable f16950a;

            d(Throwable th) {
                this.f16950a = th;
            }

            public void run() {
                g.this.l(this.f16950a);
                g.this.k();
            }
        }

        /* access modifiers changed from: package-private */
        /* compiled from: PictureThreadUtils */
        public class e implements Runnable {
            e() {
            }

            public void run() {
                g.this.j();
                g.this.k();
            }
        }

        /* compiled from: PictureThreadUtils */
        public interface f {
            void a();
        }

        private Executor g() {
            Executor executor = this.T0;
            return executor == null ? a.n() : executor;
        }

        /* access modifiers changed from: private */
        /* access modifiers changed from: public */
        private void o(boolean z) {
            this.O0 = z;
        }

        /* access modifiers changed from: private */
        /* access modifiers changed from: public */
        /* JADX WARNING: Code restructure failed: missing block: B:10:0x0017, code lost:
            if (r3.P0 == null) goto L_?;
         */
        /* JADX WARNING: Code restructure failed: missing block: B:11:0x0019, code lost:
            r3.P0.interrupt();
         */
        /* JADX WARNING: Code restructure failed: missing block: B:15:?, code lost:
            return;
         */
        /* JADX WARNING: Code restructure failed: missing block: B:16:?, code lost:
            return;
         */
        private void q() {
            synchronized (this.N0) {
                if (this.N0.get() <= 1) {
                    this.N0.set(6);
                }
            }
        }

        public void d() {
            e(true);
        }

        /* JADX WARNING: Code restructure failed: missing block: B:11:0x0019, code lost:
            if (r3.P0 == null) goto L_0x0020;
         */
        /* JADX WARNING: Code restructure failed: missing block: B:12:0x001b, code lost:
            r3.P0.interrupt();
         */
        /* JADX WARNING: Code restructure failed: missing block: B:13:0x0020, code lost:
            g().execute(new com.luck.picture.lib.y0.a.g.e(r3));
         */
        /* JADX WARNING: Code restructure failed: missing block: B:14:0x002c, code lost:
            return;
         */
        /* JADX WARNING: Code restructure failed: missing block: B:9:0x0015, code lost:
            if (r4 == false) goto L_0x0020;
         */
        public void e(boolean z) {
            synchronized (this.N0) {
                if (this.N0.get() <= 1) {
                    this.N0.set(4);
                }
            }
        }

        public abstract T f() throws Throwable;

        public boolean h() {
            return this.N0.get() >= 4;
        }

        public boolean i() {
            return this.N0.get() > 1;
        }

        public abstract void j();

        /* access modifiers changed from: protected */
        @CallSuper
        public void k() {
            a.f16933c.remove(this);
            Timer timer = this.Q0;
            if (timer != null) {
                timer.cancel();
                this.Q0 = null;
                this.S0 = null;
            }
        }

        public abstract void l(Throwable th);

        public abstract void m(T t);

        public g<T> n(Executor executor) {
            this.T0 = executor;
            return this;
        }

        public g<T> p(long j, f fVar) {
            this.R0 = j;
            this.S0 = fVar;
            return this;
        }

        public void run() {
            if (this.O0) {
                if (this.P0 == null) {
                    if (this.N0.compareAndSet(0, 1)) {
                        this.P0 = Thread.currentThread();
                        if (this.S0 != null) {
                            Log.w("ThreadUtils", "Scheduled task doesn't support timeout.");
                        }
                    } else {
                        return;
                    }
                } else if (this.N0.get() != 1) {
                    return;
                }
            } else if (this.N0.compareAndSet(0, 1)) {
                this.P0 = Thread.currentThread();
                if (this.S0 != null) {
                    Timer timer = new Timer();
                    this.Q0 = timer;
                    timer.schedule(new C0335a(), this.R0);
                }
            } else {
                return;
            }
            try {
                T f2 = f();
                if (this.O0) {
                    if (this.N0.get() == 1) {
                        g().execute(new b(f2));
                    }
                } else if (this.N0.compareAndSet(1, 3)) {
                    g().execute(new c(f2));
                }
            } catch (InterruptedException unused) {
                this.N0.compareAndSet(4, 5);
            } catch (Throwable th) {
                if (this.N0.compareAndSet(1, 2)) {
                    g().execute(new d(th));
                }
            }
        }
    }

    /* access modifiers changed from: package-private */
    /* compiled from: PictureThreadUtils */
    public static final class h extends ThreadPoolExecutor {

        /* renamed from: a  reason: collision with root package name */
        private final AtomicInteger f16953a = new AtomicInteger();

        /* renamed from: b  reason: collision with root package name */
        private final d f16954b;

        h(int i, int i2, long j, TimeUnit timeUnit, d dVar, ThreadFactory threadFactory) {
            super(i, i2, j, timeUnit, dVar, threadFactory);
            dVar.mPool = this;
            this.f16954b = dVar;
        }

        /* access modifiers changed from: private */
        public static ExecutorService b(int i, int i2) {
            if (i == -8) {
                return new h(a.f16934d + 1, (a.f16934d * 2) + 1, 30, TimeUnit.SECONDS, new d(true), new i("cpu", i2));
            }
            if (i == -4) {
                return new h((a.f16934d * 2) + 1, (a.f16934d * 2) + 1, 30, TimeUnit.SECONDS, new d(), new i("io", i2));
            }
            if (i == -2) {
                return new h(0, 128, 60, TimeUnit.SECONDS, new d(true), new i("cached", i2));
            }
            if (i == -1) {
                return new h(1, 1, 0, TimeUnit.MILLISECONDS, new d(), new i("single", i2));
            }
            TimeUnit timeUnit = TimeUnit.MILLISECONDS;
            d dVar = new d();
            return new h(i, i, 0, timeUnit, dVar, new i("fixed(" + i + ")", i2));
        }

        private int c() {
            return this.f16953a.get();
        }

        /* access modifiers changed from: protected */
        public void afterExecute(Runnable runnable, Throwable th) {
            this.f16953a.decrementAndGet();
            super.afterExecute(runnable, th);
        }

        public void execute(@NonNull Runnable runnable) {
            if (!isShutdown()) {
                this.f16953a.incrementAndGet();
                try {
                    super.execute(runnable);
                } catch (RejectedExecutionException unused) {
                    Log.e("ThreadUtils", "This will not happen!");
                    this.f16954b.offer(runnable);
                } catch (Throwable unused2) {
                    this.f16953a.decrementAndGet();
                }
            }
        }
    }

    /* access modifiers changed from: package-private */
    /* compiled from: PictureThreadUtils */
    public static final class i extends AtomicLong implements ThreadFactory {

        /* renamed from: a  reason: collision with root package name */
        private static final AtomicInteger f16955a = new AtomicInteger(1);
        private static final long serialVersionUID = -9209200509960368598L;
        private final boolean isDaemon;
        private final String namePrefix;
        private final int priority;

        /* renamed from: com.luck.picture.lib.y0.a$i$a  reason: collision with other inner class name */
        /* compiled from: PictureThreadUtils */
        class C0336a extends Thread {
            C0336a(Runnable runnable, String str) {
                super(runnable, str);
            }

            public void run() {
                try {
                    super.run();
                } catch (Throwable th) {
                    Log.e("ThreadUtils", "Request threw uncaught throwable", th);
                }
            }
        }

        /* compiled from: PictureThreadUtils */
        class b implements Thread.UncaughtExceptionHandler {
            b() {
            }

            public void uncaughtException(Thread thread, Throwable th) {
                System.out.println(th);
            }
        }

        i(String str, int i) {
            this(str, i, false);
        }

        public Thread newThread(@NonNull Runnable runnable) {
            C0336a aVar = new C0336a(runnable, this.namePrefix + getAndIncrement());
            aVar.setDaemon(this.isDaemon);
            aVar.setUncaughtExceptionHandler(new b());
            aVar.setPriority(this.priority);
            return aVar;
        }

        i(String str, int i, boolean z) {
            this.namePrefix = str + "-pool-" + f16955a.getAndIncrement() + "-thread-";
            this.priority = i;
            this.isDaemon = z;
        }
    }

    public static void d(g gVar) {
        if (gVar != null) {
            gVar.d();
        }
    }

    public static void e(List<g> list) {
        if (!(list == null || list.size() == 0)) {
            for (g gVar : list) {
                if (gVar != null) {
                    gVar.d();
                }
            }
        }
    }

    public static void f(ExecutorService executorService) {
        if (executorService instanceof h) {
            for (Map.Entry<g, ExecutorService> entry : f16933c.entrySet()) {
                if (entry.getValue() == executorService) {
                    d(entry.getKey());
                }
            }
            return;
        }
        Log.e("ThreadUtils", "The executorService is not ThreadUtils's pool.");
    }

    public static void g(g... gVarArr) {
        if (!(gVarArr == null || gVarArr.length == 0)) {
            for (g gVar : gVarArr) {
                if (gVar != null) {
                    gVar.d();
                }
            }
        }
    }

    private static <T> void h(ExecutorService executorService, g<T> gVar) {
        i(executorService, gVar, 0, 0, null);
    }

    /* JADX WARNING: Code restructure failed: missing block: B:11:0x001a, code lost:
        if (r7 != 0) goto L_0x0033;
     */
    /* JADX WARNING: Code restructure failed: missing block: B:13:0x001e, code lost:
        if (r5 != 0) goto L_0x0024;
     */
    /* JADX WARNING: Code restructure failed: missing block: B:14:0x0020, code lost:
        r3.execute(r4);
     */
    /* JADX WARNING: Code restructure failed: missing block: B:15:0x0024, code lost:
        com.luck.picture.lib.y0.a.f16935e.schedule(new com.luck.picture.lib.y0.a.C0334a(r3, r4), r9.toMillis(r5));
     */
    /* JADX WARNING: Code restructure failed: missing block: B:16:0x0033, code lost:
        r4.o(true);
        com.luck.picture.lib.y0.a.f16935e.scheduleAtFixedRate(new com.luck.picture.lib.y0.a.b(r3, r4), r9.toMillis(r5), r9.toMillis(r7));
     */
    /* JADX WARNING: Code restructure failed: missing block: B:20:?, code lost:
        return;
     */
    /* JADX WARNING: Code restructure failed: missing block: B:21:?, code lost:
        return;
     */
    /* JADX WARNING: Code restructure failed: missing block: B:22:?, code lost:
        return;
     */
    private static <T> void i(ExecutorService executorService, g<T> gVar, long j2, long j3, TimeUnit timeUnit) {
        Map<g, ExecutorService> map = f16933c;
        synchronized (map) {
            if (map.get(gVar) != null) {
                Log.e("ThreadUtils", "Task can only be executed once.");
                return;
            }
            map.put(gVar, executorService);
        }
    }

    public static <T> void j(g<T> gVar) {
        h(p(-4), gVar);
    }

    public static <T> void k(g<T> gVar, @IntRange(from = 1, to = 10) int i2) {
        h(q(-4, i2), gVar);
    }

    public static <T> void l(g<T> gVar) {
        h(p(-1), gVar);
    }

    public static <T> void m(g<T> gVar, @IntRange(from = 1, to = 10) int i2) {
        h(q(-1, i2), gVar);
    }

    /* access modifiers changed from: private */
    public static Executor n() {
        if (j == null) {
            j = new c();
        }
        return j;
    }

    public static ExecutorService o() {
        return p(-4);
    }

    private static ExecutorService p(int i2) {
        return q(i2, 5);
    }

    private static ExecutorService q(int i2, int i3) {
        ExecutorService executorService;
        Map<Integer, Map<Integer, ExecutorService>> map = f16932b;
        synchronized (map) {
            Map<Integer, ExecutorService> map2 = map.get(Integer.valueOf(i2));
            if (map2 == null) {
                ConcurrentHashMap concurrentHashMap = new ConcurrentHashMap();
                executorService = h.b(i2, i3);
                concurrentHashMap.put(Integer.valueOf(i3), executorService);
                map.put(Integer.valueOf(i2), concurrentHashMap);
            } else {
                executorService = map2.get(Integer.valueOf(i3));
                if (executorService == null) {
                    executorService = h.b(i2, i3);
                    map2.put(Integer.valueOf(i3), executorService);
                }
            }
        }
        return executorService;
    }

    public static ExecutorService r() {
        return p(-1);
    }

    public static ExecutorService s(@IntRange(from = 1, to = 10) int i2) {
        return q(-1, i2);
    }

    public static void t(Runnable runnable) {
        if (Looper.myLooper() == Looper.getMainLooper()) {
            runnable.run();
        } else {
            f16931a.post(runnable);
        }
    }

    /* access modifiers changed from: private */
    /* compiled from: PictureThreadUtils */
    public static final class d extends LinkedBlockingQueue<Runnable> {
        private int mCapacity = Integer.MAX_VALUE;
        private volatile h mPool;

        d() {
        }

        /* renamed from: d */
        public boolean offer(@NonNull Runnable runnable) {
            if (this.mCapacity > size() || this.mPool == null || this.mPool.getPoolSize() >= this.mPool.getMaximumPoolSize()) {
                return super.offer(runnable);
            }
            return false;
        }

        d(boolean z) {
            if (z) {
                this.mCapacity = 0;
            }
        }

        d(int i) {
            this.mCapacity = i;
        }
    }
}
