package com.lxj.xpopup.core;

import android.content.Context;
import android.graphics.Canvas;
import android.graphics.Paint;
import android.util.AttributeSet;
import android.util.TypedValue;
import android.view.View;
import java.util.LinkedHashMap;
import java.util.Map;
import kotlin.Metadata;
import kotlin.jvm.JvmOverloads;
import kotlin.jvm.internal.DefaultConstructorMarker;
import kotlin.jvm.internal.Intrinsics;
import org.jetbrains.annotations.NotNull;
import org.jetbrains.annotations.Nullable;

@Metadata(d1 = {"\u00004\n\u0002\u0018\u0002\n\u0002\u0018\u0002\n\u0000\n\u0002\u0018\u0002\n\u0000\n\u0002\u0018\u0002\n\u0000\n\u0002\u0010\b\n\u0002\b\u0004\n\u0002\u0018\u0002\n\u0002\b\b\n\u0002\u0010\u0002\n\u0000\n\u0002\u0018\u0002\n\u0002\b\u0007\u0018\u00002\u00020\u0001B%\b\u0007\u0012\u0006\u0010\u0002\u001a\u00020\u0003\u0012\n\b\u0002\u0010\u0004\u001a\u0004\u0018\u00010\u0005\u0012\b\b\u0002\u0010\u0006\u001a\u00020\u0007¢\u0006\u0002\u0010\bJ\u000e\u0010\u0012\u001a\u00020\u00072\u0006\u0010\u0013\u001a\u00020\u0007J\u0012\u0010\u0014\u001a\u00020\u00152\b\u0010\u0016\u001a\u0004\u0018\u00010\u0017H\u0014J\u0018\u0010\u0018\u001a\u00020\u00152\u0006\u0010\u0019\u001a\u00020\u00072\u0006\u0010\u001a\u001a\u00020\u0007H\u0014J\u0006\u0010\u001b\u001a\u00020\u0015J\u000e\u0010\u001c\u001a\u00020\u00152\u0006\u0010\u001d\u001a\u00020\u0007R\u000e\u0010\t\u001a\u00020\u0007X\u000e¢\u0006\u0002\n\u0000R\u000e\u0010\n\u001a\u00020\u0007X\u000e¢\u0006\u0002\n\u0000R\u001c\u0010\u000b\u001a\u0004\u0018\u00010\fX\u000e¢\u0006\u000e\n\u0000\u001a\u0004\b\r\u0010\u000e\"\u0004\b\u000f\u0010\u0010R\u000e\u0010\u0011\u001a\u00020\u0007X\u000e¢\u0006\u0002\n\u0000¨\u0006\u001e"}, d2 = {"Lcom/lxj/xpopup/core/ImageLoadingView;", "Landroid/view/View;", "context", "Landroid/content/Context;", "attrs", "Landroid/util/AttributeSet;", "defStyleAttr", "", "(Landroid/content/Context;Landroid/util/AttributeSet;I)V", "mBorderRadius", "mPadding", "mPaint", "Landroid/graphics/Paint;", "getMPaint", "()Landroid/graphics/Paint;", "setMPaint", "(Landroid/graphics/Paint;)V", "mProgress", "dp2px", "dp", "onDraw", "", "canvas", "Landroid/graphics/Canvas;", "onMeasure", "widthMeasureSpec", "heightMeasureSpec", "reset", "setProgress", "progress", "xpoplibrary_release"}, k = 1, mv = {1, 6, 0}, xi = 48)
/* compiled from: ImageLoadingView.kt */
public final class ImageLoadingView extends View {
    private int I0;
    @Nullable
    private Paint J0;
    @NotNull
    public Map<Integer, View> K0;

    /* renamed from: a  reason: collision with root package name */
    private int f17069a;

    /* renamed from: b  reason: collision with root package name */
    private int f17070b;

    /* JADX INFO: this call moved to the top of the method (can break code semantics) */
    @JvmOverloads
    public ImageLoadingView(@NotNull Context context) {
        this(context, null, 0, 6, null);
        Intrinsics.checkNotNullParameter(context, "context");
    }

    /* JADX INFO: this call moved to the top of the method (can break code semantics) */
    @JvmOverloads
    public ImageLoadingView(@NotNull Context context, @Nullable AttributeSet attributeSet) {
        this(context, attributeSet, 0, 4, null);
        Intrinsics.checkNotNullParameter(context, "context");
    }

    /* JADX INFO: this call moved to the top of the method (can break code semantics) */
    public /* synthetic */ ImageLoadingView(Context context, AttributeSet attributeSet, int i, int i2, DefaultConstructorMarker defaultConstructorMarker) {
        this(context, (i2 & 2) != 0 ? null : attributeSet, (i2 & 4) != 0 ? 0 : i);
    }

    public void a() {
        this.K0.clear();
    }

    @Nullable
    public View b(int i) {
        Map<Integer, View> map = this.K0;
        View view = map.get(Integer.valueOf(i));
        if (view != null) {
            return view;
        }
        View findViewById = findViewById(i);
        if (findViewById == null) {
            return null;
        }
        map.put(Integer.valueOf(i), findViewById);
        return findViewById;
    }

    public final int c(int i) {
        return (int) TypedValue.applyDimension(1, (float) i, getContext().getResources().getDisplayMetrics());
    }

    public final void d() {
        this.I0 = 0;
        setVisibility(0);
    }

    @Nullable
    public final Paint getMPaint() {
        return this.J0;
    }

    /* access modifiers changed from: protected */
    public void onDraw(@Nullable Canvas canvas) {
        super.onDraw(canvas);
        Paint paint = this.J0;
        if (paint != null && canvas != null) {
            Intrinsics.checkNotNull(paint);
            paint.setStyle(Paint.Style.STROKE);
            int i = this.f17069a;
            int i2 = this.f17070b;
            Paint paint2 = this.J0;
            Intrinsics.checkNotNull(paint2);
            canvas.drawCircle((float) (i + i2), (float) (i2 + i), (float) i, paint2);
            Paint paint3 = this.J0;
            Intrinsics.checkNotNull(paint3);
            paint3.setStyle(Paint.Style.FILL);
            int i3 = this.f17070b;
            float f = ((float) i3) * 2.0f;
            int i4 = this.f17069a;
            Paint paint4 = this.J0;
            Intrinsics.checkNotNull(paint4);
            canvas.drawArc(((float) i3) * 2.0f, f, (float) (i4 * 2), (float) (i4 * 2), 0.0f, ((float) this.I0) * 3.6f, true, paint4);
        }
    }

    /* access modifiers changed from: protected */
    public void onMeasure(int i, int i2) {
        int i3 = this.f17069a;
        int i4 = this.f17070b;
        setMeasuredDimension((i3 + i4) * 2, (i3 + i4) * 2);
    }

    public final void setMPaint(@Nullable Paint paint) {
        this.J0 = paint;
    }

    public final void setProgress(int i) {
        this.I0 = i;
        invalidate();
    }

    /* JADX INFO: super call moved to the top of the method (can break code semantics) */
    @JvmOverloads
    public ImageLoadingView(@NotNull Context context, @Nullable AttributeSet attributeSet, int i) {
        super(context, attributeSet, i);
        Intrinsics.checkNotNullParameter(context, "context");
        this.f17069a = c(15);
        this.f17070b = c(2);
        Paint paint = new Paint();
        this.J0 = paint;
        if (paint != null) {
            paint.setAntiAlias(true);
        }
        Paint paint2 = this.J0;
        if (paint2 != null) {
            paint2.setColor(-1);
        }
        Paint paint3 = this.J0;
        if (paint3 != null) {
            paint3.setStrokeWidth((float) c(2));
        }
        this.K0 = new LinkedHashMap();
    }
}
