package com.lxj.xpopup.e;

import android.app.Activity;
import android.content.Context;
import android.content.res.Resources;
import android.graphics.Bitmap;
import android.graphics.Canvas;
import android.graphics.Paint;
import android.graphics.Rect;
import android.graphics.drawable.BitmapDrawable;
import android.graphics.drawable.Drawable;
import android.graphics.drawable.StateListDrawable;
import android.os.Handler;
import android.os.Looper;
import android.view.View;
import android.view.ViewGroup;
import android.view.WindowManager;
import android.view.animation.OvershootInterpolator;
import android.widget.EditText;
import com.lxj.xpopup.core.AttachPopupView;
import com.lxj.xpopup.core.BasePopupView;
import com.lxj.xpopup.core.BottomPopupView;
import com.lxj.xpopup.core.CenterPopupView;
import com.lxj.xpopup.core.DrawerPopupView;
import com.lxj.xpopup.core.PositionPopupView;
import com.lxj.xpopup.d.k;
import com.lxj.xpopup.enums.ImageType;
import com.lxj.xpopup.impl.FullScreenPopupView;
import com.lxj.xpopup.impl.PartShadowPopupView;
import java.io.BufferedOutputStream;
import java.io.File;
import java.io.FileOutputStream;
import java.io.IOException;
import java.io.InputStream;
import java.util.ArrayList;
import java.util.Iterator;
import java.util.concurrent.Executors;

/* compiled from: XPopupUtils */
public class c {

    /* renamed from: a  reason: collision with root package name */
    private static int f17108a;

    /* renamed from: b  reason: collision with root package name */
    private static Context f17109b;

    /* access modifiers changed from: package-private */
    /* compiled from: XPopupUtils */
    public static class a implements Runnable {
        final /* synthetic */ int I0;
        final /* synthetic */ Runnable J0;

        /* renamed from: a  reason: collision with root package name */
        final /* synthetic */ ViewGroup f17110a;

        /* renamed from: b  reason: collision with root package name */
        final /* synthetic */ int f17111b;

        a(ViewGroup viewGroup, int i, int i2, Runnable runnable) {
            this.f17110a = viewGroup;
            this.f17111b = i;
            this.I0 = i2;
            this.J0 = runnable;
        }

        public void run() {
            ViewGroup.LayoutParams layoutParams = this.f17110a.getLayoutParams();
            View childAt = this.f17110a.getChildAt(0);
            ViewGroup.LayoutParams layoutParams2 = childAt.getLayoutParams();
            int measuredWidth = this.f17110a.getMeasuredWidth();
            int i = layoutParams2.width;
            int i2 = this.f17111b;
            if (i2 != 0) {
                layoutParams.width = Math.min(measuredWidth, i2);
            }
            int measuredHeight = this.f17110a.getMeasuredHeight();
            if (layoutParams2.height == -1) {
                measuredHeight = ((ViewGroup) this.f17110a.getParent()).getMeasuredHeight();
                layoutParams.height = measuredHeight;
            }
            if (this.I0 != 0) {
                int i3 = layoutParams.height;
                if (i3 == -1 || i3 == c.k(this.f17110a.getContext()) + c.j()) {
                    layoutParams2.height = Math.min(childAt.getMeasuredHeight(), this.I0);
                    childAt.setLayoutParams(layoutParams2);
                } else {
                    layoutParams.height = Math.min(measuredHeight, this.I0);
                }
            }
            this.f17110a.setLayoutParams(layoutParams);
            Runnable runnable = this.J0;
            if (runnable != null) {
                runnable.run();
            }
        }
    }

    /* compiled from: XPopupUtils */
    static /* synthetic */ class b {

        /* renamed from: a  reason: collision with root package name */
        static final /* synthetic */ int[] f17112a;

        /* JADX WARNING: Can't wrap try/catch for region: R(14:0|1|2|3|4|5|6|7|8|9|10|11|12|14) */
        /* JADX WARNING: Failed to process nested try/catch */
        /* JADX WARNING: Missing exception handler attribute for start block: B:11:0x003e */
        /* JADX WARNING: Missing exception handler attribute for start block: B:3:0x0012 */
        /* JADX WARNING: Missing exception handler attribute for start block: B:5:0x001d */
        /* JADX WARNING: Missing exception handler attribute for start block: B:7:0x0028 */
        /* JADX WARNING: Missing exception handler attribute for start block: B:9:0x0033 */
        static {
            int[] iArr = new int[ImageType.values().length];
            f17112a = iArr;
            iArr[ImageType.GIF.ordinal()] = 1;
            f17112a[ImageType.PNG.ordinal()] = 2;
            f17112a[ImageType.PNG_A.ordinal()] = 3;
            f17112a[ImageType.WEBP.ordinal()] = 4;
            f17112a[ImageType.WEBP_A.ordinal()] = 5;
            try {
                f17112a[ImageType.JPEG.ordinal()] = 6;
            } catch (NoSuchFieldError unused) {
            }
        }
    }

    public static void a(ViewGroup viewGroup, int i, int i2) {
        b(viewGroup, i, i2, null);
    }

    public static void b(ViewGroup viewGroup, int i, int i2, Runnable runnable) {
        viewGroup.post(new a(viewGroup, i, i2, runnable));
    }

    public static BitmapDrawable c(Resources resources, int i, int i2) {
        Bitmap createBitmap = Bitmap.createBitmap(i, 20, Bitmap.Config.ARGB_4444);
        Canvas canvas = new Canvas(createBitmap);
        Paint paint = new Paint();
        paint.setColor(i2);
        canvas.drawRect(0.0f, 0.0f, (float) createBitmap.getWidth(), 4.0f, paint);
        paint.setColor(0);
        canvas.drawRect(0.0f, 4.0f, (float) createBitmap.getWidth(), 20.0f, paint);
        BitmapDrawable bitmapDrawable = new BitmapDrawable(resources, createBitmap);
        bitmapDrawable.setGravity(80);
        return bitmapDrawable;
    }

    public static StateListDrawable d(Drawable drawable, Drawable drawable2) {
        StateListDrawable stateListDrawable = new StateListDrawable();
        stateListDrawable.addState(new int[]{16842908}, drawable2);
        stateListDrawable.addState(new int[0], drawable);
        return stateListDrawable;
    }

    public static int e(Context context, float f) {
        return (int) ((f * context.getResources().getDisplayMetrics().density) + 0.5f);
    }

    public static void f(ArrayList<EditText> arrayList, ViewGroup viewGroup) {
        for (int i = 0; i < viewGroup.getChildCount(); i++) {
            View childAt = viewGroup.getChildAt(i);
            if ((childAt instanceof EditText) && childAt.getVisibility() == 0) {
                arrayList.add((EditText) childAt);
            } else if (childAt instanceof ViewGroup) {
                f(arrayList, (ViewGroup) childAt);
            }
        }
    }

    public static int g(Activity activity) {
        View decorView = activity.getWindow().getDecorView();
        Rect rect = new Rect();
        decorView.getWindowVisibleDisplayFrame(rect);
        int abs = Math.abs(decorView.getBottom() - rect.bottom);
        if (abs > i()) {
            return abs - f17108a;
        }
        f17108a = abs;
        return 0;
    }

    private static String h(ImageType imageType) {
        int i = b.f17112a[imageType.ordinal()];
        if (i == 1) {
            return "gif";
        }
        if (i == 2 || i == 3) {
            return "png";
        }
        return (i == 4 || i == 5) ? "webp" : "jpeg";
    }

    public static int i() {
        Resources system = Resources.getSystem();
        int identifier = system.getIdentifier("navigation_bar_height", "dimen", "android");
        if (identifier != 0) {
            return system.getDimensionPixelSize(identifier);
        }
        return 0;
    }

    public static int j() {
        Resources system = Resources.getSystem();
        return system.getDimensionPixelSize(system.getIdentifier("status_bar_height", "dimen", "android"));
    }

    public static int k(Context context) {
        return ((WindowManager) context.getSystemService("window")).getDefaultDisplay().getHeight();
    }

    public static int l(Context context) {
        return ((WindowManager) context.getSystemService("window")).getDefaultDisplay().getWidth();
    }

    private static boolean m(BasePopupView basePopupView) {
        return (basePopupView instanceof PartShadowPopupView) && ((PartShadowPopupView) basePopupView).X0;
    }

    public static boolean n(float f, float f2, Rect rect) {
        return f >= ((float) rect.left) && f <= ((float) rect.right) && f2 >= ((float) rect.top) && f2 <= ((float) rect.bottom);
    }

    public static boolean o(Context context) {
        boolean z;
        ViewGroup viewGroup = (ViewGroup) ((Activity) context).getWindow().getDecorView();
        int childCount = viewGroup.getChildCount();
        boolean z2 = false;
        int i = 0;
        while (true) {
            if (i >= childCount) {
                z = false;
                break;
            }
            View childAt = viewGroup.getChildAt(i);
            int id = childAt.getId();
            if (id != -1 && "navigationBarBackground".equals(context.getResources().getResourceEntryName(id)) && childAt.getVisibility() == 0) {
                z = true;
                break;
            }
            i++;
        }
        if (!z) {
            return z;
        }
        if ((viewGroup.getSystemUiVisibility() & 2) == 0) {
            z2 = true;
        }
        return z2;
    }

    public static boolean p(Activity activity) {
        return g(activity) > 0;
    }

    private static boolean q(BasePopupView basePopupView) {
        return (basePopupView instanceof PartShadowPopupView) && !((PartShadowPopupView) basePopupView).X0;
    }

    public static void r(BasePopupView basePopupView) {
        if (!(basePopupView instanceof PositionPopupView)) {
            boolean z = basePopupView instanceof PartShadowPopupView;
            if (!z && (basePopupView instanceof AttachPopupView)) {
                return;
            }
            if (!z || m(basePopupView)) {
                basePopupView.getPopupContentView().animate().translationY(0.0f).setInterpolator(new OvershootInterpolator(0.0f)).setDuration(200).start();
            } else {
                basePopupView.getPopupImplView().animate().translationY(0.0f).setInterpolator(new OvershootInterpolator(0.0f)).setDuration(200).start();
            }
        }
    }

    /* JADX WARNING: Code restructure failed: missing block: B:37:0x00ae, code lost:
        if (r7 > 0) goto L_0x00b0;
     */
    /* JADX WARNING: Code restructure failed: missing block: B:68:0x011e, code lost:
        if (r7 > 0) goto L_0x00b0;
     */
    /* JADX WARNING: Removed duplicated region for block: B:70:0x0123  */
    public static void s(int i, BasePopupView basePopupView) {
        int i2;
        int i3;
        int i4;
        int i5;
        int i6;
        if (basePopupView.f17054b.p.booleanValue() && !(basePopupView instanceof PositionPopupView)) {
            ArrayList arrayList = new ArrayList();
            f(arrayList, basePopupView);
            EditText editText = null;
            Iterator it = arrayList.iterator();
            while (true) {
                if (!it.hasNext()) {
                    break;
                }
                EditText editText2 = (EditText) it.next();
                if (editText2.isFocused()) {
                    editText = editText2;
                    break;
                }
            }
            int height = basePopupView.getPopupContentView().getHeight();
            int width = basePopupView.getPopupContentView().getWidth();
            if (basePopupView.getPopupImplView() != null) {
                height = Math.min(height, basePopupView.getPopupImplView().getMeasuredHeight());
                width = Math.min(width, basePopupView.getPopupImplView().getMeasuredWidth());
            }
            int k = k(basePopupView.getContext());
            int i7 = 0;
            if (editText != null) {
                int[] iArr = new int[2];
                editText.getLocationInWindow(iArr);
                i3 = iArr[1];
                i2 = editText.getMeasuredHeight() + i3;
            } else {
                i3 = 0;
                i2 = 0;
            }
            if ((basePopupView instanceof PartShadowPopupView) || !(basePopupView instanceof AttachPopupView)) {
                boolean z = basePopupView instanceof FullScreenPopupView;
                if ((!z && (width != l(basePopupView.getContext()) || height != k(basePopupView.getContext()) + j())) || i2 + i >= k) {
                    if (z) {
                        i4 = (i2 + i) - k;
                        if (editText != null) {
                        }
                        i = 0;
                        if (i == 0 || basePopupView.getPopupContentView().getTranslationY() == 0.0f) {
                            basePopupView.getPopupContentView().animate().translationY((float) (-i)).setDuration(200).setInterpolator(new OvershootInterpolator(0.0f)).start();
                        }
                        return;
                    }
                    if (basePopupView instanceof CenterPopupView) {
                        int j = i - (((k - height) + j()) / 2);
                        if (editText != null && (i6 = i3 - j) < 0) {
                            j += i6 - j();
                        }
                        i = Math.max(0, j);
                    } else if (basePopupView instanceof BottomPopupView) {
                        if (editText != null && (i5 = i3 - i) < 0) {
                            i += i5 - j();
                        }
                    } else if (m(basePopupView) || (basePopupView instanceof DrawerPopupView)) {
                        i4 = (i2 + i) - k;
                        if (editText != null) {
                        }
                        i = 0;
                    } else {
                        if (q(basePopupView)) {
                            int i8 = (i2 + i) - k;
                            if (editText != null && i8 > 0) {
                                i7 = i8;
                            }
                            if (i7 != 0) {
                                basePopupView.getPopupImplView().animate().translationY((float) (-i7)).setDuration(200).setInterpolator(new OvershootInterpolator(0.0f)).start();
                                return;
                            }
                            return;
                        }
                        i = 0;
                    }
                    if (i == 0) {
                    }
                    basePopupView.getPopupContentView().animate().translationY((float) (-i)).setDuration(200).setInterpolator(new OvershootInterpolator(0.0f)).start();
                    i = i4;
                    if (i == 0) {
                    }
                    basePopupView.getPopupContentView().animate().translationY((float) (-i)).setDuration(200).setInterpolator(new OvershootInterpolator(0.0f)).start();
                }
            }
        }
    }

    public static void t(Context context, k kVar, Object obj) {
        new Handler(Looper.getMainLooper());
        Executors.newSingleThreadExecutor();
        f17109b = context;
    }

    public static void u(EditText editText, int i) {
    }

    public static void v(View view, int i, int i2) {
        if (i > 0 || i2 > 0) {
            ViewGroup.LayoutParams layoutParams = view.getLayoutParams();
            if (i > 0) {
                layoutParams.width = i;
            }
            if (i2 > 0) {
                layoutParams.height = i2;
            }
            view.setLayoutParams(layoutParams);
        }
    }

    /* JADX WARNING: Removed duplicated region for block: B:32:0x0043 A[SYNTHETIC, Splitter:B:32:0x0043] */
    /* JADX WARNING: Removed duplicated region for block: B:42:0x0056 A[SYNTHETIC, Splitter:B:42:0x0056] */
    private static boolean w(File file, InputStream inputStream) {
        Throwable th;
        IOException e2;
        BufferedOutputStream bufferedOutputStream = null;
        try {
            BufferedOutputStream bufferedOutputStream2 = new BufferedOutputStream(new FileOutputStream(file));
            try {
                byte[] bArr = new byte[8192];
                while (true) {
                    int read = inputStream.read(bArr, 0, 8192);
                    if (read == -1) {
                        break;
                    }
                    bufferedOutputStream2.write(bArr, 0, read);
                }
                try {
                    inputStream.close();
                } catch (IOException e3) {
                    e3.printStackTrace();
                }
                try {
                    bufferedOutputStream2.close();
                } catch (IOException e4) {
                    e4.printStackTrace();
                }
                return true;
            } catch (IOException e5) {
                e2 = e5;
                bufferedOutputStream = bufferedOutputStream2;
                try {
                    e2.printStackTrace();
                    try {
                        inputStream.close();
                    } catch (IOException e6) {
                        e6.printStackTrace();
                    }
                    if (bufferedOutputStream != null) {
                    }
                    return false;
                } catch (Throwable th2) {
                    th = th2;
                    try {
                        inputStream.close();
                    } catch (IOException e7) {
                        e7.printStackTrace();
                    }
                    if (bufferedOutputStream != null) {
                        try {
                            bufferedOutputStream.close();
                        } catch (IOException e8) {
                            e8.printStackTrace();
                        }
                    }
                    throw th;
                }
            } catch (Throwable th3) {
                th = th3;
                bufferedOutputStream = bufferedOutputStream2;
                inputStream.close();
                if (bufferedOutputStream != null) {
                }
                throw th;
            }
        } catch (IOException e9) {
            e2 = e9;
            e2.printStackTrace();
            inputStream.close();
            if (bufferedOutputStream != null) {
                try {
                    bufferedOutputStream.close();
                } catch (IOException e10) {
                    e10.printStackTrace();
                }
            }
            return false;
        }
    }
}
