package com.lxj.xpopup.widget;

import android.content.Context;
import android.content.res.TypedArray;
import android.graphics.Canvas;
import android.graphics.Color;
import android.graphics.Paint;
import android.util.AttributeSet;
import android.util.TypedValue;
import android.widget.FrameLayout;
import androidx.annotation.NonNull;
import androidx.annotation.Nullable;
import com.lxj.xpopup.R;

public class IndicatorCirclePointsLayout extends FrameLayout {
    private int I0 = Color.parseColor("#333333");
    private int J0 = Color.parseColor("#ffffff");
    private float K0 = 0.0f;
    private int L0 = 0;
    private CircleView M0 = null;
    private Paint N0 = new Paint();
    int O0 = 0;
    FrameLayout.LayoutParams P0 = null;

    /* renamed from: a  reason: collision with root package name */
    private Context f17164a;

    /* renamed from: b  reason: collision with root package name */
    private float f17165b;

    public IndicatorCirclePointsLayout(@NonNull Context context) {
        super(context);
        b(context, null, 0);
    }

    private float a(float f) {
        return TypedValue.applyDimension(1, f, this.f17164a.getResources().getDisplayMetrics());
    }

    private void b(Context context, AttributeSet attributeSet, int i) {
        this.f17164a = context;
        float a2 = a(3.0f);
        this.f17165b = a2;
        this.K0 = a2 * 2.0f;
        TypedArray obtainStyledAttributes = this.f17164a.obtainStyledAttributes(attributeSet, R.styleable.IndicatorCirclePointsLayout);
        this.f17165b = (float) ((int) obtainStyledAttributes.getDimension(R.styleable.IndicatorCirclePointsLayout_common_circle_radius, this.f17165b));
        this.I0 = obtainStyledAttributes.getColor(R.styleable.IndicatorCirclePointsLayout_common_circle_bg_color, this.I0);
        this.J0 = obtainStyledAttributes.getColor(R.styleable.IndicatorCirclePointsLayout_slide_circle_bg_color, this.J0);
        this.K0 = (float) ((int) obtainStyledAttributes.getDimension(R.styleable.IndicatorCirclePointsLayout_divider_distance, this.K0));
        obtainStyledAttributes.recycle();
    }

    public void c(int i, float f) {
        if (this.P0 == null) {
            this.P0 = (FrameLayout.LayoutParams) this.M0.getLayoutParams();
        }
        FrameLayout.LayoutParams layoutParams = this.P0;
        layoutParams.leftMargin = (int) (((this.f17165b * 2.0f) + this.K0) * (((float) i) + f));
        this.M0.setLayoutParams(layoutParams);
    }

    /* access modifiers changed from: protected */
    public void onDraw(Canvas canvas) {
        if (this.L0 != 0) {
            int paddingLeft = getPaddingLeft();
            this.N0.setColor(this.I0);
            this.N0.setAntiAlias(true);
            for (int i = 0; i < this.L0; i++) {
                float f = (float) paddingLeft;
                float f2 = this.f17165b;
                canvas.drawCircle(f + f2, f2, f2, this.N0);
                paddingLeft = (int) (f + (this.f17165b * 2.0f) + this.K0);
            }
        }
    }

    /* access modifiers changed from: protected */
    public void onLayout(boolean z, int i, int i2, int i3, int i4) {
        super.onLayout(z, i, i2, i3, i4);
        int paddingLeft = getPaddingLeft();
        FrameLayout.LayoutParams layoutParams = this.P0;
        int i5 = paddingLeft + (layoutParams == null ? 0 : layoutParams.leftMargin);
        this.O0 = i5;
        CircleView circleView = this.M0;
        float f = this.f17165b;
        circleView.layout(i5, 0, (int) (((float) i5) + (f * 2.0f)), (int) (f * 2.0f));
    }

    /* access modifiers changed from: protected */
    public void onMeasure(int i, int i2) {
        int paddingLeft = getPaddingLeft() + getPaddingRight();
        int paddingTop = getPaddingTop() + getPaddingBottom();
        int i3 = this.L0;
        if (i3 == 0) {
            setMeasuredDimension(paddingLeft, paddingTop);
            return;
        }
        float f = this.f17165b;
        setMeasuredDimension((int) (((float) paddingLeft) + (((float) i3) * f * 2.0f) + (((float) (i3 - 1)) * this.K0)), (int) (((float) paddingTop) + (f * 2.0f)));
    }

    public void setIndicatorsCount(int i) {
        this.L0 = i;
        CircleView circleView = new CircleView(this.f17164a, (int) this.f17165b, this.J0);
        this.M0 = circleView;
        circleView.setLayoutParams(new FrameLayout.LayoutParams(-2, -2));
        addView(this.M0);
        invalidate();
        requestLayout();
    }

    public IndicatorCirclePointsLayout(@NonNull Context context, @Nullable AttributeSet attributeSet) {
        super(context, attributeSet);
        b(context, attributeSet, 0);
    }

    public IndicatorCirclePointsLayout(@NonNull Context context, @Nullable AttributeSet attributeSet, int i) {
        super(context, attributeSet, i);
        b(context, attributeSet, i);
    }

    public IndicatorCirclePointsLayout(@NonNull Context context, @Nullable AttributeSet attributeSet, int i, int i2) {
        super(context, attributeSet, i, i2);
        b(context, attributeSet, i);
    }
}
