package com.lzy.okgo;

import android.app.Application;
import android.content.Context;
import android.os.Handler;
import android.os.Looper;
import com.lzy.okgo.cache.CacheMode;
import com.lzy.okgo.g.a;
import com.lzy.okgo.h.c;
import com.lzy.okgo.interceptor.HttpLoggingInterceptor;
import com.lzy.okgo.model.HttpHeaders;
import com.lzy.okgo.model.HttpParams;
import com.lzy.okgo.request.DeleteRequest;
import com.lzy.okgo.request.GetRequest;
import com.lzy.okgo.request.HeadRequest;
import com.lzy.okgo.request.OptionsRequest;
import com.lzy.okgo.request.PatchRequest;
import com.lzy.okgo.request.PostRequest;
import com.lzy.okgo.request.PutRequest;
import com.lzy.okgo.request.TraceRequest;
import java.util.concurrent.TimeUnit;
import java.util.logging.Level;
import okhttp3.f0;
import okhttp3.j;

/* compiled from: OkGo */
public class b {

    /* renamed from: a  reason: collision with root package name */
    public static final long f17188a = 60000;

    /* renamed from: b  reason: collision with root package name */
    public static long f17189b = 300;

    /* renamed from: c  reason: collision with root package name */
    private Application f17190c;

    /* renamed from: d  reason: collision with root package name */
    private Handler f17191d;

    /* renamed from: e  reason: collision with root package name */
    private f0 f17192e;
    private HttpParams f;
    private HttpHeaders g;
    private int h;
    private CacheMode i;
    private long j;

    /* access modifiers changed from: private */
    /* renamed from: com.lzy.okgo.b$b  reason: collision with other inner class name */
    /* compiled from: OkGo */
    public static class C0343b {

        /* renamed from: a  reason: collision with root package name */
        private static b f17193a = new b();

        private C0343b() {
        }
    }

    public static <T> TraceRequest<T> C(String str) {
        return new TraceRequest<>(str);
    }

    public static void d(f0 f0Var) {
        if (f0Var != null) {
            for (j jVar : f0Var.q().l()) {
                jVar.cancel();
            }
            for (j jVar2 : f0Var.q().n()) {
                jVar2.cancel();
            }
        }
    }

    public static void f(f0 f0Var, Object obj) {
        if (!(f0Var == null || obj == null)) {
            for (j jVar : f0Var.q().l()) {
                if (obj.equals(jVar.l().i())) {
                    jVar.cancel();
                }
            }
            for (j jVar2 : f0Var.q().n()) {
                if (obj.equals(jVar2.l().i())) {
                    jVar2.cancel();
                }
            }
        }
    }

    public static <T> DeleteRequest<T> g(String str) {
        return new DeleteRequest<>(str);
    }

    public static <T> GetRequest<T> h(String str) {
        return new GetRequest<>(str);
    }

    public static b p() {
        return C0343b.f17193a;
    }

    public static <T> HeadRequest<T> s(String str) {
        return new HeadRequest<>(str);
    }

    public static <T> OptionsRequest<T> u(String str) {
        return new OptionsRequest<>(str);
    }

    public static <T> PatchRequest<T> v(String str) {
        return new PatchRequest<>(str);
    }

    public static <T> PostRequest<T> w(String str) {
        return new PostRequest<>(str);
    }

    public static <T> PutRequest<T> x(String str) {
        return new PutRequest<>(str);
    }

    public b A(f0 f0Var) {
        c.b(f0Var, "okHttpClient == null");
        this.f17192e = f0Var;
        return this;
    }

    public b B(int i2) {
        if (i2 >= 0) {
            this.h = i2;
            return this;
        }
        throw new IllegalArgumentException("retryCount must > 0");
    }

    public b a(HttpHeaders httpHeaders) {
        if (this.g == null) {
            this.g = new HttpHeaders();
        }
        this.g.put(httpHeaders);
        return this;
    }

    public b b(HttpParams httpParams) {
        if (this.f == null) {
            this.f = new HttpParams();
        }
        this.f.put(httpParams);
        return this;
    }

    public void c() {
        for (j jVar : q().q().l()) {
            jVar.cancel();
        }
        for (j jVar2 : q().q().n()) {
            jVar2.cancel();
        }
    }

    public void e(Object obj) {
        if (obj != null) {
            for (j jVar : q().q().l()) {
                if (obj.equals(jVar.l().i())) {
                    jVar.cancel();
                }
            }
            for (j jVar2 : q().q().n()) {
                if (obj.equals(jVar2.l().i())) {
                    jVar2.cancel();
                }
            }
        }
    }

    public CacheMode i() {
        return this.i;
    }

    public long j() {
        return this.j;
    }

    public HttpHeaders k() {
        return this.g;
    }

    public HttpParams l() {
        return this.f;
    }

    public Context m() {
        c.b(this.f17190c, "please call OkGo.getInstance().init() first in application!");
        return this.f17190c;
    }

    public com.lzy.okgo.cookie.a n() {
        return (com.lzy.okgo.cookie.a) this.f17192e.p();
    }

    public Handler o() {
        return this.f17191d;
    }

    public f0 q() {
        c.b(this.f17192e, "please call OkGo.getInstance().setOkHttpClient() first in application!");
        return this.f17192e;
    }

    public int r() {
        return this.h;
    }

    public b t(Application application) {
        this.f17190c = application;
        return this;
    }

    public b y(CacheMode cacheMode) {
        this.i = cacheMode;
        return this;
    }

    public b z(long j2) {
        if (j2 <= -1) {
            j2 = -1;
        }
        this.j = j2;
        return this;
    }

    private b() {
        this.f17191d = new Handler(Looper.getMainLooper());
        this.h = 3;
        this.j = -1;
        this.i = CacheMode.NO_CACHE;
        f0.b bVar = new f0.b();
        HttpLoggingInterceptor httpLoggingInterceptor = new HttpLoggingInterceptor("OkGo");
        httpLoggingInterceptor.i(HttpLoggingInterceptor.Level.BODY);
        httpLoggingInterceptor.h(Level.INFO);
        bVar.a(httpLoggingInterceptor);
        TimeUnit timeUnit = TimeUnit.MILLISECONDS;
        bVar.C(60000, timeUnit);
        bVar.I(60000, timeUnit);
        bVar.i(60000, timeUnit);
        a.c b2 = com.lzy.okgo.g.a.b();
        bVar.H(b2.f17283a, b2.f17284b);
        bVar.t(com.lzy.okgo.g.a.f17282b);
        this.f17192e = bVar.d();
    }
}
