package com.lzy.okgo.cache.a;

import android.graphics.Bitmap;
import com.lzy.okgo.cache.CacheEntity;
import com.lzy.okgo.cache.CacheMode;
import com.lzy.okgo.d.c;
import com.lzy.okgo.exception.HttpException;
import com.lzy.okgo.model.b;
import com.lzy.okgo.request.base.Request;
import java.io.IOException;
import java.net.SocketTimeoutException;
import okhttp3.a0;
import okhttp3.j;
import okhttp3.j0;
import okhttp3.k;

/* compiled from: BaseCachePolicy */
public abstract class a<T> implements b<T> {

    /* renamed from: a  reason: collision with root package name */
    protected Request<T, ? extends Request> f17199a;

    /* renamed from: b  reason: collision with root package name */
    protected volatile boolean f17200b;

    /* renamed from: c  reason: collision with root package name */
    protected volatile int f17201c = 0;

    /* renamed from: d  reason: collision with root package name */
    protected boolean f17202d;

    /* renamed from: e  reason: collision with root package name */
    protected j f17203e;
    protected c<T> f;
    protected CacheEntity<T> g;

    /* access modifiers changed from: package-private */
    /* renamed from: com.lzy.okgo.cache.a.a$a  reason: collision with other inner class name */
    /* compiled from: BaseCachePolicy */
    public class C0344a implements k {
        C0344a() {
        }

        @Override // okhttp3.k
        public void b(j jVar, j0 j0Var) throws IOException {
            int i = j0Var.i();
            if (i == 404 || i >= 500) {
                a.this.onError(b.c(false, jVar, j0Var, HttpException.NET_ERROR()));
            } else if (!a.this.e(jVar, j0Var)) {
                try {
                    T convertResponse = a.this.f17199a.getConverter().convertResponse(j0Var);
                    a.this.l(j0Var.D(), convertResponse);
                    a.this.onSuccess(b.p(false, convertResponse, jVar, j0Var));
                } catch (Throwable th) {
                    a.this.onError(b.c(false, jVar, j0Var, th));
                }
            }
        }

        @Override // okhttp3.k
        public void c(j jVar, IOException iOException) {
            if ((iOException instanceof SocketTimeoutException) && a.this.f17201c < a.this.f17199a.getRetryCount()) {
                a.this.f17201c++;
                a aVar = a.this;
                aVar.f17203e = aVar.f17199a.getRawCall();
                if (a.this.f17200b) {
                    a.this.f17203e.cancel();
                } else {
                    a.this.f17203e.Q(this);
                }
            } else if (!jVar.j()) {
                a.this.onError(b.c(false, jVar, null, iOException));
            }
        }
    }

    public a(Request<T, ? extends Request> request) {
        this.f17199a = request;
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    private void l(a0 a0Var, T t) {
        if (this.f17199a.getCacheMode() != CacheMode.NO_CACHE && !(t instanceof Bitmap)) {
            CacheEntity<T> b2 = com.lzy.okgo.h.b.b(a0Var, t, this.f17199a.getCacheMode(), this.f17199a.getCacheKey());
            if (b2 == null) {
                com.lzy.okgo.f.b.O().Q(this.f17199a.getCacheKey());
            } else {
                com.lzy.okgo.f.b.O().R(this.f17199a.getCacheKey(), b2);
            }
        }
    }

    @Override // com.lzy.okgo.cache.a.b
    public synchronized j a() throws Throwable {
        if (!this.f17202d) {
            this.f17202d = true;
            this.f17203e = this.f17199a.getRawCall();
            if (this.f17200b) {
                this.f17203e.cancel();
            }
        } else {
            throw HttpException.COMMON("Already executed!");
        }
        return this.f17203e;
    }

    @Override // com.lzy.okgo.cache.a.b
    public void cancel() {
        this.f17200b = true;
        j jVar = this.f17203e;
        if (jVar != null) {
            jVar.cancel();
        }
    }

    @Override // com.lzy.okgo.cache.a.b
    public CacheEntity<T> d() {
        if (this.f17199a.getCacheKey() == null) {
            Request<T, ? extends Request> request = this.f17199a;
            request.cacheKey(com.lzy.okgo.h.c.c(request.getBaseUrl(), this.f17199a.getParams().urlParamsMap));
        }
        if (this.f17199a.getCacheMode() == null) {
            this.f17199a.cacheMode(CacheMode.NO_CACHE);
        }
        CacheMode cacheMode = this.f17199a.getCacheMode();
        if (cacheMode != CacheMode.NO_CACHE) {
            CacheEntity<T> cacheEntity = (CacheEntity<T>) com.lzy.okgo.f.b.O().K(this.f17199a.getCacheKey());
            this.g = cacheEntity;
            com.lzy.okgo.h.b.a(this.f17199a, cacheEntity, cacheMode);
            CacheEntity<T> cacheEntity2 = this.g;
            if (cacheEntity2 != null && cacheEntity2.checkExpire(cacheMode, this.f17199a.getCacheTime(), System.currentTimeMillis())) {
                this.g.setExpire(true);
            }
        }
        CacheEntity<T> cacheEntity3 = this.g;
        if (cacheEntity3 == null || cacheEntity3.isExpire() || this.g.getData() == null || this.g.getResponseHeaders() == null) {
            this.g = null;
        }
        return this.g;
    }

    @Override // com.lzy.okgo.cache.a.b
    public boolean e(j jVar, j0 j0Var) {
        return false;
    }

    /* access modifiers changed from: protected */
    public void g() {
        this.f17203e.Q(new C0344a());
    }

    /* access modifiers changed from: protected */
    public b<T> h() {
        try {
            j0 execute = this.f17203e.execute();
            int i = execute.i();
            if (i != 404) {
                if (i < 500) {
                    T convertResponse = this.f17199a.getConverter().convertResponse(execute);
                    l(execute.D(), convertResponse);
                    return b.p(false, convertResponse, this.f17203e, execute);
                }
            }
            return b.c(false, this.f17203e, execute, HttpException.NET_ERROR());
        } catch (Throwable th) {
            if ((th instanceof SocketTimeoutException) && this.f17201c < this.f17199a.getRetryCount()) {
                this.f17201c++;
                this.f17203e = this.f17199a.getRawCall();
                if (this.f17200b) {
                    this.f17203e.cancel();
                } else {
                    h();
                }
            }
            return b.c(false, this.f17203e, null, th);
        }
    }

    @Override // com.lzy.okgo.cache.a.b
    public boolean i() {
        return this.f17202d;
    }

    @Override // com.lzy.okgo.cache.a.b
    public boolean j() {
        boolean z = true;
        if (this.f17200b) {
            return true;
        }
        synchronized (this) {
            j jVar = this.f17203e;
            if (jVar == null || !jVar.j()) {
                z = false;
            }
        }
        return z;
    }

    /* access modifiers changed from: protected */
    public void k(Runnable runnable) {
        com.lzy.okgo.b.p().o().post(runnable);
    }
}
