package com.lzy.okgo.cookie.b;

import android.content.Context;
import android.content.SharedPreferences;
import android.text.TextUtils;
import com.lzy.okgo.cookie.SerializableCookie;
import java.util.ArrayList;
import java.util.HashMap;
import java.util.List;
import java.util.Map;
import java.util.Set;
import java.util.concurrent.ConcurrentHashMap;
import okhttp3.b0;
import okhttp3.r;

/* compiled from: SPCookieStore */
public class d implements a {

    /* renamed from: a  reason: collision with root package name */
    private static final String f17243a = "okgo_cookie";

    /* renamed from: b  reason: collision with root package name */
    private static final String f17244b = "cookie_";

    /* renamed from: c  reason: collision with root package name */
    private final Map<String, ConcurrentHashMap<String, r>> f17245c = new HashMap();

    /* renamed from: d  reason: collision with root package name */
    private final SharedPreferences f17246d;

    public d(Context context) {
        r decodeCookie;
        SharedPreferences sharedPreferences = context.getSharedPreferences(f17243a, 0);
        this.f17246d = sharedPreferences;
        for (Map.Entry<String, ?> entry : sharedPreferences.getAll().entrySet()) {
            if (entry.getValue() != null && !entry.getKey().startsWith(f17244b)) {
                String[] split = TextUtils.split((String) entry.getValue(), ",");
                for (String str : split) {
                    String string = this.f17246d.getString(f17244b + str, null);
                    if (!(string == null || (decodeCookie = SerializableCookie.decodeCookie(string)) == null)) {
                        if (!this.f17245c.containsKey(entry.getKey())) {
                            this.f17245c.put(entry.getKey(), new ConcurrentHashMap<>());
                        }
                        this.f17245c.get(entry.getKey()).put(str, decodeCookie);
                    }
                }
            }
        }
    }

    private String i(r rVar) {
        return rVar.h() + "@" + rVar.b();
    }

    private static boolean j(r rVar) {
        return rVar.d() < System.currentTimeMillis();
    }

    private void k(b0 b0Var, r rVar, String str) {
        this.f17245c.get(b0Var.p()).put(str, rVar);
        SharedPreferences.Editor edit = this.f17246d.edit();
        edit.putString(b0Var.p(), TextUtils.join(",", this.f17245c.get(b0Var.p()).keySet()));
        edit.putString(f17244b + str, SerializableCookie.encodeCookie(b0Var.p(), rVar));
        edit.apply();
    }

    @Override // com.lzy.okgo.cookie.b.a
    public synchronized List<r> a(b0 b0Var) {
        ArrayList arrayList = new ArrayList();
        if (!this.f17245c.containsKey(b0Var.p())) {
            return arrayList;
        }
        for (r rVar : this.f17245c.get(b0Var.p()).values()) {
            if (j(rVar)) {
                b(b0Var, rVar);
            } else {
                arrayList.add(rVar);
            }
        }
        return arrayList;
    }

    @Override // com.lzy.okgo.cookie.b.a
    public synchronized boolean b(b0 b0Var, r rVar) {
        if (!this.f17245c.containsKey(b0Var.p())) {
            return false;
        }
        String i = i(rVar);
        if (!this.f17245c.get(b0Var.p()).containsKey(i)) {
            return false;
        }
        this.f17245c.get(b0Var.p()).remove(i);
        SharedPreferences.Editor edit = this.f17246d.edit();
        SharedPreferences sharedPreferences = this.f17246d;
        if (sharedPreferences.contains(f17244b + i)) {
            edit.remove(f17244b + i);
        }
        edit.putString(b0Var.p(), TextUtils.join(",", this.f17245c.get(b0Var.p()).keySet()));
        edit.apply();
        return true;
    }

    @Override // com.lzy.okgo.cookie.b.a
    public synchronized void c(b0 b0Var, List<r> list) {
        for (r rVar : list) {
            h(b0Var, rVar);
        }
    }

    @Override // com.lzy.okgo.cookie.b.a
    public synchronized List<r> d() {
        ArrayList arrayList;
        arrayList = new ArrayList();
        for (String str : this.f17245c.keySet()) {
            arrayList.addAll(this.f17245c.get(str).values());
        }
        return arrayList;
    }

    @Override // com.lzy.okgo.cookie.b.a
    public synchronized List<r> e(b0 b0Var) {
        ArrayList arrayList;
        arrayList = new ArrayList();
        ConcurrentHashMap<String, r> concurrentHashMap = this.f17245c.get(b0Var.p());
        if (concurrentHashMap != null) {
            arrayList.addAll(concurrentHashMap.values());
        }
        return arrayList;
    }

    @Override // com.lzy.okgo.cookie.b.a
    public synchronized boolean f() {
        this.f17245c.clear();
        SharedPreferences.Editor edit = this.f17246d.edit();
        edit.clear();
        edit.apply();
        return true;
    }

    @Override // com.lzy.okgo.cookie.b.a
    public synchronized boolean g(b0 b0Var) {
        if (!this.f17245c.containsKey(b0Var.p())) {
            return false;
        }
        Set<String> keySet = this.f17245c.remove(b0Var.p()).keySet();
        SharedPreferences.Editor edit = this.f17246d.edit();
        for (String str : keySet) {
            SharedPreferences sharedPreferences = this.f17246d;
            if (sharedPreferences.contains(f17244b + str)) {
                edit.remove(f17244b + str);
            }
        }
        edit.remove(b0Var.p());
        edit.apply();
        return true;
    }

    @Override // com.lzy.okgo.cookie.b.a
    public synchronized void h(b0 b0Var, r rVar) {
        if (!this.f17245c.containsKey(b0Var.p())) {
            this.f17245c.put(b0Var.p(), new ConcurrentHashMap<>());
        }
        if (j(rVar)) {
            b(b0Var, rVar);
        } else {
            k(b0Var, rVar, i(rVar));
        }
    }
}
