package com.lzy.okgo.f;

import android.content.ContentValues;
import android.database.Cursor;
import android.database.sqlite.SQLiteDatabase;
import android.database.sqlite.SQLiteOpenHelper;
import android.util.Pair;
import com.lzy.okgo.h.e;
import java.util.ArrayList;
import java.util.List;
import java.util.concurrent.locks.Lock;

/* compiled from: BaseDao */
public abstract class a<T> {

    /* renamed from: a  reason: collision with root package name */
    protected static String f17261a;

    /* renamed from: b  reason: collision with root package name */
    protected Lock f17262b = e.g;

    /* renamed from: c  reason: collision with root package name */
    protected SQLiteOpenHelper f17263c;

    /* renamed from: d  reason: collision with root package name */
    protected SQLiteDatabase f17264d;

    /* renamed from: com.lzy.okgo.f.a$a  reason: collision with other inner class name */
    /* compiled from: BaseDao */
    public interface AbstractC0346a {
        void a(SQLiteDatabase sQLiteDatabase);
    }

    public a(SQLiteOpenHelper sQLiteOpenHelper) {
        f17261a = getClass().getSimpleName();
        this.f17263c = sQLiteOpenHelper;
        this.f17264d = n();
    }

    public boolean A(SQLiteDatabase sQLiteDatabase, List<T> list) {
        try {
            for (T t : list) {
                sQLiteDatabase.replace(h(), null, g(t));
            }
            return true;
        } catch (Exception e2) {
            e.i(e2);
            return false;
        }
    }

    public boolean B(T t) {
        String str;
        if (t == null) {
            return false;
        }
        long currentTimeMillis = System.currentTimeMillis();
        this.f17262b.lock();
        try {
            this.f17264d.beginTransaction();
            this.f17264d.replace(h(), null, g(t));
            this.f17264d.setTransactionSuccessful();
            return true;
        } catch (Exception e2) {
            e.i(e2);
            return false;
        } finally {
            this.f17264d.endTransaction();
            this.f17262b.unlock();
            str = f17261a;
            e.k(str, (System.currentTimeMillis() - currentTimeMillis) + " replaceT");
        }
    }

    public boolean C(List<T> list) {
        String str;
        if (list == null) {
            return false;
        }
        long currentTimeMillis = System.currentTimeMillis();
        this.f17262b.lock();
        try {
            this.f17264d.beginTransaction();
            for (T t : list) {
                this.f17264d.replace(h(), null, g(t));
            }
            this.f17264d.setTransactionSuccessful();
            return true;
        } catch (Exception e2) {
            e.i(e2);
            return false;
        } finally {
            this.f17264d.endTransaction();
            this.f17262b.unlock();
            str = f17261a;
            e.k(str, (System.currentTimeMillis() - currentTimeMillis) + " replaceList");
        }
    }

    public void D(AbstractC0346a aVar) {
        this.f17262b.lock();
        try {
            this.f17264d.beginTransaction();
            aVar.a(this.f17264d);
            this.f17264d.setTransactionSuccessful();
        } catch (Exception e2) {
            e.i(e2);
        } catch (Throwable th) {
            this.f17264d.endTransaction();
            this.f17262b.unlock();
            throw th;
        }
        this.f17264d.endTransaction();
        this.f17262b.unlock();
    }

    public abstract void E();

    public long F(SQLiteDatabase sQLiteDatabase, ContentValues contentValues, String str, String[] strArr) {
        return (long) sQLiteDatabase.update(h(), contentValues, str, strArr);
    }

    public long G(SQLiteDatabase sQLiteDatabase, T t, String str, String[] strArr) {
        return (long) sQLiteDatabase.update(h(), g(t), str, strArr);
    }

    /* JADX INFO: finally extract failed */
    public boolean H(ContentValues contentValues, String str, String[] strArr) {
        long currentTimeMillis = System.currentTimeMillis();
        this.f17262b.lock();
        try {
            this.f17264d.beginTransaction();
            this.f17264d.update(h(), contentValues, str, strArr);
            this.f17264d.setTransactionSuccessful();
            this.f17264d.endTransaction();
            this.f17262b.unlock();
            String str2 = f17261a;
            e.k(str2, (System.currentTimeMillis() - currentTimeMillis) + " updateContentValues");
            return true;
        } catch (Exception e2) {
            e.i(e2);
            this.f17264d.endTransaction();
            this.f17262b.unlock();
            String str3 = f17261a;
            e.k(str3, (System.currentTimeMillis() - currentTimeMillis) + " updateContentValues");
            return false;
        } catch (Throwable th) {
            this.f17264d.endTransaction();
            this.f17262b.unlock();
            String str4 = f17261a;
            e.k(str4, (System.currentTimeMillis() - currentTimeMillis) + " updateContentValues");
            throw th;
        }
    }

    public boolean I(T t, String str, String[] strArr) {
        String str2;
        if (t == null) {
            return false;
        }
        long currentTimeMillis = System.currentTimeMillis();
        this.f17262b.lock();
        try {
            this.f17264d.beginTransaction();
            this.f17264d.update(h(), g(t), str, strArr);
            this.f17264d.setTransactionSuccessful();
            return true;
        } catch (Exception e2) {
            e.i(e2);
            return false;
        } finally {
            this.f17264d.endTransaction();
            this.f17262b.unlock();
            str2 = f17261a;
            e.k(str2, (System.currentTimeMillis() - currentTimeMillis) + " updateT");
        }
    }

    /* access modifiers changed from: protected */
    public final void a(SQLiteDatabase sQLiteDatabase, Cursor cursor) {
        if (cursor != null && !cursor.isClosed()) {
            cursor.close();
        }
        if (sQLiteDatabase != null && sQLiteDatabase.isOpen()) {
            sQLiteDatabase.close();
        }
    }

    public long b(SQLiteDatabase sQLiteDatabase, String str, String[] strArr) {
        return (long) sQLiteDatabase.delete(h(), str, strArr);
    }

    /* JADX INFO: finally extract failed */
    public boolean c(String str, String[] strArr) {
        long currentTimeMillis = System.currentTimeMillis();
        this.f17262b.lock();
        try {
            this.f17264d.beginTransaction();
            this.f17264d.delete(h(), str, strArr);
            this.f17264d.setTransactionSuccessful();
            this.f17264d.endTransaction();
            this.f17262b.unlock();
            String str2 = f17261a;
            e.k(str2, (System.currentTimeMillis() - currentTimeMillis) + " delete");
            return true;
        } catch (Exception e2) {
            e.i(e2);
            this.f17264d.endTransaction();
            this.f17262b.unlock();
            String str3 = f17261a;
            e.k(str3, (System.currentTimeMillis() - currentTimeMillis) + " delete");
            return false;
        } catch (Throwable th) {
            this.f17264d.endTransaction();
            this.f17262b.unlock();
            String str4 = f17261a;
            e.k(str4, (System.currentTimeMillis() - currentTimeMillis) + " delete");
            throw th;
        }
    }

    public long d(SQLiteDatabase sQLiteDatabase) {
        return b(sQLiteDatabase, null, null);
    }

    public boolean e() {
        return c(null, null);
    }

    /* JADX INFO: finally extract failed */
    public boolean f(List<Pair<String, String[]>> list) {
        long currentTimeMillis = System.currentTimeMillis();
        this.f17262b.lock();
        try {
            this.f17264d.beginTransaction();
            for (Pair<String, String[]> pair : list) {
                this.f17264d.delete(h(), (String) pair.first, (String[]) pair.second);
            }
            this.f17264d.setTransactionSuccessful();
            this.f17264d.endTransaction();
            this.f17262b.unlock();
            String str = f17261a;
            e.k(str, (System.currentTimeMillis() - currentTimeMillis) + " deleteList");
            return true;
        } catch (Exception e2) {
            e.i(e2);
            this.f17264d.endTransaction();
            this.f17262b.unlock();
            String str2 = f17261a;
            e.k(str2, (System.currentTimeMillis() - currentTimeMillis) + " deleteList");
            return false;
        } catch (Throwable th) {
            this.f17264d.endTransaction();
            this.f17262b.unlock();
            String str3 = f17261a;
            e.k(str3, (System.currentTimeMillis() - currentTimeMillis) + " deleteList");
            throw th;
        }
    }

    public abstract ContentValues g(T t);

    public abstract String h();

    public long i(SQLiteDatabase sQLiteDatabase, T t) {
        return sQLiteDatabase.insert(h(), null, g(t));
    }

    public boolean j(SQLiteDatabase sQLiteDatabase, List<T> list) {
        try {
            for (T t : list) {
                sQLiteDatabase.insert(h(), null, g(t));
            }
            return true;
        } catch (Exception e2) {
            e.i(e2);
            return false;
        }
    }

    public boolean k(T t) {
        String str;
        if (t == null) {
            return false;
        }
        long currentTimeMillis = System.currentTimeMillis();
        this.f17262b.lock();
        try {
            this.f17264d.beginTransaction();
            this.f17264d.insert(h(), null, g(t));
            this.f17264d.setTransactionSuccessful();
            return true;
        } catch (Exception e2) {
            e.i(e2);
            return false;
        } finally {
            this.f17264d.endTransaction();
            this.f17262b.unlock();
            str = f17261a;
            e.k(str, (System.currentTimeMillis() - currentTimeMillis) + " insertT");
        }
    }

    public boolean l(List<T> list) {
        String str;
        if (list == null) {
            return false;
        }
        long currentTimeMillis = System.currentTimeMillis();
        this.f17262b.lock();
        try {
            this.f17264d.beginTransaction();
            for (T t : list) {
                this.f17264d.insert(h(), null, g(t));
            }
            this.f17264d.setTransactionSuccessful();
            return true;
        } catch (Exception e2) {
            e.i(e2);
            return false;
        } finally {
            this.f17264d.endTransaction();
            this.f17262b.unlock();
            str = f17261a;
            e.k(str, (System.currentTimeMillis() - currentTimeMillis) + " insertList");
        }
    }

    public SQLiteDatabase m() {
        return this.f17263c.getReadableDatabase();
    }

    public SQLiteDatabase n() {
        return this.f17263c.getWritableDatabase();
    }

    public abstract T o(Cursor cursor);

    public List<T> p(SQLiteDatabase sQLiteDatabase, String str, String[] strArr) {
        return q(sQLiteDatabase, null, str, strArr, null, null, null, null);
    }

    public List<T> q(SQLiteDatabase sQLiteDatabase, String[] strArr, String str, String[] strArr2, String str2, String str3, String str4, String str5) {
        Cursor cursor;
        Throwable th;
        Exception e2;
        ArrayList arrayList = new ArrayList();
        try {
            cursor = sQLiteDatabase.query(h(), strArr, str, strArr2, str2, str3, str4, str5);
            while (!cursor.isClosed() && cursor.moveToNext()) {
                try {
                    arrayList.add(o(cursor));
                } catch (Exception e3) {
                    e2 = e3;
                    try {
                        e.i(e2);
                        a(null, cursor);
                        return arrayList;
                    } catch (Throwable th2) {
                        th = th2;
                        a(null, cursor);
                        throw th;
                    }
                }
            }
        } catch (Exception e4) {
            e2 = e4;
            cursor = null;
            e.i(e2);
            a(null, cursor);
            return arrayList;
        } catch (Throwable th3) {
            th = th3;
            cursor = null;
            a(null, cursor);
            throw th;
        }
        a(null, cursor);
        return arrayList;
    }

    public List<T> r(String str, String[] strArr) {
        return s(null, str, strArr, null, null, null, null);
    }

    public List<T> s(String[] strArr, String str, String[] strArr2, String str2, String str3, String str4, String str5) {
        Cursor cursor;
        Throwable th;
        StringBuilder sb;
        String str6;
        Exception e2;
        long currentTimeMillis = System.currentTimeMillis();
        this.f17262b.lock();
        ArrayList arrayList = new ArrayList();
        try {
            this.f17264d.beginTransaction();
            cursor = this.f17264d.query(h(), strArr, str, strArr2, str2, str3, str4, str5);
            while (!cursor.isClosed() && cursor.moveToNext()) {
                try {
                    arrayList.add(o(cursor));
                } catch (Exception e3) {
                    e2 = e3;
                    try {
                        e.i(e2);
                        a(null, cursor);
                        this.f17264d.endTransaction();
                        this.f17262b.unlock();
                        str6 = f17261a;
                        sb = new StringBuilder();
                        sb.append(System.currentTimeMillis() - currentTimeMillis);
                        sb.append(" query");
                        e.k(str6, sb.toString());
                        return arrayList;
                    } catch (Throwable th2) {
                        th = th2;
                        a(null, cursor);
                        this.f17264d.endTransaction();
                        this.f17262b.unlock();
                        e.k(f17261a, (System.currentTimeMillis() - currentTimeMillis) + " query");
                        throw th;
                    }
                }
            }
            this.f17264d.setTransactionSuccessful();
            a(null, cursor);
            this.f17264d.endTransaction();
            this.f17262b.unlock();
            str6 = f17261a;
            sb = new StringBuilder();
        } catch (Exception e4) {
            e2 = e4;
            cursor = null;
            e.i(e2);
            a(null, cursor);
            this.f17264d.endTransaction();
            this.f17262b.unlock();
            str6 = f17261a;
            sb = new StringBuilder();
            sb.append(System.currentTimeMillis() - currentTimeMillis);
            sb.append(" query");
            e.k(str6, sb.toString());
            return arrayList;
        } catch (Throwable th3) {
            th = th3;
            cursor = null;
            a(null, cursor);
            this.f17264d.endTransaction();
            this.f17262b.unlock();
            e.k(f17261a, (System.currentTimeMillis() - currentTimeMillis) + " query");
            throw th;
        }
        sb.append(System.currentTimeMillis() - currentTimeMillis);
        sb.append(" query");
        e.k(str6, sb.toString());
        return arrayList;
    }

    public List<T> t() {
        return r(null, null);
    }

    public List<T> u(SQLiteDatabase sQLiteDatabase) {
        return p(sQLiteDatabase, null, null);
    }

    public T v(SQLiteDatabase sQLiteDatabase, String str, String[] strArr) {
        List<T> q = q(sQLiteDatabase, null, str, strArr, null, null, null, "1");
        if (q.size() > 0) {
            return q.get(0);
        }
        return null;
    }

    public T w(String str, String[] strArr) {
        long currentTimeMillis = System.currentTimeMillis();
        List<T> s = s(null, str, strArr, null, null, null, "1");
        String str2 = f17261a;
        e.k(str2, (System.currentTimeMillis() - currentTimeMillis) + " queryOne");
        if (s.size() > 0) {
            return s.get(0);
        }
        return null;
    }

    public long x(SQLiteDatabase sQLiteDatabase, ContentValues contentValues) {
        return sQLiteDatabase.replace(h(), null, contentValues);
    }

    public long y(SQLiteDatabase sQLiteDatabase, T t) {
        return sQLiteDatabase.replace(h(), null, g(t));
    }

    /* JADX INFO: finally extract failed */
    public boolean z(ContentValues contentValues) {
        long currentTimeMillis = System.currentTimeMillis();
        this.f17262b.lock();
        try {
            this.f17264d.beginTransaction();
            this.f17264d.replace(h(), null, contentValues);
            this.f17264d.setTransactionSuccessful();
            this.f17264d.endTransaction();
            this.f17262b.unlock();
            String str = f17261a;
            e.k(str, (System.currentTimeMillis() - currentTimeMillis) + " replaceContentValues");
            return true;
        } catch (Exception e2) {
            e.i(e2);
            this.f17264d.endTransaction();
            this.f17262b.unlock();
            String str2 = f17261a;
            e.k(str2, (System.currentTimeMillis() - currentTimeMillis) + " replaceContentValues");
            return false;
        } catch (Throwable th) {
            this.f17264d.endTransaction();
            this.f17262b.unlock();
            String str3 = f17261a;
            e.k(str3, (System.currentTimeMillis() - currentTimeMillis) + " replaceContentValues");
            throw th;
        }
    }
}
