package com.lzy.okgo.interceptor;

import android.text.TextUtils;
import com.ibm.icu.impl.number.Padder;
import com.lzy.okgo.h.a;
import com.lzy.okgo.h.d;
import com.lzy.okgo.h.e;
import com.lzy.okgo.model.HttpHeaders;
import java.io.IOException;
import java.nio.charset.Charset;
import java.util.Objects;
import java.util.concurrent.TimeUnit;
import java.util.logging.Logger;
import okhttp3.Protocol;
import okhttp3.a0;
import okhttp3.c0;
import okhttp3.d0;
import okhttp3.h0;
import okhttp3.i0;
import okhttp3.j0;
import okhttp3.k0;
import okhttp3.o;
import okio.j;
import org.json.JSONArray;
import org.json.JSONObject;

public class HttpLoggingInterceptor implements c0 {

    /* renamed from: a  reason: collision with root package name */
    private static final Charset f17289a = Charset.forName("UTF-8");

    /* renamed from: b  reason: collision with root package name */
    private volatile Level f17290b = Level.NONE;

    /* renamed from: c  reason: collision with root package name */
    private java.util.logging.Level f17291c;

    /* renamed from: d  reason: collision with root package name */
    private Logger f17292d;

    /* renamed from: e  reason: collision with root package name */
    private boolean f17293e;

    public enum Level {
        NONE,
        BASIC,
        HEADERS,
        BODY
    }

    public HttpLoggingInterceptor(String str) {
        this.f17292d = Logger.getLogger(str);
    }

    private void b(h0 h0Var) {
        try {
            i0 a2 = h0Var.h().b().a();
            if (a2 != null) {
                j jVar = new j();
                a2.j(jVar);
                Charset c2 = c(a2.b());
                e("\tbody:" + jVar.G0(c2));
            }
        } catch (Exception e2) {
            e.i(e2);
        }
    }

    private static Charset c(d0 d0Var) {
        Charset b2 = d0Var != null ? d0Var.b(f17289a) : f17289a;
        return b2 == null ? f17289a : b2;
    }

    private static boolean d(d0 d0Var) {
        if (d0Var == null) {
            return false;
        }
        if (d0Var.f() != null && d0Var.f().equals("text")) {
            return true;
        }
        String e2 = d0Var.e();
        if (e2 != null) {
            String lowerCase = e2.toLowerCase();
            if (lowerCase.contains("x-www-form-urlencoded") || lowerCase.contains("json") || lowerCase.contains("xml") || lowerCase.contains("html")) {
                return true;
            }
        }
        return false;
    }

    private void e(String str) {
        this.f17292d.log(this.f17291c, str);
    }

    private void f(h0 h0Var, o oVar) throws IOException {
        StringBuilder sb;
        Level level = this.f17290b;
        Level level2 = Level.BODY;
        boolean z = true;
        boolean z2 = level == level2;
        boolean z3 = this.f17290b == level2 || this.f17290b == Level.HEADERS;
        i0 a2 = h0Var.a();
        if (a2 == null) {
            z = false;
        }
        Protocol a3 = oVar != null ? oVar.a() : Protocol.HTTP_1_1;
        try {
            e("--> " + h0Var.g() + ' ' + h0Var.k() + ' ' + a3);
            if (z3) {
                if (z) {
                    if (a2.b() != null) {
                        e("\tContent-Type: " + a2.b());
                    }
                    if (a2.a() != -1) {
                        e("\tContent-Length: " + a2.a());
                    }
                }
                a0 e2 = h0Var.e();
                int m = e2.m();
                for (int i = 0; i < m; i++) {
                    String h = e2.h(i);
                    if (!HttpHeaders.HEAD_KEY_CONTENT_TYPE.equalsIgnoreCase(h) && !HttpHeaders.HEAD_KEY_CONTENT_LENGTH.equalsIgnoreCase(h)) {
                        e("\t" + h + ": " + e2.o(i));
                    }
                }
                e(Padder.f14124a);
                if (z2 && z) {
                    if (d(a2.b())) {
                        b(h0Var);
                    } else {
                        e("\tbody: maybe [binary body], omitted!");
                    }
                }
            }
            sb = new StringBuilder();
        } catch (Exception e3) {
            e.i(e3);
            sb = new StringBuilder();
        } catch (Throwable th) {
            e("--> END " + h0Var.g());
            throw th;
        }
        sb.append("--> END ");
        sb.append(h0Var.g());
        e(sb.toString());
    }

    private j0 g(j0 j0Var, long j) {
        j0 c2 = j0Var.Q().c();
        k0 a2 = c2.a();
        Level level = this.f17290b;
        Level level2 = Level.BODY;
        boolean z = true;
        boolean z2 = level == level2;
        if (!(this.f17290b == level2 || this.f17290b == Level.HEADERS)) {
            z = false;
        }
        try {
            e("<-- " + c2.i() + ' ' + c2.O() + ' ' + c2.o0().k() + " (" + j + "ms）");
            if (z) {
                a0 D = c2.D();
                int m = D.m();
                for (int i = 0; i < m; i++) {
                    e("\t" + D.h(i) + ": " + D.o(i));
                }
                e(Padder.f14124a);
                if (z2 && okhttp3.o0.i.e.c(c2)) {
                    if (a2 == null) {
                        e("<-- END HTTP");
                        return j0Var;
                    } else if (d(a2.k())) {
                        byte[] A = d.A(a2.c());
                        String str = new String(A, c(a2.k()));
                        if (TextUtils.isEmpty(str) || !str.startsWith("{") || !this.f17293e) {
                            e("\tbody:" + str);
                        } else {
                            JSONObject jSONObject = new JSONObject(str);
                            if (!jSONObject.isNull("data")) {
                                String a3 = a.a(jSONObject.getString("data"));
                                if (a3.startsWith("[")) {
                                    jSONObject.put("data", new JSONArray(a3));
                                } else if (a3.startsWith("{")) {
                                    jSONObject.put("data", new JSONObject(a3));
                                }
                                e("\tbody: 数据解密->" + jSONObject.toString());
                            }
                        }
                        j0 c3 = j0Var.Q().b(k0.I(a2.k(), A)).c();
                        e("<-- END HTTP");
                        return c3;
                    } else {
                        e("\tbody: maybe [binary body], omitted!");
                    }
                }
            }
        } catch (Exception e2) {
            e.i(e2);
        } catch (Throwable th) {
            e("<-- END HTTP");
            throw th;
        }
        e("<-- END HTTP");
        return j0Var;
    }

    @Override // okhttp3.c0
    public j0 a(c0.a aVar) throws IOException {
        h0 l = aVar.l();
        if (this.f17290b == Level.NONE) {
            return aVar.f(l);
        }
        f(l, aVar.a());
        long nanoTime = System.nanoTime();
        try {
            return g(aVar.f(l), TimeUnit.NANOSECONDS.toMillis(System.nanoTime() - nanoTime));
        } catch (Exception e2) {
            e("<-- HTTP FAILED: " + e2);
            throw e2;
        }
    }

    public void h(java.util.logging.Level level) {
        this.f17291c = level;
    }

    public void i(Level level) {
        Objects.requireNonNull(level, "level == null. Use Level.NONE instead.");
        this.f17290b = level;
    }

    public HttpLoggingInterceptor(String str, boolean z) {
        this.f17292d = Logger.getLogger(str);
        this.f17293e = z;
    }
}
