package com.monter.scrollpiker;

import android.content.Context;
import android.content.res.TypedArray;
import android.util.AttributeSet;
import android.widget.LinearLayout;
import androidx.core.view.ViewCompat;

public class PickerViewGroup extends LinearLayout {
    protected int I0;
    protected int J0;
    protected int K0;
    protected int L0;
    protected boolean M0;
    protected boolean N0;

    /* renamed from: a  reason: collision with root package name */
    protected int f17408a;

    /* renamed from: b  reason: collision with root package name */
    protected int f17409b;

    public PickerViewGroup(Context context) {
        this(context, null);
    }

    /* access modifiers changed from: protected */
    public void a(PickerView pickerView, boolean z) {
        addView(pickerView, new LinearLayout.LayoutParams(0, -2, z ? 1.0f : 2.0f));
    }

    /* access modifiers changed from: protected */
    public void b(PickerView pickerView) {
        pickerView.setPreferredMaxOffsetItemCount(this.f17408a);
        pickerView.setItemHeight(this.f17409b);
        pickerView.setTextSize(this.I0);
        pickerView.setUnSelectedTextSize(this.J0);
        pickerView.setTextColor(this.K0);
        pickerView.setUnSelectedTextColor(this.L0);
        pickerView.setAutoFitSize(this.M0);
        pickerView.setCurved(this.N0);
    }

    /* access modifiers changed from: protected */
    public void c(PickerView pickerView, boolean z) {
        if (pickerView != null) {
            b(pickerView);
            a(pickerView, z);
        }
    }

    public void setCurved(boolean z) {
        this.N0 = z;
        int childCount = getChildCount();
        for (int i = 0; i < childCount; i++) {
            ((PickerView) getChildAt(i)).setCurved(z);
        }
    }

    public final void setOrientation(int i) {
        if (i == 0) {
            super.setOrientation(i);
            return;
        }
        throw new RuntimeException("DatePickerView's orientation must be HORIZONTAL");
    }

    /* access modifiers changed from: protected */
    public void settlePickerView(PickerView pickerView) {
        c(pickerView, false);
    }

    public PickerViewGroup(Context context, AttributeSet attributeSet) {
        this(context, attributeSet, 0);
    }

    public PickerViewGroup(Context context, AttributeSet attributeSet, int i) {
        super(context, attributeSet, i);
        this.f17408a = 3;
        this.K0 = ViewCompat.MEASURED_STATE_MASK;
        this.L0 = -16776961;
        setOrientation(0);
        TypedArray obtainStyledAttributes = context.obtainStyledAttributes(attributeSet, R.styleable.PickerViewGroup);
        this.f17408a = obtainStyledAttributes.getInt(R.styleable.PickerViewGroup_preferredMaxOffsetItemCount, 3);
        this.f17409b = obtainStyledAttributes.getDimensionPixelSize(R.styleable.PickerViewGroup_itemHeight, g.c(getContext(), 24));
        int d2 = g.d(getContext(), 14);
        int d3 = g.d(getContext(), 12);
        this.I0 = obtainStyledAttributes.getDimensionPixelSize(R.styleable.PickerViewGroup_textSize, d2);
        this.J0 = obtainStyledAttributes.getDimensionPixelSize(R.styleable.PickerViewGroup_textSizeUnselected, d3);
        this.K0 = obtainStyledAttributes.getColor(R.styleable.PickerViewGroup_textColor, ViewCompat.MEASURED_STATE_MASK);
        this.L0 = obtainStyledAttributes.getColor(R.styleable.PickerViewGroup_textColorUnselected, -16776961);
        this.M0 = obtainStyledAttributes.getBoolean(R.styleable.PickerViewGroup_autoFitSize, true);
        this.N0 = obtainStyledAttributes.getBoolean(R.styleable.PickerViewGroup_curved, false);
        obtainStyledAttributes.recycle();
    }
}
