package com.monter.scrollpiker.piker;

import android.content.Context;
import android.graphics.Canvas;
import android.graphics.Paint;
import android.util.AttributeSet;
import android.util.Log;
import android.view.MotionEvent;
import android.view.View;
import androidx.annotation.NonNull;
import androidx.annotation.Nullable;
import androidx.recyclerview.widget.LinearLayoutManager;
import androidx.recyclerview.widget.RecyclerView;
import com.monter.scrollpiker.R;

public class ScrollPickerView extends RecyclerView {
    private int I0;
    private int J0;
    private int K0;
    private int L0;
    private int M0;
    private boolean N0;

    /* renamed from: a  reason: collision with root package name */
    private Runnable f17419a;

    /* renamed from: b  reason: collision with root package name */
    private Paint f17420b;

    /* access modifiers changed from: package-private */
    public class a implements Runnable {
        a() {
        }

        public void run() {
            int i;
            if (ScrollPickerView.this.K0 != ScrollPickerView.this.getScrollYDistance()) {
                ScrollPickerView scrollPickerView = ScrollPickerView.this;
                scrollPickerView.K0 = scrollPickerView.getScrollYDistance();
                ScrollPickerView scrollPickerView2 = ScrollPickerView.this;
                scrollPickerView2.postDelayed(scrollPickerView2.f17419a, 30);
            } else if (ScrollPickerView.this.I0 > 0 && (i = ScrollPickerView.this.K0 % ScrollPickerView.this.I0) != 0) {
                if (i >= ScrollPickerView.this.I0 / 2) {
                    ScrollPickerView scrollPickerView3 = ScrollPickerView.this;
                    scrollPickerView3.smoothScrollBy(0, scrollPickerView3.I0 - i);
                } else if (i < ScrollPickerView.this.I0 / 2) {
                    ScrollPickerView.this.smoothScrollBy(0, -i);
                }
            }
        }
    }

    /* access modifiers changed from: package-private */
    public class b extends RecyclerView.p {
        b() {
        }

        @Override // androidx.recyclerview.widget.RecyclerView.p
        public void onScrollStateChanged(@NonNull RecyclerView recyclerView, int i) {
            super.onScrollStateChanged(recyclerView, i);
            if (i == 0) {
                ScrollPickerView.this.j();
            }
        }
    }

    public ScrollPickerView(@NonNull Context context) {
        this(context, null);
    }

    private int getItemSelectedOffset() {
        b bVar = (b) getAdapter();
        if (bVar != null) {
            return bVar.c();
        }
        return 1;
    }

    private int getLineColor() {
        b bVar = (b) getAdapter();
        if (bVar == null || bVar.d() == 0) {
            return getResources().getColor(R.color.colorPrimary);
        }
        return bVar.d();
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    private int getScrollYDistance() {
        int findFirstVisibleItemPosition;
        View findViewByPosition;
        LinearLayoutManager linearLayoutManager = (LinearLayoutManager) getLayoutManager();
        if (linearLayoutManager == null || (findViewByPosition = linearLayoutManager.findViewByPosition((findFirstVisibleItemPosition = linearLayoutManager.findFirstVisibleItemPosition()))) == null) {
            return 0;
        }
        return (findFirstVisibleItemPosition * findViewByPosition.getHeight()) - findViewByPosition.getTop();
    }

    private int getVisibleItemNumber() {
        b bVar = (b) getAdapter();
        if (bVar != null) {
            return bVar.f();
        }
        return 3;
    }

    private void h() {
        b bVar = (b) getAdapter();
        addOnScrollListener(new b());
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    private void j() {
        int itemCount = getAdapter().getItemCount();
        int childCount = getChildCount();
        Log.d("ScrollPickerView", "childCount = " + childCount);
        Log.d("ScrollPickerView", "itemCount = " + itemCount);
        for (int i = 0; i < childCount; i++) {
            float top2 = (float) (getChildAt(i).getTop() + (this.I0 / 2));
            if (((float) this.L0) < top2 && top2 < ((float) this.M0)) {
                int childLayoutPosition = getChildLayoutPosition(getChildAt(i));
                Log.d("ScrollPickerView", "childLayoutPosition = " + childLayoutPosition);
                o(getChildAt(i), childLayoutPosition + -2);
            }
            p(getChildAt(i), ((float) this.L0) < top2 && top2 < ((float) this.M0));
        }
    }

    private void k() {
        if (this.f17420b == null) {
            Paint paint = new Paint();
            this.f17420b = paint;
            paint.setColor(getLineColor());
            this.f17420b.setStrokeWidth((float) e.a(1.0f));
        }
    }

    private void l() {
        h();
        this.f17419a = new a();
    }

    private void m() {
        if (getChildCount() > 0) {
            if (this.I0 == 0) {
                this.I0 = getChildAt(0).getMeasuredHeight();
            }
            if (this.J0 == 0) {
                this.J0 = getChildAt(0).getMeasuredWidth();
            }
            if (this.L0 == 0 || this.M0 == 0) {
                this.L0 = this.I0 * getItemSelectedOffset();
                this.M0 = this.I0 * (getItemSelectedOffset() + 1);
            }
        }
    }

    private void n() {
        this.K0 = getScrollYDistance();
        postDelayed(this.f17419a, 30);
    }

    private void o(View view, int i) {
        b bVar = (b) getAdapter();
        if (bVar != null) {
            bVar.a(view, i);
        }
    }

    private void p(View view, boolean z) {
        b bVar = (b) getAdapter();
        if (bVar != null) {
            bVar.b(view, z);
        }
    }

    @Override // androidx.recyclerview.widget.RecyclerView
    public void addOnScrollListener(@NonNull RecyclerView.p pVar) {
        super.addOnScrollListener(pVar);
    }

    public void i(Canvas canvas) {
        if (this.I0 > 0) {
            int width = ((getWidth() / 2) - (this.J0 / 2)) - e.b(5);
            int b2 = this.J0 + width + e.b(5);
            float f = (float) width;
            int i = this.L0;
            float f2 = (float) b2;
            canvas.drawLine(f, (float) i, f2, (float) i, this.f17420b);
            int i2 = this.M0;
            canvas.drawLine(f, (float) i2, f2, (float) i2, this.f17420b);
        }
    }

    /* access modifiers changed from: protected */
    @Override // androidx.recyclerview.widget.RecyclerView
    public void onAttachedToWindow() {
        super.onAttachedToWindow();
        k();
    }

    @Override // androidx.recyclerview.widget.RecyclerView
    public void onDraw(Canvas canvas) {
        super.onDraw(canvas);
        i(canvas);
        if (!this.N0) {
            this.N0 = true;
            ((LinearLayoutManager) getLayoutManager()).scrollToPositionWithOffset(getItemSelectedOffset(), 0);
        }
    }

    /* access modifiers changed from: protected */
    @Override // androidx.recyclerview.widget.RecyclerView
    public void onMeasure(int i, int i2) {
        super.onMeasure(View.MeasureSpec.makeMeasureSpec(0, 0), View.MeasureSpec.makeMeasureSpec(536870911, Integer.MIN_VALUE));
        m();
        setMeasuredDimension(this.J0, this.I0 * getVisibleItemNumber());
    }

    @Override // androidx.recyclerview.widget.RecyclerView
    public void onScrollStateChanged(int i) {
        super.onScrollStateChanged(i);
    }

    @Override // androidx.recyclerview.widget.RecyclerView
    public void onScrolled(int i, int i2) {
        super.onScrolled(i, i2);
    }

    @Override // androidx.recyclerview.widget.RecyclerView
    public boolean onTouchEvent(MotionEvent motionEvent) {
        if (motionEvent.getAction() == 1) {
            n();
        }
        return super.onTouchEvent(motionEvent);
    }

    public ScrollPickerView(@NonNull Context context, @Nullable AttributeSet attributeSet) {
        this(context, attributeSet, 0);
    }

    public ScrollPickerView(@NonNull Context context, @Nullable AttributeSet attributeSet, int i) {
        super(context, attributeSet, i);
        l();
    }
}
