package com.niming.baseadapter;

import android.content.Context;
import android.os.AsyncTask;
import android.util.Log;
import android.view.LayoutInflater;
import androidx.recyclerview.widget.j;
import java.util.List;

/* compiled from: BaseAdapter */
public abstract class a<T> extends m<T> implements e<T> {
    protected b listener;
    private LayoutInflater mLayoutInflater;

    /* renamed from: com.niming.baseadapter.a$a  reason: collision with other inner class name */
    /* compiled from: BaseAdapter */
    class AsyncTaskC0357a extends AsyncTask<Void, Void, j.e> {

        /* renamed from: a  reason: collision with root package name */
        final /* synthetic */ f f17432a;

        AsyncTaskC0357a(f fVar) {
            this.f17432a = fVar;
        }

        /* access modifiers changed from: protected */
        /* renamed from: a */
        public j.e doInBackground(Void... voidArr) {
            return j.b(this.f17432a);
        }

        /* access modifiers changed from: protected */
        /* renamed from: b */
        public void onPostExecute(j.e eVar) {
            a.this.setData(this.f17432a.f());
            if (eVar != null) {
                eVar.e(a.this);
            }
        }
    }

    /* compiled from: BaseAdapter */
    public interface b {
        void a(int i, int i2, int i3);
    }

    public a(Context context) {
        super(context);
        this.mLayoutInflater = LayoutInflater.from(context);
    }

    private boolean checkDiff(j.b bVar) {
        if (this.mRecyclerView == null) {
            throw new IllegalStateException("'diff(DefaultDiffCallback)' only works with RecyclerView");
        } else if (bVar != null && bVar.d() >= 1) {
            return true;
        } else {
            Log.w("BaseAdapter", "Invalid size of the new list.");
            return false;
        }
    }

    @Override // com.niming.baseadapter.e
    public final void add(T t) {
        this.mData.add(t);
        int size = this.mData.size() - 1;
        if (hasHeaderView()) {
            size++;
        }
        notifyItemInserted(size);
        notifyDataSetHasChanged();
    }

    @Override // com.niming.baseadapter.e
    public final void addAll(List<T> list) {
        if (list == null || list.isEmpty()) {
            Log.w("BaseAdapter", "addAll: The list you passed contains no elements.");
            return;
        }
        int count = getCount();
        if (hasHeaderView()) {
            count++;
        }
        for (T t : list) {
            if (t != null) {
                this.mData.add(t);
                count++;
            }
        }
        notifyItemRangeInserted(count, list.size());
    }

    public final void addAllNotNotify(List<T> list) {
        if (list == null || list.isEmpty()) {
            Log.w("BaseAdapter", "addAll: The list you passed contains no elements.");
            return;
        }
        int count = getCount();
        this.mData.addAll(list);
        if (hasHeaderView()) {
            count++;
        }
        notifyItemRangeInserted(count, list.size());
    }

    @Override // com.niming.baseadapter.e
    public final void clear() {
        int count = getCount();
        if (count > 0) {
            this.mData.clear();
            notifyItemRangeRemoved(hasHeaderView() ? 1 : 0, count);
            notifyDataSetHasChanged();
        }
    }

    @Override // com.niming.baseadapter.e
    public final boolean contains(T t) {
        return this.mData.contains(t);
    }

    @Override // com.niming.baseadapter.e
    public boolean containsAll(List<T> list) {
        return this.mData.containsAll(list);
    }

    @Override // com.niming.baseadapter.e
    public void diff(f<T> fVar) {
        if (checkDiff(fVar)) {
            new AsyncTaskC0357a(fVar).execute(new Void[0]);
        }
    }

    @Override // com.niming.baseadapter.e
    @Deprecated
    public final void insert(int i, T t) {
        add(i, t);
    }

    @Override // com.niming.baseadapter.e
    public final void remove(T t) {
        if (contains(t)) {
            remove(this.mData.indexOf(t));
        }
    }

    @Override // com.niming.baseadapter.e
    public void removeAll(List<T> list) {
        this.mData.removeAll(list);
        notifyDataSetChanged();
        notifyDataSetHasChanged();
    }

    /* JADX WARN: Type inference failed for: r0v4, types: [boolean, int] */
    /* JADX WARNING: Unknown variable types count: 1 */
    @Override // com.niming.baseadapter.e
    public final void replaceAll(List<T> list) {
        if (this.mData == list) {
            notifyDataSetChanged();
            notifyDataSetHasChanged();
        } else if (list == null || list.isEmpty()) {
            clear();
        } else if (this.mData.isEmpty()) {
            addAll(list);
            notifyDataSetHasChanged();
        } else {
            ?? hasHeaderView = hasHeaderView();
            int count = getCount();
            int size = list.size();
            this.mData.clear();
            this.mData.addAll(list);
            if (count > size) {
                notifyItemRangeChanged(hasHeaderView, size);
                notifyItemRangeRemoved(hasHeaderView + size, count - size);
            } else if (count == size) {
                notifyItemRangeChanged(hasHeaderView, size);
            } else {
                notifyItemRangeChanged(hasHeaderView == true ? 1 : 0, count);
                notifyItemRangeInserted(hasHeaderView + count, size - count);
            }
            notifyDataSetHasChanged();
        }
    }

    @Override // com.niming.baseadapter.e
    public void retainAll(List<T> list) {
        this.mData.retainAll(list);
        notifyDataSetChanged();
        notifyDataSetHasChanged();
    }

    @Override // com.niming.baseadapter.e
    public final void set(T t, T t2) {
        set(this.mData.indexOf(t), t2);
    }

    public void setOnItemClickListener(b bVar) {
        this.listener = bVar;
    }

    @Override // com.niming.baseadapter.e
    public final void set(int i, T t) {
        this.mData.set(i, t);
        if (hasHeaderView()) {
            i++;
        }
        notifyItemChanged(i);
        notifyDataSetHasChanged();
    }

    public a(Context context, List<T> list) {
        super(context, list);
        this.mLayoutInflater = LayoutInflater.from(context);
    }

    @Override // com.niming.baseadapter.e
    public final void remove(int i) {
        this.mData.remove(i);
        if (hasHeaderView()) {
            i++;
        }
        Log.d("stateless", "==当前移除的location:" + i);
        notifyItemRemoved(i);
        notifyItemRangeChanged(i, this.mData.size());
        notifyDataSetHasChanged();
    }

    public a(Context context, List<T> list, j<T> jVar) {
        super(context, list, jVar);
        this.mLayoutInflater = LayoutInflater.from(context);
    }

    @Override // com.niming.baseadapter.e
    public void add(int i, T t) {
        this.mData.add(i, t);
        if (hasHeaderView()) {
            i++;
        }
        notifyItemInserted(i);
        notifyDataSetHasChanged();
    }

    @Override // com.niming.baseadapter.e
    public void addAll(int i, List<T> list) {
        if (list == null || list.isEmpty()) {
            Log.w("BaseAdapter", "addAll: The list you passed contains no elements.");
        } else if (i < 0 || i > getCount()) {
            Log.w("BaseAdapter", "addAll: IndexOutOfBoundsException");
        } else {
            this.mData.addAll(i, list);
            if (hasHeaderView()) {
                i++;
            }
            notifyItemRangeInserted(i, list.size());
            notifyDataSetHasChanged();
        }
    }

    public void add(int i, T t, boolean z) {
        this.mData.add(i, t);
        if (hasHeaderView()) {
            i++;
        }
        notifyItemInserted(i);
        if (z) {
            notifyDataSetHasChanged();
        }
    }
}
