package com.niming.baseadapter;

import android.animation.Animator;
import android.content.Context;
import android.os.Build;
import android.util.Log;
import android.view.View;
import android.view.ViewGroup;
import android.view.animation.Interpolator;
import android.view.animation.LinearInterpolator;
import androidx.core.view.InputDeviceCompat;
import androidx.recyclerview.widget.GridLayoutManager;
import androidx.recyclerview.widget.RecyclerView;
import androidx.recyclerview.widget.StaggeredGridLayoutManager;
import com.niming.baseadapter.r.b;
import java.util.ArrayList;
import java.util.List;

/* compiled from: RecyclerSupportAdapter1 */
public abstract class q<T> extends RecyclerView.Adapter<c> implements k<T, c>, h, i, g {
    j<T> I0;
    RecyclerView J0;
    private final int K0 = InputDeviceCompat.SOURCE_ANY;
    private final int L0 = -257;
    View M0;
    View N0;
    private Interpolator O0 = new LinearInterpolator();
    private long P0 = 300;
    private boolean Q0;
    private boolean R0 = true;
    private b S0;
    private int T0 = -1;
    final String U0 = "BaseAdapter";

    /* renamed from: a  reason: collision with root package name */
    protected List<T> f17445a;

    /* renamed from: b  reason: collision with root package name */
    private Context f17446b;

    /* access modifiers changed from: package-private */
    /* compiled from: RecyclerSupportAdapter1 */
    public class a extends GridLayoutManager.b {

        /* renamed from: e  reason: collision with root package name */
        final /* synthetic */ RecyclerView.LayoutManager f17447e;
        final /* synthetic */ GridLayoutManager.b f;

        a(RecyclerView.LayoutManager layoutManager, GridLayoutManager.b bVar) {
            this.f17447e = layoutManager;
            this.f = bVar;
        }

        @Override // androidx.recyclerview.widget.GridLayoutManager.b
        public int f(int i) {
            if (q.this.isHeaderView(i) || q.this.isFooterView(i)) {
                return ((GridLayoutManager) this.f17447e).s();
            }
            return this.f.f(i);
        }
    }

    public q(Context context) {
        this.f17446b = context;
        this.f17445a = new ArrayList();
        this.I0 = offerMultiItemViewType();
    }

    private void ifGridLayoutManager() {
        if (hasHeaderView() || hasFooterView()) {
            RecyclerView.LayoutManager layoutManager = getLayoutManager();
            if (layoutManager instanceof GridLayoutManager) {
                GridLayoutManager gridLayoutManager = (GridLayoutManager) layoutManager;
                gridLayoutManager.C(new a(layoutManager, gridLayoutManager.w()));
            }
        }
    }

    private void setLayoutParams(View view) {
        if (hasHeaderView() || hasFooterView()) {
            RecyclerView.LayoutManager layoutManager = getLayoutManager();
            if (layoutManager instanceof StaggeredGridLayoutManager) {
                view.setLayoutParams(new StaggeredGridLayoutManager.LayoutParams(-1, -2));
            } else if (layoutManager instanceof GridLayoutManager) {
                view.setLayoutParams(new GridLayoutManager.LayoutParams(-1, -2));
            } else {
                view.setLayoutParams(new RecyclerView.LayoutParams(-1, -2));
            }
        }
    }

    @Override // com.niming.baseadapter.h
    public void addFooterView(View view) {
        if (!hasFooterView()) {
            this.N0 = view;
            setLayoutParams(view);
            ifGridLayoutManager();
            notifyItemInserted(getItemCount() - 1);
            return;
        }
        throw new IllegalStateException("You have already added a footer view.");
    }

    @Override // com.niming.baseadapter.h
    public void addHeaderView(View view) {
        if (!hasHeaderView()) {
            this.M0 = view;
            setLayoutParams(view);
            ifGridLayoutManager();
            notifyItemInserted(0);
            return;
        }
        throw new IllegalStateException("You have already added a header view.");
    }

    @Override // com.niming.baseadapter.g
    public void addLoadAnimation(RecyclerView.z zVar) {
        if (this.Q0 && Build.VERSION.SDK_INT >= 11) {
            if (!this.R0 || zVar.getLayoutPosition() > this.T0) {
                b bVar = this.S0;
                if (bVar == null) {
                    bVar = new com.niming.baseadapter.r.a();
                }
                Animator[] a2 = bVar.a(zVar.itemView);
                for (Animator animator : a2) {
                    animator.setInterpolator(this.O0);
                    animator.setDuration(this.P0).start();
                }
                this.T0 = zVar.getLayoutPosition();
            }
        }
    }

    @Override // com.niming.baseadapter.g
    public void cancelLoadAnimation() {
        this.Q0 = false;
        this.S0 = null;
    }

    @Override // com.niming.baseadapter.g
    public void enableLoadAnimation() {
        enableLoadAnimation(this.P0, new com.niming.baseadapter.r.a());
    }

    public Context getContext() {
        return this.f17446b;
    }

    public List<T> getData() {
        return this.f17445a;
    }

    @Override // com.niming.baseadapter.h
    public View getFooterView() {
        return this.N0;
    }

    @Override // com.niming.baseadapter.h
    public View getHeaderView() {
        return this.M0;
    }

    @Override // androidx.recyclerview.widget.RecyclerView.Adapter
    public int getItemCount() {
        List<T> list = this.f17445a;
        int size = list == null ? 0 : list.size();
        if (hasHeaderView()) {
            size++;
        }
        return hasFooterView() ? size + 1 : size;
    }

    @Override // androidx.recyclerview.widget.RecyclerView.Adapter
    public int getItemViewType(int i) {
        if (isHeaderView(i)) {
            return InputDeviceCompat.SOURCE_ANY;
        }
        if (isFooterView(i)) {
            return -257;
        }
        if (this.I0 == null) {
            return 0;
        }
        if (hasHeaderView()) {
            i--;
        }
        return this.I0.getItemViewType(i, this.f17445a.size() == 0 ? null : this.f17445a.get(i));
    }

    @Override // com.niming.baseadapter.i
    public RecyclerView.LayoutManager getLayoutManager() {
        if (hasLayoutManager()) {
            return this.J0.getLayoutManager();
        }
        return null;
    }

    public int getRealPosition(int i) {
        return hasHeaderView() ? i + 1 : i;
    }

    @Override // com.niming.baseadapter.h
    public boolean hasFooterView() {
        return getFooterView() != null;
    }

    @Override // com.niming.baseadapter.h
    public boolean hasHeaderView() {
        return getHeaderView() != null;
    }

    @Override // com.niming.baseadapter.i
    public boolean hasLayoutManager() {
        RecyclerView recyclerView = this.J0;
        return (recyclerView == null || recyclerView.getLayoutManager() == null) ? false : true;
    }

    @Override // com.niming.baseadapter.h
    public boolean isFooterView(int i) {
        return hasFooterView() && i == getItemCount() - 1;
    }

    @Override // com.niming.baseadapter.h
    public boolean isHeaderView(int i) {
        return hasHeaderView() && i == 0;
    }

    /* access modifiers changed from: protected */
    public abstract View n(Context context, ViewGroup viewGroup, int i);

    /* access modifiers changed from: protected */
    public j<T> offerMultiItemViewType() {
        return null;
    }

    @Override // androidx.recyclerview.widget.RecyclerView.Adapter
    public void onAttachedToRecyclerView(RecyclerView recyclerView) {
        RecyclerView recyclerView2 = this.J0;
        if (!(recyclerView2 == null || recyclerView2 == recyclerView)) {
            Log.i("BaseAdapter", "Does not support multiple RecyclerViews now.");
        }
        this.J0 = recyclerView;
        ifGridLayoutManager();
    }

    /* access modifiers changed from: protected */
    public abstract void onBindView(View view, int i, T t);

    @Override // androidx.recyclerview.widget.RecyclerView.Adapter
    public void onDetachedFromRecyclerView(RecyclerView recyclerView) {
        this.J0 = null;
    }

    @Override // com.niming.baseadapter.h
    public boolean removeFooterView() {
        if (!hasFooterView()) {
            return false;
        }
        this.N0 = null;
        notifyItemRemoved(getItemCount() - 1);
        return true;
    }

    @Override // com.niming.baseadapter.h
    public boolean removeHeaderView() {
        if (!hasHeaderView()) {
            return false;
        }
        this.M0 = null;
        notifyItemRemoved(0);
        return true;
    }

    public void setData(List<T> list) {
        this.f17445a = list;
        notifyDataSetChanged();
    }

    @Override // com.niming.baseadapter.g
    public void setOnlyOnce(boolean z) {
        this.R0 = z;
    }

    @Override // com.niming.baseadapter.g
    public void enableLoadAnimation(long j, b bVar) {
        if (j > 0) {
            this.P0 = j;
        } else {
            Log.w("BaseAdapter", "Invalid animation duration");
        }
        this.Q0 = true;
        this.S0 = bVar;
    }

    public void onBindViewHolder(c cVar, int i) {
        T t;
        int itemViewType = getItemViewType(i);
        if (itemViewType != -256 && itemViewType != -257) {
            View view = cVar.itemView;
            int i2 = hasHeaderView() ? i - 1 : i;
            if (this.f17445a.size() == 0 || (!hasHeaderView() && i >= this.f17445a.size())) {
                t = null;
            } else {
                List<T> list = this.f17445a;
                if (hasHeaderView()) {
                    i--;
                }
                t = list.get(i);
            }
            onBindView(view, i2, t);
            addLoadAnimation(cVar);
        }
    }

    @Override // androidx.recyclerview.widget.RecyclerView.Adapter
    public c onCreateViewHolder(ViewGroup viewGroup, int i) {
        if (i == -256 && hasHeaderView()) {
            return new c(getHeaderView());
        }
        if (i != -257 || !hasFooterView()) {
            return new c(n(this.f17446b, viewGroup, i));
        }
        return new c(getFooterView());
    }

    public void onViewAttachedToWindow(c cVar) {
        ViewGroup.LayoutParams layoutParams;
        if ((isHeaderView(cVar.getLayoutPosition()) || isFooterView(cVar.getLayoutPosition())) && (layoutParams = cVar.itemView.getLayoutParams()) != null && (layoutParams instanceof StaggeredGridLayoutManager.LayoutParams)) {
            ((StaggeredGridLayoutManager.LayoutParams) layoutParams).l(true);
        }
    }

    public q(Context context, List<T> list) {
        this.f17446b = context;
        this.f17445a = list == null ? new ArrayList<>() : list;
        this.I0 = offerMultiItemViewType();
    }

    public q(Context context, List<T> list, j<T> jVar) {
        this.f17446b = context;
        this.f17445a = list == null ? new ArrayList<>() : list;
        this.I0 = jVar == null ? offerMultiItemViewType() : jVar;
    }
}
