package com.niming.framework.b;

import android.annotation.TargetApi;
import android.app.Activity;
import android.content.Context;
import android.graphics.Color;
import android.os.Build;
import android.util.Log;
import android.view.View;
import android.view.ViewGroup;
import android.view.Window;
import android.view.WindowManager;
import android.widget.FrameLayout;
import androidx.annotation.ColorInt;
import androidx.annotation.FloatRange;
import androidx.core.view.ViewCompat;
import androidx.drawerlayout.widget.DrawerLayout;
import com.niming.framework.R;
import java.lang.reflect.Field;
import java.lang.reflect.Method;
import java.util.regex.Pattern;

/* compiled from: XStatusBarHelper */
public class i {

    /* renamed from: a  reason: collision with root package name */
    private static float f17466a;

    public static void A(Window window, @ColorInt int i) {
        B(window, i, f17466a);
    }

    public static void B(Window window, @ColorInt int i, @FloatRange(from = 0.0d, to = 1.0d) float f) {
        int i2 = Build.VERSION.SDK_INT;
        if (i2 >= 19) {
            if (i2 >= 21) {
                window.clearFlags(67108864);
                window.addFlags(Integer.MIN_VALUE);
                window.setStatusBarColor(0);
            } else {
                window.addFlags(67108864);
            }
            ViewGroup viewGroup = (ViewGroup) window.getDecorView();
            View childAt = ((ViewGroup) window.getDecorView().findViewById(16908290)).getChildAt(0);
            if (childAt != null) {
                ViewCompat.setFitsSystemWindows(childAt, true);
            }
            o(viewGroup, i, true);
            x(viewGroup, f);
        }
    }

    public static void C(Activity activity, DrawerLayout drawerLayout, @ColorInt int i) {
        D(activity, drawerLayout, i, f17466a);
    }

    public static void D(Activity activity, DrawerLayout drawerLayout, @ColorInt int i, @FloatRange(from = 0.0d, to = 1.0d) float f) {
        int i2 = Build.VERSION.SDK_INT;
        if (i2 >= 19) {
            Window window = activity.getWindow();
            ViewGroup viewGroup = (ViewGroup) window.getDecorView();
            ViewGroup viewGroup2 = (ViewGroup) drawerLayout.getChildAt(0);
            if (i2 >= 21) {
                window.clearFlags(67108864);
                window.addFlags(Integer.MIN_VALUE);
                window.setStatusBarColor(0);
                drawerLayout.setStatusBarBackgroundColor(i);
                window.getDecorView().setSystemUiVisibility(window.getDecorView().getSystemUiVisibility() | 1024 | 256);
            } else {
                window.addFlags(67108864);
            }
            p(viewGroup, i, true, true);
            x(viewGroup, f);
            drawerLayout.setFitsSystemWindows(false);
            viewGroup2.setFitsSystemWindows(true);
            ((ViewGroup) drawerLayout.getChildAt(1)).setFitsSystemWindows(false);
        }
    }

    public static void a(Activity activity) {
        c(activity.getWindow());
    }

    public static void b(ViewGroup viewGroup) {
        if (Build.VERSION.SDK_INT >= 19) {
            int childCount = viewGroup.getChildCount();
            for (int i = 0; i < childCount; i++) {
                View childAt = viewGroup.getChildAt(i);
                if (childAt instanceof ViewGroup) {
                    b((ViewGroup) childAt);
                } else if (ViewCompat.getFitsSystemWindows(childAt)) {
                    ViewCompat.setFitsSystemWindows(childAt, false);
                }
            }
        }
    }

    public static void c(Window window) {
        b((ViewGroup) window.getDecorView().findViewById(16908290));
    }

    public static int d(Context context) {
        int identifier = context.getResources().getIdentifier("status_bar_height", "dimen", "android");
        if (identifier > 0) {
            return context.getResources().getDimensionPixelSize(identifier);
        }
        return 0;
    }

    public static void e(Activity activity) {
        f(activity, f17466a);
    }

    public static void f(Activity activity, @FloatRange(from = 0.0d, to = 1.0d) float f) {
        h(activity.getWindow(), f);
    }

    public static void g(Window window) {
        h(window, f17466a);
    }

    public static void h(Window window, @FloatRange(from = 0.0d, to = 1.0d) float f) {
        int i = Build.VERSION.SDK_INT;
        if (i >= 19) {
            if (i >= 21) {
                window.clearFlags(67108864);
                window.addFlags(Integer.MIN_VALUE);
                window.setStatusBarColor(0);
                window.getDecorView().setSystemUiVisibility(window.getDecorView().getSystemUiVisibility() | 1024 | 256);
            } else {
                window.addFlags(67108864);
            }
            ViewGroup viewGroup = (ViewGroup) window.getDecorView();
            View childAt = ((ViewGroup) window.getDecorView().findViewById(16908290)).getChildAt(0);
            int d2 = d(window.getContext());
            if (childAt != null) {
                FrameLayout.LayoutParams layoutParams = (FrameLayout.LayoutParams) childAt.getLayoutParams();
                ViewCompat.setFitsSystemWindows(childAt, true);
                layoutParams.topMargin = -d2;
                childAt.setLayoutParams(layoutParams);
            }
            x(viewGroup, f);
        }
    }

    public static boolean i() {
        return Build.FINGERPRINT.contains("Flyme_OS_4") || Build.VERSION.INCREMENTAL.contains("Flyme_OS_4") || Pattern.compile("Flyme OS [4|5]", 2).matcher(Build.DISPLAY).find();
    }

    public static boolean j() {
        try {
            if (Integer.parseInt(((String) Class.forName("android.os.SystemProperties").getMethod("get", String.class).invoke(null, "ro.miui.ui.version.name")).replaceAll("[vV]", "")) >= 6) {
                return true;
            }
            return false;
        } catch (Exception unused) {
            return false;
        }
    }

    public static void k(@FloatRange(from = 0.0d, to = 1.0d) float f) {
        f17466a = f;
    }

    public static void l(Context context, View view) {
        if (Build.VERSION.SDK_INT >= 19) {
            view.getLayoutParams().height += d(context);
        }
    }

    public static void m(Context context, View view) {
        if (Build.VERSION.SDK_INT >= 19) {
            view.getLayoutParams().height += d(context);
            view.setPadding(view.getPaddingLeft(), view.getPaddingTop() + d(context), view.getPaddingRight(), view.getPaddingBottom());
        }
    }

    public static void n(Context context, View view) {
        if (Build.VERSION.SDK_INT >= 19) {
            view.setPadding(view.getPaddingLeft(), view.getPaddingTop() + d(context), view.getPaddingRight(), view.getPaddingBottom());
        }
    }

    private static void o(ViewGroup viewGroup, @ColorInt int i, boolean z) {
        p(viewGroup, i, z, false);
    }

    private static void p(ViewGroup viewGroup, @ColorInt int i, boolean z, boolean z2) {
        if (Build.VERSION.SDK_INT >= 19) {
            int i2 = R.id.statusbar_view;
            View findViewById = viewGroup.findViewById(i2);
            int i3 = 0;
            if (findViewById == null) {
                findViewById = new View(viewGroup.getContext());
                findViewById.setId(i2);
                ViewGroup.LayoutParams layoutParams = new ViewGroup.LayoutParams(-1, d(viewGroup.getContext()));
                if (z2) {
                    viewGroup.addView(findViewById, 0, layoutParams);
                } else {
                    viewGroup.addView(findViewById, layoutParams);
                }
            }
            findViewById.setBackgroundColor(i);
            if (!z) {
                i3 = 8;
            }
            findViewById.setVisibility(i3);
        }
    }

    public static void q(Activity activity) {
        s(activity.getWindow());
    }

    public static void r(Activity activity, boolean z) {
        t(activity.getWindow(), z);
    }

    public static void s(Window window) {
        if (Build.VERSION.SDK_INT >= 23) {
            v(window);
        } else if (j()) {
            w(window, true);
        } else if (i()) {
            u(window, true);
        }
    }

    public static void t(Window window, boolean z) {
        if (Build.VERSION.SDK_INT >= 23) {
            v(window);
        } else if (j()) {
            w(window, z);
        } else if (i()) {
            u(window, z);
        }
    }

    public static boolean u(Window window, boolean z) {
        if (window != null) {
            try {
                WindowManager.LayoutParams attributes = window.getAttributes();
                Field declaredField = WindowManager.LayoutParams.class.getDeclaredField("MEIZU_FLAG_DARK_STATUS_BAR_ICON");
                Field declaredField2 = WindowManager.LayoutParams.class.getDeclaredField("meizuFlags");
                declaredField.setAccessible(true);
                declaredField2.setAccessible(true);
                int i = declaredField.getInt(null);
                int i2 = declaredField2.getInt(attributes);
                declaredField2.setInt(attributes, z ? i2 | i : (~i) & i2);
                window.setAttributes(attributes);
                return true;
            } catch (Exception unused) {
                Log.e("StatusBar", "setStatusBarDarkIcon: failed");
            }
        }
        return false;
    }

    @TargetApi(23)
    public static void v(Window window) {
        window.clearFlags(67108864);
        window.addFlags(Integer.MIN_VALUE);
        window.setStatusBarColor(0);
        window.getDecorView().setSystemUiVisibility(window.getDecorView().getSystemUiVisibility() | 8192);
    }

    public static void w(Window window, boolean z) {
        Class<?> cls = window.getClass();
        try {
            Class<?> cls2 = Class.forName("android.view.MiuiWindowManager$LayoutParams");
            int i = cls2.getField("EXTRA_FLAG_STATUS_BAR_DARK_MODE").getInt(cls2);
            Class<?> cls3 = Integer.TYPE;
            Method method = cls.getMethod("setExtraFlags", cls3, cls3);
            Object[] objArr = new Object[2];
            objArr[0] = Integer.valueOf(z ? i : 0);
            objArr[1] = Integer.valueOf(i);
            method.invoke(window, objArr);
        } catch (Exception e2) {
            e2.printStackTrace();
        }
    }

    private static void x(ViewGroup viewGroup, @FloatRange(from = 0.0d, to = 1.0d) float f) {
        if (Build.VERSION.SDK_INT >= 19) {
            int i = R.id.translucent_view;
            View findViewById = viewGroup.findViewById(i);
            if (findViewById == null) {
                findViewById = new View(viewGroup.getContext());
                findViewById.setId(i);
                viewGroup.addView(findViewById, new ViewGroup.LayoutParams(-1, d(viewGroup.getContext())));
            }
            findViewById.setBackgroundColor(Color.argb((int) (f * 255.0f), 0, 0, 0));
        }
    }

    public static void y(Activity activity, @ColorInt int i) {
        z(activity, i, f17466a);
    }

    public static void z(Activity activity, @ColorInt int i, @FloatRange(from = 0.0d, to = 1.0d) float f) {
        B(activity.getWindow(), i, f);
    }
}
