package com.niming.framework.image;

import android.os.Build;
import android.util.Log;
import androidx.annotation.NonNull;
import com.blankj.utilcode.util.LogUtils;
import com.bumptech.glide.Priority;
import com.bumptech.glide.load.DataSource;
import com.bumptech.glide.load.HttpException;
import com.bumptech.glide.load.j.d;
import com.bumptech.glide.load.k.g;
import com.bumptech.glide.util.c;
import com.lzy.okgo.model.HttpHeaders;
import com.niming.framework.b.a;
import java.io.IOException;
import java.io.InputStream;
import java.util.Map;
import okhttp3.h0;
import okhttp3.j;
import okhttp3.j0;
import okhttp3.k;
import okhttp3.k0;

/* compiled from: OkHttpStreamFetcher */
public class e implements d<InputStream>, k {

    /* renamed from: a  reason: collision with root package name */
    private static final String f17513a = "OkHttpFetcher";
    private final g I0;
    InputStream J0;
    k0 K0;
    private volatile j L0;
    private d.a<? super InputStream> M0;

    /* renamed from: b  reason: collision with root package name */
    private final j.a f17514b;

    public e(j.a aVar, g gVar) {
        this.f17514b = aVar;
        this.I0 = gVar;
    }

    @Override // com.bumptech.glide.load.j.d
    @NonNull
    public Class<InputStream> a() {
        return InputStream.class;
    }

    @Override // okhttp3.k
    public void b(j jVar, j0 j0Var) throws IOException {
        this.K0 = j0Var.a();
        if (j0Var.M()) {
            this.J0 = c.c(this.K0.c(), this.K0.j());
            String b0Var = j0Var.o0().k().toString();
            LogUtils.l("response.request = " + b0Var);
            if (b0Var.endsWith(".ceb")) {
                this.M0.g(a.b(this.J0, a.f17453a, a.f17456d));
            } else if (b0Var.endsWith(".bnc")) {
                this.M0.g(a.b(this.J0, a.f17454b, a.f17457e));
            } else {
                LogUtils.l("url = " + b0Var);
                this.M0.g(this.J0);
            }
        } else {
            LogUtils.l("失败 url = " + this.I0);
            this.M0.b(new HttpException(j0Var.O(), j0Var.i()));
        }
    }

    @Override // okhttp3.k
    public void c(j jVar, IOException iOException) {
        if (Log.isLoggable(f17513a, 3)) {
            Log.d(f17513a, "OkHttp failed to obtain result", iOException);
        }
        this.M0.b(iOException);
    }

    @Override // com.bumptech.glide.load.j.d
    public void cancel() {
        j jVar = this.L0;
        if (jVar != null) {
            jVar.cancel();
        }
    }

    @Override // com.bumptech.glide.load.j.d
    @NonNull
    public DataSource d() {
        return DataSource.REMOTE;
    }

    @Override // com.bumptech.glide.load.j.d
    public void e() {
        try {
            InputStream inputStream = this.J0;
            if (inputStream != null) {
                inputStream.close();
            }
        } catch (IOException unused) {
        }
        k0 k0Var = this.K0;
        if (k0Var != null) {
            k0Var.close();
        }
        this.M0 = null;
    }

    @Override // com.bumptech.glide.load.j.d
    public void f(Priority priority, d.a<? super InputStream> aVar) {
        h0.a q = new h0.a().q(this.I0.f());
        for (Map.Entry<String, String> entry : this.I0.c().entrySet()) {
            q.a(entry.getKey(), entry.getValue());
        }
        q.a(HttpHeaders.HEAD_KEY_ACCEPT_ENCODING, "gzip,deflate");
        h0 b2 = q.b();
        this.M0 = aVar;
        this.L0 = this.f17514b.a(b2);
        if (Build.VERSION.SDK_INT != 26) {
            this.L0.Q(this);
            return;
        }
        try {
            b(this.L0, this.L0.execute());
        } catch (IOException e2) {
            c(this.L0, e2);
        } catch (ClassCastException e3) {
            c(this.L0, new IOException("Workaround for framework bug on O", e3));
        }
    }
}
