package com.niming.framework.widget;

import android.content.Context;
import android.graphics.Canvas;
import android.graphics.Outline;
import android.graphics.Paint;
import android.graphics.Path;
import android.graphics.PorterDuff;
import android.graphics.PorterDuffXfermode;
import android.os.Build;
import android.util.AttributeSet;
import android.view.View;
import android.view.ViewOutlineProvider;
import android.widget.FrameLayout;
import androidx.annotation.RequiresApi;
import androidx.core.view.ViewCompat;

public class ArcLayout extends FrameLayout {
    private int I0 = 0;
    private Path J0 = new Path();

    /* renamed from: a  reason: collision with root package name */
    private a f17518a;

    /* renamed from: b  reason: collision with root package name */
    private int f17519b = 0;

    /* access modifiers changed from: package-private */
    public class a extends ViewOutlineProvider {
        a() {
        }

        @RequiresApi(api = 21)
        public void getOutline(View view, Outline outline) {
            outline.setConvexPath(ArcLayout.this.J0);
        }
    }

    public ArcLayout(Context context) {
        super(context);
        d(context, null);
    }

    private void b() {
        if (this.f17518a != null) {
            this.f17519b = getMeasuredHeight();
            int measuredWidth = getMeasuredWidth();
            this.I0 = measuredWidth;
            if (measuredWidth > 0 && this.f17519b > 0) {
                this.J0 = c();
                ViewCompat.setElevation(this, this.f17518a.c());
                if (Build.VERSION.SDK_INT >= 21 && !this.f17518a.e()) {
                    ViewCompat.setElevation(this, this.f17518a.c());
                    setOutlineProvider(new a());
                }
            }
        }
    }

    private Path c() {
        Path path = new Path();
        float b2 = this.f17518a.b();
        int d2 = this.f17518a.d();
        if (d2 != 0) {
            if (d2 != 1) {
                if (d2 != 2) {
                    if (d2 == 3) {
                        if (this.f17518a.e()) {
                            path.moveTo(0.0f, 0.0f);
                            path.lineTo((float) this.I0, 0.0f);
                            int i = this.I0;
                            float f = ((float) i) - (b2 * 2.0f);
                            int i2 = this.f17519b;
                            path.quadTo(f, (float) (i2 / 2), (float) i, (float) i2);
                            path.lineTo(0.0f, (float) this.f17519b);
                            path.close();
                        } else {
                            path.moveTo(0.0f, 0.0f);
                            path.lineTo(((float) this.I0) - b2, 0.0f);
                            int i3 = this.I0;
                            int i4 = this.f17519b;
                            path.quadTo(((float) i3) + b2, (float) (i4 / 2), ((float) i3) - b2, (float) i4);
                            path.lineTo(0.0f, (float) this.f17519b);
                            path.close();
                        }
                    }
                } else if (this.f17518a.e()) {
                    path.moveTo((float) this.I0, 0.0f);
                    path.lineTo(0.0f, 0.0f);
                    int i5 = this.f17519b;
                    path.quadTo(b2 * 2.0f, (float) (i5 / 2), 0.0f, (float) i5);
                    path.lineTo((float) this.I0, (float) this.f17519b);
                    path.close();
                } else {
                    path.moveTo((float) this.I0, 0.0f);
                    path.lineTo(b2, 0.0f);
                    int i6 = this.f17519b;
                    path.quadTo(-b2, (float) (i6 / 2), b2, (float) i6);
                    path.lineTo((float) this.I0, (float) this.f17519b);
                    path.close();
                }
            } else if (this.f17518a.e()) {
                path.moveTo(0.0f, (float) this.f17519b);
                path.lineTo(0.0f, 0.0f);
                int i7 = this.I0;
                path.quadTo((float) (i7 / 2), b2 * 2.0f, (float) i7, 0.0f);
                path.lineTo((float) this.I0, (float) this.f17519b);
                path.close();
            } else {
                path.moveTo(0.0f, b2);
                int i8 = this.I0;
                path.quadTo((float) (i8 / 2), -b2, (float) i8, b2);
                path.lineTo((float) this.I0, (float) this.f17519b);
                path.lineTo(0.0f, (float) this.f17519b);
                path.close();
            }
        } else if (this.f17518a.e()) {
            path.moveTo(0.0f, 0.0f);
            path.lineTo(0.0f, (float) this.f17519b);
            int i9 = this.I0;
            int i10 = this.f17519b;
            path.quadTo((float) (i9 / 2), ((float) i10) - (b2 * 2.0f), (float) i9, (float) i10);
            path.lineTo((float) this.I0, 0.0f);
            path.close();
        } else {
            path.moveTo(0.0f, 0.0f);
            path.lineTo(0.0f, ((float) this.f17519b) - b2);
            int i11 = this.I0;
            int i12 = this.f17519b;
            path.quadTo((float) (i11 / 2), ((float) i12) + b2, (float) i11, ((float) i12) - b2);
            path.lineTo((float) this.I0, 0.0f);
            path.close();
        }
        return path;
    }

    public void d(Context context, AttributeSet attributeSet) {
        a aVar = new a(context, attributeSet);
        this.f17518a = aVar;
        aVar.f(ViewCompat.getElevation(this));
        if (Build.VERSION.SDK_INT < 18) {
            setLayerType(1, null);
        }
    }

    /* access modifiers changed from: protected */
    public void dispatchDraw(Canvas canvas) {
        Paint paint = new Paint();
        paint.setAntiAlias(true);
        paint.setColor(-1);
        int saveLayer = canvas.saveLayer(0.0f, 0.0f, (float) getWidth(), (float) getHeight(), null, 31);
        super.dispatchDraw(canvas);
        paint.setXfermode(new PorterDuffXfermode(PorterDuff.Mode.MULTIPLY));
        canvas.drawPath(this.J0, paint);
        canvas.restoreToCount(saveLayer);
        paint.setXfermode(null);
    }

    /* access modifiers changed from: protected */
    public void onLayout(boolean z, int i, int i2, int i3, int i4) {
        super.onLayout(z, i, i2, i3, i4);
        if (z) {
            b();
        }
    }

    public ArcLayout(Context context, AttributeSet attributeSet) {
        super(context, attributeSet);
        d(context, attributeSet);
    }
}
