package com.niming.framework.widget;

import android.content.Context;
import android.content.res.ColorStateList;
import android.content.res.TypedArray;
import android.util.AttributeSet;
import android.view.LayoutInflater;
import android.view.View;
import android.view.ViewGroup;
import android.widget.ImageView;
import android.widget.LinearLayout;
import android.widget.TextView;
import androidx.annotation.Nullable;
import androidx.appcompat.widget.SwitchCompat;
import androidx.constraintlayout.widget.ConstraintLayout;
import com.blankj.utilcode.util.t;
import com.niming.framework.R;

public class ItemView extends LinearLayout {
    private int I0;
    private int J0;
    private int K0;
    private int L0;
    private boolean M0;
    private String N0;
    private String O0;
    private int P0;
    private int Q0;
    private ColorStateList R0;
    private ColorStateList S0;
    private boolean T0;
    private ColorStateList U0;
    private int V0;
    private int W0;
    private boolean X0;
    private int Y0;
    private int Z0;

    /* renamed from: a  reason: collision with root package name */
    private Context f17527a;
    private int a1;

    /* renamed from: b  reason: collision with root package name */
    private int f17528b;
    private int b1;
    private int c1;
    private ImageView d1;
    private ImageView e1;
    private SwitchCompat f1;
    private TextView g1;
    private TextView h1;
    private View i1;

    public ItemView(Context context) {
        this(context, null);
    }

    private void a(AttributeSet attributeSet) {
        TypedArray obtainStyledAttributes = this.f17527a.obtainStyledAttributes(attributeSet, R.styleable.ItemView, 0, 0);
        try {
            this.f17528b = obtainStyledAttributes.getResourceId(R.styleable.ItemView_left_image_res, 0);
            this.Z0 = obtainStyledAttributes.getDimensionPixelSize(R.styleable.ItemView_item_padding_top, t.w(0.0f));
            this.Y0 = obtainStyledAttributes.getDimensionPixelSize(R.styleable.ItemView_item_padding_bottom, t.w(0.0f));
            this.a1 = obtainStyledAttributes.getDimensionPixelSize(R.styleable.ItemView_item_padding_left, t.w(12.0f));
            this.b1 = obtainStyledAttributes.getDimensionPixelSize(R.styleable.ItemView_item_padding_right, t.w(12.0f));
            this.c1 = obtainStyledAttributes.getDimensionPixelSize(R.styleable.ItemView_item_height, t.w(70.0f));
            this.I0 = obtainStyledAttributes.getDimensionPixelSize(R.styleable.ItemView_left_image_width, 0);
            this.J0 = obtainStyledAttributes.getDimensionPixelSize(R.styleable.ItemView_left_image_height, 0);
            this.M0 = obtainStyledAttributes.getBoolean(R.styleable.ItemView_need_right_image, true);
            this.X0 = obtainStyledAttributes.getBoolean(R.styleable.ItemView_mode_toggle, false);
            this.N0 = obtainStyledAttributes.getString(R.styleable.ItemView_left_text);
            this.P0 = obtainStyledAttributes.getDimensionPixelSize(R.styleable.ItemView_left_text_size, -1);
            this.R0 = obtainStyledAttributes.getColorStateList(R.styleable.ItemView_left_text_color);
            this.O0 = obtainStyledAttributes.getString(R.styleable.ItemView_right_text);
            this.Q0 = obtainStyledAttributes.getDimensionPixelSize(R.styleable.ItemView_right_text_size, -1);
            this.S0 = obtainStyledAttributes.getColorStateList(R.styleable.ItemView_right_text_color);
            this.K0 = obtainStyledAttributes.getDimensionPixelSize(R.styleable.ItemView_right_image_width, 0);
            this.L0 = obtainStyledAttributes.getDimensionPixelSize(R.styleable.ItemView_right_image_height, 0);
            this.T0 = obtainStyledAttributes.getBoolean(R.styleable.ItemView_need_underline, false);
            this.U0 = obtainStyledAttributes.getColorStateList(R.styleable.ItemView_underline_color);
            this.V0 = obtainStyledAttributes.getDimensionPixelSize(R.styleable.ItemView_underline_marginLeft, 0);
            this.W0 = obtainStyledAttributes.getDimensionPixelSize(R.styleable.ItemView_underline_marginRight, 0);
        } finally {
            obtainStyledAttributes.recycle();
        }
    }

    private void b() {
        LayoutInflater.from(this.f17527a).inflate(R.layout.view_item, this);
        this.d1 = (ImageView) findViewById(R.id.iv_left);
        this.e1 = (ImageView) findViewById(R.id.iv_right);
        this.g1 = (TextView) findViewById(R.id.tv_left);
        this.h1 = (TextView) findViewById(R.id.tv_right);
        this.i1 = findViewById(R.id.view_line);
        this.f1 = (SwitchCompat) findViewById(R.id.sw_right);
        ((ConstraintLayout) findViewById(R.id.rl_content)).setPadding(this.a1, this.Z0, this.b1, this.Y0);
        int i = this.f17528b;
        int i2 = 8;
        if (i > 0) {
            this.d1.setImageResource(i);
        } else {
            this.d1.setVisibility(8);
        }
        ConstraintLayout.LayoutParams layoutParams = (ConstraintLayout.LayoutParams) this.d1.getLayoutParams();
        int i3 = this.I0;
        if (i3 > 0) {
            ((ViewGroup.MarginLayoutParams) layoutParams).width = i3;
        }
        int i4 = this.J0;
        if (i4 > 0) {
            ((ViewGroup.MarginLayoutParams) layoutParams).height = i4;
        }
        this.d1.setLayoutParams(layoutParams);
        ConstraintLayout.LayoutParams layoutParams2 = (ConstraintLayout.LayoutParams) this.e1.getLayoutParams();
        int i5 = this.K0;
        if (i5 > 0) {
            ((ViewGroup.MarginLayoutParams) layoutParams2).width = i5;
        }
        int i6 = this.L0;
        if (i6 > 0) {
            ((ViewGroup.MarginLayoutParams) layoutParams2).height = i6;
        }
        this.g1.setText(this.N0);
        ColorStateList colorStateList = this.R0;
        if (colorStateList != null) {
            this.g1.setTextColor(colorStateList);
        }
        int i7 = this.P0;
        if (i7 > 0) {
            this.g1.setTextSize(0, (float) i7);
        }
        if (!this.X0) {
            this.h1.setVisibility(0);
            this.e1.setVisibility(0);
            this.f1.setVisibility(8);
            if (this.M0) {
                this.e1.setVisibility(0);
            } else {
                this.e1.setVisibility(8);
            }
            this.h1.setText(this.O0);
            ColorStateList colorStateList2 = this.S0;
            if (colorStateList2 != null) {
                this.h1.setTextColor(colorStateList2);
            }
            int i8 = this.Q0;
            if (i8 > 0) {
                this.h1.setTextSize(0, (float) i8);
            }
        } else {
            this.f1.setVisibility(0);
            this.h1.setVisibility(8);
            this.e1.setVisibility(8);
        }
        View view = this.i1;
        if (this.T0) {
            i2 = 0;
        }
        view.setVisibility(i2);
        ColorStateList colorStateList3 = this.U0;
        if (colorStateList3 != null) {
            this.i1.setBackgroundColor(colorStateList3.getDefaultColor());
        }
        ConstraintLayout.LayoutParams layoutParams3 = (ConstraintLayout.LayoutParams) this.i1.getLayoutParams();
        ((ViewGroup.MarginLayoutParams) layoutParams3).rightMargin = this.W0;
        ((ViewGroup.MarginLayoutParams) layoutParams3).leftMargin = this.V0;
    }

    public boolean c() {
        return this.f1.isChecked();
    }

    public void d() {
        this.e1.setVisibility(8);
    }

    public void e() {
        SwitchCompat switchCompat = this.f1;
        switchCompat.setChecked(!switchCompat.isChecked());
    }

    public ImageView getIvLeft() {
        return this.d1;
    }

    public SwitchCompat getRightSwitch() {
        return this.f1;
    }

    /* access modifiers changed from: protected */
    public void onMeasure(int i, int i2) {
        super.onMeasure(i, this.c1);
    }

    public void setChecked(boolean z) {
        this.f1.setChecked(z);
    }

    public void setLeftImageRes(int i) {
        ImageView imageView = this.d1;
        if (imageView != null) {
            imageView.setImageResource(i);
        }
    }

    public void setLeftText(String str) {
        TextView textView = this.g1;
        if (textView != null) {
            if (str == null) {
                str = "";
            }
            textView.setText(str);
        }
    }

    public void setRightText(CharSequence charSequence) {
        TextView textView = this.h1;
        if (textView != null) {
            textView.setText(charSequence);
        }
    }

    public void setRightTextHint(String str) {
        TextView textView = this.h1;
        if (textView != null) {
            textView.setHint(str);
        }
    }

    public ItemView(Context context, @Nullable AttributeSet attributeSet) {
        this(context, attributeSet, 0);
    }

    public ItemView(Context context, @Nullable AttributeSet attributeSet, int i) {
        super(context, attributeSet, i);
        this.f17527a = context;
        a(attributeSet);
        b();
    }
}
