package com.niming.framework.widget;

import android.content.Context;
import android.content.res.TypedArray;
import android.graphics.drawable.GradientDrawable;
import android.graphics.drawable.StateListDrawable;
import android.os.Build;
import android.util.AttributeSet;
import android.view.View;
import androidx.appcompat.widget.AppCompatTextView;
import com.niming.framework.R;

public class RedDotView extends AppCompatTextView {
    private int I0;
    private int J0;
    private int K0;
    private int L0;
    private boolean M0;
    private boolean N0;

    /* renamed from: a  reason: collision with root package name */
    private Context f17530a;

    /* renamed from: b  reason: collision with root package name */
    private GradientDrawable f17531b;

    public RedDotView(Context context) {
        this(context, null);
    }

    private void m(Context context, AttributeSet attributeSet) {
        TypedArray obtainStyledAttributes = context.obtainStyledAttributes(attributeSet, R.styleable.RedDotView);
        this.I0 = obtainStyledAttributes.getColor(R.styleable.RedDotView_mv_backgroundColor, 0);
        this.J0 = obtainStyledAttributes.getDimensionPixelSize(R.styleable.RedDotView_mv_cornerRadius, 0);
        this.K0 = obtainStyledAttributes.getDimensionPixelSize(R.styleable.RedDotView_mv_strokeWidth, 0);
        this.L0 = obtainStyledAttributes.getColor(R.styleable.RedDotView_mv_strokeColor, 0);
        this.M0 = obtainStyledAttributes.getBoolean(R.styleable.RedDotView_mv_isRadiusHalfHeight, false);
        this.N0 = obtainStyledAttributes.getBoolean(R.styleable.RedDotView_mv_isWidthHeightEqual, true);
        obtainStyledAttributes.recycle();
    }

    private void o(GradientDrawable gradientDrawable, int i, int i2) {
        gradientDrawable.setColor(i);
        gradientDrawable.setCornerRadius((float) this.J0);
        gradientDrawable.setStroke(this.K0, i2);
    }

    public int getBackgroundColor() {
        return this.I0;
    }

    public int getCornerRadius() {
        return this.J0;
    }

    public int getStrokeColor() {
        return this.L0;
    }

    public int getStrokeWidth() {
        return this.K0;
    }

    /* access modifiers changed from: protected */
    public int j(float f) {
        return (int) ((f * this.f17530a.getResources().getDisplayMetrics().density) + 0.5f);
    }

    public boolean k() {
        return this.M0;
    }

    public boolean l() {
        return this.N0;
    }

    public void n() {
        StateListDrawable stateListDrawable = new StateListDrawable();
        o(this.f17531b, this.I0, this.L0);
        stateListDrawable.addState(new int[]{-16842919}, this.f17531b);
        if (Build.VERSION.SDK_INT >= 16) {
            setBackground(stateListDrawable);
        } else {
            setBackgroundDrawable(stateListDrawable);
        }
    }

    /* access modifiers changed from: protected */
    @Override // androidx.appcompat.widget.AppCompatTextView
    public void onLayout(boolean z, int i, int i2, int i3, int i4) {
        super.onLayout(z, i, i2, i3, i4);
        if (k()) {
            setCornerRadius(getHeight() / 2);
        } else {
            n();
        }
    }

    /* access modifiers changed from: protected */
    @Override // androidx.appcompat.widget.AppCompatTextView
    public void onMeasure(int i, int i2) {
        if (!l() || getWidth() <= 0 || getHeight() <= 0) {
            super.onMeasure(i, i2);
            return;
        }
        int makeMeasureSpec = View.MeasureSpec.makeMeasureSpec(Math.max(getWidth(), getHeight()), 1073741824);
        super.onMeasure(makeMeasureSpec, makeMeasureSpec);
    }

    /* access modifiers changed from: protected */
    public int p(float f) {
        return (int) ((f * this.f17530a.getResources().getDisplayMetrics().scaledDensity) + 0.5f);
    }

    public void setBackgroundColor(int i) {
        this.I0 = i;
        n();
    }

    public void setCornerRadius(int i) {
        this.J0 = j((float) i);
        n();
    }

    public void setIsRadiusHalfHeight(boolean z) {
        this.M0 = z;
        n();
    }

    public void setIsWidthHeightEqual(boolean z) {
        this.N0 = z;
        n();
    }

    public void setStrokeColor(int i) {
        this.L0 = i;
        n();
    }

    public void setStrokeWidth(int i) {
        this.K0 = j((float) i);
        n();
    }

    public RedDotView(Context context, AttributeSet attributeSet) {
        this(context, attributeSet, 0);
    }

    public RedDotView(Context context, AttributeSet attributeSet, int i) {
        super(context, attributeSet, i);
        this.f17531b = new GradientDrawable();
        this.f17530a = context;
        m(context, attributeSet);
    }
}
