package com.niming.framework.widget;

import android.content.Context;
import android.content.res.TypedArray;
import android.util.AttributeSet;
import android.util.DisplayMetrics;
import android.view.LayoutInflater;
import android.widget.ImageView;
import android.widget.RelativeLayout;
import androidx.core.content.d;
import com.niming.framework.R;

public class RightMenu extends RelativeLayout {
    private int I0;
    private boolean J0;
    private ImageView K0;
    private RedDotView L0;

    /* renamed from: a  reason: collision with root package name */
    private Context f17532a;

    /* renamed from: b  reason: collision with root package name */
    private int f17533b;

    public RightMenu(Context context) {
        this(context, null);
    }

    private void a(Context context, AttributeSet attributeSet) {
        TypedArray obtainStyledAttributes = context.obtainStyledAttributes(attributeSet, R.styleable.RightMenu);
        this.I0 = obtainStyledAttributes.getResourceId(R.styleable.RightMenu_rm_icon, 0);
        this.f17533b = obtainStyledAttributes.getInt(R.styleable.RightMenu_rm_red_num, 0);
        this.J0 = obtainStyledAttributes.getBoolean(R.styleable.RightMenu_rm_show_num, true);
        obtainStyledAttributes.recycle();
    }

    private void b() {
        LayoutInflater.from(this.f17532a).inflate(R.layout.view_right_menu, this);
        this.K0 = (ImageView) findViewById(R.id.iv_icon);
        this.L0 = (RedDotView) findViewById(R.id.rtv_msg_tip);
        int i = this.I0;
        if (i != 0) {
            this.K0.setImageDrawable(d.i(this.f17532a, i));
        }
        if (this.J0) {
            RedDotView redDotView = this.L0;
            redDotView.setText(this.f17533b + "");
        } else {
            this.L0.setText("");
        }
        if (this.f17533b > 0) {
            this.L0.setVisibility(0);
        } else {
            this.L0.setVisibility(8);
        }
    }

    public void c(RedDotView redDotView, int i) {
        if (redDotView != null) {
            RelativeLayout.LayoutParams layoutParams = (RelativeLayout.LayoutParams) redDotView.getLayoutParams();
            DisplayMetrics displayMetrics = redDotView.getResources().getDisplayMetrics();
            redDotView.setVisibility(0);
            if (!this.J0) {
                redDotView.setStrokeWidth(0);
                redDotView.setText("");
                float f = displayMetrics.density;
                layoutParams.width = (int) (f * 5.0f);
                layoutParams.height = (int) (f * 5.0f);
                redDotView.setLayoutParams(layoutParams);
                return;
            }
            float f2 = displayMetrics.density;
            layoutParams.height = (int) (f2 * 10.0f);
            if (i > 0 && i < 10) {
                layoutParams.width = (int) (f2 * 10.0f);
                redDotView.setText(i + "");
            } else if (i <= 9 || i >= 100) {
                layoutParams.width = -2;
                redDotView.setPadding((int) (f2 * 6.0f), 0, (int) (f2 * 6.0f), 0);
                redDotView.setText("99+");
            } else {
                layoutParams.width = -2;
                redDotView.setPadding((int) (f2 * 6.0f), 0, (int) (f2 * 6.0f), 0);
                redDotView.setText(i + "");
            }
            redDotView.setLayoutParams(layoutParams);
        }
    }

    public void setRedNum(int i) {
        this.f17533b = i;
        c(this.L0, i);
        if (i > 0) {
            this.L0.setVisibility(0);
        } else {
            this.L0.setVisibility(8);
        }
    }

    public RightMenu(Context context, AttributeSet attributeSet) {
        this(context, attributeSet, 0);
    }

    public RightMenu(Context context, AttributeSet attributeSet, int i) {
        super(context, attributeSet, i);
        this.f17533b = 0;
        this.f17532a = context;
        a(context, attributeSet);
        b();
    }
}
