package com.niming.greendao;

import android.database.Cursor;
import android.database.sqlite.SQLiteStatement;
import androidx.constraintlayout.core.motion.h.w;
import com.liulishuo.filedownloader.model.FileDownloadModel;
import com.niming.weipa.model.VideoInfo2;
import com.niming.weipa.ui.download.model.UserBean;
import com.niming.weipa.ui.download.model.b;
import com.niming.weipa.ui.download.model.d;
import com.niming.weipa.ui.download.model.e;
import java.util.List;
import org.greenrobot.greendao.AbstractDao;
import org.greenrobot.greendao.Property;
import org.greenrobot.greendao.database.Database;
import org.greenrobot.greendao.database.DatabaseStatement;
import org.greenrobot.greendao.internal.DaoConfig;

public class VideoInfoCacheDao extends AbstractDao<e, Long> {
    public static final String TABLENAME = "VIDEO_INFO_CACHE";

    /* renamed from: a  reason: collision with root package name */
    private final d f17623a = new d();

    /* renamed from: b  reason: collision with root package name */
    private final b f17624b = new b();

    public static class Properties {
        public static final Property Category = new Property(18, String.class, "category", false, "CATEGORY");
        public static final Property Coins;
        public static final Property Comment;
        public static final Property Cover = new Property(3, String.class, "cover", false, "COVER");
        public static final Property Created_at = new Property(13, String.class, "created_at", false, "CREATED_AT");
        public static final Property Deleted_at = new Property(16, String.class, "deleted_at", false, "DELETED_AT");
        public static final Property Duration;
        public static final Property From;
        public static final Property Id;
        public static final Property IsHiddenAvatar = new Property(22, Boolean.TYPE, "isHiddenAvatar", false, "IS_HIDDEN_AVATAR");
        public static final Property Is_free;
        public static final Property Is_like;
        public static final Property Is_long;
        public static final Property Like;
        public static final Property Mu = new Property(7, String.class, "mu", false, "MU");
        public static final Property Smu = new Property(6, String.class, "smu", false, "SMU");
        public static final Property Status;
        public static final Property Title = new Property(2, String.class, "title", false, "TITLE");
        public static final Property Uid = new Property(10, String.class, "uid", false, "UID");
        public static final Property Updated_at = new Property(15, String.class, "updated_at", false, "UPDATED_AT");
        public static final Property User = new Property(17, String.class, "user", false, "USER");
        public static final Property WatchTime = new Property(21, Long.TYPE, "watchTime", false, "WATCH_TIME");
        public static final Property _id = new Property(0, Long.class, FileDownloadModel.I0, true, FileDownloadModel.I0);

        static {
            Class cls = Integer.TYPE;
            Id = new Property(1, cls, "id", false, "ID");
            Status = new Property(4, cls, "status", false, "STATUS");
            Coins = new Property(5, cls, "coins", false, "COINS");
            Like = new Property(8, cls, "like", false, "LIKE");
            Comment = new Property(9, cls, "comment", false, "COMMENT");
            Is_free = new Property(11, cls, "is_free", false, "IS_FREE");
            From = new Property(12, cls, w.h.f1708c, false, "FROM");
            Duration = new Property(14, cls, w.h.f1707b, false, "DURATION");
            Is_long = new Property(19, cls, "is_long", false, "IS_LONG");
            Is_like = new Property(20, cls, "is_like", false, "IS_LIKE");
        }
    }

    public VideoInfoCacheDao(DaoConfig daoConfig) {
        super(daoConfig);
    }

    public static void c(Database database, boolean z) {
        String str = z ? "IF NOT EXISTS " : "";
        database.execSQL("CREATE TABLE " + str + "\"VIDEO_INFO_CACHE\" (\"_id\" INTEGER PRIMARY KEY AUTOINCREMENT ,\"ID\" INTEGER NOT NULL ,\"TITLE\" TEXT,\"COVER\" TEXT,\"STATUS\" INTEGER NOT NULL ,\"COINS\" INTEGER NOT NULL ,\"SMU\" TEXT,\"MU\" TEXT,\"LIKE\" INTEGER NOT NULL ,\"COMMENT\" INTEGER NOT NULL ,\"UID\" TEXT,\"IS_FREE\" INTEGER NOT NULL ,\"FROM\" INTEGER NOT NULL ,\"CREATED_AT\" TEXT,\"DURATION\" INTEGER NOT NULL ,\"UPDATED_AT\" TEXT,\"DELETED_AT\" TEXT,\"USER\" TEXT,\"CATEGORY\" TEXT,\"IS_LONG\" INTEGER NOT NULL ,\"IS_LIKE\" INTEGER NOT NULL ,\"WATCH_TIME\" INTEGER NOT NULL ,\"IS_HIDDEN_AVATAR\" INTEGER NOT NULL );");
    }

    public static void d(Database database, boolean z) {
        StringBuilder sb = new StringBuilder();
        sb.append("DROP TABLE ");
        sb.append(z ? "IF EXISTS " : "");
        sb.append("\"VIDEO_INFO_CACHE\"");
        database.execSQL(sb.toString());
    }

    /* access modifiers changed from: protected */
    /* renamed from: a */
    public final void bindValues(SQLiteStatement sQLiteStatement, e eVar) {
        sQLiteStatement.clearBindings();
        Long w = eVar.w();
        if (w != null) {
            sQLiteStatement.bindLong(1, w.longValue());
        }
        sQLiteStatement.bindLong(2, (long) eVar.i());
        String r = eVar.r();
        if (r != null) {
            sQLiteStatement.bindString(3, r);
        }
        String d2 = eVar.d();
        if (d2 != null) {
            sQLiteStatement.bindString(4, d2);
        }
        sQLiteStatement.bindLong(5, (long) eVar.q());
        sQLiteStatement.bindLong(6, (long) eVar.b());
        String p = eVar.p();
        if (p != null) {
            sQLiteStatement.bindString(7, p);
        }
        String o = eVar.o();
        if (o != null) {
            sQLiteStatement.bindString(8, o);
        }
        sQLiteStatement.bindLong(9, (long) eVar.n());
        sQLiteStatement.bindLong(10, (long) eVar.c());
        String s = eVar.s();
        if (s != null) {
            sQLiteStatement.bindString(11, s);
        }
        sQLiteStatement.bindLong(12, (long) eVar.k());
        sQLiteStatement.bindLong(13, (long) eVar.h());
        String e2 = eVar.e();
        if (e2 != null) {
            sQLiteStatement.bindString(14, e2);
        }
        sQLiteStatement.bindLong(15, (long) eVar.g());
        String t = eVar.t();
        if (t != null) {
            sQLiteStatement.bindString(16, t);
        }
        String f = eVar.f();
        if (f != null) {
            sQLiteStatement.bindString(17, f);
        }
        UserBean u = eVar.u();
        if (u != null) {
            sQLiteStatement.bindString(18, this.f17623a.convertToDatabaseValue(u));
        }
        List<VideoInfo2.CategoryBean> a2 = eVar.a();
        if (a2 != null) {
            sQLiteStatement.bindString(19, this.f17624b.convertToDatabaseValue(a2));
        }
        sQLiteStatement.bindLong(20, (long) eVar.m());
        sQLiteStatement.bindLong(21, (long) eVar.l());
        sQLiteStatement.bindLong(22, eVar.v());
        sQLiteStatement.bindLong(23, eVar.j() ? 1 : 0);
    }

    /* access modifiers changed from: protected */
    /* renamed from: b */
    public final void bindValues(DatabaseStatement databaseStatement, e eVar) {
        databaseStatement.clearBindings();
        Long w = eVar.w();
        if (w != null) {
            databaseStatement.bindLong(1, w.longValue());
        }
        databaseStatement.bindLong(2, (long) eVar.i());
        String r = eVar.r();
        if (r != null) {
            databaseStatement.bindString(3, r);
        }
        String d2 = eVar.d();
        if (d2 != null) {
            databaseStatement.bindString(4, d2);
        }
        databaseStatement.bindLong(5, (long) eVar.q());
        databaseStatement.bindLong(6, (long) eVar.b());
        String p = eVar.p();
        if (p != null) {
            databaseStatement.bindString(7, p);
        }
        String o = eVar.o();
        if (o != null) {
            databaseStatement.bindString(8, o);
        }
        databaseStatement.bindLong(9, (long) eVar.n());
        databaseStatement.bindLong(10, (long) eVar.c());
        String s = eVar.s();
        if (s != null) {
            databaseStatement.bindString(11, s);
        }
        databaseStatement.bindLong(12, (long) eVar.k());
        databaseStatement.bindLong(13, (long) eVar.h());
        String e2 = eVar.e();
        if (e2 != null) {
            databaseStatement.bindString(14, e2);
        }
        databaseStatement.bindLong(15, (long) eVar.g());
        String t = eVar.t();
        if (t != null) {
            databaseStatement.bindString(16, t);
        }
        String f = eVar.f();
        if (f != null) {
            databaseStatement.bindString(17, f);
        }
        UserBean u = eVar.u();
        if (u != null) {
            databaseStatement.bindString(18, this.f17623a.convertToDatabaseValue(u));
        }
        List<VideoInfo2.CategoryBean> a2 = eVar.a();
        if (a2 != null) {
            databaseStatement.bindString(19, this.f17624b.convertToDatabaseValue(a2));
        }
        databaseStatement.bindLong(20, (long) eVar.m());
        databaseStatement.bindLong(21, (long) eVar.l());
        databaseStatement.bindLong(22, eVar.v());
        databaseStatement.bindLong(23, eVar.j() ? 1 : 0);
    }

    /* renamed from: e */
    public Long getKey(e eVar) {
        if (eVar != null) {
            return eVar.w();
        }
        return null;
    }

    /* renamed from: f */
    public boolean hasKey(e eVar) {
        return eVar.w() != null;
    }

    /* renamed from: g */
    public e readEntity(Cursor cursor, int i) {
        UserBean userBean;
        int i2;
        int i3 = i + 0;
        Long valueOf = cursor.isNull(i3) ? null : Long.valueOf(cursor.getLong(i3));
        int i4 = cursor.getInt(i + 1);
        int i5 = i + 2;
        String string = cursor.isNull(i5) ? null : cursor.getString(i5);
        int i6 = i + 3;
        String string2 = cursor.isNull(i6) ? null : cursor.getString(i6);
        int i7 = cursor.getInt(i + 4);
        int i8 = cursor.getInt(i + 5);
        int i9 = i + 6;
        String string3 = cursor.isNull(i9) ? null : cursor.getString(i9);
        int i10 = i + 7;
        String string4 = cursor.isNull(i10) ? null : cursor.getString(i10);
        int i11 = cursor.getInt(i + 8);
        int i12 = cursor.getInt(i + 9);
        int i13 = i + 10;
        String string5 = cursor.isNull(i13) ? null : cursor.getString(i13);
        int i14 = cursor.getInt(i + 11);
        int i15 = cursor.getInt(i + 12);
        int i16 = i + 13;
        String string6 = cursor.isNull(i16) ? null : cursor.getString(i16);
        int i17 = cursor.getInt(i + 14);
        int i18 = i + 15;
        String string7 = cursor.isNull(i18) ? null : cursor.getString(i18);
        int i19 = i + 16;
        String string8 = cursor.isNull(i19) ? null : cursor.getString(i19);
        int i20 = i + 17;
        if (cursor.isNull(i20)) {
            i2 = i15;
            userBean = null;
        } else {
            i2 = i15;
            userBean = this.f17623a.convertToEntityProperty(cursor.getString(i20));
        }
        int i21 = i + 18;
        return new e(valueOf, i4, string, string2, i7, i8, string3, string4, i11, i12, string5, i14, i2, string6, i17, string7, string8, userBean, cursor.isNull(i21) ? null : this.f17624b.convertToEntityProperty(cursor.getString(i21)), cursor.getInt(i + 19), cursor.getInt(i + 20), cursor.getLong(i + 21), cursor.getShort(i + 22) != 0);
    }

    /* renamed from: h */
    public void readEntity(Cursor cursor, e eVar, int i) {
        int i2 = i + 0;
        List<VideoInfo2.CategoryBean> list = null;
        eVar.V(cursor.isNull(i2) ? null : Long.valueOf(cursor.getLong(i2)));
        eVar.H(cursor.getInt(i + 1));
        int i3 = i + 2;
        eVar.Q(cursor.isNull(i3) ? null : cursor.getString(i3));
        int i4 = i + 3;
        eVar.B(cursor.isNull(i4) ? null : cursor.getString(i4));
        eVar.P(cursor.getInt(i + 4));
        eVar.z(cursor.getInt(i + 5));
        int i5 = i + 6;
        eVar.O(cursor.isNull(i5) ? null : cursor.getString(i5));
        int i6 = i + 7;
        eVar.N(cursor.isNull(i6) ? null : cursor.getString(i6));
        eVar.M(cursor.getInt(i + 8));
        eVar.A(cursor.getInt(i + 9));
        int i7 = i + 10;
        eVar.R(cursor.isNull(i7) ? null : cursor.getString(i7));
        eVar.J(cursor.getInt(i + 11));
        eVar.F(cursor.getInt(i + 12));
        int i8 = i + 13;
        eVar.C(cursor.isNull(i8) ? null : cursor.getString(i8));
        eVar.E(cursor.getInt(i + 14));
        int i9 = i + 15;
        eVar.S(cursor.isNull(i9) ? null : cursor.getString(i9));
        int i10 = i + 16;
        eVar.D(cursor.isNull(i10) ? null : cursor.getString(i10));
        int i11 = i + 17;
        eVar.T(cursor.isNull(i11) ? null : this.f17623a.convertToEntityProperty(cursor.getString(i11)));
        int i12 = i + 18;
        if (!cursor.isNull(i12)) {
            list = this.f17624b.convertToEntityProperty(cursor.getString(i12));
        }
        eVar.y(list);
        eVar.L(cursor.getInt(i + 19));
        eVar.K(cursor.getInt(i + 20));
        eVar.U(cursor.getLong(i + 21));
        eVar.I(cursor.getShort(i + 22) != 0);
    }

    /* renamed from: i */
    public Long readKey(Cursor cursor, int i) {
        int i2 = i + 0;
        if (cursor.isNull(i2)) {
            return null;
        }
        return Long.valueOf(cursor.getLong(i2));
    }

    /* access modifiers changed from: protected */
    @Override // org.greenrobot.greendao.AbstractDao
    public final boolean isEntityUpdateable() {
        return true;
    }

    /* access modifiers changed from: protected */
    /* renamed from: j */
    public final Long updateKeyAfterInsert(e eVar, long j) {
        eVar.V(Long.valueOf(j));
        return Long.valueOf(j);
    }

    public VideoInfoCacheDao(DaoConfig daoConfig, b bVar) {
        super(daoConfig, bVar);
    }
}
