package com.niming.weipa.browser.activity;

import android.annotation.TargetApi;
import android.app.Activity;
import android.app.DownloadManager;
import android.content.ClipData;
import android.content.Context;
import android.content.Intent;
import android.content.pm.PackageInfo;
import android.graphics.Bitmap;
import android.net.Uri;
import android.net.http.SslError;
import android.os.Build;
import android.os.Bundle;
import android.os.Environment;
import android.text.TextUtils;
import android.view.View;
import android.view.ViewGroup;
import android.view.ViewParent;
import android.webkit.CookieManager;
import android.webkit.DownloadListener;
import android.webkit.SslErrorHandler;
import android.webkit.URLUtil;
import android.webkit.ValueCallback;
import android.webkit.WebBackForwardList;
import android.webkit.WebChromeClient;
import android.webkit.WebHistoryItem;
import android.webkit.WebResourceError;
import android.webkit.WebResourceRequest;
import android.webkit.WebResourceResponse;
import android.webkit.WebSettings;
import android.webkit.WebView;
import android.webkit.WebViewClient;
import androidx.annotation.Nullable;
import androidx.annotation.RequiresApi;
import androidx.appcompat.widget.Toolbar;
import butterknife.BindView;
import com.blankj.utilcode.util.LogUtils;
import com.blankj.utilcode.util.ToastUtils;
import com.blankj.utilcode.util.e;
import com.hj.chen.new1126.R;
import com.niming.framework.widget.TitleView;
import com.niming.weipa.base.BaseActivity;
import com.niming.weipa.browser.utils.AndroidInterface;
import com.niming.weipa.utils.h0;
import java.util.List;
import ren.yale.android.cachewebviewlib.g;

public class WebViewActivity extends BaseActivity {
    public static final int I0 = 121;
    public static final int J0 = 2223;

    /* renamed from: a  reason: collision with root package name */
    public static final String f17696a = "url_key";

    /* renamed from: b  reason: collision with root package name */
    private static final int f17697b = 10000;
    private String K0;
    private boolean L0;
    private boolean M0;
    private ValueCallback<Uri> N0;
    private ValueCallback<Uri[]> O0;
    boolean P0 = true;
    @BindView(R.id.titleView)
    TitleView titleView;
    @BindView(R.id.toolbar)
    Toolbar toolbar;
    @BindView(R.id.webview)
    WebView webview;

    /* access modifiers changed from: package-private */
    public class a extends WebChromeClient {
        a() {
        }

        public void a(ValueCallback<Uri> valueCallback) {
            WebViewActivity.this.N0 = valueCallback;
            WebViewActivity.this.w0();
        }

        public void b(ValueCallback valueCallback, String str) {
            WebViewActivity.this.N0 = valueCallback;
            WebViewActivity.this.w0();
        }

        public void c(ValueCallback<Uri> valueCallback, String str, String str2) {
            WebViewActivity.this.N0 = valueCallback;
            WebViewActivity.this.w0();
        }

        public void onReceivedTitle(WebView webView, String str) {
            super.onReceivedTitle(webView, str);
            if (!TextUtils.isEmpty(str)) {
                if (str.length() > 20) {
                    str = str.substring(0, 20).concat("...");
                }
                WebViewActivity.this.titleView.setTitle(str);
            }
        }

        @Override // android.webkit.WebChromeClient
        public boolean onShowFileChooser(WebView webView, ValueCallback<Uri[]> valueCallback, WebChromeClient.FileChooserParams fileChooserParams) {
            WebViewActivity.this.O0 = valueCallback;
            WebViewActivity.this.w0();
            return true;
        }
    }

    /* access modifiers changed from: package-private */
    public class c implements DownloadListener {
        c() {
        }

        public void onDownloadStart(String str, String str2, String str3, String str4, long j) {
            WebViewActivity.this.p0(str);
        }
    }

    public static void A0(Context context, String str, boolean z, boolean z2) {
        if (!TextUtils.isEmpty(str)) {
            Intent intent = new Intent(context, WebViewActivity.class);
            intent.putExtra("url_key", str);
            intent.putExtra("isChace", z);
            intent.putExtra("showTitle", z2);
            context.startActivity(intent);
        }
    }

    private void B0(String str) {
        try {
            Intent parseUri = Intent.parseUri(str, 1);
            parseUri.addCategory("android.intent.category.BROWSABLE");
            parseUri.setComponent(null);
            startActivity(parseUri);
        } catch (Exception e2) {
            e2.printStackTrace();
        }
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    private void C0(String str, WebView webView) {
        if (str.startsWith(c.a.b.c.a.l) || str.startsWith("weixin://wap/pay?")) {
            Intent intent = new Intent();
            intent.setAction("android.intent.action.VIEW");
            intent.setData(Uri.parse(str));
            startActivity(intent);
        } else if (str.contains("platformapi/startapp")) {
            try {
                Intent parseUri = Intent.parseUri(str, 1);
                parseUri.addCategory("android.intent.category.BROWSABLE");
                parseUri.setComponent(null);
                startActivity(parseUri);
            } catch (Exception unused) {
            }
        } else if (Build.VERSION.SDK_INT > 23 && str.contains("platformapi") && str.contains("startapp")) {
            Intent parseUri2 = Intent.parseUri(str, 1);
            parseUri2.addCategory("android.intent.category.BROWSABLE");
            parseUri2.setComponent(null);
            startActivity(parseUri2);
        } else if (str.contains("download")) {
            startActivity(new Intent("android.intent.action.VIEW", Uri.parse(str)));
        } else if (this.L0) {
            g.l().e(this.webview, str);
        } else {
            webView.loadUrl(str);
        }
    }

    private boolean D0(String str) {
        if (str.startsWith("weixin://wap/pay?") && this.P0) {
            if (s0(this.activity)) {
                this.P0 = false;
                Intent intent = new Intent();
                intent.setAction("android.intent.action.VIEW");
                intent.setData(Uri.parse(str));
                this.activity.startActivity(intent);
                return true;
            }
            ToastUtils.V("您未安装微信~ 请安装微信并支付，祝您生活愉快");
            this.webview.goBack();
        }
        return true;
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    private void p0(String str) {
        Intent intent = new Intent("android.intent.action.VIEW");
        intent.addCategory("android.intent.category.BROWSABLE");
        intent.setData(Uri.parse(str));
        startActivity(intent);
    }

    private void q0(String str, String str2, String str3) {
        DownloadManager.Request request = new DownloadManager.Request(Uri.parse(str));
        request.allowScanningByMediaScanner();
        request.setNotificationVisibility(1);
        request.setAllowedOverMetered(false);
        request.setVisibleInDownloadsUi(false);
        request.setAllowedOverRoaming(true);
        request.setAllowedNetworkTypes(2);
        String guessFileName = URLUtil.guessFileName(str, str2, str3);
        LogUtils.l("fileName:{}", guessFileName);
        request.setDestinationInExternalPublicDir(Environment.DIRECTORY_DOWNLOADS, guessFileName);
        LogUtils.l("downloadId:{}", Long.valueOf(((DownloadManager) getSystemService("download")).enqueue(request)));
    }

    private void r0() {
        WebSettings settings = this.webview.getSettings();
        settings.setJavaScriptEnabled(true);
        settings.setDomStorageEnabled(true);
        settings.setAllowFileAccess(true);
        settings.setUseWideViewPort(true);
        settings.setLoadWithOverviewMode(true);
        settings.setSupportZoom(true);
        settings.setBuiltInZoomControls(false);
        settings.setDisplayZoomControls(false);
        settings.setJavaScriptCanOpenWindowsAutomatically(true);
        settings.setLayoutAlgorithm(WebSettings.LayoutAlgorithm.NARROW_COLUMNS);
        settings.setUseWideViewPort(true);
        this.webview.addJavascriptInterface(new AndroidInterface(this), "androidWP");
        settings.setDefaultTextEncodingName("UTF-8");
        int i = Build.VERSION.SDK_INT;
        if (i >= 16) {
            settings.setAllowFileAccessFromFileURLs(true);
            settings.setAllowUniversalAccessFromFileURLs(true);
        }
        if (i >= 21) {
            CookieManager.getInstance();
        }
        if (i >= 21) {
            settings.setMixedContentMode(2);
        }
        this.webview.setDownloadListener(new c());
    }

    /* access modifiers changed from: private */
    /* renamed from: t0 */
    public /* synthetic */ void u0(View view) {
        onBackPressed();
    }

    @TargetApi(21)
    private void v0(int i, int i2, Intent intent) {
        Uri[] uriArr;
        if (i == 10000 && this.O0 != null) {
            if (i2 != -1 || intent == null) {
                uriArr = null;
            } else {
                String dataString = intent.getDataString();
                ClipData clipData = intent.getClipData();
                if (clipData != null) {
                    uriArr = new Uri[clipData.getItemCount()];
                    for (int i3 = 0; i3 < clipData.getItemCount(); i3++) {
                        uriArr[i3] = clipData.getItemAt(i3).getUri();
                    }
                } else {
                    uriArr = null;
                }
                if (dataString != null) {
                    uriArr = new Uri[]{Uri.parse(dataString)};
                }
            }
            this.O0.onReceiveValue(uriArr);
            this.O0 = null;
        }
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    private void w0() {
        Intent intent = new Intent("android.intent.action.GET_CONTENT");
        intent.addCategory("android.intent.category.OPENABLE");
        intent.setType("*/*");
        startActivityForResult(Intent.createChooser(intent, "Image Chooser"), 10000);
    }

    private void x0() {
        this.webview.setWebChromeClient(new a());
    }

    private void y0() {
        this.webview.setWebViewClient(new b());
    }

    public static void z0(Activity activity, String str, boolean z, boolean z2) {
        if (!TextUtils.isEmpty(str)) {
            Intent intent = new Intent(activity, WebViewActivity.class);
            intent.putExtra("url_key", str);
            intent.putExtra("isChace", z);
            intent.putExtra("showTitle", z2);
            activity.startActivityForResult(intent, 121);
        }
    }

    @Override // com.niming.framework.base.f
    public int getViewRes() {
        return R.layout.activity_webview_game;
    }

    @Override // com.niming.weipa.base.BaseActivity, com.niming.framework.base.f
    public void initView(Bundle bundle) {
        super.initView(bundle);
        this.K0 = getIntent().getStringExtra("url_key");
        int i = 0;
        this.L0 = getIntent().getBooleanExtra("isChace", false);
        boolean booleanExtra = getIntent().getBooleanExtra("showTitle", false);
        this.M0 = booleanExtra;
        Toolbar toolbar2 = this.toolbar;
        if (!booleanExtra) {
            i = 8;
        }
        toolbar2.setVisibility(i);
        r0();
        y0();
        x0();
        if (bundle == null) {
            if (this.L0) {
                g.l().e(this.webview, this.K0);
            } else {
                this.webview.loadUrl(this.K0);
            }
        }
        this.titleView.i(R.drawable.icon_white_arrow_left, new f(this));
    }

    public void o0() {
        WebView webView = this.webview;
        if (webView != null) {
            ViewParent parent = webView.getParent();
            if (parent != null) {
                ((ViewGroup) parent).removeView(this.webview);
            }
            this.webview.stopLoading();
            this.webview.getSettings().setJavaScriptEnabled(false);
            this.webview.removeAllViews();
            this.webview.destroy();
        }
    }

    /* access modifiers changed from: protected */
    @Override // androidx.fragment.app.FragmentActivity
    public void onActivityResult(int i, int i2, Intent intent) {
        super.onActivityResult(i, i2, intent);
        if (i != 10000) {
            ValueCallback<Uri> valueCallback = this.N0;
            if (valueCallback != null) {
                valueCallback.onReceiveValue(null);
                this.N0 = null;
                return;
            }
            ValueCallback<Uri[]> valueCallback2 = this.O0;
            if (valueCallback2 != null) {
                valueCallback2.onReceiveValue(null);
                this.O0 = null;
            }
        } else if (this.N0 != null || this.O0 != null) {
            Uri data = (intent == null || i2 != -1) ? null : intent.getData();
            if (this.O0 != null) {
                v0(i, i2, intent);
                return;
            }
            ValueCallback<Uri> valueCallback3 = this.N0;
            if (valueCallback3 != null) {
                valueCallback3.onReceiveValue(data);
                this.N0 = null;
            }
        }
    }

    @Override // androidx.activity.ComponentActivity
    public void onBackPressed() {
        setResult(2223);
        boolean canGoBack = this.webview.canGoBack();
        WebBackForwardList copyBackForwardList = this.webview.copyBackForwardList();
        if (copyBackForwardList == null) {
            super.onBackPressed();
            return;
        }
        WebHistoryItem currentItem = copyBackForwardList.getCurrentItem();
        if (currentItem == null) {
            super.onBackPressed();
            return;
        }
        String originalUrl = currentItem.getOriginalUrl();
        if (TextUtils.isEmpty(originalUrl)) {
            super.onBackPressed();
            return;
        }
        LogUtils.l("stringExtra = " + this.K0);
        LogUtils.l("originalUrl = " + originalUrl);
        if (canGoBack && !originalUrl.equals(this.K0)) {
            if (!originalUrl.equals(this.K0 + "/index")) {
                this.webview.goBack();
                return;
            }
        }
        super.onBackPressed();
    }

    @Override // androidx.appcompat.app.AppCompatActivity, androidx.fragment.app.FragmentActivity
    public void onDestroy() {
        o0();
        super.onDestroy();
    }

    /* access modifiers changed from: protected */
    public void onRestoreInstanceState(Bundle bundle) {
        super.onRestoreInstanceState(bundle);
        this.webview.restoreState(bundle);
    }

    /* access modifiers changed from: protected */
    @Override // com.niming.weipa.base.BaseActivity, androidx.fragment.app.FragmentActivity
    public void onResume() {
        super.onResume();
        if (e.v() && !this.M0) {
            e.A(this, false);
        }
    }

    /* access modifiers changed from: protected */
    @Override // androidx.activity.ComponentActivity, androidx.core.app.ComponentActivity, androidx.appcompat.app.AppCompatActivity, androidx.fragment.app.FragmentActivity
    public void onSaveInstanceState(Bundle bundle) {
        super.onSaveInstanceState(bundle);
        this.webview.saveState(bundle);
    }

    public boolean s0(Context context) {
        List<PackageInfo> installedPackages = context.getPackageManager().getInstalledPackages(0);
        if (installedPackages != null) {
            for (int i = 0; i < installedPackages.size(); i++) {
                if (installedPackages.get(i).packageName.equals("com.tencent.mm")) {
                    return true;
                }
            }
        }
        return false;
    }

    /* access modifiers changed from: package-private */
    public class b extends WebViewClient {
        b() {
        }

        public void onLoadResource(WebView webView, String str) {
            super.onLoadResource(webView, str);
        }

        public void onPageFinished(WebView webView, String str) {
            super.onPageFinished(webView, str);
            WebViewActivity.this.setStatusComplete();
            if (e.v() && !WebViewActivity.this.M0) {
                e.A(WebViewActivity.this, false);
            }
        }

        public void onPageStarted(WebView webView, String str, Bitmap bitmap) {
            super.onPageStarted(webView, str, bitmap);
            WebViewActivity webViewActivity = WebViewActivity.this;
            webViewActivity.setStatusLoading(webViewActivity.webview);
        }

        @RequiresApi(api = 23)
        public void onReceivedError(WebView webView, WebResourceRequest webResourceRequest, WebResourceError webResourceError) {
            h0.a("shouldInterceptRequest", "onReceivedError ");
            webResourceError.getErrorCode();
            webResourceError.getDescription().toString();
            webResourceRequest.getUrl().toString();
            super.onReceivedError(webView, webResourceRequest, webResourceError);
        }

        public void onReceivedSslError(WebView webView, SslErrorHandler sslErrorHandler, SslError sslError) {
            sslErrorHandler.proceed();
        }

        @Override // android.webkit.WebViewClient
        @Nullable
        @TargetApi(21)
        public WebResourceResponse shouldInterceptRequest(WebView webView, WebResourceRequest webResourceRequest) {
            h0.a("shouldInterceptRequest", "shouldInterceptRequest");
            if (WebViewActivity.this.L0) {
                return g.l().a(webResourceRequest);
            }
            return super.shouldInterceptRequest(webView, webResourceRequest);
        }

        @Override // android.webkit.WebViewClient
        @TargetApi(21)
        public boolean shouldOverrideUrlLoading(WebView webView, WebResourceRequest webResourceRequest) {
            WebViewActivity.this.C0(webResourceRequest.getUrl().toString(), webView);
            return true;
        }

        @Override // android.webkit.WebViewClient
        public boolean shouldOverrideUrlLoading(WebView webView, String str) {
            WebViewActivity.this.C0(str, webView);
            return true;
        }

        @Override // android.webkit.WebViewClient
        @Nullable
        public WebResourceResponse shouldInterceptRequest(WebView webView, String str) {
            h0.a("shouldInterceptRequest", "shouldInterceptRequest url");
            if (WebViewActivity.this.L0) {
                return g.l().d(str);
            }
            return super.shouldInterceptRequest(webView, str);
        }
    }
}
