package com.niming.weipa.model;

import com.google.gson.annotations.SerializedName;
import com.ibm.icu.text.PluralRules;
import java.util.List;
import kotlin.Metadata;
import kotlin.jvm.internal.DefaultConstructorMarker;
import kotlin.jvm.internal.Intrinsics;
import org.jetbrains.annotations.NotNull;
import org.jetbrains.annotations.Nullable;

@Metadata(d1 = {"\u0000,\n\u0002\u0018\u0002\n\u0002\u0010\u0000\n\u0000\n\u0002\u0010 \n\u0002\u0018\u0002\n\u0002\b\t\n\u0002\u0010\u000b\n\u0002\b\u0002\n\u0002\u0010\b\n\u0000\n\u0002\u0010\u000e\n\u0002\b\u0002\b\b\u0018\u0000 \u00142\u00020\u0001:\u0001\u0014B!\u0012\f\u0010\u0002\u001a\b\u0012\u0004\u0012\u00020\u00040\u0003\u0012\f\u0010\u0005\u001a\b\u0012\u0004\u0012\u00020\u00040\u0003¢\u0006\u0002\u0010\u0006J\u000f\u0010\n\u001a\b\u0012\u0004\u0012\u00020\u00040\u0003HÆ\u0003J\u000f\u0010\u000b\u001a\b\u0012\u0004\u0012\u00020\u00040\u0003HÆ\u0003J)\u0010\f\u001a\u00020\u00002\u000e\b\u0002\u0010\u0002\u001a\b\u0012\u0004\u0012\u00020\u00040\u00032\u000e\b\u0002\u0010\u0005\u001a\b\u0012\u0004\u0012\u00020\u00040\u0003HÆ\u0001J\u0013\u0010\r\u001a\u00020\u000e2\b\u0010\u000f\u001a\u0004\u0018\u00010\u0001HÖ\u0003J\t\u0010\u0010\u001a\u00020\u0011HÖ\u0001J\t\u0010\u0012\u001a\u00020\u0013HÖ\u0001R\u001c\u0010\u0002\u001a\b\u0012\u0004\u0012\u00020\u00040\u00038\u0006X\u0004¢\u0006\b\n\u0000\u001a\u0004\b\u0007\u0010\bR\u001c\u0010\u0005\u001a\b\u0012\u0004\u0012\u00020\u00040\u00038\u0006X\u0004¢\u0006\b\n\u0000\u001a\u0004\b\t\u0010\b¨\u0006\u0015"}, d2 = {"Lcom/niming/weipa/model/TasksWithStatus;", "", "thirdPartyApps", "", "Lcom/niming/weipa/model/WelfareTask;", "welfareTasks", "(Ljava/util/List;Ljava/util/List;)V", "getThirdPartyApps", "()Ljava/util/List;", "getWelfareTasks", "component1", "component2", "copy", "equals", "", PluralRules.KEYWORD_OTHER, "hashCode", "", "toString", "", "Companion", "app_wuqudaoRelease"}, k = 1, mv = {1, 6, 0}, xi = 48)
/* compiled from: TasksWithStatus.kt */
public final class TasksWithStatus {
    @NotNull
    public static final Companion Companion = new Companion(null);
    @NotNull
    public static final String TAG = "TasksWithStatus";
    @SerializedName("tasks")
    @NotNull
    private final List<WelfareTask> thirdPartyApps;
    @SerializedName("daily_task")
    @NotNull
    private final List<WelfareTask> welfareTasks;

    @Metadata(d1 = {"\u0000\u0012\n\u0002\u0018\u0002\n\u0002\u0010\u0000\n\u0002\b\u0002\n\u0002\u0010\u000e\n\u0000\b\u0003\u0018\u00002\u00020\u0001B\u0007\b\u0002¢\u0006\u0002\u0010\u0002R\u000e\u0010\u0003\u001a\u00020\u0004XT¢\u0006\u0002\n\u0000¨\u0006\u0005"}, d2 = {"Lcom/niming/weipa/model/TasksWithStatus$Companion;", "", "()V", "TAG", "", "app_wuqudaoRelease"}, k = 1, mv = {1, 6, 0}, xi = 48)
    /* compiled from: TasksWithStatus.kt */
    public static final class Companion {
        private Companion() {
        }

        public /* synthetic */ Companion(DefaultConstructorMarker defaultConstructorMarker) {
            this();
        }
    }

    public TasksWithStatus(@NotNull List<WelfareTask> list, @NotNull List<WelfareTask> list2) {
        Intrinsics.checkNotNullParameter(list, "thirdPartyApps");
        Intrinsics.checkNotNullParameter(list2, "welfareTasks");
        this.thirdPartyApps = list;
        this.welfareTasks = list2;
    }

    /* JADX DEBUG: Multi-variable search result rejected for r0v0, resolved type: com.niming.weipa.model.TasksWithStatus */
    /* JADX WARN: Multi-variable type inference failed */
    public static /* synthetic */ TasksWithStatus copy$default(TasksWithStatus tasksWithStatus, List list, List list2, int i, Object obj) {
        if ((i & 1) != 0) {
            list = tasksWithStatus.thirdPartyApps;
        }
        if ((i & 2) != 0) {
            list2 = tasksWithStatus.welfareTasks;
        }
        return tasksWithStatus.copy(list, list2);
    }

    @NotNull
    public final List<WelfareTask> component1() {
        return this.thirdPartyApps;
    }

    @NotNull
    public final List<WelfareTask> component2() {
        return this.welfareTasks;
    }

    @NotNull
    public final TasksWithStatus copy(@NotNull List<WelfareTask> list, @NotNull List<WelfareTask> list2) {
        Intrinsics.checkNotNullParameter(list, "thirdPartyApps");
        Intrinsics.checkNotNullParameter(list2, "welfareTasks");
        return new TasksWithStatus(list, list2);
    }

    public boolean equals(@Nullable Object obj) {
        if (this == obj) {
            return true;
        }
        if (!(obj instanceof TasksWithStatus)) {
            return false;
        }
        TasksWithStatus tasksWithStatus = (TasksWithStatus) obj;
        return Intrinsics.areEqual(this.thirdPartyApps, tasksWithStatus.thirdPartyApps) && Intrinsics.areEqual(this.welfareTasks, tasksWithStatus.welfareTasks);
    }

    @NotNull
    public final List<WelfareTask> getThirdPartyApps() {
        return this.thirdPartyApps;
    }

    @NotNull
    public final List<WelfareTask> getWelfareTasks() {
        return this.welfareTasks;
    }

    public int hashCode() {
        return (this.thirdPartyApps.hashCode() * 31) + this.welfareTasks.hashCode();
    }

    @NotNull
    public String toString() {
        return "TasksWithStatus(thirdPartyApps=" + this.thirdPartyApps + ", welfareTasks=" + this.welfareTasks + ')';
    }
}
