package com.niming.weipa.ui.download.view;

import android.content.Context;
import android.view.View;
import android.view.ViewGroup;
import android.widget.ImageView;
import android.widget.TextView;
import androidx.constraintlayout.widget.ConstraintLayout;
import androidx.core.content.d;
import com.blankj.utilcode.util.z0;
import com.niming.weipa.R;
import com.niming.weipa.base.BaseCheckableView;
import com.niming.weipa.e.b;
import com.niming.weipa.model.Task;
import com.niming.weipa.model.VideoInfo2;
import com.niming.weipa.ui.download.DeskVideoPlayActivity;
import com.niming.weipa.ui.download.j.c;
import java.util.LinkedHashMap;
import java.util.Map;
import java.util.Objects;
import kotlin.Metadata;
import kotlin.jvm.internal.Intrinsics;
import org.jetbrains.annotations.NotNull;
import org.jetbrains.annotations.Nullable;

@Metadata(d1 = {"\u00004\n\u0002\u0018\u0002\n\u0002\u0018\u0002\n\u0002\u0018\u0002\n\u0000\n\u0002\u0018\u0002\n\u0002\b\u0002\n\u0002\u0010\b\n\u0000\n\u0002\u0010\u0002\n\u0002\b\u0002\n\u0002\u0010\u000e\n\u0002\b\u0006\n\u0002\u0018\u0002\n\u0002\b\u0002\u0018\u00002\b\u0012\u0004\u0012\u00020\u00020\u0001B\u000f\u0012\b\u0010\u0003\u001a\u0004\u0018\u00010\u0004¢\u0006\u0002\u0010\u0005J\b\u0010\b\u001a\u00020\tH\u0014J\b\u0010\n\u001a\u00020\tH\u0014J\u000e\u0010\u000b\u001a\u00020\f2\u0006\u0010\r\u001a\u00020\u0002J\b\u0010\u000e\u001a\u00020\u0007H\u0014J\b\u0010\u000f\u001a\u00020\tH\u0002J\b\u0010\u0010\u001a\u00020\tH\u0014J\u0010\u0010\u0011\u001a\u00020\t2\u0006\u0010\u0012\u001a\u00020\u0013H\u0016J\b\u0010\u0014\u001a\u00020\tH\u0014R\u000e\u0010\u0006\u001a\u00020\u0007X\u000e¢\u0006\u0002\n\u0000¨\u0006\u0015"}, d2 = {"Lcom/niming/weipa/ui/download/view/VideoDownloadItemView;", "Lcom/niming/weipa/base/BaseCheckableView;", "Lcom/niming/weipa/model/Task;", "context", "Landroid/content/Context;", "(Landroid/content/Context;)V", "downloadType", "", "changeNormalUi", "", "changeSelectUi", "getStatus", "", "task", "getViewRes", "initCoverSize", "initView", "onClick", "v", "Landroid/view/View;", "update", "app_wuqudaoRelease"}, k = 1, mv = {1, 6, 0}, xi = 48)
/* compiled from: VideoDownloadItemView.kt */
public final class VideoDownloadItemView extends BaseCheckableView<Task> {
    @NotNull
    public Map<Integer, View> I0 = new LinkedHashMap();

    /* renamed from: b  reason: collision with root package name */
    private int f19344b = 1;

    public VideoDownloadItemView(@Nullable Context context) {
        super(context);
    }

    private final void f() {
        int i = R.id.ivVideoCover;
        ViewGroup.LayoutParams layoutParams = ((ImageView) d(i)).getLayoutParams();
        Objects.requireNonNull(layoutParams, "null cannot be cast to non-null type androidx.constraintlayout.widget.ConstraintLayout.LayoutParams");
        ConstraintLayout.LayoutParams layoutParams2 = (ConstraintLayout.LayoutParams) layoutParams;
        T t = this.data;
        boolean z = false;
        if (t != null && t.getIsLong()) {
            z = true;
        }
        if (z) {
            ((ViewGroup.MarginLayoutParams) layoutParams2).width = z0.b(166.0f);
            ((ViewGroup.MarginLayoutParams) layoutParams2).height = z0.b(93.0f);
        } else {
            ((ViewGroup.MarginLayoutParams) layoutParams2).width = z0.b(120.0f);
            ((ViewGroup.MarginLayoutParams) layoutParams2).height = z0.b(160.0f);
        }
        ((ImageView) d(i)).setLayoutParams(layoutParams2);
    }

    /* access modifiers changed from: protected */
    @Override // com.niming.weipa.base.BaseCheckableView
    public void a() {
        ImageView imageView = (ImageView) d(R.id.ivChooseState);
        Intrinsics.checkNotNull(imageView);
        imageView.setVisibility(8);
    }

    /* access modifiers changed from: protected */
    @Override // com.niming.weipa.base.BaseCheckableView
    public void b() {
        int i = R.id.ivChooseState;
        ImageView imageView = (ImageView) d(i);
        Intrinsics.checkNotNull(imageView);
        imageView.setVisibility(0);
        T t = this.data;
        Intrinsics.checkNotNull(t);
        if (t.isChecked()) {
            ImageView imageView2 = (ImageView) d(i);
            if (imageView2 != null) {
                imageView2.setImageDrawable(d.i(this.context, com.hj.chen.new1126.R.drawable.download_selected));
                return;
            }
            return;
        }
        ImageView imageView3 = (ImageView) d(i);
        if (imageView3 != null) {
            imageView3.setImageDrawable(d.i(this.context, com.hj.chen.new1126.R.drawable.download_unselected));
        }
    }

    public void c() {
        this.I0.clear();
    }

    @Nullable
    public View d(int i) {
        Map<Integer, View> map = this.I0;
        View view = map.get(Integer.valueOf(i));
        if (view != null) {
            return view;
        }
        View findViewById = findViewById(i);
        if (findViewById == null) {
            return null;
        }
        map.put(Integer.valueOf(i), findViewById);
        return findViewById;
    }

    @NotNull
    public final String e(@NotNull Task task) {
        Intrinsics.checkNotNullParameter(task, "task");
        switch (task.getStatus()) {
            case 108:
                return "待下载";
            case 109:
                return "下载中";
            case 110:
                return "下载暂停";
            case 111:
                return "下载完成";
            case 112:
                return "下载出现问题";
            default:
                return "";
        }
    }

    /* access modifiers changed from: protected */
    @Override // com.niming.framework.base.BaseView
    public int getViewRes() {
        return com.hj.chen.new1126.R.layout.item_view_download_video;
    }

    /* access modifiers changed from: protected */
    @Override // com.niming.weipa.base.BaseCheckableView, com.niming.framework.base.BaseView
    public void initView() {
        super.initView();
        setOnClickListener(this);
    }

    @Override // com.niming.framework.base.BaseView
    public void onClick(@NotNull View view) {
        Intrinsics.checkNotNullParameter(view, "v");
        if (this.data.getStatus() == 111) {
            DeskVideoPlayActivity.a aVar = DeskVideoPlayActivity.f19280a;
            Context context = this.context;
            Intrinsics.checkNotNullExpressionValue(context, "context");
            aVar.a(context, (int) this.data.getId().longValue());
            return;
        }
        T t = this.data;
        boolean z = true;
        String str = null;
        if (t != null && t.getStatus() == 109) {
            c o = c.o();
            T t2 = this.data;
            if (t2 != null) {
                str = t2.getOriginDownloadUrl();
            }
            o.p(str);
            return;
        }
        T t3 = this.data;
        if (!(t3 != null && t3.getStatus() == 110)) {
            T t4 = this.data;
            if (!(t4 != null && t4.getStatus() == 112)) {
                T t5 = this.data;
                if (t5 == null || t5.getStatus() != 108) {
                    z = false;
                }
                if (z) {
                    c o2 = c.o();
                    T t6 = this.data;
                    if (t6 != null) {
                        str = t6.getOriginDownloadUrl();
                    }
                    o2.q(str);
                    return;
                }
                return;
            }
        }
        c o3 = c.o();
        T t7 = this.data;
        if (t7 != null) {
            str = t7.getOriginDownloadUrl();
        }
        o3.q(str);
    }

    /* access modifiers changed from: protected */
    @Override // com.niming.weipa.base.BaseCheckableView, com.niming.framework.base.BaseView
    public void update() {
        super.update();
        f();
        if (this.f17657a == 0) {
            setOnClickListener(this);
        }
        b.u(this.context, this.data.getCover(), (ImageView) d(R.id.ivVideoCover));
        ((TextView) d(R.id.tvVideoTitle)).setText(this.data.getTitle());
        new VideoInfo2().setCoins(this.data.getExpendCoins());
        if (this.data.getStatus() == 111) {
            StringBuilder sb = new StringBuilder();
            T t = this.data;
            Intrinsics.checkNotNullExpressionValue(t, "data");
            sb.append(e(t));
            sb.append("  ");
            sb.append(this.data.getProgress());
            sb.append('%');
            ((TextView) d(R.id.tvDownloadProgress)).setText(sb.toString());
        } else {
            StringBuilder sb2 = new StringBuilder();
            T t2 = this.data;
            Intrinsics.checkNotNullExpressionValue(t2, "data");
            sb2.append(e(t2));
            sb2.append("   ");
            sb2.append(this.data.getSpeed());
            sb2.append("K/s  ");
            sb2.append(this.data.getProgress());
            sb2.append('%');
            ((TextView) d(R.id.tvDownloadProgress)).setText(sb2.toString());
        }
        T t3 = this.data;
        Intrinsics.checkNotNullExpressionValue(t3, "data");
        ((TextView) d(R.id.tvCurrentState)).setText(e(t3));
        switch (this.data.getStatus()) {
            case 108:
                this.f19344b = 1;
                break;
            case 109:
                this.f19344b = 1;
                break;
            case 110:
                this.f19344b = 1;
                break;
            case 111:
                this.f19344b = 2;
                break;
            case 112:
                this.f19344b = 1;
                break;
        }
        if (this.data.getIsLong()) {
            int i = R.id.tvDuration;
            ((TextView) d(i)).setText(com.shuyu.gsyvideoplayer.k.b.r(this.data.getDuration()));
            ((TextView) d(i)).setVisibility(0);
            return;
        }
        ((TextView) d(R.id.tvDuration)).setVisibility(8);
    }
}
