package com.niming.weipa.ui.hot_video.widget;

import android.content.Context;
import android.content.res.Resources;
import android.content.res.TypedArray;
import android.graphics.Canvas;
import android.graphics.drawable.Drawable;
import android.util.AttributeSet;
import android.view.animation.AccelerateDecelerateInterpolator;
import android.view.animation.AccelerateInterpolator;
import android.view.animation.DecelerateInterpolator;
import android.view.animation.Interpolator;
import android.view.animation.LinearInterpolator;
import android.widget.ProgressBar;
import com.niming.weipa.R;
import com.niming.weipa.ui.hot_video.widget.d;

public class SmoothProgressBar extends ProgressBar {
    private static final int I0 = 2;
    private static final int J0 = 3;

    /* renamed from: a  reason: collision with root package name */
    private static final int f19720a = 0;

    /* renamed from: b  reason: collision with root package name */
    private static final int f19721b = 1;

    public SmoothProgressBar(Context context) {
        this(context, null);
    }

    private d b() {
        Drawable indeterminateDrawable = getIndeterminateDrawable();
        if (indeterminateDrawable != null && (indeterminateDrawable instanceof d)) {
            return (d) indeterminateDrawable;
        }
        throw new RuntimeException("The drawable is not a SmoothProgressDrawable");
    }

    public void a(int i) {
        int resourceId;
        int[] intArray;
        Interpolator interpolator = null;
        TypedArray obtainStyledAttributes = getContext().obtainStyledAttributes(null, R.styleable.SmoothProgressBar, 0, i);
        if (obtainStyledAttributes.hasValue(2)) {
            setSmoothProgressDrawableColor(obtainStyledAttributes.getColor(2, 0));
        }
        if (obtainStyledAttributes.hasValue(3) && (resourceId = obtainStyledAttributes.getResourceId(3, 0)) != 0 && (intArray = getResources().getIntArray(resourceId)) != null && intArray.length > 0) {
            setSmoothProgressDrawableColors(intArray);
        }
        if (obtainStyledAttributes.hasValue(12)) {
            setSmoothProgressDrawableSectionsCount(obtainStyledAttributes.getInteger(12, 0));
        }
        if (obtainStyledAttributes.hasValue(14)) {
            setSmoothProgressDrawableSeparatorLength(obtainStyledAttributes.getDimensionPixelSize(14, 0));
        }
        if (obtainStyledAttributes.hasValue(15)) {
            setSmoothProgressDrawableStrokeWidth(obtainStyledAttributes.getDimension(15, 0.0f));
        }
        if (obtainStyledAttributes.hasValue(13)) {
            setSmoothProgressDrawableSpeed(obtainStyledAttributes.getFloat(13, 0.0f));
        }
        if (obtainStyledAttributes.hasValue(9)) {
            setSmoothProgressDrawableProgressiveStartSpeed(obtainStyledAttributes.getFloat(9, 0.0f));
        }
        if (obtainStyledAttributes.hasValue(10)) {
            setSmoothProgressDrawableProgressiveStopSpeed(obtainStyledAttributes.getFloat(10, 0.0f));
        }
        if (obtainStyledAttributes.hasValue(11)) {
            setSmoothProgressDrawableReversed(obtainStyledAttributes.getBoolean(11, false));
        }
        if (obtainStyledAttributes.hasValue(7)) {
            setSmoothProgressDrawableMirrorMode(obtainStyledAttributes.getBoolean(7, false));
        }
        if (obtainStyledAttributes.hasValue(8)) {
            setProgressiveStartActivated(obtainStyledAttributes.getBoolean(8, false));
        }
        if (obtainStyledAttributes.hasValue(8)) {
            setProgressiveStartActivated(obtainStyledAttributes.getBoolean(8, false));
        }
        if (obtainStyledAttributes.hasValue(5)) {
            setSmoothProgressDrawableUseGradients(obtainStyledAttributes.getBoolean(5, false));
        }
        if (obtainStyledAttributes.hasValue(4) && obtainStyledAttributes.getBoolean(4, false)) {
            setSmoothProgressDrawableBackgroundDrawable(c.g(b().u(), b().v()));
        }
        if (obtainStyledAttributes.hasValue(6)) {
            int integer = obtainStyledAttributes.getInteger(6, -1);
            if (integer == 0) {
                interpolator = new AccelerateInterpolator();
            } else if (integer == 1) {
                interpolator = new LinearInterpolator();
            } else if (integer == 2) {
                interpolator = new AccelerateDecelerateInterpolator();
            } else if (integer == 3) {
                interpolator = new DecelerateInterpolator();
            }
            if (interpolator != null) {
                setInterpolator(interpolator);
            }
        }
        obtainStyledAttributes.recycle();
    }

    public void c() {
        b().A();
    }

    public void d() {
        b().C();
    }

    /* access modifiers changed from: protected */
    public synchronized void onDraw(Canvas canvas) {
        super.onDraw(canvas);
        if (isIndeterminate() && (getIndeterminateDrawable() instanceof d) && !((d) getIndeterminateDrawable()).isRunning()) {
            getIndeterminateDrawable().draw(canvas);
        }
    }

    public void setInterpolator(Interpolator interpolator) {
        super.setInterpolator(interpolator);
        Drawable indeterminateDrawable = getIndeterminateDrawable();
        if (indeterminateDrawable != null && (indeterminateDrawable instanceof d)) {
            ((d) indeterminateDrawable).J(interpolator);
        }
    }

    public void setProgressiveStartActivated(boolean z) {
        b().L(z);
    }

    public void setSmoothProgressDrawableBackgroundDrawable(Drawable drawable) {
        b().F(drawable);
    }

    public void setSmoothProgressDrawableCallbacks(d.c cVar) {
        b().G(cVar);
    }

    public void setSmoothProgressDrawableColor(int i) {
        b().H(i);
    }

    public void setSmoothProgressDrawableColors(int[] iArr) {
        b().I(iArr);
    }

    public void setSmoothProgressDrawableInterpolator(Interpolator interpolator) {
        b().J(interpolator);
    }

    public void setSmoothProgressDrawableMirrorMode(boolean z) {
        b().K(z);
    }

    public void setSmoothProgressDrawableProgressiveStartSpeed(float f) {
        b().M(f);
    }

    public void setSmoothProgressDrawableProgressiveStopSpeed(float f) {
        b().N(f);
    }

    public void setSmoothProgressDrawableReversed(boolean z) {
        b().O(z);
    }

    public void setSmoothProgressDrawableSectionsCount(int i) {
        b().P(i);
    }

    public void setSmoothProgressDrawableSeparatorLength(int i) {
        b().Q(i);
    }

    public void setSmoothProgressDrawableSpeed(float f) {
        b().R(f);
    }

    public void setSmoothProgressDrawableStrokeWidth(float f) {
        b().S(f);
    }

    public void setSmoothProgressDrawableUseGradients(boolean z) {
        b().T(z);
    }

    public SmoothProgressBar(Context context, AttributeSet attributeSet) {
        this(context, attributeSet, com.hj.chen.new1126.R.attr.spbStyle);
    }

    public SmoothProgressBar(Context context, AttributeSet attributeSet, int i) {
        super(context, attributeSet, i);
        if (isInEditMode()) {
            setIndeterminateDrawable(new d.b(context, true).b());
            return;
        }
        Resources resources = context.getResources();
        TypedArray obtainStyledAttributes = context.obtainStyledAttributes(attributeSet, R.styleable.SmoothProgressBar, i, 0);
        int color = obtainStyledAttributes.getColor(2, resources.getColor(com.hj.chen.new1126.R.color.spb_default_color));
        int integer = obtainStyledAttributes.getInteger(12, resources.getInteger(com.hj.chen.new1126.R.integer.spb_default_sections_count));
        int dimensionPixelSize = obtainStyledAttributes.getDimensionPixelSize(14, resources.getDimensionPixelSize(com.hj.chen.new1126.R.dimen.spb_default_stroke_separator_length));
        float dimension = obtainStyledAttributes.getDimension(15, resources.getDimension(com.hj.chen.new1126.R.dimen.spb_default_stroke_width));
        float f = obtainStyledAttributes.getFloat(13, Float.parseFloat(resources.getString(com.hj.chen.new1126.R.string.spb_default_speed)));
        float f2 = obtainStyledAttributes.getFloat(9, f);
        float f3 = obtainStyledAttributes.getFloat(10, f);
        int integer2 = obtainStyledAttributes.getInteger(6, -1);
        boolean z = obtainStyledAttributes.getBoolean(11, resources.getBoolean(com.hj.chen.new1126.R.bool.spb_default_reversed));
        boolean z2 = obtainStyledAttributes.getBoolean(7, resources.getBoolean(com.hj.chen.new1126.R.bool.spb_default_mirror_mode));
        int resourceId = obtainStyledAttributes.getResourceId(3, 0);
        boolean z3 = obtainStyledAttributes.getBoolean(8, resources.getBoolean(com.hj.chen.new1126.R.bool.spb_default_progressiveStart_activated));
        Drawable drawable = obtainStyledAttributes.getDrawable(1);
        boolean z4 = obtainStyledAttributes.getBoolean(4, false);
        boolean z5 = obtainStyledAttributes.getBoolean(5, false);
        obtainStyledAttributes.recycle();
        int[] iArr = null;
        Interpolator interpolator = integer2 == -1 ? getInterpolator() : null;
        if (interpolator == null) {
            if (integer2 == 1) {
                interpolator = new LinearInterpolator();
            } else if (integer2 == 2) {
                interpolator = new AccelerateDecelerateInterpolator();
            } else if (integer2 != 3) {
                interpolator = new AccelerateInterpolator();
            } else {
                interpolator = new DecelerateInterpolator();
            }
        }
        iArr = resourceId != 0 ? resources.getIntArray(resourceId) : iArr;
        d.b h = new d.b(context).r(f).m(f2).n(f3).j(interpolator).p(integer).q(dimensionPixelSize).s(dimension).o(z).k(z2).l(z3).h(z5);
        if (drawable != null) {
            h.a(drawable);
        }
        if (z4) {
            h.f();
        }
        if (iArr == null || iArr.length <= 0) {
            h.d(color);
        } else {
            h.e(iArr);
        }
        setIndeterminateDrawable(h.b());
    }
}
