package com.niming.weipa.ui.lock.widget.gesture;

import android.content.Context;
import android.graphics.Canvas;
import android.graphics.Paint;
import android.util.AttributeSet;
import android.view.View;
import androidx.annotation.Nullable;
import androidx.core.view.ViewCompat;
import java.util.ArrayList;
import java.util.Iterator;
import java.util.List;

public class GestureLockDisplayView extends View {

    /* renamed from: a  reason: collision with root package name */
    private static final String f19758a = "GestureLockDisplayView";
    private int I0;
    private int J0;
    private int K0;
    private int L0;
    private int M0;
    private List<Dot> N0;
    private List<Integer> O0;

    /* renamed from: b  reason: collision with root package name */
    private Paint f19759b;

    public GestureLockDisplayView(Context context) {
        this(context, null);
    }

    private void a(Context context) {
        Paint paint = new Paint();
        this.f19759b = paint;
        paint.setAntiAlias(true);
        this.f19759b.setStyle(Paint.Style.FILL);
        this.f19759b.setColor(ViewCompat.MEASURED_STATE_MASK);
    }

    private void c() {
        int i;
        Iterator<Dot> it = this.N0.iterator();
        while (true) {
            if (!it.hasNext()) {
                break;
            }
            it.next().setSelected(false);
        }
        for (i = 0; i < this.O0.size(); i++) {
            this.N0.get(this.O0.get(i).intValue()).setSelected(true);
        }
    }

    public void b() {
        this.O0.clear();
        postInvalidate();
    }

    /* access modifiers changed from: protected */
    public void onDraw(Canvas canvas) {
        super.onDraw(canvas);
        c();
        for (int i = 0; i < this.N0.size(); i++) {
            Dot dot = this.N0.get(i);
            if (dot.isSelected()) {
                this.f19759b.setColor(this.L0);
                this.f19759b.setStyle(Paint.Style.FILL);
            } else {
                this.f19759b.setColor(this.M0);
                this.f19759b.setStyle(Paint.Style.STROKE);
            }
            canvas.drawCircle(dot.getX(), dot.getY(), (float) this.J0, this.f19759b);
        }
    }

    /* access modifiers changed from: protected */
    public void onMeasure(int i, int i2) {
        super.onMeasure(i, i2);
        int size = View.MeasureSpec.getSize(i);
        int size2 = View.MeasureSpec.getSize(i2);
        if (size > size2) {
            size = size2;
        }
        setMeasuredDimension(size, size);
    }

    /* access modifiers changed from: protected */
    public void onSizeChanged(int i, int i2, int i3, int i4) {
        super.onSizeChanged(i, i2, i3, i4);
        int width = (int) (((double) getWidth()) / ((((double) this.I0) * 2.5d) - 0.5d));
        this.J0 = width;
        this.K0 = (int) (((double) width) * 0.5d);
        int i5 = 0;
        while (true) {
            int i6 = this.I0;
            if (i5 < i6 * i6) {
                int i7 = this.J0;
                int i8 = this.K0;
                this.N0.add(new Dot((float) (((i5 % i6) * 2 * i7) + i7 + ((i5 % i6) * i8)), (float) (((i5 / i6) * 2 * i7) + i7 + ((i5 / i6) * i8)), i5));
                i5++;
            } else {
                return;
            }
        }
    }

    public void setAnswer(int... iArr) {
        for (int i : iArr) {
            this.O0.add(Integer.valueOf(i));
        }
        postInvalidate();
    }

    public void setDotCount(int i) {
        this.I0 = i;
    }

    public void setDotSelectedColor(int i) {
        this.L0 = i;
        postInvalidate();
    }

    public void setDotUnSelectedColor(int i) {
        this.M0 = i;
        postInvalidate();
    }

    public GestureLockDisplayView(Context context, @Nullable AttributeSet attributeSet) {
        super(context, attributeSet);
        this.I0 = 3;
        this.L0 = -16776961;
        this.M0 = ViewCompat.MEASURED_STATE_MASK;
        this.N0 = new ArrayList(1);
        this.O0 = new ArrayList(1);
        a(context);
    }

    public void setAnswer(List<Integer> list) {
        this.O0 = list;
        postInvalidate();
    }
}
