package com.niming.weipa.ui.login;

import android.content.Context;
import android.content.Intent;
import android.os.Bundle;
import android.os.Handler;
import android.os.Message;
import android.text.Editable;
import android.text.TextUtils;
import android.text.TextWatcher;
import android.util.Base64;
import android.view.View;
import android.widget.ImageView;
import android.widget.ProgressBar;
import android.widget.RelativeLayout;
import android.widget.TextView;
import com.blankj.utilcode.util.ToastUtils;
import com.blankj.utilcode.util.p0;
import com.ibm.icu.text.DateFormat;
import com.niming.framework.net.Result;
import com.niming.framework.widget.ClearAbleEditText;
import com.niming.framework.widget.TitleView;
import com.niming.weipa.R;
import com.niming.weipa.base.BaseActivity;
import com.niming.weipa.model.RefreshEvent;
import com.niming.weipa.model.UserInfo2;
import com.niming.weipa.utils.u;
import java.util.Arrays;
import java.util.LinkedHashMap;
import java.util.Map;
import kotlin.Metadata;
import kotlin.Unit;
import kotlin.jvm.JvmStatic;
import kotlin.jvm.functions.Function1;
import kotlin.jvm.internal.DefaultConstructorMarker;
import kotlin.jvm.internal.Intrinsics;
import kotlin.jvm.internal.Lambda;
import kotlin.jvm.internal.StringCompanionObject;
import org.jetbrains.annotations.NotNull;
import org.jetbrains.annotations.Nullable;

@Metadata(d1 = {"\u00008\n\u0002\u0018\u0002\n\u0002\u0018\u0002\n\u0002\b\u0002\n\u0002\u0010\b\n\u0000\n\u0002\u0010\u000b\n\u0000\n\u0002\u0018\u0002\n\u0002\b\u0006\n\u0002\u0018\u0002\n\u0002\b\u0005\n\u0002\u0010\u0002\n\u0002\b\u0005\n\u0002\u0018\u0002\n\u0002\b\b\u0018\u0000 \"2\u00020\u0001:\u0001\"B\u0005¢\u0006\u0002\u0010\u0002J\b\u0010\u0014\u001a\u00020\u0015H\u0002J\b\u0010\u0016\u001a\u00020\u0004H\u0016J\b\u0010\u0017\u001a\u00020\u0015H\u0016J\u0010\u0010\u0018\u001a\u00020\u00152\u0006\u0010\r\u001a\u00020\u0004H\u0002J\u0012\u0010\u0019\u001a\u00020\u00152\b\u0010\u001a\u001a\u0004\u0018\u00010\u001bH\u0016J\b\u0010\u001c\u001a\u00020\u0015H\u0014J\b\u0010\u001d\u001a\u00020\u0015H\u0002J\b\u0010\u001e\u001a\u00020\u0015H\u0002J\u0006\u0010\u001f\u001a\u00020\u0015J\b\u0010 \u001a\u00020\u0015H\u0002J\b\u0010!\u001a\u00020\u0015H\u0002R\u000e\u0010\u0003\u001a\u00020\u0004X\u000e¢\u0006\u0002\n\u0000R\u000e\u0010\u0005\u001a\u00020\u0006X\u000e¢\u0006\u0002\n\u0000R\u001a\u0010\u0007\u001a\u00020\bX.¢\u0006\u000e\n\u0000\u001a\u0004\b\t\u0010\n\"\u0004\b\u000b\u0010\fR\u000e\u0010\r\u001a\u00020\u0004X\u000e¢\u0006\u0002\n\u0000R\u001a\u0010\u000e\u001a\u00020\u000fX\u000e¢\u0006\u000e\n\u0000\u001a\u0004\b\u0010\u0010\u0011\"\u0004\b\u0012\u0010\u0013¨\u0006#"}, d2 = {"Lcom/niming/weipa/ui/login/LoginActivity;", "Lcom/niming/weipa/base/BaseActivity;", "()V", "cnt", "", "getCodeCd", "", "handler", "Landroid/os/Handler;", "getHandler", "()Landroid/os/Handler;", "setHandler", "(Landroid/os/Handler;)V", "loginFrom", "textWatcher", "Landroid/text/TextWatcher;", "getTextWatcher", "()Landroid/text/TextWatcher;", "setTextWatcher", "(Landroid/text/TextWatcher;)V", "gameImageCodeCreate", "", "getViewRes", "init", "initLoginBtn", "initView", "savedInstanceState", "Landroid/os/Bundle;", "onDestroy", "setTvRetry", "submit", "validateCode", "validateGetCodeBtn", "validateLoginBtn", "Companion", "app_wuqudaoRelease"}, k = 1, mv = {1, 6, 0}, xi = 48)
/* compiled from: LoginActivity.kt */
public final class LoginActivity extends BaseActivity {
    public static final int I0 = 2;
    public static final int J0 = 3;
    public static final int K0 = 4;
    @NotNull

    /* renamed from: a  reason: collision with root package name */
    public static final a f19773a = new a(null);

    /* renamed from: b  reason: collision with root package name */
    public static final int f19774b = 1;
    private int L0 = 1;
    @NotNull
    private TextWatcher M0 = new i(this);
    private boolean N0;
    private int O0 = 60;
    public Handler P0;
    @NotNull
    public Map<Integer, View> Q0 = new LinkedHashMap();

    @Metadata(d1 = {"\u0000\"\n\u0002\u0018\u0002\n\u0002\u0010\u0000\n\u0002\b\u0002\n\u0002\u0010\b\n\u0002\b\u0004\n\u0002\u0010\u0002\n\u0000\n\u0002\u0018\u0002\n\u0002\b\u0002\b\u0003\u0018\u00002\u00020\u0001B\u0007\b\u0002¢\u0006\u0002\u0010\u0002J\u0018\u0010\b\u001a\u00020\t2\u0006\u0010\n\u001a\u00020\u000b2\u0006\u0010\f\u001a\u00020\u0004H\u0007R\u000e\u0010\u0003\u001a\u00020\u0004XT¢\u0006\u0002\n\u0000R\u000e\u0010\u0005\u001a\u00020\u0004XT¢\u0006\u0002\n\u0000R\u000e\u0010\u0006\u001a\u00020\u0004XT¢\u0006\u0002\n\u0000R\u000e\u0010\u0007\u001a\u00020\u0004XT¢\u0006\u0002\n\u0000¨\u0006\r"}, d2 = {"Lcom/niming/weipa/ui/login/LoginActivity$Companion;", "", "()V", "BOND_GAME", "", "LOGIN_BOND_PHONE", "LOGIN_FORM_JIEBANG", "LOGIN_LOGIN", "start", "", "context", "Landroid/content/Context;", "loginFrom", "app_wuqudaoRelease"}, k = 1, mv = {1, 6, 0}, xi = 48)
    /* compiled from: LoginActivity.kt */
    public static final class a {
        private a() {
        }

        public /* synthetic */ a(DefaultConstructorMarker defaultConstructorMarker) {
            this();
        }

        @JvmStatic
        public final void a(@NotNull Context context, int i) {
            Intrinsics.checkNotNullParameter(context, "context");
            Intent intent = new Intent(context, LoginActivity.class);
            intent.putExtra("loginFrom", i);
            context.startActivity(intent);
        }
    }

    @Metadata(d1 = {"\u0000\u0019\n\u0000\n\u0002\u0018\u0002\n\u0000\n\u0002\u0010\u0002\n\u0002\b\u0002\n\u0002\u0018\u0002\n\u0000*\u0001\u0000\b\n\u0018\u00002\u00020\u0001J\b\u0010\u0002\u001a\u00020\u0003H\u0016J\u0010\u0010\u0004\u001a\u00020\u00032\u0006\u0010\u0005\u001a\u00020\u0006H\u0014¨\u0006\u0007"}, d2 = {"com/niming/weipa/ui/login/LoginActivity$gameImageCodeCreate$1", "Lcom/niming/weipa/net/AbsHttpCallback;", "onFinish", "", "onSuccess", com.alipay.sdk.util.j.f6041c, "Lcom/niming/framework/net/Result;", "app_wuqudaoRelease"}, k = 1, mv = {1, 6, 0}, xi = 48)
    /* compiled from: LoginActivity.kt */
    public static final class b extends com.niming.weipa.g.a {

        /* renamed from: a  reason: collision with root package name */
        final /* synthetic */ LoginActivity f19775a;

        b(LoginActivity loginActivity) {
            this.f19775a = loginActivity;
        }

        @Override // com.lzy.okgo.d.c, com.lzy.okgo.d.a, com.niming.weipa.g.a
        public void onFinish() {
            super.onFinish();
            ((ProgressBar) this.f19775a._$_findCachedViewById(R.id.progressBar)).setVisibility(8);
        }

        /* access modifiers changed from: protected */
        @Override // com.niming.weipa.g.a
        public void onSuccess(@NotNull Result result) {
            Intrinsics.checkNotNullParameter(result, com.alipay.sdk.util.j.f6041c);
            if (result.isOk()) {
                com.niming.framework.image.a.g(((com.niming.framework.base.BaseActivity) this.f19775a).activity).m(Base64.decode(result.getDataStr("image"), 0)).t1((ImageView) this.f19775a._$_findCachedViewById(R.id.ivVerificationCode));
            } else {
                ToastUtils.W(result.getMessage(), new Object[0]);
            }
        }
    }

    @Metadata(d1 = {"\u0000\u0010\n\u0000\n\u0002\u0010\u0002\n\u0000\n\u0002\u0018\u0002\n\u0002\b\u0002\u0010\u0000\u001a\u00020\u00012\u000e\u0010\u0002\u001a\n \u0004*\u0004\u0018\u00010\u00030\u0003H\n¢\u0006\u0002\b\u0005"}, d2 = {"<anonymous>", "", "it", "Landroid/widget/TextView;", "kotlin.jvm.PlatformType", "invoke"}, k = 3, mv = {1, 6, 0}, xi = 48)
    /* compiled from: LoginActivity.kt */
    static final class c extends Lambda implements Function1<TextView, Unit> {
        final /* synthetic */ LoginActivity this$0;

        /* JADX INFO: super call moved to the top of the method (can break code semantics) */
        c(LoginActivity loginActivity) {
            super(1);
            this.this$0 = loginActivity;
        }

        public final void a(TextView textView) {
            this.this$0.y0();
        }

        /* Return type fixed from 'java.lang.Object' to match base method */
        /* JADX DEBUG: Method arguments types fixed to match base method, original types: [java.lang.Object] */
        @Override // kotlin.jvm.functions.Function1
        public /* bridge */ /* synthetic */ Unit invoke(TextView textView) {
            a(textView);
            return Unit.INSTANCE;
        }
    }

    @Metadata(d1 = {"\u0000\u0010\n\u0000\n\u0002\u0010\u0002\n\u0000\n\u0002\u0018\u0002\n\u0002\b\u0002\u0010\u0000\u001a\u00020\u00012\u000e\u0010\u0002\u001a\n \u0004*\u0004\u0018\u00010\u00030\u0003H\n¢\u0006\u0002\b\u0005"}, d2 = {"<anonymous>", "", "it", "Landroid/widget/TextView;", "kotlin.jvm.PlatformType", "invoke"}, k = 3, mv = {1, 6, 0}, xi = 48)
    /* compiled from: LoginActivity.kt */
    static final class d extends Lambda implements Function1<TextView, Unit> {
        final /* synthetic */ LoginActivity this$0;

        /* JADX INFO: super call moved to the top of the method (can break code semantics) */
        d(LoginActivity loginActivity) {
            super(1);
            this.this$0 = loginActivity;
        }

        public final void a(TextView textView) {
            this.this$0.x0();
        }

        /* Return type fixed from 'java.lang.Object' to match base method */
        /* JADX DEBUG: Method arguments types fixed to match base method, original types: [java.lang.Object] */
        @Override // kotlin.jvm.functions.Function1
        public /* bridge */ /* synthetic */ Unit invoke(TextView textView) {
            a(textView);
            return Unit.INSTANCE;
        }
    }

    @Metadata(d1 = {"\u0000\u0010\n\u0000\n\u0002\u0010\u0002\n\u0000\n\u0002\u0018\u0002\n\u0002\b\u0002\u0010\u0000\u001a\u00020\u00012\u000e\u0010\u0002\u001a\n \u0004*\u0004\u0018\u00010\u00030\u0003H\n¢\u0006\u0002\b\u0005"}, d2 = {"<anonymous>", "", "it", "Landroid/widget/ImageView;", "kotlin.jvm.PlatformType", "invoke"}, k = 3, mv = {1, 6, 0}, xi = 48)
    /* compiled from: LoginActivity.kt */
    static final class e extends Lambda implements Function1<ImageView, Unit> {
        final /* synthetic */ LoginActivity this$0;

        /* JADX INFO: super call moved to the top of the method (can break code semantics) */
        e(LoginActivity loginActivity) {
            super(1);
            this.this$0 = loginActivity;
        }

        /* Return type fixed from 'java.lang.Object' to match base method */
        /* JADX DEBUG: Method arguments types fixed to match base method, original types: [java.lang.Object] */
        @Override // kotlin.jvm.functions.Function1
        public /* bridge */ /* synthetic */ Unit invoke(ImageView imageView) {
            invoke(imageView);
            return Unit.INSTANCE;
        }

        public final void invoke(ImageView imageView) {
            this.this$0.n0();
        }
    }

    @Metadata(d1 = {"\u0000\u0017\n\u0000\n\u0002\u0018\u0002\n\u0000\n\u0002\u0010\u0002\n\u0000\n\u0002\u0018\u0002\n\u0000*\u0001\u0000\b\n\u0018\u00002\u00020\u0001J\u0010\u0010\u0002\u001a\u00020\u00032\u0006\u0010\u0004\u001a\u00020\u0005H\u0014¨\u0006\u0006"}, d2 = {"com/niming/weipa/ui/login/LoginActivity$submit$1", "Lcom/niming/weipa/net/AbsHttpCallback;", "onSuccess", "", com.alipay.sdk.util.j.f6041c, "Lcom/niming/framework/net/Result;", "app_wuqudaoRelease"}, k = 1, mv = {1, 6, 0}, xi = 48)
    /* compiled from: LoginActivity.kt */
    public static final class f extends com.niming.weipa.g.a {

        /* renamed from: a  reason: collision with root package name */
        final /* synthetic */ LoginActivity f19776a;

        f(LoginActivity loginActivity) {
            this.f19776a = loginActivity;
        }

        /* access modifiers changed from: protected */
        @Override // com.niming.weipa.g.a
        public void onSuccess(@NotNull Result result) {
            Intrinsics.checkNotNullParameter(result, com.alipay.sdk.util.j.f6041c);
            if (result.isOk()) {
                ToastUtils.W("操作成功", new Object[0]);
                com.niming.framework.b.d.b(new RefreshEvent(32));
                this.f19776a.finish();
                return;
            }
            ToastUtils.W(result.getMessage(), new Object[0]);
        }
    }

    @Metadata(d1 = {"\u0000\u0017\n\u0000\n\u0002\u0018\u0002\n\u0000\n\u0002\u0010\u0002\n\u0000\n\u0002\u0018\u0002\n\u0000*\u0001\u0000\b\n\u0018\u00002\u00020\u0001J\u0010\u0010\u0002\u001a\u00020\u00032\u0006\u0010\u0004\u001a\u00020\u0005H\u0014¨\u0006\u0006"}, d2 = {"com/niming/weipa/ui/login/LoginActivity$submit$2", "Lcom/niming/weipa/net/AbsHttpCallback;", "onSuccess", "", com.alipay.sdk.util.j.f6041c, "Lcom/niming/framework/net/Result;", "app_wuqudaoRelease"}, k = 1, mv = {1, 6, 0}, xi = 48)
    /* compiled from: LoginActivity.kt */
    public static final class g extends com.niming.weipa.g.a {

        /* renamed from: a  reason: collision with root package name */
        final /* synthetic */ LoginActivity f19777a;

        g(LoginActivity loginActivity) {
            this.f19777a = loginActivity;
        }

        /* access modifiers changed from: protected */
        @Override // com.niming.weipa.g.a
        public void onSuccess(@NotNull Result result) {
            Intrinsics.checkNotNullParameter(result, com.alipay.sdk.util.j.f6041c);
            if (result.isOk()) {
                ToastUtils.W("解除绑定成功", new Object[0]);
                com.niming.framework.b.d.b(new RefreshEvent(28));
                this.f19777a.finish();
                return;
            }
            ToastUtils.W(result.getMessage(), new Object[0]);
        }
    }

    @Metadata(d1 = {"\u0000\u0017\n\u0000\n\u0002\u0018\u0002\n\u0000\n\u0002\u0010\u0002\n\u0000\n\u0002\u0018\u0002\n\u0000*\u0001\u0000\b\n\u0018\u00002\u00020\u0001J\u0010\u0010\u0002\u001a\u00020\u00032\u0006\u0010\u0004\u001a\u00020\u0005H\u0014¨\u0006\u0006"}, d2 = {"com/niming/weipa/ui/login/LoginActivity$submit$3", "Lcom/niming/weipa/net/AbsHttpCallback;", "onSuccess", "", com.alipay.sdk.util.j.f6041c, "Lcom/niming/framework/net/Result;", "app_wuqudaoRelease"}, k = 1, mv = {1, 6, 0}, xi = 48)
    /* compiled from: LoginActivity.kt */
    public static final class h extends com.niming.weipa.g.a {

        /* renamed from: a  reason: collision with root package name */
        final /* synthetic */ LoginActivity f19778a;

        h(LoginActivity loginActivity) {
            this.f19778a = loginActivity;
        }

        /* access modifiers changed from: protected */
        @Override // com.niming.weipa.g.a
        public void onSuccess(@NotNull Result result) {
            Intrinsics.checkNotNullParameter(result, com.alipay.sdk.util.j.f6041c);
            if (result.isOk()) {
                ToastUtils.W("操作成功", new Object[0]);
                com.niming.framework.b.d.b(new RefreshEvent(8));
                this.f19778a.finish();
                return;
            }
            ToastUtils.W(result.getMessage(), new Object[0]);
        }
    }

    @Metadata(d1 = {"\u0000%\n\u0000\n\u0002\u0018\u0002\n\u0000\n\u0002\u0010\u0002\n\u0000\n\u0002\u0018\u0002\n\u0000\n\u0002\u0010\r\n\u0000\n\u0002\u0010\b\n\u0002\b\u0005*\u0001\u0000\b\n\u0018\u00002\u00020\u0001J\u0010\u0010\u0002\u001a\u00020\u00032\u0006\u0010\u0004\u001a\u00020\u0005H\u0016J(\u0010\u0006\u001a\u00020\u00032\u0006\u0010\u0004\u001a\u00020\u00072\u0006\u0010\b\u001a\u00020\t2\u0006\u0010\n\u001a\u00020\t2\u0006\u0010\u000b\u001a\u00020\tH\u0016J(\u0010\f\u001a\u00020\u00032\u0006\u0010\u0004\u001a\u00020\u00072\u0006\u0010\b\u001a\u00020\t2\u0006\u0010\r\u001a\u00020\t2\u0006\u0010\n\u001a\u00020\tH\u0016¨\u0006\u000e"}, d2 = {"com/niming/weipa/ui/login/LoginActivity$textWatcher$1", "Landroid/text/TextWatcher;", "afterTextChanged", "", DateFormat.SECOND, "Landroid/text/Editable;", "beforeTextChanged", "", "start", "", com.luck.picture.lib.config.a.B, "after", "onTextChanged", "before", "app_wuqudaoRelease"}, k = 1, mv = {1, 6, 0}, xi = 48)
    /* compiled from: LoginActivity.kt */
    public static final class i implements TextWatcher {

        /* renamed from: a  reason: collision with root package name */
        final /* synthetic */ LoginActivity f19779a;

        i(LoginActivity loginActivity) {
            this.f19779a = loginActivity;
        }

        public void afterTextChanged(@NotNull Editable editable) {
            Intrinsics.checkNotNullParameter(editable, DateFormat.SECOND);
            this.f19779a.A0();
            this.f19779a.z0();
        }

        public void beforeTextChanged(@NotNull CharSequence charSequence, int i, int i2, int i3) {
            Intrinsics.checkNotNullParameter(charSequence, DateFormat.SECOND);
        }

        public void onTextChanged(@NotNull CharSequence charSequence, int i, int i2, int i3) {
            Intrinsics.checkNotNullParameter(charSequence, DateFormat.SECOND);
        }
    }

    @Metadata(d1 = {"\u0000\u0017\n\u0000\n\u0002\u0018\u0002\n\u0000\n\u0002\u0010\u0002\n\u0000\n\u0002\u0018\u0002\n\u0000*\u0001\u0000\b\n\u0018\u00002\u00020\u0001J\u0010\u0010\u0002\u001a\u00020\u00032\u0006\u0010\u0004\u001a\u00020\u0005H\u0014¨\u0006\u0006"}, d2 = {"com/niming/weipa/ui/login/LoginActivity$validateCode$1", "Lcom/niming/weipa/net/AbsHttpCallback;", "onSuccess", "", com.alipay.sdk.util.j.f6041c, "Lcom/niming/framework/net/Result;", "app_wuqudaoRelease"}, k = 1, mv = {1, 6, 0}, xi = 48)
    /* compiled from: LoginActivity.kt */
    public static final class j extends com.niming.weipa.g.a {

        /* renamed from: a  reason: collision with root package name */
        final /* synthetic */ LoginActivity f19780a;

        j(LoginActivity loginActivity) {
            this.f19780a = loginActivity;
        }

        /* access modifiers changed from: protected */
        @Override // com.niming.weipa.g.a
        public void onSuccess(@NotNull Result result) {
            Intrinsics.checkNotNullParameter(result, com.alipay.sdk.util.j.f6041c);
            if (result.isOk()) {
                this.f19780a.O0 = 60;
                this.f19780a.o0().sendEmptyMessage(1);
                return;
            }
            ToastUtils.W(result.getMessage(), new Object[0]);
        }
    }

    @Metadata(d1 = {"\u0000\u0017\n\u0000\n\u0002\u0018\u0002\n\u0000\n\u0002\u0010\u0002\n\u0000\n\u0002\u0018\u0002\n\u0000*\u0001\u0000\b\n\u0018\u00002\u00020\u0001J\u0010\u0010\u0002\u001a\u00020\u00032\u0006\u0010\u0004\u001a\u00020\u0005H\u0014¨\u0006\u0006"}, d2 = {"com/niming/weipa/ui/login/LoginActivity$validateCode$2", "Lcom/niming/weipa/net/AbsHttpCallback;", "onSuccess", "", com.alipay.sdk.util.j.f6041c, "Lcom/niming/framework/net/Result;", "app_wuqudaoRelease"}, k = 1, mv = {1, 6, 0}, xi = 48)
    /* compiled from: LoginActivity.kt */
    public static final class k extends com.niming.weipa.g.a {

        /* renamed from: a  reason: collision with root package name */
        final /* synthetic */ LoginActivity f19781a;

        k(LoginActivity loginActivity) {
            this.f19781a = loginActivity;
        }

        /* access modifiers changed from: protected */
        @Override // com.niming.weipa.g.a
        public void onSuccess(@NotNull Result result) {
            Intrinsics.checkNotNullParameter(result, com.alipay.sdk.util.j.f6041c);
            if (result.isOk()) {
                this.f19781a.O0 = 60;
                this.f19781a.o0().sendEmptyMessage(1);
                return;
            }
            ToastUtils.W(result.getMessage(), new Object[0]);
        }
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    private final void A0() {
        ClearAbleEditText clearAbleEditText = (ClearAbleEditText) _$_findCachedViewById(R.id.et_account);
        Editable editable = null;
        String valueOf = String.valueOf(clearAbleEditText == null ? null : clearAbleEditText.getText());
        ClearAbleEditText clearAbleEditText2 = (ClearAbleEditText) _$_findCachedViewById(R.id.et_validate);
        if (clearAbleEditText2 != null) {
            editable = clearAbleEditText2.getText();
        }
        String valueOf2 = String.valueOf(editable);
        if (TextUtils.isEmpty(valueOf) || TextUtils.isEmpty(valueOf2)) {
            int i2 = R.id.tv_login;
            TextView textView = (TextView) _$_findCachedViewById(i2);
            if (textView != null) {
                textView.setEnabled(false);
            }
            TextView textView2 = (TextView) _$_findCachedViewById(i2);
            if (textView2 != null) {
                textView2.setTextColor(getResources().getColor(com.hj.chen.new1126.R.color.color_text_gray));
                return;
            }
            return;
        }
        int i3 = R.id.tv_login;
        TextView textView3 = (TextView) _$_findCachedViewById(i3);
        if (textView3 != null) {
            textView3.setEnabled(true);
        }
        TextView textView4 = (TextView) _$_findCachedViewById(i3);
        if (textView4 != null) {
            textView4.setTextColor(getResources().getColor(com.hj.chen.new1126.R.color.white));
        }
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    private final void n0() {
        ((ProgressBar) _$_findCachedViewById(R.id.progressBar)).setVisibility(0);
        com.niming.weipa.g.c.c0().W(new b(this));
    }

    private final void q0(int i2) {
        TextView textView;
        if (i2 == 1) {
            TextView textView2 = (TextView) _$_findCachedViewById(R.id.tv_login);
            if (textView2 != null) {
                textView2.setText("手机号码登录");
            }
        } else if (i2 == 2) {
            TextView textView3 = (TextView) _$_findCachedViewById(R.id.tv_login);
            if (textView3 != null) {
                textView3.setText("绑定手机号码");
            }
        } else if (i2 == 3) {
            TextView textView4 = (TextView) _$_findCachedViewById(R.id.tv_login);
            if (textView4 != null) {
                textView4.setText("解除绑定");
            }
        } else if (i2 == 4 && (textView = (TextView) _$_findCachedViewById(R.id.tv_login)) != null) {
            textView.setText("绑定手机号码");
        }
    }

    /* access modifiers changed from: private */
    public static final boolean r0(LoginActivity loginActivity, Message message) {
        Intrinsics.checkNotNullParameter(loginActivity, "this$0");
        if (message.what == 1) {
            loginActivity.v0();
            int i2 = loginActivity.O0 - 1;
            loginActivity.O0 = i2;
            if (i2 >= 0) {
                loginActivity.o0().sendEmptyMessageDelayed(1, 1000);
            }
        }
        return true;
    }

    private final void v0() {
        String str;
        int i2 = R.id.tv_get_code;
        if (((TextView) _$_findCachedViewById(i2)) != null) {
            TextView textView = (TextView) _$_findCachedViewById(i2);
            Intrinsics.checkNotNull(textView);
            StringCompanionObject stringCompanionObject = StringCompanionObject.INSTANCE;
            String string = getString(com.hj.chen.new1126.R.string.login_verification_code_retry);
            Intrinsics.checkNotNullExpressionValue(string, "getString(R.string.login_verification_code_retry)");
            Object[] objArr = new Object[1];
            if (this.O0 > 0) {
                StringBuilder sb = new StringBuilder();
                sb.append(this.O0);
                sb.append('s');
                str = sb.toString();
            } else {
                str = "";
            }
            objArr[0] = str;
            String format = String.format(string, Arrays.copyOf(objArr, 1));
            Intrinsics.checkNotNullExpressionValue(format, "format(format, *args)");
            textView.setText(format);
            if (this.O0 <= 0) {
                this.N0 = false;
                TextView textView2 = (TextView) _$_findCachedViewById(i2);
                Intrinsics.checkNotNull(textView2);
                textView2.setEnabled(true);
                return;
            }
            this.N0 = true;
            TextView textView3 = (TextView) _$_findCachedViewById(i2);
            Intrinsics.checkNotNull(textView3);
            textView3.setEnabled(false);
        }
    }

    @JvmStatic
    public static final void w0(@NotNull Context context, int i2) {
        f19773a.a(context, i2);
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    private final void x0() {
        ClearAbleEditText clearAbleEditText = (ClearAbleEditText) _$_findCachedViewById(R.id.et_account);
        Editable editable = null;
        String valueOf = String.valueOf(clearAbleEditText == null ? null : clearAbleEditText.getText());
        ClearAbleEditText clearAbleEditText2 = (ClearAbleEditText) _$_findCachedViewById(R.id.et_validate);
        if (clearAbleEditText2 != null) {
            editable = clearAbleEditText2.getText();
        }
        String valueOf2 = String.valueOf(editable);
        if (TextUtils.isEmpty(valueOf)) {
            ToastUtils.W("请填写手机号码", new Object[0]);
        } else if (TextUtils.isEmpty(valueOf2)) {
            ToastUtils.W("请填写验证码", new Object[0]);
        } else {
            int i2 = this.L0;
            if (i2 == 4) {
                com.niming.weipa.g.c.c0().S(valueOf, valueOf2, new f(this).setLoadingListener(this, "注册中"));
            } else if (i2 == 3) {
                com.niming.weipa.g.c.c0().c2(valueOf, valueOf2, new g(this).setLoadingListener(this, "解除绑定中"));
            } else {
                com.niming.weipa.g.c.c0().Y1(valueOf, valueOf2, new h(this).setLoadingListener(this, i2 == 1 ? "绑定中" : "找回中"));
            }
        }
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    private final void z0() {
        ClearAbleEditText clearAbleEditText = (ClearAbleEditText) _$_findCachedViewById(R.id.et_account);
        Editable editable = null;
        String valueOf = String.valueOf(clearAbleEditText == null ? null : clearAbleEditText.getText());
        ClearAbleEditText clearAbleEditText2 = (ClearAbleEditText) _$_findCachedViewById(R.id.et_validate);
        if (clearAbleEditText2 != null) {
            editable = clearAbleEditText2.getText();
        }
        String.valueOf(editable);
        if (!this.N0) {
            TextView textView = (TextView) _$_findCachedViewById(R.id.tv_get_code);
            Intrinsics.checkNotNull(textView);
            textView.setEnabled(!TextUtils.isEmpty(valueOf));
        }
    }

    @Override // com.niming.weipa.base.BaseActivity
    public void _$_clearFindViewByIdCache() {
        this.Q0.clear();
    }

    @Override // com.niming.weipa.base.BaseActivity
    @Nullable
    public View _$_findCachedViewById(int i2) {
        Map<Integer, View> map = this.Q0;
        View view = map.get(Integer.valueOf(i2));
        if (view != null) {
            return view;
        }
        View findViewById = findViewById(i2);
        if (findViewById == null) {
            return null;
        }
        map.put(Integer.valueOf(i2), findViewById);
        return findViewById;
    }

    @Override // com.niming.framework.base.f
    public int getViewRes() {
        return com.hj.chen.new1126.R.layout.activity_login;
    }

    @Override // com.niming.weipa.base.BaseActivity, com.niming.framework.base.f
    public void init() {
        super.init();
        this.L0 = getIntent().getIntExtra("loginFrom", this.L0);
    }

    @Override // com.niming.weipa.base.BaseActivity, com.niming.framework.base.f
    public void initView(@Nullable Bundle bundle) {
        super.initView(bundle);
        int i2 = R.id.title_view;
        TitleView titleView = (TitleView) _$_findCachedViewById(i2);
        Intrinsics.checkNotNullExpressionValue(titleView, "title_view");
        initTitle(titleView);
        TitleView titleView2 = (TitleView) _$_findCachedViewById(i2);
        if (titleView2 != null) {
            titleView2.setBackgroundColor(getResources().getColor(com.hj.chen.new1126.R.color.main_color));
        }
        TitleView titleView3 = (TitleView) _$_findCachedViewById(i2);
        if (titleView3 != null) {
            titleView3.c();
        }
        q0(this.L0);
        n0();
        int i3 = R.id.et_account;
        ClearAbleEditText clearAbleEditText = (ClearAbleEditText) _$_findCachedViewById(i3);
        if (clearAbleEditText != null) {
            clearAbleEditText.addTextChangedListener(this.M0);
        }
        ClearAbleEditText clearAbleEditText2 = (ClearAbleEditText) _$_findCachedViewById(R.id.et_validate);
        if (clearAbleEditText2 != null) {
            clearAbleEditText2.addTextChangedListener(this.M0);
        }
        int i4 = this.L0;
        if (i4 == 3) {
            UserInfo2 userInfo2 = getUserInfo2();
            TextView textView = (TextView) _$_findCachedViewById(R.id.tv_title);
            if (textView != null) {
                textView.setText("解除绑定");
            }
            ClearAbleEditText clearAbleEditText3 = (ClearAbleEditText) _$_findCachedViewById(i3);
            if (clearAbleEditText3 != null) {
                clearAbleEditText3.setText(userInfo2.getBind_mobile());
            }
            ClearAbleEditText clearAbleEditText4 = (ClearAbleEditText) _$_findCachedViewById(i3);
            if (clearAbleEditText4 != null) {
                clearAbleEditText4.setTextColor(getResources().getColor(com.hj.chen.new1126.R.color.color_text_gray));
            }
            ClearAbleEditText clearAbleEditText5 = (ClearAbleEditText) _$_findCachedViewById(i3);
            if (clearAbleEditText5 != null) {
                clearAbleEditText5.setEnabled(false);
            }
        } else if (i4 == 4) {
            TextView textView2 = (TextView) _$_findCachedViewById(R.id.tv_title);
            if (textView2 != null) {
                textView2.setText("绑定手机号");
            }
            RelativeLayout relativeLayout = (RelativeLayout) _$_findCachedViewById(R.id.rlVerificationCode);
            if (relativeLayout != null) {
                relativeLayout.setVisibility(0);
            }
            ((TextView) _$_findCachedViewById(R.id.tvTips)).setText("手机号注册，可防止账号/资金等丢失，方便找回");
        }
        t0(new Handler(new c(this)));
        u.f((TextView) _$_findCachedViewById(R.id.tv_get_code), 0, new c(this), 1, null);
        u.f((TextView) _$_findCachedViewById(R.id.tv_login), 0, new d(this), 1, null);
        u.f((ImageView) _$_findCachedViewById(R.id.ivVerificationCode), 0, new e(this), 1, null);
    }

    @NotNull
    public final Handler o0() {
        Handler handler = this.P0;
        if (handler != null) {
            return handler;
        }
        Intrinsics.throwUninitializedPropertyAccessException("handler");
        return null;
    }

    /* access modifiers changed from: protected */
    @Override // androidx.appcompat.app.AppCompatActivity, androidx.fragment.app.FragmentActivity
    public void onDestroy() {
        super.onDestroy();
        o0().removeMessages(1);
    }

    @NotNull
    public final TextWatcher p0() {
        return this.M0;
    }

    public final void t0(@NotNull Handler handler) {
        Intrinsics.checkNotNullParameter(handler, "<set-?>");
        this.P0 = handler;
    }

    public final void u0(@NotNull TextWatcher textWatcher) {
        Intrinsics.checkNotNullParameter(textWatcher, "<set-?>");
        this.M0 = textWatcher;
    }

    public final void y0() {
        ClearAbleEditText clearAbleEditText = (ClearAbleEditText) _$_findCachedViewById(R.id.et_account);
        Editable editable = null;
        String valueOf = String.valueOf(clearAbleEditText == null ? null : clearAbleEditText.getText());
        if (TextUtils.isEmpty(valueOf)) {
            ToastUtils.W("请填写手机号码", new Object[0]);
        } else if (!p0.n(valueOf)) {
            ToastUtils.W("请输入正确的手机号", new Object[0]);
        } else if (this.L0 != 4) {
            com.niming.weipa.g.c.c0().A1(valueOf, new k(this).setLoadingListener(this, "请求验证码"));
        } else if (TextUtils.isEmpty(valueOf)) {
            ToastUtils.W("请填写手机号码", new Object[0]);
        } else {
            ClearAbleEditText clearAbleEditText2 = (ClearAbleEditText) _$_findCachedViewById(R.id.etVerificationCode);
            if (clearAbleEditText2 != null) {
                editable = clearAbleEditText2.getText();
            }
            String valueOf2 = String.valueOf(editable);
            if (valueOf2.length() == 0) {
                ToastUtils.W("请填写图像验证码呢", new Object[0]);
            } else {
                com.niming.weipa.g.c.c0().V(valueOf, valueOf2, new j(this));
            }
        }
    }
}
