package com.niming.weipa.ui.main;

import android.content.Context;
import android.content.Intent;
import android.os.Bundle;
import android.text.style.ForegroundColorSpan;
import android.view.View;
import android.widget.ImageView;
import android.widget.LinearLayout;
import android.widget.TextView;
import androidx.recyclerview.widget.GridLayoutManager;
import androidx.recyclerview.widget.RecyclerView;
import com.blankj.utilcode.util.SpanUtils;
import com.blankj.utilcode.util.e;
import com.blankj.utilcode.util.z0;
import com.niming.weipa.R;
import com.niming.weipa.base.BaseActivity;
import com.niming.weipa.model.SignInModel;
import java.io.Serializable;
import java.util.LinkedHashMap;
import java.util.List;
import java.util.Map;
import java.util.Objects;
import kotlin.Metadata;
import kotlin.jvm.internal.DefaultConstructorMarker;
import kotlin.jvm.internal.Intrinsics;
import kotlin.text.StringsKt__StringsKt;
import org.jetbrains.annotations.NotNull;
import org.jetbrains.annotations.Nullable;

@Metadata(d1 = {"\u0000<\n\u0002\u0018\u0002\n\u0002\u0018\u0002\n\u0002\b\u0002\n\u0002\u0018\u0002\n\u0002\b\u0005\n\u0002\u0018\u0002\n\u0002\b\u0005\n\u0002\u0010\b\n\u0000\n\u0002\u0010 \n\u0002\u0018\u0002\n\u0000\n\u0002\u0010\u0002\n\u0002\b\u0004\n\u0002\u0018\u0002\n\u0002\b\u0003\u0018\u0000 \u001c2\u00020\u0001:\u0001\u001cB\u0005¢\u0006\u0002\u0010\u0002J\b\u0010\u000f\u001a\u00020\u0010H\u0016J\u0016\u0010\u0011\u001a\b\u0012\u0004\u0012\u00020\u00130\u00122\u0006\u0010\t\u001a\u00020\nH\u0002J\b\u0010\u0014\u001a\u00020\u0015H\u0016J\b\u0010\u0016\u001a\u00020\u0015H\u0002J\b\u0010\u0017\u001a\u00020\u0015H\u0002J\u0012\u0010\u0018\u001a\u00020\u00152\b\u0010\u0019\u001a\u0004\u0018\u00010\u001aH\u0016J\b\u0010\u001b\u001a\u00020\u0015H\u0002R\u001a\u0010\u0003\u001a\u00020\u0004X.¢\u0006\u000e\n\u0000\u001a\u0004\b\u0005\u0010\u0006\"\u0004\b\u0007\u0010\bR\u001a\u0010\t\u001a\u00020\nX.¢\u0006\u000e\n\u0000\u001a\u0004\b\u000b\u0010\f\"\u0004\b\r\u0010\u000e¨\u0006\u001d"}, d2 = {"Lcom/niming/weipa/ui/main/SignInDetailActivity;", "Lcom/niming/weipa/base/BaseActivity;", "()V", "adapter", "Lcom/niming/weipa/ui/main/SignInDetailAdapter;", "getAdapter", "()Lcom/niming/weipa/ui/main/SignInDetailAdapter;", "setAdapter", "(Lcom/niming/weipa/ui/main/SignInDetailAdapter;)V", "signInModel", "Lcom/niming/weipa/model/SignInModel;", "getSignInModel", "()Lcom/niming/weipa/model/SignInModel;", "setSignInModel", "(Lcom/niming/weipa/model/SignInModel;)V", "getViewRes", "", "handleData", "", "Lcom/niming/weipa/model/SignInModel$SignIniBean$IniBean;", "init", "", "initRecyclerView", "initRecyclerViewRule", "initView", "savedInstanceState", "Landroid/os/Bundle;", "renderUI", "Companion", "app_wuqudaoRelease"}, k = 1, mv = {1, 6, 0}, xi = 48)
/* compiled from: SignInDetailActivity.kt */
public final class SignInDetailActivity extends BaseActivity {
    @NotNull

    /* renamed from: a  reason: collision with root package name */
    public static final a f19814a = new a(null);
    public n I0;
    @NotNull
    public Map<Integer, View> J0 = new LinkedHashMap();

    /* renamed from: b  reason: collision with root package name */
    public SignInModel f19815b;

    @Metadata(d1 = {"\u0000\u001e\n\u0002\u0018\u0002\n\u0002\u0010\u0000\n\u0002\b\u0002\n\u0002\u0010\u0002\n\u0000\n\u0002\u0018\u0002\n\u0000\n\u0002\u0018\u0002\n\u0000\b\u0003\u0018\u00002\u00020\u0001B\u0007\b\u0002¢\u0006\u0002\u0010\u0002J\u0016\u0010\u0003\u001a\u00020\u00042\u0006\u0010\u0005\u001a\u00020\u00062\u0006\u0010\u0007\u001a\u00020\b¨\u0006\t"}, d2 = {"Lcom/niming/weipa/ui/main/SignInDetailActivity$Companion;", "", "()V", "getInstance", "", "context", "Landroid/content/Context;", "signInModel", "Lcom/niming/weipa/model/SignInModel;", "app_wuqudaoRelease"}, k = 1, mv = {1, 6, 0}, xi = 48)
    /* compiled from: SignInDetailActivity.kt */
    public static final class a {
        private a() {
        }

        public /* synthetic */ a(DefaultConstructorMarker defaultConstructorMarker) {
            this();
        }

        public final void a(@NotNull Context context, @NotNull SignInModel signInModel) {
            Intrinsics.checkNotNullParameter(context, "context");
            Intrinsics.checkNotNullParameter(signInModel, "signInModel");
            Intent intent = new Intent(context, SignInDetailActivity.class);
            intent.putExtra("signInModel", signInModel);
            context.startActivity(intent);
        }
    }

    private final List<SignInModel.SignIniBean.IniBean> j0(SignInModel signInModel) {
        List<SignInModel.SignIniBean.IniBean> ini = signInModel.sign_ini.getIni();
        int size = ini.size();
        int i = 0;
        while (i < size) {
            int i2 = i + 1;
            SignInModel.SignIniBean.IniBean iniBean = ini.get(i);
            boolean z = true;
            iniBean.setSign(signInModel.sign_info.getSign() > i);
            iniBean.setEndView(i2 % 7 == 0);
            if (i2 != signInModel.sign_info.getSign()) {
                z = false;
            }
            iniBean.setSignEnd(z);
            i = i2;
        }
        Intrinsics.checkNotNullExpressionValue(ini, "data");
        return ini;
    }

    private final void k0() {
        int i = R.id.recyclerView;
        ((RecyclerView) _$_findCachedViewById(i)).setLayoutManager(new GridLayoutManager(this.activity, 7));
        p0(new n(this));
        ((RecyclerView) _$_findCachedViewById(i)).setAdapter(h0());
        j0(i0());
        h0().addAll(i0().sign_ini.getIni());
    }

    private final void l0() {
        String sign_help = i0().sign_ini.getSign_help();
        Intrinsics.checkNotNullExpressionValue(sign_help, "signInModel.sign_ini.sign_help");
        for (String str : StringsKt__StringsKt.split$default((CharSequence) sign_help, new String[]{"##"}, false, 0, 6, (Object) null)) {
            TextView textView = new TextView(this);
            textView.setText(str);
            textView.setTextColor(getResources().getColor(com.hj.chen.new1126.R.color.color_text_gray));
            textView.setTextSize(12.0f);
            LinearLayout.LayoutParams layoutParams = new LinearLayout.LayoutParams(-2, -2);
            layoutParams.topMargin = z0.b(15.0f);
            textView.setLayoutParams(layoutParams);
            ((LinearLayout) _$_findCachedViewById(R.id.llSignInRuleContainer)).addView(textView);
        }
    }

    /* access modifiers changed from: private */
    public static final void m0(SignInDetailActivity signInDetailActivity, View view) {
        Intrinsics.checkNotNullParameter(signInDetailActivity, "this$0");
        signInDetailActivity.finish();
    }

    private final void o0() {
        ((TextView) _$_findCachedViewById(R.id.tvSignInReward)).setText(i0().sign_info.getCoins());
        SpanUtils R = new SpanUtils().a("已連續簽到").R(new ForegroundColorSpan(getResources().getColor(com.hj.chen.new1126.R.color.color_text_white)));
        StringBuilder sb = new StringBuilder();
        sb.append(i0().sign_info.getSign());
        sb.append((char) 22825);
        ((TextView) _$_findCachedViewById(R.id.tvContinueSignNum)).setText(R.a(sb.toString()).R(new ForegroundColorSpan(getResources().getColor(com.hj.chen.new1126.R.color.color_bright_blue))).p());
        k0();
        l0();
    }

    @Override // com.niming.weipa.base.BaseActivity
    public void _$_clearFindViewByIdCache() {
        this.J0.clear();
    }

    @Override // com.niming.weipa.base.BaseActivity
    @Nullable
    public View _$_findCachedViewById(int i) {
        Map<Integer, View> map = this.J0;
        View view = map.get(Integer.valueOf(i));
        if (view != null) {
            return view;
        }
        View findViewById = findViewById(i);
        if (findViewById == null) {
            return null;
        }
        map.put(Integer.valueOf(i), findViewById);
        return findViewById;
    }

    @Override // com.niming.framework.base.f
    public int getViewRes() {
        return com.hj.chen.new1126.R.layout.activity_sign_in_detail;
    }

    @NotNull
    public final n h0() {
        n nVar = this.I0;
        if (nVar != null) {
            return nVar;
        }
        Intrinsics.throwUninitializedPropertyAccessException("adapter");
        return null;
    }

    @NotNull
    public final SignInModel i0() {
        SignInModel signInModel = this.f19815b;
        if (signInModel != null) {
            return signInModel;
        }
        Intrinsics.throwUninitializedPropertyAccessException("signInModel");
        return null;
    }

    @Override // com.niming.weipa.base.BaseActivity, com.niming.framework.base.f
    public void init() {
        super.init();
        Serializable serializableExtra = getIntent().getSerializableExtra("signInModel");
        Objects.requireNonNull(serializableExtra, "null cannot be cast to non-null type com.niming.weipa.model.SignInModel");
        q0((SignInModel) serializableExtra);
    }

    @Override // com.niming.weipa.base.BaseActivity, com.niming.framework.base.f
    public void initView(@Nullable Bundle bundle) {
        super.initView(bundle);
        setTranslucentBar();
        e.L(this, false);
        ((ImageView) _$_findCachedViewById(R.id.ivBack)).setOnClickListener(new h(this));
        o0();
    }

    public final void p0(@NotNull n nVar) {
        Intrinsics.checkNotNullParameter(nVar, "<set-?>");
        this.I0 = nVar;
    }

    public final void q0(@NotNull SignInModel signInModel) {
        Intrinsics.checkNotNullParameter(signInModel, "<set-?>");
        this.f19815b = signInModel;
    }
}
