package com.niming.weipa.ui.mediaLibrary;

import android.app.Activity;
import android.content.Context;
import android.content.Intent;
import android.os.Bundle;
import android.view.View;
import androidx.lifecycle.LiveData;
import androidx.lifecycle.s;
import androidx.recyclerview.widget.LinearLayoutManager;
import androidx.recyclerview.widget.RecyclerView;
import com.blankj.utilcode.util.LogUtils;
import com.blankj.utilcode.util.z0;
import com.niming.framework.widget.TitleView;
import com.niming.weipa.R;
import com.niming.weipa.base.BaseActivity;
import com.niming.weipa.db.PostWorkUtil;
import com.niming.weipa.h.f.a.c;
import com.niming.weipa.model.PostWork;
import com.niming.weipa.model.WordManagerModel;
import com.niming.weipa.utils.v;
import com.niming.weipa.widget.OnlyOneTextEmptyView;
import com.niming.weipa.widget.j;
import java.util.ArrayList;
import java.util.Iterator;
import java.util.LinkedHashMap;
import java.util.List;
import java.util.Map;
import kotlin.Metadata;
import kotlin.jvm.JvmStatic;
import kotlin.jvm.internal.DefaultConstructorMarker;
import kotlin.jvm.internal.Intrinsics;
import org.jetbrains.annotations.NotNull;
import org.jetbrains.annotations.Nullable;

@Metadata(d1 = {"\u0000B\n\u0002\u0018\u0002\n\u0002\u0018\u0002\n\u0002\b\u0002\n\u0002\u0018\u0002\n\u0002\b\u0005\n\u0002\u0018\u0002\n\u0002\u0010 \n\u0002\u0018\u0002\n\u0002\b\u0005\n\u0002\u0010\b\n\u0000\n\u0002\u0010\u0002\n\u0002\b\u0002\n\u0002\u0018\u0002\n\u0002\b\u0003\n\u0002\u0018\u0002\n\u0002\b\u0002\u0018\u0000 \u001c2\u00020\u0001:\u0001\u001cB\u0005¢\u0006\u0002\u0010\u0002J\b\u0010\u0011\u001a\u00020\u0012H\u0016J\b\u0010\u0013\u001a\u00020\u0014H\u0002J\u0012\u0010\u0015\u001a\u00020\u00142\b\u0010\u0016\u001a\u0004\u0018\u00010\u0017H\u0016J\b\u0010\u0018\u001a\u00020\u0014H\u0014J\u0016\u0010\u0019\u001a\u00020\u00142\f\u0010\u001a\u001a\b\u0012\u0004\u0012\u00020\u001b0\u000bH\u0002R\u001a\u0010\u0003\u001a\u00020\u0004X\u000e¢\u0006\u000e\n\u0000\u001a\u0004\b\u0005\u0010\u0006\"\u0004\b\u0007\u0010\bR&\u0010\t\u001a\u000e\u0012\n\u0012\b\u0012\u0004\u0012\u00020\f0\u000b0\nX\u000e¢\u0006\u000e\n\u0000\u001a\u0004\b\r\u0010\u000e\"\u0004\b\u000f\u0010\u0010¨\u0006\u001d"}, d2 = {"Lcom/niming/weipa/ui/mediaLibrary/UploadListActivity;", "Lcom/niming/weipa/base/BaseActivity;", "()V", "mAdapter", "Lcom/chad/library/adapter/base/BaseBinderAdapter;", "getMAdapter", "()Lcom/chad/library/adapter/base/BaseBinderAdapter;", "setMAdapter", "(Lcom/chad/library/adapter/base/BaseBinderAdapter;)V", "observerList", "Landroidx/lifecycle/Observer;", "", "Lcom/niming/weipa/model/PostWork;", "getObserverList", "()Landroidx/lifecycle/Observer;", "setObserverList", "(Landroidx/lifecycle/Observer;)V", "getViewRes", "", "initRecyclerView", "", "initView", "savedInstanceState", "Landroid/os/Bundle;", "onDestroy", "updateLocalWork", "list", "Lcom/niming/weipa/model/WordManagerModel;", "Companion", "app_wuqudaoRelease"}, k = 1, mv = {1, 6, 0}, xi = 48)
/* compiled from: UploadListActivity.kt */
public final class UploadListActivity extends BaseActivity {
    @NotNull

    /* renamed from: a  reason: collision with root package name */
    public static final a f19849a = new a(null);
    @NotNull
    private s<List<PostWork>> I0 = new p(this);
    @NotNull
    public Map<Integer, View> J0 = new LinkedHashMap();
    @NotNull

    /* renamed from: b  reason: collision with root package name */
    private com.chad.library.adapter.base.a f19850b = new com.chad.library.adapter.base.a(null, 1, null);

    @Metadata(d1 = {"\u0000\u0018\n\u0002\u0018\u0002\n\u0002\u0010\u0000\n\u0002\b\u0002\n\u0002\u0010\u0002\n\u0000\n\u0002\u0018\u0002\n\u0000\b\u0003\u0018\u00002\u00020\u0001B\u0007\b\u0002¢\u0006\u0002\u0010\u0002J\u0010\u0010\u0003\u001a\u00020\u00042\u0006\u0010\u0005\u001a\u00020\u0006H\u0007¨\u0006\u0007"}, d2 = {"Lcom/niming/weipa/ui/mediaLibrary/UploadListActivity$Companion;", "", "()V", "start", "", "context", "Landroid/content/Context;", "app_wuqudaoRelease"}, k = 1, mv = {1, 6, 0}, xi = 48)
    /* compiled from: UploadListActivity.kt */
    public static final class a {
        private a() {
        }

        public /* synthetic */ a(DefaultConstructorMarker defaultConstructorMarker) {
            this();
        }

        @JvmStatic
        public final void a(@NotNull Context context) {
            Intrinsics.checkNotNullParameter(context, "context");
            context.startActivity(new Intent(context, UploadListActivity.class));
        }
    }

    private final void j0() {
        int i = R.id.recyclerView;
        ((RecyclerView) _$_findCachedViewById(i)).setAdapter(this.f19850b);
        ((RecyclerView) _$_findCachedViewById(i)).setLayoutManager(new LinearLayoutManager(this.activity));
        j jVar = new j(z0.b(12.0f));
        jVar.f(true);
        jVar.d(true);
        ((RecyclerView) _$_findCachedViewById(i)).addItemDecoration(jVar);
        this.f19850b.J1(WordManagerModel.class, new c(), null);
        LiveData<List<PostWork>> allByLiveData = PostWorkUtil.getAllByLiveData();
        Intrinsics.checkNotNullExpressionValue(allByLiveData, "getAllByLiveData()");
        allByLiveData.i(this, this.I0);
    }

    /* access modifiers changed from: private */
    public static final void l0(UploadListActivity uploadListActivity, List list) {
        Intrinsics.checkNotNullParameter(uploadListActivity, "this$0");
        ArrayList b2 = v.b(new WordManagerModel[0]);
        Iterator it = list.iterator();
        while (it.hasNext()) {
            WordManagerModel wordManagerModel = new WordManagerModel();
            wordManagerModel.setCheck(3);
            wordManagerModel.setPostWork((PostWork) it.next());
            b2.add(wordManagerModel);
        }
        LogUtils.l("list size = " + b2.size() + " t.size = " + list.size());
        if (b2.size() > 0) {
            LogUtils.l(Intrinsics.stringPlus("上传进度 = ", Integer.valueOf(((WordManagerModel) b2.get(b2.size() - 1)).getPostWork().getProgress())));
        }
        uploadListActivity.o0(b2);
    }

    private final void o0(List<? extends WordManagerModel> list) {
        for (WordManagerModel wordManagerModel : list) {
            if (wordManagerModel.getCheck() == 3 && wordManagerModel.getPostWork().getStatus() == 2) {
                PostWorkUtil.deleteWork(wordManagerModel.getPostWork());
            }
        }
        if (list.isEmpty()) {
            Activity activity = this.activity;
            Intrinsics.checkNotNullExpressionValue(activity, "activity");
            OnlyOneTextEmptyView onlyOneTextEmptyView = new OnlyOneTextEmptyView(activity, null, 0, 6, null);
            onlyOneTextEmptyView.setContent("空空如也～");
            this.f19850b.e1(onlyOneTextEmptyView);
        }
        this.f19850b.s1(list);
    }

    @JvmStatic
    public static final void start(@NotNull Context context) {
        f19849a.a(context);
    }

    @Override // com.niming.weipa.base.BaseActivity
    public void _$_clearFindViewByIdCache() {
        this.J0.clear();
    }

    @Override // com.niming.weipa.base.BaseActivity
    @Nullable
    public View _$_findCachedViewById(int i) {
        Map<Integer, View> map = this.J0;
        View view = map.get(Integer.valueOf(i));
        if (view != null) {
            return view;
        }
        View findViewById = findViewById(i);
        if (findViewById == null) {
            return null;
        }
        map.put(Integer.valueOf(i), findViewById);
        return findViewById;
    }

    @Override // com.niming.framework.base.f
    public int getViewRes() {
        return com.hj.chen.new1126.R.layout.activity_upload_list;
    }

    @NotNull
    public final com.chad.library.adapter.base.a h0() {
        return this.f19850b;
    }

    @NotNull
    public final s<List<PostWork>> i0() {
        return this.I0;
    }

    @Override // com.niming.weipa.base.BaseActivity, com.niming.framework.base.f
    public void initView(@Nullable Bundle bundle) {
        super.initView(bundle);
        TitleView titleView = (TitleView) _$_findCachedViewById(R.id.titleView);
        Intrinsics.checkNotNullExpressionValue(titleView, "titleView");
        initTitle(titleView, "上传列表");
        j0();
    }

    public final void m0(@NotNull com.chad.library.adapter.base.a aVar) {
        Intrinsics.checkNotNullParameter(aVar, "<set-?>");
        this.f19850b = aVar;
    }

    public final void n0(@NotNull s<List<PostWork>> sVar) {
        Intrinsics.checkNotNullParameter(sVar, "<set-?>");
        this.I0 = sVar;
    }

    /* access modifiers changed from: protected */
    @Override // androidx.appcompat.app.AppCompatActivity, androidx.fragment.app.FragmentActivity
    public void onDestroy() {
        super.onDestroy();
        PostWorkUtil.getAllByLiveData().n(this.I0);
    }
}
