package com.niming.weipa.ui.mine.activity;

import android.app.Activity;
import android.content.Context;
import android.content.Intent;
import android.net.Uri;
import android.os.Bundle;
import android.text.TextUtils;
import android.view.View;
import android.widget.EditText;
import android.widget.TextView;
import androidx.core.app.NotificationCompat;
import com.alipay.sdk.util.j;
import com.blankj.utilcode.util.LogUtils;
import com.blankj.utilcode.util.ToastUtils;
import com.google.firebase.analytics.FirebaseAnalytics;
import com.ibm.icu.text.DateFormat;
import com.niming.framework.b.g;
import com.niming.framework.net.Result;
import com.niming.framework.widget.TitleView;
import com.niming.weipa.R;
import com.niming.weipa.base.BaseActivity;
import com.niming.weipa.model.BuyVipModel;
import com.niming.weipa.model.VipListsModel;
import com.niming.weipa.ui.vip.PayWaitingActivity;
import com.niming.weipa.ui.vip.VipBuyRecordActivity;
import com.niming.weipa.update.NoticeAppDialogFragment;
import com.niming.weipa.utils.b0;
import com.niming.weipa.utils.u;
import com.niming.weipa.widget.n;
import java.util.LinkedHashMap;
import java.util.List;
import java.util.Map;
import java.util.regex.Matcher;
import java.util.regex.Pattern;
import kotlin.Metadata;
import kotlin.Unit;
import kotlin.jvm.JvmStatic;
import kotlin.jvm.functions.Function1;
import kotlin.jvm.internal.DefaultConstructorMarker;
import kotlin.jvm.internal.Intrinsics;
import kotlin.jvm.internal.Lambda;
import kotlin.text.StringsKt__StringsJVMKt;
import org.jetbrains.annotations.NotNull;
import org.jetbrains.annotations.Nullable;

@Metadata(d1 = {"\u0000<\n\u0002\u0018\u0002\n\u0002\u0018\u0002\n\u0002\b\u0002\n\u0002\u0018\u0002\n\u0002\b\u0005\n\u0002\u0010\u000e\n\u0002\b\u0003\n\u0002\u0010\b\n\u0000\n\u0002\u0010\u0002\n\u0000\n\u0002\u0018\u0002\n\u0002\b\u0005\n\u0002\u0010 \n\u0002\u0018\u0002\n\u0002\b\u0005\u0018\u0000 \u001d2\u00020\u0001:\u0001\u001dB\u0005¢\u0006\u0002\u0010\u0002J\u001c\u0010\t\u001a\u0004\u0018\u00010\n2\b\u0010\u000b\u001a\u0004\u0018\u00010\n2\b\u0010\f\u001a\u0004\u0018\u00010\nJ\b\u0010\r\u001a\u00020\u000eH\u0016J\u0012\u0010\u000f\u001a\u00020\u00102\b\u0010\u0011\u001a\u0004\u0018\u00010\u0012H\u0016J\u0010\u0010\u0013\u001a\u00020\u00102\u0006\u0010\u0003\u001a\u00020\u0004H\u0002J\u0010\u0010\u0014\u001a\u00020\u00102\u0006\u0010\u0015\u001a\u00020\nH\u0002J\u001c\u0010\u0016\u001a\u00020\u00102\f\u0010\u0017\u001a\b\u0012\u0004\u0012\u00020\u00190\u00182\u0006\u0010\u001a\u001a\u00020\u000eJ\u000e\u0010\u001b\u001a\u00020\u00102\u0006\u0010\u001c\u001a\u00020\u000eR\u001c\u0010\u0003\u001a\u0004\u0018\u00010\u0004X\u000e¢\u0006\u000e\n\u0000\u001a\u0004\b\u0005\u0010\u0006\"\u0004\b\u0007\u0010\b¨\u0006\u001e"}, d2 = {"Lcom/niming/weipa/ui/mine/activity/BusinessChargeActivity;", "Lcom/niming/weipa/base/BaseActivity;", "()V", "buyVipModel", "Lcom/niming/weipa/model/BuyVipModel;", "getBuyVipModel", "()Lcom/niming/weipa/model/BuyVipModel;", "setBuyVipModel", "(Lcom/niming/weipa/model/BuyVipModel;)V", "getSubUtilSimple", "", "soap", "rgex", "getViewRes", "", "initView", "", "savedInstanceState", "Landroid/os/Bundle;", "intentPayWait", "showErrorPay", NotificationCompat.w0, "showPayDialog", "payment", "", "Lcom/niming/weipa/model/VipListsModel$PaymentBean;", FirebaseAnalytics.b.z, "vipRecharge", "amount", "Companion", "app_wuqudaoRelease"}, k = 1, mv = {1, 6, 0}, xi = 48)
/* compiled from: BusinessChargeActivity.kt */
public final class BusinessChargeActivity extends BaseActivity {
    @NotNull

    /* renamed from: a  reason: collision with root package name */
    public static final a f19892a = new a(null);
    @NotNull
    public Map<Integer, View> I0 = new LinkedHashMap();
    @Nullable

    /* renamed from: b  reason: collision with root package name */
    private BuyVipModel f19893b;

    @Metadata(d1 = {"\u0000\u0018\n\u0002\u0018\u0002\n\u0002\u0010\u0000\n\u0002\b\u0002\n\u0002\u0010\u0002\n\u0000\n\u0002\u0018\u0002\n\u0000\b\u0003\u0018\u00002\u00020\u0001B\u0007\b\u0002¢\u0006\u0002\u0010\u0002J\u0010\u0010\u0003\u001a\u00020\u00042\u0006\u0010\u0005\u001a\u00020\u0006H\u0007¨\u0006\u0007"}, d2 = {"Lcom/niming/weipa/ui/mine/activity/BusinessChargeActivity$Companion;", "", "()V", "start", "", "context", "Landroid/content/Context;", "app_wuqudaoRelease"}, k = 1, mv = {1, 6, 0}, xi = 48)
    /* compiled from: BusinessChargeActivity.kt */
    public static final class a {
        private a() {
        }

        public /* synthetic */ a(DefaultConstructorMarker defaultConstructorMarker) {
            this();
        }

        @JvmStatic
        public final void a(@NotNull Context context) {
            Intrinsics.checkNotNullParameter(context, "context");
            context.startActivity(new Intent(context, BusinessChargeActivity.class));
        }
    }

    @Metadata(d1 = {"\u0000\u0010\n\u0000\n\u0002\u0010\u0002\n\u0000\n\u0002\u0018\u0002\n\u0002\b\u0002\u0010\u0000\u001a\u00020\u00012\u000e\u0010\u0002\u001a\n \u0004*\u0004\u0018\u00010\u00030\u0003H\n¢\u0006\u0002\b\u0005"}, d2 = {"<anonymous>", "", "it", "Landroid/widget/TextView;", "kotlin.jvm.PlatformType", "invoke"}, k = 3, mv = {1, 6, 0}, xi = 48)
    /* compiled from: BusinessChargeActivity.kt */
    static final class b extends Lambda implements Function1<TextView, Unit> {
        final /* synthetic */ BusinessChargeActivity this$0;

        /* JADX INFO: super call moved to the top of the method (can break code semantics) */
        b(BusinessChargeActivity businessChargeActivity) {
            super(1);
            this.this$0 = businessChargeActivity;
        }

        public final void a(TextView textView) {
            BusinessChargeActivity businessChargeActivity = this.this$0;
            int i = R.id.etInputNum;
            if (TextUtils.isEmpty(((EditText) businessChargeActivity._$_findCachedViewById(i)).getText().toString())) {
                ToastUtils.W("金额须大于50呢", new Object[0]);
                return;
            }
            int parseInt = Integer.parseInt(((EditText) this.this$0._$_findCachedViewById(i)).getText().toString());
            if (parseInt < 50) {
                ToastUtils.W("金额须大于50呢", new Object[0]);
            } else {
                this.this$0.u0(parseInt);
            }
        }

        /* Return type fixed from 'java.lang.Object' to match base method */
        /* JADX DEBUG: Method arguments types fixed to match base method, original types: [java.lang.Object] */
        @Override // kotlin.jvm.functions.Function1
        public /* bridge */ /* synthetic */ Unit invoke(TextView textView) {
            a(textView);
            return Unit.INSTANCE;
        }
    }

    @Metadata(d1 = {"\u0000\u0013\n\u0000\n\u0002\u0018\u0002\n\u0000\n\u0002\u0010\u0002\n\u0002\b\u0002*\u0001\u0000\b\n\u0018\u00002\u00020\u0001J\b\u0010\u0002\u001a\u00020\u0003H\u0016J\b\u0010\u0004\u001a\u00020\u0003H\u0016¨\u0006\u0005"}, d2 = {"com/niming/weipa/ui/mine/activity/BusinessChargeActivity$showErrorPay$1", "Lcom/niming/weipa/update/NoticeAppDialogFragment$NoticeAppDialogFragmentListener;", "clickClose", "", "clickSure", "app_wuqudaoRelease"}, k = 1, mv = {1, 6, 0}, xi = 48)
    /* compiled from: BusinessChargeActivity.kt */
    public static final class c implements NoticeAppDialogFragment.a {
        c() {
        }

        @Override // com.niming.weipa.update.NoticeAppDialogFragment.a
        public void a() {
        }

        @Override // com.niming.weipa.update.NoticeAppDialogFragment.a
        public void b() {
        }
    }

    @Metadata(d1 = {"\u0000\u0019\n\u0000\n\u0002\u0018\u0002\n\u0000\n\u0002\u0010\u0002\n\u0002\b\u0002\n\u0002\u0018\u0002\n\u0000*\u0001\u0000\b\n\u0018\u00002\u00020\u0001J\b\u0010\u0002\u001a\u00020\u0003H\u0016J\u0010\u0010\u0004\u001a\u00020\u00032\u0006\u0010\u0005\u001a\u00020\u0006H\u0014¨\u0006\u0007"}, d2 = {"com/niming/weipa/ui/mine/activity/BusinessChargeActivity$showPayDialog$1$1", "Lcom/niming/weipa/net/AbsHttpCallback;", "onFinish", "", "onSuccess", j.f6041c, "Lcom/niming/framework/net/Result;", "app_wuqudaoRelease"}, k = 1, mv = {1, 6, 0}, xi = 48)
    /* compiled from: BusinessChargeActivity.kt */
    public static final class d extends com.niming.weipa.g.a {

        /* renamed from: a  reason: collision with root package name */
        final /* synthetic */ n f19894a;

        /* renamed from: b  reason: collision with root package name */
        final /* synthetic */ BusinessChargeActivity f19895b;

        /* renamed from: c  reason: collision with root package name */
        final /* synthetic */ int f19896c;

        d(n nVar, BusinessChargeActivity businessChargeActivity, int i) {
            this.f19894a = nVar;
            this.f19895b = businessChargeActivity;
            this.f19896c = i;
        }

        /* access modifiers changed from: private */
        public static final void b(BusinessChargeActivity businessChargeActivity, String str) {
            Intrinsics.checkNotNullParameter(businessChargeActivity, "this$0");
            Object[] objArr = new Object[1];
            BuyVipModel k0 = businessChargeActivity.k0();
            objArr[0] = Intrinsics.stringPlus("buyVipModel.link = ", k0 == null ? null : k0.getLink());
            LogUtils.l(objArr);
            if (StringsKt__StringsJVMKt.equals$default(businessChargeActivity.l0(str, "resultStatus=\\{(.+?)\\}"), "9000", false, 2, null)) {
                ToastUtils.S("支付成功，尽情玩耍吧！", new Object[0]);
            } else {
                ToastUtils.S("支付未完成", new Object[0]);
            }
        }

        @Override // com.lzy.okgo.d.c, com.lzy.okgo.d.a, com.niming.weipa.g.a
        public void onFinish() {
            super.onFinish();
            this.f19894a.Z().setEnabled(true);
            this.f19895b.dismissDialog();
        }

        /* access modifiers changed from: protected */
        @Override // com.niming.weipa.g.a
        public void onSuccess(@NotNull Result result) {
            Intrinsics.checkNotNullParameter(result, j.f6041c);
            this.f19894a.dismissAllowingStateLoss();
            if (result.isOk()) {
                this.f19895b.q0((BuyVipModel) g.b(result.getData(), BuyVipModel.class));
                BuyVipModel k0 = this.f19895b.k0();
                if (k0 != null) {
                    k0.setPrice(String.valueOf(this.f19896c));
                }
                Object[] objArr = new Object[1];
                BuyVipModel k02 = this.f19895b.k0();
                String str = null;
                objArr[0] = Intrinsics.stringPlus("buyVipModel.type = ", k02 == null ? null : k02.getType());
                LogUtils.l(objArr);
                Object[] objArr2 = new Object[1];
                BuyVipModel k03 = this.f19895b.k0();
                objArr2[0] = Intrinsics.stringPlus("buyVipModel.link = ", k03 == null ? null : k03.getLink());
                LogUtils.l(objArr2);
                BuyVipModel k04 = this.f19895b.k0();
                String type = k04 == null ? null : k04.getType();
                if (type != null) {
                    int hashCode = type.hashCode();
                    if (hashCode != -1414960566) {
                        if (hashCode != -791770330) {
                            if (hashCode == 116079 && type.equals("url")) {
                                BuyVipModel k05 = this.f19895b.k0();
                                if (Intrinsics.areEqual(k05 == null ? null : k05.getJump(), DateFormat.YEAR)) {
                                    try {
                                        if (this.f19895b.k0() != null) {
                                            BusinessChargeActivity businessChargeActivity = this.f19895b;
                                            BuyVipModel k06 = businessChargeActivity.k0();
                                            Intrinsics.checkNotNull(k06);
                                            businessChargeActivity.n0(k06);
                                        }
                                        BuyVipModel k07 = this.f19895b.k0();
                                        if (k07 != null) {
                                            str = k07.getLink();
                                        }
                                        this.f19895b.startActivity(new Intent("android.intent.action.VIEW", Uri.parse(str)));
                                    } catch (Exception unused) {
                                    }
                                } else {
                                    ToastUtils.W("購買成功 - -", new Object[0]);
                                    this.f19895b.finish();
                                }
                            }
                        } else if (type.equals("wechat")) {
                            ToastUtils.W("尚未开通", new Object[0]);
                        }
                    } else if (type.equals("alipay")) {
                        com.monter.alipay.a a2 = com.monter.alipay.a.a();
                        BuyVipModel k08 = this.f19895b.k0();
                        if (k08 != null) {
                            str = k08.getLink();
                        }
                        a2.b(str, ((com.niming.framework.base.BaseActivity) this.f19895b).activity, new e(this.f19895b));
                    }
                }
            } else {
                BusinessChargeActivity businessChargeActivity2 = this.f19895b;
                String message = result.getMessage();
                Intrinsics.checkNotNullExpressionValue(message, "result.message");
                businessChargeActivity2.r0(message);
            }
        }
    }

    @Metadata(d1 = {"\u0000\u0019\n\u0000\n\u0002\u0018\u0002\n\u0000\n\u0002\u0010\u0002\n\u0002\b\u0002\n\u0002\u0018\u0002\n\u0000*\u0001\u0000\b\n\u0018\u00002\u00020\u0001J\b\u0010\u0002\u001a\u00020\u0003H\u0016J\u0010\u0010\u0004\u001a\u00020\u00032\u0006\u0010\u0005\u001a\u00020\u0006H\u0014¨\u0006\u0007"}, d2 = {"com/niming/weipa/ui/mine/activity/BusinessChargeActivity$vipRecharge$1", "Lcom/niming/weipa/net/AbsHttpCallback;", "onFinish", "", "onSuccess", j.f6041c, "Lcom/niming/framework/net/Result;", "app_wuqudaoRelease"}, k = 1, mv = {1, 6, 0}, xi = 48)
    /* compiled from: BusinessChargeActivity.kt */
    public static final class e extends com.niming.weipa.g.a {

        /* renamed from: a  reason: collision with root package name */
        final /* synthetic */ BusinessChargeActivity f19897a;

        /* renamed from: b  reason: collision with root package name */
        final /* synthetic */ int f19898b;

        e(BusinessChargeActivity businessChargeActivity, int i) {
            this.f19897a = businessChargeActivity;
            this.f19898b = i;
        }

        @Override // com.lzy.okgo.d.c, com.lzy.okgo.d.a, com.niming.weipa.g.a
        public void onFinish() {
            super.onFinish();
            this.f19897a.dismissDialog();
        }

        /* access modifiers changed from: protected */
        @Override // com.niming.weipa.g.a
        public void onSuccess(@NotNull Result result) {
            Intrinsics.checkNotNullParameter(result, j.f6041c);
            if (result.isOk()) {
                List<? extends VipListsModel.PaymentBean> a2 = g.a(result.getData(), VipListsModel.PaymentBean.class);
                BusinessChargeActivity businessChargeActivity = this.f19897a;
                Intrinsics.checkNotNullExpressionValue(a2, "parseArray");
                businessChargeActivity.s0(a2, this.f19898b);
                return;
            }
            ToastUtils.W(result.getMessage(), new Object[0]);
        }
    }

    /* access modifiers changed from: private */
    public static final void m0(BusinessChargeActivity businessChargeActivity, View view) {
        Intrinsics.checkNotNullParameter(businessChargeActivity, "this$0");
        VipBuyRecordActivity.r0(businessChargeActivity.activity, VipBuyRecordActivity.f20319a);
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    private final void n0(BuyVipModel buyVipModel) {
        PayWaitingActivity.a aVar = PayWaitingActivity.f20312a;
        Activity activity = this.activity;
        Intrinsics.checkNotNullExpressionValue(activity, "activity");
        aVar.a(activity, buyVipModel);
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    private final void r0(String str) {
        NoticeAppDialogFragment a0 = NoticeAppDialogFragment.a0(str, "好的");
        a0.b0(new c());
        a0.f0(this.activity);
    }

    @JvmStatic
    public static final void start(@NotNull Context context) {
        f19892a.a(context);
    }

    /* access modifiers changed from: private */
    public static final void t0(int i, BusinessChargeActivity businessChargeActivity, n nVar, int i2, String str) {
        Intrinsics.checkNotNullParameter(businessChargeActivity, "this$0");
        nVar.Z().setEnabled(false);
        b0.b().h("VIP充值-点击立即支付");
        com.niming.weipa.g.c.c0().f(i, i2, str, 3, new d(nVar, businessChargeActivity, i));
    }

    @Override // com.niming.weipa.base.BaseActivity
    public void _$_clearFindViewByIdCache() {
        this.I0.clear();
    }

    @Override // com.niming.weipa.base.BaseActivity
    @Nullable
    public View _$_findCachedViewById(int i) {
        Map<Integer, View> map = this.I0;
        View view = map.get(Integer.valueOf(i));
        if (view != null) {
            return view;
        }
        View findViewById = findViewById(i);
        if (findViewById == null) {
            return null;
        }
        map.put(Integer.valueOf(i), findViewById);
        return findViewById;
    }

    @Override // com.niming.framework.base.f
    public int getViewRes() {
        return com.hj.chen.new1126.R.layout.activity_business_charge;
    }

    @Override // com.niming.weipa.base.BaseActivity, com.niming.framework.base.f
    public void initView(@Nullable Bundle bundle) {
        super.initView(bundle);
        int i = R.id.titleView;
        TitleView titleView = (TitleView) _$_findCachedViewById(i);
        Intrinsics.checkNotNullExpressionValue(titleView, "titleView");
        initTitle(titleView, "业务充值");
        ((TitleView) _$_findCachedViewById(i)).getRightText().setText("充值记录");
        ((TitleView) _$_findCachedViewById(i)).j("充值记录", new c(this));
        u.f((TextView) _$_findCachedViewById(R.id.tvMakeSure), 0, new b(this), 1, null);
    }

    @Nullable
    public final BuyVipModel k0() {
        return this.f19893b;
    }

    @Nullable
    public final String l0(@Nullable String str, @Nullable String str2) {
        Matcher matcher = Pattern.compile(str2).matcher(str);
        return matcher.find() ? matcher.group(1) : "";
    }

    public final void q0(@Nullable BuyVipModel buyVipModel) {
        this.f19893b = buyVipModel;
    }

    public final void s0(@NotNull List<? extends VipListsModel.PaymentBean> list, int i) {
        Intrinsics.checkNotNullParameter(list, "payment");
        VipListsModel vipListsModel = new VipListsModel();
        vipListsModel.setId(0);
        vipListsModel.setTitle("业务充值");
        vipListsModel.setPayment(list);
        vipListsModel.setPrice(String.valueOf(i));
        String c2 = g.c(vipListsModel);
        showDialog("加载中..");
        new n.a().m(vipListsModel.getPrice()).k(c2).g().b0(new d(i, this)).d0(this.activity);
    }

    public final void u0(int i) {
        showDialog();
        com.niming.weipa.g.c.c0().Q2(i, new e(this, i));
    }
}
