package com.niming.weipa.ui.mine.adapter;

import android.app.Activity;
import android.content.Context;
import android.view.View;
import android.view.ViewGroup;
import android.widget.ImageView;
import com.blankj.utilcode.util.LogUtils;
import com.hj.chen.new1126.R;
import com.niming.baseadapter.b;
import com.niming.baseadapter.c;
import com.niming.framework.image.a;
import com.niming.weipa.model.VideoInfo2;
import com.niming.weipa.ui.discovered.widget.CommonVideoEmptyItemView;
import com.niming.weipa.ui.mine.widget.ShortVideoItemView;
import com.niming.weipa.utils.h0;
import java.util.Objects;
import kotlin.Metadata;
import kotlin.jvm.internal.Intrinsics;
import org.jetbrains.annotations.NotNull;
import org.jetbrains.annotations.Nullable;

@Metadata(d1 = {"\u00008\n\u0002\u0018\u0002\n\u0002\u0018\u0002\n\u0002\u0018\u0002\n\u0000\n\u0002\u0018\u0002\n\u0002\b\u0002\n\u0002\u0018\u0002\n\u0000\n\u0002\u0010\b\n\u0000\n\u0002\u0018\u0002\n\u0002\b\u0002\n\u0002\u0010\u0002\n\u0002\b\u0005\n\u0002\u0018\u0002\n\u0000\u0018\u00002\b\u0012\u0004\u0012\u00020\u00020\u0001B\u000f\u0012\b\u0010\u0003\u001a\u0004\u0018\u00010\u0004¢\u0006\u0002\u0010\u0005J \u0010\u0006\u001a\u00020\u00072\u0006\u0010\u0003\u001a\u00020\u00042\u0006\u0010\b\u001a\u00020\t2\u0006\u0010\n\u001a\u00020\u000bH\u0014J \u0010\f\u001a\u00020\u00072\u0006\u0010\u0003\u001a\u00020\u00042\u0006\u0010\b\u001a\u00020\t2\u0006\u0010\n\u001a\u00020\u000bH\u0014J\"\u0010\r\u001a\u00020\u000e2\u0006\u0010\u000f\u001a\u00020\u00072\u0006\u0010\u0010\u001a\u00020\t2\b\u0010\u0011\u001a\u0004\u0018\u00010\u0002H\u0014J\u0010\u0010\u0012\u001a\u00020\u000e2\u0006\u0010\u0013\u001a\u00020\u0014H\u0016¨\u0006\u0015"}, d2 = {"Lcom/niming/weipa/ui/mine/adapter/ShortVideoAdapter;", "Lcom/niming/baseadapter/BaseEmptyAdapter;", "Lcom/niming/weipa/model/VideoInfo2;", "context", "Landroid/content/Context;", "(Landroid/content/Context;)V", "createCommonItemView", "Landroid/view/View;", "viewType", "", "parent", "Landroid/view/ViewGroup;", "createNullItemView", "onBindView", "", "itemView", "position", "itemData", "onViewRecycled", "holder", "Lcom/niming/baseadapter/BaseViewHolder;", "app_wuqudaoRelease"}, k = 1, mv = {1, 6, 0}, xi = 48)
/* compiled from: ShortVideoAdapter.kt */
public final class u extends b<VideoInfo2> {
    public u(@Nullable Context context) {
        super(context);
    }

    /* access modifiers changed from: private */
    public static final void r(u uVar, int i, View view) {
        Intrinsics.checkNotNullParameter(uVar, "this$0");
        if (!com.niming.framework.b.b.a().c()) {
            uVar.listener.a(i, 0, view.getId());
        }
    }

    /* access modifiers changed from: protected */
    @Override // com.niming.baseadapter.b
    @NotNull
    public View n(@NotNull Context context, int i, @NotNull ViewGroup viewGroup) {
        Intrinsics.checkNotNullParameter(context, "context");
        Intrinsics.checkNotNullParameter(viewGroup, "parent");
        return new ShortVideoItemView(context);
    }

    /* access modifiers changed from: protected */
    @Override // com.niming.baseadapter.b
    @NotNull
    public View o(@NotNull Context context, int i, @NotNull ViewGroup viewGroup) {
        Intrinsics.checkNotNullParameter(context, "context");
        Intrinsics.checkNotNullParameter(viewGroup, "parent");
        return new CommonVideoEmptyItemView(context);
    }

    /* access modifiers changed from: protected */
    /* renamed from: q */
    public void onBindView(@NotNull View view, int i, @Nullable VideoInfo2 videoInfo2) {
        Intrinsics.checkNotNullParameter(view, "itemView");
        if (view instanceof CommonVideoEmptyItemView) {
            ((CommonVideoEmptyItemView) view).setData("暂无内容～");
        } else if (view instanceof ShortVideoItemView) {
            view.setOnClickListener(new f(this, i));
            ((ShortVideoItemView) view).setData(videoInfo2);
        }
    }

    /* renamed from: s */
    public void onViewRecycled(@NotNull c cVar) {
        Intrinsics.checkNotNullParameter(cVar, "holder");
        super.onViewRecycled(cVar);
        View view = cVar.itemView;
        if (view instanceof ShortVideoItemView) {
            ShortVideoItemView shortVideoItemView = (ShortVideoItemView) view;
            ImageView imageView = (ImageView) shortVideoItemView.findViewById(R.id.iv_cover);
            ImageView imageView2 = (ImageView) shortVideoItemView.findViewById(R.id.ivAvatar);
            if (imageView != null) {
                h0.a("onViewRecycled", "onViewRecycled");
                Context context = getContext();
                Objects.requireNonNull(context, "null cannot be cast to non-null type android.app.Activity");
                Activity activity = (Activity) context;
                if (!com.niming.weipa.e.b.c(activity)) {
                    LogUtils.l("wulawula", "释放短视频图片内存");
                    a.g(activity).A(imageView);
                    a.g(activity).A(imageView2);
                }
            }
        }
    }
}
