package com.niming.weipa.ui.mine.widget;

import android.app.Activity;
import android.content.Context;
import android.text.TextUtils;
import android.view.View;
import android.widget.ImageView;
import android.widget.TextView;
import androidx.fragment.app.FragmentActivity;
import androidx.fragment.app.g;
import com.blankj.utilcode.util.ToastUtils;
import com.chad.library.adapter.base.v.c;
import com.chad.library.adapter.base.viewholder.BaseViewHolder;
import com.hj.chen.new1126.R;
import com.ibm.icu.text.DateFormat;
import com.niming.weipa.e.b;
import com.niming.weipa.model.MessageListItem;
import com.niming.weipa.ui.feedback.ChatMessageActivity;
import com.niming.weipa.ui.feedback.FeedbackReplyActivity;
import com.niming.weipa.utils.i0;
import com.niming.weipa.utils.v;
import kotlin.Metadata;
import kotlin.jvm.internal.Intrinsics;
import org.jetbrains.annotations.NotNull;

@Metadata(d1 = {"\u0000.\n\u0002\u0018\u0002\n\u0002\u0018\u0002\n\u0002\u0018\u0002\n\u0002\b\u0002\n\u0002\u0010\u0002\n\u0000\n\u0002\u0018\u0002\n\u0002\b\u0002\n\u0002\u0010\b\n\u0002\b\u0002\n\u0002\u0018\u0002\n\u0002\b\u0002\u0018\u00002\b\u0012\u0004\u0012\u00020\u00020\u0001B\u0005¢\u0006\u0002\u0010\u0003J\u0018\u0010\u0004\u001a\u00020\u00052\u0006\u0010\u0006\u001a\u00020\u00072\u0006\u0010\b\u001a\u00020\u0002H\u0016J\b\u0010\t\u001a\u00020\nH\u0016J(\u0010\u000b\u001a\u00020\u00052\u0006\u0010\u0006\u001a\u00020\u00072\u0006\u0010\f\u001a\u00020\r2\u0006\u0010\b\u001a\u00020\u00022\u0006\u0010\u000e\u001a\u00020\nH\u0016¨\u0006\u000f"}, d2 = {"Lcom/niming/weipa/ui/mine/widget/MyMessageViewBinder;", "Lcom/chad/library/adapter/base/binder/QuickItemBinder;", "Lcom/niming/weipa/model/MessageListItem;", "()V", "convert", "", "holder", "Lcom/chad/library/adapter/base/viewholder/BaseViewHolder;", "data", "getLayoutId", "", "onClick", "view", "Landroid/view/View;", "position", "app_wuqudaoRelease"}, k = 1, mv = {1, 6, 0}, xi = 48)
/* compiled from: MyMessageViewBinder.kt */
public final class n extends c<MessageListItem> {
    @Override // com.chad.library.adapter.base.v.c
    public int x() {
        return R.layout.item_view_my_message_list;
    }

    /* renamed from: y */
    public void c(@NotNull BaseViewHolder baseViewHolder, @NotNull MessageListItem messageListItem) {
        Intrinsics.checkNotNullParameter(baseViewHolder, "holder");
        Intrinsics.checkNotNullParameter(messageListItem, "data");
        ImageView imageView = (ImageView) baseViewHolder.getView(R.id.ivAvatar);
        TextView textView = (TextView) baseViewHolder.getView(R.id.tvNickname);
        TextView textView2 = (TextView) baseViewHolder.getView(R.id.tvTime);
        TextView textView3 = (TextView) baseViewHolder.getView(R.id.tvContent);
        TextView textView4 = (TextView) baseViewHolder.getView(R.id.tvUnRead);
        if (Intrinsics.areEqual(messageListItem.getTalk_id(), MessageListItem.NOTICE)) {
            b.d(i(), R.drawable.message_system_msg, imageView);
        } else if (Intrinsics.areEqual(messageListItem.getTalk_id(), MessageListItem.FEEDBACK)) {
            b.d(i(), R.drawable.message_offical_cs, imageView);
        } else {
            b.g(i(), messageListItem.getUser_avatar(), imageView);
        }
        textView.setText(messageListItem.getUser_nick());
        textView2.setText(messageListItem.getTime());
        if (Intrinsics.areEqual(messageListItem.getMsg_type(), "image")) {
            textView3.setText("[图片]");
        } else if (!Intrinsics.areEqual(messageListItem.getTalk_id(), MessageListItem.FEEDBACK)) {
            textView3.setText(messageListItem.getMsg_content());
        } else if (TextUtils.isEmpty(messageListItem.getMsg_content())) {
            textView3.setText("您好，请问有什么可以帮您？");
        } else {
            textView3.setText(messageListItem.getMsg_content());
        }
        textView4.setVisibility(messageListItem.getIs_reply() == 0 ? 0 : 8);
    }

    /* renamed from: z */
    public void p(@NotNull BaseViewHolder baseViewHolder, @NotNull View view, @NotNull MessageListItem messageListItem, int i) {
        Intrinsics.checkNotNullParameter(baseViewHolder, "holder");
        Intrinsics.checkNotNullParameter(view, "view");
        Intrinsics.checkNotNullParameter(messageListItem, "data");
        super.p(baseViewHolder, view, messageListItem, i);
        if (Intrinsics.areEqual(v.k().getCode(), messageListItem.getUser_code())) {
            ToastUtils.W("不能私信自己呢", new Object[0]);
        } else if (Intrinsics.areEqual(messageListItem.getTalk_id(), MessageListItem.FEEDBACK)) {
            FeedbackReplyActivity.f19389a.b((Activity) i(), FeedbackReplyActivity.I0);
        } else if (Intrinsics.areEqual(messageListItem.getTalk_id(), MessageListItem.NOTICE)) {
            FeedbackReplyActivity.f19389a.b((Activity) i(), FeedbackReplyActivity.K0);
        } else if (Intrinsics.areEqual(v.k().getIs_vip(), DateFormat.YEAR)) {
            ChatMessageActivity.f19381a.a(i(), messageListItem.getUser_code(), messageListItem.getUser_nick(), messageListItem.getUser_avatar());
        } else {
            i0 i0Var = i0.f20556a;
            Context i2 = i();
            g supportFragmentManager = ((FragmentActivity) i()).getSupportFragmentManager();
            Intrinsics.checkNotNullExpressionValue(supportFragmentManager, "context as FragmentActiv…y).supportFragmentManager");
            i0Var.q("会员用户才能发私信呢", i2, supportFragmentManager);
        }
    }
}
