package com.niming.weipa.ui.search;

import android.app.Activity;
import android.content.Context;
import android.content.Intent;
import android.os.Bundle;
import android.text.TextUtils;
import android.view.KeyEvent;
import android.view.View;
import android.widget.FrameLayout;
import android.widget.TextView;
import androidx.recyclerview.widget.RecyclerView;
import com.alipay.sdk.util.j;
import com.beloo.widget.chipslayoutmanager.ChipsLayoutManager;
import com.blankj.utilcode.util.KeyboardUtils;
import com.blankj.utilcode.util.ToastUtils;
import com.blankj.utilcode.util.z0;
import com.chad.library.adapter.base.BaseQuickAdapter;
import com.chad.library.adapter.base.viewholder.BaseViewHolder;
import com.hj.chen.new1126.R;
import com.niming.framework.net.Result;
import com.niming.weipa.base.BaseActivity;
import com.niming.weipa.db.HistroySearchUtil;
import com.niming.weipa.model.Ad2;
import com.niming.weipa.model.HotSearchRank;
import com.niming.weipa.model.SearchHistory;
import com.niming.weipa.ui.search.SearchResultActivity;
import com.niming.weipa.utils.u;
import com.niming.weipa.utils.v;
import com.niming.weipa.widget.ClearableEditText;
import com.niming.weipa.widget.k;
import com.youth.banner.Banner;
import java.util.LinkedHashMap;
import java.util.List;
import java.util.Map;
import kotlin.Lazy;
import kotlin.LazyKt__LazyJVMKt;
import kotlin.Metadata;
import kotlin.Unit;
import kotlin.jvm.functions.Function0;
import kotlin.jvm.functions.Function1;
import kotlin.jvm.internal.DefaultConstructorMarker;
import kotlin.jvm.internal.Intrinsics;
import kotlin.jvm.internal.Lambda;
import org.jetbrains.annotations.NotNull;
import org.jetbrains.annotations.Nullable;

@Metadata(d1 = {"\u0000J\n\u0002\u0018\u0002\n\u0002\u0018\u0002\n\u0002\b\u0002\n\u0002\u0018\u0002\n\u0002\u0018\u0002\n\u0002\u0018\u0002\n\u0002\b\u0005\n\u0002\u0018\u0002\n\u0002\b\u0003\n\u0002\u0010\u0002\n\u0002\b\u0002\n\u0002\u0018\u0002\n\u0000\n\u0002\u0010\b\n\u0002\b\u0004\n\u0002\u0018\u0002\n\u0002\b\u0003\n\u0002\u0010\u000e\n\u0002\b\u0003\u0018\u0000  2\u00020\u0001:\u0001 B\u0005¢\u0006\u0002\u0010\u0002J\b\u0010\u000f\u001a\u00020\u0010H\u0002J\u0010\u0010\u0011\u001a\u00020\u00102\u0006\u0010\u0012\u001a\u00020\u0013H\u0002J\b\u0010\u0014\u001a\u00020\u0015H\u0016J\b\u0010\u0016\u001a\u00020\u0010H\u0002J\b\u0010\u0017\u001a\u00020\u0010H\u0002J\u0012\u0010\u0018\u001a\u00020\u00102\b\u0010\u0019\u001a\u0004\u0018\u00010\u001aH\u0016J\b\u0010\u001b\u001a\u00020\u0010H\u0014J\u0010\u0010\u001c\u001a\u00020\u00102\u0006\u0010\u001d\u001a\u00020\u001eH\u0002J\b\u0010\u001f\u001a\u00020\u0010H\u0002R'\u0010\u0003\u001a\u000e\u0012\u0004\u0012\u00020\u0005\u0012\u0004\u0012\u00020\u00060\u00048BX\u0002¢\u0006\f\n\u0004\b\t\u0010\n\u001a\u0004\b\u0007\u0010\bR'\u0010\u000b\u001a\u000e\u0012\u0004\u0012\u00020\f\u0012\u0004\u0012\u00020\u00060\u00048BX\u0002¢\u0006\f\n\u0004\b\u000e\u0010\n\u001a\u0004\b\r\u0010\b¨\u0006!"}, d2 = {"Lcom/niming/weipa/ui/search/SearchAct;", "Lcom/niming/weipa/base/BaseActivity;", "()V", "adapter", "Lcom/chad/library/adapter/base/BaseQuickAdapter;", "Lcom/niming/weipa/model/SearchHistory;", "Lcom/chad/library/adapter/base/viewholder/BaseViewHolder;", "getAdapter", "()Lcom/chad/library/adapter/base/BaseQuickAdapter;", "adapter$delegate", "Lkotlin/Lazy;", "mHotAdapter", "Lcom/niming/weipa/model/HotSearchRank$Keyword;", "getMHotAdapter", "mHotAdapter$delegate", "displayHistory", "", "displayUI", "response", "Lcom/niming/weipa/model/HotSearchRank;", "getViewRes", "", "initData", "initListener", "initView", "savedInstanceState", "Landroid/os/Bundle;", "onResume", "searchKey", "key", "", "videoKeywordRandomList", "Companion", "app_wuqudaoRelease"}, k = 1, mv = {1, 6, 0}, xi = 48)
/* compiled from: SearchAct.kt */
public final class SearchAct extends BaseActivity {
    @NotNull

    /* renamed from: a  reason: collision with root package name */
    public static final a f20162a = new a(null);
    @NotNull
    private final Lazy I0 = LazyKt__LazyJVMKt.lazy(new f(this));
    @NotNull
    public Map<Integer, View> J0 = new LinkedHashMap();
    @NotNull

    /* renamed from: b  reason: collision with root package name */
    private final Lazy f20163b = LazyKt__LazyJVMKt.lazy(new b(this));

    @Metadata(d1 = {"\u0000\u0018\n\u0002\u0018\u0002\n\u0002\u0010\u0000\n\u0002\b\u0002\n\u0002\u0010\u0002\n\u0000\n\u0002\u0018\u0002\n\u0000\b\u0003\u0018\u00002\u00020\u0001B\u0007\b\u0002¢\u0006\u0002\u0010\u0002J\u000e\u0010\u0003\u001a\u00020\u00042\u0006\u0010\u0005\u001a\u00020\u0006¨\u0006\u0007"}, d2 = {"Lcom/niming/weipa/ui/search/SearchAct$Companion;", "", "()V", "start", "", "context", "Landroid/content/Context;", "app_wuqudaoRelease"}, k = 1, mv = {1, 6, 0}, xi = 48)
    /* compiled from: SearchAct.kt */
    public static final class a {
        private a() {
        }

        public /* synthetic */ a(DefaultConstructorMarker defaultConstructorMarker) {
            this();
        }

        public final void a(@NotNull Context context) {
            Intrinsics.checkNotNullParameter(context, "context");
            context.startActivity(new Intent(context, SearchAct.class));
        }
    }

    @Metadata(d1 = {"\u0000\t\n\u0000\n\u0002\b\u0003*\u0001\u0001\u0010\u0000\u001a\u00020\u0001H\n¢\u0006\u0004\b\u0002\u0010\u0003"}, d2 = {"<anonymous>", "com/niming/weipa/ui/search/SearchAct$adapter$2$1", "invoke", "()Lcom/niming/weipa/ui/search/SearchAct$adapter$2$1;"}, k = 3, mv = {1, 6, 0}, xi = 48)
    /* compiled from: SearchAct.kt */
    static final class b extends Lambda implements Function0<a> {
        final /* synthetic */ SearchAct this$0;

        @Metadata(d1 = {"\u0000\u001b\n\u0000\n\u0002\u0018\u0002\n\u0002\u0018\u0002\n\u0002\u0018\u0002\n\u0000\n\u0002\u0010\u0002\n\u0002\b\u0003*\u0001\u0000\b\n\u0018\u00002\u000e\u0012\u0004\u0012\u00020\u0002\u0012\u0004\u0012\u00020\u00030\u0001J\u0018\u0010\u0004\u001a\u00020\u00052\u0006\u0010\u0006\u001a\u00020\u00032\u0006\u0010\u0007\u001a\u00020\u0002H\u0014¨\u0006\b"}, d2 = {"com/niming/weipa/ui/search/SearchAct$adapter$2$1", "Lcom/chad/library/adapter/base/BaseQuickAdapter;", "Lcom/niming/weipa/model/SearchHistory;", "Lcom/chad/library/adapter/base/viewholder/BaseViewHolder;", "convert", "", "holder", "item", "app_wuqudaoRelease"}, k = 1, mv = {1, 6, 0}, xi = 48)
        /* compiled from: SearchAct.kt */
        public static final class a extends BaseQuickAdapter<SearchHistory, BaseViewHolder> {
            a() {
                super(R.layout.item_search_history, null, 2, null);
                w(R.id.iv_delete, R.id.tvTitle);
            }

            /* access modifiers changed from: protected */
            /* renamed from: G1 */
            public void N(@NotNull BaseViewHolder baseViewHolder, @NotNull SearchHistory searchHistory) {
                Intrinsics.checkNotNullParameter(baseViewHolder, "holder");
                Intrinsics.checkNotNullParameter(searchHistory, "item");
                baseViewHolder.setText(R.id.tvTitle, searchHistory.getKey());
            }
        }

        /* JADX INFO: super call moved to the top of the method (can break code semantics) */
        b(SearchAct searchAct) {
            super(0);
            this.this$0 = searchAct;
        }

        /* access modifiers changed from: private */
        public static final void b(a aVar, SearchAct searchAct, BaseQuickAdapter baseQuickAdapter, View view, int i) {
            Intrinsics.checkNotNullParameter(aVar, "$this_apply");
            Intrinsics.checkNotNullParameter(searchAct, "this$0");
            Intrinsics.checkNotNullParameter(baseQuickAdapter, "adapter");
            Intrinsics.checkNotNullParameter(view, "view");
            int id = view.getId();
            if (id == R.id.iv_delete) {
                HistroySearchUtil.remove(((SearchHistory) aVar.getItem(i)).getKey());
                baseQuickAdapter.O0(i);
            } else if (id == R.id.tvTitle) {
                SearchResultActivity.a aVar2 = SearchResultActivity.f20165a;
                Activity activity = ((com.niming.framework.base.BaseActivity) searchAct).activity;
                Intrinsics.checkNotNullExpressionValue(activity, "activity");
                String key = ((SearchHistory) aVar.getItem(i)).getKey();
                Intrinsics.checkNotNullExpressionValue(key, "item.key");
                aVar2.a(activity, key);
            }
        }

        @NotNull
        /* renamed from: a */
        public final a invoke() {
            a aVar = new a();
            aVar.i(new c(aVar, this.this$0));
            return aVar;
        }
    }

    /* access modifiers changed from: package-private */
    @Metadata(d1 = {"\u0000\u0010\n\u0000\n\u0002\u0010\u0002\n\u0000\n\u0002\u0018\u0002\n\u0002\b\u0002\u0010\u0000\u001a\u00020\u00012\u000e\u0010\u0002\u001a\n \u0004*\u0004\u0018\u00010\u00030\u0003H\n¢\u0006\u0002\b\u0005"}, d2 = {"<anonymous>", "", "it", "Landroid/widget/FrameLayout;", "kotlin.jvm.PlatformType", "invoke"}, k = 3, mv = {1, 6, 0}, xi = 48)
    /* compiled from: SearchAct.kt */
    public static final class c extends Lambda implements Function1<FrameLayout, Unit> {
        final /* synthetic */ SearchAct this$0;

        /* JADX INFO: super call moved to the top of the method (can break code semantics) */
        c(SearchAct searchAct) {
            super(1);
            this.this$0 = searchAct;
        }

        public final void a(FrameLayout frameLayout) {
            this.this$0.onBackPressed();
        }

        /* Return type fixed from 'java.lang.Object' to match base method */
        /* JADX DEBUG: Method arguments types fixed to match base method, original types: [java.lang.Object] */
        @Override // kotlin.jvm.functions.Function1
        public /* bridge */ /* synthetic */ Unit invoke(FrameLayout frameLayout) {
            a(frameLayout);
            return Unit.INSTANCE;
        }
    }

    /* access modifiers changed from: package-private */
    @Metadata(d1 = {"\u0000\u0010\n\u0000\n\u0002\u0010\u0002\n\u0000\n\u0002\u0018\u0002\n\u0002\b\u0002\u0010\u0000\u001a\u00020\u00012\u000e\u0010\u0002\u001a\n \u0004*\u0004\u0018\u00010\u00030\u0003H\n¢\u0006\u0002\b\u0005"}, d2 = {"<anonymous>", "", "it", "Landroid/widget/TextView;", "kotlin.jvm.PlatformType", "invoke"}, k = 3, mv = {1, 6, 0}, xi = 48)
    /* compiled from: SearchAct.kt */
    public static final class d extends Lambda implements Function1<TextView, Unit> {
        final /* synthetic */ SearchAct this$0;

        /* JADX INFO: super call moved to the top of the method (can break code semantics) */
        d(SearchAct searchAct) {
            super(1);
            this.this$0 = searchAct;
        }

        public final void a(TextView textView) {
            SearchAct searchAct = this.this$0;
            searchAct.u0(String.valueOf(((ClearableEditText) searchAct._$_findCachedViewById(com.niming.weipa.R.id.et_search)).getText()));
        }

        /* Return type fixed from 'java.lang.Object' to match base method */
        /* JADX DEBUG: Method arguments types fixed to match base method, original types: [java.lang.Object] */
        @Override // kotlin.jvm.functions.Function1
        public /* bridge */ /* synthetic */ Unit invoke(TextView textView) {
            a(textView);
            return Unit.INSTANCE;
        }
    }

    /* access modifiers changed from: package-private */
    @Metadata(d1 = {"\u0000\u0010\n\u0000\n\u0002\u0010\u0002\n\u0000\n\u0002\u0018\u0002\n\u0002\b\u0002\u0010\u0000\u001a\u00020\u00012\u000e\u0010\u0002\u001a\n \u0004*\u0004\u0018\u00010\u00030\u0003H\n¢\u0006\u0002\b\u0005"}, d2 = {"<anonymous>", "", "it", "Landroid/widget/TextView;", "kotlin.jvm.PlatformType", "invoke"}, k = 3, mv = {1, 6, 0}, xi = 48)
    /* compiled from: SearchAct.kt */
    public static final class e extends Lambda implements Function1<TextView, Unit> {
        final /* synthetic */ SearchAct this$0;

        /* JADX INFO: super call moved to the top of the method (can break code semantics) */
        e(SearchAct searchAct) {
            super(1);
            this.this$0 = searchAct;
        }

        public final void a(TextView textView) {
            HistroySearchUtil.removeALL();
            this.this$0.n0().s1(null);
            this.this$0.n0().d1(R.layout.view_empty_search_history);
        }

        /* Return type fixed from 'java.lang.Object' to match base method */
        /* JADX DEBUG: Method arguments types fixed to match base method, original types: [java.lang.Object] */
        @Override // kotlin.jvm.functions.Function1
        public /* bridge */ /* synthetic */ Unit invoke(TextView textView) {
            a(textView);
            return Unit.INSTANCE;
        }
    }

    @Metadata(d1 = {"\u0000\t\n\u0000\n\u0002\b\u0003*\u0001\u0001\u0010\u0000\u001a\u00020\u0001H\n¢\u0006\u0004\b\u0002\u0010\u0003"}, d2 = {"<anonymous>", "com/niming/weipa/ui/search/SearchAct$mHotAdapter$2$1", "invoke", "()Lcom/niming/weipa/ui/search/SearchAct$mHotAdapter$2$1;"}, k = 3, mv = {1, 6, 0}, xi = 48)
    /* compiled from: SearchAct.kt */
    static final class f extends Lambda implements Function0<a> {
        final /* synthetic */ SearchAct this$0;

        @Metadata(d1 = {"\u0000\u001b\n\u0000\n\u0002\u0018\u0002\n\u0002\u0018\u0002\n\u0002\u0018\u0002\n\u0000\n\u0002\u0010\u0002\n\u0002\b\u0003*\u0001\u0000\b\n\u0018\u00002\u000e\u0012\u0004\u0012\u00020\u0002\u0012\u0004\u0012\u00020\u00030\u0001J\u0018\u0010\u0004\u001a\u00020\u00052\u0006\u0010\u0006\u001a\u00020\u00032\u0006\u0010\u0007\u001a\u00020\u0002H\u0014¨\u0006\b"}, d2 = {"com/niming/weipa/ui/search/SearchAct$mHotAdapter$2$1", "Lcom/chad/library/adapter/base/BaseQuickAdapter;", "Lcom/niming/weipa/model/HotSearchRank$Keyword;", "Lcom/chad/library/adapter/base/viewholder/BaseViewHolder;", "convert", "", "holder", "item", "app_wuqudaoRelease"}, k = 1, mv = {1, 6, 0}, xi = 48)
        /* compiled from: SearchAct.kt */
        public static final class a extends BaseQuickAdapter<HotSearchRank.Keyword, BaseViewHolder> {
            final /* synthetic */ SearchAct n1;

            /* JADX INFO: super call moved to the top of the method (can break code semantics) */
            a(SearchAct searchAct) {
                super(R.layout.item_hot_rank, null, 2, null);
                this.n1 = searchAct;
            }

            /* access modifiers changed from: protected */
            /* renamed from: G1 */
            public void N(@NotNull BaseViewHolder baseViewHolder, @NotNull HotSearchRank.Keyword keyword) {
                Intrinsics.checkNotNullParameter(baseViewHolder, "holder");
                Intrinsics.checkNotNullParameter(keyword, "item");
                int adapterPosition = baseViewHolder.getAdapterPosition();
                TextView textView = (TextView) baseViewHolder.getView(R.id.tvPosition);
                if (adapterPosition == 0) {
                    textView.setBackground(androidx.core.content.d.i(((com.niming.framework.base.BaseActivity) this.n1).activity, R.drawable.shape_rank1_r2));
                } else if (adapterPosition == 1) {
                    textView.setBackground(androidx.core.content.d.i(((com.niming.framework.base.BaseActivity) this.n1).activity, R.drawable.shape_rank2_r2));
                } else if (adapterPosition != 2) {
                    textView.setBackground(androidx.core.content.d.i(((com.niming.framework.base.BaseActivity) this.n1).activity, R.drawable.shape_rank4_r2));
                } else {
                    textView.setBackground(androidx.core.content.d.i(((com.niming.framework.base.BaseActivity) this.n1).activity, R.drawable.shape_rank3_r2));
                }
                baseViewHolder.setText(R.id.tvPosition, String.valueOf(baseViewHolder.getAdapterPosition() + 1));
                baseViewHolder.setText(R.id.tvKeyword, keyword.getKeyword());
                baseViewHolder.setText(R.id.tv_hot, Intrinsics.stringPlus(keyword.getCount(), "热度"));
            }
        }

        /* JADX INFO: super call moved to the top of the method (can break code semantics) */
        f(SearchAct searchAct) {
            super(0);
            this.this$0 = searchAct;
        }

        /* access modifiers changed from: private */
        public static final void b(a aVar, SearchAct searchAct, BaseQuickAdapter baseQuickAdapter, View view, int i) {
            Intrinsics.checkNotNullParameter(aVar, "$this_apply");
            Intrinsics.checkNotNullParameter(searchAct, "this$0");
            Intrinsics.checkNotNullParameter(baseQuickAdapter, "adapter");
            Intrinsics.checkNotNullParameter(view, "view");
            SearchResultActivity.a aVar2 = SearchResultActivity.f20165a;
            Activity activity = ((com.niming.framework.base.BaseActivity) searchAct).activity;
            Intrinsics.checkNotNullExpressionValue(activity, "activity");
            String keyword = ((HotSearchRank.Keyword) aVar.getItem(i)).getKeyword();
            Intrinsics.checkNotNullExpressionValue(keyword, "item.keyword");
            aVar2.a(activity, keyword);
        }

        @NotNull
        /* renamed from: a */
        public final a invoke() {
            a aVar = new a(this.this$0);
            aVar.m(new d(aVar, this.this$0));
            return aVar;
        }
    }

    @Metadata(d1 = {"\u0000\u0017\n\u0000\n\u0002\u0018\u0002\n\u0000\n\u0002\u0010\u0002\n\u0000\n\u0002\u0018\u0002\n\u0000*\u0001\u0000\b\n\u0018\u00002\u00020\u0001J\u0010\u0010\u0002\u001a\u00020\u00032\u0006\u0010\u0004\u001a\u00020\u0005H\u0014¨\u0006\u0006"}, d2 = {"com/niming/weipa/ui/search/SearchAct$videoKeywordRandomList$1", "Lcom/niming/weipa/net/AbsHttpCallback;", "onSuccess", "", j.f6041c, "Lcom/niming/framework/net/Result;", "app_wuqudaoRelease"}, k = 1, mv = {1, 6, 0}, xi = 48)
    /* compiled from: SearchAct.kt */
    public static final class g extends com.niming.weipa.g.a {

        /* renamed from: a  reason: collision with root package name */
        final /* synthetic */ SearchAct f20164a;

        g(SearchAct searchAct) {
            this.f20164a = searchAct;
        }

        /* access modifiers changed from: protected */
        @Override // com.niming.weipa.g.a
        public void onSuccess(@NotNull Result result) {
            Intrinsics.checkNotNullParameter(result, j.f6041c);
            HotSearchRank hotSearchRank = (HotSearchRank) com.niming.framework.b.g.b(result.getData(), HotSearchRank.class);
            if (hotSearchRank != null) {
                this.f20164a.m0(hotSearchRank);
            }
        }
    }

    private final void initListener() {
        int i = com.niming.weipa.R.id.et_search;
        ((ClearableEditText) _$_findCachedViewById(i)).setOnTextClearedListener(b.f20168a);
        u.f((FrameLayout) _$_findCachedViewById(com.niming.weipa.R.id.ivBack), 0, new c(this), 1, null);
        u.f((TextView) _$_findCachedViewById(com.niming.weipa.R.id.tvSearch), 0, new d(this), 1, null);
        ((ClearableEditText) _$_findCachedViewById(i)).setOnEditorActionListener(new a(this));
        u.f((TextView) _$_findCachedViewById(com.niming.weipa.R.id.tv_delete_search), 0, new e(this), 1, null);
    }

    private final void l0() {
        int i = com.niming.weipa.R.id.rv_history;
        ((RecyclerView) _$_findCachedViewById(i)).setAdapter(n0());
        ((RecyclerView) _$_findCachedViewById(i)).setLayoutManager(ChipsLayoutManager.O(this).a());
        ((RecyclerView) _$_findCachedViewById(i)).addItemDecoration(new k(z0.b(12.0f), z0.b(12.0f)));
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    private final void m0(HotSearchRank hotSearchRank) {
        List<Ad2> ad_data = hotSearchRank.getAd_data();
        if (!(ad_data == null || ad_data.isEmpty())) {
            Activity activity = this.activity;
            Intrinsics.checkNotNullExpressionValue(activity, "activity");
            Banner banner = (Banner) _$_findCachedViewById(com.niming.weipa.R.id.banner);
            Intrinsics.checkNotNullExpressionValue(banner, "banner");
            List<Ad2> ad_data2 = hotSearchRank.getAd_data();
            Intrinsics.checkNotNullExpressionValue(ad_data2, "response.ad_data");
            v.l(activity, banner, ad_data2);
        }
        o0().s1(hotSearchRank.getList());
        ((RecyclerView) _$_findCachedViewById(com.niming.weipa.R.id.rv_hot)).setAdapter(o0());
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    private final BaseQuickAdapter<SearchHistory, BaseViewHolder> n0() {
        return (BaseQuickAdapter) this.f20163b.getValue();
    }

    private final BaseQuickAdapter<HotSearchRank.Keyword, BaseViewHolder> o0() {
        return (BaseQuickAdapter) this.I0.getValue();
    }

    private final void p0() {
        v0();
    }

    /* access modifiers changed from: private */
    public static final void q0() {
    }

    /* access modifiers changed from: private */
    public static final boolean r0(SearchAct searchAct, TextView textView, int i, KeyEvent keyEvent) {
        Intrinsics.checkNotNullParameter(searchAct, "this$0");
        if (i != 3) {
            return false;
        }
        searchAct.u0(String.valueOf(((ClearableEditText) searchAct._$_findCachedViewById(com.niming.weipa.R.id.et_search)).getText()));
        return true;
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    private final void u0(String str) {
        if (TextUtils.isEmpty(str)) {
            ToastUtils.W("输入搜索关键字呢", new Object[0]);
            return;
        }
        HistroySearchUtil.save(str);
        KeyboardUtils.k((ClearableEditText) _$_findCachedViewById(com.niming.weipa.R.id.et_search));
        SearchResultActivity.f20165a.a(this, str);
    }

    private final void v0() {
        com.niming.weipa.g.c.c0().z2(new g(this));
    }

    @Override // com.niming.weipa.base.BaseActivity
    public void _$_clearFindViewByIdCache() {
        this.J0.clear();
    }

    @Override // com.niming.weipa.base.BaseActivity
    @Nullable
    public View _$_findCachedViewById(int i) {
        Map<Integer, View> map = this.J0;
        View view = map.get(Integer.valueOf(i));
        if (view != null) {
            return view;
        }
        View findViewById = findViewById(i);
        if (findViewById == null) {
            return null;
        }
        map.put(Integer.valueOf(i), findViewById);
        return findViewById;
    }

    @Override // com.niming.framework.base.f
    public int getViewRes() {
        return R.layout.act_search;
    }

    @Override // com.niming.weipa.base.BaseActivity, com.niming.framework.base.f
    public void initView(@Nullable Bundle bundle) {
        super.initView(bundle);
        p0();
        l0();
        initListener();
    }

    /* access modifiers changed from: protected */
    @Override // com.niming.weipa.base.BaseActivity, androidx.fragment.app.FragmentActivity
    public void onResume() {
        super.onResume();
        List<SearchHistory> searchHistories = HistroySearchUtil.getSearchHistories();
        if (searchHistories.isEmpty()) {
            n0().d1(R.layout.view_empty_search_history);
        } else {
            n0().s1(searchHistories);
        }
    }
}
