package com.niming.weipa.ui.welfare.f;

import android.content.Context;
import android.content.res.Resources;
import android.graphics.PorterDuff;
import android.graphics.PorterDuffColorFilter;
import android.graphics.drawable.Drawable;
import android.view.View;
import android.widget.ImageView;
import android.widget.TextView;
import com.chad.library.adapter.base.BaseQuickAdapter;
import com.chad.library.adapter.base.viewholder.BaseViewHolder;
import com.google.android.gms.common.internal.c0;
import com.google.gson.e;
import com.hj.chen.new1126.R;
import com.niming.weipa.model.WelfareTask;
import java.util.List;
import kotlin.Metadata;
import kotlin.jvm.internal.Intrinsics;
import org.jetbrains.annotations.NotNull;

@Metadata(d1 = {"\u0000.\n\u0002\u0018\u0002\n\u0002\u0018\u0002\n\u0002\u0018\u0002\n\u0002\u0018\u0002\n\u0000\n\u0002\u0010!\n\u0000\n\u0002\u0018\u0002\n\u0002\b\u0002\n\u0002\u0018\u0002\n\u0000\n\u0002\u0010\u0002\n\u0002\b\u0003\u0018\u00002\u000e\u0012\u0004\u0012\u00020\u0002\u0012\u0004\u0012\u00020\u00030\u0001B\u001b\u0012\f\u0010\u0004\u001a\b\u0012\u0004\u0012\u00020\u00020\u0005\u0012\u0006\u0010\u0006\u001a\u00020\u0007¢\u0006\u0002\u0010\bJ\u0018\u0010\u000b\u001a\u00020\f2\u0006\u0010\r\u001a\u00020\u00032\u0006\u0010\u000e\u001a\u00020\u0002H\u0014R\u000e\u0010\t\u001a\u00020\nX\u0004¢\u0006\u0002\n\u0000R\u000e\u0010\u0006\u001a\u00020\u0007X\u0004¢\u0006\u0002\n\u0000¨\u0006\u000f"}, d2 = {"Lcom/niming/weipa/ui/welfare/adapter/TasksAdapter;", "Lcom/chad/library/adapter/base/BaseQuickAdapter;", "Lcom/niming/weipa/model/WelfareTask;", "Lcom/chad/library/adapter/base/viewholder/BaseViewHolder;", "data", "", c0.a.f10070a, "Landroid/view/View$OnClickListener;", "(Ljava/util/List;Landroid/view/View$OnClickListener;)V", "gson", "Lcom/google/gson/Gson;", "convert", "", "holder", "item", "app_wuqudaoRelease"}, k = 1, mv = {1, 6, 0}, xi = 48)
/* compiled from: TasksAdapter.kt */
public final class b extends BaseQuickAdapter<WelfareTask, BaseViewHolder> {
    @NotNull
    private final e n1 = new e();
    @NotNull
    private final View.OnClickListener o1;

    /* JADX INFO: super call moved to the top of the method (can break code semantics) */
    public b(@NotNull List<WelfareTask> list, @NotNull View.OnClickListener onClickListener) {
        super(R.layout.todo_task_item, list);
        Intrinsics.checkNotNullParameter(list, "data");
        Intrinsics.checkNotNullParameter(onClickListener, c0.a.f10070a);
        this.o1 = onClickListener;
    }

    /* access modifiers changed from: protected */
    /* renamed from: G1 */
    public void N(@NotNull BaseViewHolder baseViewHolder, @NotNull WelfareTask welfareTask) {
        Intrinsics.checkNotNullParameter(baseViewHolder, "holder");
        Intrinsics.checkNotNullParameter(welfareTask, "item");
        Context context = baseViewHolder.itemView.getContext();
        baseViewHolder.setText(R.id.tv_task_title, welfareTask.getTitle());
        baseViewHolder.setText(R.id.tv_task_title_hint, welfareTask.getSubtitle());
        com.niming.weipa.e.b.g(context, welfareTask.getCover(), (ImageView) baseViewHolder.getView(R.id.iv_task_icon));
        Resources resources = baseViewHolder.itemView.getContext().getResources();
        View view = baseViewHolder.getView(R.id.tv_task_action_state);
        TextView textView = view instanceof TextView ? (TextView) view : null;
        if (textView != null) {
            textView.setTag(R.id.tv_task_action_state, this.n1.z(welfareTask));
            textView.setOnClickListener(this.o1);
            if (welfareTask.getTask_status() == 0) {
                if (welfareTask.getType() == 6) {
                    textView.setText("下载");
                } else {
                    textView.setText("做任务");
                }
                Drawable mutate = resources.getDrawable(R.drawable.bg_shape_recharge_welfare).mutate();
                mutate.setColorFilter(new PorterDuffColorFilter(resources.getColor(R.color.color_task_download), PorterDuff.Mode.SRC_IN));
                textView.setBackground(mutate);
            } else if (welfareTask.getTaskReceiveStatus() == 0) {
                textView.setText("领取");
                Drawable mutate2 = resources.getDrawable(R.drawable.bg_shape_recharge_welfare).mutate();
                mutate2.setColorFilter(new PorterDuffColorFilter(resources.getColor(R.color.color_task_re), PorterDuff.Mode.SRC_IN));
                textView.setBackground(mutate2);
            } else {
                Drawable mutate3 = resources.getDrawable(R.drawable.bg_shape_recharge_welfare).mutate();
                mutate3.setColorFilter(new PorterDuffColorFilter(resources.getColor(R.color.color_task_reed), PorterDuff.Mode.SRC_IN));
                textView.setBackground(mutate3);
                textView.setText("已领取");
            }
        }
    }
}
