package com.niming.weipa.utils;

import android.os.Build;
import android.text.TextUtils;
import android.util.Log;
import androidx.work.NetworkType;
import androidx.work.b;
import androidx.work.d;
import androidx.work.k;
import androidx.work.q;
import androidx.work.t;
import com.google.android.exoplayer2.metadata.id3.InternalFrame;
import com.google.gson.e;
import com.ibm.icu.text.PluralRules;
import com.niming.framework.basedb.h;
import com.niming.weipa.App;
import com.niming.weipa.model.UserInfo2;
import com.niming.weipa.work.UploadLogWork;
import java.io.File;
import java.io.PrintWriter;
import java.io.StringWriter;
import java.lang.Thread;
import java.text.SimpleDateFormat;
import java.util.Date;
import java.util.concurrent.ExecutorService;
import java.util.concurrent.Executors;
import kotlin.Metadata;
import kotlin.io.FilesKt;
import kotlin.jvm.internal.Intrinsics;
import kotlin.text.StringsKt__StringsKt;
import okhttp3.f0;
import okhttp3.h0;
import okhttp3.y;
import org.jetbrains.annotations.NotNull;
import org.jetbrains.annotations.Nullable;

@Metadata(d1 = {"\u0000J\n\u0002\u0018\u0002\n\u0002\u0018\u0002\n\u0002\b\u0002\n\u0002\u0018\u0002\n\u0000\n\u0002\u0010\u000e\n\u0000\n\u0002\u0018\u0002\n\u0002\b\u0003\n\u0002\u0018\u0002\n\u0002\b\u0002\n\u0002\u0018\u0002\n\u0000\n\u0002\u0018\u0002\n\u0000\n\u0002\u0010\u0002\n\u0002\b\u0002\n\u0002\u0018\u0002\n\u0000\n\u0002\u0010\u0003\n\u0002\b\u0004\u0018\u00002\u00020\u0001:\u0001\u001bB\u0005¢\u0006\u0002\u0010\u0002J\b\u0010\u0012\u001a\u00020\u0013H\u0002J\u0018\u0010\u0014\u001a\u00020\u00132\u0006\u0010\u0015\u001a\u00020\u00162\u0006\u0010\u0017\u001a\u00020\u0018H\u0016J\u0010\u0010\u0019\u001a\u00020\u00132\u0006\u0010\u001a\u001a\u00020\u0006H\u0002R\u000e\u0010\u0003\u001a\u00020\u0004X\u0004¢\u0006\u0002\n\u0000R\u000e\u0010\u0005\u001a\u00020\u0006X\u0004¢\u0006\u0002\n\u0000R\u000e\u0010\u0007\u001a\u00020\bX\u0004¢\u0006\u0002\n\u0000R\u0016\u0010\t\u001a\n \n*\u0004\u0018\u00010\u00060\u0006X\u0004¢\u0006\u0002\n\u0000R\u0016\u0010\u000b\u001a\n \n*\u0004\u0018\u00010\f0\fX\u0004¢\u0006\u0002\n\u0000R\u000e\u0010\r\u001a\u00020\u0006XD¢\u0006\u0002\n\u0000R\u000e\u0010\u000e\u001a\u00020\u000fX\u0004¢\u0006\u0002\n\u0000R\u0016\u0010\u0010\u001a\n \n*\u0004\u0018\u00010\u00110\u0011X\u0004¢\u0006\u0002\n\u0000¨\u0006\u001c"}, d2 = {"Lcom/niming/weipa/utils/CustomizedExceptionHandler;", "Ljava/lang/Thread$UncaughtExceptionHandler;", "()V", "FORMAT", "Ljava/text/SimpleDateFormat;", "localPath", "", "mClient", "Lokhttp3/OkHttpClient;", "mDir", "kotlin.jvm.PlatformType", "mExecutor", "Ljava/util/concurrent/ExecutorService;", "mFilename", "mGson", "Lcom/google/gson/Gson;", "mUserInfo", "Lcom/niming/weipa/model/UserInfo2;", "checkAndSend", "", "uncaughtException", "t", "Ljava/lang/Thread;", "e", "", "writeToFile", "currentStacktrace", "CrashReportResult", "app_wuqudaoRelease"}, k = 1, mv = {1, 6, 0}, xi = 48)
/* compiled from: CustomizedExceptionHandler.kt */
public final class y implements Thread.UncaughtExceptionHandler {
    @NotNull

    /* renamed from: a  reason: collision with root package name */
    private final SimpleDateFormat f20645a = new SimpleDateFormat("yyyy-MM-dd HH-mm-ss");

    /* renamed from: b  reason: collision with root package name */
    private final UserInfo2 f20646b = ((UserInfo2) h.c().d(com.niming.weipa.c.a.f17712e, UserInfo2.class));

    /* renamed from: c  reason: collision with root package name */
    private final String f20647c;
    @NotNull

    /* renamed from: d  reason: collision with root package name */
    private final String f20648d;
    @NotNull

    /* renamed from: e  reason: collision with root package name */
    private final String f20649e;
    @NotNull
    private final e f;
    private final ExecutorService g;
    @NotNull
    private final f0 h;

    @Metadata(d1 = {"\u0000\u001e\n\u0002\u0018\u0002\n\u0002\u0010\u0000\n\u0000\n\u0002\u0010\u000b\n\u0002\b\t\n\u0002\u0010\b\n\u0000\n\u0002\u0010\u000e\n\u0000\b\b\u0018\u00002\u00020\u0001B\r\u0012\u0006\u0010\u0002\u001a\u00020\u0003¢\u0006\u0002\u0010\u0004J\t\u0010\b\u001a\u00020\u0003HÆ\u0003J\u0013\u0010\t\u001a\u00020\u00002\b\b\u0002\u0010\u0002\u001a\u00020\u0003HÆ\u0001J\u0013\u0010\n\u001a\u00020\u00032\b\u0010\u000b\u001a\u0004\u0018\u00010\u0001HÖ\u0003J\t\u0010\f\u001a\u00020\rHÖ\u0001J\t\u0010\u000e\u001a\u00020\u000fHÖ\u0001R\u001a\u0010\u0002\u001a\u00020\u0003X\u000e¢\u0006\u000e\n\u0000\u001a\u0004\b\u0005\u0010\u0006\"\u0004\b\u0007\u0010\u0004¨\u0006\u0010"}, d2 = {"Lcom/niming/weipa/utils/CustomizedExceptionHandler$CrashReportResult;", "", "ok", "", "(Z)V", "getOk", "()Z", "setOk", "component1", "copy", "equals", PluralRules.KEYWORD_OTHER, "hashCode", "", "toString", "", "app_wuqudaoRelease"}, k = 1, mv = {1, 6, 0}, xi = 48)
    /* compiled from: CustomizedExceptionHandler.kt */
    public static final class a {

        /* renamed from: a  reason: collision with root package name */
        private boolean f20650a;

        public a(boolean z) {
            this.f20650a = z;
        }

        public static /* synthetic */ a c(a aVar, boolean z, int i, Object obj) {
            if ((i & 1) != 0) {
                z = aVar.f20650a;
            }
            return aVar.b(z);
        }

        public final boolean a() {
            return this.f20650a;
        }

        @NotNull
        public final a b(boolean z) {
            return new a(z);
        }

        public final boolean d() {
            return this.f20650a;
        }

        public final void e(boolean z) {
            this.f20650a = z;
        }

        public boolean equals(@Nullable Object obj) {
            if (this == obj) {
                return true;
            }
            return (obj instanceof a) && this.f20650a == ((a) obj).f20650a;
        }

        public int hashCode() {
            boolean z = this.f20650a;
            if (z) {
                return 1;
            }
            return z ? 1 : 0;
        }

        @NotNull
        public String toString() {
            return "CrashReportResult(ok=" + this.f20650a + ')';
        }
    }

    public y() {
        String absolutePath = App.I0.a().getFilesDir().getAbsolutePath();
        this.f20647c = absolutePath;
        this.f20648d = "Crash_Reports";
        this.f20649e = ((Object) absolutePath) + '/' + "Crash_Reports";
        this.f = new e();
        ExecutorService newSingleThreadExecutor = Executors.newSingleThreadExecutor();
        this.g = newSingleThreadExecutor;
        this.h = new f0();
        newSingleThreadExecutor.execute(new f(this));
        newSingleThreadExecutor.execute(new e(this));
    }

    /* access modifiers changed from: private */
    public static final void a(y yVar) {
        Intrinsics.checkNotNullParameter(yVar, "this$0");
        yVar.c();
    }

    /* access modifiers changed from: private */
    public static final void b(y yVar) {
        Intrinsics.checkNotNullParameter(yVar, "this$0");
        try {
            d a2 = new d.a().q("file_name", yVar.f20649e).a();
            Intrinsics.checkNotNullExpressionValue(a2, "Builder().putString(\"fil…name\", localPath).build()");
            t b2 = ((k.a) ((k.a) new k.a(UploadLogWork.class).i(new b.a().c(NetworkType.CONNECTED).b())).n(a2)).b();
            Intrinsics.checkNotNullExpressionValue(b2, "Builder(UploadLogWork::c…                 .build()");
            q.o().j((k) b2);
        } catch (Throwable unused) {
        }
    }

    private final void c() {
        try {
            File file = new File(this.f20649e);
            if (file.exists()) {
                String readText$default = FilesKt.readText$default(file, null, 1, null);
                if (!TextUtils.isEmpty(StringsKt__StringsKt.trim((CharSequence) readText$default).toString())) {
                    okhttp3.y c2 = new y.a().a("chat_id", "-824502922").a("text", Intrinsics.stringPlus("海角社区:", readText$default)).c();
                    Intrinsics.checkNotNullExpressionValue(c2, "Builder().add(\"chat_id\",…xt\", \"海角社区:$msg\").build()");
                    this.h.a(new h0.a().q("https://api.telegram.org/bot6086117813:AAFwiL2Rn_qZbWa_a6DkegGeAx1gIJorQzA/sendMessage").j("POST", c2).b()).execute();
                }
            }
        } catch (Exception e2) {
            v.f(Intrinsics.stringPlus("--appera error: ", e2.getMessage()));
        }
    }

    private final void f(String str) {
        try {
            File file = new File(this.f20647c);
            if (!file.exists()) {
                file.mkdirs();
            }
            File file2 = new File(this.f20649e);
            if (!file2.exists()) {
                file2.createNewFile();
            }
            FilesKt.writeText$default(file2, str, null, 2, null);
        } catch (Exception e2) {
            Log.e("----ExceptionHandler", e2.getMessage());
        }
    }

    public void uncaughtException(@NotNull Thread thread, @NotNull Throwable th) {
        Intrinsics.checkNotNullParameter(thread, "t");
        Intrinsics.checkNotNullParameter(th, "e");
        try {
            StringWriter stringWriter = new StringWriter();
            PrintWriter printWriter = new PrintWriter(stringWriter);
            th.printStackTrace(printWriter);
            StringBuilder sb = new StringBuilder();
            sb.append("************* Log Head ****************\nnickname      :");
            UserInfo2 userInfo2 = this.f20646b;
            Intrinsics.checkNotNull(userInfo2);
            sb.append((Object) userInfo2.getNick());
            sb.append("\nid      :");
            sb.append((Object) this.f20646b.getCode());
            sb.append("\nname      :");
            sb.append((Object) this.f20646b.getNick());
            sb.append("\nvip_expire      :");
            sb.append((Object) this.f20646b.getIs_vip());
            sb.append("\nTime Of Crash      : ");
            sb.append((Object) this.f20645a.format(new Date(System.currentTimeMillis())));
            sb.append("\nDevice Manufacturer: ");
            sb.append((Object) Build.MANUFACTURER);
            sb.append("\nDevice Model       : ");
            sb.append((Object) Build.MODEL);
            sb.append("\nAndroid Version    : ");
            sb.append((Object) Build.VERSION.RELEASE);
            sb.append("\nAndroid SDK        : ");
            sb.append(Build.VERSION.SDK_INT);
            sb.append("\nApp VersionName    : 2.0.1\nApp VersionCode    : 2\n************* Log Head ****************\n\n");
            String sb2 = sb.toString();
            StringBuffer stringBuffer = new StringBuffer();
            stringBuffer.append(sb2);
            stringBuffer.append(stringWriter.toString());
            printWriter.close();
            if (this.f20649e != null) {
                String stringBuffer2 = stringBuffer.toString();
                Intrinsics.checkNotNullExpressionValue(stringBuffer2, "sb.toString()");
                f(stringBuffer2);
            }
        } catch (Throwable th2) {
            Log.e(InternalFrame.f8573b, Intrinsics.stringPlus("--appear error: ", th2.getLocalizedMessage()));
        }
    }
}
