package com.niming.weipa.widget;

import android.content.Context;
import android.content.res.TypedArray;
import android.graphics.Bitmap;
import android.graphics.BitmapShader;
import android.graphics.Canvas;
import android.graphics.ColorFilter;
import android.graphics.Matrix;
import android.graphics.Outline;
import android.graphics.Paint;
import android.graphics.Rect;
import android.graphics.RectF;
import android.graphics.Shader;
import android.graphics.drawable.BitmapDrawable;
import android.graphics.drawable.ColorDrawable;
import android.graphics.drawable.Drawable;
import android.net.Uri;
import android.os.Build;
import android.util.AttributeSet;
import android.view.View;
import android.view.ViewOutlineProvider;
import android.widget.ImageView;
import androidx.annotation.ColorInt;
import androidx.annotation.ColorRes;
import androidx.annotation.DrawableRes;
import androidx.annotation.RequiresApi;
import com.niming.weipa.R;

public class CircleImageView extends ImageView {
    private static final int I0 = 2;
    private static final int J0 = 0;
    private static final int K0 = -16777216;
    private static final int L0 = 0;
    private static final boolean M0 = false;

    /* renamed from: a  reason: collision with root package name */
    private static final ImageView.ScaleType f20662a = ImageView.ScaleType.CENTER_CROP;

    /* renamed from: b  reason: collision with root package name */
    private static final Bitmap.Config f20663b = Bitmap.Config.ARGB_8888;
    private final RectF N0;
    private final RectF O0;
    private final Matrix P0;
    private final Paint Q0;
    private final Paint R0;
    private final Paint S0;
    private int T0;
    private int U0;
    private int V0;
    private Bitmap W0;
    private BitmapShader X0;
    private int Y0;
    private int Z0;
    private float a1;
    private float b1;
    private ColorFilter c1;
    private boolean d1;
    private boolean e1;
    private boolean f1;
    private boolean g1;

    /* access modifiers changed from: private */
    @RequiresApi(api = 21)
    public class b extends ViewOutlineProvider {
        private b() {
        }

        public void getOutline(View view, Outline outline) {
            Rect rect = new Rect();
            CircleImageView.this.O0.roundOut(rect);
            outline.setRoundRect(rect, ((float) rect.width()) / 2.0f);
        }
    }

    public CircleImageView(Context context) {
        super(context);
        this.N0 = new RectF();
        this.O0 = new RectF();
        this.P0 = new Matrix();
        this.Q0 = new Paint();
        this.R0 = new Paint();
        this.S0 = new Paint();
        this.T0 = -16777216;
        this.U0 = 0;
        this.V0 = 0;
        e();
    }

    private void b() {
        Paint paint = this.Q0;
        if (paint != null) {
            paint.setColorFilter(this.c1);
        }
    }

    private RectF c() {
        int width = (getWidth() - getPaddingLeft()) - getPaddingRight();
        int height = (getHeight() - getPaddingTop()) - getPaddingBottom();
        int min = Math.min(width, height);
        float paddingLeft = ((float) getPaddingLeft()) + (((float) (width - min)) / 2.0f);
        float paddingTop = ((float) getPaddingTop()) + (((float) (height - min)) / 2.0f);
        float f = (float) min;
        return new RectF(paddingLeft, paddingTop, paddingLeft + f, f + paddingTop);
    }

    private Bitmap d(Drawable drawable) {
        Bitmap bitmap;
        if (drawable == null) {
            return null;
        }
        if (drawable instanceof BitmapDrawable) {
            return ((BitmapDrawable) drawable).getBitmap();
        }
        try {
            if (drawable instanceof ColorDrawable) {
                bitmap = Bitmap.createBitmap(2, 2, f20663b);
            } else {
                bitmap = Bitmap.createBitmap(drawable.getIntrinsicWidth(), drawable.getIntrinsicHeight(), f20663b);
            }
            Canvas canvas = new Canvas(bitmap);
            drawable.setBounds(0, 0, canvas.getWidth(), canvas.getHeight());
            drawable.draw(canvas);
            return bitmap;
        } catch (Exception e2) {
            e2.printStackTrace();
            return null;
        }
    }

    private void e() {
        super.setScaleType(f20662a);
        this.d1 = true;
        if (Build.VERSION.SDK_INT >= 21) {
            setOutlineProvider(new b());
        }
        if (this.e1) {
            i();
            this.e1 = false;
        }
    }

    private void f() {
        if (this.g1) {
            this.W0 = null;
        } else {
            this.W0 = d(getDrawable());
        }
        i();
    }

    private void i() {
        int i;
        if (!this.d1) {
            this.e1 = true;
        } else if (getWidth() != 0 || getHeight() != 0) {
            if (this.W0 == null) {
                invalidate();
                return;
            }
            Bitmap bitmap = this.W0;
            Shader.TileMode tileMode = Shader.TileMode.CLAMP;
            this.X0 = new BitmapShader(bitmap, tileMode, tileMode);
            this.Q0.setAntiAlias(true);
            this.Q0.setShader(this.X0);
            this.R0.setStyle(Paint.Style.STROKE);
            this.R0.setAntiAlias(true);
            this.R0.setColor(this.T0);
            this.R0.setStrokeWidth((float) this.U0);
            this.S0.setStyle(Paint.Style.FILL);
            this.S0.setAntiAlias(true);
            this.S0.setColor(this.V0);
            this.Z0 = this.W0.getHeight();
            this.Y0 = this.W0.getWidth();
            this.O0.set(c());
            this.b1 = Math.min((this.O0.height() - ((float) this.U0)) / 2.0f, (this.O0.width() - ((float) this.U0)) / 2.0f);
            this.N0.set(this.O0);
            if (!this.f1 && (i = this.U0) > 0) {
                this.N0.inset(((float) i) - 1.0f, ((float) i) - 1.0f);
            }
            this.a1 = Math.min(this.N0.height() / 2.0f, this.N0.width() / 2.0f);
            b();
            j();
            invalidate();
        }
    }

    private void j() {
        float f;
        float f2;
        this.P0.set(null);
        float f3 = 0.0f;
        if (((float) this.Y0) * this.N0.height() > this.N0.width() * ((float) this.Z0)) {
            f2 = this.N0.height() / ((float) this.Z0);
            f3 = (this.N0.width() - (((float) this.Y0) * f2)) * 0.5f;
            f = 0.0f;
        } else {
            f2 = this.N0.width() / ((float) this.Y0);
            f = (this.N0.height() - (((float) this.Z0) * f2)) * 0.5f;
        }
        this.P0.setScale(f2, f2);
        Matrix matrix = this.P0;
        RectF rectF = this.N0;
        matrix.postTranslate(((float) ((int) (f3 + 0.5f))) + rectF.left, ((float) ((int) (f + 0.5f))) + rectF.top);
        this.X0.setLocalMatrix(this.P0);
    }

    public boolean g() {
        return this.f1;
    }

    public int getBorderColor() {
        return this.T0;
    }

    public int getBorderWidth() {
        return this.U0;
    }

    public int getCircleBackgroundColor() {
        return this.V0;
    }

    public ColorFilter getColorFilter() {
        return this.c1;
    }

    @Deprecated
    public int getFillColor() {
        return getCircleBackgroundColor();
    }

    public ImageView.ScaleType getScaleType() {
        return f20662a;
    }

    public boolean h() {
        return this.g1;
    }

    /* access modifiers changed from: protected */
    public void onDraw(Canvas canvas) {
        if (this.g1) {
            super.onDraw(canvas);
        } else if (this.W0 != null) {
            if (this.V0 != 0) {
                canvas.drawCircle(this.N0.centerX(), this.N0.centerY(), this.a1, this.S0);
            }
            canvas.drawCircle(this.N0.centerX(), this.N0.centerY(), this.a1, this.Q0);
            if (this.U0 > 0) {
                canvas.drawCircle(this.O0.centerX(), this.O0.centerY(), this.b1, this.R0);
            }
        }
    }

    /* access modifiers changed from: protected */
    public void onSizeChanged(int i, int i2, int i3, int i4) {
        super.onSizeChanged(i, i2, i3, i4);
        i();
    }

    public void setAdjustViewBounds(boolean z) {
        if (z) {
            throw new IllegalArgumentException("adjustViewBounds not supported.");
        }
    }

    public void setBorderColor(@ColorInt int i) {
        if (i != this.T0) {
            this.T0 = i;
            this.R0.setColor(i);
            invalidate();
        }
    }

    @Deprecated
    public void setBorderColorResource(@ColorRes int i) {
        setBorderColor(getContext().getResources().getColor(i));
    }

    public void setBorderOverlay(boolean z) {
        if (z != this.f1) {
            this.f1 = z;
            i();
        }
    }

    public void setBorderWidth(int i) {
        if (i != this.U0) {
            this.U0 = i;
            i();
        }
    }

    public void setCircleBackgroundColor(@ColorInt int i) {
        if (i != this.V0) {
            this.V0 = i;
            this.S0.setColor(i);
            invalidate();
        }
    }

    public void setCircleBackgroundColorResource(@ColorRes int i) {
        setCircleBackgroundColor(getContext().getResources().getColor(i));
    }

    @Override // android.widget.ImageView
    public void setColorFilter(ColorFilter colorFilter) {
        if (colorFilter != this.c1) {
            this.c1 = colorFilter;
            b();
            invalidate();
        }
    }

    public void setDisableCircularTransformation(boolean z) {
        if (this.g1 != z) {
            this.g1 = z;
            f();
        }
    }

    @Deprecated
    public void setFillColor(@ColorInt int i) {
        setCircleBackgroundColor(i);
    }

    @Deprecated
    public void setFillColorResource(@ColorRes int i) {
        setCircleBackgroundColorResource(i);
    }

    public void setImageBitmap(Bitmap bitmap) {
        super.setImageBitmap(bitmap);
        f();
    }

    public void setImageDrawable(Drawable drawable) {
        super.setImageDrawable(drawable);
        f();
    }

    public void setImageResource(@DrawableRes int i) {
        super.setImageResource(i);
        f();
    }

    public void setImageURI(Uri uri) {
        super.setImageURI(uri);
        f();
    }

    public void setPadding(int i, int i2, int i3, int i4) {
        super.setPadding(i, i2, i3, i4);
        i();
    }

    public void setPaddingRelative(int i, int i2, int i3, int i4) {
        super.setPaddingRelative(i, i2, i3, i4);
        i();
    }

    public void setScaleType(ImageView.ScaleType scaleType) {
        if (scaleType != f20662a) {
            throw new IllegalArgumentException(String.format("ScaleType %s not supported.", scaleType));
        }
    }

    public CircleImageView(Context context, AttributeSet attributeSet) {
        this(context, attributeSet, 0);
    }

    public CircleImageView(Context context, AttributeSet attributeSet, int i) {
        super(context, attributeSet, i);
        this.N0 = new RectF();
        this.O0 = new RectF();
        this.P0 = new Matrix();
        this.Q0 = new Paint();
        this.R0 = new Paint();
        this.S0 = new Paint();
        this.T0 = -16777216;
        this.U0 = 0;
        this.V0 = 0;
        TypedArray obtainStyledAttributes = context.obtainStyledAttributes(attributeSet, R.styleable.CircleImageView, i, 0);
        this.U0 = obtainStyledAttributes.getDimensionPixelSize(2, 0);
        this.T0 = obtainStyledAttributes.getColor(0, -16777216);
        this.f1 = obtainStyledAttributes.getBoolean(1, false);
        if (obtainStyledAttributes.hasValue(3)) {
            this.V0 = obtainStyledAttributes.getColor(3, 0);
        } else if (obtainStyledAttributes.hasValue(4)) {
            this.V0 = obtainStyledAttributes.getColor(4, 0);
        }
        obtainStyledAttributes.recycle();
        e();
    }
}
