package com.niming.weipa.widget;

import android.annotation.SuppressLint;
import android.content.Context;
import android.content.res.TypedArray;
import android.graphics.Rect;
import android.graphics.drawable.Drawable;
import android.os.Build;
import android.os.Parcel;
import android.os.Parcelable;
import android.text.Editable;
import android.text.TextUtils;
import android.text.TextWatcher;
import android.util.AttributeSet;
import android.view.MotionEvent;
import android.view.View;
import androidx.annotation.DrawableRes;
import androidx.appcompat.widget.AppCompatEditText;
import androidx.core.content.d;
import com.niming.weipa.R;

public class ClearableEditText extends AppCompatEditText implements TextWatcher {
    @DrawableRes

    /* renamed from: a  reason: collision with root package name */
    private static final int f20665a = 2131165477;
    private boolean I0;
    private boolean J0;
    private b K0;

    /* renamed from: b  reason: collision with root package name */
    private Drawable f20666b;

    /* access modifiers changed from: protected */
    public static class ClearIconSavedState extends View.BaseSavedState {
        public static final Parcelable.Creator<ClearIconSavedState> CREATOR = new a();

        /* renamed from: a  reason: collision with root package name */
        private final boolean f20667a;

        static class a implements Parcelable.Creator<ClearIconSavedState> {
            a() {
            }

            /* renamed from: a */
            public ClearIconSavedState createFromParcel(Parcel parcel) {
                return new ClearIconSavedState(parcel);
            }

            /* renamed from: b */
            public ClearIconSavedState[] newArray(int i) {
                return new ClearIconSavedState[i];
            }
        }

        /* access modifiers changed from: package-private */
        public boolean a() {
            return this.f20667a;
        }

        public void writeToParcel(Parcel parcel, int i) {
            super.writeToParcel(parcel, i);
            parcel.writeByte(this.f20667a ? (byte) 1 : 0);
        }

        private ClearIconSavedState(Parcel parcel) {
            super(parcel);
            this.f20667a = parcel.readByte() != 0;
        }

        ClearIconSavedState(Parcelable parcelable, boolean z) {
            super(parcelable);
            this.f20667a = z;
        }
    }

    public interface b {
        void a();
    }

    public ClearableEditText(Context context) {
        this(context, null);
    }

    private void a(Context context, AttributeSet attributeSet, int i) {
        TypedArray obtainStyledAttributes = context.obtainStyledAttributes(attributeSet, R.styleable.ClearableEditText, i, 0);
        if (obtainStyledAttributes.hasValue(1)) {
            this.f20666b = obtainStyledAttributes.getDrawable(1);
        } else {
            this.f20666b = d.i(context, com.hj.chen.new1126.R.drawable.ic_clear);
        }
        Drawable drawable = this.f20666b;
        if (drawable != null) {
            drawable.setCallback(this);
        }
        this.J0 = obtainStyledAttributes.getBoolean(0, true);
        obtainStyledAttributes.recycle();
    }

    private boolean b(MotionEvent motionEvent) {
        int i;
        if (!this.I0) {
            return false;
        }
        int x = (int) motionEvent.getX();
        int width = getWidth();
        if (Build.VERSION.SDK_INT >= 17) {
            i = getCompoundPaddingEnd();
        } else {
            i = getCompoundPaddingRight();
        }
        if (x >= width - i) {
            return true;
        }
        return false;
    }

    private void c(boolean z) {
        if (Build.VERSION.SDK_INT >= 17) {
            Drawable[] compoundDrawablesRelative = getCompoundDrawablesRelative();
            if (z) {
                setCompoundDrawablesRelativeWithIntrinsicBounds(compoundDrawablesRelative[0], compoundDrawablesRelative[1], this.f20666b, compoundDrawablesRelative[3]);
            } else {
                setCompoundDrawablesRelative(compoundDrawablesRelative[0], compoundDrawablesRelative[1], null, compoundDrawablesRelative[3]);
            }
        } else {
            Drawable[] compoundDrawables = getCompoundDrawables();
            if (z) {
                setCompoundDrawablesWithIntrinsicBounds(compoundDrawables[0], compoundDrawables[1], this.f20666b, compoundDrawables[3]);
            } else {
                setCompoundDrawables(compoundDrawables[0], compoundDrawables[1], null, compoundDrawables[3]);
            }
        }
        this.I0 = z;
    }

    public void afterTextChanged(Editable editable) {
    }

    public void beforeTextChanged(CharSequence charSequence, int i, int i2, int i3) {
    }

    /* access modifiers changed from: protected */
    public void onFocusChanged(boolean z, int i, Rect rect) {
        c((!this.J0 || z) && !TextUtils.isEmpty(getText()));
        super.onFocusChanged(z, i, rect);
    }

    public void onRestoreInstanceState(Parcelable parcelable) {
        if (!(parcelable instanceof ClearIconSavedState)) {
            super.onRestoreInstanceState(parcelable);
            return;
        }
        ClearIconSavedState clearIconSavedState = (ClearIconSavedState) parcelable;
        super.onRestoreInstanceState(clearIconSavedState.getSuperState());
        boolean a2 = clearIconSavedState.a();
        this.I0 = a2;
        c(a2);
    }

    public Parcelable onSaveInstanceState() {
        Parcelable onSaveInstanceState = super.onSaveInstanceState();
        return this.I0 ? new ClearIconSavedState(onSaveInstanceState, true) : onSaveInstanceState;
    }

    public void onTextChanged(CharSequence charSequence, int i, int i2, int i3) {
        if (!this.J0 || hasFocus()) {
            c(!TextUtils.isEmpty(charSequence));
        }
    }

    @SuppressLint({"ClickableViewAccessibility"})
    public boolean onTouchEvent(MotionEvent motionEvent) {
        if (!b(motionEvent)) {
            return super.onTouchEvent(motionEvent);
        }
        setText((CharSequence) null);
        motionEvent.setAction(3);
        c(false);
        b bVar = this.K0;
        if (bVar != null) {
            bVar.a();
        }
        return false;
    }

    public void setOnTextClearedListener(b bVar) {
        this.K0 = bVar;
    }

    public ClearableEditText(Context context, AttributeSet attributeSet) {
        this(context, attributeSet, 16842862);
    }

    public ClearableEditText(Context context, AttributeSet attributeSet, int i) {
        super(context, attributeSet, i);
        this.I0 = false;
        this.J0 = true;
        a(context, attributeSet, i);
    }
}
