package com.niming.weipa.widget;

import android.content.Context;
import android.content.res.TypedArray;
import android.graphics.BlurMaskFilter;
import android.graphics.Canvas;
import android.graphics.Color;
import android.graphics.Paint;
import android.graphics.RectF;
import android.graphics.drawable.Drawable;
import android.graphics.drawable.InsetDrawable;
import android.util.AttributeSet;
import android.widget.RelativeLayout;
import androidx.annotation.NonNull;
import androidx.annotation.Nullable;
import com.niming.weipa.R;

public class ShadowRelativeLayout extends RelativeLayout {
    private float I0;
    private float J0;
    private float K0;
    private Paint L0;

    /* renamed from: a  reason: collision with root package name */
    private int f20690a;

    /* renamed from: b  reason: collision with root package name */
    private float f20691b;

    public ShadowRelativeLayout(@NonNull Context context) {
        this(context, null);
    }

    private void a(Context context, AttributeSet attributeSet) {
        TypedArray obtainStyledAttributes = context.obtainStyledAttributes(attributeSet, R.styleable.ShadowRelativeLayout);
        if (obtainStyledAttributes != null) {
            this.f20690a = obtainStyledAttributes.getColor(1, this.f20690a);
            this.I0 = obtainStyledAttributes.getDimension(4, this.I0);
            this.f20691b = obtainStyledAttributes.getDimension(0, this.f20691b);
            this.J0 = obtainStyledAttributes.getDimension(2, this.J0);
            this.K0 = obtainStyledAttributes.getDimension(3, this.K0);
            obtainStyledAttributes.recycle();
        }
    }

    private boolean b() {
        Drawable background = getBackground();
        if (background == null || (background instanceof InsetDrawable)) {
            return false;
        }
        setBackground(new InsetDrawable(background, getPaddingLeft(), getPaddingTop(), getPaddingRight(), getPaddingBottom()));
        return true;
    }

    private void c() {
        setLayerType(1, null);
        this.L0.setAntiAlias(true);
        this.L0.setColor(this.f20690a);
        this.L0.setMaskFilter(new BlurMaskFilter(this.f20691b, BlurMaskFilter.Blur.OUTER));
    }

    private RectF getRectF() {
        return new RectF(((float) getPaddingLeft()) + this.J0, ((float) getPaddingTop()) + this.K0, ((float) (getWidth() - getPaddingRight())) + this.J0, ((float) (getHeight() - getPaddingBottom())) + this.K0);
    }

    public void draw(Canvas canvas) {
        b();
        RectF rectF = getRectF();
        float f = this.I0;
        canvas.drawRoundRect(rectF, f, f, this.L0);
        super.draw(canvas);
    }

    public boolean isOpaque() {
        return false;
    }

    public ShadowRelativeLayout(@NonNull Context context, @Nullable AttributeSet attributeSet) {
        this(context, attributeSet, 0);
    }

    public ShadowRelativeLayout(@NonNull Context context, @Nullable AttributeSet attributeSet, int i) {
        super(context, attributeSet, i);
        this.f20690a = Color.argb(90, 0, 0, 0);
        this.f20691b = 30.0f;
        this.I0 = 0.0f;
        this.J0 = 0.0f;
        this.K0 = 0.0f;
        this.L0 = new Paint(1);
        a(context, attributeSet);
        c();
    }
}
