package com.niming.weipa.widget.scrollableLayout;

import android.annotation.TargetApi;
import android.content.Context;
import android.os.Build;
import android.util.AttributeSet;
import android.view.MotionEvent;
import android.view.VelocityTracker;
import android.view.View;
import android.view.ViewConfiguration;
import android.widget.LinearLayout;
import android.widget.Scroller;
import androidx.viewpager.widget.ViewPager;

public class ScrollableLayout extends LinearLayout {
    private float I0;
    private float J0;
    private float K0;
    private float L0;
    private VelocityTracker M0;
    private int N0;
    private int O0;
    private int P0;
    private boolean Q0;
    private float R0;
    private float S0;
    private float T0;
    private float U0;
    private float V0;
    private float W0;
    private View X0;
    private ViewPager Y0;
    private a Z0;

    /* renamed from: a  reason: collision with root package name */
    private Context f20751a;
    private int a1;

    /* renamed from: b  reason: collision with root package name */
    private Scroller f20752b;
    private int b1;
    private int c1;
    private boolean d1;
    private boolean e1;
    private int f1;
    private boolean g1;
    private int h1;
    private int i1;
    private int j1;
    private boolean k1;
    private int l1;
    private b m1;
    private a n1;

    enum a {
        UP,
        DOWN
    }

    public interface b {
        void a(int i, int i2);
    }

    public ScrollableLayout(Context context) {
        this(context, null);
    }

    private int a(int i, int i2) {
        return i - i2;
    }

    private void b(int i, int i2, int i3) {
        this.k1 = i + i3 <= i2;
    }

    @TargetApi(14)
    private int c(int i, int i2) {
        Scroller scroller = this.f20752b;
        if (scroller == null) {
            return 0;
        }
        if (this.c1 >= 14) {
            return (int) scroller.getCurrVelocity();
        }
        return i / i2;
    }

    private void d() {
        VelocityTracker velocityTracker = this.M0;
        if (velocityTracker == null) {
            this.M0 = VelocityTracker.obtain();
        } else {
            velocityTracker.clear();
        }
    }

    private void e() {
        if (this.M0 == null) {
            this.M0 = VelocityTracker.obtain();
        }
    }

    private void h() {
        VelocityTracker velocityTracker = this.M0;
        if (velocityTracker != null) {
            velocityTracker.recycle();
            this.M0 = null;
        }
    }

    public void computeScroll() {
        if (this.f20752b.computeScrollOffset()) {
            int currY = this.f20752b.getCurrY();
            if (this.Z0 != a.UP) {
                if (this.n1.e()) {
                    scrollTo(0, getScrollY() + (currY - this.f1));
                    if (this.j1 <= this.h1) {
                        this.f20752b.forceFinished(true);
                        return;
                    }
                }
                invalidate();
            } else if (g()) {
                int finalY = this.f20752b.getFinalY() - currY;
                int a2 = a(this.f20752b.getDuration(), this.f20752b.timePassed());
                this.n1.i(c(finalY, a2), finalY, a2);
                this.f20752b.forceFinished(true);
                return;
            } else {
                scrollTo(0, currY);
            }
            this.f1 = currY;
        }
    }

    public boolean dispatchTouchEvent(MotionEvent motionEvent) {
        int i;
        float x = motionEvent.getX();
        float y = motionEvent.getY();
        int abs = (int) Math.abs(x - this.I0);
        int abs2 = (int) Math.abs(y - this.J0);
        int action = motionEvent.getAction();
        if (action == 0) {
            this.g1 = false;
            this.Q0 = false;
            this.R0 = motionEvent.getRawX();
            this.S0 = motionEvent.getRawY();
            this.d1 = true;
            this.e1 = true;
            this.I0 = x;
            this.J0 = y;
            this.K0 = x;
            this.L0 = y;
            this.b1 = getScrollY();
            b((int) y, this.a1, getScrollY());
            d();
            this.M0.addMovement(motionEvent);
            this.f20752b.forceFinished(true);
        } else if (action != 1) {
            if (action != 2) {
                if (action == 3 && this.e1 && this.k1 && (abs > (i = this.N0) || abs2 > i)) {
                    int action2 = motionEvent.getAction();
                    motionEvent.setAction(3);
                    boolean dispatchTouchEvent = super.dispatchTouchEvent(motionEvent);
                    motionEvent.setAction(action2);
                    return dispatchTouchEvent;
                }
            } else if (!this.g1) {
                e();
                this.M0.addMovement(motionEvent);
                float f = this.L0 - y;
                if (this.d1) {
                    int i2 = this.N0;
                    if (abs > i2 && abs > abs2) {
                        this.d1 = false;
                        this.e1 = false;
                    } else if (abs2 > i2 && abs2 > abs) {
                        this.d1 = false;
                        this.e1 = true;
                    }
                }
                if (this.e1 && abs2 > this.N0 && abs2 > abs && (!g() || this.n1.e())) {
                    ViewPager viewPager = this.Y0;
                    if (viewPager != null) {
                        viewPager.requestDisallowInterceptTouchEvent(true);
                    }
                    scrollBy(0, (int) (((double) f) + 0.5d));
                }
                this.K0 = x;
                this.L0 = y;
                this.T0 = motionEvent.getRawX();
                float rawY = motionEvent.getRawY();
                this.U0 = rawY;
                this.V0 = (float) ((int) (this.T0 - this.R0));
                float f2 = (float) ((int) (rawY - this.S0));
                this.W0 = f2;
                if (Math.abs(f2) <= ((float) this.l1) || ((double) Math.abs(this.W0)) * 0.1d <= ((double) Math.abs(this.V0))) {
                    this.Q0 = true;
                } else {
                    this.Q0 = false;
                }
            }
        } else if (this.e1 && abs2 > abs && abs2 > this.N0) {
            this.M0.computeCurrentVelocity(1000, (float) this.P0);
            float f3 = -this.M0.getYVelocity();
            if (Math.abs(f3) > ((float) this.O0)) {
                a aVar = f3 > 0.0f ? a.UP : a.DOWN;
                this.Z0 = aVar;
                if (aVar != a.UP || !g()) {
                    this.f20752b.fling(0, getScrollY(), 0, (int) f3, 0, 0, -2147483647, Integer.MAX_VALUE);
                    this.f20752b.computeScrollOffset();
                    this.f1 = getScrollY();
                    invalidate();
                }
            }
            if (this.k1 || !g()) {
                int action3 = motionEvent.getAction();
                motionEvent.setAction(3);
                boolean dispatchTouchEvent2 = super.dispatchTouchEvent(motionEvent);
                motionEvent.setAction(action3);
                return dispatchTouchEvent2;
            }
        }
        super.dispatchTouchEvent(motionEvent);
        return true;
    }

    public boolean f() {
        return getScrollY() <= 0 && this.n1.e() && !this.Q0;
    }

    public boolean g() {
        return this.j1 == this.i1;
    }

    public a getHelper() {
        return this.n1;
    }

    public int getMaxY() {
        return this.i1;
    }

    public void i(boolean z) {
        super.requestDisallowInterceptTouchEvent(z);
        this.g1 = z;
    }

    /* access modifiers changed from: protected */
    public void onFinishInflate() {
        View view = this.X0;
        if (view != null && !view.isClickable()) {
            this.X0.setClickable(true);
        }
        int childCount = getChildCount();
        for (int i = 0; i < childCount; i++) {
            View childAt = getChildAt(i);
            if (childAt != null && (childAt instanceof ViewPager)) {
                this.Y0 = (ViewPager) childAt;
            }
        }
        super.onFinishInflate();
    }

    /* access modifiers changed from: protected */
    public void onMeasure(int i, int i2) {
        View childAt = getChildAt(0);
        this.X0 = childAt;
        if (childAt != null) {
            measureChildWithMargins(childAt, i, 0, 0, 0);
            this.i1 = this.X0.getMeasuredHeight();
            this.a1 = this.X0.getMeasuredHeight();
        }
        super.onMeasure(i, View.MeasureSpec.makeMeasureSpec(View.MeasureSpec.getSize(i2) + this.i1, 1073741824));
    }

    public void scrollBy(int i, int i2) {
        int scrollY = getScrollY();
        int i3 = i2 + scrollY;
        int i4 = this.i1;
        if (i3 >= i4 || i3 <= (i4 = this.h1)) {
            i3 = i4;
        }
        super.scrollBy(i, i3 - scrollY);
    }

    public void scrollTo(int i, int i2) {
        int i3 = this.i1;
        if (i2 >= i3) {
            i2 = i3;
        } else {
            int i4 = this.h1;
            if (i2 <= i4) {
                i2 = i4;
            }
        }
        this.j1 = i2;
        b bVar = this.m1;
        if (bVar != null) {
            bVar.a(i2, i3);
        }
        super.scrollTo(i, i2);
    }

    public void setOnScrollListener(b bVar) {
        this.m1 = bVar;
    }

    public void setScrollMinY(int i) {
        this.l1 = i;
    }

    public ScrollableLayout(Context context, AttributeSet attributeSet) {
        this(context, attributeSet, 0);
    }

    public ScrollableLayout(Context context, AttributeSet attributeSet, int i) {
        super(context, attributeSet, i);
        this.h1 = 0;
        this.i1 = 0;
        this.l1 = 10;
        this.f20751a = context;
        this.n1 = new a();
        this.f20752b = new Scroller(context);
        ViewConfiguration viewConfiguration = ViewConfiguration.get(context);
        this.N0 = viewConfiguration.getScaledTouchSlop();
        this.O0 = viewConfiguration.getScaledMinimumFlingVelocity();
        this.P0 = viewConfiguration.getScaledMaximumFlingVelocity();
        this.c1 = Build.VERSION.SDK_INT;
        setOrientation(1);
    }
}
