package com.niming.weipa.work;

import android.content.Context;
import android.text.TextUtils;
import android.util.Log;
import androidx.annotation.NonNull;
import androidx.work.ListenableWorker;
import androidx.work.Worker;
import androidx.work.WorkerParameters;
import androidx.work.d;
import com.blankj.utilcode.util.LogUtils;
import com.blankj.utilcode.util.k0;
import com.lzy.okgo.model.Progress;
import com.lzy.okgo.request.base.b;
import com.niming.framework.b.g;
import com.niming.framework.net.Result;
import com.niming.weipa.db.PostWorkUtil;
import com.niming.weipa.g.c;
import com.niming.weipa.model.PostWork;
import java.io.File;
import java.util.UUID;
import okhttp3.j0;

public class UploadVideoWork extends Worker {

    class a implements b.c {

        /* renamed from: a  reason: collision with root package name */
        final /* synthetic */ PostWork f20760a;

        a(PostWork postWork) {
            this.f20760a = postWork;
        }

        @Override // com.lzy.okgo.request.base.b.c
        public void uploadProgress(Progress progress) {
            this.f20760a.setStatus(1);
            this.f20760a.setProgress((int) ((((double) progress.currentSize) / ((double) (this.f20760a.getCoverSize() + this.f20760a.getVideoSize()))) * 100.0d));
            this.f20760a.setVideoProgress((int) (progress.fraction * 100.0f));
            PostWorkUtil.update(this.f20760a);
            LogUtils.l("postwork", "===" + g.c(progress));
            Log.d("postwork", "===" + g.c(progress));
        }
    }

    public UploadVideoWork(@NonNull Context context, @NonNull WorkerParameters workerParameters) {
        super(context, workerParameters);
    }

    @Override // androidx.work.Worker
    @NonNull
    public ListenableWorker.a w() {
        String u = e().u(PostWorkUtil.WORK_PARAMS_KEY);
        UUID d2 = d();
        Log.d("postwork", "===UploadVideoWork:" + d2 + "postWorkId：" + u);
        StringBuilder sb = new StringBuilder();
        sb.append(u);
        sb.append("");
        PostWork byId = PostWorkUtil.getById(sb.toString());
        if (byId == null) {
            return ListenableWorker.a.a();
        }
        if (byId.getVideoProgress() >= 100 && !TextUtils.isEmpty(byId.getRemoteVideoName()) && !TextUtils.isEmpty(byId.getRemoteVideoPath())) {
            return ListenableWorker.a.e(new d.a().q(PostWorkUtil.WORK_PARAMS_KEY, u).a());
        }
        try {
            j0 Q1 = c.c0().Q1(new File(byId.getLocalVideo()), "uv", new a(byId));
            if (Q1 == null) {
                throw new Exception("");
            } else if (Q1.M()) {
                Result result = (Result) g.b(Q1.a().O(), Result.class);
                if (k0.y(result)) {
                    if (result.isOk()) {
                        byId.setStatus(1);
                        byId.setVideoProgress(100);
                        String resultStr = result.getResultStr("file_name");
                        String resultStr2 = result.getResultStr("file_path");
                        byId.setRemoteVideoName(resultStr);
                        byId.setRemoteVideoPath(resultStr2);
                        Log.d("postwork", "===file_name = " + resultStr + " file_path = " + resultStr2);
                        PostWorkUtil.update(byId);
                    }
                    Log.d("postwork", "===UploadVideoWork 修改视频进度:" + g.c(byId));
                    return ListenableWorker.a.e(new d.a().q(PostWorkUtil.WORK_PARAMS_KEY, u).a());
                }
                throw new Exception("");
            } else {
                throw new Exception("");
            }
        } catch (Exception e2) {
            byId.setStatus(3);
            PostWorkUtil.update(byId);
            Log.d("postwork", "===上传视频失败了" + e2.getLocalizedMessage());
        }
    }
}
