package com.noober.background.drawable;

import android.content.Context;
import android.content.res.TypedArray;
import android.graphics.LinearGradient;
import android.graphics.Shader;
import android.util.AttributeSet;
import android.widget.TextView;
import com.noober.background.R;

public class TextViewGradientColor implements ITextViewOperator {
    private int endColor = -1;
    private int orientation = 0;
    private int startColor = -1;

    /* access modifiers changed from: package-private */
    public class a implements Runnable {

        /* renamed from: a  reason: collision with root package name */
        final /* synthetic */ TextView f20767a;

        a(TextView textView) {
            this.f20767a = textView;
        }

        public void run() {
            this.f20767a.getPaint().setShader(new LinearGradient(0.0f, 0.0f, 0.0f, this.f20767a.getPaint().descent() - this.f20767a.getPaint().ascent(), TextViewGradientColor.this.startColor, TextViewGradientColor.this.endColor, Shader.TileMode.REPEAT));
            this.f20767a.invalidate();
        }
    }

    /* access modifiers changed from: package-private */
    public class b implements Runnable {

        /* renamed from: a  reason: collision with root package name */
        final /* synthetic */ TextView f20769a;

        b(TextView textView) {
            this.f20769a = textView;
        }

        public void run() {
            this.f20769a.getPaint().setShader(new LinearGradient(0.0f, 0.0f, (float) this.f20769a.getMeasuredWidth(), 0.0f, TextViewGradientColor.this.startColor, TextViewGradientColor.this.endColor, Shader.TileMode.REPEAT));
            this.f20769a.invalidate();
        }
    }

    @Override // com.noober.background.drawable.ITextViewOperator
    public void invoke(Context context, AttributeSet attributeSet, TextView textView) {
        int i;
        TypedArray obtainStyledAttributes = context.obtainStyledAttributes(attributeSet, R.styleable.bl_text);
        try {
            if (obtainStyledAttributes.getIndexCount() == 0) {
                obtainStyledAttributes.recycle();
                return;
            }
            for (int i2 = 0; i2 < obtainStyledAttributes.getIndexCount(); i2++) {
                int index = obtainStyledAttributes.getIndex(i2);
                if (index == R.styleable.bl_text_bl_text_gradient_endColor) {
                    this.endColor = obtainStyledAttributes.getColor(index, -1);
                } else if (index == R.styleable.bl_text_bl_text_gradient_startColor) {
                    this.startColor = obtainStyledAttributes.getColor(index, -1);
                } else if (index == R.styleable.bl_text_bl_text_gradient_orientation) {
                    this.orientation = obtainStyledAttributes.getInt(index, 0);
                }
            }
            int i3 = this.endColor;
            if (i3 != -1 || (i = this.startColor) == -1) {
                int i4 = this.startColor;
                if (i4 != -1 || i3 == -1) {
                    if (!(i3 == -1 || i4 == -1)) {
                        if (this.orientation == 0) {
                            textView.post(new a(textView));
                        } else {
                            textView.post(new b(textView));
                        }
                    }
                    obtainStyledAttributes.recycle();
                }
                textView.setTextColor(i3);
                obtainStyledAttributes.recycle();
            }
            textView.setTextColor(i);
            obtainStyledAttributes.recycle();
        } catch (Exception unused) {
        } catch (Throwable th) {
            obtainStyledAttributes.recycle();
            throw th;
        }
    }
}
