package com.ogaclejapan.smarttablayout;

import android.content.Context;
import android.content.res.ColorStateList;
import android.content.res.TypedArray;
import android.graphics.Typeface;
import android.os.Build;
import android.util.AttributeSet;
import android.util.DisplayMetrics;
import android.util.TypedValue;
import android.view.LayoutInflater;
import android.view.View;
import android.view.ViewGroup;
import android.widget.HorizontalScrollView;
import android.widget.LinearLayout;
import android.widget.TextView;
import androidx.core.view.ViewCompat;
import androidx.viewpager.widget.ViewPager;

public class SmartTabLayout extends HorizontalScrollView {
    private static final int I0 = -1;
    private static final int J0 = 16;
    private static final boolean K0 = true;
    private static final int L0 = 12;
    private static final int M0 = -67108864;
    private static final int N0 = 0;
    private static final boolean O0 = true;

    /* renamed from: a  reason: collision with root package name */
    private static final boolean f20772a = false;

    /* renamed from: b  reason: collision with root package name */
    private static final int f20773b = 24;
    protected final c P0;
    private int Q0;
    private int R0;
    private boolean S0;
    private ColorStateList T0;
    private float U0;
    private int V0;
    private int W0;
    private ViewPager X0;
    private ViewPager.h Y0;
    private d Z0;
    private h a1;
    private b b1;
    private e c1;
    private boolean d1;

    /* access modifiers changed from: private */
    public class b implements View.OnClickListener {
        private b() {
        }

        public void onClick(View view) {
            for (int i = 0; i < SmartTabLayout.this.P0.getChildCount(); i++) {
                if (view == SmartTabLayout.this.P0.getChildAt(i)) {
                    if (SmartTabLayout.this.c1 != null) {
                        SmartTabLayout.this.c1.a(i);
                    }
                    SmartTabLayout.this.X0.setCurrentItem(i);
                    return;
                }
            }
        }
    }

    private class c implements ViewPager.h {

        /* renamed from: a  reason: collision with root package name */
        private int f20775a;

        private c() {
        }

        @Override // androidx.viewpager.widget.ViewPager.h
        public void onPageScrollStateChanged(int i) {
            this.f20775a = i;
            if (SmartTabLayout.this.Y0 != null) {
                SmartTabLayout.this.Y0.onPageScrollStateChanged(i);
            }
        }

        @Override // androidx.viewpager.widget.ViewPager.h
        public void onPageScrolled(int i, float f, int i2) {
            int childCount = SmartTabLayout.this.P0.getChildCount();
            if (childCount != 0 && i >= 0 && i < childCount) {
                SmartTabLayout.this.P0.i(i, f);
                SmartTabLayout.this.h(i, f);
                if (SmartTabLayout.this.Y0 != null) {
                    SmartTabLayout.this.Y0.onPageScrolled(i, f, i2);
                }
            }
        }

        @Override // androidx.viewpager.widget.ViewPager.h
        public void onPageSelected(int i) {
            if (this.f20775a == 0) {
                SmartTabLayout.this.P0.i(i, 0.0f);
                SmartTabLayout.this.h(i, 0.0f);
            }
            int childCount = SmartTabLayout.this.P0.getChildCount();
            int i2 = 0;
            while (i2 < childCount) {
                SmartTabLayout.this.P0.getChildAt(i2).setSelected(i == i2);
                i2++;
            }
            if (SmartTabLayout.this.Y0 != null) {
                SmartTabLayout.this.Y0.onPageSelected(i);
            }
        }
    }

    public interface d {
        void a(int i, int i2);
    }

    public interface e {
        void a(int i);
    }

    /* access modifiers changed from: private */
    public static class f implements h {

        /* renamed from: a  reason: collision with root package name */
        private final LayoutInflater f20777a;

        /* renamed from: b  reason: collision with root package name */
        private final int f20778b;

        /* renamed from: c  reason: collision with root package name */
        private final int f20779c;

        @Override // com.ogaclejapan.smarttablayout.SmartTabLayout.h
        public View a(ViewGroup viewGroup, int i, androidx.viewpager.widget.a aVar) {
            int i2 = this.f20778b;
            TextView textView = null;
            View inflate = i2 != -1 ? this.f20777a.inflate(i2, viewGroup, false) : null;
            int i3 = this.f20779c;
            if (!(i3 == -1 || inflate == null)) {
                textView = (TextView) inflate.findViewById(i3);
            }
            if (textView == null && TextView.class.isInstance(inflate)) {
                textView = (TextView) inflate;
            }
            if (textView != null) {
                textView.setText(aVar.g(i));
            }
            return inflate;
        }

        private f(Context context, int i, int i2) {
            this.f20777a = LayoutInflater.from(context);
            this.f20778b = i;
            this.f20779c = i2;
        }
    }

    public interface g {
        int a(int i);

        int b(int i);
    }

    public interface h {
        View a(ViewGroup viewGroup, int i, androidx.viewpager.widget.a aVar);
    }

    public SmartTabLayout(Context context) {
        this(context, null);
    }

    private void g() {
        View view;
        androidx.viewpager.widget.a adapter = this.X0.getAdapter();
        for (int i = 0; i < adapter.e(); i++) {
            h hVar = this.a1;
            if (hVar == null) {
                view = e(adapter.g(i));
            } else {
                view = hVar.a(this.P0, i, adapter);
            }
            if (view != null) {
                if (this.d1) {
                    LinearLayout.LayoutParams layoutParams = (LinearLayout.LayoutParams) view.getLayoutParams();
                    layoutParams.width = 0;
                    layoutParams.weight = 1.0f;
                }
                b bVar = this.b1;
                if (bVar != null) {
                    view.setOnClickListener(bVar);
                }
                this.P0.addView(view);
                if (i == this.X0.getCurrentItem()) {
                    view.setSelected(true);
                }
            } else {
                throw new IllegalStateException("tabView is null.");
            }
        }
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    private void h(int i, float f2) {
        int i2;
        int i3;
        int i4;
        int childCount = this.P0.getChildCount();
        if (childCount != 0 && i >= 0 && i < childCount) {
            boolean n = d.n(this);
            View childAt = this.P0.getChildAt(i);
            int l = (int) (((float) (d.l(childAt) + d.d(childAt))) * f2);
            if (this.P0.h()) {
                if (0.0f < f2 && f2 < 1.0f) {
                    View childAt2 = this.P0.getChildAt(i + 1);
                    l = Math.round(f2 * ((float) ((d.l(childAt) / 2) + d.c(childAt) + (d.l(childAt2) / 2) + d.e(childAt2))));
                }
                View childAt3 = this.P0.getChildAt(0);
                if (n) {
                    int l2 = d.l(childAt3) + d.c(childAt3);
                    int l3 = d.l(childAt) + d.c(childAt);
                    i4 = (d.a(childAt) - d.c(childAt)) - l;
                    i3 = (l2 - l3) / 2;
                } else {
                    int l4 = d.l(childAt3) + d.e(childAt3);
                    int l5 = d.l(childAt) + d.e(childAt);
                    i4 = (d.j(childAt) - d.e(childAt)) + l;
                    i3 = (l4 - l5) / 2;
                }
                scrollTo(i4 - i3, 0);
                return;
            }
            int i5 = this.Q0;
            if (i5 == -1) {
                if (0.0f < f2 && f2 < 1.0f) {
                    View childAt4 = this.P0.getChildAt(i + 1);
                    l = Math.round(f2 * ((float) ((d.l(childAt) / 2) + d.c(childAt) + (d.l(childAt4) / 2) + d.e(childAt4))));
                }
                i2 = n ? (((-d.m(childAt)) / 2) + (getWidth() / 2)) - d.i(this) : ((d.m(childAt) / 2) - (getWidth() / 2)) + d.i(this);
            } else if (n) {
                if (i <= 0 && f2 <= 0.0f) {
                    i5 = 0;
                }
                i2 = i5;
            } else {
                i2 = (i > 0 || f2 > 0.0f) ? -i5 : 0;
            }
            int j = d.j(childAt);
            int e2 = d.e(childAt);
            scrollTo(i2 + (n ? (((j + e2) - l) - getWidth()) + d.h(this) : (j - e2) + l), 0);
        }
    }

    /* access modifiers changed from: protected */
    public TextView e(CharSequence charSequence) {
        TextView textView = new TextView(getContext());
        textView.setGravity(17);
        textView.setText(charSequence);
        textView.setTextColor(this.T0);
        textView.setTextSize(0, this.U0);
        textView.setTypeface(Typeface.DEFAULT_BOLD);
        textView.setLayoutParams(new LinearLayout.LayoutParams(-2, -1));
        int i = this.R0;
        if (i != -1) {
            textView.setBackgroundResource(i);
        } else {
            TypedValue typedValue = new TypedValue();
            getContext().getTheme().resolveAttribute(16843534, typedValue, true);
            textView.setBackgroundResource(typedValue.resourceId);
        }
        if (Build.VERSION.SDK_INT >= 14) {
            textView.setAllCaps(this.S0);
        }
        int i2 = this.V0;
        textView.setPadding(i2, 0, i2, 0);
        int i3 = this.W0;
        if (i3 > 0) {
            textView.setMinWidth(i3);
        }
        return textView;
    }

    public View f(int i) {
        return this.P0.getChildAt(i);
    }

    public void i(int i, int i2) {
        this.a1 = new f(getContext(), i, i2);
    }

    /* access modifiers changed from: protected */
    public void onLayout(boolean z, int i, int i2, int i3, int i4) {
        ViewPager viewPager;
        super.onLayout(z, i, i2, i3, i4);
        if (z && (viewPager = this.X0) != null) {
            h(viewPager.getCurrentItem(), 0.0f);
        }
    }

    /* access modifiers changed from: protected */
    public void onScrollChanged(int i, int i2, int i3, int i4) {
        super.onScrollChanged(i, i2, i3, i4);
        d dVar = this.Z0;
        if (dVar != null) {
            dVar.a(i, i3);
        }
    }

    /* access modifiers changed from: protected */
    public void onSizeChanged(int i, int i2, int i3, int i4) {
        super.onSizeChanged(i, i2, i3, i4);
        if (this.P0.h() && this.P0.getChildCount() > 0) {
            View childAt = this.P0.getChildAt(0);
            c cVar = this.P0;
            View childAt2 = cVar.getChildAt(cVar.getChildCount() - 1);
            int f2 = ((i - d.f(childAt)) / 2) - d.e(childAt);
            int f3 = ((i - d.f(childAt2)) / 2) - d.c(childAt2);
            c cVar2 = this.P0;
            cVar2.setMinimumWidth(cVar2.getMeasuredWidth());
            ViewCompat.setPaddingRelative(this, f2, getPaddingTop(), f3, getPaddingBottom());
            setClipToPadding(false);
        }
    }

    public void setCustomTabColorizer(g gVar) {
        this.P0.k(gVar);
    }

    public void setCustomTabView(h hVar) {
        this.a1 = hVar;
    }

    public void setDefaultTabTextColor(int i) {
        this.T0 = ColorStateList.valueOf(i);
    }

    public void setDistributeEvenly(boolean z) {
        this.d1 = z;
    }

    public void setDividerColors(int... iArr) {
        this.P0.l(iArr);
    }

    public void setIndicationInterpolator(b bVar) {
        this.P0.m(bVar);
    }

    public void setOnPageChangeListener(ViewPager.h hVar) {
        this.Y0 = hVar;
    }

    public void setOnScrollChangeListener(d dVar) {
        this.Z0 = dVar;
    }

    public void setOnTabClickListener(e eVar) {
        this.c1 = eVar;
    }

    public void setSelectedIndicatorColors(int... iArr) {
        this.P0.n(iArr);
    }

    public void setViewPager(ViewPager viewPager) {
        this.P0.removeAllViews();
        this.X0 = viewPager;
        if (viewPager != null && viewPager.getAdapter() != null) {
            viewPager.c(new c());
            g();
        }
    }

    public SmartTabLayout(Context context, AttributeSet attributeSet) {
        this(context, attributeSet, 0);
    }

    public void setDefaultTabTextColor(ColorStateList colorStateList) {
        this.T0 = colorStateList;
    }

    public SmartTabLayout(Context context, AttributeSet attributeSet, int i) {
        super(context, attributeSet, i);
        setHorizontalScrollBarEnabled(false);
        DisplayMetrics displayMetrics = getResources().getDisplayMetrics();
        float f2 = displayMetrics.density;
        float applyDimension = TypedValue.applyDimension(2, 12.0f, displayMetrics);
        TypedArray obtainStyledAttributes = context.obtainStyledAttributes(attributeSet, R.styleable.stl_SmartTabLayout, i, 0);
        int resourceId = obtainStyledAttributes.getResourceId(R.styleable.stl_SmartTabLayout_stl_defaultTabBackground, -1);
        boolean z = obtainStyledAttributes.getBoolean(R.styleable.stl_SmartTabLayout_stl_defaultTabTextAllCaps, true);
        ColorStateList colorStateList = obtainStyledAttributes.getColorStateList(R.styleable.stl_SmartTabLayout_stl_defaultTabTextColor);
        float dimension = obtainStyledAttributes.getDimension(R.styleable.stl_SmartTabLayout_stl_defaultTabTextSize, applyDimension);
        int dimensionPixelSize = obtainStyledAttributes.getDimensionPixelSize(R.styleable.stl_SmartTabLayout_stl_defaultTabTextHorizontalPadding, (int) (16.0f * f2));
        int dimensionPixelSize2 = obtainStyledAttributes.getDimensionPixelSize(R.styleable.stl_SmartTabLayout_stl_defaultTabTextMinWidth, (int) (0.0f * f2));
        int resourceId2 = obtainStyledAttributes.getResourceId(R.styleable.stl_SmartTabLayout_stl_customTabTextLayoutId, -1);
        int resourceId3 = obtainStyledAttributes.getResourceId(R.styleable.stl_SmartTabLayout_stl_customTabTextViewId, -1);
        boolean z2 = obtainStyledAttributes.getBoolean(R.styleable.stl_SmartTabLayout_stl_distributeEvenly, false);
        boolean z3 = obtainStyledAttributes.getBoolean(R.styleable.stl_SmartTabLayout_stl_clickable, true);
        int layoutDimension = obtainStyledAttributes.getLayoutDimension(R.styleable.stl_SmartTabLayout_stl_titleOffset, (int) (f2 * 24.0f));
        obtainStyledAttributes.recycle();
        this.Q0 = layoutDimension;
        this.R0 = resourceId;
        this.S0 = z;
        this.T0 = colorStateList == null ? ColorStateList.valueOf(M0) : colorStateList;
        this.U0 = dimension;
        this.V0 = dimensionPixelSize;
        this.W0 = dimensionPixelSize2;
        this.b1 = z3 ? new b() : null;
        this.d1 = z2;
        if (resourceId2 != -1) {
            i(resourceId2, resourceId3);
        }
        c cVar = new c(context, attributeSet);
        this.P0 = cVar;
        if (!z2 || !cVar.h()) {
            setFillViewport(!cVar.h());
            addView(cVar, -1, -1);
            return;
        }
        throw new UnsupportedOperationException("'distributeEvenly' and 'indicatorAlwaysInCenter' both use does not support");
    }
}
