package com.ogaclejapan.smarttablayout;

import android.content.Context;
import android.content.res.TypedArray;
import android.graphics.Canvas;
import android.graphics.Color;
import android.graphics.Paint;
import android.graphics.RectF;
import android.util.AttributeSet;
import android.util.TypedValue;
import android.view.View;
import android.widget.LinearLayout;
import com.ogaclejapan.smarttablayout.SmartTabLayout;
import com.ogaclejapan.smarttablayout.XSmartTabLayout;

public class XSmartTabStrip extends LinearLayout {
    private static final int I0 = 2;
    private static final int J0 = -1;
    private static final int K0 = 0;
    private static final byte L0 = 38;
    private static final int M0 = 2;
    private static final byte N0 = 38;
    private static final int O0 = 8;
    private static final int P0 = -13388315;
    private static final float Q0 = 0.0f;
    private static final int R0 = 1;
    private static final byte S0 = 32;
    private static final float T0 = 0.5f;
    private static final boolean U0 = false;
    private static final boolean V0 = false;
    private static final boolean W0 = false;
    private static final int X0 = 0;
    private static final boolean Y0 = false;

    /* renamed from: a  reason: collision with root package name */
    private static final int f20788a = 0;

    /* renamed from: b  reason: collision with root package name */
    private static final int f20789b = 1;
    private final int Z0;
    private final int a1;
    private final int b1;
    private final int c1;
    private final Paint d1;
    private final RectF e1 = new RectF();
    private final boolean f1;
    private final boolean g1;
    private final boolean h1;
    private final int i1;
    private final int j1;
    private final int k1;
    private final float l1;
    private final Paint m1;
    private final int n1;
    private final Paint o1;
    private final float p1;
    private final b q1;
    private final boolean r1;
    private int s1;
    private int t1;
    private float u1;
    private b v1;
    private XSmartTabLayout.g w1;

    /* access modifiers changed from: private */
    public static class b implements SmartTabLayout.g {

        /* renamed from: a  reason: collision with root package name */
        private int[] f20790a;

        /* renamed from: b  reason: collision with root package name */
        private int[] f20791b;

        private b() {
        }

        @Override // com.ogaclejapan.smarttablayout.SmartTabLayout.g
        public final int a(int i) {
            int[] iArr = this.f20790a;
            return iArr[i % iArr.length];
        }

        @Override // com.ogaclejapan.smarttablayout.SmartTabLayout.g
        public final int b(int i) {
            int[] iArr = this.f20791b;
            return iArr[i % iArr.length];
        }

        /* access modifiers changed from: package-private */
        public void c(int... iArr) {
            this.f20791b = iArr;
        }

        /* access modifiers changed from: package-private */
        public void d(int... iArr) {
            this.f20790a = iArr;
        }
    }

    XSmartTabStrip(Context context, AttributeSet attributeSet) {
        super(context);
        int[] iArr;
        int i;
        int[] iArr2;
        setWillNotDraw(false);
        float f = getResources().getDisplayMetrics().density;
        TypedValue typedValue = new TypedValue();
        context.getTheme().resolveAttribute(16842800, typedValue, true);
        int i2 = typedValue.data;
        float f2 = 0.0f * f;
        int i3 = i(i2, (byte) 38);
        int i4 = (int) f2;
        int i5 = i(i2, (byte) 38);
        int i6 = i(i2, S0);
        TypedArray obtainStyledAttributes = context.obtainStyledAttributes(attributeSet, R.styleable.stl_SmartTabLayout);
        boolean z = obtainStyledAttributes.getBoolean(R.styleable.stl_SmartTabLayout_stl_indicatorAlwaysInCenter, false);
        boolean z2 = obtainStyledAttributes.getBoolean(R.styleable.stl_SmartTabLayout_stl_indicatorWithoutPadding, false);
        boolean z3 = obtainStyledAttributes.getBoolean(R.styleable.stl_SmartTabLayout_stl_indicatorInFront, false);
        int i7 = obtainStyledAttributes.getInt(R.styleable.stl_SmartTabLayout_stl_indicatorInterpolation, 0);
        int i8 = obtainStyledAttributes.getInt(R.styleable.stl_SmartTabLayout_stl_indicatorGravity, 0);
        int color = obtainStyledAttributes.getColor(R.styleable.stl_SmartTabLayout_stl_indicatorColor, P0);
        int resourceId = obtainStyledAttributes.getResourceId(R.styleable.stl_SmartTabLayout_stl_indicatorColors, -1);
        int dimensionPixelSize = obtainStyledAttributes.getDimensionPixelSize(R.styleable.stl_SmartTabLayout_stl_indicatorThickness, (int) (8.0f * f));
        int layoutDimension = obtainStyledAttributes.getLayoutDimension(R.styleable.stl_SmartTabLayout_stl_indicatorWidth, -1);
        float dimension = obtainStyledAttributes.getDimension(R.styleable.stl_SmartTabLayout_stl_indicatorCornerRadius, f2);
        int color2 = obtainStyledAttributes.getColor(R.styleable.stl_SmartTabLayout_stl_overlineColor, i3);
        int dimensionPixelSize2 = obtainStyledAttributes.getDimensionPixelSize(R.styleable.stl_SmartTabLayout_stl_overlineThickness, i4);
        int color3 = obtainStyledAttributes.getColor(R.styleable.stl_SmartTabLayout_stl_underlineColor, i5);
        int dimensionPixelSize3 = obtainStyledAttributes.getDimensionPixelSize(R.styleable.stl_SmartTabLayout_stl_underlineThickness, (int) (2.0f * f));
        int color4 = obtainStyledAttributes.getColor(R.styleable.stl_SmartTabLayout_stl_dividerColor, i6);
        int resourceId2 = obtainStyledAttributes.getResourceId(R.styleable.stl_SmartTabLayout_stl_dividerColors, -1);
        int dimensionPixelSize4 = obtainStyledAttributes.getDimensionPixelSize(R.styleable.stl_SmartTabLayout_stl_dividerThickness, (int) (f * 1.0f));
        boolean z4 = obtainStyledAttributes.getBoolean(R.styleable.stl_SmartTabLayout_stl_drawDecorationAfterTab, false);
        obtainStyledAttributes.recycle();
        if (resourceId == -1) {
            i = 1;
            iArr = new int[]{color};
        } else {
            i = 1;
            iArr = getResources().getIntArray(resourceId);
        }
        if (resourceId2 == -1) {
            iArr2 = new int[i];
            iArr2[0] = color4;
        } else {
            iArr2 = getResources().getIntArray(resourceId2);
        }
        b bVar = new b();
        this.q1 = bVar;
        bVar.d(iArr);
        bVar.c(iArr2);
        this.Z0 = dimensionPixelSize2;
        this.a1 = color2;
        this.b1 = dimensionPixelSize3;
        this.c1 = color3;
        this.d1 = new Paint(1);
        this.g1 = z;
        this.f1 = z2;
        this.h1 = z3;
        this.i1 = dimensionPixelSize;
        this.j1 = layoutDimension;
        this.m1 = new Paint(1);
        this.l1 = dimension;
        this.k1 = i8;
        this.p1 = 0.5f;
        Paint paint = new Paint(1);
        this.o1 = paint;
        paint.setStrokeWidth((float) dimensionPixelSize4);
        this.n1 = dimensionPixelSize4;
        this.r1 = z4;
        this.v1 = b.d(i7);
    }

    private static int a(int i, int i2, float f) {
        float f2 = 1.0f - f;
        return Color.rgb((int) ((((float) Color.red(i)) * f) + (((float) Color.red(i2)) * f2)), (int) ((((float) Color.green(i)) * f) + (((float) Color.green(i2)) * f2)), (int) ((((float) Color.blue(i)) * f) + (((float) Color.blue(i2)) * f2)));
    }

    private void b(Canvas canvas) {
        int i;
        int i2;
        int i3;
        int i4;
        int i5;
        int height = getHeight();
        int width = getWidth();
        int childCount = getChildCount();
        XSmartTabLayout.g tabColorizer = getTabColorizer();
        boolean n = d.n(this);
        if (this.h1) {
            d(canvas, 0, width);
            f(canvas, 0, width, height);
        }
        if (childCount > 0) {
            View childAt = getChildAt(this.t1);
            int k = d.k(childAt, this.f1);
            int b2 = d.b(childAt, this.f1);
            if (n) {
                k = b2;
                b2 = k;
            }
            int a2 = tabColorizer.a(this.t1);
            float f = (float) this.i1;
            if (this.u1 <= 0.0f || this.t1 >= getChildCount() - 1) {
                i = a2;
                i2 = b2;
                i3 = k;
            } else {
                int a3 = tabColorizer.a(this.t1 + 1);
                if (a2 != a3) {
                    a2 = a(a3, a2, this.u1);
                }
                float a4 = this.v1.a(this.u1);
                float b3 = this.v1.b(this.u1);
                float c2 = this.v1.c(this.u1);
                View childAt2 = getChildAt(this.t1 + 1);
                int k2 = d.k(childAt2, this.f1);
                int b4 = d.b(childAt2, this.f1);
                if (n) {
                    i4 = (int) ((((float) b4) * b3) + ((1.0f - b3) * ((float) k)));
                    i5 = (int) ((((float) k2) * a4) + ((1.0f - a4) * ((float) b2)));
                } else {
                    i4 = (int) ((((float) k2) * a4) + ((1.0f - a4) * ((float) k)));
                    i5 = (int) ((((float) b4) * b3) + ((1.0f - b3) * ((float) b2)));
                }
                f *= c2;
                i2 = i5;
                i3 = i4;
                i = a2;
            }
            c(canvas, i3, i2, height, f, i);
        }
        if (!this.h1) {
            d(canvas, 0, width);
            f(canvas, 0, getWidth(), height);
        }
        e(canvas, height, childCount);
    }

    private void c(Canvas canvas, int i, int i2, int i3, float f, int i4) {
        float f2;
        float f3;
        int i5 = this.i1;
        if (i5 > 0 && this.j1 != 0) {
            int i6 = this.k1;
            if (i6 == 1) {
                f2 = (float) i5;
                f3 = f2 / 2.0f;
            } else if (i6 != 2) {
                f3 = ((float) i3) - (((float) i5) / 2.0f);
            } else {
                f2 = (float) i3;
                f3 = f2 / 2.0f;
            }
            float f4 = f / 2.0f;
            float f5 = f3 - f4;
            float f6 = f3 + f4;
            this.m1.setColor(i4);
            if (this.j1 == -1) {
                this.e1.set((float) i, f5, (float) i2, f6);
            } else {
                float abs = ((float) (Math.abs(i - i2) - this.j1)) / 2.0f;
                this.e1.set(((float) i) + abs, f5, ((float) i2) - abs, f6);
            }
            float f7 = this.l1;
            if (f7 > 0.0f) {
                canvas.drawRoundRect(this.e1, f7, f7, this.m1);
            } else {
                canvas.drawRect(this.e1, this.m1);
            }
        }
    }

    private void d(Canvas canvas, int i, int i2) {
        if (this.Z0 > 0) {
            this.d1.setColor(this.a1);
            canvas.drawRect((float) i, 0.0f, (float) i2, (float) this.Z0, this.d1);
        }
    }

    private void e(Canvas canvas, int i, int i2) {
        if (this.n1 > 0) {
            int min = (int) (Math.min(Math.max(0.0f, this.p1), 1.0f) * ((float) i));
            XSmartTabLayout.g tabColorizer = getTabColorizer();
            int i3 = (i - min) / 2;
            int i4 = min + i3;
            boolean n = d.n(this);
            for (int i5 = 0; i5 < i2 - 1; i5++) {
                View childAt = getChildAt(i5);
                int a2 = d.a(childAt);
                int c2 = d.c(childAt);
                int i6 = n ? a2 - c2 : a2 + c2;
                this.o1.setColor(tabColorizer.b(i5));
                float f = (float) i6;
                canvas.drawLine(f, (float) i3, f, (float) i4, this.o1);
            }
        }
    }

    private void f(Canvas canvas, int i, int i2, int i3) {
        if (this.b1 > 0) {
            this.d1.setColor(this.c1);
            canvas.drawRect((float) i, (float) (i3 - this.b1), (float) i2, (float) i3, this.d1);
        }
    }

    private static int i(int i, byte b2) {
        return Color.argb((int) b2, Color.red(i), Color.green(i), Color.blue(i));
    }

    /* access modifiers changed from: protected */
    public void dispatchDraw(Canvas canvas) {
        super.dispatchDraw(canvas);
        if (this.r1) {
            b(canvas);
        }
    }

    /* access modifiers changed from: package-private */
    public boolean g() {
        return this.g1;
    }

    /* access modifiers changed from: package-private */
    public XSmartTabLayout.g getTabColorizer() {
        XSmartTabLayout.g gVar = this.w1;
        return gVar != null ? gVar : (XSmartTabLayout.g) this.q1;
    }

    /* access modifiers changed from: package-private */
    public void h(int i, float f) {
        this.t1 = i;
        this.u1 = f;
        if (f == 0.0f && this.s1 != i) {
            this.s1 = i;
        }
        invalidate();
    }

    /* access modifiers changed from: protected */
    public void onDraw(Canvas canvas) {
        if (!this.r1) {
            b(canvas);
        }
    }

    /* access modifiers changed from: package-private */
    public void setCustomTabColorizer(XSmartTabLayout.g gVar) {
        this.w1 = gVar;
        invalidate();
    }

    /* access modifiers changed from: package-private */
    public void setDividerColors(int... iArr) {
        this.w1 = null;
        this.q1.c(iArr);
        invalidate();
    }

    /* access modifiers changed from: package-private */
    public void setIndicationInterpolator(b bVar) {
        this.v1 = bVar;
        invalidate();
    }

    /* access modifiers changed from: package-private */
    public void setSelectedIndicatorColors(int... iArr) {
        this.w1 = null;
        this.q1.d(iArr);
        invalidate();
    }
}
