package com.readystatesoftware.chuck;

import android.content.Context;
import android.net.Uri;
import android.util.Log;
import com.lzy.okgo.model.HttpHeaders;
import com.readystatesoftware.chuck.internal.data.ChuckContentProvider;
import com.readystatesoftware.chuck.internal.data.HttpTransaction;
import com.readystatesoftware.chuck.internal.data.c;
import com.readystatesoftware.chuck.internal.support.d;
import com.readystatesoftware.chuck.internal.support.e;
import java.io.EOFException;
import java.io.IOException;
import java.nio.charset.Charset;
import java.nio.charset.UnsupportedCharsetException;
import java.util.Date;
import java.util.concurrent.TimeUnit;
import okhttp3.a0;
import okhttp3.c0;
import okhttp3.d0;
import okhttp3.h0;
import okhttp3.i0;
import okhttp3.j0;
import okhttp3.k0;
import okio.g0;
import okio.j;
import okio.l;
import okio.z;

public final class ChuckInterceptor implements c0 {

    /* renamed from: a  reason: collision with root package name */
    private static final String f20806a = "ChuckInterceptor";

    /* renamed from: b  reason: collision with root package name */
    private static final Period f20807b = Period.ONE_WEEK;

    /* renamed from: c  reason: collision with root package name */
    private static final Charset f20808c = Charset.forName("UTF-8");

    /* renamed from: d  reason: collision with root package name */
    private Context f20809d;

    /* renamed from: e  reason: collision with root package name */
    private d f20810e;
    private e f;
    private boolean g;
    private long h = 250000;

    public enum Period {
        ONE_HOUR,
        ONE_DAY,
        ONE_WEEK,
        FOREVER
    }

    public ChuckInterceptor(Context context) {
        this.f20809d = context.getApplicationContext();
        this.f20810e = new d(this.f20809d);
        this.g = true;
        this.f = new e(this.f20809d, f20807b);
    }

    private boolean b(a0 a0Var) {
        return "gzip".equalsIgnoreCase(a0Var.d(HttpHeaders.HEAD_KEY_CONTENT_ENCODING));
    }

    private boolean c(a0 a0Var) {
        String d2 = a0Var.d(HttpHeaders.HEAD_KEY_CONTENT_ENCODING);
        return d2 != null && !d2.equalsIgnoreCase("identity") && !d2.equalsIgnoreCase("gzip");
    }

    private Uri d(HttpTransaction httpTransaction) {
        Uri insert = this.f20809d.getContentResolver().insert(ChuckContentProvider.f20818a, c.b().s(HttpTransaction.class).c(httpTransaction));
        httpTransaction.setId(Long.valueOf(insert.getLastPathSegment()).longValue());
        if (this.g) {
            this.f20810e.e(httpTransaction);
        }
        this.f.b();
        return insert;
    }

    private l e(j0 j0Var) throws IOException {
        if (b(j0Var.D())) {
            l M = j0Var.Z(this.h).M();
            if (M.p().U1() < this.h) {
                return f(M, true);
            }
            Log.w(f20806a, "gzip encoded response was too long");
        }
        return j0Var.a().M();
    }

    private l f(l lVar, boolean z) {
        return z ? g0.d(new z(lVar)) : lVar;
    }

    private boolean g(j jVar) {
        try {
            j jVar2 = new j();
            jVar.b0(jVar2, 0, jVar.U1() < 64 ? jVar.U1() : 64);
            for (int i = 0; i < 16; i++) {
                if (jVar2.W()) {
                    return true;
                }
                int L0 = jVar2.L0();
                if (Character.isISOControl(L0) && !Character.isWhitespace(L0)) {
                    return false;
                }
            }
            return true;
        } catch (EOFException unused) {
            return false;
        }
    }

    private String i(j jVar, Charset charset) {
        String str;
        long U1 = jVar.U1();
        try {
            str = jVar.q1(Math.min(U1, this.h), charset);
        } catch (EOFException unused) {
            str = "" + this.f20809d.getString(R.string.chuck_body_unexpected_eof);
        }
        if (U1 <= this.h) {
            return str;
        }
        return str + this.f20809d.getString(R.string.chuck_body_content_truncated);
    }

    private int l(HttpTransaction httpTransaction, Uri uri) {
        int update = this.f20809d.getContentResolver().update(uri, c.b().s(HttpTransaction.class).c(httpTransaction), null, null);
        if (this.g && update > 0) {
            this.f20810e.e(httpTransaction);
        }
        return update;
    }

    @Override // okhttp3.c0
    public j0 a(c0.a aVar) throws IOException {
        h0 l = aVar.l();
        i0 a2 = l.a();
        boolean z = a2 != null;
        HttpTransaction httpTransaction = new HttpTransaction();
        httpTransaction.setRequestDate(new Date());
        httpTransaction.setMethod(l.g());
        httpTransaction.setUrl(l.k().toString());
        httpTransaction.setRequestHeaders(l.e());
        if (z) {
            if (a2.b() != null) {
                httpTransaction.setRequestContentType(a2.b().toString());
            }
            if (a2.a() != -1) {
                httpTransaction.setRequestContentLength(Long.valueOf(a2.a()));
            }
        }
        httpTransaction.setRequestBodyIsPlainText(!c(l.e()));
        if (z && httpTransaction.requestBodyIsPlainText()) {
            j p = f(new j(), b(l.e())).p();
            a2.j(p);
            Charset charset = f20808c;
            d0 b2 = a2.b();
            if (b2 != null) {
                charset = b2.b(charset);
            }
            if (g(p)) {
                httpTransaction.setRequestBody(i(p, charset));
            } else {
                httpTransaction.setResponseBodyIsPlainText(false);
            }
        }
        Uri d2 = d(httpTransaction);
        long nanoTime = System.nanoTime();
        try {
            j0 f2 = aVar.f(l);
            long millis = TimeUnit.NANOSECONDS.toMillis(System.nanoTime() - nanoTime);
            k0 a3 = f2.a();
            httpTransaction.setRequestHeaders(f2.o0().e());
            httpTransaction.setResponseDate(new Date());
            httpTransaction.setTookMs(Long.valueOf(millis));
            httpTransaction.setProtocol(f2.e0().toString());
            httpTransaction.setResponseCode(Integer.valueOf(f2.i()));
            httpTransaction.setResponseMessage(f2.O());
            httpTransaction.setResponseContentLength(Long.valueOf(a3.j()));
            if (a3.k() != null) {
                httpTransaction.setResponseContentType(a3.k().toString());
            }
            httpTransaction.setResponseHeaders(f2.D());
            httpTransaction.setResponseBodyIsPlainText(true ^ c(f2.D()));
            if (okhttp3.o0.i.e.c(f2) && httpTransaction.responseBodyIsPlainText()) {
                l e2 = e(f2);
                e2.Y0(Long.MAX_VALUE);
                j p2 = e2.p();
                Charset charset2 = f20808c;
                d0 k = a3.k();
                if (k != null) {
                    try {
                        charset2 = k.b(charset2);
                    } catch (UnsupportedCharsetException unused) {
                        l(httpTransaction, d2);
                        return f2;
                    }
                }
                if (g(p2)) {
                    httpTransaction.setResponseBody(i(p2.clone(), charset2));
                } else {
                    httpTransaction.setResponseBodyIsPlainText(false);
                }
                httpTransaction.setResponseContentLength(Long.valueOf(p2.U1()));
            }
            l(httpTransaction, d2);
            return f2;
        } catch (Exception e3) {
            httpTransaction.setError(e3.toString());
            l(httpTransaction, d2);
            throw e3;
        }
    }

    public ChuckInterceptor h(long j) {
        this.h = j;
        return this;
    }

    public ChuckInterceptor j(Period period) {
        this.f = new e(this.f20809d, period);
        return this;
    }

    public ChuckInterceptor k(boolean z) {
        this.g = z;
        return this;
    }
}
