package com.readystatesoftware.chuck.internal.support;

import android.content.Context;
import android.content.res.TypedArray;
import android.graphics.Canvas;
import android.graphics.Rect;
import android.graphics.drawable.Drawable;
import android.view.View;
import android.view.ViewGroup;
import androidx.core.view.ViewCompat;
import androidx.recyclerview.widget.RecyclerView;

/* compiled from: DividerItemDecoration */
public class a extends RecyclerView.l {

    /* renamed from: a  reason: collision with root package name */
    private static final int[] f20829a = {16843284};

    /* renamed from: b  reason: collision with root package name */
    public static final int f20830b = 0;

    /* renamed from: c  reason: collision with root package name */
    public static final int f20831c = 1;

    /* renamed from: d  reason: collision with root package name */
    private Drawable f20832d;

    /* renamed from: e  reason: collision with root package name */
    private int f20833e;
    private boolean f;

    public a(Context context, int i) {
        this(context, i, true);
    }

    private void d(Canvas canvas, RecyclerView recyclerView) {
        int paddingTop = recyclerView.getPaddingTop();
        int height = recyclerView.getHeight() - recyclerView.getPaddingBottom();
        int childCount = recyclerView.getChildCount() - (!this.f ? 1 : 0);
        for (int i = 0; i < childCount; i++) {
            View childAt = recyclerView.getChildAt(i);
            int right = childAt.getRight() + ((ViewGroup.MarginLayoutParams) ((RecyclerView.LayoutParams) childAt.getLayoutParams())).rightMargin + Math.round(ViewCompat.getTranslationX(childAt));
            this.f20832d.setBounds(right, paddingTop, this.f20832d.getIntrinsicHeight() + right, height);
            this.f20832d.draw(canvas);
        }
    }

    private void e(Canvas canvas, RecyclerView recyclerView) {
        int paddingLeft = recyclerView.getPaddingLeft();
        int width = recyclerView.getWidth() - recyclerView.getPaddingRight();
        int childCount = recyclerView.getChildCount() - (!this.f ? 1 : 0);
        for (int i = 0; i < childCount; i++) {
            View childAt = recyclerView.getChildAt(i);
            int bottom = childAt.getBottom() + ((ViewGroup.MarginLayoutParams) ((RecyclerView.LayoutParams) childAt.getLayoutParams())).bottomMargin + Math.round(ViewCompat.getTranslationY(childAt));
            this.f20832d.setBounds(paddingLeft, bottom, width, this.f20832d.getIntrinsicHeight() + bottom);
            this.f20832d.draw(canvas);
        }
    }

    public void f(int i) {
        if (i == 0 || i == 1) {
            this.f20833e = i;
            return;
        }
        throw new IllegalArgumentException("invalid orientation");
    }

    @Override // androidx.recyclerview.widget.RecyclerView.l
    public void getItemOffsets(Rect rect, View view, RecyclerView recyclerView, RecyclerView.w wVar) {
        if (this.f20833e == 1) {
            rect.set(0, 0, 0, this.f20832d.getIntrinsicHeight());
        } else {
            rect.set(0, 0, this.f20832d.getIntrinsicWidth(), 0);
        }
    }

    @Override // androidx.recyclerview.widget.RecyclerView.l
    public void onDraw(Canvas canvas, RecyclerView recyclerView, RecyclerView.w wVar) {
        if (this.f20833e == 1) {
            e(canvas, recyclerView);
        } else {
            d(canvas, recyclerView);
        }
    }

    public a(Context context, int i, boolean z) {
        TypedArray obtainStyledAttributes = context.obtainStyledAttributes(f20829a);
        this.f20832d = obtainStyledAttributes.getDrawable(0);
        obtainStyledAttributes.recycle();
        f(i);
        this.f = z;
    }
}
