package com.readystatesoftware.chuck.internal.support;

import android.app.NotificationManager;
import android.app.PendingIntent;
import android.content.Context;
import android.content.Intent;
import android.os.Build;
import android.util.LongSparseArray;
import androidx.annotation.NonNull;
import androidx.core.app.NotificationCompat;
import com.readystatesoftware.chuck.R;
import com.readystatesoftware.chuck.b;
import com.readystatesoftware.chuck.internal.data.HttpTransaction;
import com.readystatesoftware.chuck.internal.ui.BaseChuckActivity;

/* compiled from: NotificationHelper */
public class d {

    /* renamed from: a  reason: collision with root package name */
    private static final int f20835a = 1138;

    /* renamed from: b  reason: collision with root package name */
    private static final int f20836b = 10;

    /* renamed from: c  reason: collision with root package name */
    private static LongSparseArray<HttpTransaction> f20837c = new LongSparseArray<>();

    /* renamed from: d  reason: collision with root package name */
    private static int f20838d;

    /* renamed from: e  reason: collision with root package name */
    private Context f20839e;
    private NotificationManager f;

    public d(Context context) {
        this.f20839e = context;
        this.f = (NotificationManager) context.getSystemService("notification");
    }

    private static synchronized void a(HttpTransaction httpTransaction) {
        synchronized (d.class) {
            if (httpTransaction.getStatus() == HttpTransaction.Status.Requested) {
                f20838d++;
            }
            f20837c.put(httpTransaction.getId().longValue(), httpTransaction);
            if (f20837c.size() > 10) {
                f20837c.removeAt(0);
            }
        }
    }

    public static synchronized void b() {
        synchronized (d.class) {
            f20837c.clear();
            f20838d = 0;
        }
    }

    @NonNull
    private NotificationCompat.Action d() {
        return new NotificationCompat.Action(R.drawable.chuck_ic_delete_white_24dp, this.f20839e.getString(R.string.chuck_clear), PendingIntent.getService(this.f20839e, 11, new Intent(this.f20839e, ClearTransactionsService.class), 1073741824));
    }

    public void c() {
        this.f.cancel(f20835a);
    }

    public synchronized void e(HttpTransaction httpTransaction) {
        a(httpTransaction);
        if (!BaseChuckActivity.h0()) {
            NotificationCompat.e eVar = new NotificationCompat.e(this.f20839e);
            Context context = this.f20839e;
            int i = 0;
            NotificationCompat.e O = eVar.M(PendingIntent.getActivity(context, 0, b.a(context), 0)).r0(R.drawable.chuck_ic_notification_white_24dp).I(this.f20839e.getResources().getColor(R.color.chuck_colorPrimary)).O(this.f20839e.getString(R.string.chuck_notification_title));
            NotificationCompat.i iVar = new NotificationCompat.i();
            for (int size = f20837c.size() - 1; size >= 0; size--) {
                if (i < 10) {
                    if (i == 0) {
                        O.N(f20837c.valueAt(size).getNotificationText());
                    }
                    iVar.A(f20837c.valueAt(size).getNotificationText());
                }
                i++;
            }
            O.C(true);
            O.x0(iVar);
            if (Build.VERSION.SDK_INT >= 24) {
                O.y0(String.valueOf(f20838d));
            } else {
                O.f0(f20838d);
            }
            O.b(d());
            this.f.notify(f20835a, O.h());
        }
    }
}
