package com.scwang.smartrefresh.layout;

import android.animation.Animator;
import android.animation.AnimatorListenerAdapter;
import android.animation.ValueAnimator;
import android.annotation.SuppressLint;
import android.content.Context;
import android.content.res.TypedArray;
import android.graphics.Canvas;
import android.graphics.Paint;
import android.os.Build;
import android.os.Handler;
import android.util.AttributeSet;
import android.view.MotionEvent;
import android.view.VelocityTracker;
import android.view.View;
import android.view.ViewConfiguration;
import android.view.ViewGroup;
import android.view.ViewParent;
import android.view.animation.AnimationUtils;
import android.view.animation.Interpolator;
import android.widget.AbsListView;
import android.widget.Scroller;
import android.widget.TextView;
import android.widget.Toast;
import androidx.annotation.ColorInt;
import androidx.annotation.ColorRes;
import androidx.annotation.NonNull;
import androidx.annotation.Nullable;
import androidx.core.view.NestedScrollingChildHelper;
import androidx.core.view.NestedScrollingParent;
import androidx.core.view.NestedScrollingParentHelper;
import androidx.core.view.ViewCompat;
import com.scwang.smartrefresh.layout.constant.RefreshState;
import com.scwang.smartrefresh.layout.footer.BallPulseFooter;
import com.scwang.smartrefresh.layout.header.BezierRadarHeader;
import com.scwang.smartrefresh.layout.impl.RefreshFooterWrapper;
import com.scwang.smartrefresh.layout.impl.RefreshHeaderWrapper;

@SuppressLint({"RestrictedApi"})
public class SmartRefreshLayout extends ViewGroup implements com.scwang.smartrefresh.layout.b.j, NestedScrollingParent {
    protected static com.scwang.smartrefresh.layout.b.c I0;
    protected static ViewGroup.MarginLayoutParams J0 = new ViewGroup.MarginLayoutParams(-1, -1);

    /* renamed from: a  reason: collision with root package name */
    protected static com.scwang.smartrefresh.layout.b.a f20867a;

    /* renamed from: b  reason: collision with root package name */
    protected static com.scwang.smartrefresh.layout.b.b f20868b;
    protected boolean A1;
    protected boolean B1;
    protected boolean C1;
    protected boolean D1;
    protected boolean E1;
    protected boolean F1;
    protected boolean G1;
    protected boolean H1;
    protected com.scwang.smartrefresh.layout.c.d I1;
    protected com.scwang.smartrefresh.layout.c.b J1;
    protected int K0;
    protected com.scwang.smartrefresh.layout.c.c K1;
    protected int L0;
    protected com.scwang.smartrefresh.layout.b.k L1;
    protected int M0;
    protected int M1;
    protected int N0;
    protected boolean N1;
    protected int O0;
    protected int[] O1;
    protected int P0;
    protected NestedScrollingChildHelper P1;
    protected int Q0;
    protected NestedScrollingParentHelper Q1;
    protected float R0;
    protected int R1;
    protected float S0;
    protected com.scwang.smartrefresh.layout.constant.a S1;
    protected float T0;
    protected int T1;
    protected float U0;
    protected com.scwang.smartrefresh.layout.constant.a U1;
    protected float V0;
    protected int V1;
    protected char W0;
    protected int W1;
    protected boolean X0;
    protected float X1;
    protected boolean Y0;
    protected float Y1;
    protected boolean Z0;
    protected float Z1;
    protected int a1;
    protected float a2;
    protected int b1;
    protected com.scwang.smartrefresh.layout.b.h b2;
    protected int c1;
    protected com.scwang.smartrefresh.layout.b.h c2;
    protected int d1;
    protected com.scwang.smartrefresh.layout.b.e d2;
    protected int e1;
    protected Paint e2;
    protected int f1;
    protected Handler f2;
    protected int g1;
    protected com.scwang.smartrefresh.layout.b.i g2;
    protected Scroller h1;
    protected RefreshState h2;
    protected VelocityTracker i1;
    protected RefreshState i2;
    protected Interpolator j1;
    protected long j2;
    protected int[] k1;
    protected int k2;
    protected boolean l1;
    protected int l2;
    protected boolean m1;
    protected boolean m2;
    protected boolean n1;
    protected boolean n2;
    protected boolean o1;
    protected boolean o2;
    protected boolean p1;
    protected boolean p2;
    protected boolean q1;
    protected boolean q2;
    protected boolean r1;
    protected MotionEvent r2;
    protected boolean s1;
    protected Runnable s2;
    protected boolean t1;
    protected ValueAnimator t2;
    protected boolean u1;
    protected boolean v1;
    protected boolean w1;
    protected boolean x1;
    protected boolean y1;
    protected boolean z1;

    static /* synthetic */ class a {

        /* renamed from: a  reason: collision with root package name */
        static final /* synthetic */ int[] f20871a;

        /* JADX WARNING: Can't wrap try/catch for region: R(26:0|1|2|3|4|5|6|7|8|9|10|11|12|13|14|15|16|17|18|19|20|21|22|23|24|26) */
        /* JADX WARNING: Code restructure failed: missing block: B:27:?, code lost:
            return;
         */
        /* JADX WARNING: Failed to process nested try/catch */
        /* JADX WARNING: Missing exception handler attribute for start block: B:11:0x003e */
        /* JADX WARNING: Missing exception handler attribute for start block: B:13:0x0049 */
        /* JADX WARNING: Missing exception handler attribute for start block: B:15:0x0054 */
        /* JADX WARNING: Missing exception handler attribute for start block: B:17:0x0060 */
        /* JADX WARNING: Missing exception handler attribute for start block: B:19:0x006c */
        /* JADX WARNING: Missing exception handler attribute for start block: B:21:0x0078 */
        /* JADX WARNING: Missing exception handler attribute for start block: B:23:0x0084 */
        /* JADX WARNING: Missing exception handler attribute for start block: B:3:0x0012 */
        /* JADX WARNING: Missing exception handler attribute for start block: B:5:0x001d */
        /* JADX WARNING: Missing exception handler attribute for start block: B:7:0x0028 */
        /* JADX WARNING: Missing exception handler attribute for start block: B:9:0x0033 */
        static {
            int[] iArr = new int[RefreshState.values().length];
            f20871a = iArr;
            iArr[RefreshState.None.ordinal()] = 1;
            f20871a[RefreshState.PullDownToRefresh.ordinal()] = 2;
            f20871a[RefreshState.PullUpToLoad.ordinal()] = 3;
            f20871a[RefreshState.PullDownCanceled.ordinal()] = 4;
            f20871a[RefreshState.PullUpCanceled.ordinal()] = 5;
            f20871a[RefreshState.ReleaseToRefresh.ordinal()] = 6;
            f20871a[RefreshState.ReleaseToLoad.ordinal()] = 7;
            f20871a[RefreshState.ReleaseToTwoLevel.ordinal()] = 8;
            f20871a[RefreshState.RefreshReleased.ordinal()] = 9;
            f20871a[RefreshState.LoadReleased.ordinal()] = 10;
            f20871a[RefreshState.Refreshing.ordinal()] = 11;
            f20871a[RefreshState.Loading.ordinal()] = 12;
        }
    }

    /* access modifiers changed from: package-private */
    public class b extends AnimatorListenerAdapter {

        /* renamed from: a  reason: collision with root package name */
        final /* synthetic */ boolean f20872a;

        b(boolean z) {
            this.f20872a = z;
        }

        public void onAnimationEnd(Animator animator) {
            if (animator == null || animator.getDuration() != 0) {
                SmartRefreshLayout.this.setStateDirectLoading(this.f20872a);
            }
        }
    }

    /* access modifiers changed from: package-private */
    public class c extends AnimatorListenerAdapter {

        /* renamed from: a  reason: collision with root package name */
        final /* synthetic */ boolean f20874a;

        c(boolean z) {
            this.f20874a = z;
        }

        public void onAnimationEnd(Animator animator) {
            if (animator == null || animator.getDuration() != 0) {
                SmartRefreshLayout.this.j2 = System.currentTimeMillis();
                SmartRefreshLayout.this.v0(RefreshState.Refreshing);
                SmartRefreshLayout smartRefreshLayout = SmartRefreshLayout.this;
                com.scwang.smartrefresh.layout.c.d dVar = smartRefreshLayout.I1;
                if (dVar != null) {
                    if (this.f20874a) {
                        dVar.F(smartRefreshLayout);
                    }
                } else if (smartRefreshLayout.K1 == null) {
                    smartRefreshLayout.r(3000);
                }
                SmartRefreshLayout smartRefreshLayout2 = SmartRefreshLayout.this;
                com.scwang.smartrefresh.layout.b.h hVar = smartRefreshLayout2.b2;
                if (hVar != null) {
                    int i = smartRefreshLayout2.R1;
                    hVar.c(smartRefreshLayout2, i, (int) (smartRefreshLayout2.X1 * ((float) i)));
                }
                SmartRefreshLayout smartRefreshLayout3 = SmartRefreshLayout.this;
                com.scwang.smartrefresh.layout.c.c cVar = smartRefreshLayout3.K1;
                if (cVar != null && (smartRefreshLayout3.b2 instanceof com.scwang.smartrefresh.layout.b.g)) {
                    if (this.f20874a) {
                        cVar.F(smartRefreshLayout3);
                    }
                    SmartRefreshLayout smartRefreshLayout4 = SmartRefreshLayout.this;
                    int i2 = smartRefreshLayout4.R1;
                    smartRefreshLayout4.K1.Y((com.scwang.smartrefresh.layout.b.g) smartRefreshLayout4.b2, i2, (int) (smartRefreshLayout4.X1 * ((float) i2)));
                }
            }
        }
    }

    /* access modifiers changed from: package-private */
    public class d extends AnimatorListenerAdapter {
        d() {
        }

        public void onAnimationEnd(Animator animator) {
            RefreshState refreshState;
            RefreshState refreshState2;
            if (animator == null || animator.getDuration() != 0) {
                SmartRefreshLayout smartRefreshLayout = SmartRefreshLayout.this;
                smartRefreshLayout.t2 = null;
                if (smartRefreshLayout.L0 != 0 || (refreshState = smartRefreshLayout.h2) == (refreshState2 = RefreshState.None) || refreshState.isOpening || refreshState.isDragging) {
                    RefreshState refreshState3 = smartRefreshLayout.h2;
                    if (refreshState3 != smartRefreshLayout.i2) {
                        smartRefreshLayout.setViceState(refreshState3);
                        return;
                    }
                    return;
                }
                smartRefreshLayout.v0(refreshState2);
            }
        }
    }

    /* access modifiers changed from: package-private */
    public class e implements ValueAnimator.AnimatorUpdateListener {
        e() {
        }

        public void onAnimationUpdate(ValueAnimator valueAnimator) {
            SmartRefreshLayout smartRefreshLayout = SmartRefreshLayout.this;
            if (smartRefreshLayout.t2 != null) {
                smartRefreshLayout.g2.k(((Integer) valueAnimator.getAnimatedValue()).intValue(), false);
            }
        }
    }

    /* access modifiers changed from: package-private */
    public class f implements Runnable {
        f() {
        }

        public void run() {
            SmartRefreshLayout smartRefreshLayout = SmartRefreshLayout.this;
            com.scwang.smartrefresh.layout.c.b bVar = smartRefreshLayout.J1;
            if (bVar != null) {
                bVar.n(smartRefreshLayout);
            } else if (smartRefreshLayout.K1 == null) {
                smartRefreshLayout.R(2000);
            }
            SmartRefreshLayout smartRefreshLayout2 = SmartRefreshLayout.this;
            com.scwang.smartrefresh.layout.c.c cVar = smartRefreshLayout2.K1;
            if (cVar != null) {
                cVar.n(smartRefreshLayout2);
            }
        }
    }

    /* access modifiers changed from: package-private */
    public class g implements Runnable {
        final /* synthetic */ Boolean I0;
        final /* synthetic */ boolean J0;

        /* renamed from: a  reason: collision with root package name */
        int f20879a = 0;

        /* renamed from: b  reason: collision with root package name */
        final /* synthetic */ int f20880b;

        g(int i, Boolean bool, boolean z) {
            this.f20880b = i;
            this.I0 = bool;
            this.J0 = z;
        }

        public void run() {
            int i = this.f20879a;
            ValueAnimator.AnimatorUpdateListener animatorUpdateListener = null;
            if (i == 0) {
                SmartRefreshLayout smartRefreshLayout = SmartRefreshLayout.this;
                RefreshState refreshState = smartRefreshLayout.h2;
                RefreshState refreshState2 = RefreshState.None;
                if (refreshState == refreshState2 && smartRefreshLayout.i2 == RefreshState.Refreshing) {
                    smartRefreshLayout.i2 = refreshState2;
                } else {
                    ValueAnimator valueAnimator = smartRefreshLayout.t2;
                    if (valueAnimator != null && refreshState.isHeader && (refreshState.isDragging || refreshState == RefreshState.RefreshReleased)) {
                        valueAnimator.setDuration(0L);
                        SmartRefreshLayout.this.t2.cancel();
                        SmartRefreshLayout smartRefreshLayout2 = SmartRefreshLayout.this;
                        smartRefreshLayout2.t2 = null;
                        if (smartRefreshLayout2.g2.f(0) == null) {
                            SmartRefreshLayout.this.v0(refreshState2);
                        } else {
                            SmartRefreshLayout.this.v0(RefreshState.PullDownCanceled);
                        }
                    } else if (!(refreshState != RefreshState.Refreshing || smartRefreshLayout.b2 == null || smartRefreshLayout.d2 == null)) {
                        this.f20879a = i + 1;
                        smartRefreshLayout.f2.postDelayed(this, (long) this.f20880b);
                        SmartRefreshLayout.this.v0(RefreshState.RefreshFinish);
                        if (this.I0 == Boolean.FALSE) {
                            SmartRefreshLayout.this.a(false);
                        }
                    }
                }
                if (this.I0 == Boolean.TRUE) {
                    SmartRefreshLayout.this.a(true);
                    return;
                }
                return;
            }
            SmartRefreshLayout smartRefreshLayout3 = SmartRefreshLayout.this;
            int e2 = smartRefreshLayout3.b2.e(smartRefreshLayout3, this.J0);
            SmartRefreshLayout smartRefreshLayout4 = SmartRefreshLayout.this;
            com.scwang.smartrefresh.layout.c.c cVar = smartRefreshLayout4.K1;
            if (cVar != null) {
                com.scwang.smartrefresh.layout.b.h hVar = smartRefreshLayout4.b2;
                if (hVar instanceof com.scwang.smartrefresh.layout.b.g) {
                    cVar.K((com.scwang.smartrefresh.layout.b.g) hVar, this.J0);
                }
            }
            if (e2 < Integer.MAX_VALUE) {
                SmartRefreshLayout smartRefreshLayout5 = SmartRefreshLayout.this;
                if (smartRefreshLayout5.X0 || smartRefreshLayout5.N1) {
                    long currentTimeMillis = System.currentTimeMillis();
                    SmartRefreshLayout smartRefreshLayout6 = SmartRefreshLayout.this;
                    if (smartRefreshLayout6.X0) {
                        float f = smartRefreshLayout6.U0;
                        smartRefreshLayout6.S0 = f;
                        smartRefreshLayout6.N0 = 0;
                        smartRefreshLayout6.X0 = false;
                        SmartRefreshLayout.super.dispatchTouchEvent(MotionEvent.obtain(currentTimeMillis, currentTimeMillis, 0, smartRefreshLayout6.T0, (f + ((float) smartRefreshLayout6.L0)) - ((float) (smartRefreshLayout6.K0 * 2)), 0));
                        SmartRefreshLayout smartRefreshLayout7 = SmartRefreshLayout.this;
                        SmartRefreshLayout.super.dispatchTouchEvent(MotionEvent.obtain(currentTimeMillis, currentTimeMillis, 2, smartRefreshLayout7.T0, smartRefreshLayout7.U0 + ((float) smartRefreshLayout7.L0), 0));
                    }
                    SmartRefreshLayout smartRefreshLayout8 = SmartRefreshLayout.this;
                    if (smartRefreshLayout8.N1) {
                        smartRefreshLayout8.M1 = 0;
                        SmartRefreshLayout.super.dispatchTouchEvent(MotionEvent.obtain(currentTimeMillis, currentTimeMillis, 1, smartRefreshLayout8.T0, smartRefreshLayout8.U0, 0));
                        SmartRefreshLayout smartRefreshLayout9 = SmartRefreshLayout.this;
                        smartRefreshLayout9.N1 = false;
                        smartRefreshLayout9.N0 = 0;
                    }
                }
                SmartRefreshLayout smartRefreshLayout10 = SmartRefreshLayout.this;
                int i2 = smartRefreshLayout10.L0;
                if (i2 > 0) {
                    ValueAnimator p0 = smartRefreshLayout10.p0(0, e2, smartRefreshLayout10.j1, smartRefreshLayout10.P0);
                    SmartRefreshLayout smartRefreshLayout11 = SmartRefreshLayout.this;
                    if (smartRefreshLayout11.y1) {
                        animatorUpdateListener = smartRefreshLayout11.d2.g(smartRefreshLayout11.L0);
                    }
                    if (p0 != null && animatorUpdateListener != null) {
                        p0.addUpdateListener(animatorUpdateListener);
                    }
                } else if (i2 < 0) {
                    smartRefreshLayout10.p0(0, e2, smartRefreshLayout10.j1, smartRefreshLayout10.P0);
                } else {
                    smartRefreshLayout10.g2.k(0, false);
                    SmartRefreshLayout.this.g2.b(RefreshState.None);
                }
            }
        }
    }

    /* access modifiers changed from: package-private */
    public class h implements Runnable {
        final /* synthetic */ boolean I0;
        final /* synthetic */ boolean J0;

        /* renamed from: a  reason: collision with root package name */
        int f20881a = 0;

        /* renamed from: b  reason: collision with root package name */
        final /* synthetic */ int f20882b;

        class a implements Runnable {

            /* renamed from: a  reason: collision with root package name */
            final /* synthetic */ int f20883a;

            /* renamed from: com.scwang.smartrefresh.layout.SmartRefreshLayout$h$a$a  reason: collision with other inner class name */
            class C0417a extends AnimatorListenerAdapter {
                C0417a() {
                }

                public void onAnimationEnd(Animator animator) {
                    if (animator == null || animator.getDuration() != 0) {
                        h hVar = h.this;
                        SmartRefreshLayout smartRefreshLayout = SmartRefreshLayout.this;
                        smartRefreshLayout.p2 = false;
                        if (hVar.I0) {
                            smartRefreshLayout.a(true);
                        }
                        SmartRefreshLayout smartRefreshLayout2 = SmartRefreshLayout.this;
                        if (smartRefreshLayout2.h2 == RefreshState.LoadFinish) {
                            smartRefreshLayout2.v0(RefreshState.None);
                        }
                    }
                }
            }

            a(int i) {
                this.f20883a = i;
            }

            public void run() {
                ValueAnimator.AnimatorUpdateListener animatorUpdateListener;
                ValueAnimator valueAnimator;
                SmartRefreshLayout smartRefreshLayout = SmartRefreshLayout.this;
                if (!smartRefreshLayout.x1 || this.f20883a >= 0) {
                    animatorUpdateListener = null;
                } else {
                    animatorUpdateListener = smartRefreshLayout.d2.g(smartRefreshLayout.L0);
                    if (animatorUpdateListener != null) {
                        animatorUpdateListener.onAnimationUpdate(ValueAnimator.ofInt(0, 0));
                    }
                }
                C0417a aVar = new C0417a();
                h hVar = h.this;
                SmartRefreshLayout smartRefreshLayout2 = SmartRefreshLayout.this;
                int i = smartRefreshLayout2.L0;
                if (i > 0) {
                    valueAnimator = smartRefreshLayout2.g2.f(0);
                } else {
                    if (animatorUpdateListener != null || i == 0) {
                        ValueAnimator valueAnimator2 = smartRefreshLayout2.t2;
                        if (valueAnimator2 != null) {
                            valueAnimator2.setDuration(0L);
                            SmartRefreshLayout.this.t2.cancel();
                            SmartRefreshLayout.this.t2 = null;
                        }
                        SmartRefreshLayout.this.g2.k(0, false);
                        SmartRefreshLayout.this.g2.b(RefreshState.None);
                    } else if (!hVar.I0 || !smartRefreshLayout2.r1) {
                        valueAnimator = smartRefreshLayout2.g2.f(0);
                    } else {
                        int i2 = smartRefreshLayout2.T1;
                        if (i >= (-i2)) {
                            smartRefreshLayout2.v0(RefreshState.None);
                        } else {
                            valueAnimator = smartRefreshLayout2.g2.f(-i2);
                        }
                    }
                    valueAnimator = null;
                }
                if (valueAnimator != null) {
                    valueAnimator.addListener(aVar);
                } else {
                    aVar.onAnimationEnd(null);
                }
            }
        }

        h(int i, boolean z, boolean z2) {
            this.f20882b = i;
            this.I0 = z;
            this.J0 = z2;
        }

        /* JADX WARNING: Code restructure failed: missing block: B:44:0x00b0, code lost:
            if (r6.d2.h() != false) goto L_0x00b4;
         */
        public void run() {
            int i = this.f20881a;
            long j = 0;
            boolean z = true;
            if (i == 0) {
                SmartRefreshLayout smartRefreshLayout = SmartRefreshLayout.this;
                RefreshState refreshState = smartRefreshLayout.h2;
                RefreshState refreshState2 = RefreshState.None;
                if (refreshState == refreshState2 && smartRefreshLayout.i2 == RefreshState.Loading) {
                    smartRefreshLayout.i2 = refreshState2;
                } else {
                    ValueAnimator valueAnimator = smartRefreshLayout.t2;
                    if (valueAnimator != null && ((refreshState.isDragging || refreshState == RefreshState.LoadReleased) && refreshState.isFooter)) {
                        valueAnimator.setDuration(0L);
                        SmartRefreshLayout.this.t2.cancel();
                        SmartRefreshLayout smartRefreshLayout2 = SmartRefreshLayout.this;
                        smartRefreshLayout2.t2 = null;
                        if (smartRefreshLayout2.g2.f(0) == null) {
                            SmartRefreshLayout.this.v0(refreshState2);
                        } else {
                            SmartRefreshLayout.this.v0(RefreshState.PullUpCanceled);
                        }
                    } else if (!(refreshState != RefreshState.Loading || smartRefreshLayout.c2 == null || smartRefreshLayout.d2 == null)) {
                        this.f20881a = i + 1;
                        smartRefreshLayout.f2.postDelayed(this, (long) this.f20882b);
                        SmartRefreshLayout.this.v0(RefreshState.LoadFinish);
                        return;
                    }
                }
                if (this.I0) {
                    SmartRefreshLayout.this.a(true);
                    return;
                }
                return;
            }
            SmartRefreshLayout smartRefreshLayout3 = SmartRefreshLayout.this;
            int e2 = smartRefreshLayout3.c2.e(smartRefreshLayout3, this.J0);
            SmartRefreshLayout smartRefreshLayout4 = SmartRefreshLayout.this;
            com.scwang.smartrefresh.layout.c.c cVar = smartRefreshLayout4.K1;
            if (cVar != null) {
                com.scwang.smartrefresh.layout.b.h hVar = smartRefreshLayout4.c2;
                if (hVar instanceof com.scwang.smartrefresh.layout.b.f) {
                    cVar.D((com.scwang.smartrefresh.layout.b.f) hVar, this.J0);
                }
            }
            if (e2 < Integer.MAX_VALUE) {
                if (this.I0) {
                    SmartRefreshLayout smartRefreshLayout5 = SmartRefreshLayout.this;
                    if (smartRefreshLayout5.r1) {
                        if (smartRefreshLayout5.L0 < 0) {
                        }
                    }
                }
                z = false;
                SmartRefreshLayout smartRefreshLayout6 = SmartRefreshLayout.this;
                int i2 = smartRefreshLayout6.L0;
                int max = i2 - (z ? Math.max(i2, -smartRefreshLayout6.T1) : 0);
                SmartRefreshLayout smartRefreshLayout7 = SmartRefreshLayout.this;
                if (smartRefreshLayout7.X0 || smartRefreshLayout7.N1) {
                    long currentTimeMillis = System.currentTimeMillis();
                    SmartRefreshLayout smartRefreshLayout8 = SmartRefreshLayout.this;
                    if (smartRefreshLayout8.X0) {
                        float f = smartRefreshLayout8.U0;
                        smartRefreshLayout8.S0 = f;
                        smartRefreshLayout8.N0 = smartRefreshLayout8.L0 - max;
                        smartRefreshLayout8.X0 = false;
                        float f2 = (float) (smartRefreshLayout8.q1 ? max : 0);
                        SmartRefreshLayout.super.dispatchTouchEvent(MotionEvent.obtain(currentTimeMillis, currentTimeMillis, 0, smartRefreshLayout8.T0, f + f2 + ((float) (smartRefreshLayout8.K0 * 2)), 0));
                        SmartRefreshLayout smartRefreshLayout9 = SmartRefreshLayout.this;
                        SmartRefreshLayout.super.dispatchTouchEvent(MotionEvent.obtain(currentTimeMillis, currentTimeMillis, 2, smartRefreshLayout9.T0, smartRefreshLayout9.U0 + f2, 0));
                    }
                    SmartRefreshLayout smartRefreshLayout10 = SmartRefreshLayout.this;
                    if (smartRefreshLayout10.N1) {
                        smartRefreshLayout10.M1 = 0;
                        SmartRefreshLayout.super.dispatchTouchEvent(MotionEvent.obtain(currentTimeMillis, currentTimeMillis, 1, smartRefreshLayout10.T0, smartRefreshLayout10.U0, 0));
                        SmartRefreshLayout smartRefreshLayout11 = SmartRefreshLayout.this;
                        smartRefreshLayout11.N1 = false;
                        smartRefreshLayout11.N0 = 0;
                    }
                }
                Handler handler = SmartRefreshLayout.this.f2;
                a aVar = new a(max);
                if (SmartRefreshLayout.this.L0 < 0) {
                    j = (long) e2;
                }
                handler.postDelayed(aVar, j);
            }
        }
    }

    /* access modifiers changed from: package-private */
    public class i implements Runnable {
        final /* synthetic */ boolean I0;

        /* renamed from: a  reason: collision with root package name */
        final /* synthetic */ float f20886a;

        /* renamed from: b  reason: collision with root package name */
        final /* synthetic */ int f20887b;

        class a implements ValueAnimator.AnimatorUpdateListener {
            a() {
            }

            public void onAnimationUpdate(ValueAnimator valueAnimator) {
                SmartRefreshLayout smartRefreshLayout = SmartRefreshLayout.this;
                if (smartRefreshLayout.t2 != null && smartRefreshLayout.b2 != null) {
                    smartRefreshLayout.g2.k(((Integer) valueAnimator.getAnimatedValue()).intValue(), true);
                }
            }
        }

        class b extends AnimatorListenerAdapter {
            b() {
            }

            public void onAnimationEnd(Animator animator) {
                if (animator == null || animator.getDuration() != 0) {
                    SmartRefreshLayout smartRefreshLayout = SmartRefreshLayout.this;
                    smartRefreshLayout.t2 = null;
                    if (smartRefreshLayout.b2 != null) {
                        RefreshState refreshState = smartRefreshLayout.h2;
                        RefreshState refreshState2 = RefreshState.ReleaseToRefresh;
                        if (refreshState != refreshState2) {
                            smartRefreshLayout.g2.b(refreshState2);
                        }
                        i iVar = i.this;
                        SmartRefreshLayout.this.setStateRefreshing(!iVar.I0);
                        return;
                    }
                    smartRefreshLayout.g2.b(RefreshState.None);
                }
            }
        }

        i(float f, int i, boolean z) {
            this.f20886a = f;
            this.f20887b = i;
            this.I0 = z;
        }

        public void run() {
            SmartRefreshLayout smartRefreshLayout = SmartRefreshLayout.this;
            if (smartRefreshLayout.i2 == RefreshState.Refreshing) {
                ValueAnimator valueAnimator = smartRefreshLayout.t2;
                if (valueAnimator != null) {
                    valueAnimator.setDuration(0L);
                    SmartRefreshLayout.this.t2.cancel();
                    SmartRefreshLayout.this.t2 = null;
                }
                SmartRefreshLayout smartRefreshLayout2 = SmartRefreshLayout.this;
                smartRefreshLayout2.T0 = ((float) smartRefreshLayout2.getMeasuredWidth()) / 2.0f;
                SmartRefreshLayout.this.g2.b(RefreshState.PullDownToRefresh);
                SmartRefreshLayout smartRefreshLayout3 = SmartRefreshLayout.this;
                smartRefreshLayout3.t2 = ValueAnimator.ofInt(smartRefreshLayout3.L0, (int) (((float) smartRefreshLayout3.R1) * this.f20886a));
                SmartRefreshLayout.this.t2.setDuration((long) this.f20887b);
                SmartRefreshLayout.this.t2.setInterpolator(new com.scwang.smartrefresh.layout.d.b(com.scwang.smartrefresh.layout.d.b.f20917a));
                SmartRefreshLayout.this.t2.addUpdateListener(new a());
                SmartRefreshLayout.this.t2.addListener(new b());
                SmartRefreshLayout.this.t2.start();
            }
        }
    }

    /* access modifiers changed from: package-private */
    public class j implements Runnable {
        final /* synthetic */ boolean I0;

        /* renamed from: a  reason: collision with root package name */
        final /* synthetic */ float f20890a;

        /* renamed from: b  reason: collision with root package name */
        final /* synthetic */ int f20891b;

        class a implements ValueAnimator.AnimatorUpdateListener {
            a() {
            }

            public void onAnimationUpdate(ValueAnimator valueAnimator) {
                SmartRefreshLayout smartRefreshLayout = SmartRefreshLayout.this;
                if (smartRefreshLayout.t2 != null && smartRefreshLayout.c2 != null) {
                    smartRefreshLayout.g2.k(((Integer) valueAnimator.getAnimatedValue()).intValue(), true);
                }
            }
        }

        class b extends AnimatorListenerAdapter {
            b() {
            }

            public void onAnimationEnd(Animator animator) {
                if (animator == null || animator.getDuration() != 0) {
                    SmartRefreshLayout smartRefreshLayout = SmartRefreshLayout.this;
                    smartRefreshLayout.t2 = null;
                    if (smartRefreshLayout.c2 != null) {
                        RefreshState refreshState = smartRefreshLayout.h2;
                        RefreshState refreshState2 = RefreshState.ReleaseToLoad;
                        if (refreshState != refreshState2) {
                            smartRefreshLayout.g2.b(refreshState2);
                        }
                        j jVar = j.this;
                        SmartRefreshLayout.this.setStateLoading(!jVar.I0);
                        return;
                    }
                    smartRefreshLayout.g2.b(RefreshState.None);
                }
            }
        }

        j(float f, int i, boolean z) {
            this.f20890a = f;
            this.f20891b = i;
            this.I0 = z;
        }

        public void run() {
            SmartRefreshLayout smartRefreshLayout = SmartRefreshLayout.this;
            if (smartRefreshLayout.i2 == RefreshState.Loading) {
                ValueAnimator valueAnimator = smartRefreshLayout.t2;
                if (valueAnimator != null) {
                    valueAnimator.setDuration(0L);
                    SmartRefreshLayout.this.t2.cancel();
                    SmartRefreshLayout.this.t2 = null;
                }
                SmartRefreshLayout smartRefreshLayout2 = SmartRefreshLayout.this;
                smartRefreshLayout2.T0 = ((float) smartRefreshLayout2.getMeasuredWidth()) / 2.0f;
                SmartRefreshLayout.this.g2.b(RefreshState.PullUpToLoad);
                SmartRefreshLayout smartRefreshLayout3 = SmartRefreshLayout.this;
                smartRefreshLayout3.t2 = ValueAnimator.ofInt(smartRefreshLayout3.L0, -((int) (((float) smartRefreshLayout3.T1) * this.f20890a)));
                SmartRefreshLayout.this.t2.setDuration((long) this.f20891b);
                SmartRefreshLayout.this.t2.setInterpolator(new com.scwang.smartrefresh.layout.d.b(com.scwang.smartrefresh.layout.d.b.f20917a));
                SmartRefreshLayout.this.t2.addUpdateListener(new a());
                SmartRefreshLayout.this.t2.addListener(new b());
                SmartRefreshLayout.this.t2.start();
            }
        }
    }

    /* access modifiers changed from: protected */
    public class k implements Runnable {
        int I0;
        long J0;
        float K0 = 0.0f;
        float L0;

        /* renamed from: a  reason: collision with root package name */
        int f20894a = 0;

        /* renamed from: b  reason: collision with root package name */
        int f20895b = 10;

        k(float f, int i) {
            this.L0 = f;
            this.I0 = i;
            this.J0 = AnimationUtils.currentAnimationTimeMillis();
            SmartRefreshLayout.this.f2.postDelayed(this, (long) this.f20895b);
            if (f > 0.0f) {
                SmartRefreshLayout.this.g2.b(RefreshState.PullDownToRefresh);
            } else {
                SmartRefreshLayout.this.g2.b(RefreshState.PullUpToLoad);
            }
        }

        public void run() {
            SmartRefreshLayout smartRefreshLayout = SmartRefreshLayout.this;
            if (smartRefreshLayout.s2 == this && !smartRefreshLayout.h2.isFinishing) {
                if (Math.abs(smartRefreshLayout.L0) < Math.abs(this.I0)) {
                    int i = this.f20894a + 1;
                    this.f20894a = i;
                    this.L0 = (float) (((double) this.L0) * Math.pow(0.949999988079071d, (double) (i * 2)));
                } else if (this.I0 != 0) {
                    int i2 = this.f20894a + 1;
                    this.f20894a = i2;
                    this.L0 = (float) (((double) this.L0) * Math.pow(0.44999998807907104d, (double) (i2 * 2)));
                } else {
                    int i3 = this.f20894a + 1;
                    this.f20894a = i3;
                    this.L0 = (float) (((double) this.L0) * Math.pow(0.8500000238418579d, (double) (i3 * 2)));
                }
                long currentAnimationTimeMillis = AnimationUtils.currentAnimationTimeMillis();
                float f = this.L0 * ((((float) (currentAnimationTimeMillis - this.J0)) * 1.0f) / 1000.0f);
                if (Math.abs(f) >= 1.0f) {
                    this.J0 = currentAnimationTimeMillis;
                    float f2 = this.K0 + f;
                    this.K0 = f2;
                    SmartRefreshLayout.this.u0(f2);
                    SmartRefreshLayout.this.f2.postDelayed(this, (long) this.f20895b);
                    return;
                }
                SmartRefreshLayout smartRefreshLayout2 = SmartRefreshLayout.this;
                RefreshState refreshState = smartRefreshLayout2.i2;
                boolean z = refreshState.isDragging;
                if (z && refreshState.isHeader) {
                    smartRefreshLayout2.g2.b(RefreshState.PullDownCanceled);
                } else if (z && refreshState.isFooter) {
                    smartRefreshLayout2.g2.b(RefreshState.PullUpCanceled);
                }
                SmartRefreshLayout smartRefreshLayout3 = SmartRefreshLayout.this;
                smartRefreshLayout3.s2 = null;
                if (Math.abs(smartRefreshLayout3.L0) >= Math.abs(this.I0)) {
                    SmartRefreshLayout smartRefreshLayout4 = SmartRefreshLayout.this;
                    smartRefreshLayout4.p0(this.I0, 0, smartRefreshLayout4.j1, Math.min(Math.max((int) com.scwang.smartrefresh.layout.d.b.j(Math.abs(SmartRefreshLayout.this.L0 - this.I0)), 30), 100) * 10);
                }
            }
        }
    }

    /* access modifiers changed from: protected */
    public class l implements Runnable {
        int I0 = 10;
        float J0;
        float K0 = 0.98f;
        long L0 = 0;
        long M0 = AnimationUtils.currentAnimationTimeMillis();

        /* renamed from: a  reason: collision with root package name */
        int f20896a;

        /* renamed from: b  reason: collision with root package name */
        int f20897b = 0;

        l(float f) {
            this.J0 = f;
            this.f20896a = SmartRefreshLayout.this.L0;
        }

        /* JADX WARNING: Code restructure failed: missing block: B:26:0x0049, code lost:
            if (r0.L0 >= (-r0.T1)) goto L_0x004b;
         */
        /* JADX WARNING: Code restructure failed: missing block: B:30:0x0057, code lost:
            if (r0.L0 > r0.R1) goto L_0x0059;
         */
        public Runnable a() {
            RefreshState refreshState;
            SmartRefreshLayout smartRefreshLayout = SmartRefreshLayout.this;
            RefreshState refreshState2 = smartRefreshLayout.h2;
            if (refreshState2.isFinishing) {
                return null;
            }
            if (smartRefreshLayout.L0 != 0) {
                if (refreshState2.isOpening || (smartRefreshLayout.D1 && smartRefreshLayout.r1 && smartRefreshLayout.E1 && smartRefreshLayout.s0(smartRefreshLayout.m1))) {
                    SmartRefreshLayout smartRefreshLayout2 = SmartRefreshLayout.this;
                    if (smartRefreshLayout2.h2 == RefreshState.Loading || (smartRefreshLayout2.D1 && smartRefreshLayout2.r1 && smartRefreshLayout2.E1 && smartRefreshLayout2.s0(smartRefreshLayout2.m1))) {
                        SmartRefreshLayout smartRefreshLayout3 = SmartRefreshLayout.this;
                    }
                    SmartRefreshLayout smartRefreshLayout4 = SmartRefreshLayout.this;
                    if (smartRefreshLayout4.h2 == RefreshState.Refreshing) {
                    }
                }
                int i = 0;
                int i2 = SmartRefreshLayout.this.L0;
                float f = this.J0;
                int i3 = i2;
                while (true) {
                    if (i2 * i3 <= 0) {
                        break;
                    }
                    i++;
                    f = (float) (((double) f) * Math.pow((double) this.K0, (double) (((float) (this.I0 * i)) / 10.0f)));
                    float f2 = ((((float) this.I0) * 1.0f) / 1000.0f) * f;
                    if (Math.abs(f2) < 1.0f) {
                        SmartRefreshLayout smartRefreshLayout5 = SmartRefreshLayout.this;
                        RefreshState refreshState3 = smartRefreshLayout5.h2;
                        if (!refreshState3.isOpening || ((refreshState3 == (refreshState = RefreshState.Refreshing) && i3 > smartRefreshLayout5.R1) || (refreshState3 != refreshState && i3 < (-smartRefreshLayout5.T1)))) {
                            return null;
                        }
                    } else {
                        i3 = (int) (((float) i3) + f2);
                    }
                }
            }
            this.L0 = AnimationUtils.currentAnimationTimeMillis();
            SmartRefreshLayout.this.f2.postDelayed(this, (long) this.I0);
            return this;
        }

        public void run() {
            SmartRefreshLayout smartRefreshLayout = SmartRefreshLayout.this;
            if (smartRefreshLayout.s2 == this && !smartRefreshLayout.h2.isFinishing) {
                long currentAnimationTimeMillis = AnimationUtils.currentAnimationTimeMillis();
                float pow = (float) (((double) this.J0) * Math.pow((double) this.K0, (double) (((float) (currentAnimationTimeMillis - this.L0)) / (1000.0f / ((float) this.I0)))));
                this.J0 = pow;
                float f = pow * ((((float) (currentAnimationTimeMillis - this.M0)) * 1.0f) / 1000.0f);
                if (Math.abs(f) > 1.0f) {
                    this.M0 = currentAnimationTimeMillis;
                    int i = (int) (((float) this.f20896a) + f);
                    this.f20896a = i;
                    SmartRefreshLayout smartRefreshLayout2 = SmartRefreshLayout.this;
                    if (smartRefreshLayout2.L0 * i > 0) {
                        smartRefreshLayout2.g2.k(i, true);
                        SmartRefreshLayout.this.f2.postDelayed(this, (long) this.I0);
                        return;
                    }
                    smartRefreshLayout2.s2 = null;
                    smartRefreshLayout2.g2.k(0, true);
                    com.scwang.smartrefresh.layout.d.b.e(SmartRefreshLayout.this.d2.a(), (int) (-this.J0));
                    SmartRefreshLayout smartRefreshLayout3 = SmartRefreshLayout.this;
                    if (smartRefreshLayout3.p2 && f > 0.0f) {
                        smartRefreshLayout3.p2 = false;
                        return;
                    }
                    return;
                }
                SmartRefreshLayout.this.s2 = null;
            }
        }
    }

    public class m implements com.scwang.smartrefresh.layout.b.i {

        class a extends AnimatorListenerAdapter {
            a() {
            }

            public void onAnimationEnd(Animator animator) {
                if (animator == null || animator.getDuration() != 0) {
                    SmartRefreshLayout.this.g2.b(RefreshState.TwoLevel);
                }
            }
        }

        public m() {
        }

        @Override // com.scwang.smartrefresh.layout.b.i
        public com.scwang.smartrefresh.layout.b.i a(@NonNull com.scwang.smartrefresh.layout.b.h hVar) {
            if (hVar.equals(SmartRefreshLayout.this.b2)) {
                SmartRefreshLayout smartRefreshLayout = SmartRefreshLayout.this;
                com.scwang.smartrefresh.layout.constant.a aVar = smartRefreshLayout.S1;
                if (aVar.o) {
                    smartRefreshLayout.S1 = aVar.c();
                }
            } else if (hVar.equals(SmartRefreshLayout.this.c2)) {
                SmartRefreshLayout smartRefreshLayout2 = SmartRefreshLayout.this;
                com.scwang.smartrefresh.layout.constant.a aVar2 = smartRefreshLayout2.U1;
                if (aVar2.o) {
                    smartRefreshLayout2.U1 = aVar2.c();
                }
            }
            return this;
        }

        @Override // com.scwang.smartrefresh.layout.b.i
        public com.scwang.smartrefresh.layout.b.i b(@NonNull RefreshState refreshState) {
            switch (a.f20871a[refreshState.ordinal()]) {
                case 1:
                    SmartRefreshLayout smartRefreshLayout = SmartRefreshLayout.this;
                    RefreshState refreshState2 = smartRefreshLayout.h2;
                    RefreshState refreshState3 = RefreshState.None;
                    if (refreshState2 != refreshState3 && smartRefreshLayout.L0 == 0) {
                        smartRefreshLayout.v0(refreshState3);
                        return null;
                    } else if (smartRefreshLayout.L0 == 0) {
                        return null;
                    } else {
                        f(0);
                        return null;
                    }
                case 2:
                    SmartRefreshLayout smartRefreshLayout2 = SmartRefreshLayout.this;
                    if (smartRefreshLayout2.h2.isOpening || !smartRefreshLayout2.s0(smartRefreshLayout2.l1)) {
                        SmartRefreshLayout.this.setViceState(RefreshState.PullDownToRefresh);
                        return null;
                    }
                    SmartRefreshLayout.this.v0(RefreshState.PullDownToRefresh);
                    return null;
                case 3:
                    SmartRefreshLayout smartRefreshLayout3 = SmartRefreshLayout.this;
                    if (smartRefreshLayout3.s0(smartRefreshLayout3.m1)) {
                        SmartRefreshLayout smartRefreshLayout4 = SmartRefreshLayout.this;
                        RefreshState refreshState4 = smartRefreshLayout4.h2;
                        if (!refreshState4.isOpening && !refreshState4.isFinishing && (!smartRefreshLayout4.D1 || !smartRefreshLayout4.r1 || !smartRefreshLayout4.E1)) {
                            smartRefreshLayout4.v0(RefreshState.PullUpToLoad);
                            return null;
                        }
                    }
                    SmartRefreshLayout.this.setViceState(RefreshState.PullUpToLoad);
                    return null;
                case 4:
                    SmartRefreshLayout smartRefreshLayout5 = SmartRefreshLayout.this;
                    if (smartRefreshLayout5.h2.isOpening || !smartRefreshLayout5.s0(smartRefreshLayout5.l1)) {
                        SmartRefreshLayout.this.setViceState(RefreshState.PullDownCanceled);
                        return null;
                    }
                    SmartRefreshLayout.this.v0(RefreshState.PullDownCanceled);
                    b(RefreshState.None);
                    return null;
                case 5:
                    SmartRefreshLayout smartRefreshLayout6 = SmartRefreshLayout.this;
                    if (smartRefreshLayout6.s0(smartRefreshLayout6.m1)) {
                        SmartRefreshLayout smartRefreshLayout7 = SmartRefreshLayout.this;
                        if (!smartRefreshLayout7.h2.isOpening && (!smartRefreshLayout7.D1 || !smartRefreshLayout7.r1 || !smartRefreshLayout7.E1)) {
                            smartRefreshLayout7.v0(RefreshState.PullUpCanceled);
                            b(RefreshState.None);
                            return null;
                        }
                    }
                    SmartRefreshLayout.this.setViceState(RefreshState.PullUpCanceled);
                    return null;
                case 6:
                    SmartRefreshLayout smartRefreshLayout8 = SmartRefreshLayout.this;
                    if (smartRefreshLayout8.h2.isOpening || !smartRefreshLayout8.s0(smartRefreshLayout8.l1)) {
                        SmartRefreshLayout.this.setViceState(RefreshState.ReleaseToRefresh);
                        return null;
                    }
                    SmartRefreshLayout.this.v0(RefreshState.ReleaseToRefresh);
                    return null;
                case 7:
                    SmartRefreshLayout smartRefreshLayout9 = SmartRefreshLayout.this;
                    if (smartRefreshLayout9.s0(smartRefreshLayout9.m1)) {
                        SmartRefreshLayout smartRefreshLayout10 = SmartRefreshLayout.this;
                        RefreshState refreshState5 = smartRefreshLayout10.h2;
                        if (!refreshState5.isOpening && !refreshState5.isFinishing && (!smartRefreshLayout10.D1 || !smartRefreshLayout10.r1 || !smartRefreshLayout10.E1)) {
                            smartRefreshLayout10.v0(RefreshState.ReleaseToLoad);
                            return null;
                        }
                    }
                    SmartRefreshLayout.this.setViceState(RefreshState.ReleaseToLoad);
                    return null;
                case 8:
                    SmartRefreshLayout smartRefreshLayout11 = SmartRefreshLayout.this;
                    if (smartRefreshLayout11.h2.isOpening || !smartRefreshLayout11.s0(smartRefreshLayout11.l1)) {
                        SmartRefreshLayout.this.setViceState(RefreshState.ReleaseToTwoLevel);
                        return null;
                    }
                    SmartRefreshLayout.this.v0(RefreshState.ReleaseToTwoLevel);
                    return null;
                case 9:
                    SmartRefreshLayout smartRefreshLayout12 = SmartRefreshLayout.this;
                    if (smartRefreshLayout12.h2.isOpening || !smartRefreshLayout12.s0(smartRefreshLayout12.l1)) {
                        SmartRefreshLayout.this.setViceState(RefreshState.RefreshReleased);
                        return null;
                    }
                    SmartRefreshLayout.this.v0(RefreshState.RefreshReleased);
                    return null;
                case 10:
                    SmartRefreshLayout smartRefreshLayout13 = SmartRefreshLayout.this;
                    if (smartRefreshLayout13.h2.isOpening || !smartRefreshLayout13.s0(smartRefreshLayout13.m1)) {
                        SmartRefreshLayout.this.setViceState(RefreshState.LoadReleased);
                        return null;
                    }
                    SmartRefreshLayout.this.v0(RefreshState.LoadReleased);
                    return null;
                case 11:
                    SmartRefreshLayout.this.setStateRefreshing(true);
                    return null;
                case 12:
                    SmartRefreshLayout.this.setStateLoading(true);
                    return null;
                default:
                    SmartRefreshLayout.this.v0(refreshState);
                    return null;
            }
        }

        @Override // com.scwang.smartrefresh.layout.b.i
        @NonNull
        public com.scwang.smartrefresh.layout.b.e c() {
            return SmartRefreshLayout.this.d2;
        }

        @Override // com.scwang.smartrefresh.layout.b.i
        public com.scwang.smartrefresh.layout.b.i d(@NonNull com.scwang.smartrefresh.layout.b.h hVar, boolean z) {
            if (hVar.equals(SmartRefreshLayout.this.b2)) {
                SmartRefreshLayout smartRefreshLayout = SmartRefreshLayout.this;
                if (!smartRefreshLayout.G1) {
                    smartRefreshLayout.G1 = true;
                    smartRefreshLayout.p1 = z;
                }
            } else if (hVar.equals(SmartRefreshLayout.this.c2)) {
                SmartRefreshLayout smartRefreshLayout2 = SmartRefreshLayout.this;
                if (!smartRefreshLayout2.H1) {
                    smartRefreshLayout2.H1 = true;
                    smartRefreshLayout2.q1 = z;
                }
            }
            return this;
        }

        @Override // com.scwang.smartrefresh.layout.b.i
        public com.scwang.smartrefresh.layout.b.i e() {
            SmartRefreshLayout smartRefreshLayout = SmartRefreshLayout.this;
            if (smartRefreshLayout.h2 == RefreshState.TwoLevel) {
                smartRefreshLayout.g2.b(RefreshState.TwoLevelFinish);
                if (SmartRefreshLayout.this.L0 == 0) {
                    k(0, false);
                    SmartRefreshLayout.this.v0(RefreshState.None);
                } else {
                    f(0).setDuration((long) SmartRefreshLayout.this.O0);
                }
            }
            return this;
        }

        @Override // com.scwang.smartrefresh.layout.b.i
        public ValueAnimator f(int i) {
            SmartRefreshLayout smartRefreshLayout = SmartRefreshLayout.this;
            return smartRefreshLayout.p0(i, 0, smartRefreshLayout.j1, smartRefreshLayout.P0);
        }

        @Override // com.scwang.smartrefresh.layout.b.i
        @NonNull
        public com.scwang.smartrefresh.layout.b.j g() {
            return SmartRefreshLayout.this;
        }

        @Override // com.scwang.smartrefresh.layout.b.i
        public com.scwang.smartrefresh.layout.b.i h(@NonNull com.scwang.smartrefresh.layout.b.h hVar, boolean z) {
            if (hVar.equals(SmartRefreshLayout.this.b2)) {
                SmartRefreshLayout.this.m2 = z;
            } else if (hVar.equals(SmartRefreshLayout.this.c2)) {
                SmartRefreshLayout.this.n2 = z;
            }
            return this;
        }

        @Override // com.scwang.smartrefresh.layout.b.i
        public com.scwang.smartrefresh.layout.b.i i(int i) {
            SmartRefreshLayout.this.O0 = i;
            return this;
        }

        @Override // com.scwang.smartrefresh.layout.b.i
        public com.scwang.smartrefresh.layout.b.i j(boolean z) {
            if (z) {
                a aVar = new a();
                ValueAnimator f = f(SmartRefreshLayout.this.getMeasuredHeight());
                if (f != null) {
                    SmartRefreshLayout smartRefreshLayout = SmartRefreshLayout.this;
                    if (f == smartRefreshLayout.t2) {
                        f.setDuration((long) smartRefreshLayout.O0);
                        f.addListener(aVar);
                    }
                }
                aVar.onAnimationEnd(null);
            } else if (f(0) == null) {
                SmartRefreshLayout.this.v0(RefreshState.None);
            }
            return this;
        }

        /* JADX WARNING: Removed duplicated region for block: B:50:0x00ac  */
        /* JADX WARNING: Removed duplicated region for block: B:52:0x00af  */
        /* JADX WARNING: Removed duplicated region for block: B:55:0x00b5  */
        @Override // com.scwang.smartrefresh.layout.b.i
        public com.scwang.smartrefresh.layout.b.i k(int i, boolean z) {
            com.scwang.smartrefresh.layout.c.c cVar;
            int i2;
            com.scwang.smartrefresh.layout.c.c cVar2;
            boolean z2;
            int i3;
            com.scwang.smartrefresh.layout.b.h hVar;
            com.scwang.smartrefresh.layout.b.h hVar2;
            SmartRefreshLayout smartRefreshLayout;
            com.scwang.smartrefresh.layout.b.h hVar3;
            com.scwang.smartrefresh.layout.b.h hVar4;
            com.scwang.smartrefresh.layout.b.h hVar5;
            com.scwang.smartrefresh.layout.b.h hVar6;
            SmartRefreshLayout smartRefreshLayout2 = SmartRefreshLayout.this;
            if (smartRefreshLayout2.L0 == i && (((hVar5 = smartRefreshLayout2.b2) == null || !hVar5.g()) && ((hVar6 = SmartRefreshLayout.this.c2) == null || !hVar6.g()))) {
                return this;
            }
            SmartRefreshLayout smartRefreshLayout3 = SmartRefreshLayout.this;
            int i4 = smartRefreshLayout3.L0;
            smartRefreshLayout3.L0 = i;
            if (z) {
                RefreshState refreshState = smartRefreshLayout3.i2;
                if (refreshState.isDragging || refreshState.isOpening) {
                    if (((float) i) > ((float) smartRefreshLayout3.R1) * smartRefreshLayout3.Z1) {
                        if (smartRefreshLayout3.h2 != RefreshState.ReleaseToTwoLevel) {
                            smartRefreshLayout3.g2.b(RefreshState.ReleaseToRefresh);
                        }
                    } else if (((float) (-i)) > ((float) smartRefreshLayout3.T1) * smartRefreshLayout3.a2 && !smartRefreshLayout3.D1) {
                        smartRefreshLayout3.g2.b(RefreshState.ReleaseToLoad);
                    } else if (i < 0 && !smartRefreshLayout3.D1) {
                        smartRefreshLayout3.g2.b(RefreshState.PullUpToLoad);
                    } else if (i > 0) {
                        smartRefreshLayout3.g2.b(RefreshState.PullDownToRefresh);
                    }
                }
            }
            SmartRefreshLayout smartRefreshLayout4 = SmartRefreshLayout.this;
            int i5 = 1;
            if (smartRefreshLayout4.d2 != null) {
                if (i >= 0 && (hVar4 = smartRefreshLayout4.b2) != null) {
                    if (smartRefreshLayout4.t0(smartRefreshLayout4.p1, hVar4)) {
                        i3 = i;
                    } else if (i4 < 0) {
                        i3 = 0;
                    }
                    z2 = true;
                    if (i <= 0 && (hVar3 = (smartRefreshLayout = SmartRefreshLayout.this).c2) != null) {
                        if (!smartRefreshLayout.t0(smartRefreshLayout.q1, hVar3)) {
                            i3 = i;
                        } else if (i4 > 0) {
                            i3 = 0;
                        }
                        z2 = true;
                    }
                    if (z2) {
                        SmartRefreshLayout smartRefreshLayout5 = SmartRefreshLayout.this;
                        smartRefreshLayout5.d2.f(i3, smartRefreshLayout5.c1, smartRefreshLayout5.d1);
                        SmartRefreshLayout smartRefreshLayout6 = SmartRefreshLayout.this;
                        if (smartRefreshLayout6.D1 && smartRefreshLayout6.E1 && smartRefreshLayout6.r1) {
                            com.scwang.smartrefresh.layout.b.h hVar7 = smartRefreshLayout6.c2;
                            if ((hVar7 instanceof com.scwang.smartrefresh.layout.b.f) && hVar7.getSpinnerStyle() == com.scwang.smartrefresh.layout.constant.b.f20911a) {
                                SmartRefreshLayout smartRefreshLayout7 = SmartRefreshLayout.this;
                                if (smartRefreshLayout7.s0(smartRefreshLayout7.m1)) {
                                    SmartRefreshLayout.this.c2.getView().setTranslationY((float) Math.max(0, i3));
                                }
                            }
                        }
                        SmartRefreshLayout smartRefreshLayout8 = SmartRefreshLayout.this;
                        boolean z3 = (smartRefreshLayout8.n1 && (hVar2 = smartRefreshLayout8.b2) != null && hVar2.getSpinnerStyle() == com.scwang.smartrefresh.layout.constant.b.f20913c) || SmartRefreshLayout.this.k2 != 0;
                        SmartRefreshLayout smartRefreshLayout9 = SmartRefreshLayout.this;
                        boolean z4 = (smartRefreshLayout9.o1 && (hVar = smartRefreshLayout9.c2) != null && hVar.getSpinnerStyle() == com.scwang.smartrefresh.layout.constant.b.f20913c) || SmartRefreshLayout.this.l2 != 0;
                        if ((z3 && (i3 >= 0 || i4 > 0)) || (z4 && (i3 <= 0 || i4 < 0))) {
                            smartRefreshLayout3.invalidate();
                        }
                    }
                }
                i3 = 0;
                z2 = false;
                if (!smartRefreshLayout.t0(smartRefreshLayout.q1, hVar3)) {
                }
                z2 = true;
                if (z2) {
                }
            }
            if ((i >= 0 || i4 > 0) && SmartRefreshLayout.this.b2 != null) {
                int max = Math.max(i, 0);
                SmartRefreshLayout smartRefreshLayout10 = SmartRefreshLayout.this;
                int i6 = smartRefreshLayout10.R1;
                int i7 = (int) (((float) i6) * smartRefreshLayout10.X1);
                float f = (((float) max) * 1.0f) / ((float) (i6 == 0 ? 1 : i6));
                if (smartRefreshLayout10.s0(smartRefreshLayout10.l1) || (SmartRefreshLayout.this.h2 == RefreshState.RefreshFinish && !z)) {
                    SmartRefreshLayout smartRefreshLayout11 = SmartRefreshLayout.this;
                    if (i4 != smartRefreshLayout11.L0) {
                        if (smartRefreshLayout11.b2.getSpinnerStyle() == com.scwang.smartrefresh.layout.constant.b.f20911a) {
                            SmartRefreshLayout.this.b2.getView().setTranslationY((float) SmartRefreshLayout.this.L0);
                            SmartRefreshLayout smartRefreshLayout12 = SmartRefreshLayout.this;
                            if (!(smartRefreshLayout12.k2 == 0 || smartRefreshLayout12.e2 == null || smartRefreshLayout12.t0(smartRefreshLayout12.p1, smartRefreshLayout12.b2))) {
                                smartRefreshLayout3.invalidate();
                            }
                        } else if (SmartRefreshLayout.this.b2.getSpinnerStyle().i) {
                            View view = SmartRefreshLayout.this.b2.getView();
                            ViewGroup.LayoutParams layoutParams = view.getLayoutParams();
                            ViewGroup.MarginLayoutParams marginLayoutParams = layoutParams instanceof ViewGroup.MarginLayoutParams ? (ViewGroup.MarginLayoutParams) layoutParams : SmartRefreshLayout.J0;
                            view.measure(View.MeasureSpec.makeMeasureSpec(view.getMeasuredWidth(), 1073741824), View.MeasureSpec.makeMeasureSpec(Math.max((SmartRefreshLayout.this.L0 - marginLayoutParams.bottomMargin) - marginLayoutParams.topMargin, 0), 1073741824));
                            int i8 = marginLayoutParams.leftMargin;
                            int i9 = marginLayoutParams.topMargin + SmartRefreshLayout.this.V1;
                            view.layout(i8, i9, view.getMeasuredWidth() + i8, view.getMeasuredHeight() + i9);
                        }
                        i2 = i7;
                        SmartRefreshLayout.this.b2.j(z, f, max, i6, i7);
                    } else {
                        i2 = i7;
                    }
                    if (z && SmartRefreshLayout.this.b2.g()) {
                        int i10 = (int) SmartRefreshLayout.this.T0;
                        int width = smartRefreshLayout3.getWidth();
                        SmartRefreshLayout smartRefreshLayout13 = SmartRefreshLayout.this;
                        smartRefreshLayout13.b2.d(smartRefreshLayout13.T0 / ((float) (width == 0 ? 1 : width)), i10, width);
                    }
                } else {
                    i2 = i7;
                }
                SmartRefreshLayout smartRefreshLayout14 = SmartRefreshLayout.this;
                if (!(i4 == smartRefreshLayout14.L0 || (cVar2 = smartRefreshLayout14.K1) == null)) {
                    com.scwang.smartrefresh.layout.b.h hVar8 = smartRefreshLayout14.b2;
                    if (hVar8 instanceof com.scwang.smartrefresh.layout.b.g) {
                        cVar2.g0((com.scwang.smartrefresh.layout.b.g) hVar8, z, f, max, i6, i2);
                    }
                }
            }
            if ((i <= 0 || i4 < 0) && SmartRefreshLayout.this.c2 != null) {
                int i11 = -Math.min(i, 0);
                SmartRefreshLayout smartRefreshLayout15 = SmartRefreshLayout.this;
                int i12 = smartRefreshLayout15.T1;
                int i13 = (int) (((float) i12) * smartRefreshLayout15.Y1);
                float f2 = (((float) i11) * 1.0f) / ((float) (i12 == 0 ? 1 : i12));
                if (smartRefreshLayout15.s0(smartRefreshLayout15.m1) || (SmartRefreshLayout.this.h2 == RefreshState.LoadFinish && !z)) {
                    SmartRefreshLayout smartRefreshLayout16 = SmartRefreshLayout.this;
                    if (i4 != smartRefreshLayout16.L0) {
                        if (smartRefreshLayout16.c2.getSpinnerStyle() == com.scwang.smartrefresh.layout.constant.b.f20911a) {
                            SmartRefreshLayout.this.c2.getView().setTranslationY((float) SmartRefreshLayout.this.L0);
                            SmartRefreshLayout smartRefreshLayout17 = SmartRefreshLayout.this;
                            if (!(smartRefreshLayout17.l2 == 0 || smartRefreshLayout17.e2 == null || smartRefreshLayout17.t0(smartRefreshLayout17.q1, smartRefreshLayout17.c2))) {
                                smartRefreshLayout3.invalidate();
                            }
                        } else if (SmartRefreshLayout.this.c2.getSpinnerStyle().i) {
                            View view2 = SmartRefreshLayout.this.c2.getView();
                            ViewGroup.LayoutParams layoutParams2 = view2.getLayoutParams();
                            ViewGroup.MarginLayoutParams marginLayoutParams2 = layoutParams2 instanceof ViewGroup.MarginLayoutParams ? (ViewGroup.MarginLayoutParams) layoutParams2 : SmartRefreshLayout.J0;
                            view2.measure(View.MeasureSpec.makeMeasureSpec(view2.getMeasuredWidth(), 1073741824), View.MeasureSpec.makeMeasureSpec(Math.max(((-SmartRefreshLayout.this.L0) - marginLayoutParams2.bottomMargin) - marginLayoutParams2.topMargin, 0), 1073741824));
                            int i14 = marginLayoutParams2.leftMargin;
                            int measuredHeight = (marginLayoutParams2.topMargin + smartRefreshLayout3.getMeasuredHeight()) - SmartRefreshLayout.this.W1;
                            view2.layout(i14, measuredHeight - view2.getMeasuredHeight(), view2.getMeasuredWidth() + i14, measuredHeight);
                        }
                        SmartRefreshLayout.this.c2.j(z, f2, i11, i12, i13);
                    }
                    if (z && SmartRefreshLayout.this.c2.g()) {
                        int i15 = (int) SmartRefreshLayout.this.T0;
                        int width2 = smartRefreshLayout3.getWidth();
                        SmartRefreshLayout smartRefreshLayout18 = SmartRefreshLayout.this;
                        float f3 = smartRefreshLayout18.T0;
                        if (width2 != 0) {
                            i5 = width2;
                        }
                        smartRefreshLayout18.c2.d(f3 / ((float) i5), i15, width2);
                    }
                }
                SmartRefreshLayout smartRefreshLayout19 = SmartRefreshLayout.this;
                if (!(i4 == smartRefreshLayout19.L0 || (cVar = smartRefreshLayout19.K1) == null)) {
                    com.scwang.smartrefresh.layout.b.h hVar9 = smartRefreshLayout19.c2;
                    if (hVar9 instanceof com.scwang.smartrefresh.layout.b.f) {
                        cVar.l((com.scwang.smartrefresh.layout.b.f) hVar9, z, f2, i11, i12, i13);
                    }
                }
            }
            return this;
        }

        @Override // com.scwang.smartrefresh.layout.b.i
        public com.scwang.smartrefresh.layout.b.i l(@NonNull com.scwang.smartrefresh.layout.b.h hVar, int i) {
            SmartRefreshLayout smartRefreshLayout = SmartRefreshLayout.this;
            if (smartRefreshLayout.e2 == null && i != 0) {
                smartRefreshLayout.e2 = new Paint();
            }
            if (hVar.equals(SmartRefreshLayout.this.b2)) {
                SmartRefreshLayout.this.k2 = i;
            } else if (hVar.equals(SmartRefreshLayout.this.c2)) {
                SmartRefreshLayout.this.l2 = i;
            }
            return this;
        }
    }

    public SmartRefreshLayout(Context context) {
        this(context, null);
    }

    public static void setDefaultRefreshFooterCreator(@NonNull com.scwang.smartrefresh.layout.b.a aVar) {
        f20867a = aVar;
    }

    public static void setDefaultRefreshHeaderCreator(@NonNull com.scwang.smartrefresh.layout.b.b bVar) {
        f20868b = bVar;
    }

    public static void setDefaultRefreshInitializer(@NonNull com.scwang.smartrefresh.layout.b.c cVar) {
        I0 = cVar;
    }

    @Override // com.scwang.smartrefresh.layout.b.j
    public com.scwang.smartrefresh.layout.b.j A(boolean z) {
        this.l1 = z;
        return this;
    }

    @Override // com.scwang.smartrefresh.layout.b.j
    public com.scwang.smartrefresh.layout.b.j B() {
        return a(false);
    }

    @Override // com.scwang.smartrefresh.layout.b.j
    public com.scwang.smartrefresh.layout.b.j C(@NonNull com.scwang.smartrefresh.layout.b.f fVar, int i3, int i4) {
        com.scwang.smartrefresh.layout.b.h hVar;
        com.scwang.smartrefresh.layout.b.h hVar2 = this.c2;
        if (hVar2 != null) {
            super.removeView(hVar2.getView());
        }
        this.c2 = fVar;
        this.p2 = false;
        this.l2 = 0;
        this.E1 = false;
        this.n2 = false;
        this.U1 = this.U1.c();
        this.m1 = !this.F1 || this.m1;
        if (this.c2 != null) {
            if (i3 == 0) {
                i3 = -1;
            }
            if (i4 == 0) {
                i4 = -2;
            }
            LayoutParams layoutParams = new LayoutParams(i3, i4);
            ViewGroup.LayoutParams layoutParams2 = fVar.getView().getLayoutParams();
            if (layoutParams2 instanceof LayoutParams) {
                layoutParams = (LayoutParams) layoutParams2;
            }
            if (this.c2.getSpinnerStyle().h) {
                super.addView(this.c2.getView(), getChildCount(), layoutParams);
            } else {
                super.addView(this.c2.getView(), 0, layoutParams);
            }
            int[] iArr = this.k1;
            if (!(iArr == null || (hVar = this.c2) == null)) {
                hVar.setPrimaryColors(iArr);
            }
        }
        return this;
    }

    @Override // com.scwang.smartrefresh.layout.b.j
    public com.scwang.smartrefresh.layout.b.j D(com.scwang.smartrefresh.layout.c.e eVar) {
        this.I1 = eVar;
        this.J1 = eVar;
        this.m1 = this.m1 || (!this.F1 && eVar != null);
        return this;
    }

    @Override // com.scwang.smartrefresh.layout.b.j
    public com.scwang.smartrefresh.layout.b.j E(@NonNull com.scwang.smartrefresh.layout.b.f fVar) {
        return C(fVar, 0, 0);
    }

    @Override // com.scwang.smartrefresh.layout.b.j
    public com.scwang.smartrefresh.layout.b.j F(boolean z) {
        return N(z ? Math.min(Math.max(0, 300 - ((int) (System.currentTimeMillis() - this.j2))), 300) << 16 : 0, z, false);
    }

    @Override // com.scwang.smartrefresh.layout.b.j
    public com.scwang.smartrefresh.layout.b.j G() {
        return c0(Math.min(Math.max(0, 300 - ((int) (System.currentTimeMillis() - this.j2))), 300) << 16, true, Boolean.TRUE);
    }

    @Override // com.scwang.smartrefresh.layout.b.j
    public com.scwang.smartrefresh.layout.b.j H() {
        return k(true);
    }

    @Override // com.scwang.smartrefresh.layout.b.j
    public boolean I(int i3, int i4, float f3, boolean z) {
        if (this.h2 != RefreshState.None || !s0(this.l1)) {
            return false;
        }
        i iVar = new i(f3, i4, z);
        setViceState(RefreshState.Refreshing);
        if (i3 > 0) {
            this.f2.postDelayed(iVar, (long) i3);
            return true;
        }
        iVar.run();
        return true;
    }

    @Override // com.scwang.smartrefresh.layout.b.j
    public com.scwang.smartrefresh.layout.b.j J(float f3) {
        this.W1 = com.scwang.smartrefresh.layout.d.b.d(f3);
        return this;
    }

    @Override // com.scwang.smartrefresh.layout.b.j
    public com.scwang.smartrefresh.layout.b.j K(float f3) {
        this.V1 = com.scwang.smartrefresh.layout.d.b.d(f3);
        return this;
    }

    @Override // com.scwang.smartrefresh.layout.b.j
    public com.scwang.smartrefresh.layout.b.j L(float f3) {
        this.Z1 = f3;
        return this;
    }

    @Override // com.scwang.smartrefresh.layout.b.j
    public com.scwang.smartrefresh.layout.b.j M(boolean z) {
        this.w1 = z;
        return this;
    }

    @Override // com.scwang.smartrefresh.layout.b.j
    public com.scwang.smartrefresh.layout.b.j N(int i3, boolean z, boolean z2) {
        int i4 = i3 >> 16;
        int i5 = (i3 << 16) >> 16;
        h hVar = new h(i4, z2, z);
        if (i5 > 0) {
            this.f2.postDelayed(hVar, (long) i5);
        } else {
            hVar.run();
        }
        return this;
    }

    @Override // com.scwang.smartrefresh.layout.b.j
    public com.scwang.smartrefresh.layout.b.j O(com.scwang.smartrefresh.layout.c.b bVar) {
        this.J1 = bVar;
        this.m1 = this.m1 || (!this.F1 && bVar != null);
        return this;
    }

    @Override // com.scwang.smartrefresh.layout.b.j
    public com.scwang.smartrefresh.layout.b.j P(@NonNull Interpolator interpolator) {
        this.j1 = interpolator;
        return this;
    }

    @Override // com.scwang.smartrefresh.layout.b.j
    public com.scwang.smartrefresh.layout.b.j Q(@ColorRes int... iArr) {
        int[] iArr2 = new int[iArr.length];
        for (int i3 = 0; i3 < iArr.length; i3++) {
            iArr2[i3] = androidx.core.content.d.f(getContext(), iArr[i3]);
        }
        setPrimaryColors(iArr2);
        return this;
    }

    @Override // com.scwang.smartrefresh.layout.b.j
    public com.scwang.smartrefresh.layout.b.j R(int i3) {
        return N(i3, true, false);
    }

    @Override // com.scwang.smartrefresh.layout.b.j
    public boolean S() {
        int i3 = this.o2 ? 0 : 400;
        int i4 = this.P0;
        int i5 = this.R1;
        float f3 = ((this.X1 / 2.0f) + 0.5f) * ((float) i5) * 1.0f;
        if (i5 == 0) {
            i5 = 1;
        }
        return I(i3, i4, f3 / ((float) i5), true);
    }

    @Override // com.scwang.smartrefresh.layout.b.j
    public com.scwang.smartrefresh.layout.b.j T(boolean z) {
        this.p1 = z;
        this.G1 = true;
        return this;
    }

    @Override // com.scwang.smartrefresh.layout.b.j
    public com.scwang.smartrefresh.layout.b.j U(boolean z) {
        this.v1 = z;
        return this;
    }

    @Override // com.scwang.smartrefresh.layout.b.j
    public com.scwang.smartrefresh.layout.b.j V(boolean z) {
        this.C1 = z;
        return this;
    }

    @Override // com.scwang.smartrefresh.layout.b.j
    public com.scwang.smartrefresh.layout.b.j W(boolean z) {
        this.n1 = z;
        return this;
    }

    @Override // com.scwang.smartrefresh.layout.b.j
    public com.scwang.smartrefresh.layout.b.j X(boolean z) {
        this.x1 = z;
        return this;
    }

    @Override // com.scwang.smartrefresh.layout.b.j
    public com.scwang.smartrefresh.layout.b.j Y(boolean z) {
        this.o1 = z;
        return this;
    }

    @Override // com.scwang.smartrefresh.layout.b.j
    public com.scwang.smartrefresh.layout.b.j Z(float f3) {
        this.V0 = f3;
        return this;
    }

    @Override // com.scwang.smartrefresh.layout.b.j
    public com.scwang.smartrefresh.layout.b.j a(boolean z) {
        RefreshState refreshState = this.h2;
        if (refreshState == RefreshState.Refreshing && z) {
            G();
        } else if (refreshState == RefreshState.Loading && z) {
            t();
        } else if (this.D1 != z) {
            this.D1 = z;
            com.scwang.smartrefresh.layout.b.h hVar = this.c2;
            if (hVar instanceof com.scwang.smartrefresh.layout.b.f) {
                if (((com.scwang.smartrefresh.layout.b.f) hVar).a(z)) {
                    this.E1 = true;
                    if (this.D1 && this.r1 && this.L0 > 0 && this.c2.getSpinnerStyle() == com.scwang.smartrefresh.layout.constant.b.f20911a && s0(this.m1) && t0(this.l1, this.b2)) {
                        this.c2.getView().setTranslationY((float) this.L0);
                    }
                } else {
                    this.E1 = false;
                    new RuntimeException("Footer:" + this.c2 + " NoMoreData is not supported.(不支持NoMoreData，请使用[ClassicsFooter]或者[自定义Footer并实现setNoMoreData方法且返回true])").printStackTrace();
                }
            }
        }
        return this;
    }

    @Override // com.scwang.smartrefresh.layout.b.j
    public com.scwang.smartrefresh.layout.b.j a0(boolean z) {
        this.r1 = z;
        return this;
    }

    @Override // com.scwang.smartrefresh.layout.b.j
    public com.scwang.smartrefresh.layout.b.j b(com.scwang.smartrefresh.layout.b.k kVar) {
        this.L1 = kVar;
        com.scwang.smartrefresh.layout.b.e eVar = this.d2;
        if (eVar != null) {
            eVar.b(kVar);
        }
        return this;
    }

    @Override // com.scwang.smartrefresh.layout.b.j
    public com.scwang.smartrefresh.layout.b.j b0(float f3) {
        int d3 = com.scwang.smartrefresh.layout.d.b.d(f3);
        if (d3 == this.R1) {
            return this;
        }
        com.scwang.smartrefresh.layout.constant.a aVar = this.S1;
        com.scwang.smartrefresh.layout.constant.a aVar2 = com.scwang.smartrefresh.layout.constant.a.j;
        if (aVar.a(aVar2)) {
            this.R1 = d3;
            com.scwang.smartrefresh.layout.b.h hVar = this.b2;
            if (hVar == null || !this.o2 || !this.S1.o) {
                this.S1 = com.scwang.smartrefresh.layout.constant.a.i;
            } else {
                com.scwang.smartrefresh.layout.constant.b spinnerStyle = hVar.getSpinnerStyle();
                if (spinnerStyle != com.scwang.smartrefresh.layout.constant.b.f20915e && !spinnerStyle.i) {
                    View view = this.b2.getView();
                    ViewGroup.LayoutParams layoutParams = view.getLayoutParams();
                    ViewGroup.MarginLayoutParams marginLayoutParams = layoutParams instanceof ViewGroup.MarginLayoutParams ? (ViewGroup.MarginLayoutParams) layoutParams : J0;
                    int i3 = 0;
                    view.measure(View.MeasureSpec.makeMeasureSpec(view.getMeasuredWidth(), 1073741824), View.MeasureSpec.makeMeasureSpec(Math.max((this.R1 - marginLayoutParams.bottomMargin) - marginLayoutParams.topMargin, 0), 1073741824));
                    int i4 = marginLayoutParams.leftMargin;
                    int i5 = marginLayoutParams.topMargin + this.V1;
                    if (spinnerStyle == com.scwang.smartrefresh.layout.constant.b.f20911a) {
                        i3 = this.R1;
                    }
                    int i6 = i5 - i3;
                    view.layout(i4, i6, view.getMeasuredWidth() + i4, view.getMeasuredHeight() + i6);
                }
                this.S1 = aVar2;
                com.scwang.smartrefresh.layout.b.h hVar2 = this.b2;
                com.scwang.smartrefresh.layout.b.i iVar = this.g2;
                int i7 = this.R1;
                hVar2.i(iVar, i7, (int) (this.X1 * ((float) i7)));
            }
        }
        return this;
    }

    @Override // com.scwang.smartrefresh.layout.b.j
    public com.scwang.smartrefresh.layout.b.j c(boolean z) {
        this.z1 = z;
        com.scwang.smartrefresh.layout.b.e eVar = this.d2;
        if (eVar != null) {
            eVar.c(z);
        }
        return this;
    }

    @Override // com.scwang.smartrefresh.layout.b.j
    public com.scwang.smartrefresh.layout.b.j c0(int i3, boolean z, Boolean bool) {
        int i4 = i3 >> 16;
        int i5 = (i3 << 16) >> 16;
        g gVar = new g(i4, bool, z);
        if (i5 > 0) {
            this.f2.postDelayed(gVar, (long) i5);
        } else {
            gVar.run();
        }
        return this;
    }

    public void computeScroll() {
        float f3;
        this.h1.getCurrY();
        if (this.h1.computeScrollOffset()) {
            int finalY = this.h1.getFinalY();
            if ((finalY >= 0 || ((!this.l1 && !this.u1) || !this.d2.d())) && (finalY <= 0 || ((!this.m1 && !this.u1) || !this.d2.h()))) {
                this.q2 = true;
                invalidate();
                return;
            }
            if (this.q2) {
                if (Build.VERSION.SDK_INT >= 14) {
                    f3 = finalY > 0 ? -this.h1.getCurrVelocity() : this.h1.getCurrVelocity();
                } else {
                    f3 = (((float) (this.h1.getCurrY() - finalY)) * 1.0f) / ((float) Math.max(this.h1.getDuration() - this.h1.timePassed(), 1));
                }
                q0(f3);
            }
            this.h1.forceFinished(true);
        }
    }

    @Override // com.scwang.smartrefresh.layout.b.j
    @Deprecated
    public boolean d(int i3) {
        int i4 = this.P0;
        int i5 = this.R1;
        float f3 = ((this.X1 / 2.0f) + 0.5f) * ((float) i5) * 1.0f;
        if (i5 == 0) {
            i5 = 1;
        }
        return I(i3, i4, f3 / ((float) i5), false);
    }

    @Override // com.scwang.smartrefresh.layout.b.j
    public boolean d0() {
        int i3 = this.P0;
        int i4 = this.T1;
        float f3 = ((float) i4) * ((this.Y1 / 2.0f) + 0.5f) * 1.0f;
        if (i4 == 0) {
            i4 = 1;
        }
        return m(0, i3, f3 / ((float) i4), false);
    }

    /* JADX WARNING: Code restructure failed: missing block: B:62:0x00c6, code lost:
        if (r2.isFinishing == false) goto L_0x00cc;
     */
    /* JADX WARNING: Code restructure failed: missing block: B:64:0x00ca, code lost:
        if (r2.isHeader == false) goto L_0x00cc;
     */
    /* JADX WARNING: Code restructure failed: missing block: B:70:0x00d8, code lost:
        if (r2.isFinishing == false) goto L_0x00e0;
     */
    /* JADX WARNING: Code restructure failed: missing block: B:72:0x00dc, code lost:
        if (r2.isFooter == false) goto L_0x00e0;
     */
    /* JADX WARNING: Code restructure failed: missing block: B:91:0x0108, code lost:
        if (r6 != 3) goto L_0x0314;
     */
    public boolean dispatchTouchEvent(MotionEvent motionEvent) {
        RefreshState refreshState;
        char c3;
        com.scwang.smartrefresh.layout.b.h hVar;
        com.scwang.smartrefresh.layout.b.h hVar2;
        int actionMasked = motionEvent.getActionMasked();
        int i3 = 0;
        int i4 = 1;
        boolean z = actionMasked == 6;
        int actionIndex = z ? motionEvent.getActionIndex() : -1;
        int pointerCount = motionEvent.getPointerCount();
        float f3 = 0.0f;
        float f4 = 0.0f;
        for (int i5 = 0; i5 < pointerCount; i5++) {
            if (actionIndex != i5) {
                f3 += motionEvent.getX(i5);
                f4 += motionEvent.getY(i5);
            }
        }
        if (z) {
            pointerCount--;
        }
        float f5 = (float) pointerCount;
        float f6 = f3 / f5;
        float f7 = f4 / f5;
        if ((actionMasked == 6 || actionMasked == 5) && this.X0) {
            this.S0 += f7 - this.U0;
        }
        this.T0 = f6;
        this.U0 = f7;
        if (this.N1) {
            int i6 = this.M1;
            boolean dispatchTouchEvent = super.dispatchTouchEvent(motionEvent);
            if (actionMasked == 2 && i6 == this.M1) {
                int i7 = (int) this.T0;
                int width = getWidth();
                float f8 = this.T0;
                if (width != 0) {
                    i4 = width;
                }
                float f9 = f8 / ((float) i4);
                if (s0(this.l1) && this.L0 > 0 && (hVar2 = this.b2) != null && hVar2.g()) {
                    this.b2.d(f9, i7, width);
                } else if (s0(this.m1) && this.L0 < 0 && (hVar = this.c2) != null && hVar.g()) {
                    this.c2.d(f9, i7, width);
                }
            }
            return dispatchTouchEvent;
        }
        if (isEnabled() && (this.l1 || this.m1 || this.u1)) {
            if (this.m2) {
                RefreshState refreshState2 = this.h2;
                if (!refreshState2.isOpening) {
                }
            }
            if (this.n2) {
                RefreshState refreshState3 = this.h2;
                if (!refreshState3.isOpening) {
                }
            }
            if (!r0(actionMasked)) {
                RefreshState refreshState4 = this.h2;
                if (!refreshState4.isFinishing && ((refreshState4 != (refreshState = RefreshState.Loading) || !this.C1) && (refreshState4 != RefreshState.Refreshing || !this.B1))) {
                    if (actionMasked != 0) {
                        if (actionMasked != 1) {
                            if (actionMasked == 2) {
                                float f10 = f6 - this.R0;
                                float f11 = f7 - this.S0;
                                this.i1.addMovement(motionEvent);
                                if (!this.X0 && !this.Z0 && (c3 = this.W0) != 'h' && this.d2 != null) {
                                    if (c3 == 'v' || (Math.abs(f11) >= ((float) this.K0) && Math.abs(f10) < Math.abs(f11))) {
                                        this.W0 = 'v';
                                        if (f11 > 0.0f && (this.L0 < 0 || ((this.u1 || this.l1) && this.d2.d()))) {
                                            this.X0 = true;
                                            this.S0 = f7 - ((float) this.K0);
                                        } else if (f11 < 0.0f && (this.L0 > 0 || ((this.u1 || this.m1) && ((this.h2 == refreshState && this.p2) || this.d2.h())))) {
                                            this.X0 = true;
                                            this.S0 = ((float) this.K0) + f7;
                                        }
                                        if (this.X0) {
                                            f11 = f7 - this.S0;
                                            if (this.Y0) {
                                                motionEvent.setAction(3);
                                                super.dispatchTouchEvent(motionEvent);
                                            }
                                            com.scwang.smartrefresh.layout.b.i iVar = this.g2;
                                            int i8 = this.L0;
                                            iVar.b((i8 > 0 || (i8 == 0 && f11 > 0.0f)) ? RefreshState.PullDownToRefresh : RefreshState.PullUpToLoad);
                                            ViewParent parent = getParent();
                                            if (parent instanceof ViewGroup) {
                                                ((ViewGroup) parent).requestDisallowInterceptTouchEvent(true);
                                            }
                                        }
                                    } else if (Math.abs(f10) >= ((float) this.K0) && Math.abs(f10) > Math.abs(f11) && this.W0 != 'v') {
                                        this.W0 = 'h';
                                    }
                                }
                                if (this.X0) {
                                    int i9 = ((int) f11) + this.N0;
                                    RefreshState refreshState5 = this.i2;
                                    if ((refreshState5.isHeader && (i9 < 0 || this.M0 < 0)) || (refreshState5.isFooter && (i9 > 0 || this.M0 > 0))) {
                                        this.M0 = i9;
                                        long eventTime = motionEvent.getEventTime();
                                        if (this.r2 == null) {
                                            MotionEvent obtain = MotionEvent.obtain(eventTime, eventTime, 0, this.R0 + f10, this.S0, 0);
                                            this.r2 = obtain;
                                            super.dispatchTouchEvent(obtain);
                                        }
                                        MotionEvent obtain2 = MotionEvent.obtain(eventTime, eventTime, 2, this.R0 + f10, this.S0 + ((float) i9), 0);
                                        super.dispatchTouchEvent(obtain2);
                                        if (this.p2 && f11 > ((float) this.K0) && this.L0 < 0) {
                                            this.p2 = false;
                                        }
                                        if (i9 > 0 && ((this.u1 || this.l1) && this.d2.d())) {
                                            this.U0 = f7;
                                            this.S0 = f7;
                                            this.N0 = 0;
                                            this.g2.b(RefreshState.PullDownToRefresh);
                                        } else if (i9 >= 0 || ((!this.u1 && !this.m1) || !this.d2.h())) {
                                            i3 = i9;
                                        } else {
                                            this.U0 = f7;
                                            this.S0 = f7;
                                            this.N0 = 0;
                                            this.g2.b(RefreshState.PullUpToLoad);
                                        }
                                        RefreshState refreshState6 = this.i2;
                                        if ((!refreshState6.isHeader || i3 >= 0) && (!refreshState6.isFooter || i3 <= 0)) {
                                            if (this.r2 != null) {
                                                this.r2 = null;
                                                obtain2.setAction(3);
                                                super.dispatchTouchEvent(obtain2);
                                            }
                                            obtain2.recycle();
                                            i9 = i3;
                                        } else {
                                            if (this.L0 != 0) {
                                                u0(0.0f);
                                            }
                                            return true;
                                        }
                                    }
                                    u0((float) i9);
                                    return true;
                                } else if (this.p2 && f11 > ((float) this.K0) && this.L0 < 0) {
                                    this.p2 = false;
                                }
                            }
                            return super.dispatchTouchEvent(motionEvent);
                        }
                        this.i1.addMovement(motionEvent);
                        this.i1.computeCurrentVelocity(1000, (float) this.f1);
                        this.g1 = (int) this.i1.getYVelocity();
                        x0(0.0f);
                        this.i1.clear();
                        this.W0 = 'n';
                        MotionEvent motionEvent2 = this.r2;
                        if (motionEvent2 != null) {
                            motionEvent2.recycle();
                            this.r2 = null;
                            long eventTime2 = motionEvent.getEventTime();
                            MotionEvent obtain3 = MotionEvent.obtain(eventTime2, eventTime2, actionMasked, this.R0, f7, 0);
                            super.dispatchTouchEvent(obtain3);
                            obtain3.recycle();
                        }
                        w0();
                        if (this.X0) {
                            this.X0 = false;
                            return true;
                        }
                        return super.dispatchTouchEvent(motionEvent);
                    }
                    this.g1 = 0;
                    this.i1.addMovement(motionEvent);
                    this.h1.forceFinished(true);
                    this.R0 = f6;
                    this.S0 = f7;
                    this.M0 = 0;
                    this.N0 = this.L0;
                    this.X0 = false;
                    this.Z0 = false;
                    this.Y0 = super.dispatchTouchEvent(motionEvent);
                    if (this.h2 != RefreshState.TwoLevel || this.S0 >= (((float) getMeasuredHeight()) * 5.0f) / 6.0f) {
                        com.scwang.smartrefresh.layout.b.e eVar = this.d2;
                        if (eVar != null) {
                            eVar.e(motionEvent);
                        }
                        return true;
                    }
                    this.W0 = 'h';
                    return this.Y0;
                }
            }
            return false;
        }
        return super.dispatchTouchEvent(motionEvent);
    }

    /* access modifiers changed from: protected */
    public boolean drawChild(Canvas canvas, View view, long j3) {
        Paint paint;
        Paint paint2;
        com.scwang.smartrefresh.layout.b.e eVar = this.d2;
        View view2 = eVar != null ? eVar.getView() : null;
        com.scwang.smartrefresh.layout.b.h hVar = this.b2;
        if (hVar != null && hVar.getView() == view) {
            if (!s0(this.l1) || (!this.s1 && isInEditMode())) {
                return true;
            }
            if (view2 != null) {
                int max = Math.max(view2.getTop() + view2.getPaddingTop() + this.L0, view.getTop());
                int i3 = this.k2;
                if (!(i3 == 0 || (paint2 = this.e2) == null)) {
                    paint2.setColor(i3);
                    if (this.b2.getSpinnerStyle().i) {
                        max = view.getBottom();
                    } else if (this.b2.getSpinnerStyle() == com.scwang.smartrefresh.layout.constant.b.f20911a) {
                        max = view.getBottom() + this.L0;
                    }
                    canvas.drawRect(0.0f, (float) view.getTop(), (float) getWidth(), (float) max, this.e2);
                }
                if ((this.n1 && this.b2.getSpinnerStyle() == com.scwang.smartrefresh.layout.constant.b.f20913c) || this.b2.getSpinnerStyle().i) {
                    canvas.save();
                    canvas.clipRect(view.getLeft(), view.getTop(), view.getRight(), max);
                    boolean drawChild = super.drawChild(canvas, view, j3);
                    canvas.restore();
                    return drawChild;
                }
            }
        }
        com.scwang.smartrefresh.layout.b.h hVar2 = this.c2;
        if (hVar2 != null && hVar2.getView() == view) {
            if (!s0(this.m1) || (!this.s1 && isInEditMode())) {
                return true;
            }
            if (view2 != null) {
                int min = Math.min((view2.getBottom() - view2.getPaddingBottom()) + this.L0, view.getBottom());
                int i4 = this.l2;
                if (!(i4 == 0 || (paint = this.e2) == null)) {
                    paint.setColor(i4);
                    if (this.c2.getSpinnerStyle().i) {
                        min = view.getTop();
                    } else if (this.c2.getSpinnerStyle() == com.scwang.smartrefresh.layout.constant.b.f20911a) {
                        min = view.getTop() + this.L0;
                    }
                    canvas.drawRect(0.0f, (float) min, (float) getWidth(), (float) view.getBottom(), this.e2);
                }
                if ((this.o1 && this.c2.getSpinnerStyle() == com.scwang.smartrefresh.layout.constant.b.f20913c) || this.c2.getSpinnerStyle().i) {
                    canvas.save();
                    canvas.clipRect(view.getLeft(), min, view.getRight(), view.getBottom());
                    boolean drawChild2 = super.drawChild(canvas, view, j3);
                    canvas.restore();
                    return drawChild2;
                }
            }
        }
        return super.drawChild(canvas, view, j3);
    }

    @Override // com.scwang.smartrefresh.layout.b.j
    public boolean e() {
        int i3 = this.P0;
        int i4 = this.T1;
        float f3 = ((float) i4) * ((this.Y1 / 2.0f) + 0.5f) * 1.0f;
        if (i4 == 0) {
            i4 = 1;
        }
        return m(0, i3, f3 / ((float) i4), true);
    }

    @Override // com.scwang.smartrefresh.layout.b.j
    public com.scwang.smartrefresh.layout.b.j e0(boolean z) {
        this.y1 = z;
        return this;
    }

    @Override // com.scwang.smartrefresh.layout.b.j
    public com.scwang.smartrefresh.layout.b.j f(boolean z) {
        this.t1 = z;
        return this;
    }

    @Override // com.scwang.smartrefresh.layout.b.j
    public com.scwang.smartrefresh.layout.b.j f0(boolean z) {
        this.F1 = true;
        this.m1 = z;
        return this;
    }

    @Override // com.scwang.smartrefresh.layout.b.j
    public com.scwang.smartrefresh.layout.b.j g() {
        return F(true);
    }

    @Override // com.scwang.smartrefresh.layout.b.j
    @Deprecated
    public com.scwang.smartrefresh.layout.b.j g0(boolean z) {
        this.r1 = z;
        return this;
    }

    @Override // android.view.ViewGroup
    public ViewGroup.LayoutParams generateLayoutParams(AttributeSet attributeSet) {
        return new LayoutParams(getContext(), attributeSet);
    }

    @Override // com.scwang.smartrefresh.layout.b.j
    @NonNull
    public ViewGroup getLayout() {
        return this;
    }

    @Override // androidx.core.view.NestedScrollingParent
    public int getNestedScrollAxes() {
        return this.Q1.getNestedScrollAxes();
    }

    @Override // com.scwang.smartrefresh.layout.b.j
    @Nullable
    public com.scwang.smartrefresh.layout.b.f getRefreshFooter() {
        com.scwang.smartrefresh.layout.b.h hVar = this.c2;
        if (hVar instanceof com.scwang.smartrefresh.layout.b.f) {
            return (com.scwang.smartrefresh.layout.b.f) hVar;
        }
        return null;
    }

    @Override // com.scwang.smartrefresh.layout.b.j
    @Nullable
    public com.scwang.smartrefresh.layout.b.g getRefreshHeader() {
        com.scwang.smartrefresh.layout.b.h hVar = this.b2;
        if (hVar instanceof com.scwang.smartrefresh.layout.b.g) {
            return (com.scwang.smartrefresh.layout.b.g) hVar;
        }
        return null;
    }

    @Override // com.scwang.smartrefresh.layout.b.j
    @NonNull
    public RefreshState getState() {
        return this.h2;
    }

    @Override // com.scwang.smartrefresh.layout.b.j
    public com.scwang.smartrefresh.layout.b.j h() {
        RefreshState refreshState;
        RefreshState refreshState2 = this.h2;
        RefreshState refreshState3 = RefreshState.None;
        if (refreshState2 == refreshState3 && ((refreshState = this.i2) == RefreshState.Refreshing || refreshState == RefreshState.Loading)) {
            this.i2 = refreshState3;
        }
        if (refreshState2 == RefreshState.Refreshing) {
            H();
        } else if (refreshState2 == RefreshState.Loading) {
            g();
        } else if (this.g2.f(0) == null) {
            v0(refreshState3);
        } else if (this.h2.isHeader) {
            v0(RefreshState.PullDownCanceled);
        } else {
            v0(RefreshState.PullUpCanceled);
        }
        return this;
    }

    @Override // com.scwang.smartrefresh.layout.b.j
    public com.scwang.smartrefresh.layout.b.j h0(com.scwang.smartrefresh.layout.c.d dVar) {
        this.I1 = dVar;
        return this;
    }

    @Override // com.scwang.smartrefresh.layout.b.j
    public com.scwang.smartrefresh.layout.b.j i(boolean z) {
        this.B1 = z;
        return this;
    }

    @Override // com.scwang.smartrefresh.layout.b.j
    public com.scwang.smartrefresh.layout.b.j i0(boolean z) {
        setNestedScrollingEnabled(z);
        return this;
    }

    public boolean isNestedScrollingEnabled() {
        return this.A1 && (this.u1 || this.l1 || this.m1);
    }

    @Override // com.scwang.smartrefresh.layout.b.j
    public com.scwang.smartrefresh.layout.b.j j(@NonNull View view) {
        return s(view, 0, 0);
    }

    @Override // com.scwang.smartrefresh.layout.b.j
    public com.scwang.smartrefresh.layout.b.j k(boolean z) {
        if (z) {
            return c0(Math.min(Math.max(0, 300 - ((int) (System.currentTimeMillis() - this.j2))), 300) << 16, true, Boolean.FALSE);
        }
        return c0(0, false, null);
    }

    @Override // com.scwang.smartrefresh.layout.b.j
    public com.scwang.smartrefresh.layout.b.j l(float f3) {
        this.Y1 = f3;
        com.scwang.smartrefresh.layout.b.h hVar = this.c2;
        if (hVar == null || !this.o2) {
            this.U1 = this.U1.c();
        } else {
            com.scwang.smartrefresh.layout.b.i iVar = this.g2;
            int i3 = this.T1;
            hVar.i(iVar, i3, (int) (((float) i3) * f3));
        }
        return this;
    }

    @Override // com.scwang.smartrefresh.layout.b.j
    public boolean m(int i3, int i4, float f3, boolean z) {
        if (this.h2 != RefreshState.None || !s0(this.m1) || this.D1) {
            return false;
        }
        j jVar = new j(f3, i4, z);
        setViceState(RefreshState.Loading);
        if (i3 > 0) {
            this.f2.postDelayed(jVar, (long) i3);
            return true;
        }
        jVar.run();
        return true;
    }

    @Override // com.scwang.smartrefresh.layout.b.j
    public com.scwang.smartrefresh.layout.b.j n(int i3) {
        this.P0 = i3;
        return this;
    }

    @Override // com.scwang.smartrefresh.layout.b.j
    public com.scwang.smartrefresh.layout.b.j o(float f3) {
        this.a2 = f3;
        return this;
    }

    /* access modifiers changed from: protected */
    public void onAttachedToWindow() {
        com.scwang.smartrefresh.layout.b.h hVar;
        super.onAttachedToWindow();
        boolean z = true;
        this.o2 = true;
        if (!isInEditMode()) {
            if (this.b2 == null) {
                com.scwang.smartrefresh.layout.b.b bVar = f20868b;
                if (bVar != null) {
                    u(bVar.a(getContext(), this));
                } else {
                    u(new BezierRadarHeader(getContext()));
                }
            }
            if (this.c2 == null) {
                com.scwang.smartrefresh.layout.b.a aVar = f20867a;
                if (aVar != null) {
                    E(aVar.a(getContext(), this));
                } else {
                    boolean z2 = this.m1;
                    E(new BallPulseFooter(getContext()));
                    this.m1 = z2;
                }
            } else {
                if (!this.m1 && this.F1) {
                    z = false;
                }
                this.m1 = z;
            }
            if (this.d2 == null) {
                int childCount = getChildCount();
                for (int i3 = 0; i3 < childCount; i3++) {
                    View childAt = getChildAt(i3);
                    com.scwang.smartrefresh.layout.b.h hVar2 = this.b2;
                    if ((hVar2 == null || childAt != hVar2.getView()) && ((hVar = this.c2) == null || childAt != hVar.getView())) {
                        this.d2 = new com.scwang.smartrefresh.layout.impl.a(childAt);
                    }
                }
            }
            if (this.d2 == null) {
                int d3 = com.scwang.smartrefresh.layout.d.b.d(20.0f);
                TextView textView = new TextView(getContext());
                textView.setTextColor(-39424);
                textView.setGravity(17);
                textView.setTextSize(20.0f);
                textView.setText(R.string.srl_content_empty);
                super.addView(textView, 0, new LayoutParams(-1, -1));
                com.scwang.smartrefresh.layout.impl.a aVar2 = new com.scwang.smartrefresh.layout.impl.a(textView);
                this.d2 = aVar2;
                aVar2.getView().setPadding(d3, d3, d3, d3);
            }
            View findViewById = findViewById(this.a1);
            View findViewById2 = findViewById(this.b1);
            this.d2.b(this.L1);
            this.d2.c(this.z1);
            this.d2.j(this.g2, findViewById, findViewById2);
            if (this.L0 != 0) {
                v0(RefreshState.None);
                com.scwang.smartrefresh.layout.b.e eVar = this.d2;
                this.L0 = 0;
                eVar.f(0, this.c1, this.d1);
            }
        }
        int[] iArr = this.k1;
        if (iArr != null) {
            com.scwang.smartrefresh.layout.b.h hVar3 = this.b2;
            if (hVar3 != null) {
                hVar3.setPrimaryColors(iArr);
            }
            com.scwang.smartrefresh.layout.b.h hVar4 = this.c2;
            if (hVar4 != null) {
                hVar4.setPrimaryColors(this.k1);
            }
        }
        com.scwang.smartrefresh.layout.b.e eVar2 = this.d2;
        if (eVar2 != null) {
            super.bringChildToFront(eVar2.getView());
        }
        com.scwang.smartrefresh.layout.b.h hVar5 = this.b2;
        if (hVar5 != null && hVar5.getSpinnerStyle().h) {
            super.bringChildToFront(this.b2.getView());
        }
        com.scwang.smartrefresh.layout.b.h hVar6 = this.c2;
        if (hVar6 != null && hVar6.getSpinnerStyle().h) {
            super.bringChildToFront(this.c2.getView());
        }
    }

    /* access modifiers changed from: protected */
    public void onDetachedFromWindow() {
        super.onDetachedFromWindow();
        this.o2 = false;
        this.g2.k(0, true);
        v0(RefreshState.None);
        Handler handler = this.f2;
        if (handler != null) {
            handler.removeCallbacksAndMessages(null);
        }
        this.F1 = true;
        this.s2 = null;
        ValueAnimator valueAnimator = this.t2;
        if (valueAnimator != null) {
            valueAnimator.removeAllListeners();
            this.t2.removeAllUpdateListeners();
            this.t2.setDuration(0L);
            this.t2.cancel();
            this.t2 = null;
        }
        this.p2 = false;
    }

    /* JADX WARNING: Removed duplicated region for block: B:30:0x0052  */
    public void onFinishInflate() {
        int i3;
        int i4;
        int i5;
        super.onFinishInflate();
        int childCount = super.getChildCount();
        if (childCount <= 3) {
            int i6 = 0;
            int i7 = -1;
            char c3 = 0;
            while (true) {
                i3 = 2;
                if (i6 >= childCount) {
                    break;
                }
                View childAt = super.getChildAt(i6);
                if (com.scwang.smartrefresh.layout.d.b.f(childAt) && (c3 < 2 || i6 == 1)) {
                    i7 = i6;
                    c3 = 2;
                } else if (!(childAt instanceof com.scwang.smartrefresh.layout.b.h) && c3 < 1) {
                    c3 = i6 > 0 ? (char) 1 : 0;
                    i7 = i6;
                }
                i6++;
            }
            if (i7 >= 0) {
                this.d2 = new com.scwang.smartrefresh.layout.impl.a(super.getChildAt(i7));
                if (i7 == 1) {
                    if (childCount == 3) {
                        i4 = 0;
                    } else {
                        i4 = 0;
                        i3 = -1;
                    }
                } else if (childCount == 2) {
                    i4 = -1;
                    i3 = 1;
                }
                for (i5 = 0; i5 < childCount; i5++) {
                    View childAt2 = super.getChildAt(i5);
                    if (i5 == i4 || (i5 != i3 && i4 == -1 && this.b2 == null && (childAt2 instanceof com.scwang.smartrefresh.layout.b.g))) {
                        this.b2 = childAt2 instanceof com.scwang.smartrefresh.layout.b.g ? (com.scwang.smartrefresh.layout.b.g) childAt2 : new RefreshHeaderWrapper(childAt2);
                    } else if (i5 == i3 || (i3 == -1 && (childAt2 instanceof com.scwang.smartrefresh.layout.b.f))) {
                        this.m1 = this.m1 || !this.F1;
                        this.c2 = childAt2 instanceof com.scwang.smartrefresh.layout.b.f ? (com.scwang.smartrefresh.layout.b.f) childAt2 : new RefreshFooterWrapper(childAt2);
                    }
                }
                return;
            }
            i4 = -1;
            i3 = -1;
            while (i5 < childCount) {
            }
            return;
        }
        throw new RuntimeException("最多只支持3个子View，Most only support three sub view");
    }

    /* access modifiers changed from: protected */
    public void onLayout(boolean z, int i3, int i4, int i5, int i6) {
        int i7;
        int paddingLeft = getPaddingLeft();
        int paddingTop = getPaddingTop();
        getPaddingBottom();
        int childCount = super.getChildCount();
        for (int i8 = 0; i8 < childCount; i8++) {
            View childAt = super.getChildAt(i8);
            if (!(childAt.getVisibility() == 8 || childAt.getTag(R.string.srl_component_falsify) == childAt)) {
                com.scwang.smartrefresh.layout.b.e eVar = this.d2;
                boolean z2 = true;
                if (eVar != null && eVar.getView() == childAt) {
                    boolean z3 = isInEditMode() && this.s1 && s0(this.l1) && this.b2 != null;
                    View view = this.d2.getView();
                    ViewGroup.LayoutParams layoutParams = view.getLayoutParams();
                    ViewGroup.MarginLayoutParams marginLayoutParams = layoutParams instanceof ViewGroup.MarginLayoutParams ? (ViewGroup.MarginLayoutParams) layoutParams : J0;
                    int i9 = marginLayoutParams.leftMargin + paddingLeft;
                    int i10 = marginLayoutParams.topMargin + paddingTop;
                    int measuredWidth = view.getMeasuredWidth() + i9;
                    int measuredHeight = view.getMeasuredHeight() + i10;
                    if (z3 && t0(this.p1, this.b2)) {
                        int i11 = this.R1;
                        i10 += i11;
                        measuredHeight += i11;
                    }
                    view.layout(i9, i10, measuredWidth, measuredHeight);
                }
                com.scwang.smartrefresh.layout.b.h hVar = this.b2;
                if (hVar != null && hVar.getView() == childAt) {
                    boolean z4 = isInEditMode() && this.s1 && s0(this.l1);
                    View view2 = this.b2.getView();
                    ViewGroup.LayoutParams layoutParams2 = view2.getLayoutParams();
                    ViewGroup.MarginLayoutParams marginLayoutParams2 = layoutParams2 instanceof ViewGroup.MarginLayoutParams ? (ViewGroup.MarginLayoutParams) layoutParams2 : J0;
                    int i12 = marginLayoutParams2.leftMargin;
                    int i13 = marginLayoutParams2.topMargin + this.V1;
                    int measuredWidth2 = view2.getMeasuredWidth() + i12;
                    int measuredHeight2 = view2.getMeasuredHeight() + i13;
                    if (!z4 && this.b2.getSpinnerStyle() == com.scwang.smartrefresh.layout.constant.b.f20911a) {
                        int i14 = this.R1;
                        i13 -= i14;
                        measuredHeight2 -= i14;
                    }
                    view2.layout(i12, i13, measuredWidth2, measuredHeight2);
                }
                com.scwang.smartrefresh.layout.b.h hVar2 = this.c2;
                if (hVar2 != null && hVar2.getView() == childAt) {
                    if (!isInEditMode() || !this.s1 || !s0(this.m1)) {
                        z2 = false;
                    }
                    View view3 = this.c2.getView();
                    ViewGroup.LayoutParams layoutParams3 = view3.getLayoutParams();
                    ViewGroup.MarginLayoutParams marginLayoutParams3 = layoutParams3 instanceof ViewGroup.MarginLayoutParams ? (ViewGroup.MarginLayoutParams) layoutParams3 : J0;
                    com.scwang.smartrefresh.layout.constant.b spinnerStyle = this.c2.getSpinnerStyle();
                    int i15 = marginLayoutParams3.leftMargin;
                    int measuredHeight3 = (marginLayoutParams3.topMargin + getMeasuredHeight()) - this.W1;
                    if (this.D1 && this.E1 && this.r1 && this.d2 != null && this.c2.getSpinnerStyle() == com.scwang.smartrefresh.layout.constant.b.f20911a && s0(this.m1)) {
                        View view4 = this.d2.getView();
                        ViewGroup.LayoutParams layoutParams4 = view4.getLayoutParams();
                        measuredHeight3 = view4.getMeasuredHeight() + paddingTop + paddingTop + (layoutParams4 instanceof ViewGroup.MarginLayoutParams ? ((ViewGroup.MarginLayoutParams) layoutParams4).topMargin : 0);
                    }
                    if (spinnerStyle == com.scwang.smartrefresh.layout.constant.b.f20915e) {
                        measuredHeight3 = marginLayoutParams3.topMargin - this.W1;
                    } else {
                        if (z2 || spinnerStyle == com.scwang.smartrefresh.layout.constant.b.f20914d || spinnerStyle == com.scwang.smartrefresh.layout.constant.b.f20913c) {
                            i7 = this.T1;
                        } else if (spinnerStyle.i && this.L0 < 0) {
                            i7 = Math.max(s0(this.m1) ? -this.L0 : 0, 0);
                        }
                        measuredHeight3 -= i7;
                    }
                    view3.layout(i15, measuredHeight3, view3.getMeasuredWidth() + i15, view3.getMeasuredHeight() + measuredHeight3);
                }
            }
        }
    }

    /* access modifiers changed from: protected */
    /* JADX WARNING: Removed duplicated region for block: B:106:0x020d  */
    /* JADX WARNING: Removed duplicated region for block: B:109:0x0226  */
    /* JADX WARNING: Removed duplicated region for block: B:94:0x01e6  */
    /* JADX WARNING: Removed duplicated region for block: B:96:0x01ec  */
    public void onMeasure(int i3, int i4) {
        int i5;
        int i6;
        com.scwang.smartrefresh.layout.constant.a aVar;
        int i7;
        int i8;
        boolean z = isInEditMode() && this.s1;
        int childCount = super.getChildCount();
        int i9 = 0;
        for (int i10 = 0; i10 < childCount; i10++) {
            View childAt = super.getChildAt(i10);
            if (childAt.getVisibility() != 8 && childAt.getTag(R.string.srl_component_falsify) != childAt) {
                com.scwang.smartrefresh.layout.b.h hVar = this.b2;
                if (hVar != null && hVar.getView() == childAt) {
                    View view = this.b2.getView();
                    ViewGroup.LayoutParams layoutParams = view.getLayoutParams();
                    ViewGroup.MarginLayoutParams marginLayoutParams = layoutParams instanceof ViewGroup.MarginLayoutParams ? (ViewGroup.MarginLayoutParams) layoutParams : J0;
                    int childMeasureSpec = ViewGroup.getChildMeasureSpec(i3, marginLayoutParams.leftMargin + marginLayoutParams.rightMargin, layoutParams.width);
                    int i11 = this.R1;
                    com.scwang.smartrefresh.layout.constant.a aVar2 = this.S1;
                    if (aVar2.n < com.scwang.smartrefresh.layout.constant.a.g.n) {
                        int i12 = layoutParams.height;
                        if (i12 > 0) {
                            int i13 = i12 + marginLayoutParams.bottomMargin + marginLayoutParams.topMargin;
                            com.scwang.smartrefresh.layout.constant.a aVar3 = com.scwang.smartrefresh.layout.constant.a.f20910e;
                            if (aVar2.a(aVar3)) {
                                this.R1 = layoutParams.height + marginLayoutParams.bottomMargin + marginLayoutParams.topMargin;
                                this.S1 = aVar3;
                            }
                            i11 = i13;
                        } else if (i12 == -2 && (this.b2.getSpinnerStyle() != com.scwang.smartrefresh.layout.constant.b.f20915e || !this.S1.o)) {
                            int max = Math.max((View.MeasureSpec.getSize(i4) - marginLayoutParams.bottomMargin) - marginLayoutParams.topMargin, 0);
                            view.measure(childMeasureSpec, View.MeasureSpec.makeMeasureSpec(max, Integer.MIN_VALUE));
                            int measuredHeight = view.getMeasuredHeight();
                            if (measuredHeight > 0) {
                                if (measuredHeight != max) {
                                    com.scwang.smartrefresh.layout.constant.a aVar4 = this.S1;
                                    com.scwang.smartrefresh.layout.constant.a aVar5 = com.scwang.smartrefresh.layout.constant.a.f20908c;
                                    if (aVar4.a(aVar5)) {
                                        this.R1 = measuredHeight + marginLayoutParams.bottomMargin + marginLayoutParams.topMargin;
                                        this.S1 = aVar5;
                                    }
                                }
                                i11 = -1;
                            }
                        }
                    }
                    if (this.b2.getSpinnerStyle() == com.scwang.smartrefresh.layout.constant.b.f20915e) {
                        i11 = View.MeasureSpec.getSize(i4);
                        i8 = -1;
                        i7 = 0;
                    } else {
                        if (!this.b2.getSpinnerStyle().i || z) {
                            i7 = 0;
                        } else {
                            i7 = 0;
                            i11 = Math.max(0, s0(this.l1) ? this.L0 : 0);
                        }
                        i8 = -1;
                    }
                    if (i11 != i8) {
                        view.measure(childMeasureSpec, View.MeasureSpec.makeMeasureSpec(Math.max((i11 - marginLayoutParams.bottomMargin) - marginLayoutParams.topMargin, i7), 1073741824));
                    }
                    com.scwang.smartrefresh.layout.constant.a aVar6 = this.S1;
                    if (!aVar6.o) {
                        this.S1 = aVar6.b();
                        com.scwang.smartrefresh.layout.b.h hVar2 = this.b2;
                        com.scwang.smartrefresh.layout.b.i iVar = this.g2;
                        int i14 = this.R1;
                        hVar2.i(iVar, i14, (int) (this.X1 * ((float) i14)));
                    }
                    if (z && s0(this.l1)) {
                        i9 += view.getMeasuredHeight();
                    }
                }
                com.scwang.smartrefresh.layout.b.h hVar3 = this.c2;
                if (hVar3 != null && hVar3.getView() == childAt) {
                    View view2 = this.c2.getView();
                    ViewGroup.LayoutParams layoutParams2 = view2.getLayoutParams();
                    ViewGroup.MarginLayoutParams marginLayoutParams2 = layoutParams2 instanceof ViewGroup.MarginLayoutParams ? (ViewGroup.MarginLayoutParams) layoutParams2 : J0;
                    int childMeasureSpec2 = ViewGroup.getChildMeasureSpec(i3, marginLayoutParams2.leftMargin + marginLayoutParams2.rightMargin, layoutParams2.width);
                    int i15 = this.T1;
                    com.scwang.smartrefresh.layout.constant.a aVar7 = this.U1;
                    if (aVar7.n < com.scwang.smartrefresh.layout.constant.a.g.n) {
                        int i16 = layoutParams2.height;
                        if (i16 > 0) {
                            i15 = marginLayoutParams2.bottomMargin + i16 + marginLayoutParams2.topMargin;
                            com.scwang.smartrefresh.layout.constant.a aVar8 = com.scwang.smartrefresh.layout.constant.a.f20910e;
                            if (aVar7.a(aVar8)) {
                                this.T1 = layoutParams2.height + marginLayoutParams2.topMargin + marginLayoutParams2.bottomMargin;
                                this.U1 = aVar8;
                            }
                        } else if (i16 == -2 && (this.c2.getSpinnerStyle() != com.scwang.smartrefresh.layout.constant.b.f20915e || !this.U1.o)) {
                            int max2 = Math.max((View.MeasureSpec.getSize(i4) - marginLayoutParams2.bottomMargin) - marginLayoutParams2.topMargin, 0);
                            view2.measure(childMeasureSpec2, View.MeasureSpec.makeMeasureSpec(max2, Integer.MIN_VALUE));
                            int measuredHeight2 = view2.getMeasuredHeight();
                            if (measuredHeight2 > 0) {
                                if (measuredHeight2 != max2) {
                                    com.scwang.smartrefresh.layout.constant.a aVar9 = this.U1;
                                    com.scwang.smartrefresh.layout.constant.a aVar10 = com.scwang.smartrefresh.layout.constant.a.f20908c;
                                    if (aVar9.a(aVar10)) {
                                        this.T1 = measuredHeight2 + marginLayoutParams2.topMargin + marginLayoutParams2.bottomMargin;
                                        this.U1 = aVar10;
                                    }
                                }
                                i5 = -1;
                                if (this.c2.getSpinnerStyle() != com.scwang.smartrefresh.layout.constant.b.f20915e) {
                                    i5 = View.MeasureSpec.getSize(i4);
                                } else if (this.c2.getSpinnerStyle().i && !z) {
                                    i6 = 0;
                                    i5 = Math.max(0, s0(this.m1) ? -this.L0 : 0);
                                    if (i5 != -1) {
                                        view2.measure(childMeasureSpec2, View.MeasureSpec.makeMeasureSpec(Math.max((i5 - marginLayoutParams2.bottomMargin) - marginLayoutParams2.topMargin, i6), 1073741824));
                                    }
                                    aVar = this.U1;
                                    if (!aVar.o) {
                                        this.U1 = aVar.b();
                                        com.scwang.smartrefresh.layout.b.h hVar4 = this.c2;
                                        com.scwang.smartrefresh.layout.b.i iVar2 = this.g2;
                                        int i17 = this.T1;
                                        hVar4.i(iVar2, i17, (int) (this.Y1 * ((float) i17)));
                                    }
                                    if (z && s0(this.m1)) {
                                        i9 += view2.getMeasuredHeight();
                                    }
                                }
                                i6 = 0;
                                if (i5 != -1) {
                                }
                                aVar = this.U1;
                                if (!aVar.o) {
                                }
                                i9 += view2.getMeasuredHeight();
                            }
                        }
                    }
                    i5 = i15;
                    if (this.c2.getSpinnerStyle() != com.scwang.smartrefresh.layout.constant.b.f20915e) {
                    }
                    i6 = 0;
                    if (i5 != -1) {
                    }
                    aVar = this.U1;
                    if (!aVar.o) {
                    }
                    i9 += view2.getMeasuredHeight();
                }
                com.scwang.smartrefresh.layout.b.e eVar = this.d2;
                if (eVar != null && eVar.getView() == childAt) {
                    View view3 = this.d2.getView();
                    ViewGroup.LayoutParams layoutParams3 = view3.getLayoutParams();
                    ViewGroup.MarginLayoutParams marginLayoutParams3 = layoutParams3 instanceof ViewGroup.MarginLayoutParams ? (ViewGroup.MarginLayoutParams) layoutParams3 : J0;
                    view3.measure(ViewGroup.getChildMeasureSpec(i3, getPaddingLeft() + getPaddingRight() + marginLayoutParams3.leftMargin + marginLayoutParams3.rightMargin, layoutParams3.width), ViewGroup.getChildMeasureSpec(i4, getPaddingTop() + getPaddingBottom() + marginLayoutParams3.topMargin + marginLayoutParams3.bottomMargin + ((!z || !(this.b2 != null && s0(this.l1) && t0(this.p1, this.b2))) ? 0 : this.R1) + ((!z || !(this.c2 != null && s0(this.m1) && t0(this.q1, this.c2))) ? 0 : this.T1), layoutParams3.height));
                    i9 += view3.getMeasuredHeight();
                }
            }
        }
        super.setMeasuredDimension(View.resolveSize(super.getSuggestedMinimumWidth(), i3), View.resolveSize(i9, i4));
        this.T0 = ((float) getMeasuredWidth()) / 2.0f;
    }

    @Override // androidx.core.view.NestedScrollingParent
    public boolean onNestedFling(@NonNull View view, float f3, float f4, boolean z) {
        return this.P1.dispatchNestedFling(f3, f4, z);
    }

    @Override // androidx.core.view.NestedScrollingParent
    public boolean onNestedPreFling(@NonNull View view, float f3, float f4) {
        return (this.p2 && f4 > 0.0f) || x0(-f4) || this.P1.dispatchNestedPreFling(f3, f4);
    }

    @Override // androidx.core.view.NestedScrollingParent
    public void onNestedPreScroll(@NonNull View view, int i3, int i4, @NonNull int[] iArr) {
        int i5 = this.M1;
        int i6 = 0;
        if (i4 * i5 > 0) {
            if (Math.abs(i4) > Math.abs(this.M1)) {
                int i7 = this.M1;
                this.M1 = 0;
                i6 = i7;
            } else {
                this.M1 -= i4;
                i6 = i4;
            }
            u0((float) this.M1);
        } else if (i4 > 0 && this.p2) {
            int i8 = i5 - i4;
            this.M1 = i8;
            u0((float) i8);
            i6 = i4;
        }
        this.P1.dispatchNestedPreScroll(i3, i4 - i6, iArr, null);
        iArr[1] = iArr[1] + i6;
    }

    @Override // androidx.core.view.NestedScrollingParent
    public void onNestedScroll(@NonNull View view, int i3, int i4, int i5, int i6) {
        com.scwang.smartrefresh.layout.b.k kVar;
        com.scwang.smartrefresh.layout.b.k kVar2;
        boolean dispatchNestedScroll = this.P1.dispatchNestedScroll(i3, i4, i5, i6, this.O1);
        int i7 = i6 + this.O1[1];
        if ((i7 < 0 && ((this.l1 || this.u1) && (this.M1 != 0 || (kVar2 = this.L1) == null || kVar2.a(this.d2.getView())))) || (i7 > 0 && ((this.m1 || this.u1) && (this.M1 != 0 || (kVar = this.L1) == null || kVar.b(this.d2.getView()))))) {
            RefreshState refreshState = this.i2;
            if (refreshState == RefreshState.None || refreshState.isOpening) {
                this.g2.b(i7 > 0 ? RefreshState.PullUpToLoad : RefreshState.PullDownToRefresh);
                if (!dispatchNestedScroll) {
                    ViewParent parent = getParent();
                    if (parent instanceof ViewGroup) {
                        ((ViewGroup) parent).requestDisallowInterceptTouchEvent(true);
                    }
                }
            }
            int i8 = this.M1 - i7;
            this.M1 = i8;
            u0((float) i8);
        }
        if (this.p2 && i4 < 0) {
            this.p2 = false;
        }
    }

    @Override // androidx.core.view.NestedScrollingParent
    public void onNestedScrollAccepted(@NonNull View view, @NonNull View view2, int i3) {
        this.Q1.onNestedScrollAccepted(view, view2, i3);
        this.P1.startNestedScroll(i3 & 2);
        this.M1 = this.L0;
        this.N1 = true;
        r0(0);
    }

    @Override // androidx.core.view.NestedScrollingParent
    public boolean onStartNestedScroll(@NonNull View view, @NonNull View view2, int i3) {
        if (!(isEnabled() && isNestedScrollingEnabled() && (i3 & 2) != 0) || (!this.u1 && !this.l1 && !this.m1)) {
            return false;
        }
        return true;
    }

    @Override // androidx.core.view.NestedScrollingParent
    public void onStopNestedScroll(@NonNull View view) {
        this.Q1.onStopNestedScroll(view);
        this.N1 = false;
        this.M1 = 0;
        w0();
        this.P1.stopNestedScroll();
    }

    @Override // com.scwang.smartrefresh.layout.b.j
    public com.scwang.smartrefresh.layout.b.j p(boolean z) {
        this.q1 = z;
        this.H1 = true;
        return this;
    }

    /* access modifiers changed from: protected */
    public ValueAnimator p0(int i3, int i4, Interpolator interpolator, int i5) {
        if (this.L0 == i3) {
            return null;
        }
        ValueAnimator valueAnimator = this.t2;
        if (valueAnimator != null) {
            valueAnimator.setDuration(0L);
            this.t2.cancel();
            this.t2 = null;
        }
        this.s2 = null;
        ValueAnimator ofInt = ValueAnimator.ofInt(this.L0, i3);
        this.t2 = ofInt;
        ofInt.setDuration((long) i5);
        this.t2.setInterpolator(interpolator);
        this.t2.addListener(new d());
        this.t2.addUpdateListener(new e());
        this.t2.setStartDelay((long) i4);
        this.t2.start();
        return this.t2;
    }

    @Override // com.scwang.smartrefresh.layout.b.j
    public com.scwang.smartrefresh.layout.b.j q(float f3) {
        int d3 = com.scwang.smartrefresh.layout.d.b.d(f3);
        if (d3 == this.T1) {
            return this;
        }
        com.scwang.smartrefresh.layout.constant.a aVar = this.U1;
        com.scwang.smartrefresh.layout.constant.a aVar2 = com.scwang.smartrefresh.layout.constant.a.j;
        if (aVar.a(aVar2)) {
            this.T1 = d3;
            com.scwang.smartrefresh.layout.b.h hVar = this.c2;
            if (hVar == null || !this.o2 || !this.U1.o) {
                this.U1 = com.scwang.smartrefresh.layout.constant.a.i;
            } else {
                com.scwang.smartrefresh.layout.constant.b spinnerStyle = hVar.getSpinnerStyle();
                if (spinnerStyle != com.scwang.smartrefresh.layout.constant.b.f20915e && !spinnerStyle.i) {
                    View view = this.c2.getView();
                    ViewGroup.LayoutParams layoutParams = view.getLayoutParams();
                    ViewGroup.MarginLayoutParams marginLayoutParams = layoutParams instanceof ViewGroup.MarginLayoutParams ? (ViewGroup.MarginLayoutParams) layoutParams : J0;
                    int i3 = 0;
                    view.measure(View.MeasureSpec.makeMeasureSpec(view.getMeasuredWidth(), 1073741824), View.MeasureSpec.makeMeasureSpec(Math.max((this.T1 - marginLayoutParams.bottomMargin) - marginLayoutParams.topMargin, 0), 1073741824));
                    int i4 = marginLayoutParams.leftMargin;
                    int measuredHeight = (marginLayoutParams.topMargin + getMeasuredHeight()) - this.W1;
                    if (spinnerStyle != com.scwang.smartrefresh.layout.constant.b.f20911a) {
                        i3 = this.T1;
                    }
                    int i5 = measuredHeight - i3;
                    view.layout(i4, i5, view.getMeasuredWidth() + i4, view.getMeasuredHeight() + i5);
                }
                this.U1 = aVar2;
                com.scwang.smartrefresh.layout.b.h hVar2 = this.c2;
                com.scwang.smartrefresh.layout.b.i iVar = this.g2;
                int i6 = this.T1;
                hVar2.i(iVar, i6, (int) (this.Y1 * ((float) i6)));
            }
        }
        return this;
    }

    /* access modifiers changed from: protected */
    public void q0(float f3) {
        RefreshState refreshState;
        if (this.t2 != null) {
            return;
        }
        if (f3 > 0.0f && ((refreshState = this.h2) == RefreshState.Refreshing || refreshState == RefreshState.TwoLevel)) {
            this.s2 = new k(f3, this.R1);
        } else if (f3 < 0.0f && (this.h2 == RefreshState.Loading || ((this.r1 && this.D1 && this.E1 && s0(this.m1)) || (this.v1 && !this.D1 && s0(this.m1) && this.h2 != RefreshState.Refreshing)))) {
            this.s2 = new k(f3, -this.T1);
        } else if (this.L0 == 0 && this.t1) {
            this.s2 = new k(f3, 0);
        }
    }

    @Override // com.scwang.smartrefresh.layout.b.j
    public com.scwang.smartrefresh.layout.b.j r(int i3) {
        return c0(i3, true, Boolean.FALSE);
    }

    /* access modifiers changed from: protected */
    public boolean r0(int i3) {
        if (i3 == 0) {
            if (this.t2 != null) {
                RefreshState refreshState = this.h2;
                if (refreshState.isFinishing || refreshState == RefreshState.TwoLevelReleased || refreshState == RefreshState.RefreshReleased || refreshState == RefreshState.LoadReleased) {
                    return true;
                }
                if (refreshState == RefreshState.PullDownCanceled) {
                    this.g2.b(RefreshState.PullDownToRefresh);
                } else if (refreshState == RefreshState.PullUpCanceled) {
                    this.g2.b(RefreshState.PullUpToLoad);
                }
                this.t2.setDuration(0L);
                this.t2.cancel();
                this.t2 = null;
            }
            this.s2 = null;
        }
        if (this.t2 != null) {
            return true;
        }
        return false;
    }

    public void requestDisallowInterceptTouchEvent(boolean z) {
        View a3 = this.d2.a();
        if ((Build.VERSION.SDK_INT >= 21 || !(a3 instanceof AbsListView)) && ViewCompat.isNestedScrollingEnabled(a3)) {
            this.Z0 = z;
            super.requestDisallowInterceptTouchEvent(z);
        }
    }

    @Override // com.scwang.smartrefresh.layout.b.j
    public com.scwang.smartrefresh.layout.b.j s(@NonNull View view, int i3, int i4) {
        com.scwang.smartrefresh.layout.b.e eVar = this.d2;
        if (eVar != null) {
            super.removeView(eVar.getView());
        }
        if (i3 == 0) {
            i3 = -1;
        }
        if (i4 == 0) {
            i4 = -1;
        }
        LayoutParams layoutParams = new LayoutParams(i3, i4);
        ViewGroup.LayoutParams layoutParams2 = view.getLayoutParams();
        if (layoutParams2 instanceof LayoutParams) {
            layoutParams = (LayoutParams) layoutParams2;
        }
        super.addView(view, getChildCount(), layoutParams);
        this.d2 = new com.scwang.smartrefresh.layout.impl.a(view);
        if (this.o2) {
            View findViewById = findViewById(this.a1);
            View findViewById2 = findViewById(this.b1);
            this.d2.b(this.L1);
            this.d2.c(this.z1);
            this.d2.j(this.g2, findViewById, findViewById2);
        }
        com.scwang.smartrefresh.layout.b.h hVar = this.b2;
        if (hVar != null && hVar.getSpinnerStyle().h) {
            super.bringChildToFront(this.b2.getView());
        }
        com.scwang.smartrefresh.layout.b.h hVar2 = this.c2;
        if (hVar2 != null && hVar2.getSpinnerStyle().h) {
            super.bringChildToFront(this.c2.getView());
        }
        return this;
    }

    /* access modifiers changed from: protected */
    public boolean s0(boolean z) {
        return z && !this.w1;
    }

    public void setNestedScrollingEnabled(boolean z) {
        this.A1 = z;
        this.P1.setNestedScrollingEnabled(z);
    }

    @Override // com.scwang.smartrefresh.layout.b.j
    public com.scwang.smartrefresh.layout.b.j setPrimaryColors(@ColorInt int... iArr) {
        com.scwang.smartrefresh.layout.b.h hVar = this.b2;
        if (hVar != null) {
            hVar.setPrimaryColors(iArr);
        }
        com.scwang.smartrefresh.layout.b.h hVar2 = this.c2;
        if (hVar2 != null) {
            hVar2.setPrimaryColors(iArr);
        }
        this.k1 = iArr;
        return this;
    }

    /* access modifiers changed from: protected */
    public void setStateDirectLoading(boolean z) {
        RefreshState refreshState = this.h2;
        RefreshState refreshState2 = RefreshState.Loading;
        if (refreshState != refreshState2) {
            this.j2 = System.currentTimeMillis();
            this.p2 = true;
            v0(refreshState2);
            com.scwang.smartrefresh.layout.c.b bVar = this.J1;
            if (bVar != null) {
                if (z) {
                    bVar.n(this);
                }
            } else if (this.K1 == null) {
                R(2000);
            }
            com.scwang.smartrefresh.layout.b.h hVar = this.c2;
            if (hVar != null) {
                int i3 = this.T1;
                hVar.c(this, i3, (int) (this.Y1 * ((float) i3)));
            }
            com.scwang.smartrefresh.layout.c.c cVar = this.K1;
            if (cVar != null && (this.c2 instanceof com.scwang.smartrefresh.layout.b.f)) {
                if (z) {
                    cVar.n(this);
                }
                int i4 = this.T1;
                this.K1.o((com.scwang.smartrefresh.layout.b.f) this.c2, i4, (int) (this.Y1 * ((float) i4)));
            }
        }
    }

    /* access modifiers changed from: protected */
    public void setStateLoading(boolean z) {
        b bVar = new b(z);
        v0(RefreshState.LoadReleased);
        ValueAnimator f3 = this.g2.f(-this.T1);
        if (f3 != null) {
            f3.addListener(bVar);
        }
        com.scwang.smartrefresh.layout.b.h hVar = this.c2;
        if (hVar != null) {
            int i3 = this.T1;
            hVar.h(this, i3, (int) (this.Y1 * ((float) i3)));
        }
        com.scwang.smartrefresh.layout.c.c cVar = this.K1;
        if (cVar != null) {
            com.scwang.smartrefresh.layout.b.h hVar2 = this.c2;
            if (hVar2 instanceof com.scwang.smartrefresh.layout.b.f) {
                int i4 = this.T1;
                cVar.J((com.scwang.smartrefresh.layout.b.f) hVar2, i4, (int) (this.Y1 * ((float) i4)));
            }
        }
        if (f3 == null) {
            bVar.onAnimationEnd(null);
        }
    }

    /* access modifiers changed from: protected */
    public void setStateRefreshing(boolean z) {
        c cVar = new c(z);
        v0(RefreshState.RefreshReleased);
        ValueAnimator f3 = this.g2.f(this.R1);
        if (f3 != null) {
            f3.addListener(cVar);
        }
        com.scwang.smartrefresh.layout.b.h hVar = this.b2;
        if (hVar != null) {
            int i3 = this.R1;
            hVar.h(this, i3, (int) (this.X1 * ((float) i3)));
        }
        com.scwang.smartrefresh.layout.c.c cVar2 = this.K1;
        if (cVar2 != null) {
            com.scwang.smartrefresh.layout.b.h hVar2 = this.b2;
            if (hVar2 instanceof com.scwang.smartrefresh.layout.b.g) {
                int i4 = this.R1;
                cVar2.f((com.scwang.smartrefresh.layout.b.g) hVar2, i4, (int) (this.X1 * ((float) i4)));
            }
        }
        if (f3 == null) {
            cVar.onAnimationEnd(null);
        }
    }

    /* access modifiers changed from: protected */
    public void setViceState(RefreshState refreshState) {
        RefreshState refreshState2 = this.h2;
        if (refreshState2.isDragging && refreshState2.isHeader != refreshState.isHeader) {
            v0(RefreshState.None);
        }
        if (this.i2 != refreshState) {
            this.i2 = refreshState;
        }
    }

    @Override // com.scwang.smartrefresh.layout.b.j
    public com.scwang.smartrefresh.layout.b.j t() {
        return N(Math.min(Math.max(0, 300 - ((int) (System.currentTimeMillis() - this.j2))), 300) << 16, true, true);
    }

    /* access modifiers changed from: protected */
    public boolean t0(boolean z, com.scwang.smartrefresh.layout.b.h hVar) {
        return z || this.w1 || hVar == null || hVar.getSpinnerStyle() == com.scwang.smartrefresh.layout.constant.b.f20913c;
    }

    @Override // com.scwang.smartrefresh.layout.b.j
    public com.scwang.smartrefresh.layout.b.j u(@NonNull com.scwang.smartrefresh.layout.b.g gVar) {
        return v(gVar, 0, 0);
    }

    /* access modifiers changed from: protected */
    public void u0(float f3) {
        RefreshState refreshState;
        float f4 = (!this.N1 || this.z1 || f3 >= 0.0f || this.d2.h()) ? f3 : 0.0f;
        if (f4 > ((float) (this.Q0 * 5)) && getTag() == null) {
            float f5 = this.U0;
            int i3 = this.Q0;
            if (f5 < ((float) i3) / 6.0f && this.T0 < ((float) i3) / 16.0f) {
                Toast.makeText(getContext(), "你这么死拉，臣妾做不到啊！", 0).show();
                setTag("你这么死拉，臣妾做不到啊！");
            }
        }
        RefreshState refreshState2 = this.h2;
        if (refreshState2 == RefreshState.TwoLevel && f4 > 0.0f) {
            this.g2.k(Math.min((int) f4, getMeasuredHeight()), true);
        } else if (refreshState2 == RefreshState.Refreshing && f4 >= 0.0f) {
            int i4 = this.R1;
            if (f4 < ((float) i4)) {
                this.g2.k((int) f4, true);
            } else {
                double d3 = (double) ((this.X1 - 1.0f) * ((float) i4));
                int max = Math.max((this.Q0 * 4) / 3, getHeight());
                int i5 = this.R1;
                double d4 = (double) (max - i5);
                double max2 = (double) Math.max(0.0f, (f4 - ((float) i5)) * this.V0);
                double d5 = -max2;
                if (d4 == 0.0d) {
                    d4 = 1.0d;
                }
                this.g2.k(((int) Math.min(d3 * (1.0d - Math.pow(100.0d, d5 / d4)), max2)) + this.R1, true);
            }
        } else if (f4 < 0.0f && (refreshState2 == RefreshState.Loading || ((this.r1 && this.D1 && this.E1 && s0(this.m1)) || (this.v1 && !this.D1 && s0(this.m1))))) {
            int i6 = this.T1;
            if (f4 > ((float) (-i6))) {
                this.g2.k((int) f4, true);
            } else {
                double d6 = (double) ((this.Y1 - 1.0f) * ((float) i6));
                int max3 = Math.max((this.Q0 * 4) / 3, getHeight());
                int i7 = this.T1;
                double d7 = (double) (max3 - i7);
                double d8 = (double) (-Math.min(0.0f, (((float) i7) + f4) * this.V0));
                double d9 = -d8;
                if (d7 == 0.0d) {
                    d7 = 1.0d;
                }
                this.g2.k(((int) (-Math.min(d6 * (1.0d - Math.pow(100.0d, d9 / d7)), d8))) - this.T1, true);
            }
        } else if (f4 >= 0.0f) {
            double d10 = (double) (this.X1 * ((float) this.R1));
            double max4 = (double) Math.max(this.Q0 / 2, getHeight());
            double max5 = (double) Math.max(0.0f, this.V0 * f4);
            double d11 = -max5;
            if (max4 == 0.0d) {
                max4 = 1.0d;
            }
            this.g2.k((int) Math.min(d10 * (1.0d - Math.pow(100.0d, d11 / max4)), max5), true);
        } else {
            double d12 = (double) (this.Y1 * ((float) this.T1));
            double max6 = (double) Math.max(this.Q0 / 2, getHeight());
            double d13 = (double) (-Math.min(0.0f, this.V0 * f4));
            double d14 = -d13;
            if (max6 == 0.0d) {
                max6 = 1.0d;
            }
            this.g2.k((int) (-Math.min(d12 * (1.0d - Math.pow(100.0d, d14 / max6)), d13)), true);
        }
        if (this.v1 && !this.D1 && s0(this.m1) && f4 < 0.0f && (refreshState = this.h2) != RefreshState.Refreshing && refreshState != RefreshState.Loading && refreshState != RefreshState.LoadFinish) {
            if (this.C1) {
                this.s2 = null;
                this.g2.f(-this.T1);
            }
            setStateDirectLoading(false);
            this.f2.postDelayed(new f(), (long) this.P0);
        }
    }

    @Override // com.scwang.smartrefresh.layout.b.j
    public com.scwang.smartrefresh.layout.b.j v(@NonNull com.scwang.smartrefresh.layout.b.g gVar, int i3, int i4) {
        com.scwang.smartrefresh.layout.b.h hVar;
        com.scwang.smartrefresh.layout.b.h hVar2 = this.b2;
        if (hVar2 != null) {
            super.removeView(hVar2.getView());
        }
        this.b2 = gVar;
        this.k2 = 0;
        this.m2 = false;
        this.S1 = this.S1.c();
        if (this.b2 != null) {
            if (i3 == 0) {
                i3 = -1;
            }
            if (i4 == 0) {
                i4 = -2;
            }
            LayoutParams layoutParams = new LayoutParams(i3, i4);
            ViewGroup.LayoutParams layoutParams2 = gVar.getView().getLayoutParams();
            if (layoutParams2 instanceof LayoutParams) {
                layoutParams = (LayoutParams) layoutParams2;
            }
            if (this.b2.getSpinnerStyle().h) {
                super.addView(this.b2.getView(), getChildCount(), layoutParams);
            } else {
                super.addView(this.b2.getView(), 0, layoutParams);
            }
            int[] iArr = this.k1;
            if (!(iArr == null || (hVar = this.b2) == null)) {
                hVar.setPrimaryColors(iArr);
            }
        }
        return this;
    }

    /* access modifiers changed from: protected */
    public void v0(RefreshState refreshState) {
        RefreshState refreshState2 = this.h2;
        if (refreshState2 != refreshState) {
            this.h2 = refreshState;
            this.i2 = refreshState;
            com.scwang.smartrefresh.layout.b.h hVar = this.b2;
            com.scwang.smartrefresh.layout.b.h hVar2 = this.c2;
            com.scwang.smartrefresh.layout.c.c cVar = this.K1;
            if (hVar != null) {
                hVar.b(this, refreshState2, refreshState);
            }
            if (hVar2 != null) {
                hVar2.b(this, refreshState2, refreshState);
            }
            if (cVar != null) {
                cVar.b(this, refreshState2, refreshState);
            }
            if (refreshState == RefreshState.LoadFinish) {
                this.p2 = false;
            }
        } else if (this.i2 != refreshState2) {
            this.i2 = refreshState2;
        }
    }

    @Override // com.scwang.smartrefresh.layout.b.j
    public com.scwang.smartrefresh.layout.b.j w(float f3) {
        this.X1 = f3;
        com.scwang.smartrefresh.layout.b.h hVar = this.b2;
        if (hVar == null || !this.o2) {
            this.S1 = this.S1.c();
        } else {
            com.scwang.smartrefresh.layout.b.i iVar = this.g2;
            int i3 = this.R1;
            hVar.i(iVar, i3, (int) (f3 * ((float) i3)));
        }
        return this;
    }

    /* access modifiers changed from: protected */
    public void w0() {
        RefreshState refreshState = this.h2;
        if (refreshState != RefreshState.TwoLevel) {
            RefreshState refreshState2 = RefreshState.Loading;
            if (refreshState == refreshState2 || (this.r1 && this.D1 && this.E1 && this.L0 < 0 && s0(this.m1))) {
                int i3 = this.L0;
                int i4 = this.T1;
                if (i3 < (-i4)) {
                    this.g2.f(-i4);
                } else if (i3 > 0) {
                    this.g2.f(0);
                }
            } else {
                RefreshState refreshState3 = this.h2;
                RefreshState refreshState4 = RefreshState.Refreshing;
                if (refreshState3 == refreshState4) {
                    int i5 = this.L0;
                    int i6 = this.R1;
                    if (i5 > i6) {
                        this.g2.f(i6);
                    } else if (i5 < 0) {
                        this.g2.f(0);
                    }
                } else if (refreshState3 == RefreshState.PullDownToRefresh) {
                    this.g2.b(RefreshState.PullDownCanceled);
                } else if (refreshState3 == RefreshState.PullUpToLoad) {
                    this.g2.b(RefreshState.PullUpCanceled);
                } else if (refreshState3 == RefreshState.ReleaseToRefresh) {
                    this.g2.b(refreshState4);
                } else if (refreshState3 == RefreshState.ReleaseToLoad) {
                    this.g2.b(refreshState2);
                } else if (refreshState3 == RefreshState.ReleaseToTwoLevel) {
                    this.g2.b(RefreshState.TwoLevelReleased);
                } else if (refreshState3 == RefreshState.RefreshReleased) {
                    if (this.t2 == null) {
                        this.g2.f(this.R1);
                    }
                } else if (refreshState3 == RefreshState.LoadReleased) {
                    if (this.t2 == null) {
                        this.g2.f(-this.T1);
                    }
                } else if (this.L0 != 0) {
                    this.g2.f(0);
                }
            }
        } else if (this.g1 > -1000 && this.L0 > getMeasuredHeight() / 2) {
            ValueAnimator f3 = this.g2.f(getMeasuredHeight());
            if (f3 != null) {
                f3.setDuration((long) this.O0);
            }
        } else if (this.X0) {
            this.g2.e();
        }
    }

    @Override // com.scwang.smartrefresh.layout.b.j
    public com.scwang.smartrefresh.layout.b.j x(com.scwang.smartrefresh.layout.c.c cVar) {
        this.K1 = cVar;
        return this;
    }

    /* access modifiers changed from: protected */
    public boolean x0(float f3) {
        if (f3 == 0.0f) {
            f3 = (float) this.g1;
        }
        if (Build.VERSION.SDK_INT > 27 && this.d2 != null) {
            getScaleY();
            View view = this.d2.getView();
            if (getScaleY() == -1.0f && view.getScaleY() == -1.0f) {
                f3 = -f3;
            }
        }
        if (Math.abs(f3) > ((float) this.e1)) {
            int i3 = this.L0;
            if (((float) i3) * f3 < 0.0f) {
                RefreshState refreshState = this.h2;
                if (refreshState == RefreshState.Refreshing || refreshState == RefreshState.Loading || (i3 < 0 && this.D1)) {
                    this.s2 = new l(f3).a();
                    return true;
                } else if (refreshState.isReleaseToOpening) {
                    return true;
                }
            }
            if ((f3 < 0.0f && ((this.t1 && (this.m1 || this.u1)) || ((this.h2 == RefreshState.Loading && i3 >= 0) || (this.v1 && s0(this.m1))))) || (f3 > 0.0f && ((this.t1 && this.l1) || this.u1 || (this.h2 == RefreshState.Refreshing && this.L0 <= 0)))) {
                this.q2 = false;
                this.h1.fling(0, 0, 0, (int) (-f3), 0, 0, -2147483647, Integer.MAX_VALUE);
                this.h1.computeScrollOffset();
                invalidate();
            }
        }
        return false;
    }

    @Override // com.scwang.smartrefresh.layout.b.j
    public boolean y() {
        int i3 = this.o2 ? 0 : 400;
        int i4 = this.P0;
        int i5 = this.R1;
        float f3 = ((this.X1 / 2.0f) + 0.5f) * ((float) i5) * 1.0f;
        if (i5 == 0) {
            i5 = 1;
        }
        return I(i3, i4, f3 / ((float) i5), false);
    }

    @Override // com.scwang.smartrefresh.layout.b.j
    public com.scwang.smartrefresh.layout.b.j z(boolean z) {
        this.u1 = z;
        return this;
    }

    public SmartRefreshLayout(Context context, AttributeSet attributeSet) {
        super(context, attributeSet);
        this.O0 = 300;
        this.P0 = 300;
        this.V0 = 0.5f;
        this.W0 = 'n';
        this.a1 = -1;
        this.b1 = -1;
        this.c1 = -1;
        this.d1 = -1;
        this.l1 = true;
        this.m1 = false;
        this.n1 = true;
        this.o1 = true;
        this.p1 = true;
        this.q1 = true;
        this.r1 = false;
        this.s1 = true;
        this.t1 = true;
        this.u1 = false;
        this.v1 = true;
        this.w1 = false;
        this.x1 = true;
        this.y1 = true;
        this.z1 = true;
        this.A1 = true;
        this.B1 = false;
        this.C1 = false;
        this.D1 = false;
        this.E1 = false;
        this.F1 = false;
        this.G1 = false;
        this.H1 = false;
        this.O1 = new int[2];
        this.P1 = new NestedScrollingChildHelper(this);
        this.Q1 = new NestedScrollingParentHelper(this);
        com.scwang.smartrefresh.layout.constant.a aVar = com.scwang.smartrefresh.layout.constant.a.f20906a;
        this.S1 = aVar;
        this.U1 = aVar;
        this.X1 = 2.5f;
        this.Y1 = 2.5f;
        this.Z1 = 1.0f;
        this.a2 = 1.0f;
        this.g2 = new m();
        RefreshState refreshState = RefreshState.None;
        this.h2 = refreshState;
        this.i2 = refreshState;
        this.j2 = 0;
        this.k2 = 0;
        this.l2 = 0;
        this.p2 = false;
        this.q2 = false;
        this.r2 = null;
        ViewConfiguration viewConfiguration = ViewConfiguration.get(context);
        this.f2 = new Handler();
        this.h1 = new Scroller(context);
        this.i1 = VelocityTracker.obtain();
        this.Q0 = context.getResources().getDisplayMetrics().heightPixels;
        this.j1 = new com.scwang.smartrefresh.layout.d.b(com.scwang.smartrefresh.layout.d.b.f20917a);
        this.K0 = viewConfiguration.getScaledTouchSlop();
        this.e1 = viewConfiguration.getScaledMinimumFlingVelocity();
        this.f1 = viewConfiguration.getScaledMaximumFlingVelocity();
        this.T1 = com.scwang.smartrefresh.layout.d.b.d(60.0f);
        this.R1 = com.scwang.smartrefresh.layout.d.b.d(100.0f);
        TypedArray obtainStyledAttributes = context.obtainStyledAttributes(attributeSet, R.styleable.SmartRefreshLayout);
        if (!obtainStyledAttributes.hasValue(R.styleable.SmartRefreshLayout_android_clipToPadding)) {
            super.setClipToPadding(false);
        }
        if (!obtainStyledAttributes.hasValue(R.styleable.SmartRefreshLayout_android_clipChildren)) {
            super.setClipChildren(false);
        }
        com.scwang.smartrefresh.layout.b.c cVar = I0;
        if (cVar != null) {
            cVar.a(context, this);
        }
        this.V0 = obtainStyledAttributes.getFloat(R.styleable.SmartRefreshLayout_srlDragRate, this.V0);
        this.X1 = obtainStyledAttributes.getFloat(R.styleable.SmartRefreshLayout_srlHeaderMaxDragRate, this.X1);
        this.Y1 = obtainStyledAttributes.getFloat(R.styleable.SmartRefreshLayout_srlFooterMaxDragRate, this.Y1);
        this.Z1 = obtainStyledAttributes.getFloat(R.styleable.SmartRefreshLayout_srlHeaderTriggerRate, this.Z1);
        this.a2 = obtainStyledAttributes.getFloat(R.styleable.SmartRefreshLayout_srlFooterTriggerRate, this.a2);
        this.l1 = obtainStyledAttributes.getBoolean(R.styleable.SmartRefreshLayout_srlEnableRefresh, this.l1);
        this.P0 = obtainStyledAttributes.getInt(R.styleable.SmartRefreshLayout_srlReboundDuration, this.P0);
        int i3 = R.styleable.SmartRefreshLayout_srlEnableLoadMore;
        this.m1 = obtainStyledAttributes.getBoolean(i3, this.m1);
        int i4 = R.styleable.SmartRefreshLayout_srlHeaderHeight;
        this.R1 = obtainStyledAttributes.getDimensionPixelOffset(i4, this.R1);
        int i5 = R.styleable.SmartRefreshLayout_srlFooterHeight;
        this.T1 = obtainStyledAttributes.getDimensionPixelOffset(i5, this.T1);
        this.V1 = obtainStyledAttributes.getDimensionPixelOffset(R.styleable.SmartRefreshLayout_srlHeaderInsetStart, this.V1);
        this.W1 = obtainStyledAttributes.getDimensionPixelOffset(R.styleable.SmartRefreshLayout_srlFooterInsetStart, this.W1);
        this.B1 = obtainStyledAttributes.getBoolean(R.styleable.SmartRefreshLayout_srlDisableContentWhenRefresh, this.B1);
        this.C1 = obtainStyledAttributes.getBoolean(R.styleable.SmartRefreshLayout_srlDisableContentWhenLoading, this.C1);
        int i6 = R.styleable.SmartRefreshLayout_srlEnableHeaderTranslationContent;
        this.p1 = obtainStyledAttributes.getBoolean(i6, this.p1);
        int i7 = R.styleable.SmartRefreshLayout_srlEnableFooterTranslationContent;
        this.q1 = obtainStyledAttributes.getBoolean(i7, this.q1);
        this.s1 = obtainStyledAttributes.getBoolean(R.styleable.SmartRefreshLayout_srlEnablePreviewInEditMode, this.s1);
        this.v1 = obtainStyledAttributes.getBoolean(R.styleable.SmartRefreshLayout_srlEnableAutoLoadMore, this.v1);
        this.t1 = obtainStyledAttributes.getBoolean(R.styleable.SmartRefreshLayout_srlEnableOverScrollBounce, this.t1);
        this.w1 = obtainStyledAttributes.getBoolean(R.styleable.SmartRefreshLayout_srlEnablePureScrollMode, this.w1);
        this.x1 = obtainStyledAttributes.getBoolean(R.styleable.SmartRefreshLayout_srlEnableScrollContentWhenLoaded, this.x1);
        this.y1 = obtainStyledAttributes.getBoolean(R.styleable.SmartRefreshLayout_srlEnableScrollContentWhenRefreshed, this.y1);
        this.z1 = obtainStyledAttributes.getBoolean(R.styleable.SmartRefreshLayout_srlEnableLoadMoreWhenContentNotFull, this.z1);
        boolean z = obtainStyledAttributes.getBoolean(R.styleable.SmartRefreshLayout_srlEnableFooterFollowWhenLoadFinished, this.r1);
        this.r1 = z;
        this.r1 = obtainStyledAttributes.getBoolean(R.styleable.SmartRefreshLayout_srlEnableFooterFollowWhenNoMoreData, z);
        this.n1 = obtainStyledAttributes.getBoolean(R.styleable.SmartRefreshLayout_srlEnableClipHeaderWhenFixedBehind, this.n1);
        this.o1 = obtainStyledAttributes.getBoolean(R.styleable.SmartRefreshLayout_srlEnableClipFooterWhenFixedBehind, this.o1);
        this.u1 = obtainStyledAttributes.getBoolean(R.styleable.SmartRefreshLayout_srlEnableOverScrollDrag, this.u1);
        this.a1 = obtainStyledAttributes.getResourceId(R.styleable.SmartRefreshLayout_srlFixedHeaderViewId, this.a1);
        this.b1 = obtainStyledAttributes.getResourceId(R.styleable.SmartRefreshLayout_srlFixedFooterViewId, this.b1);
        this.c1 = obtainStyledAttributes.getResourceId(R.styleable.SmartRefreshLayout_srlHeaderTranslationViewId, this.c1);
        this.d1 = obtainStyledAttributes.getResourceId(R.styleable.SmartRefreshLayout_srlFooterTranslationViewId, this.d1);
        boolean z2 = obtainStyledAttributes.getBoolean(R.styleable.SmartRefreshLayout_srlEnableNestedScrolling, this.A1);
        this.A1 = z2;
        this.P1.setNestedScrollingEnabled(z2);
        this.F1 = this.F1 || obtainStyledAttributes.hasValue(i3);
        this.G1 = this.G1 || obtainStyledAttributes.hasValue(i6);
        this.H1 = this.H1 || obtainStyledAttributes.hasValue(i7);
        this.S1 = obtainStyledAttributes.hasValue(i4) ? com.scwang.smartrefresh.layout.constant.a.g : this.S1;
        this.U1 = obtainStyledAttributes.hasValue(i5) ? com.scwang.smartrefresh.layout.constant.a.g : this.U1;
        int color = obtainStyledAttributes.getColor(R.styleable.SmartRefreshLayout_srlAccentColor, 0);
        int color2 = obtainStyledAttributes.getColor(R.styleable.SmartRefreshLayout_srlPrimaryColor, 0);
        if (color2 != 0) {
            if (color != 0) {
                this.k1 = new int[]{color2, color};
            } else {
                this.k1 = new int[]{color2};
            }
        } else if (color != 0) {
            this.k1 = new int[]{0, color};
        }
        if (this.w1 && !this.F1 && !this.m1) {
            this.m1 = true;
        }
        obtainStyledAttributes.recycle();
    }

    public static class LayoutParams extends ViewGroup.MarginLayoutParams {

        /* renamed from: a  reason: collision with root package name */
        public int f20869a = 0;

        /* renamed from: b  reason: collision with root package name */
        public com.scwang.smartrefresh.layout.constant.b f20870b = null;

        public LayoutParams(Context context, AttributeSet attributeSet) {
            super(context, attributeSet);
            TypedArray obtainStyledAttributes = context.obtainStyledAttributes(attributeSet, R.styleable.SmartRefreshLayout_Layout);
            this.f20869a = obtainStyledAttributes.getColor(R.styleable.SmartRefreshLayout_Layout_layout_srlBackgroundColor, this.f20869a);
            int i = R.styleable.SmartRefreshLayout_Layout_layout_srlSpinnerStyle;
            if (obtainStyledAttributes.hasValue(i)) {
                this.f20870b = com.scwang.smartrefresh.layout.constant.b.f[obtainStyledAttributes.getInt(i, com.scwang.smartrefresh.layout.constant.b.f20911a.g)];
            }
            obtainStyledAttributes.recycle();
        }

        public LayoutParams(int i, int i2) {
            super(i, i2);
        }
    }
}
