package com.scwang.smartrefresh.layout.header;

import android.animation.Animator;
import android.animation.AnimatorSet;
import android.animation.ValueAnimator;
import android.content.Context;
import android.content.res.TypedArray;
import android.graphics.Canvas;
import android.graphics.Paint;
import android.graphics.Path;
import android.graphics.RectF;
import android.util.AttributeSet;
import android.view.animation.AccelerateDecelerateInterpolator;
import androidx.annotation.ColorInt;
import androidx.annotation.ColorRes;
import androidx.annotation.NonNull;
import androidx.core.content.d;
import androidx.core.view.ViewCompat;
import com.scwang.smartrefresh.layout.R;
import com.scwang.smartrefresh.layout.b.g;
import com.scwang.smartrefresh.layout.b.j;
import com.scwang.smartrefresh.layout.constant.RefreshState;
import com.scwang.smartrefresh.layout.internal.InternalAbstract;

public class BezierRadarHeader extends InternalAbstract implements g {
    protected static final byte J0 = 0;
    protected static final byte K0 = 1;
    protected static final byte L0 = 2;
    protected static final byte M0 = 3;
    protected static final byte N0 = 4;
    protected int O0;
    protected int P0;
    protected boolean Q0;
    protected boolean R0;
    protected boolean S0;
    protected boolean T0;
    protected Path U0;
    protected Paint V0;
    protected int W0;
    protected int X0;
    protected int Y0;
    protected int Z0;
    protected float a1;
    protected float b1;
    protected float c1;
    protected float d1;
    protected int e1;
    protected float f1;
    protected float g1;
    protected float h1;
    protected Animator i1;
    protected RectF j1;

    static /* synthetic */ class a {

        /* renamed from: a  reason: collision with root package name */
        static final /* synthetic */ int[] f20923a;

        /* JADX WARNING: Can't wrap try/catch for region: R(6:0|1|2|3|4|6) */
        /* JADX WARNING: Code restructure failed: missing block: B:7:?, code lost:
            return;
         */
        /* JADX WARNING: Failed to process nested try/catch */
        /* JADX WARNING: Missing exception handler attribute for start block: B:3:0x0012 */
        static {
            int[] iArr = new int[RefreshState.values().length];
            f20923a = iArr;
            iArr[RefreshState.None.ordinal()] = 1;
            f20923a[RefreshState.PullDownToRefresh.ordinal()] = 2;
        }
    }

    protected class b implements ValueAnimator.AnimatorUpdateListener {

        /* renamed from: a  reason: collision with root package name */
        byte f20924a;

        b(byte b2) {
            this.f20924a = b2;
        }

        public void onAnimationUpdate(ValueAnimator valueAnimator) {
            byte b2 = this.f20924a;
            if (b2 == 0) {
                BezierRadarHeader.this.h1 = ((Float) valueAnimator.getAnimatedValue()).floatValue();
            } else if (1 == b2) {
                BezierRadarHeader bezierRadarHeader = BezierRadarHeader.this;
                if (bezierRadarHeader.S0) {
                    valueAnimator.cancel();
                    return;
                }
                bezierRadarHeader.X0 = ((Integer) valueAnimator.getAnimatedValue()).intValue() / 2;
            } else if (2 == b2) {
                BezierRadarHeader.this.a1 = ((Float) valueAnimator.getAnimatedValue()).floatValue();
            } else if (3 == b2) {
                BezierRadarHeader.this.d1 = ((Float) valueAnimator.getAnimatedValue()).floatValue();
            } else if (4 == b2) {
                BezierRadarHeader.this.e1 = ((Integer) valueAnimator.getAnimatedValue()).intValue();
            }
            BezierRadarHeader.this.invalidate();
        }
    }

    public BezierRadarHeader(Context context) {
        this(context, null);
    }

    @Override // com.scwang.smartrefresh.layout.internal.InternalAbstract, com.scwang.smartrefresh.layout.c.f
    public void b(@NonNull j jVar, @NonNull RefreshState refreshState, @NonNull RefreshState refreshState2) {
        int i = a.f20923a[refreshState2.ordinal()];
        if (i == 1 || i == 2) {
            this.a1 = 1.0f;
            this.h1 = 0.0f;
            this.d1 = 0.0f;
        }
    }

    @Override // com.scwang.smartrefresh.layout.internal.InternalAbstract, com.scwang.smartrefresh.layout.b.h
    public void d(float f, int i, int i2) {
        this.Y0 = i;
        invalidate();
    }

    /* access modifiers changed from: protected */
    public void dispatchDraw(Canvas canvas) {
        int width = getWidth();
        int height = isInEditMode() ? getHeight() : this.Z0;
        p(canvas, width);
        k(canvas, width, height);
        m(canvas, width, height);
        n(canvas, width, height);
        super.dispatchDraw(canvas);
    }

    @Override // com.scwang.smartrefresh.layout.internal.InternalAbstract, com.scwang.smartrefresh.layout.b.h
    public int e(@NonNull j jVar, boolean z) {
        Animator animator = this.i1;
        if (animator != null) {
            animator.removeAllListeners();
            this.i1.end();
            this.i1 = null;
        }
        int width = getWidth();
        int i = this.Z0;
        ValueAnimator ofFloat = ValueAnimator.ofFloat(this.f1, (float) Math.sqrt((double) ((width * width) + (i * i))));
        ofFloat.setDuration(400L);
        ofFloat.addUpdateListener(new b((byte) 3));
        ofFloat.start();
        return 400;
    }

    @Override // com.scwang.smartrefresh.layout.internal.InternalAbstract, com.scwang.smartrefresh.layout.b.h
    public boolean g() {
        return this.T0;
    }

    @Override // com.scwang.smartrefresh.layout.internal.InternalAbstract, com.scwang.smartrefresh.layout.b.h
    public void h(@NonNull j jVar, int i, int i2) {
        this.W0 = i - 1;
        this.S0 = false;
        com.scwang.smartrefresh.layout.d.b bVar = new com.scwang.smartrefresh.layout.d.b(com.scwang.smartrefresh.layout.d.b.f20918b);
        ValueAnimator ofFloat = ValueAnimator.ofFloat(1.0f, 0.0f);
        ofFloat.setInterpolator(bVar);
        ofFloat.addUpdateListener(new b((byte) 2));
        ValueAnimator ofFloat2 = ValueAnimator.ofFloat(0.0f, 1.0f);
        ofFloat.setInterpolator(bVar);
        ofFloat2.addUpdateListener(new b((byte) 0));
        ValueAnimator ofInt = ValueAnimator.ofInt(0, 360);
        ofInt.setDuration(720L);
        ofInt.setRepeatCount(-1);
        ofInt.setInterpolator(new AccelerateDecelerateInterpolator());
        ofInt.addUpdateListener(new b((byte) 4));
        AnimatorSet animatorSet = new AnimatorSet();
        animatorSet.playSequentially(ofFloat, ofFloat2, ofInt);
        animatorSet.start();
        int i3 = this.X0;
        ValueAnimator ofInt2 = ValueAnimator.ofInt(i3, 0, -((int) (((float) i3) * 0.8f)), 0, -((int) (((float) i3) * 0.4f)), 0);
        ofInt2.addUpdateListener(new b((byte) 1));
        ofInt2.setInterpolator(new com.scwang.smartrefresh.layout.d.b(com.scwang.smartrefresh.layout.d.b.f20918b));
        ofInt2.setDuration(800L);
        ofInt2.start();
        this.i1 = animatorSet;
    }

    @Override // com.scwang.smartrefresh.layout.internal.InternalAbstract, com.scwang.smartrefresh.layout.b.h
    public void j(boolean z, float f, int i, int i2, int i3) {
        this.Z0 = i;
        if (z || this.S0) {
            this.S0 = true;
            this.W0 = Math.min(i2, i);
            this.X0 = (int) (((float) Math.max(0, i - i2)) * 1.9f);
            this.b1 = f;
            invalidate();
        }
    }

    /* access modifiers changed from: protected */
    public void k(Canvas canvas, int i, int i2) {
        float f = 0.0f;
        if (this.a1 > 0.0f) {
            this.V0.setColor(this.O0);
            float j = com.scwang.smartrefresh.layout.d.b.j(i2);
            float f2 = (float) i;
            float f3 = 7.0f;
            float f4 = (f2 * 1.0f) / 7.0f;
            float f5 = this.b1;
            float f6 = (f4 * f5) - (f5 > 1.0f ? ((f5 - 1.0f) * f4) / f5 : 0.0f);
            float f7 = (float) i2;
            if (f5 > 1.0f) {
                f = (((f5 - 1.0f) * f7) / 2.0f) / f5;
            }
            float f8 = f7 - f;
            int i3 = 0;
            while (i3 < 7) {
                float f9 = (((float) i3) + 1.0f) - 4.0f;
                this.V0.setAlpha((int) (((double) (this.a1 * (1.0f - ((Math.abs(f9) / f3) * 2.0f)) * 255.0f)) * (1.0d - (1.0d / Math.pow((((double) j) / 800.0d) + 1.0d, 15.0d)))));
                float f10 = this.c1 * (1.0f - (1.0f / ((j / 10.0f) + 1.0f)));
                canvas.drawCircle(((f2 / 2.0f) - (f10 / 2.0f)) + (f6 * f9), f8 / 2.0f, f10, this.V0);
                i3++;
                f3 = 7.0f;
            }
            this.V0.setAlpha(255);
        }
    }

    /* access modifiers changed from: protected */
    public void m(Canvas canvas, int i, int i2) {
        if (this.i1 != null || isInEditMode()) {
            float f = this.f1;
            float f2 = this.h1;
            float f3 = f * f2;
            float f4 = this.g1 * f2;
            this.V0.setColor(this.O0);
            this.V0.setStyle(Paint.Style.FILL);
            float f5 = ((float) i) / 2.0f;
            float f6 = ((float) i2) / 2.0f;
            canvas.drawCircle(f5, f6, f3, this.V0);
            this.V0.setStyle(Paint.Style.STROKE);
            float f7 = f4 + f3;
            canvas.drawCircle(f5, f6, f7, this.V0);
            this.V0.setColor((this.P0 & ViewCompat.MEASURED_SIZE_MASK) | 1426063360);
            this.V0.setStyle(Paint.Style.FILL);
            this.j1.set(f5 - f3, f6 - f3, f5 + f3, f3 + f6);
            canvas.drawArc(this.j1, 270.0f, (float) this.e1, true, this.V0);
            this.V0.setStyle(Paint.Style.STROKE);
            this.j1.set(f5 - f7, f6 - f7, f5 + f7, f6 + f7);
            canvas.drawArc(this.j1, 270.0f, (float) this.e1, false, this.V0);
            this.V0.setStyle(Paint.Style.FILL);
        }
    }

    /* access modifiers changed from: protected */
    public void n(Canvas canvas, int i, int i2) {
        if (this.d1 > 0.0f) {
            this.V0.setColor(this.O0);
            canvas.drawCircle(((float) i) / 2.0f, ((float) i2) / 2.0f, this.d1, this.V0);
        }
    }

    /* access modifiers changed from: protected */
    public void onDetachedFromWindow() {
        super.onDetachedFromWindow();
        Animator animator = this.i1;
        if (animator != null) {
            animator.removeAllListeners();
            this.i1.end();
            this.i1 = null;
        }
    }

    /* access modifiers changed from: protected */
    public void p(Canvas canvas, int i) {
        this.U0.reset();
        this.U0.lineTo(0.0f, (float) this.W0);
        Path path = this.U0;
        int i2 = this.Y0;
        float f = i2 >= 0 ? (float) i2 : ((float) i) / 2.0f;
        int i3 = this.W0;
        float f2 = (float) i;
        path.quadTo(f, (float) (this.X0 + i3), f2, (float) i3);
        this.U0.lineTo(f2, 0.0f);
        this.V0.setColor(this.P0);
        canvas.drawPath(this.U0, this.V0);
    }

    public BezierRadarHeader q(@ColorInt int i) {
        this.O0 = i;
        this.R0 = true;
        return this;
    }

    public BezierRadarHeader r(@ColorRes int i) {
        q(d.f(getContext(), i));
        return this;
    }

    public BezierRadarHeader s(boolean z) {
        this.T0 = z;
        if (!z) {
            this.Y0 = -1;
        }
        return this;
    }

    @Override // com.scwang.smartrefresh.layout.internal.InternalAbstract, com.scwang.smartrefresh.layout.b.h
    @Deprecated
    public void setPrimaryColors(@ColorInt int... iArr) {
        if (iArr.length > 0 && !this.Q0) {
            t(iArr[0]);
            this.Q0 = false;
        }
        if (iArr.length > 1 && !this.R0) {
            q(iArr[1]);
            this.R0 = false;
        }
    }

    public BezierRadarHeader t(@ColorInt int i) {
        this.P0 = i;
        this.Q0 = true;
        return this;
    }

    public BezierRadarHeader u(@ColorRes int i) {
        t(d.f(getContext(), i));
        return this;
    }

    public BezierRadarHeader(Context context, AttributeSet attributeSet) {
        super(context, attributeSet, 0);
        this.T0 = false;
        this.Y0 = -1;
        this.Z0 = 0;
        this.e1 = 0;
        this.f1 = 0.0f;
        this.g1 = 0.0f;
        this.h1 = 0.0f;
        this.j1 = new RectF(0.0f, 0.0f, 0.0f, 0.0f);
        this.f20934b = com.scwang.smartrefresh.layout.constant.b.f20913c;
        this.U0 = new Path();
        Paint paint = new Paint();
        this.V0 = paint;
        paint.setAntiAlias(true);
        this.c1 = (float) com.scwang.smartrefresh.layout.d.b.d(7.0f);
        this.f1 = (float) com.scwang.smartrefresh.layout.d.b.d(20.0f);
        this.g1 = (float) com.scwang.smartrefresh.layout.d.b.d(7.0f);
        this.V0.setStrokeWidth((float) com.scwang.smartrefresh.layout.d.b.d(3.0f));
        setMinimumHeight(com.scwang.smartrefresh.layout.d.b.d(100.0f));
        if (isInEditMode()) {
            this.W0 = 1000;
            this.h1 = 1.0f;
            this.e1 = 270;
        } else {
            this.h1 = 0.0f;
        }
        TypedArray obtainStyledAttributes = context.obtainStyledAttributes(attributeSet, R.styleable.BezierRadarHeader);
        this.T0 = obtainStyledAttributes.getBoolean(R.styleable.BezierRadarHeader_srlEnableHorizontalDrag, this.T0);
        int i = R.styleable.BezierRadarHeader_srlAccentColor;
        q(obtainStyledAttributes.getColor(i, -1));
        int i2 = R.styleable.BezierRadarHeader_srlPrimaryColor;
        t(obtainStyledAttributes.getColor(i2, -14540254));
        this.R0 = obtainStyledAttributes.hasValue(i);
        this.Q0 = obtainStyledAttributes.hasValue(i2);
        obtainStyledAttributes.recycle();
    }
}
