package com.scwang.smartrefresh.layout.internal;

import android.animation.ValueAnimator;
import android.graphics.Canvas;
import android.graphics.Path;
import android.graphics.Rect;
import android.graphics.drawable.Animatable;
import androidx.annotation.NonNull;
import androidx.work.t;
import com.blankj.utilcode.constant.a;

/* compiled from: ProgressDrawable */
public class c extends b implements Animatable, ValueAnimator.AnimatorUpdateListener {
    protected int I0 = 0;
    protected int J0 = 0;
    protected ValueAnimator K0;
    protected Path L0 = new Path();

    /* renamed from: b  reason: collision with root package name */
    protected int f20937b = 0;

    public c() {
        ValueAnimator ofInt = ValueAnimator.ofInt(30, a.f6461c);
        this.K0 = ofInt;
        ofInt.setDuration(t.f4799c);
        this.K0.setInterpolator(null);
        this.K0.setRepeatCount(-1);
        this.K0.setRepeatMode(1);
    }

    public void draw(@NonNull Canvas canvas) {
        Rect bounds = getBounds();
        int width = bounds.width();
        int height = bounds.height();
        float f = (float) width;
        float max = Math.max(1.0f, f / 22.0f);
        if (!(this.f20937b == width && this.I0 == height)) {
            this.L0.reset();
            float f2 = f - max;
            float f3 = ((float) height) / 2.0f;
            this.L0.addCircle(f2, f3, max, Path.Direction.CW);
            float f4 = f - (5.0f * max);
            this.L0.addRect(f4, f3 - max, f2, f3 + max, Path.Direction.CW);
            this.L0.addCircle(f4, f3, max, Path.Direction.CW);
            this.f20937b = width;
            this.I0 = height;
        }
        canvas.save();
        float f5 = f / 2.0f;
        float f6 = ((float) height) / 2.0f;
        canvas.rotate((float) this.J0, f5, f6);
        for (int i = 0; i < 12; i++) {
            this.f20936a.setAlpha((i + 5) * 17);
            canvas.rotate(30.0f, f5, f6);
            canvas.drawPath(this.L0, this.f20936a);
        }
        canvas.restore();
    }

    public boolean isRunning() {
        return this.K0.isRunning();
    }

    public void onAnimationUpdate(ValueAnimator valueAnimator) {
        this.J0 = (((Integer) valueAnimator.getAnimatedValue()).intValue() / 30) * 30;
        invalidateSelf();
    }

    public void start() {
        if (!this.K0.isRunning()) {
            this.K0.addUpdateListener(this);
            this.K0.start();
        }
    }

    public void stop() {
        if (this.K0.isRunning()) {
            this.K0.removeAllListeners();
            this.K0.removeAllUpdateListeners();
            this.K0.cancel();
        }
    }
}
