package com.transitionseverywhere;

import android.content.Context;
import android.content.res.TypedArray;
import android.graphics.Path;
import android.util.AttributeSet;

public class ArcMotion extends PathMotion {

    /* renamed from: b  reason: collision with root package name */
    private static final float f21247b = 0.0f;

    /* renamed from: c  reason: collision with root package name */
    private static final float f21248c = 70.0f;

    /* renamed from: d  reason: collision with root package name */
    private static final float f21249d = ((float) Math.tan(Math.toRadians(35.0d)));

    /* renamed from: e  reason: collision with root package name */
    private float f21250e = 0.0f;
    private float f = 0.0f;
    private float g = f21248c;
    private float h = 0.0f;
    private float i = 0.0f;
    private float j = f21249d;

    public ArcMotion() {
    }

    private static float h(float f2) {
        if (f2 >= 0.0f && f2 <= 90.0f) {
            return (float) Math.tan(Math.toRadians((double) (f2 / 2.0f)));
        }
        throw new IllegalArgumentException("Arc must be between 0 and 90 degrees");
    }

    @Override // com.transitionseverywhere.PathMotion
    public Path a(float f2, float f3, float f4, float f5) {
        float f6;
        float f7;
        float f8;
        float f9;
        float f10;
        Path path = new Path();
        path.moveTo(f2, f3);
        if (f3 == f5) {
            f7 = (f2 + f4) / 2.0f;
            f6 = ((this.h * Math.abs(f4 - f2)) / 2.0f) + f3;
        } else if (f2 == f4) {
            f7 = ((this.i * Math.abs(f5 - f3)) / 2.0f) + f2;
            f6 = (f3 + f5) / 2.0f;
        } else {
            float f11 = f4 - f2;
            float f12 = f5 - f3;
            float f13 = (f11 * f11) + (f12 * f12);
            float f14 = (f2 + f4) / 2.0f;
            float f15 = (f3 + f5) / 2.0f;
            float f16 = 0.25f * f13;
            boolean z = f11 * f12 > 0.0f;
            if (Math.abs(f11) < Math.abs(f12)) {
                float f17 = f13 / (f12 * 2.0f);
                if (z) {
                    f10 = f3 + f17;
                    f9 = f2;
                } else {
                    f10 = f5 - f17;
                    f9 = f4;
                }
                float f18 = this.i;
                f8 = f16 * f18 * f18;
                f6 = f10;
                f7 = f9;
            } else {
                float f19 = f13 / (f11 * 2.0f);
                if (z) {
                    f7 = f4 - f19;
                    f6 = f5;
                } else {
                    f7 = f2 + f19;
                    f6 = f3;
                }
                float f20 = this.h;
                f8 = f16 * f20 * f20;
            }
            float f21 = f14 - f7;
            float f22 = f15 - f6;
            float f23 = (f21 * f21) + (f22 * f22);
            float f24 = this.j;
            float f25 = f16 * f24 * f24;
            if (f23 >= f8) {
                f8 = f23 > f25 ? f25 : 0.0f;
            }
            if (f8 != 0.0f) {
                float sqrt = (float) Math.sqrt((double) (f8 / f23));
                f7 = ((f7 - f14) * sqrt) + f14;
                f6 = f15 + (sqrt * (f6 - f15));
            }
        }
        path.cubicTo((f2 + f7) / 2.0f, (f3 + f6) / 2.0f, (f7 + f4) / 2.0f, (f6 + f5) / 2.0f, f4, f5);
        return path;
    }

    public float b() {
        return this.g;
    }

    public float c() {
        return this.f21250e;
    }

    public float d() {
        return this.f;
    }

    public void e(float f2) {
        this.g = f2;
        this.j = h(f2);
    }

    public void f(float f2) {
        this.f21250e = f2;
        this.h = h(f2);
    }

    public void g(float f2) {
        this.f = f2;
        this.i = h(f2);
    }

    public ArcMotion(Context context, AttributeSet attributeSet) {
        super(context, attributeSet);
        TypedArray obtainStyledAttributes = context.obtainStyledAttributes(attributeSet, R.styleable.ArcMotion);
        g(obtainStyledAttributes.getFloat(R.styleable.ArcMotion_minimumVerticalAngle, 0.0f));
        f(obtainStyledAttributes.getFloat(R.styleable.ArcMotion_minimumHorizontalAngle, 0.0f));
        e(obtainStyledAttributes.getFloat(R.styleable.ArcMotion_maximumAngle, f21248c));
        obtainStyledAttributes.recycle();
    }
}
