package com.transitionseverywhere;

import android.animation.Animator;
import android.animation.AnimatorListenerAdapter;
import android.animation.AnimatorSet;
import android.animation.ObjectAnimator;
import android.annotation.TargetApi;
import android.content.Context;
import android.content.res.TypedArray;
import android.graphics.Bitmap;
import android.graphics.Canvas;
import android.graphics.PointF;
import android.graphics.Rect;
import android.graphics.drawable.BitmapDrawable;
import android.graphics.drawable.Drawable;
import android.os.Build;
import android.util.AttributeSet;
import android.util.Property;
import android.view.View;
import android.view.ViewGroup;
import com.transitionseverywhere.Transition;
import com.transitionseverywhere.utils.l;
import com.transitionseverywhere.utils.m;
import com.transitionseverywhere.utils.n;
import java.util.Map;

@TargetApi(14)
public class ChangeBounds extends Transition {
    private static final String C1 = "android:changeBounds:bounds";
    private static final String D1 = "android:changeBounds:clip";
    private static final String E1 = "android:changeBounds:parent";
    private static final String F1 = "android:changeBounds:windowX";
    private static final String G1 = "android:changeBounds:windowY";
    private static final String[] H1 = {C1, D1, E1, F1, G1};
    private static final com.transitionseverywhere.utils.h<Drawable> I1;
    private static final com.transitionseverywhere.utils.h<j> J1;
    private static final com.transitionseverywhere.utils.h<j> K1;
    private static final com.transitionseverywhere.utils.h<View> L1;
    private static final com.transitionseverywhere.utils.h<View> M1;
    private static final com.transitionseverywhere.utils.h<View> N1;
    private static final String O1 = "ChangeBounds";
    private static com.transitionseverywhere.utils.i P1;
    int[] Q1;
    boolean R1;
    boolean S1;

    static class a extends com.transitionseverywhere.utils.h<Drawable> {

        /* renamed from: a  reason: collision with root package name */
        private Rect f21251a = new Rect();

        a() {
        }

        /* renamed from: b */
        public PointF get(Drawable drawable) {
            drawable.copyBounds(this.f21251a);
            Rect rect = this.f21251a;
            return new PointF((float) rect.left, (float) rect.top);
        }

        /* renamed from: c */
        public void set(Drawable drawable, PointF pointF) {
            drawable.copyBounds(this.f21251a);
            this.f21251a.offsetTo(Math.round(pointF.x), Math.round(pointF.y));
            drawable.setBounds(this.f21251a);
        }
    }

    static class b extends com.transitionseverywhere.utils.h<j> {
        b() {
        }

        /* renamed from: b */
        public void set(j jVar, PointF pointF) {
            jVar.c(pointF);
        }
    }

    static class c extends com.transitionseverywhere.utils.h<j> {
        c() {
        }

        /* renamed from: b */
        public void set(j jVar, PointF pointF) {
            jVar.a(pointF);
        }
    }

    static class d extends com.transitionseverywhere.utils.h<View> {
        d() {
        }

        /* renamed from: b */
        public void set(View view, PointF pointF) {
            n.o(view, view.getLeft(), view.getTop(), Math.round(pointF.x), Math.round(pointF.y));
        }
    }

    static class e extends com.transitionseverywhere.utils.h<View> {
        e() {
        }

        /* renamed from: b */
        public void set(View view, PointF pointF) {
            n.o(view, Math.round(pointF.x), Math.round(pointF.y), view.getRight(), view.getBottom());
        }
    }

    static class f extends com.transitionseverywhere.utils.h<View> {
        f() {
        }

        /* renamed from: b */
        public void set(View view, PointF pointF) {
            int round = Math.round(pointF.x);
            int round2 = Math.round(pointF.y);
            n.o(view, round, round2, view.getWidth() + round, view.getHeight() + round2);
        }
    }

    class g extends AnimatorListenerAdapter {
        final /* synthetic */ Rect I0;
        final /* synthetic */ int J0;
        final /* synthetic */ int K0;
        final /* synthetic */ int L0;
        final /* synthetic */ int M0;

        /* renamed from: a  reason: collision with root package name */
        private boolean f21252a;

        /* renamed from: b  reason: collision with root package name */
        final /* synthetic */ View f21253b;

        g(View view, Rect rect, int i, int i2, int i3, int i4) {
            this.f21253b = view;
            this.I0 = rect;
            this.J0 = i;
            this.K0 = i2;
            this.L0 = i3;
            this.M0 = i4;
        }

        public void onAnimationCancel(Animator animator) {
            this.f21252a = true;
        }

        public void onAnimationEnd(Animator animator) {
            if (!this.f21252a) {
                n.l(this.f21253b, this.I0);
                n.o(this.f21253b, this.J0, this.K0, this.L0, this.M0);
            }
        }
    }

    class h extends Transition.g {

        /* renamed from: a  reason: collision with root package name */
        boolean f21254a = false;

        /* renamed from: b  reason: collision with root package name */
        final /* synthetic */ ViewGroup f21255b;

        h(ViewGroup viewGroup) {
            this.f21255b = viewGroup;
        }

        @Override // com.transitionseverywhere.Transition.f, com.transitionseverywhere.Transition.g
        public void a(Transition transition) {
            l.b(this.f21255b, false);
            this.f21254a = true;
        }

        @Override // com.transitionseverywhere.Transition.f, com.transitionseverywhere.Transition.g
        public void b(Transition transition) {
            if (!this.f21254a) {
                l.b(this.f21255b, false);
            }
        }

        @Override // com.transitionseverywhere.Transition.f, com.transitionseverywhere.Transition.g
        public void c(Transition transition) {
            l.b(this.f21255b, false);
        }

        @Override // com.transitionseverywhere.Transition.f, com.transitionseverywhere.Transition.g
        public void e(Transition transition) {
            l.b(this.f21255b, true);
        }
    }

    class i extends AnimatorListenerAdapter {
        final /* synthetic */ View I0;
        final /* synthetic */ float J0;

        /* renamed from: a  reason: collision with root package name */
        final /* synthetic */ ViewGroup f21256a;

        /* renamed from: b  reason: collision with root package name */
        final /* synthetic */ BitmapDrawable f21257b;

        i(ViewGroup viewGroup, BitmapDrawable bitmapDrawable, View view, float f) {
            this.f21256a = viewGroup;
            this.f21257b = bitmapDrawable;
            this.I0 = view;
            this.J0 = f;
        }

        public void onAnimationEnd(Animator animator) {
            m.b(this.f21256a, this.f21257b);
            this.I0.setAlpha(this.J0);
        }
    }

    /* access modifiers changed from: private */
    public static class j extends AnimatorListenerAdapter {
        private int I0;
        private int J0;
        private boolean K0;
        private boolean L0;
        private View M0;

        /* renamed from: a  reason: collision with root package name */
        private int f21258a;

        /* renamed from: b  reason: collision with root package name */
        private int f21259b;

        public j(View view) {
            this.M0 = view;
        }

        private void b() {
            n.o(this.M0, this.f21258a, this.f21259b, this.I0, this.J0);
            this.K0 = false;
            this.L0 = false;
        }

        public void a(PointF pointF) {
            this.I0 = Math.round(pointF.x);
            this.J0 = Math.round(pointF.y);
            this.L0 = true;
            if (this.K0) {
                b();
            }
        }

        public void c(PointF pointF) {
            this.f21258a = Math.round(pointF.x);
            this.f21259b = Math.round(pointF.y);
            this.K0 = true;
            if (this.L0) {
                b();
            }
        }
    }

    static {
        if (Build.VERSION.SDK_INT >= 14) {
            I1 = new a();
            J1 = new b();
            K1 = new c();
            L1 = new d();
            M1 = new e();
            N1 = new f();
            return;
        }
        I1 = null;
        J1 = null;
        K1 = null;
        L1 = null;
        M1 = null;
        N1 = null;
    }

    public ChangeBounds() {
        this.Q1 = new int[2];
        this.R1 = false;
        this.S1 = false;
    }

    private void M0(n nVar) {
        View view = nVar.f21349a;
        if (n.h(view, false) || view.getWidth() != 0 || view.getHeight() != 0) {
            nVar.f21350b.put(C1, new Rect(view.getLeft(), view.getTop(), view.getRight(), view.getBottom()));
            nVar.f21350b.put(E1, nVar.f21349a.getParent());
            if (this.S1) {
                nVar.f21349a.getLocationInWindow(this.Q1);
                nVar.f21350b.put(F1, Integer.valueOf(this.Q1[0]));
                nVar.f21350b.put(G1, Integer.valueOf(this.Q1[1]));
            }
            if (this.R1) {
                nVar.f21350b.put(D1, n.b(view));
            }
        }
    }

    private boolean O0(View view, View view2) {
        if (!this.S1) {
            return true;
        }
        n O = O(view, true);
        if (O == null) {
            if (view == view2) {
                return true;
            }
        } else if (view2 == O.f21349a) {
            return true;
        }
        return false;
    }

    public boolean N0() {
        return this.R1;
    }

    public void P0(boolean z) {
        this.S1 = z;
    }

    public void Q0(boolean z) {
        this.R1 = z;
    }

    @Override // com.transitionseverywhere.Transition
    public String[] b0() {
        return H1;
    }

    @Override // com.transitionseverywhere.Transition
    public void r(n nVar) {
        M0(nVar);
    }

    @Override // com.transitionseverywhere.Transition
    public void u(n nVar) {
        M0(nVar);
    }

    @Override // com.transitionseverywhere.Transition
    public Animator y(ViewGroup viewGroup, n nVar, n nVar2) {
        int i2;
        boolean z;
        View view;
        Animator animator;
        int i3;
        int i4;
        Animator animator2;
        int i5;
        int i6;
        int i7;
        View view2;
        ObjectAnimator objectAnimator;
        if (nVar == null || nVar2 == null) {
            return null;
        }
        if (P1 == null) {
            P1 = new com.transitionseverywhere.utils.i();
        }
        Map<String, Object> map = nVar.f21350b;
        Map<String, Object> map2 = nVar2.f21350b;
        ViewGroup viewGroup2 = (ViewGroup) map.get(E1);
        ViewGroup viewGroup3 = (ViewGroup) map2.get(E1);
        if (viewGroup2 == null || viewGroup3 == null) {
            return null;
        }
        View view3 = nVar2.f21349a;
        if (O0(viewGroup2, viewGroup3)) {
            Rect rect = (Rect) nVar.f21350b.get(C1);
            Rect rect2 = (Rect) nVar2.f21350b.get(C1);
            int i8 = rect.left;
            int i9 = rect2.left;
            int i10 = rect.top;
            int i11 = rect2.top;
            int i12 = rect.right;
            int i13 = rect2.right;
            int i14 = rect.bottom;
            int i15 = rect2.bottom;
            int i16 = i12 - i8;
            int i17 = i14 - i10;
            int i18 = i13 - i9;
            int i19 = i15 - i11;
            Rect rect3 = (Rect) nVar.f21350b.get(D1);
            Rect rect4 = (Rect) nVar2.f21350b.get(D1);
            if ((i16 == 0 || i17 == 0) && (i18 == 0 || i19 == 0)) {
                i2 = 0;
            } else {
                i2 = (i8 == i9 && i10 == i11) ? 0 : 1;
                if (!(i12 == i13 && i14 == i15)) {
                    i2++;
                }
            }
            if ((rect3 != null && !rect3.equals(rect4)) || (rect3 == null && rect4 != null)) {
                i2++;
            }
            if (i2 <= 0) {
                return null;
            }
            if (!this.R1 || (rect3 == null && rect4 == null)) {
                n.o(view3, i8, i10, i12, i14);
                if (i2 != 2) {
                    view = view3;
                    z = true;
                    if (i8 == i9 && i10 == i11) {
                        animator = com.transitionseverywhere.utils.a.h(view, L1, S(), (float) i12, (float) i14, (float) i13, (float) i15);
                    } else {
                        animator = com.transitionseverywhere.utils.a.h(view, M1, S(), (float) i8, (float) i10, (float) i9, (float) i11);
                    }
                } else if (i16 == i18 && i17 == i19) {
                    view = view3;
                    z = true;
                    animator = com.transitionseverywhere.utils.a.h(view3, N1, S(), (float) i8, (float) i10, (float) i9, (float) i11);
                } else {
                    view = view3;
                    z = true;
                    j jVar = new j(view);
                    Animator h2 = com.transitionseverywhere.utils.a.h(jVar, J1, S(), (float) i8, (float) i10, (float) i9, (float) i11);
                    Animator h3 = com.transitionseverywhere.utils.a.h(jVar, K1, S(), (float) i12, (float) i14, (float) i13, (float) i15);
                    AnimatorSet animatorSet = new AnimatorSet();
                    animatorSet.playTogether(h2, h3);
                    animatorSet.addListener(jVar);
                    animator = animatorSet;
                }
            } else {
                n.o(view3, i8, i10, Math.max(i16, i18) + i8, Math.max(i17, i19) + i10);
                if (i8 == i9 && i10 == i11) {
                    i6 = i16;
                    i5 = i13;
                    i4 = i11;
                    i3 = i9;
                    animator2 = null;
                } else {
                    i6 = i16;
                    i5 = i13;
                    i4 = i11;
                    i3 = i9;
                    animator2 = com.transitionseverywhere.utils.a.h(view3, N1, S(), (float) i8, (float) i10, (float) i9, (float) i11);
                }
                if (rect3 == null) {
                    i7 = 0;
                    rect3 = new Rect(0, 0, i6, i17);
                } else {
                    i7 = 0;
                }
                Rect rect5 = rect4 == null ? new Rect(i7, i7, i18, i19) : rect4;
                if (!rect3.equals(rect5)) {
                    n.l(view3, rect3);
                    Property<View, Rect> property = ChangeClipBounds.G1;
                    com.transitionseverywhere.utils.i iVar = P1;
                    Rect[] rectArr = new Rect[2];
                    rectArr[i7] = rect3;
                    rectArr[1] = rect5;
                    ObjectAnimator ofObject = ObjectAnimator.ofObject(view3, property, iVar, rectArr);
                    view2 = view3;
                    ofObject.addListener(new g(view3, rect4, i3, i4, i5, i15));
                    objectAnimator = ofObject;
                } else {
                    view2 = view3;
                    objectAnimator = null;
                }
                animator = m.d(animator2, objectAnimator);
                view = view2;
                z = true;
            }
            if (view.getParent() instanceof ViewGroup) {
                ViewGroup viewGroup4 = (ViewGroup) view.getParent();
                l.b(viewGroup4, z);
                b(new h(viewGroup4));
            }
            return animator;
        }
        viewGroup.getLocationInWindow(this.Q1);
        int intValue = ((Integer) nVar.f21350b.get(F1)).intValue() - this.Q1[0];
        int intValue2 = ((Integer) nVar.f21350b.get(G1)).intValue() - this.Q1[1];
        int intValue3 = ((Integer) nVar2.f21350b.get(F1)).intValue() - this.Q1[0];
        int intValue4 = ((Integer) nVar2.f21350b.get(G1)).intValue() - this.Q1[1];
        if (intValue == intValue3 && intValue2 == intValue4) {
            return null;
        }
        int width = view3.getWidth();
        int height = view3.getHeight();
        Bitmap createBitmap = Bitmap.createBitmap(width, height, Bitmap.Config.ARGB_8888);
        view3.draw(new Canvas(createBitmap));
        BitmapDrawable bitmapDrawable = new BitmapDrawable(viewGroup.getContext().getResources(), createBitmap);
        bitmapDrawable.setBounds(intValue, intValue2, width + intValue, height + intValue2);
        Animator h4 = com.transitionseverywhere.utils.a.h(bitmapDrawable, I1, S(), (float) intValue, (float) intValue2, (float) intValue3, (float) intValue4);
        if (h4 != null) {
            float alpha = view3.getAlpha();
            view3.setAlpha(0.0f);
            m.a(viewGroup, bitmapDrawable);
            h4.addListener(new i(viewGroup, bitmapDrawable, view3, alpha));
        }
        return h4;
    }

    public ChangeBounds(Context context, AttributeSet attributeSet) {
        super(context, attributeSet);
        this.Q1 = new int[2];
        this.R1 = false;
        this.S1 = false;
        TypedArray obtainStyledAttributes = context.obtainStyledAttributes(attributeSet, R.styleable.ChangeBounds);
        boolean z = obtainStyledAttributes.getBoolean(R.styleable.ChangeBounds_resizeClip, false);
        obtainStyledAttributes.recycle();
        Q0(z);
    }
}
