package com.transitionseverywhere;

import android.animation.Animator;
import android.animation.ObjectAnimator;
import android.animation.TypeEvaluator;
import android.annotation.TargetApi;
import android.content.Context;
import android.graphics.Matrix;
import android.graphics.Rect;
import android.graphics.drawable.Drawable;
import android.os.Build;
import android.util.AttributeSet;
import android.util.Property;
import android.view.View;
import android.view.ViewGroup;
import android.widget.ImageView;
import com.transitionseverywhere.utils.e;
import java.util.Map;

@TargetApi(14)
public class ChangeImageTransform extends Transition {
    private static final String C1 = "ChangeImageTransform";
    private static final String D1 = "android:changeImageTransform:matrix";
    private static final String E1 = "android:changeImageTransform:bounds";
    private static final String[] F1 = {D1, E1};
    private static final Property<ImageView, Matrix> G1;

    static class a extends Property<ImageView, Matrix> {
        a(Class cls, String str) {
            super(cls, str);
        }

        /* renamed from: a */
        public Matrix get(ImageView imageView) {
            return null;
        }

        /* renamed from: b */
        public void set(ImageView imageView, Matrix matrix) {
            e.a(imageView, matrix);
        }
    }

    static {
        if (Build.VERSION.SDK_INT >= 14) {
            G1 = new a(Matrix.class, "animatedTransform");
        } else {
            G1 = null;
        }
    }

    public ChangeImageTransform() {
    }

    private void M0(n nVar) {
        ImageView imageView;
        Drawable drawable;
        Matrix matrix;
        Matrix matrix2;
        View view = nVar.f21349a;
        if ((view instanceof ImageView) && view.getVisibility() == 0 && (drawable = (imageView = (ImageView) view).getDrawable()) != null) {
            Map<String, Object> map = nVar.f21350b;
            Rect rect = new Rect(view.getLeft(), view.getTop(), view.getRight(), view.getBottom());
            map.put(E1, rect);
            if (imageView.getScaleType() == ImageView.ScaleType.FIT_XY) {
                Matrix imageMatrix = imageView.getImageMatrix();
                if (!imageMatrix.isIdentity()) {
                    matrix = new Matrix(imageMatrix);
                } else {
                    int intrinsicWidth = drawable.getIntrinsicWidth();
                    int intrinsicHeight = drawable.getIntrinsicHeight();
                    if (intrinsicWidth <= 0 || intrinsicHeight <= 0) {
                        matrix2 = null;
                    } else {
                        float width = ((float) rect.width()) / ((float) intrinsicWidth);
                        float height = ((float) rect.height()) / ((float) intrinsicHeight);
                        matrix = new Matrix();
                        matrix.setScale(width, height);
                    }
                }
                map.put(D1, matrix);
            }
            matrix2 = new Matrix(imageView.getImageMatrix());
            matrix = matrix2;
            map.put(D1, matrix);
        }
    }

    private ObjectAnimator N0(ImageView imageView, TypeEvaluator<Matrix> typeEvaluator, Matrix matrix, Matrix matrix2) {
        return ObjectAnimator.ofObject(imageView, G1, typeEvaluator, matrix, matrix2);
    }

    @Override // com.transitionseverywhere.Transition
    public String[] b0() {
        return F1;
    }

    @Override // com.transitionseverywhere.Transition
    public void r(n nVar) {
        M0(nVar);
    }

    @Override // com.transitionseverywhere.Transition
    public void u(n nVar) {
        M0(nVar);
    }

    @Override // com.transitionseverywhere.Transition
    public Animator y(ViewGroup viewGroup, n nVar, n nVar2) {
        if (nVar == null || nVar2 == null) {
            return null;
        }
        Rect rect = (Rect) nVar.f21350b.get(E1);
        Rect rect2 = (Rect) nVar2.f21350b.get(E1);
        if (rect == null || rect2 == null) {
            return null;
        }
        Matrix matrix = (Matrix) nVar.f21350b.get(D1);
        Matrix matrix2 = (Matrix) nVar2.f21350b.get(D1);
        boolean z = (matrix == null && matrix2 == null) || (matrix != null && matrix.equals(matrix2));
        if (rect.equals(rect2) && z) {
            return null;
        }
        ImageView imageView = (ImageView) nVar2.f21349a;
        Drawable drawable = imageView.getDrawable();
        int intrinsicWidth = drawable.getIntrinsicWidth();
        int intrinsicHeight = drawable.getIntrinsicHeight();
        if (intrinsicWidth == 0 || intrinsicHeight == 0) {
            TypeEvaluator<Matrix> cVar = new e.c();
            Matrix matrix3 = e.f21368a;
            return N0(imageView, cVar, matrix3, matrix3);
        }
        if (matrix == null) {
            matrix = e.f21368a;
        }
        if (matrix2 == null) {
            matrix2 = e.f21368a;
        }
        e.a(imageView, matrix);
        return N0(imageView, new e.b(), matrix, matrix2);
    }

    public ChangeImageTransform(Context context, AttributeSet attributeSet) {
        super(context, attributeSet);
    }
}
