package com.transitionseverywhere;

import android.animation.Animator;
import android.animation.AnimatorListenerAdapter;
import android.animation.ObjectAnimator;
import android.animation.ValueAnimator;
import android.annotation.TargetApi;
import android.content.Context;
import android.content.res.TypedArray;
import android.graphics.Matrix;
import android.os.Build;
import android.util.AttributeSet;
import android.util.Property;
import android.view.View;
import android.view.ViewGroup;
import com.transitionseverywhere.Transition;
import com.transitionseverywhere.utils.e;
import com.transitionseverywhere.utils.n;

@TargetApi(21)
public class ChangeTransform extends Transition {
    private static final String C1 = "ChangeTransform";
    private static final String D1 = "android:changeTransform:matrix";
    private static final String E1 = "android:changeTransform:transforms";
    private static final String F1 = "android:changeTransform:parent";
    private static final String G1 = "android:changeTransform:parentMatrix";
    private static final String H1 = "android:changeTransform:intermediateParentMatrix";
    private static final String I1 = "android:changeTransform:intermediateMatrix";
    private static final String[] J1 = {D1, E1, G1};
    private static final Property<View, Matrix> K1;
    private boolean L1 = true;
    private boolean M1 = true;
    private Matrix N1 = new Matrix();

    static class a extends Property<View, Matrix> {
        a(Class cls, String str) {
            super(cls, str);
        }

        /* renamed from: a */
        public Matrix get(View view) {
            return null;
        }

        /* renamed from: b */
        public void set(View view, Matrix matrix) {
            n.k(view, matrix);
        }
    }

    /* access modifiers changed from: package-private */
    public class b extends AnimatorListenerAdapter {
        final /* synthetic */ boolean I0;
        final /* synthetic */ Matrix J0;
        final /* synthetic */ View K0;
        final /* synthetic */ d L0;

        /* renamed from: a  reason: collision with root package name */
        private boolean f21260a;

        /* renamed from: b  reason: collision with root package name */
        private Matrix f21261b = new Matrix();

        b(boolean z, Matrix matrix, View view, d dVar) {
            this.I0 = z;
            this.J0 = matrix;
            this.K0 = view;
            this.L0 = dVar;
        }

        private void a(Matrix matrix) {
            this.f21261b.set(matrix);
            this.K0.setTag(R.id.transitionTransform, this.f21261b);
            this.L0.a(this.K0);
        }

        public void onAnimationCancel(Animator animator) {
            this.f21260a = true;
        }

        public void onAnimationEnd(Animator animator) {
            if (!this.f21260a) {
                if (!this.I0 || !ChangeTransform.this.L1) {
                    this.K0.setTag(R.id.transitionTransform, null);
                    this.K0.setTag(R.id.parentMatrix, null);
                } else {
                    a(this.J0);
                }
            }
            ChangeTransform.K1.set(this.K0, null);
            this.L0.a(this.K0);
        }

        public void onAnimationPause(Animator animator) {
            a((Matrix) ((ValueAnimator) animator).getAnimatedValue());
        }

        public void onAnimationResume(Animator animator) {
            ChangeTransform.W0(this.K0);
        }
    }

    /* access modifiers changed from: private */
    public static class c extends Transition.g {
        private Matrix I0;

        /* renamed from: a  reason: collision with root package name */
        private View f21262a;

        /* renamed from: b  reason: collision with root package name */
        private View f21263b;

        public c(View view, View view2, Matrix matrix) {
            this.f21262a = view;
            this.f21263b = view2;
            this.I0 = matrix;
        }

        @Override // com.transitionseverywhere.Transition.f, com.transitionseverywhere.Transition.g
        public void b(Transition transition) {
            transition.r0(this);
            n.j(this.f21262a);
            this.f21262a.setTag(R.id.transitionTransform, null);
            this.f21262a.setTag(R.id.parentMatrix, null);
        }

        @Override // com.transitionseverywhere.Transition.f, com.transitionseverywhere.Transition.g
        public void c(Transition transition) {
            this.f21263b.setVisibility(4);
        }

        @Override // com.transitionseverywhere.Transition.f, com.transitionseverywhere.Transition.g
        public void e(Transition transition) {
            this.f21263b.setVisibility(0);
        }
    }

    /* access modifiers changed from: private */
    public static class d {

        /* renamed from: a  reason: collision with root package name */
        public final float f21264a;

        /* renamed from: b  reason: collision with root package name */
        public final float f21265b;

        /* renamed from: c  reason: collision with root package name */
        public final float f21266c;

        /* renamed from: d  reason: collision with root package name */
        public final float f21267d;

        /* renamed from: e  reason: collision with root package name */
        public final float f21268e;
        public final float f;
        public final float g;
        public final float h;

        public d(View view) {
            this.f21264a = view.getTranslationX();
            this.f21265b = view.getTranslationY();
            this.f21266c = n.e(view);
            this.f21267d = view.getScaleX();
            this.f21268e = view.getScaleY();
            this.f = view.getRotationX();
            this.g = view.getRotationY();
            this.h = view.getRotation();
        }

        public void a(View view) {
            ChangeTransform.a1(view, this.f21264a, this.f21265b, this.f21266c, this.f21267d, this.f21268e, this.f, this.g, this.h);
        }

        public boolean equals(Object obj) {
            if (!(obj instanceof d)) {
                return false;
            }
            d dVar = (d) obj;
            if (dVar.f21264a == this.f21264a && dVar.f21265b == this.f21265b && dVar.f21266c == this.f21266c && dVar.f21267d == this.f21267d && dVar.f21268e == this.f21268e && dVar.f == this.f && dVar.g == this.g && dVar.h == this.h) {
                return true;
            }
            return false;
        }
    }

    static {
        if (Build.VERSION.SDK_INT >= 14) {
            K1 = new a(Matrix.class, "animationMatrix");
        } else {
            K1 = null;
        }
    }

    public ChangeTransform() {
    }

    private void Q0(n nVar) {
        if (Build.VERSION.SDK_INT >= 21) {
            View view = nVar.f21349a;
            if (view.getVisibility() != 8) {
                nVar.f21350b.put(F1, view.getParent());
                nVar.f21350b.put(E1, new d(view));
                Matrix matrix = view.getMatrix();
                nVar.f21350b.put(D1, (matrix == null || matrix.isIdentity()) ? null : new Matrix(matrix));
                if (this.M1) {
                    Matrix matrix2 = new Matrix();
                    ViewGroup viewGroup = (ViewGroup) view.getParent();
                    n.s(viewGroup, matrix2);
                    matrix2.preTranslate((float) (-viewGroup.getScrollX()), (float) (-viewGroup.getScrollY()));
                    nVar.f21350b.put(G1, matrix2);
                    nVar.f21350b.put(I1, view.getTag(R.id.transitionTransform));
                    nVar.f21350b.put(H1, view.getTag(R.id.parentMatrix));
                }
            }
        }
    }

    private void R0(ViewGroup viewGroup, n nVar, n nVar2) {
        View view = nVar2.f21349a;
        Matrix matrix = (Matrix) nVar2.f21350b.get(G1);
        Matrix matrix2 = new Matrix(matrix);
        n.t(viewGroup, matrix2);
        Transition transition = this;
        while (true) {
            Transition transition2 = transition.m1;
            if (transition2 == null) {
                break;
            }
            transition = transition2;
        }
        View a2 = n.a(view, viewGroup, matrix2);
        if (a2 != null) {
            transition.b(new c(view, a2, matrix));
        }
        if (nVar.f21349a != nVar2.f21349a) {
            view.setAlpha(0.0f);
        }
        view.setAlpha(1.0f);
    }

    private ObjectAnimator S0(n nVar, n nVar2, boolean z) {
        Matrix matrix = (Matrix) nVar.f21350b.get(D1);
        Matrix matrix2 = (Matrix) nVar2.f21350b.get(D1);
        if (matrix == null) {
            matrix = e.f21368a;
        }
        if (matrix2 == null) {
            matrix2 = e.f21368a;
        }
        if (matrix.equals(matrix2)) {
            return null;
        }
        d dVar = (d) nVar2.f21350b.get(E1);
        View view = nVar2.f21349a;
        W0(view);
        ObjectAnimator ofObject = ObjectAnimator.ofObject(view, K1, new e.b(), matrix, matrix2);
        b bVar = new b(z, matrix2, view, dVar);
        ofObject.addListener(bVar);
        ofObject.addPauseListener(bVar);
        return ofObject;
    }

    /* JADX WARNING: Code restructure failed: missing block: B:7:0x0017, code lost:
        if (r5 == r4.f21349a) goto L_0x001e;
     */
    /* JADX WARNING: Code restructure failed: missing block: B:8:0x001a, code lost:
        if (r4 == r5) goto L_0x001e;
     */
    private boolean V0(ViewGroup viewGroup, ViewGroup viewGroup2) {
        boolean z = true;
        if (g0(viewGroup) && g0(viewGroup2)) {
            n O = O(viewGroup, true);
            if (O == null) {
                return false;
            }
        }
        z = false;
        return z;
    }

    /* access modifiers changed from: private */
    public static void W0(View view) {
        a1(view, 0.0f, 0.0f, 0.0f, 1.0f, 1.0f, 0.0f, 0.0f, 0.0f);
    }

    private void X0(n nVar, n nVar2) {
        Matrix matrix = (Matrix) nVar2.f21350b.get(G1);
        nVar2.f21349a.setTag(R.id.parentMatrix, matrix);
        Matrix matrix2 = this.N1;
        matrix2.reset();
        matrix.invert(matrix2);
        Matrix matrix3 = (Matrix) nVar.f21350b.get(D1);
        if (matrix3 == null) {
            matrix3 = new Matrix();
            nVar.f21350b.put(D1, matrix3);
        }
        matrix3.postConcat((Matrix) nVar.f21350b.get(G1));
        matrix3.postConcat(matrix2);
    }

    /* access modifiers changed from: private */
    public static void a1(View view, float f, float f2, float f3, float f4, float f5, float f6, float f7, float f8) {
        view.setTranslationX(f);
        view.setTranslationY(f2);
        n.r(view, f3);
        view.setScaleX(f4);
        view.setScaleY(f5);
        view.setRotationX(f6);
        view.setRotationY(f7);
        view.setRotation(f8);
    }

    public boolean T0() {
        return this.M1;
    }

    public boolean U0() {
        return this.L1;
    }

    public void Y0(boolean z) {
        this.M1 = z;
    }

    public void Z0(boolean z) {
        this.L1 = z;
    }

    @Override // com.transitionseverywhere.Transition
    public String[] b0() {
        return J1;
    }

    @Override // com.transitionseverywhere.Transition
    public void r(n nVar) {
        Q0(nVar);
    }

    @Override // com.transitionseverywhere.Transition
    public void u(n nVar) {
        Q0(nVar);
    }

    @Override // com.transitionseverywhere.Transition
    public Animator y(ViewGroup viewGroup, n nVar, n nVar2) {
        if (nVar == null || nVar2 == null || Build.VERSION.SDK_INT < 21 || !nVar.f21350b.containsKey(F1) || !nVar2.f21350b.containsKey(F1)) {
            return null;
        }
        boolean z = this.M1 && !V0((ViewGroup) nVar.f21350b.get(F1), (ViewGroup) nVar2.f21350b.get(F1));
        Matrix matrix = (Matrix) nVar.f21350b.get(I1);
        if (matrix != null) {
            nVar.f21350b.put(D1, matrix);
        }
        Matrix matrix2 = (Matrix) nVar.f21350b.get(H1);
        if (matrix2 != null) {
            nVar.f21350b.put(G1, matrix2);
        }
        if (z) {
            X0(nVar, nVar2);
        }
        ObjectAnimator S0 = S0(nVar, nVar2, z);
        if (z && S0 != null && this.L1) {
            R0(viewGroup, nVar, nVar2);
        }
        return S0;
    }

    public ChangeTransform(Context context, AttributeSet attributeSet) {
        super(context, attributeSet);
        TypedArray obtainStyledAttributes = context.obtainStyledAttributes(attributeSet, R.styleable.ChangeTransform);
        this.L1 = obtainStyledAttributes.getBoolean(R.styleable.ChangeTransform_reparentWithOverlay, true);
        this.M1 = obtainStyledAttributes.getBoolean(R.styleable.ChangeTransform_reparent, true);
        obtainStyledAttributes.recycle();
    }
}
