package com.transitionseverywhere;

import android.animation.Animator;
import android.animation.AnimatorListenerAdapter;
import android.animation.ObjectAnimator;
import android.annotation.TargetApi;
import android.content.Context;
import android.content.res.TypedArray;
import android.util.AttributeSet;
import android.view.View;
import android.view.ViewGroup;
import com.transitionseverywhere.Transition;

@TargetApi(14)
public class Fade extends Visibility {
    static final String L1 = "fade:alpha";
    public static final int M1 = 1;
    public static final int N1 = 2;

    /* access modifiers changed from: package-private */
    public class a extends Transition.g {

        /* renamed from: a  reason: collision with root package name */
        final /* synthetic */ View f21269a;

        /* renamed from: b  reason: collision with root package name */
        final /* synthetic */ float f21270b;

        a(View view, float f) {
            this.f21269a = view;
            this.f21270b = f;
        }

        @Override // com.transitionseverywhere.Transition.f, com.transitionseverywhere.Transition.g
        public void b(Transition transition) {
            this.f21269a.setAlpha(this.f21270b);
        }
    }

    /* access modifiers changed from: private */
    public static class b extends AnimatorListenerAdapter {
        private boolean I0 = false;

        /* renamed from: a  reason: collision with root package name */
        private final View f21271a;

        /* renamed from: b  reason: collision with root package name */
        private float f21272b;

        public b(View view, float f) {
            this.f21271a = view;
            this.f21272b = f;
        }

        public void onAnimationEnd(Animator animator) {
            this.f21271a.setAlpha(this.f21272b);
            if (this.I0) {
                this.f21271a.setLayerType(0, null);
            }
        }

        public void onAnimationStart(Animator animator) {
            if (com.transitionseverywhere.utils.a.b(this.f21271a) && this.f21271a.getLayerType() == 0) {
                this.I0 = true;
                this.f21271a.setLayerType(2, null);
            }
        }
    }

    public Fade() {
    }

    private Animator V0(View view, float f, float f2, n nVar) {
        float alpha = view.getAlpha();
        float f3 = f * alpha;
        float f4 = f2 * alpha;
        if (nVar != null && nVar.f21350b.containsKey(L1)) {
            float floatValue = ((Float) nVar.f21350b.get(L1)).floatValue();
            if (floatValue != alpha) {
                f3 = floatValue;
            }
        }
        view.setAlpha(f3);
        ObjectAnimator ofFloat = ObjectAnimator.ofFloat(view, View.ALPHA, f4);
        ofFloat.addListener(new b(view, alpha));
        b(new a(view, alpha));
        return ofFloat;
    }

    @Override // com.transitionseverywhere.Visibility
    public Animator Q0(ViewGroup viewGroup, View view, n nVar, n nVar2) {
        return V0(view, 0.0f, 1.0f, nVar);
    }

    @Override // com.transitionseverywhere.Visibility
    public Animator S0(ViewGroup viewGroup, View view, n nVar, n nVar2) {
        return V0(view, 1.0f, 0.0f, nVar);
    }

    @Override // com.transitionseverywhere.Visibility, com.transitionseverywhere.Transition
    public void u(n nVar) {
        super.u(nVar);
        View view = nVar.f21349a;
        if (view != null) {
            nVar.f21350b.put(L1, Float.valueOf(view.getAlpha()));
        }
    }

    public Fade(int i) {
        U0(i);
    }

    public Fade(Context context, AttributeSet attributeSet) {
        super(context, attributeSet);
        TypedArray obtainStyledAttributes = context.obtainStyledAttributes(attributeSet, R.styleable.Fade);
        int i = obtainStyledAttributes.getInt(R.styleable.Fade_fadingMode, N0());
        obtainStyledAttributes.recycle();
        U0(i);
    }
}
