package com.transitionseverywhere;

import android.content.Context;
import android.content.res.TypedArray;
import android.graphics.Matrix;
import android.graphics.Path;
import android.graphics.PathMeasure;
import android.util.AttributeSet;

public class PatternPathMotion extends PathMotion {

    /* renamed from: b  reason: collision with root package name */
    private Path f21274b;

    /* renamed from: c  reason: collision with root package name */
    private final Path f21275c;

    /* renamed from: d  reason: collision with root package name */
    private final Matrix f21276d;

    public PatternPathMotion() {
        Path path = new Path();
        this.f21275c = path;
        this.f21276d = new Matrix();
        path.lineTo(1.0f, 0.0f);
        this.f21274b = path;
    }

    @Override // com.transitionseverywhere.PathMotion
    public Path a(float f, float f2, float f3, float f4) {
        double d2 = (double) (f3 - f);
        double d3 = (double) (f4 - f2);
        float hypot = (float) Math.hypot(d2, d3);
        double atan2 = Math.atan2(d3, d2);
        this.f21276d.setScale(hypot, hypot);
        this.f21276d.postRotate((float) Math.toDegrees(atan2));
        this.f21276d.postTranslate(f, f2);
        Path path = new Path();
        this.f21275c.transform(this.f21276d, path);
        return path;
    }

    public Path b() {
        return this.f21274b;
    }

    public void c(Path path) {
        PathMeasure pathMeasure = new PathMeasure(path, false);
        float[] fArr = new float[2];
        pathMeasure.getPosTan(pathMeasure.getLength(), fArr, null);
        float f = fArr[0];
        float f2 = fArr[1];
        pathMeasure.getPosTan(0.0f, fArr, null);
        float f3 = fArr[0];
        float f4 = fArr[1];
        if (f3 == f && f4 == f2) {
            throw new IllegalArgumentException("pattern must not end at the starting point");
        }
        this.f21276d.setTranslate(-f3, -f4);
        double d2 = (double) (f - f3);
        double d3 = (double) (f2 - f4);
        float hypot = 1.0f / ((float) Math.hypot(d2, d3));
        this.f21276d.postScale(hypot, hypot);
        this.f21276d.postRotate((float) Math.toDegrees(-Math.atan2(d3, d2)));
        path.transform(this.f21276d, this.f21275c);
        this.f21274b = path;
    }

    public PatternPathMotion(Context context, AttributeSet attributeSet) {
        this.f21275c = new Path();
        this.f21276d = new Matrix();
        TypedArray obtainStyledAttributes = context.obtainStyledAttributes(attributeSet, R.styleable.PatternPathMotion);
        try {
            String string = obtainStyledAttributes.getString(R.styleable.PatternPathMotion_patternPathData);
            if (string != null) {
                c(f.d(string));
                return;
            }
            throw new RuntimeException("pathData must be supplied for patternPathMotion");
        } finally {
            obtainStyledAttributes.recycle();
        }
    }

    public PatternPathMotion(Path path) {
        this.f21275c = new Path();
        this.f21276d = new Matrix();
        c(path);
    }
}
