package com.transitionseverywhere;

import android.animation.Animator;
import android.animation.AnimatorListenerAdapter;
import android.animation.TimeInterpolator;
import android.annotation.TargetApi;
import android.content.Context;
import android.content.res.TypedArray;
import android.graphics.Rect;
import android.util.AttributeSet;
import android.util.SparseArray;
import android.view.InflateException;
import android.view.View;
import android.view.ViewGroup;
import android.view.animation.AnimationUtils;
import android.widget.ListView;
import com.transitionseverywhere.utils.n;
import java.util.ArrayList;
import java.util.Iterator;
import java.util.List;
import java.util.StringTokenizer;

@TargetApi(14)
public abstract class Transition implements Cloneable {
    public static final int I0 = 1;
    private static final int J0 = 1;
    public static final int K0 = 2;
    public static final int L0 = 3;
    public static final int M0 = 4;
    private static final int N0 = 4;
    private static final String O0 = "instance";
    private static final String P0 = "name";
    private static final String Q0 = "viewName";
    private static final String R0 = "id";
    private static final String S0 = "itemId";
    private static final int[] T0 = {2, 1, 3, 4};
    private static final ThreadLocal<b.b.a<Animator, c>> U0 = new ThreadLocal<>();

    /* renamed from: a  reason: collision with root package name */
    private static final String f21278a = "Transition";

    /* renamed from: b  reason: collision with root package name */
    protected static final boolean f21279b = false;
    b.b.a<String, String> A1;
    PathMotion B1 = PathMotion.f21273a;
    private String V0 = getClass().getName();
    long W0 = -1;
    long X0 = -1;
    TimeInterpolator Y0 = null;
    ArrayList<Integer> Z0 = new ArrayList<>();
    ArrayList<View> a1 = new ArrayList<>();
    ArrayList<String> b1 = null;
    ArrayList<Class> c1 = null;
    ArrayList<Integer> d1 = null;
    ArrayList<View> e1 = null;
    ArrayList<Class> f1 = null;
    ArrayList<String> g1 = null;
    ArrayList<Integer> h1 = null;
    ArrayList<View> i1 = null;
    ArrayList<Class> j1 = null;
    private o k1 = new o();
    private o l1 = new o();
    TransitionSet m1 = null;
    int[] n1 = T0;
    ArrayList<n> o1;
    ArrayList<n> p1;
    ViewGroup q1 = null;
    boolean r1 = false;
    private ArrayList<Animator> s1 = new ArrayList<>();
    int t1 = 0;
    boolean u1 = false;
    private boolean v1 = false;
    ArrayList<f> w1 = null;
    ArrayList<Animator> x1 = new ArrayList<>();
    l y1;
    e z1;

    /* access modifiers changed from: package-private */
    public class a extends AnimatorListenerAdapter {

        /* renamed from: a  reason: collision with root package name */
        final /* synthetic */ b.b.a f21280a;

        a(b.b.a aVar) {
            this.f21280a = aVar;
        }

        public void onAnimationEnd(Animator animator) {
            this.f21280a.remove(animator);
            Transition.this.s1.remove(animator);
        }

        public void onAnimationStart(Animator animator) {
            Transition.this.s1.add(animator);
        }
    }

    /* access modifiers changed from: package-private */
    public class b extends AnimatorListenerAdapter {
        b() {
        }

        public void onAnimationEnd(Animator animator) {
            Transition.this.A();
            animator.removeListener(this);
        }
    }

    public static class c {

        /* renamed from: a  reason: collision with root package name */
        public View f21283a;

        /* renamed from: b  reason: collision with root package name */
        String f21284b;

        /* renamed from: c  reason: collision with root package name */
        n f21285c;

        /* renamed from: d  reason: collision with root package name */
        Object f21286d;

        /* renamed from: e  reason: collision with root package name */
        Transition f21287e;

        c(View view, String str, Transition transition, Object obj, n nVar) {
            this.f21283a = view;
            this.f21284b = str;
            this.f21285c = nVar;
            this.f21286d = obj;
            this.f21287e = transition;
        }
    }

    /* access modifiers changed from: private */
    public static class d {
        private d() {
        }

        static <T> ArrayList<T> a(ArrayList<T> arrayList, T t) {
            if (arrayList == null) {
                arrayList = new ArrayList<>();
            }
            if (!arrayList.contains(t)) {
                arrayList.add(t);
            }
            return arrayList;
        }

        static <T> ArrayList<T> b(ArrayList<T> arrayList, T t) {
            if (arrayList == null) {
                return arrayList;
            }
            arrayList.remove(t);
            if (arrayList.isEmpty()) {
                return null;
            }
            return arrayList;
        }
    }

    public static abstract class e {
        public abstract Rect a(Transition transition);
    }

    public interface f {
        void a(Transition transition);

        void b(Transition transition);

        void c(Transition transition);

        void d(Transition transition);

        void e(Transition transition);
    }

    public static class g implements f {
        @Override // com.transitionseverywhere.Transition.f
        public void a(Transition transition) {
        }

        @Override // com.transitionseverywhere.Transition.f
        public void b(Transition transition) {
        }

        @Override // com.transitionseverywhere.Transition.f
        public void c(Transition transition) {
        }

        @Override // com.transitionseverywhere.Transition.f
        public void d(Transition transition) {
        }

        @Override // com.transitionseverywhere.Transition.f
        public void e(Transition transition) {
        }
    }

    public Transition() {
    }

    private static <T> ArrayList<T> E(ArrayList<T> arrayList, T t, boolean z) {
        if (t == null) {
            return arrayList;
        }
        if (z) {
            return d.a(arrayList, t);
        }
        return d.b(arrayList, t);
    }

    private static b.b.a<Animator, c> U() {
        ThreadLocal<b.b.a<Animator, c>> threadLocal = U0;
        b.b.a<Animator, c> aVar = threadLocal.get();
        if (aVar != null) {
            return aVar;
        }
        b.b.a<Animator, c> aVar2 = new b.b.a<>();
        threadLocal.set(aVar2);
        return aVar2;
    }

    private static boolean f0(int i) {
        return i >= 1 && i <= 4;
    }

    private void h(b.b.a<View, n> aVar, b.b.a<View, n> aVar2) {
        for (int i = 0; i < aVar.size(); i++) {
            this.o1.add(aVar.m(i));
            this.p1.add(null);
        }
        for (int i2 = 0; i2 < aVar2.size(); i2++) {
            this.p1.add(aVar2.m(i2));
            this.o1.add(null);
        }
    }

    private static boolean h0(n nVar, n nVar2, String str) {
        if (nVar.f21350b.containsKey(str) != nVar2.f21350b.containsKey(str)) {
            return false;
        }
        Object obj = nVar.f21350b.get(str);
        Object obj2 = nVar2.f21350b.get(str);
        if (obj == null && obj2 == null) {
            return false;
        }
        if (obj == null || obj2 == null) {
            return true;
        }
        return !obj.equals(obj2);
    }

    private void i0(b.b.a<View, n> aVar, b.b.a<View, n> aVar2, SparseArray<View> sparseArray, SparseArray<View> sparseArray2) {
        View view;
        int size = sparseArray.size();
        for (int i = 0; i < size; i++) {
            View valueAt = sparseArray.valueAt(i);
            if (valueAt != null && g0(valueAt) && (view = sparseArray2.get(sparseArray.keyAt(i))) != null && g0(view)) {
                n nVar = aVar.get(valueAt);
                n nVar2 = aVar2.get(view);
                if (!(nVar == null || nVar2 == null)) {
                    this.o1.add(nVar);
                    this.p1.add(nVar2);
                    aVar.remove(valueAt);
                    aVar2.remove(view);
                }
            }
        }
    }

    private void j0(b.b.a<View, n> aVar, b.b.a<View, n> aVar2) {
        n remove;
        View view;
        for (int size = aVar.size() - 1; size >= 0; size--) {
            View i = aVar.i(size);
            if (!(i == null || !g0(i) || (remove = aVar2.remove(i)) == null || (view = remove.f21349a) == null || !g0(view))) {
                this.o1.add(aVar.k(size));
                this.p1.add(remove);
            }
        }
    }

    private void k0(b.b.a<View, n> aVar, b.b.a<View, n> aVar2, b.b.f<View> fVar, b.b.f<View> fVar2) {
        View m;
        int C = fVar.C();
        for (int i = 0; i < C; i++) {
            View D = fVar.D(i);
            if (D != null && g0(D) && (m = fVar2.m(fVar.s(i))) != null && g0(m)) {
                n nVar = aVar.get(D);
                n nVar2 = aVar2.get(m);
                if (!(nVar == null || nVar2 == null)) {
                    this.o1.add(nVar);
                    this.p1.add(nVar2);
                    aVar.remove(D);
                    aVar2.remove(m);
                }
            }
        }
    }

    private void l0(b.b.a<View, n> aVar, b.b.a<View, n> aVar2, b.b.a<String, View> aVar3, b.b.a<String, View> aVar4) {
        View view;
        int size = aVar3.size();
        for (int i = 0; i < size; i++) {
            View m = aVar3.m(i);
            if (m != null && g0(m) && (view = aVar4.get(aVar3.i(i))) != null && g0(view)) {
                n nVar = aVar.get(m);
                n nVar2 = aVar2.get(view);
                if (!(nVar == null || nVar2 == null)) {
                    this.o1.add(nVar);
                    this.p1.add(nVar2);
                    aVar.remove(m);
                    aVar2.remove(view);
                }
            }
        }
    }

    static void m(o oVar, View view, n nVar) {
        oVar.f21352a.put(view, nVar);
        int id = view.getId();
        if (id >= 0) {
            if (oVar.f21353b.indexOfKey(id) >= 0) {
                oVar.f21353b.put(id, null);
            } else {
                oVar.f21353b.put(id, view);
            }
        }
        String d2 = n.d(view);
        if (d2 != null) {
            if (oVar.f21355d.containsKey(d2)) {
                oVar.f21355d.put(d2, null);
            } else {
                oVar.f21355d.put(d2, view);
            }
        }
        if (view.getParent() instanceof ListView) {
            ListView listView = (ListView) view.getParent();
            if (listView.getAdapter().hasStableIds()) {
                long itemIdAtPosition = listView.getItemIdAtPosition(listView.getPositionForView(view));
                if (oVar.f21354c.p(itemIdAtPosition) >= 0) {
                    View m = oVar.f21354c.m(itemIdAtPosition);
                    if (m != null) {
                        n.m(m, false);
                        oVar.f21354c.t(itemIdAtPosition, null);
                        return;
                    }
                    return;
                }
                n.m(view, true);
                oVar.f21354c.t(itemIdAtPosition, view);
            }
        }
    }

    private void m0(o oVar, o oVar2) {
        b.b.a<View, n> aVar = new b.b.a<>(oVar.f21352a);
        b.b.a<View, n> aVar2 = new b.b.a<>(oVar2.f21352a);
        int i = 0;
        while (true) {
            int[] iArr = this.n1;
            if (i < iArr.length) {
                int i2 = iArr[i];
                if (i2 == 1) {
                    j0(aVar, aVar2);
                } else if (i2 == 2) {
                    l0(aVar, aVar2, oVar.f21355d, oVar2.f21355d);
                } else if (i2 == 3) {
                    i0(aVar, aVar2, oVar.f21353b, oVar2.f21353b);
                } else if (i2 == 4) {
                    k0(aVar, aVar2, oVar.f21354c, oVar2.f21354c);
                }
                i++;
            } else {
                h(aVar, aVar2);
                return;
            }
        }
    }

    private static boolean n(int[] iArr, int i) {
        int i2 = iArr[i];
        for (int i3 = 0; i3 < i; i3++) {
            if (iArr[i3] == i2) {
                return true;
            }
        }
        return false;
    }

    private static int[] n0(String str) {
        StringTokenizer stringTokenizer = new StringTokenizer(str, ",");
        int[] iArr = new int[stringTokenizer.countTokens()];
        int i = 0;
        while (stringTokenizer.hasMoreTokens()) {
            String trim = stringTokenizer.nextToken().trim();
            if ("id".equalsIgnoreCase(trim)) {
                iArr[i] = 3;
            } else if (O0.equalsIgnoreCase(trim)) {
                iArr[i] = 1;
            } else if ("name".equalsIgnoreCase(trim)) {
                iArr[i] = 2;
            } else if (Q0.equalsIgnoreCase(trim)) {
                iArr[i] = 2;
            } else if (S0.equalsIgnoreCase(trim)) {
                iArr[i] = 4;
            } else if (trim.isEmpty()) {
                int[] iArr2 = new int[(iArr.length - 1)];
                System.arraycopy(iArr, 0, iArr2, 0, i);
                i--;
                iArr = iArr2;
            } else {
                throw new InflateException("Unknown match type in matchOrder: '" + trim + "'");
            }
            i++;
        }
        return iArr;
    }

    private void s(View view, boolean z) {
        if (view != null) {
            int id = view.getId();
            ArrayList<Integer> arrayList = this.d1;
            if (arrayList == null || !arrayList.contains(Integer.valueOf(id))) {
                ArrayList<View> arrayList2 = this.e1;
                if (arrayList2 == null || !arrayList2.contains(view)) {
                    ArrayList<Class> arrayList3 = this.f1;
                    if (arrayList3 != null) {
                        int size = arrayList3.size();
                        for (int i = 0; i < size; i++) {
                            if (this.f1.get(i).isInstance(view)) {
                                return;
                            }
                        }
                    }
                    if (view.getParent() instanceof ViewGroup) {
                        n nVar = new n();
                        nVar.f21349a = view;
                        if (z) {
                            u(nVar);
                        } else {
                            r(nVar);
                        }
                        nVar.f21351c.add(this);
                        t(nVar);
                        if (z) {
                            m(this.k1, view, nVar);
                        } else {
                            m(this.l1, view, nVar);
                        }
                    }
                    if (view instanceof ViewGroup) {
                        ArrayList<Integer> arrayList4 = this.h1;
                        if (arrayList4 == null || !arrayList4.contains(Integer.valueOf(id))) {
                            ArrayList<View> arrayList5 = this.i1;
                            if (arrayList5 == null || !arrayList5.contains(view)) {
                                ArrayList<Class> arrayList6 = this.j1;
                                if (arrayList6 != null) {
                                    int size2 = arrayList6.size();
                                    for (int i2 = 0; i2 < size2; i2++) {
                                        if (this.j1.get(i2).isInstance(view)) {
                                            return;
                                        }
                                    }
                                }
                                ViewGroup viewGroup = (ViewGroup) view;
                                for (int i3 = 0; i3 < viewGroup.getChildCount(); i3++) {
                                    s(viewGroup.getChildAt(i3), z);
                                }
                            }
                        }
                    }
                }
            }
        }
    }

    private void y0(Animator animator, b.b.a<Animator, c> aVar) {
        if (animator != null) {
            animator.addListener(new a(aVar));
            p(animator);
        }
    }

    /* access modifiers changed from: protected */
    public void A() {
        int i = this.t1 - 1;
        this.t1 = i;
        if (i == 0) {
            ArrayList<f> arrayList = this.w1;
            if (arrayList != null && arrayList.size() > 0) {
                ArrayList arrayList2 = (ArrayList) this.w1.clone();
                int size = arrayList2.size();
                for (int i2 = 0; i2 < size; i2++) {
                    ((f) arrayList2.get(i2)).b(this);
                }
            }
            for (int i3 = 0; i3 < this.k1.f21354c.C(); i3++) {
                View D = this.k1.f21354c.D(i3);
                if (n.g(D)) {
                    n.m(D, false);
                }
            }
            for (int i4 = 0; i4 < this.l1.f21354c.C(); i4++) {
                View D2 = this.l1.f21354c.D(i4);
                if (n.g(D2)) {
                    n.m(D2, false);
                }
            }
            this.v1 = true;
        }
    }

    /* access modifiers changed from: package-private */
    public void A0(boolean z) {
        this.r1 = z;
    }

    public Transition B(int i, boolean z) {
        if (i >= 0) {
            this.h1 = E(this.h1, Integer.valueOf(i), z);
        }
        return this;
    }

    public Transition B0(long j) {
        this.X0 = j;
        return this;
    }

    public Transition C(View view, boolean z) {
        this.i1 = E(this.i1, view, z);
        return this;
    }

    public Transition C0(e eVar) {
        this.z1 = eVar;
        return this;
    }

    public Transition D(Class cls, boolean z) {
        this.j1 = E(this.j1, cls, z);
        return this;
    }

    public Transition D0(TimeInterpolator timeInterpolator) {
        this.Y0 = timeInterpolator;
        return this;
    }

    public Transition E0(int... iArr) {
        if (iArr == null || iArr.length == 0) {
            this.n1 = T0;
        } else {
            for (int i = 0; i < iArr.length; i++) {
                if (!f0(iArr[i])) {
                    throw new IllegalArgumentException("matches contains invalid value");
                } else if (n(iArr, i)) {
                    throw new IllegalArgumentException("matches contains a duplicate value");
                }
            }
            this.n1 = (int[]) iArr.clone();
        }
        return this;
    }

    public Transition F(int i, boolean z) {
        if (i >= 0) {
            this.d1 = E(this.d1, Integer.valueOf(i), z);
        }
        return this;
    }

    public void F0(b.b.a<String, String> aVar) {
        this.A1 = aVar;
    }

    public Transition G(View view, boolean z) {
        this.e1 = E(this.e1, view, z);
        return this;
    }

    public Transition G0(PathMotion pathMotion) {
        if (pathMotion == null) {
            this.B1 = PathMotion.f21273a;
        } else {
            this.B1 = pathMotion;
        }
        return this;
    }

    public Transition H(Class cls, boolean z) {
        this.f1 = E(this.f1, cls, z);
        return this;
    }

    public Transition H0(l lVar) {
        this.y1 = lVar;
        return this;
    }

    public Transition I(String str, boolean z) {
        this.g1 = E(this.g1, str, z);
        return this;
    }

    /* access modifiers changed from: package-private */
    public Transition I0(ViewGroup viewGroup) {
        this.q1 = viewGroup;
        return this;
    }

    public void J(int i, boolean z) {
    }

    public Transition J0(long j) {
        this.W0 = j;
        return this;
    }

    public long K() {
        return this.X0;
    }

    /* access modifiers changed from: protected */
    public void K0() {
        if (this.t1 == 0) {
            ArrayList<f> arrayList = this.w1;
            if (arrayList != null && arrayList.size() > 0) {
                ArrayList arrayList2 = (ArrayList) this.w1.clone();
                int size = arrayList2.size();
                for (int i = 0; i < size; i++) {
                    ((f) arrayList2.get(i)).d(this);
                }
            }
            this.v1 = false;
        }
        this.t1++;
    }

    public Rect L() {
        e eVar = this.z1;
        if (eVar == null) {
            return null;
        }
        return eVar.a(this);
    }

    /* access modifiers changed from: package-private */
    public String L0(String str) {
        String str2 = str + getClass().getSimpleName() + "@" + Integer.toHexString(hashCode()) + ": ";
        if (this.X0 != -1) {
            str2 = str2 + "dur(" + this.X0 + ") ";
        }
        if (this.W0 != -1) {
            str2 = str2 + "dly(" + this.W0 + ") ";
        }
        if (this.Y0 != null) {
            str2 = str2 + "interp(" + this.Y0 + ") ";
        }
        if (this.Z0.size() <= 0 && this.a1.size() <= 0) {
            return str2;
        }
        String str3 = str2 + "tgts(";
        if (this.Z0.size() > 0) {
            for (int i = 0; i < this.Z0.size(); i++) {
                if (i > 0) {
                    str3 = str3 + ", ";
                }
                str3 = str3 + this.Z0.get(i);
            }
        }
        if (this.a1.size() > 0) {
            for (int i2 = 0; i2 < this.a1.size(); i2++) {
                if (i2 > 0) {
                    str3 = str3 + ", ";
                }
                str3 = str3 + this.a1.get(i2);
            }
        }
        return str3 + ")";
    }

    public e M() {
        return this.z1;
    }

    public TimeInterpolator N() {
        return this.Y0;
    }

    /* access modifiers changed from: package-private */
    public n O(View view, boolean z) {
        TransitionSet transitionSet = this.m1;
        if (transitionSet != null) {
            return transitionSet.O(view, z);
        }
        ArrayList<n> arrayList = z ? this.o1 : this.p1;
        if (arrayList == null) {
            return null;
        }
        int size = arrayList.size();
        int i = -1;
        int i2 = 0;
        while (true) {
            if (i2 >= size) {
                break;
            }
            n nVar = arrayList.get(i2);
            if (nVar == null) {
                return null;
            }
            if (nVar.f21349a == view) {
                i = i2;
                break;
            }
            i2++;
        }
        if (i < 0) {
            return null;
        }
        return (z ? this.p1 : this.o1).get(i);
    }

    public String P() {
        return this.V0;
    }

    public b.b.a<String, String> R() {
        return this.A1;
    }

    public PathMotion S() {
        return this.B1;
    }

    public l T() {
        return this.y1;
    }

    public long V() {
        return this.W0;
    }

    public List<Integer> W() {
        return this.Z0;
    }

    public List<String> X() {
        return this.b1;
    }

    public List<Class> Y() {
        return this.c1;
    }

    public List<String> Z() {
        return this.b1;
    }

    public List<View> a0() {
        return this.a1;
    }

    public Transition b(f fVar) {
        if (this.w1 == null) {
            this.w1 = new ArrayList<>();
        }
        this.w1.add(fVar);
        return this;
    }

    public String[] b0() {
        return null;
    }

    public Transition c(int i) {
        if (i > 0) {
            this.Z0.add(Integer.valueOf(i));
        }
        return this;
    }

    public n c0(View view, boolean z) {
        TransitionSet transitionSet = this.m1;
        if (transitionSet != null) {
            return transitionSet.c0(view, z);
        }
        return (z ? this.k1 : this.l1).f21352a.get(view);
    }

    /* access modifiers changed from: protected */
    public void cancel() {
        for (int size = this.s1.size() - 1; size >= 0; size--) {
            this.s1.get(size).cancel();
        }
        ArrayList<f> arrayList = this.w1;
        if (arrayList != null && arrayList.size() > 0) {
            ArrayList arrayList2 = (ArrayList) this.w1.clone();
            int size2 = arrayList2.size();
            for (int i = 0; i < size2; i++) {
                ((f) arrayList2.get(i)).a(this);
            }
        }
    }

    public Transition d(View view) {
        this.a1.add(view);
        return this;
    }

    public boolean d0(n nVar, n nVar2) {
        if (nVar == null || nVar2 == null) {
            return false;
        }
        String[] b0 = b0();
        if (b0 != null) {
            for (String str : b0) {
                if (!h0(nVar, nVar2, str)) {
                }
            }
            return false;
        }
        for (String str2 : nVar.f21350b.keySet()) {
            if (h0(nVar, nVar2, str2)) {
            }
        }
        return false;
        return true;
    }

    public Transition e(Class cls) {
        if (cls != null) {
            if (this.c1 == null) {
                this.c1 = new ArrayList<>();
            }
            this.c1.add(cls);
        }
        return this;
    }

    public Transition f(String str) {
        if (str != null) {
            if (this.b1 == null) {
                this.b1 = new ArrayList<>();
            }
            this.b1.add(str);
        }
        return this;
    }

    /* access modifiers changed from: package-private */
    public boolean g0(View view) {
        ArrayList<Class> arrayList;
        ArrayList<String> arrayList2;
        if (view == null) {
            return false;
        }
        int id = view.getId();
        ArrayList<Integer> arrayList3 = this.d1;
        if (arrayList3 != null && arrayList3.contains(Integer.valueOf(id))) {
            return false;
        }
        ArrayList<View> arrayList4 = this.e1;
        if (arrayList4 != null && arrayList4.contains(view)) {
            return false;
        }
        ArrayList<Class> arrayList5 = this.f1;
        if (arrayList5 != null) {
            int size = arrayList5.size();
            for (int i = 0; i < size; i++) {
                if (this.f1.get(i).isInstance(view)) {
                    return false;
                }
            }
        }
        String d2 = n.d(view);
        ArrayList<String> arrayList6 = this.g1;
        if (!(arrayList6 == null || d2 == null || !arrayList6.contains(d2))) {
            return false;
        }
        if ((this.Z0.size() == 0 && this.a1.size() == 0 && (((arrayList = this.c1) == null || arrayList.isEmpty()) && ((arrayList2 = this.b1) == null || arrayList2.isEmpty()))) || this.Z0.contains(Integer.valueOf(id)) || this.a1.contains(view)) {
            return true;
        }
        ArrayList<String> arrayList7 = this.b1;
        if (arrayList7 != null && arrayList7.contains(d2)) {
            return true;
        }
        if (this.c1 != null) {
            for (int i2 = 0; i2 < this.c1.size(); i2++) {
                if (this.c1.get(i2).isInstance(view)) {
                    return true;
                }
            }
        }
        return false;
    }

    /* access modifiers changed from: protected */
    public void p(Animator animator) {
        if (animator == null) {
            A();
            return;
        }
        if (K() >= 0) {
            animator.setDuration(K());
        }
        if (V() >= 0) {
            animator.setStartDelay(V() + animator.getStartDelay());
        }
        if (N() != null) {
            animator.setInterpolator(N());
        }
        animator.addListener(new b());
        animator.start();
    }

    public void p0(View view) {
        if (!this.v1) {
            synchronized (U0) {
                b.b.a<Animator, c> U = U();
                int size = U.size();
                if (view != null) {
                    Object f2 = n.f(view);
                    for (int i = size - 1; i >= 0; i--) {
                        c m = U.m(i);
                        if (!(m.f21283a == null || f2 == null || !f2.equals(m.f21286d))) {
                            com.transitionseverywhere.utils.a.i(U.i(i));
                        }
                    }
                }
            }
            ArrayList<f> arrayList = this.w1;
            if (arrayList != null && arrayList.size() > 0) {
                ArrayList arrayList2 = (ArrayList) this.w1.clone();
                int size2 = arrayList2.size();
                for (int i2 = 0; i2 < size2; i2++) {
                    ((f) arrayList2.get(i2)).c(this);
                }
            }
            this.u1 = true;
        }
    }

    public boolean q() {
        return this.r1;
    }

    /* access modifiers changed from: package-private */
    public void q0(ViewGroup viewGroup) {
        c cVar;
        View view;
        this.o1 = new ArrayList<>();
        this.p1 = new ArrayList<>();
        m0(this.k1, this.l1);
        b.b.a<Animator, c> U = U();
        synchronized (U0) {
            int size = U.size();
            Object f2 = n.f(viewGroup);
            for (int i = size - 1; i >= 0; i--) {
                Animator i2 = U.i(i);
                if (!(i2 == null || (cVar = U.get(i2)) == null || (view = cVar.f21283a) == null || cVar.f21286d != f2)) {
                    n nVar = cVar.f21285c;
                    n c0 = c0(view, true);
                    n O = O(view, true);
                    if (c0 == null && O == null) {
                        O = this.l1.f21352a.get(view);
                    }
                    if (!(c0 == null && O == null) && cVar.f21287e.d0(nVar, O)) {
                        if (!i2.isRunning()) {
                            if (!com.transitionseverywhere.utils.a.c(i2)) {
                                U.remove(i2);
                            }
                        }
                        i2.cancel();
                    }
                }
            }
        }
        z(viewGroup, this.k1, this.l1, this.o1, this.p1);
        z0();
    }

    public abstract void r(n nVar);

    public Transition r0(f fVar) {
        ArrayList<f> arrayList = this.w1;
        if (arrayList == null) {
            return this;
        }
        arrayList.remove(fVar);
        if (this.w1.size() == 0) {
            this.w1 = null;
        }
        return this;
    }

    public Transition s0(int i) {
        if (i > 0) {
            this.Z0.remove(Integer.valueOf(i));
        }
        return this;
    }

    /* access modifiers changed from: package-private */
    public void t(n nVar) {
        String[] b2;
        if (this.y1 != null && !nVar.f21350b.isEmpty() && (b2 = this.y1.b()) != null) {
            boolean z = false;
            int i = 0;
            while (true) {
                if (i >= b2.length) {
                    z = true;
                    break;
                } else if (!nVar.f21350b.containsKey(b2[i])) {
                    break;
                } else {
                    i++;
                }
            }
            if (!z) {
                this.y1.a(nVar);
            }
        }
    }

    public Transition t0(View view) {
        if (view != null) {
            this.a1.remove(view);
        }
        return this;
    }

    public String toString() {
        return L0("");
    }

    public abstract void u(n nVar);

    public Transition u0(Class cls) {
        if (cls != null) {
            this.c1.remove(cls);
        }
        return this;
    }

    /* access modifiers changed from: package-private */
    public void v(ViewGroup viewGroup, boolean z) {
        b.b.a<String, String> aVar;
        ArrayList<String> arrayList;
        ArrayList<Class> arrayList2;
        w(z);
        if ((this.Z0.size() > 0 || this.a1.size() > 0) && (((arrayList = this.b1) == null || arrayList.isEmpty()) && ((arrayList2 = this.c1) == null || arrayList2.isEmpty()))) {
            for (int i = 0; i < this.Z0.size(); i++) {
                View findViewById = viewGroup.findViewById(this.Z0.get(i).intValue());
                if (findViewById != null) {
                    n nVar = new n();
                    nVar.f21349a = findViewById;
                    if (z) {
                        u(nVar);
                    } else {
                        r(nVar);
                    }
                    nVar.f21351c.add(this);
                    t(nVar);
                    if (z) {
                        m(this.k1, findViewById, nVar);
                    } else {
                        m(this.l1, findViewById, nVar);
                    }
                }
            }
            for (int i2 = 0; i2 < this.a1.size(); i2++) {
                View view = this.a1.get(i2);
                n nVar2 = new n();
                nVar2.f21349a = view;
                if (z) {
                    u(nVar2);
                } else {
                    r(nVar2);
                }
                nVar2.f21351c.add(this);
                t(nVar2);
                if (z) {
                    m(this.k1, view, nVar2);
                } else {
                    m(this.l1, view, nVar2);
                }
            }
        } else {
            s(viewGroup, z);
        }
        if (!(z || (aVar = this.A1) == null)) {
            int size = aVar.size();
            ArrayList arrayList3 = new ArrayList(size);
            for (int i3 = 0; i3 < size; i3++) {
                arrayList3.add(this.k1.f21355d.remove(this.A1.i(i3)));
            }
            for (int i4 = 0; i4 < size; i4++) {
                View view2 = (View) arrayList3.get(i4);
                if (view2 != null) {
                    this.k1.f21355d.put(this.A1.m(i4), view2);
                }
            }
        }
    }

    public Transition v0(String str) {
        ArrayList<String> arrayList;
        if (!(str == null || (arrayList = this.b1) == null)) {
            arrayList.remove(str);
        }
        return this;
    }

    /* access modifiers changed from: package-private */
    public void w(boolean z) {
        if (z) {
            this.k1.f21352a.clear();
            this.k1.f21353b.clear();
            this.k1.f21354c.b();
            this.k1.f21355d.clear();
            this.o1 = null;
            return;
        }
        this.l1.f21352a.clear();
        this.l1.f21353b.clear();
        this.l1.f21354c.b();
        this.l1.f21355d.clear();
        this.p1 = null;
    }

    public void w0(View view) {
        if (this.u1) {
            if (!this.v1) {
                b.b.a<Animator, c> U = U();
                int size = U.size();
                Object f2 = n.f(view);
                for (int i = size - 1; i >= 0; i--) {
                    c m = U.m(i);
                    if (!(m.f21283a == null || f2 == null || !f2.equals(m.f21286d))) {
                        com.transitionseverywhere.utils.a.j(U.i(i));
                    }
                }
                ArrayList<f> arrayList = this.w1;
                if (arrayList != null && arrayList.size() > 0) {
                    ArrayList arrayList2 = (ArrayList) this.w1.clone();
                    int size2 = arrayList2.size();
                    for (int i2 = 0; i2 < size2; i2++) {
                        ((f) arrayList2.get(i2)).e(this);
                    }
                }
            }
            this.u1 = false;
        }
    }

    /* renamed from: x */
    public Transition clone() {
        Transition transition = null;
        try {
            Transition transition2 = (Transition) super.clone();
            try {
                transition2.x1 = new ArrayList<>();
                transition2.k1 = new o();
                transition2.l1 = new o();
                transition2.o1 = null;
                transition2.p1 = null;
                return transition2;
            } catch (CloneNotSupportedException unused) {
                transition = transition2;
            }
        } catch (CloneNotSupportedException unused2) {
            return transition;
        }
    }

    public Animator y(ViewGroup viewGroup, n nVar, n nVar2) {
        return null;
    }

    /* access modifiers changed from: protected */
    public void z(ViewGroup viewGroup, o oVar, o oVar2, ArrayList<n> arrayList, ArrayList<n> arrayList2) {
        int i;
        int i2;
        Animator y;
        View view;
        Animator animator;
        n nVar;
        Animator animator2;
        n nVar2;
        String str;
        b.b.a<Animator, c> U = U();
        this.x1.size();
        SparseArray sparseArray = new SparseArray();
        int size = arrayList.size();
        long j = Long.MAX_VALUE;
        int i3 = 0;
        while (i3 < size) {
            n nVar3 = arrayList.get(i3);
            n nVar4 = arrayList2.get(i3);
            if (nVar3 != null && !nVar3.f21351c.contains(this)) {
                nVar3 = null;
            }
            if (nVar4 != null && !nVar4.f21351c.contains(this)) {
                nVar4 = null;
            }
            if (!(nVar3 == null && nVar4 == null)) {
                if ((nVar3 == null || nVar4 == null || d0(nVar3, nVar4)) && (y = y(viewGroup, nVar3, nVar4)) != null) {
                    if (nVar4 != null) {
                        view = nVar4.f21349a;
                        String[] b0 = b0();
                        if (view == null || b0 == null || b0.length <= 0) {
                            i2 = size;
                            i = i3;
                            animator2 = y;
                            nVar2 = null;
                        } else {
                            n nVar5 = new n();
                            nVar5.f21349a = view;
                            Animator animator3 = y;
                            i2 = size;
                            n nVar6 = oVar2.f21352a.get(view);
                            if (nVar6 != null) {
                                int i4 = 0;
                                while (i4 < b0.length) {
                                    nVar5.f21350b.put(b0[i4], nVar6.f21350b.get(b0[i4]));
                                    i4++;
                                    i3 = i3;
                                    nVar6 = nVar6;
                                }
                            }
                            i = i3;
                            synchronized (U0) {
                                int size2 = U.size();
                                int i5 = 0;
                                while (true) {
                                    if (i5 >= size2) {
                                        break;
                                    }
                                    c cVar = U.get(U.i(i5));
                                    if (cVar.f21285c != null && cVar.f21283a == view && (((cVar.f21284b == null && P() == null) || ((str = cVar.f21284b) != null && str.equals(P()))) && cVar.f21285c.equals(nVar5))) {
                                        animator3 = null;
                                        break;
                                    }
                                    i5++;
                                }
                            }
                            nVar2 = nVar5;
                            animator2 = animator3;
                        }
                        animator = animator2;
                        nVar = nVar2;
                    } else {
                        i2 = size;
                        i = i3;
                        view = nVar3.f21349a;
                        animator = y;
                        nVar = null;
                    }
                    if (animator != null) {
                        l lVar = this.y1;
                        if (lVar != null) {
                            long c2 = lVar.c(viewGroup, this, nVar3, nVar4);
                            sparseArray.put(this.x1.size(), Long.valueOf(c2));
                            j = Math.min(c2, j);
                        }
                        U.put(animator, new c(view, P(), this, n.f(viewGroup), nVar));
                        this.x1.add(animator);
                        j = j;
                    }
                    i3 = i + 1;
                    size = i2;
                }
            }
            i2 = size;
            i = i3;
            i3 = i + 1;
            size = i2;
        }
        if (sparseArray.size() != 0) {
            for (int i6 = 0; i6 < sparseArray.size(); i6++) {
                Animator animator4 = this.x1.get(sparseArray.keyAt(i6));
                animator4.setStartDelay((((Long) sparseArray.valueAt(i6)).longValue() - j) + animator4.getStartDelay());
            }
        }
    }

    /* access modifiers changed from: protected */
    public void z0() {
        K0();
        b.b.a<Animator, c> U = U();
        Iterator<Animator> it = this.x1.iterator();
        while (it.hasNext()) {
            Animator next = it.next();
            if (U.containsKey(next)) {
                K0();
                y0(next, U);
            }
        }
        this.x1.clear();
        A();
    }

    public Transition(Context context, AttributeSet attributeSet) {
        TypedArray obtainStyledAttributes = context.obtainStyledAttributes(attributeSet, R.styleable.Transition);
        long j = (long) obtainStyledAttributes.getInt(R.styleable.Transition_duration, -1);
        if (j >= 0) {
            B0(j);
        } else {
            long j2 = (long) obtainStyledAttributes.getInt(R.styleable.Transition_android_duration, -1);
            if (j2 >= 0) {
                B0(j2);
            }
        }
        long j3 = (long) obtainStyledAttributes.getInt(R.styleable.Transition_startDelay, -1);
        if (j3 > 0) {
            J0(j3);
        }
        int resourceId = obtainStyledAttributes.getResourceId(R.styleable.Transition_interpolator, 0);
        if (resourceId > 0) {
            D0(AnimationUtils.loadInterpolator(context, resourceId));
        } else {
            int resourceId2 = obtainStyledAttributes.getResourceId(R.styleable.Transition_android_interpolator, 0);
            if (resourceId2 > 0) {
                D0(AnimationUtils.loadInterpolator(context, resourceId2));
            }
        }
        String string = obtainStyledAttributes.getString(R.styleable.Transition_matchOrder);
        if (string != null) {
            E0(n0(string));
        }
        obtainStyledAttributes.recycle();
    }
}
