package com.transitionseverywhere;

import android.animation.Animator;
import android.animation.AnimatorListenerAdapter;
import android.annotation.TargetApi;
import android.content.Context;
import android.content.res.TypedArray;
import android.util.AttributeSet;
import android.view.View;
import android.view.ViewGroup;
import com.transitionseverywhere.Transition;
import com.transitionseverywhere.utils.k;
import com.transitionseverywhere.utils.l;
import com.transitionseverywhere.utils.n;

@TargetApi(14)
public abstract class Visibility extends Transition {
    static final String C1 = "android:visibility:visibility";
    private static final String D1 = "android:visibility:parent";
    protected static final String E1 = "android:visibility:screenLocation";
    public static final int F1 = 1;
    public static final int G1 = 2;
    private static final String[] H1 = {C1, D1};
    private int I1 = 3;
    private int J1 = -1;
    private int K1 = -1;

    /* access modifiers changed from: package-private */
    public class a extends Transition.g {
        final /* synthetic */ View I0;

        /* renamed from: a  reason: collision with root package name */
        final /* synthetic */ View f21291a;

        /* renamed from: b  reason: collision with root package name */
        final /* synthetic */ ViewGroup f21292b;

        a(View view, ViewGroup viewGroup, View view2) {
            this.f21291a = view;
            this.f21292b = viewGroup;
            this.I0 = view2;
        }

        @Override // com.transitionseverywhere.Transition.f, com.transitionseverywhere.Transition.g
        public void b(Transition transition) {
            View view = this.f21291a;
            if (view != null) {
                view.setTag(R.id.overlay_view, null);
            }
            k.g(this.f21292b, this.I0);
        }
    }

    /* access modifiers changed from: private */
    public static class b extends AnimatorListenerAdapter implements Transition.f {
        private final int I0;
        private final ViewGroup J0;
        private boolean K0;
        private boolean L0;
        boolean M0 = false;

        /* renamed from: a  reason: collision with root package name */
        private final boolean f21293a;

        /* renamed from: b  reason: collision with root package name */
        private final View f21294b;

        public b(View view, int i, boolean z) {
            this.f21294b = view;
            this.f21293a = z;
            this.I0 = i;
            this.J0 = (ViewGroup) view.getParent();
            g(true);
        }

        private void f() {
            if (!this.M0) {
                if (this.f21293a) {
                    View view = this.f21294b;
                    view.setTag(R.id.transitionAlpha, Float.valueOf(view.getAlpha()));
                    this.f21294b.setAlpha(0.0f);
                } else if (!this.L0) {
                    n.q(this.f21294b, this.I0);
                    ViewGroup viewGroup = this.J0;
                    if (viewGroup != null) {
                        viewGroup.invalidate();
                    }
                    this.L0 = true;
                }
            }
            g(false);
        }

        private void g(boolean z) {
            ViewGroup viewGroup;
            if (this.K0 != z && (viewGroup = this.J0) != null && !this.f21293a) {
                this.K0 = z;
                l.b(viewGroup, z);
            }
        }

        @Override // com.transitionseverywhere.Transition.f
        public void a(Transition transition) {
        }

        @Override // com.transitionseverywhere.Transition.f
        public void b(Transition transition) {
            f();
        }

        @Override // com.transitionseverywhere.Transition.f
        public void c(Transition transition) {
            g(false);
        }

        @Override // com.transitionseverywhere.Transition.f
        public void d(Transition transition) {
        }

        @Override // com.transitionseverywhere.Transition.f
        public void e(Transition transition) {
            g(true);
        }

        public void onAnimationCancel(Animator animator) {
            this.M0 = true;
        }

        public void onAnimationEnd(Animator animator) {
            f();
        }

        public void onAnimationPause(Animator animator) {
            if (!this.M0 && !this.f21293a) {
                n.q(this.f21294b, this.I0);
            }
        }

        public void onAnimationResume(Animator animator) {
            if (!this.M0 && !this.f21293a) {
                n.q(this.f21294b, 0);
            }
        }
    }

    /* access modifiers changed from: private */
    public static class c {

        /* renamed from: a  reason: collision with root package name */
        boolean f21295a;

        /* renamed from: b  reason: collision with root package name */
        boolean f21296b;

        /* renamed from: c  reason: collision with root package name */
        int f21297c;

        /* renamed from: d  reason: collision with root package name */
        int f21298d;

        /* renamed from: e  reason: collision with root package name */
        ViewGroup f21299e;
        ViewGroup f;

        private c() {
        }

        /* synthetic */ c(a aVar) {
            this();
        }
    }

    public Visibility() {
    }

    private void M0(n nVar, int i) {
        if (i == -1) {
            i = nVar.f21349a.getVisibility();
        }
        nVar.f21350b.put(C1, Integer.valueOf(i));
        nVar.f21350b.put(D1, nVar.f21349a.getParent());
        int[] iArr = new int[2];
        nVar.f21349a.getLocationOnScreen(iArr);
        nVar.f21350b.put(E1, iArr);
    }

    private static c O0(n nVar, n nVar2) {
        c cVar = new c(null);
        cVar.f21295a = false;
        cVar.f21296b = false;
        if (nVar == null || !nVar.f21350b.containsKey(C1)) {
            cVar.f21297c = -1;
            cVar.f21299e = null;
        } else {
            cVar.f21297c = ((Integer) nVar.f21350b.get(C1)).intValue();
            cVar.f21299e = (ViewGroup) nVar.f21350b.get(D1);
        }
        if (nVar2 == null || !nVar2.f21350b.containsKey(C1)) {
            cVar.f21298d = -1;
            cVar.f = null;
        } else {
            cVar.f21298d = ((Integer) nVar2.f21350b.get(C1)).intValue();
            cVar.f = (ViewGroup) nVar2.f21350b.get(D1);
        }
        if (nVar != null && nVar2 != null) {
            int i = cVar.f21297c;
            int i2 = cVar.f21298d;
            if (i == i2 && cVar.f21299e == cVar.f) {
                return cVar;
            }
            if (i == i2) {
                ViewGroup viewGroup = cVar.f21299e;
                ViewGroup viewGroup2 = cVar.f;
                if (viewGroup != viewGroup2) {
                    if (viewGroup2 == null) {
                        cVar.f21296b = false;
                        cVar.f21295a = true;
                    } else if (viewGroup == null) {
                        cVar.f21296b = true;
                        cVar.f21295a = true;
                    }
                }
            } else if (i == 0) {
                cVar.f21296b = false;
                cVar.f21295a = true;
            } else if (i2 == 0) {
                cVar.f21296b = true;
                cVar.f21295a = true;
            }
        } else if (nVar == null && cVar.f21298d == 0) {
            cVar.f21296b = true;
            cVar.f21295a = true;
        } else if (nVar2 == null && cVar.f21297c == 0) {
            cVar.f21296b = false;
            cVar.f21295a = true;
        }
        return cVar;
    }

    @Override // com.transitionseverywhere.Transition
    public void J(int i, boolean z) {
        if (z) {
            this.J1 = i;
        } else {
            this.K1 = i;
        }
    }

    public int N0() {
        return this.I1;
    }

    public boolean P0(n nVar) {
        if (nVar == null) {
            return false;
        }
        int intValue = ((Integer) nVar.f21350b.get(C1)).intValue();
        View view = (View) nVar.f21350b.get(D1);
        if (intValue != 0 || view == null) {
            return false;
        }
        return true;
    }

    public Animator Q0(ViewGroup viewGroup, View view, n nVar, n nVar2) {
        return null;
    }

    public Animator R0(ViewGroup viewGroup, n nVar, int i, n nVar2, int i2) {
        boolean z = true;
        if ((this.I1 & 1) != 1 || nVar2 == null) {
            return null;
        }
        if (nVar == null) {
            View view = (View) nVar2.f21349a.getParent();
            if (O0(O(view, false), c0(view, false)).f21295a) {
                return null;
            }
        }
        if (this.J1 == -1 && this.K1 == -1) {
            z = false;
        }
        if (z) {
            View view2 = nVar2.f21349a;
            int i3 = R.id.transitionAlpha;
            Object tag = view2.getTag(i3);
            if (tag instanceof Float) {
                nVar2.f21349a.setAlpha(((Float) tag).floatValue());
                nVar2.f21349a.setTag(i3, null);
            }
        }
        return Q0(viewGroup, nVar2.f21349a, nVar, nVar2);
    }

    public Animator S0(ViewGroup viewGroup, View view, n nVar, n nVar2) {
        return null;
    }

    /* JADX WARNING: Removed duplicated region for block: B:43:0x008a  */
    /* JADX WARNING: Removed duplicated region for block: B:54:0x00b9  */
    public Animator T0(ViewGroup viewGroup, n nVar, int i, n nVar2, int i2) {
        boolean z;
        View view;
        int id;
        if ((this.I1 & 2) != 2) {
            return null;
        }
        View view2 = nVar != null ? nVar.f21349a : null;
        View view3 = nVar2 != null ? nVar2.f21349a : null;
        int i3 = -1;
        boolean z2 = true;
        if (view3 != null && view3.getParent() != null) {
            if (i2 == 4 || view2 == view3) {
                view = view3;
                view3 = null;
                z = false;
                if (view3 == null) {
                }
            }
            view3 = view2;
        } else if (view3 == null) {
            if (view2 != null) {
                int i4 = R.id.overlay_view;
                if (view2.getTag(i4) != null) {
                    view3 = (View) view2.getTag(i4);
                    view = null;
                    z = true;
                    if (view3 == null) {
                        int[] iArr = (int[]) nVar.f21350b.get(E1);
                        if (!z) {
                            k.b(viewGroup, view3, iArr[0], iArr[1]);
                        }
                        Animator S0 = S0(viewGroup, view3, nVar, nVar2);
                        if (S0 == null) {
                            k.g(viewGroup, view3);
                        } else if (!z) {
                            if (view2 != null) {
                                view2.setTag(R.id.overlay_view, view3);
                            }
                            b(new a(view2, viewGroup, view3));
                        }
                        return S0;
                    } else if (view == null) {
                        return null;
                    } else {
                        if (this.J1 == -1 && this.K1 == -1) {
                            z2 = false;
                        }
                        if (!z2) {
                            i3 = view.getVisibility();
                            n.q(view, 0);
                        }
                        Animator S02 = S0(viewGroup, view, nVar, nVar2);
                        if (S02 != null) {
                            b bVar = new b(view, i2, z2);
                            S02.addListener(bVar);
                            com.transitionseverywhere.utils.a.a(S02, bVar);
                            b(bVar);
                        } else if (!z2) {
                            n.q(view, i3);
                        }
                        return S02;
                    }
                } else {
                    if (view2.getParent() != null) {
                        if (view2.getParent() instanceof View) {
                            View view4 = (View) view2.getParent();
                            if (!O0(c0(view4, true), O(view4, true)).f21295a) {
                                view3 = m.a(viewGroup, view2, view4);
                            } else if (view4.getParent() != null || (id = view4.getId()) == -1 || viewGroup.findViewById(id) == null || !this.r1) {
                                view3 = null;
                            }
                        }
                    }
                    view3 = view2;
                }
            }
            view3 = null;
            view = null;
            z = false;
            if (view3 == null) {
            }
        }
        view = null;
        z = false;
        if (view3 == null) {
        }
    }

    public Visibility U0(int i) {
        if ((i & -4) == 0) {
            this.I1 = i;
            return this;
        }
        throw new IllegalArgumentException("Only MODE_IN and MODE_OUT flags are allowed");
    }

    @Override // com.transitionseverywhere.Transition
    public String[] b0() {
        return H1;
    }

    @Override // com.transitionseverywhere.Transition
    public boolean d0(n nVar, n nVar2) {
        if (nVar == null && nVar2 == null) {
            return false;
        }
        if (nVar != null && nVar2 != null && nVar2.f21350b.containsKey(C1) != nVar.f21350b.containsKey(C1)) {
            return false;
        }
        c O0 = O0(nVar, nVar2);
        if (!O0.f21295a) {
            return false;
        }
        if (O0.f21297c == 0 || O0.f21298d == 0) {
            return true;
        }
        return false;
    }

    @Override // com.transitionseverywhere.Transition
    public void r(n nVar) {
        M0(nVar, this.K1);
    }

    @Override // com.transitionseverywhere.Transition
    public void u(n nVar) {
        M0(nVar, this.J1);
    }

    @Override // com.transitionseverywhere.Transition
    public Animator y(ViewGroup viewGroup, n nVar, n nVar2) {
        c O0 = O0(nVar, nVar2);
        if (!O0.f21295a) {
            return null;
        }
        if (O0.f21299e == null && O0.f == null) {
            return null;
        }
        if (O0.f21296b) {
            return R0(viewGroup, nVar, O0.f21297c, nVar2, O0.f21298d);
        }
        return T0(viewGroup, nVar, O0.f21297c, nVar2, O0.f21298d);
    }

    public Visibility(Context context, AttributeSet attributeSet) {
        super(context, attributeSet);
        TypedArray obtainStyledAttributes = context.obtainStyledAttributes(attributeSet, R.styleable.VisibilityTransition);
        int i = obtainStyledAttributes.getInt(R.styleable.VisibilityTransition_transitionVisibilityMode, 0);
        obtainStyledAttributes.recycle();
        if (i != 0) {
            U0(i);
        }
    }
}
