package com.transitionseverywhere;

import android.animation.Animator;
import android.animation.AnimatorListenerAdapter;
import android.animation.AnimatorSet;
import android.animation.ObjectAnimator;
import android.animation.ValueAnimator;
import android.annotation.TargetApi;
import android.graphics.Bitmap;
import android.graphics.Canvas;
import android.graphics.Rect;
import android.graphics.drawable.BitmapDrawable;
import android.os.Build;
import android.view.TextureView;
import android.view.View;
import android.view.ViewGroup;
import com.transitionseverywhere.utils.i;
import com.transitionseverywhere.utils.k;
import java.util.Map;

@TargetApi(14)
/* compiled from: Crossfade */
public class d extends Transition {
    private static final String C1 = "Crossfade";
    private static final String D1 = "android:crossfade:bitmap";
    private static final String E1 = "android:crossfade:drawable";
    private static final String F1 = "android:crossfade:bounds";
    private static i G1 = null;
    public static final int H1 = 0;
    public static final int I1 = 1;
    public static final int J1 = 2;
    public static final int K1 = 0;
    public static final int L1 = 1;
    private int M1 = 1;
    private int N1 = 1;

    /* compiled from: Crossfade */
    class a implements ValueAnimator.AnimatorUpdateListener {

        /* renamed from: a  reason: collision with root package name */
        final /* synthetic */ View f21319a;

        /* renamed from: b  reason: collision with root package name */
        final /* synthetic */ BitmapDrawable f21320b;

        a(View view, BitmapDrawable bitmapDrawable) {
            this.f21319a = view;
            this.f21320b = bitmapDrawable;
        }

        public void onAnimationUpdate(ValueAnimator valueAnimator) {
            this.f21319a.invalidate(this.f21320b.getBounds());
        }
    }

    /* compiled from: Crossfade */
    class b extends AnimatorListenerAdapter {
        final /* synthetic */ BitmapDrawable I0;
        final /* synthetic */ BitmapDrawable J0;

        /* renamed from: a  reason: collision with root package name */
        final /* synthetic */ boolean f21321a;

        /* renamed from: b  reason: collision with root package name */
        final /* synthetic */ View f21322b;

        b(boolean z, View view, BitmapDrawable bitmapDrawable, BitmapDrawable bitmapDrawable2) {
            this.f21321a = z;
            this.f21322b = view;
            this.I0 = bitmapDrawable;
            this.J0 = bitmapDrawable2;
        }

        public void onAnimationEnd(Animator animator) {
            k.f(this.f21321a, this.f21322b, d.this.M1, this.I0, this.J0);
        }
    }

    private void N0(n nVar) {
        if (Build.VERSION.SDK_INT >= 14) {
            View view = nVar.f21349a;
            Rect rect = new Rect(0, 0, view.getWidth(), view.getHeight());
            if (this.M1 != 1) {
                rect.offset(view.getLeft(), view.getTop());
            }
            nVar.f21350b.put(F1, rect);
            Bitmap createBitmap = Bitmap.createBitmap(view.getWidth(), view.getHeight(), Bitmap.Config.ARGB_8888);
            if (view instanceof TextureView) {
                createBitmap = ((TextureView) view).getBitmap();
            } else {
                view.draw(new Canvas(createBitmap));
            }
            nVar.f21350b.put(D1, createBitmap);
            BitmapDrawable bitmapDrawable = new BitmapDrawable(view.getResources(), createBitmap);
            bitmapDrawable.setBounds(rect);
            nVar.f21350b.put(E1, bitmapDrawable);
        }
    }

    public int O0() {
        return this.M1;
    }

    public int P0() {
        return this.N1;
    }

    public d Q0(int i) {
        if (i >= 0 && i <= 2) {
            this.M1 = i;
        }
        return this;
    }

    public d R0(int i) {
        if (i >= 0 && i <= 1) {
            this.N1 = i;
        }
        return this;
    }

    @Override // com.transitionseverywhere.Transition
    public void r(n nVar) {
        N0(nVar);
    }

    @Override // com.transitionseverywhere.Transition
    public void u(n nVar) {
        N0(nVar);
    }

    @Override // com.transitionseverywhere.Transition
    public Animator y(ViewGroup viewGroup, n nVar, n nVar2) {
        ObjectAnimator objectAnimator;
        ObjectAnimator objectAnimator2 = null;
        if (!(nVar == null || nVar2 == null || Build.VERSION.SDK_INT < 14)) {
            if (G1 == null) {
                G1 = new i();
            }
            boolean z = this.M1 != 1;
            View view = nVar2.f21349a;
            Map<String, Object> map = nVar.f21350b;
            Map<String, Object> map2 = nVar2.f21350b;
            Rect rect = (Rect) map.get(F1);
            Rect rect2 = (Rect) map2.get(F1);
            Bitmap bitmap = (Bitmap) map.get(D1);
            Bitmap bitmap2 = (Bitmap) map2.get(D1);
            BitmapDrawable bitmapDrawable = (BitmapDrawable) map.get(E1);
            BitmapDrawable bitmapDrawable2 = (BitmapDrawable) map2.get(E1);
            if (!(bitmapDrawable == null || bitmapDrawable2 == null || bitmap.sameAs(bitmap2))) {
                k.a(z, view, this.M1, bitmapDrawable, bitmapDrawable2);
                if (this.M1 == 2) {
                    objectAnimator = ObjectAnimator.ofInt(bitmapDrawable, "alpha", 255, 0, 0);
                } else {
                    objectAnimator = ObjectAnimator.ofInt(bitmapDrawable, "alpha", 0);
                }
                objectAnimator.addUpdateListener(new a(view, bitmapDrawable));
                int i = this.M1;
                if (i == 2) {
                    objectAnimator2 = ObjectAnimator.ofFloat(view, View.ALPHA, 0.0f, 0.0f, 1.0f);
                } else if (i == 0) {
                    objectAnimator2 = ObjectAnimator.ofFloat(view, View.ALPHA, 0.0f, 1.0f);
                }
                objectAnimator.addListener(new b(z, view, bitmapDrawable, bitmapDrawable2));
                AnimatorSet animatorSet = new AnimatorSet();
                animatorSet.playTogether(objectAnimator);
                if (objectAnimator2 != null) {
                    animatorSet.playTogether(objectAnimator2);
                }
                if (this.N1 == 1 && !rect.equals(rect2)) {
                    animatorSet.playTogether(ObjectAnimator.ofObject(bitmapDrawable, "bounds", G1, rect, rect2));
                    if (this.N1 == 1) {
                        animatorSet.playTogether(ObjectAnimator.ofObject(bitmapDrawable2, "bounds", G1, rect, rect2));
                    }
                }
                return animatorSet;
            }
        }
        return null;
    }
}
