package com.transitionseverywhere.extra;

import android.animation.Animator;
import android.animation.ObjectAnimator;
import android.annotation.TargetApi;
import android.content.Context;
import android.content.res.TypedArray;
import android.util.AttributeSet;
import android.view.View;
import android.view.ViewGroup;
import androidx.annotation.Nullable;
import com.transitionseverywhere.R;
import com.transitionseverywhere.Transition;
import com.transitionseverywhere.Visibility;
import com.transitionseverywhere.m;
import com.transitionseverywhere.n;

@TargetApi(14)
public class Scale extends Visibility {
    static final String L1 = "scale:scaleX";
    static final String M1 = "scale:scaleY";
    private float N1 = 0.0f;

    /* access modifiers changed from: package-private */
    public class a extends Transition.g {
        final /* synthetic */ float I0;

        /* renamed from: a  reason: collision with root package name */
        final /* synthetic */ View f21323a;

        /* renamed from: b  reason: collision with root package name */
        final /* synthetic */ float f21324b;

        a(View view, float f, float f2) {
            this.f21323a = view;
            this.f21324b = f;
            this.I0 = f2;
        }

        @Override // com.transitionseverywhere.Transition.f, com.transitionseverywhere.Transition.g
        public void b(Transition transition) {
            this.f21323a.setScaleX(this.f21324b);
            this.f21323a.setScaleY(this.I0);
        }
    }

    public Scale() {
    }

    @Nullable
    private Animator V0(View view, float f, float f2, n nVar) {
        float scaleX = view.getScaleX();
        float scaleY = view.getScaleY();
        float f3 = scaleX * f;
        float f4 = scaleX * f2;
        float f5 = f * scaleY;
        float f6 = f2 * scaleY;
        if (nVar != null) {
            Float f7 = (Float) nVar.f21350b.get(L1);
            Float f8 = (Float) nVar.f21350b.get(M1);
            if (!(f7 == null || f7.floatValue() == scaleX)) {
                f3 = f7.floatValue();
            }
            if (!(f8 == null || f8.floatValue() == scaleY)) {
                f5 = f8.floatValue();
            }
        }
        view.setScaleX(f3);
        view.setScaleY(f5);
        Animator d2 = m.d(ObjectAnimator.ofFloat(view, View.SCALE_X, f3, f4), ObjectAnimator.ofFloat(view, View.SCALE_Y, f5, f6));
        b(new a(view, scaleX, scaleY));
        return d2;
    }

    @Override // com.transitionseverywhere.Visibility
    public Animator Q0(ViewGroup viewGroup, View view, n nVar, n nVar2) {
        return V0(view, this.N1, 1.0f, nVar);
    }

    @Override // com.transitionseverywhere.Visibility
    public Animator S0(ViewGroup viewGroup, View view, n nVar, n nVar2) {
        return V0(view, 1.0f, this.N1, nVar);
    }

    public Scale W0(float f) {
        if (f >= 0.0f) {
            this.N1 = f;
            return this;
        }
        throw new IllegalArgumentException("disappearedScale cannot be negative!");
    }

    @Override // com.transitionseverywhere.Visibility, com.transitionseverywhere.Transition
    public void u(n nVar) {
        super.u(nVar);
        View view = nVar.f21349a;
        if (view != null) {
            nVar.f21350b.put(L1, Float.valueOf(view.getScaleX()));
            nVar.f21350b.put(M1, Float.valueOf(nVar.f21349a.getScaleY()));
        }
    }

    public Scale(float f) {
        W0(f);
    }

    public Scale(Context context, AttributeSet attributeSet) {
        super(context, attributeSet);
        TypedArray obtainStyledAttributes = context.obtainStyledAttributes(attributeSet, R.styleable.Scale);
        W0(obtainStyledAttributes.getFloat(R.styleable.Scale_disappearedScale, this.N1));
        obtainStyledAttributes.recycle();
    }
}
