package com.transitionseverywhere;

import android.content.Context;
import android.content.res.Resources;
import android.content.res.TypedArray;
import android.content.res.XmlResourceParser;
import android.util.AttributeSet;
import android.util.Xml;
import android.view.InflateException;
import android.view.ViewGroup;
import androidx.constraintlayout.core.motion.h.w;
import b.b.a;
import com.transitionseverywhere.extra.Scale;
import com.transitionseverywhere.extra.TranslationTransition;
import java.io.IOException;
import java.lang.reflect.Constructor;
import java.lang.reflect.InvocationTargetException;
import org.xmlpull.v1.XmlPullParser;
import org.xmlpull.v1.XmlPullParserException;

/* compiled from: TransitionInflater */
public class j {

    /* renamed from: a  reason: collision with root package name */
    private static final Class<?>[] f21337a = {Context.class, AttributeSet.class};

    /* renamed from: b  reason: collision with root package name */
    private static final a<String, Constructor> f21338b = new a<>();

    /* renamed from: c  reason: collision with root package name */
    private Context f21339c;

    private j(Context context) {
        this.f21339c = context;
    }

    private Object a(AttributeSet attributeSet, Class cls, String str) {
        Object newInstance;
        Class<? extends U> asSubclass;
        String attributeValue = attributeSet.getAttributeValue(null, "class");
        if (attributeValue != null) {
            try {
                a<String, Constructor> aVar = f21338b;
                synchronized (aVar) {
                    Constructor<? extends U> constructor = aVar.get(attributeValue);
                    if (constructor == null && (asSubclass = this.f21339c.getClassLoader().loadClass(attributeValue).asSubclass(cls)) != null) {
                        constructor = asSubclass.getConstructor(f21337a);
                        if (!constructor.isAccessible()) {
                            constructor.setAccessible(true);
                        }
                        aVar.put(attributeValue, constructor);
                    }
                    newInstance = constructor.newInstance(this.f21339c, attributeSet);
                }
                return newInstance;
            } catch (InstantiationException e2) {
                throw new InflateException("Could not instantiate " + cls + " class " + attributeValue, e2);
            } catch (ClassNotFoundException e3) {
                throw new InflateException("Could not instantiate " + cls + " class " + attributeValue, e3);
            } catch (InvocationTargetException e4) {
                throw new InflateException("Could not instantiate " + cls + " class " + attributeValue, e4);
            } catch (NoSuchMethodException e5) {
                throw new InflateException("Could not instantiate " + cls + " class " + attributeValue, e5);
            } catch (IllegalAccessException e6) {
                throw new InflateException("Could not instantiate " + cls + " class " + attributeValue, e6);
            }
        } else {
            throw new InflateException(str + " tag must have a 'class' attribute");
        }
    }

    private Transition b(XmlPullParser xmlPullParser, AttributeSet attributeSet, Transition transition) throws XmlPullParserException, IOException {
        Transition transition2;
        int depth = xmlPullParser.getDepth();
        TransitionSet transitionSet = transition instanceof TransitionSet ? (TransitionSet) transition : null;
        loop0:
        while (true) {
            transition2 = null;
            while (true) {
                int next = xmlPullParser.next();
                if ((next != 3 || xmlPullParser.getDepth() > depth) && next != 1) {
                    if (next == 2) {
                        String name = xmlPullParser.getName();
                        if ("fade".equals(name)) {
                            transition2 = new Fade(this.f21339c, attributeSet);
                        } else if ("changeBounds".equals(name)) {
                            transition2 = new ChangeBounds(this.f21339c, attributeSet);
                        } else if ("slide".equals(name)) {
                            transition2 = new Slide(this.f21339c, attributeSet);
                        } else if ("explode".equals(name)) {
                            transition2 = new Explode(this.f21339c, attributeSet);
                        } else if ("changeImageTransform".equals(name)) {
                            transition2 = new ChangeImageTransform(this.f21339c, attributeSet);
                        } else if ("changeTransform".equals(name)) {
                            transition2 = new ChangeTransform(this.f21339c, attributeSet);
                        } else if ("changeClipBounds".equals(name)) {
                            transition2 = new ChangeClipBounds(this.f21339c, attributeSet);
                        } else if (w.h.f.equals(name)) {
                            transition2 = new AutoTransition(this.f21339c, attributeSet);
                        } else if ("recolor".equals(name)) {
                            transition2 = new Recolor(this.f21339c, attributeSet);
                        } else if ("changeScroll".equals(name)) {
                            transition2 = new ChangeScroll(this.f21339c, attributeSet);
                        } else if ("transitionSet".equals(name)) {
                            transition2 = new TransitionSet(this.f21339c, attributeSet);
                        } else if ("scale".equals(name)) {
                            transition2 = new Scale(this.f21339c, attributeSet);
                        } else if ("translation".equals(name)) {
                            transition2 = new TranslationTransition(this.f21339c, attributeSet);
                        } else if ("transition".equals(name)) {
                            transition2 = (Transition) a(attributeSet, Transition.class, "transition");
                        } else if ("targets".equals(name)) {
                            e(xmlPullParser, attributeSet, transition);
                        } else if ("arcMotion".equals(name)) {
                            transition.G0(new ArcMotion(this.f21339c, attributeSet));
                        } else if ("pathMotion".equals(name)) {
                            transition.G0((PathMotion) a(attributeSet, PathMotion.class, "pathMotion"));
                        } else if ("patternPathMotion".equals(name)) {
                            transition.G0(new PatternPathMotion(this.f21339c, attributeSet));
                        } else {
                            throw new RuntimeException("Unknown scene name: " + xmlPullParser.getName());
                        }
                        if (transition2 == null) {
                            continue;
                        } else {
                            if (!xmlPullParser.isEmptyElementTag()) {
                                b(xmlPullParser, attributeSet, transition2);
                            }
                            if (transitionSet != null) {
                                break;
                            } else if (transition != null) {
                                throw new InflateException("Could not add transition to another transition.");
                            }
                        }
                    }
                }
            }
            transitionSet.R0(transition2);
        }
        return transition2;
    }

    /* JADX WARNING: Code restructure failed: missing block: B:18:0x0054, code lost:
        return r1;
     */
    private k c(XmlPullParser xmlPullParser, AttributeSet attributeSet, ViewGroup viewGroup) throws XmlPullParserException, IOException {
        int depth = xmlPullParser.getDepth();
        k kVar = null;
        while (true) {
            int next = xmlPullParser.next();
            if ((next != 3 || xmlPullParser.getDepth() > depth) && next != 1) {
                if (next == 2) {
                    String name = xmlPullParser.getName();
                    if (name.equals("transitionManager")) {
                        kVar = new k();
                    } else if (!name.equals("transition") || kVar == null) {
                    } else {
                        h(attributeSet, viewGroup, kVar);
                    }
                }
            }
        }
        throw new RuntimeException("Unknown scene name: " + xmlPullParser.getName());
    }

    public static j d(Context context) {
        return new j(context);
    }

    private void e(XmlPullParser xmlPullParser, AttributeSet attributeSet, Transition transition) throws XmlPullParserException, IOException {
        int depth = xmlPullParser.getDepth();
        while (true) {
            int next = xmlPullParser.next();
            if ((next == 3 && xmlPullParser.getDepth() <= depth) || next == 1) {
                return;
            }
            if (next == 2) {
                if (xmlPullParser.getName().equals(w.a.M)) {
                    TypedArray obtainStyledAttributes = this.f21339c.obtainStyledAttributes(attributeSet, R.styleable.TransitionTarget);
                    int resourceId = obtainStyledAttributes.getResourceId(R.styleable.TransitionTarget_targetId, 0);
                    if (resourceId != 0) {
                        transition.c(resourceId);
                    } else {
                        int resourceId2 = obtainStyledAttributes.getResourceId(R.styleable.TransitionTarget_excludeId, 0);
                        if (resourceId2 != 0) {
                            transition.F(resourceId2, true);
                        } else {
                            String string = obtainStyledAttributes.getString(R.styleable.TransitionTarget_targetName);
                            if (string != null) {
                                transition.f(string);
                            } else {
                                String string2 = obtainStyledAttributes.getString(R.styleable.TransitionTarget_excludeName);
                                if (string2 != null) {
                                    transition.I(string2, true);
                                } else {
                                    String string3 = obtainStyledAttributes.getString(R.styleable.TransitionTarget_excludeClass);
                                    if (string3 != null) {
                                        try {
                                            transition.H(Class.forName(string3), true);
                                        } catch (ClassNotFoundException e2) {
                                            throw new RuntimeException("Could not create " + string3, e2);
                                        }
                                    } else {
                                        String string4 = obtainStyledAttributes.getString(R.styleable.TransitionTarget_targetClass);
                                        if (string4 != null) {
                                            transition.e(Class.forName(string4));
                                        }
                                    }
                                }
                            }
                        }
                    }
                    obtainStyledAttributes.recycle();
                } else {
                    throw new RuntimeException("Unknown scene name: " + xmlPullParser.getName());
                }
            }
        }
    }

    private void h(AttributeSet attributeSet, ViewGroup viewGroup, k kVar) throws Resources.NotFoundException {
        h hVar;
        Transition f;
        TypedArray obtainStyledAttributes = this.f21339c.obtainStyledAttributes(attributeSet, R.styleable.TransitionManager);
        int resourceId = obtainStyledAttributes.getResourceId(R.styleable.TransitionManager_transition, -1);
        int resourceId2 = obtainStyledAttributes.getResourceId(R.styleable.TransitionManager_fromScene, -1);
        h hVar2 = null;
        if (resourceId2 < 0) {
            hVar = null;
        } else {
            hVar = h.d(viewGroup, resourceId2, this.f21339c);
        }
        int resourceId3 = obtainStyledAttributes.getResourceId(R.styleable.TransitionManager_toScene, -1);
        if (resourceId3 >= 0) {
            hVar2 = h.d(viewGroup, resourceId3, this.f21339c);
        }
        if (resourceId >= 0 && (f = f(resourceId)) != null) {
            if (hVar2 == null) {
                throw new RuntimeException("No toScene for transition ID " + resourceId);
            } else if (hVar == null) {
                kVar.t(hVar2, f);
            } else {
                kVar.s(hVar, hVar2, f);
            }
        }
        obtainStyledAttributes.recycle();
    }

    public Transition f(int i) {
        XmlResourceParser xml = this.f21339c.getResources().getXml(i);
        try {
            Transition b2 = b(xml, Xml.asAttributeSet(xml), null);
            xml.close();
            return b2;
        } catch (XmlPullParserException e2) {
            InflateException inflateException = new InflateException(e2.getMessage());
            inflateException.initCause(e2);
            throw inflateException;
        } catch (IOException e3) {
            InflateException inflateException2 = new InflateException(xml.getPositionDescription() + ": " + e3.getMessage());
            inflateException2.initCause(e3);
            throw inflateException2;
        } catch (Throwable th) {
            xml.close();
            throw th;
        }
    }

    public k g(int i, ViewGroup viewGroup) {
        XmlResourceParser xml = this.f21339c.getResources().getXml(i);
        try {
            k c2 = c(xml, Xml.asAttributeSet(xml), viewGroup);
            xml.close();
            return c2;
        } catch (XmlPullParserException e2) {
            InflateException inflateException = new InflateException(e2.getMessage());
            inflateException.initCause(e2);
            throw inflateException;
        } catch (IOException e3) {
            InflateException inflateException2 = new InflateException(xml.getPositionDescription() + ": " + e3.getMessage());
            inflateException2.initCause(e3);
            throw inflateException2;
        } catch (Throwable th) {
            xml.close();
            throw th;
        }
    }
}
