package com.transitionseverywhere.utils;

import android.animation.LayoutTransition;
import android.annotation.TargetApi;
import android.content.Context;
import android.graphics.Canvas;
import android.graphics.drawable.Drawable;
import android.util.AttributeSet;
import android.view.MotionEvent;
import android.view.View;
import android.view.ViewGroup;
import android.widget.FrameLayout;
import com.transitionseverywhere.R;
import java.lang.reflect.Field;
import java.util.ArrayList;
import java.util.List;

/* access modifiers changed from: package-private */
@TargetApi(14)
public class ViewOverlayPreJellybean extends FrameLayout {

    /* renamed from: a  reason: collision with root package name */
    private static final Field f21362a = j.d(View.class, "mParent");

    /* renamed from: b  reason: collision with root package name */
    private List<Drawable> f21363b;

    public ViewOverlayPreJellybean(Context context) {
        super(context);
        c();
    }

    public static ViewOverlayPreJellybean b(ViewGroup viewGroup) {
        if (viewGroup == null) {
            return null;
        }
        ViewGroup viewGroup2 = viewGroup;
        while (viewGroup2.getId() != 16908290 && viewGroup2.getParent() != null && (viewGroup2.getParent() instanceof ViewGroup)) {
            viewGroup2 = (ViewGroup) viewGroup2.getParent();
        }
        for (int i = 0; i < viewGroup2.getChildCount(); i++) {
            View childAt = viewGroup2.getChildAt(i);
            if (childAt instanceof ViewOverlayPreJellybean) {
                return (ViewOverlayPreJellybean) childAt;
            }
        }
        FrameLayout.LayoutParams layoutParams = new FrameLayout.LayoutParams(-1, -1);
        layoutParams.gravity = 119;
        ViewOverlayPreJellybean viewOverlayPreJellybean = new ViewOverlayPreJellybean(viewGroup.getContext());
        viewGroup2.addView(viewOverlayPreJellybean, layoutParams);
        return viewOverlayPreJellybean;
    }

    private void c() {
        this.f21363b = new ArrayList();
    }

    private FrameLayout.LayoutParams d(View view, int i, int i2) {
        int[] iArr = new int[2];
        getLocationOnScreen(iArr);
        FrameLayout.LayoutParams layoutParams = new FrameLayout.LayoutParams(-2, -2);
        int i3 = i - iArr[0];
        int i4 = i2 - iArr[1];
        layoutParams.leftMargin = i3;
        layoutParams.topMargin = i4;
        view.setLeft(i3);
        view.setTop(i4);
        if (view.getMeasuredWidth() != 0) {
            int measuredWidth = view.getMeasuredWidth();
            layoutParams.width = measuredWidth;
            view.setRight(i3 + measuredWidth);
        }
        if (view.getMeasuredHeight() != 0) {
            int measuredHeight = view.getMeasuredHeight();
            layoutParams.height = measuredHeight;
            view.setBottom(i4 + measuredHeight);
        }
        return layoutParams;
    }

    public synchronized void a(Drawable drawable) {
        if (drawable != null) {
            this.f21363b.add(drawable);
            invalidate();
        }
    }

    @Override // android.view.ViewGroup
    public void addView(View view, int i, int i2) {
        LayoutTransition layoutTransition;
        Field field;
        if (view.getParent() instanceof ViewGroup) {
            ViewGroup viewGroup = (ViewGroup) view.getParent();
            if (viewGroup.getLayoutTransition() != null) {
                layoutTransition = viewGroup.getLayoutTransition();
                viewGroup.setLayoutTransition(null);
            } else {
                layoutTransition = null;
            }
            viewGroup.removeView(view);
            if (layoutTransition != null) {
                viewGroup.setLayoutTransition(layoutTransition);
            }
            if (view.getParent() != null) {
                l.a(viewGroup);
                if (!(view.getParent() == null || (field = f21362a) == null)) {
                    j.l(view, field, null);
                }
            }
            if (view.getParent() != null) {
                return;
            }
        }
        view.setTag(R.id.overlay_layout_params_backup, view.getLayoutParams());
        addView(view, d(view, i, i2));
        invalidate();
    }

    public boolean dispatchTouchEvent(MotionEvent motionEvent) {
        return false;
    }

    public void e(View view, int i, int i2) {
        if (view.getParent() == this) {
            view.setLayoutParams(d(view, i, i2));
        }
    }

    public synchronized void f(Drawable drawable) {
        this.f21363b.remove(drawable);
        invalidate();
    }

    /* access modifiers changed from: protected */
    public void onDraw(Canvas canvas) {
        super.onDraw(canvas);
        for (Drawable drawable : this.f21363b) {
            drawable.draw(canvas);
        }
    }

    public void removeView(View view) {
        super.removeView(view);
        int i = R.id.overlay_layout_params_backup;
        n.n(view, (ViewGroup.LayoutParams) view.getTag(i));
        view.setTag(i, null);
    }

    public ViewOverlayPreJellybean(Context context, AttributeSet attributeSet) {
        super(context, attributeSet);
        c();
    }

    public ViewOverlayPreJellybean(Context context, AttributeSet attributeSet, int i) {
        super(context, attributeSet, i);
        c();
    }
}
