package com.yalantis.ucrop;

import android.app.Activity;
import android.content.Context;
import android.content.Intent;
import android.graphics.Bitmap;
import android.net.Uri;
import android.os.Bundle;
import androidx.annotation.AnimRes;
import androidx.annotation.ColorInt;
import androidx.annotation.DrawableRes;
import androidx.annotation.FloatRange;
import androidx.annotation.IntRange;
import androidx.annotation.NonNull;
import androidx.annotation.Nullable;
import androidx.appcompat.app.AppCompatActivity;
import androidx.fragment.app.Fragment;
import com.luck.picture.lib.R;
import com.luck.picture.lib.entity.LocalMedia;
import com.yalantis.ucrop.model.AspectRatio;
import java.util.ArrayList;
import java.util.Arrays;
import java.util.Locale;

/* compiled from: UCrop */
public class b {

    /* renamed from: a  reason: collision with root package name */
    public static final int f21421a = 609;

    /* renamed from: b  reason: collision with root package name */
    public static final int f21422b = 69;

    /* renamed from: c  reason: collision with root package name */
    public static final int f21423c = 96;

    /* renamed from: d  reason: collision with root package name */
    public static final int f21424d = 10;

    /* renamed from: e  reason: collision with root package name */
    private static final String f21425e = "com.yalantis.ucrop";
    public static final String f = "com.yalantis.ucrop.InputUri";
    public static final String g = "com.yalantis.ucrop.OutputUri";
    public static final String h = "com.yalantis.ucrop.CropAspectRatio";
    public static final String i = "com.yalantis.ucrop.ImageWidth";
    public static final String j = "com.yalantis.ucrop.ImageHeight";
    public static final String k = "com.yalantis.ucrop.OffsetX";
    public static final String l = "com.yalantis.ucrop.OffsetY";
    public static final String m = "com.yalantis.ucrop.Error";
    public static final String n = "com.yalantis.ucrop.AspectRatioX";
    public static final String o = "com.yalantis.ucrop.AspectRatioY";
    public static final String p = "com.yalantis.ucrop.MaxSizeX";
    public static final String q = "com.yalantis.ucrop.MaxSizeY";
    private final Intent r = new Intent();
    private final Bundle s;

    /* compiled from: UCrop */
    public static class a {
        public static final String A = "com.yalantis.ucrop.HideBottomControls";
        public static final String B = "com.yalantis.ucrop.FreeStyleCrop";
        public static final String C = "com.yalantis.ucrop.AspectRatioSelectedByDefault";
        public static final String D = "com.yalantis.ucrop.AspectRatioOptions";
        public static final String E = "com.yalantis.ucrop.UcropRootViewBackgroundColor";
        public static final String F = "com.yalantis.ucrop.openWhiteStatusBar";
        public static final String G = "com.yalantis.ucrop.DimmedLayerBorderColor";
        public static final String H = "com.yalantis.ucrop.CircleStrokeWidth";
        public static final String I = "com.yalantis.ucrop.DragCropFrame";
        public static final String J = "com.yalantis.ucrop.scale";
        public static final String K = "com.yalantis.ucrop.rotate";
        public static final String L = "com.yalantis.ucrop.navBarColor";
        public static final String M = "com.yalantis.ucrop.skip_multiple_crop";
        public static final String N = "com.yalantis.ucrop.RenameCropFileName";
        public static final String O = "com.yalantis.ucrop.isCamera";
        public static final String P = ".isMultipleAnimation";
        public static final String Q = "com.yalantis.ucrop.cuts";
        public static final String R = "com.yalantis.ucrop.isWithVideoImage";
        public static final String S = "com.yalantis.ucrop.OutputUriList";
        public static final String T = "com.yalantis.ucrop.WindowAnimation";

        /* renamed from: a  reason: collision with root package name */
        public static final String f21426a = "com.yalantis.ucrop.CompressionFormatName";

        /* renamed from: b  reason: collision with root package name */
        public static final String f21427b = "com.yalantis.ucrop.CompressionQuality";

        /* renamed from: c  reason: collision with root package name */
        public static final String f21428c = "com.yalantis.ucrop.activityOrientation";

        /* renamed from: d  reason: collision with root package name */
        public static final String f21429d = "com.yalantis.ucrop.AllowedGestures";

        /* renamed from: e  reason: collision with root package name */
        public static final String f21430e = "com.yalantis.ucrop.MaxBitmapSize";
        public static final String f = "com.yalantis.ucrop.MaxScaleMultiplier";
        public static final String g = "com.yalantis.ucrop.ImageToCropBoundsAnimDuration";
        public static final String h = "com.yalantis.ucrop.DimmedLayerColor";
        public static final String i = "com.yalantis.ucrop.CircleDimmedLayer";
        public static final String j = "com.yalantis.ucrop.ShowCropFrame";
        public static final String k = "com.yalantis.ucrop.CropFrameColor";
        public static final String l = "com.yalantis.ucrop.CropFrameStrokeWidth";
        public static final String m = "com.yalantis.ucrop.ShowCropGrid";
        public static final String n = "com.yalantis.ucrop.CropGridRowCount";
        public static final String o = "com.yalantis.ucrop.CropGridColumnCount";
        public static final String p = "com.yalantis.ucrop.CropGridColor";
        public static final String q = "com.yalantis.ucrop.CropGridStrokeWidth";
        public static final String r = "com.yalantis.ucrop.ToolbarColor";
        public static final String s = "com.yalantis.ucrop.StatusBarColor";
        public static final String t = "com.yalantis.ucrop.UcropColorWidgetActive";
        public static final String u = "com.yalantis.ucrop.UcropColorControlsWidgetActive";
        public static final String v = "com.yalantis.ucrop.UcropToolbarWidgetColor";
        public static final String w = "com.yalantis.ucrop.UcropToolbarTitleText";
        public static final String x = "com.yalantis.ucrop.UcropToolbarCancelDrawable";
        public static final String y = "com.yalantis.ucrop.UcropToolbarCropDrawable";
        public static final String z = "com.yalantis.ucrop.UcropLogoColor";
        private final Bundle U = new Bundle();

        public void A(boolean z2) {
            this.U.putBoolean(A, z2);
        }

        public void B(@IntRange(from = 10) int i2) {
            this.U.putInt(g, i2);
        }

        public void C(@ColorInt int i2) {
            this.U.putInt(z, i2);
        }

        public void D(@IntRange(from = 10) int i2) {
            this.U.putInt(f21430e, i2);
        }

        public void E(@FloatRange(from = 1.0d, fromInclusive = false) float f2) {
            this.U.putFloat(f, f2);
        }

        public void F(@ColorInt int i2) {
            if (i2 != 0) {
                this.U.putInt(L, i2);
            }
        }

        public void G(String str) {
            this.U.putString(N, str);
        }

        public void H(int i2) {
            this.U.putInt(f21428c, i2);
        }

        public void I(@ColorInt int i2) {
            this.U.putInt(E, i2);
        }

        public void J(boolean z2) {
            this.U.putBoolean(K, z2);
        }

        public void K(boolean z2) {
            this.U.putBoolean(J, z2);
        }

        public void L(boolean z2) {
            this.U.putBoolean(j, z2);
        }

        public void M(boolean z2) {
            this.U.putBoolean(m, z2);
        }

        public void N(@ColorInt int i2) {
            this.U.putInt(s, i2);
        }

        public void O(@DrawableRes int i2) {
            this.U.putInt(x, i2);
        }

        public void P(@ColorInt int i2) {
            this.U.putInt(r, i2);
        }

        public void Q(@DrawableRes int i2) {
            this.U.putInt(y, i2);
        }

        public void R(@Nullable String str) {
            this.U.putString(w, str);
        }

        public void S(@ColorInt int i2) {
            this.U.putInt(v, i2);
        }

        public void T() {
            this.U.putFloat(b.n, 0.0f);
            this.U.putFloat(b.o, 0.0f);
        }

        public void U(float f2, float f3) {
            this.U.putFloat(b.n, f2);
            this.U.putFloat(b.o, f3);
        }

        public void V(@IntRange(from = 10) int i2, @IntRange(from = 10) int i3) {
            this.U.putInt(b.p, i2);
            this.U.putInt(b.q, i3);
        }

        @NonNull
        public Bundle a() {
            return this.U;
        }

        public void b(boolean z2) {
            this.U.putBoolean(O, z2);
        }

        public void c(boolean z2) {
            this.U.putBoolean(P, z2);
        }

        public void d(boolean z2) {
            this.U.putBoolean(M, z2);
        }

        public void e(boolean z2) {
            this.U.putBoolean(F, z2);
        }

        public void f(boolean z2) {
            this.U.putBoolean(R, z2);
        }

        public void g(@ColorInt int i2) {
            this.U.putInt(u, i2);
        }

        public void h(@ColorInt int i2) {
            this.U.putInt(t, i2);
        }

        public void i(int i2, int i3, int i4) {
            this.U.putIntArray(f21429d, new int[]{i2, i3, i4});
        }

        public void j(int i2, AspectRatio... aspectRatioArr) {
            if (i2 <= aspectRatioArr.length) {
                this.U.putInt(C, i2);
                this.U.putParcelableArrayList(D, new ArrayList<>(Arrays.asList(aspectRatioArr)));
                return;
            }
            throw new IllegalArgumentException(String.format(Locale.US, "Index [selectedByDefault = %d] cannot be higher than aspect ratio options count [count = %d].", Integer.valueOf(i2), Integer.valueOf(aspectRatioArr.length)));
        }

        public void k(boolean z2) {
            this.U.putBoolean(i, z2);
        }

        public void l(int i2) {
            if (i2 > 0) {
                this.U.putInt(H, i2);
            }
        }

        public void m(@NonNull Bitmap.CompressFormat compressFormat) {
            this.U.putString(f21426a, compressFormat.name());
        }

        public void n(@IntRange(from = 0) int i2) {
            this.U.putInt(f21427b, i2);
        }

        public void o(@AnimRes int i2) {
            this.U.putInt(T, i2);
        }

        public void p(@ColorInt int i2) {
            this.U.putInt(k, i2);
        }

        public void q(@IntRange(from = 0) int i2) {
            this.U.putInt(l, i2);
        }

        public void r(@ColorInt int i2) {
            this.U.putInt(p, i2);
        }

        public void s(@IntRange(from = 0) int i2) {
            this.U.putInt(o, i2);
        }

        public void t(@IntRange(from = 0) int i2) {
            this.U.putInt(n, i2);
        }

        public void u(@IntRange(from = 0) int i2) {
            this.U.putInt(q, i2);
        }

        public void v(ArrayList<LocalMedia> arrayList) {
            this.U.putParcelableArrayList(Q, arrayList);
        }

        public void w(@ColorInt int i2) {
            if (i2 != 0) {
                this.U.putInt(G, i2);
            }
        }

        public void x(@ColorInt int i2) {
            this.U.putInt(h, i2);
        }

        public void y(boolean z2) {
            this.U.putBoolean(I, z2);
        }

        public void z(boolean z2) {
            this.U.putBoolean(B, z2);
        }
    }

    private b(@NonNull Uri uri, @NonNull Uri uri2) {
        Bundle bundle = new Bundle();
        this.s = bundle;
        bundle.putParcelable(f, uri);
        bundle.putParcelable(g, uri2);
    }

    @Nullable
    public static Throwable a(@NonNull Intent intent) {
        return (Throwable) intent.getSerializableExtra(m);
    }

    @Nullable
    public static ArrayList<LocalMedia> d(@NonNull Intent intent) {
        return intent.getParcelableArrayListExtra(a.S);
    }

    @Nullable
    public static Uri e(@NonNull Intent intent) {
        return (Uri) intent.getParcelableExtra(g);
    }

    public static float f(@NonNull Intent intent) {
        return intent.getFloatExtra(h, 0.0f);
    }

    public static int g(@NonNull Intent intent) {
        return intent.getIntExtra(j, -1);
    }

    public static int h(@NonNull Intent intent) {
        return intent.getIntExtra(i, -1);
    }

    public static b i(@NonNull Uri uri, @NonNull Uri uri2) {
        return new b(uri, uri2);
    }

    public Intent b(@NonNull Context context) {
        this.r.setClass(context, UCropActivity.class);
        this.r.putExtras(this.s);
        return this.r;
    }

    public Intent c(@NonNull Context context) {
        this.r.setClass(context, PictureMultiCuttingActivity.class);
        this.r.putExtras(this.s);
        return this.r;
    }

    public void j(@NonNull Activity activity, int i2) {
        activity.startActivityForResult(b(activity), i2);
    }

    public void k(@NonNull Activity activity, int i2, @AnimRes int i3) {
        activity.startActivityForResult(b(activity), i2);
        activity.overridePendingTransition(i3, R.anim.ucrop_anim_fade_in);
    }

    public void l(@NonNull Context context, @NonNull Fragment fragment) {
        m(context, fragment, 69);
    }

    public void m(@NonNull Context context, @NonNull Fragment fragment, int i2) {
        fragment.startActivityForResult(b(context), i2);
    }

    public void n(@NonNull AppCompatActivity appCompatActivity) {
        o(appCompatActivity, 69);
    }

    public void o(@NonNull AppCompatActivity appCompatActivity, int i2) {
        appCompatActivity.startActivityForResult(b(appCompatActivity), i2);
    }

    public void p(@NonNull Activity activity, @AnimRes int i2) {
        if (i2 != 0) {
            k(activity, 69, i2);
        } else {
            j(activity, 69);
        }
    }

    public void q(@NonNull Activity activity, @AnimRes int i2) {
        if (i2 != 0) {
            t(activity, 609, i2);
        } else {
            s(activity, 609);
        }
    }

    public void r(@NonNull Activity activity) {
        j(activity, 609);
    }

    public void s(@NonNull Activity activity, int i2) {
        activity.startActivityForResult(c(activity), i2);
    }

    public void t(@NonNull Activity activity, int i2, @AnimRes int i3) {
        activity.startActivityForResult(c(activity), i2);
        activity.overridePendingTransition(i3, R.anim.ucrop_anim_fade_in);
    }

    public b u() {
        this.s.putFloat(n, 0.0f);
        this.s.putFloat(o, 0.0f);
        return this;
    }

    public b v(float f2, float f3) {
        this.s.putFloat(n, f2);
        this.s.putFloat(o, f3);
        return this;
    }

    public b w(@IntRange(from = 10) int i2, @IntRange(from = 10) int i3) {
        if (i2 < 10) {
            i2 = 10;
        }
        if (i3 < 10) {
            i3 = 10;
        }
        this.s.putInt(p, i2);
        this.s.putInt(q, i3);
        return this;
    }

    public b x(@NonNull a aVar) {
        this.s.putAll(aVar.a());
        return this;
    }
}
