package com.yalantis.ucrop.d;

import android.content.Context;
import android.graphics.Bitmap;
import android.graphics.Matrix;
import android.graphics.RectF;
import android.net.Uri;
import android.os.AsyncTask;
import android.os.ParcelFileDescriptor;
import android.util.Log;
import androidx.annotation.NonNull;
import androidx.annotation.Nullable;
import androidx.exifinterface.media.ExifInterface;
import com.luck.picture.lib.config.b;
import com.luck.picture.lib.z0.l;
import com.yalantis.ucrop.e.e;
import com.yalantis.ucrop.e.f;
import com.yalantis.ucrop.model.c;
import java.io.File;
import java.io.FileInputStream;
import java.io.FileNotFoundException;
import java.io.IOException;
import java.io.OutputStream;
import java.lang.ref.WeakReference;

/* compiled from: BitmapCropTask */
public class a extends AsyncTask<Void, Void, Throwable> {

    /* renamed from: a  reason: collision with root package name */
    private static final String f21431a = "BitmapCropTask";

    /* renamed from: b  reason: collision with root package name */
    private final WeakReference<Context> f21432b;

    /* renamed from: c  reason: collision with root package name */
    private Bitmap f21433c;

    /* renamed from: d  reason: collision with root package name */
    private final RectF f21434d;

    /* renamed from: e  reason: collision with root package name */
    private final RectF f21435e;
    private float f;
    private float g;
    private final int h;
    private final int i;
    private final Bitmap.CompressFormat j;
    private final int k;
    private final String l;
    private final String m;
    private final com.yalantis.ucrop.c.a n;
    private int o;
    private int p;
    private int q;
    private int r;

    public a(@NonNull Context context, @Nullable Bitmap bitmap, @NonNull c cVar, @NonNull com.yalantis.ucrop.model.a aVar, @Nullable com.yalantis.ucrop.c.a aVar2) {
        this.f21432b = new WeakReference<>(context);
        this.f21433c = bitmap;
        this.f21434d = cVar.a();
        this.f21435e = cVar.c();
        this.f = cVar.d();
        this.g = cVar.b();
        this.h = aVar.f();
        this.i = aVar.g();
        this.j = aVar.a();
        this.k = aVar.b();
        this.l = aVar.d();
        this.m = aVar.e();
        this.n = aVar2;
    }

    private boolean a() throws IOException {
        ExifInterface exifInterface;
        if (this.h > 0 && this.i > 0) {
            float width = this.f21434d.width() / this.f;
            float height = this.f21434d.height() / this.f;
            int i2 = this.h;
            if (width > ((float) i2) || height > ((float) this.i)) {
                float min = Math.min(((float) i2) / width, ((float) this.i) / height);
                Bitmap bitmap = this.f21433c;
                Bitmap createScaledBitmap = Bitmap.createScaledBitmap(bitmap, Math.round(((float) bitmap.getWidth()) * min), Math.round(((float) this.f21433c.getHeight()) * min), false);
                Bitmap bitmap2 = this.f21433c;
                if (bitmap2 != createScaledBitmap) {
                    bitmap2.recycle();
                }
                this.f21433c = createScaledBitmap;
                this.f /= min;
            }
        }
        if (this.g != 0.0f) {
            Matrix matrix = new Matrix();
            matrix.setRotate(this.g, (float) (this.f21433c.getWidth() / 2), (float) (this.f21433c.getHeight() / 2));
            Bitmap bitmap3 = this.f21433c;
            Bitmap createBitmap = Bitmap.createBitmap(bitmap3, 0, 0, bitmap3.getWidth(), this.f21433c.getHeight(), matrix, true);
            Bitmap bitmap4 = this.f21433c;
            if (bitmap4 != createBitmap) {
                bitmap4.recycle();
            }
            this.f21433c = createBitmap;
        }
        this.q = Math.round((this.f21434d.left - this.f21435e.left) / this.f);
        this.r = Math.round((this.f21434d.top - this.f21435e.top) / this.f);
        this.o = Math.round(this.f21434d.width() / this.f);
        int round = Math.round(this.f21434d.height() / this.f);
        this.p = round;
        boolean f2 = f(this.o, round);
        Log.i(f21431a, "Should crop: " + f2);
        if (f2) {
            ParcelFileDescriptor parcelFileDescriptor = null;
            if (!l.a() || !b.g(this.l)) {
                exifInterface = new ExifInterface(this.l);
            } else {
                parcelFileDescriptor = c().getContentResolver().openFileDescriptor(Uri.parse(this.l), "r");
                exifInterface = new ExifInterface(new FileInputStream(parcelFileDescriptor.getFileDescriptor()));
            }
            e(Bitmap.createBitmap(this.f21433c, this.q, this.r, this.o, this.p));
            if (this.j.equals(Bitmap.CompressFormat.JPEG)) {
                f.b(exifInterface, this.o, this.p, this.m);
            }
            if (parcelFileDescriptor == null) {
                return true;
            }
            com.yalantis.ucrop.e.a.c(parcelFileDescriptor);
            return true;
        }
        if (!l.a() || !b.g(this.l)) {
            e.a(this.l, this.m);
        } else {
            ParcelFileDescriptor openFileDescriptor = c().getContentResolver().openFileDescriptor(Uri.parse(this.l), "r");
            e.b(new FileInputStream(openFileDescriptor.getFileDescriptor()), this.m);
            com.yalantis.ucrop.e.a.c(openFileDescriptor);
        }
        return false;
    }

    private Context c() {
        return this.f21432b.get();
    }

    private void e(@NonNull Bitmap bitmap) throws FileNotFoundException {
        Context c2 = c();
        if (c2 != null) {
            OutputStream outputStream = null;
            try {
                outputStream = c2.getContentResolver().openOutputStream(Uri.fromFile(new File(this.m)));
                bitmap.compress(this.j, this.k, outputStream);
                bitmap.recycle();
            } finally {
                com.yalantis.ucrop.e.a.c(outputStream);
            }
        }
    }

    private boolean f(int i2, int i3) {
        int round = Math.round(((float) Math.max(i2, i3)) / 1000.0f) + 1;
        if (this.h > 0 && this.i > 0) {
            return true;
        }
        float f2 = (float) round;
        if (Math.abs(this.f21434d.left - this.f21435e.left) > f2 || Math.abs(this.f21434d.top - this.f21435e.top) > f2 || Math.abs(this.f21434d.bottom - this.f21435e.bottom) > f2 || Math.abs(this.f21434d.right - this.f21435e.right) > f2 || this.g != 0.0f) {
            return true;
        }
        return false;
    }

    /* access modifiers changed from: protected */
    @Nullable
    /* renamed from: b */
    public Throwable doInBackground(Void... voidArr) {
        Bitmap bitmap = this.f21433c;
        if (bitmap == null) {
            return new NullPointerException("ViewBitmap is null");
        }
        if (bitmap.isRecycled()) {
            return new NullPointerException("ViewBitmap is recycled");
        }
        if (this.f21435e.isEmpty()) {
            return new NullPointerException("CurrentImageRect is empty");
        }
        try {
            a();
            this.f21433c = null;
            return null;
        } catch (Throwable th) {
            return th;
        }
    }

    /* access modifiers changed from: protected */
    /* renamed from: d */
    public void onPostExecute(@Nullable Throwable th) {
        com.yalantis.ucrop.c.a aVar = this.n;
        if (aVar == null) {
            return;
        }
        if (th == null) {
            this.n.a(Uri.fromFile(new File(this.m)), this.q, this.r, this.o, this.p);
            return;
        }
        aVar.b(th);
    }
}
