package com.yalantis.ucrop.d;

import android.content.Context;
import android.graphics.Bitmap;
import android.graphics.BitmapFactory;
import android.graphics.Matrix;
import android.net.Uri;
import android.os.AsyncTask;
import android.text.TextUtils;
import android.util.Log;
import androidx.annotation.NonNull;
import androidx.annotation.Nullable;
import androidx.core.content.d;
import com.google.firebase.analytics.FirebaseAnalytics;
import com.luck.picture.lib.z0.l;
import com.yalantis.ucrop.e.e;
import java.io.BufferedInputStream;
import java.io.BufferedOutputStream;
import java.io.File;
import java.io.FileOutputStream;
import java.io.IOException;
import java.io.InputStream;
import java.io.OutputStream;
import java.net.URL;
import java.util.Objects;

/* compiled from: BitmapLoadTask */
public class b extends AsyncTask<Void, Void, a> {

    /* renamed from: a  reason: collision with root package name */
    private static final String f21436a = "BitmapWorkerTask";

    /* renamed from: b  reason: collision with root package name */
    private static final int f21437b = 104857600;

    /* renamed from: c  reason: collision with root package name */
    private final Context f21438c;

    /* renamed from: d  reason: collision with root package name */
    private Uri f21439d;

    /* renamed from: e  reason: collision with root package name */
    private final Uri f21440e;
    private final int f;
    private final int g;
    private final com.yalantis.ucrop.c.b h;

    public b(@NonNull Context context, @NonNull Uri uri, @Nullable Uri uri2, int i, int i2, com.yalantis.ucrop.c.b bVar) {
        this.f21438c = context;
        this.f21439d = uri;
        this.f21440e = uri2;
        this.f = i;
        this.g = i2;
        this.h = bVar;
    }

    private boolean a(Bitmap bitmap, BitmapFactory.Options options) {
        if ((bitmap != null ? bitmap.getByteCount() : 0) <= f21437b) {
            return false;
        }
        options.inSampleSize *= 2;
        return true;
    }

    private void b(@NonNull Uri uri, @Nullable Uri uri2) throws NullPointerException, IOException {
        Throwable th;
        InputStream inputStream;
        Log.d(f21436a, "copyFile");
        Objects.requireNonNull(uri2, "Output Uri is null - cannot copy image");
        FileOutputStream fileOutputStream = null;
        try {
            inputStream = this.f21438c.getContentResolver().openInputStream(uri);
            try {
                FileOutputStream fileOutputStream2 = new FileOutputStream(new File(uri2.getPath()));
                if (inputStream != null) {
                    try {
                        byte[] bArr = new byte[1024];
                        while (true) {
                            int read = inputStream.read(bArr);
                            if (read > 0) {
                                fileOutputStream2.write(bArr, 0, read);
                            } else {
                                com.yalantis.ucrop.e.a.c(fileOutputStream2);
                                com.yalantis.ucrop.e.a.c(inputStream);
                                this.f21439d = this.f21440e;
                                return;
                            }
                        }
                    } catch (Throwable th2) {
                        th = th2;
                        fileOutputStream = fileOutputStream2;
                        com.yalantis.ucrop.e.a.c(fileOutputStream);
                        com.yalantis.ucrop.e.a.c(inputStream);
                        this.f21439d = this.f21440e;
                        throw th;
                    }
                } else {
                    throw new NullPointerException("InputStream for given input Uri is null");
                }
            } catch (Throwable th3) {
                th = th3;
                com.yalantis.ucrop.e.a.c(fileOutputStream);
                com.yalantis.ucrop.e.a.c(inputStream);
                this.f21439d = this.f21440e;
                throw th;
            }
        } catch (Throwable th4) {
            th = th4;
            inputStream = null;
            com.yalantis.ucrop.e.a.c(fileOutputStream);
            com.yalantis.ucrop.e.a.c(inputStream);
            this.f21439d = this.f21440e;
            throw th;
        }
    }

    private void d(@NonNull Uri uri, @Nullable Uri uri2) throws NullPointerException, IOException {
        OutputStream outputStream;
        Throwable th;
        BufferedInputStream bufferedInputStream;
        Exception e2;
        Log.d(f21436a, "downloadFile");
        Objects.requireNonNull(uri2, "Output Uri is null - cannot download image");
        BufferedOutputStream bufferedOutputStream = null;
        try {
            URL url = new URL(uri.toString());
            byte[] bArr = new byte[1024];
            bufferedInputStream = new BufferedInputStream(url.openStream());
            try {
                outputStream = this.f21438c.getContentResolver().openOutputStream(uri2);
                if (outputStream != null) {
                    try {
                        BufferedOutputStream bufferedOutputStream2 = new BufferedOutputStream(outputStream);
                        while (true) {
                            try {
                                int read = bufferedInputStream.read(bArr);
                                if (read <= -1) {
                                    break;
                                }
                                bufferedOutputStream2.write(bArr, 0, read);
                            } catch (Exception e3) {
                                e2 = e3;
                                bufferedOutputStream = bufferedOutputStream2;
                                try {
                                    e2.printStackTrace();
                                    this.f21439d = this.f21440e;
                                    com.yalantis.ucrop.e.a.c(bufferedOutputStream);
                                    com.yalantis.ucrop.e.a.c(bufferedInputStream);
                                    com.yalantis.ucrop.e.a.c(outputStream);
                                } catch (Throwable th2) {
                                    th = th2;
                                    this.f21439d = this.f21440e;
                                    com.yalantis.ucrop.e.a.c(bufferedOutputStream);
                                    com.yalantis.ucrop.e.a.c(bufferedInputStream);
                                    com.yalantis.ucrop.e.a.c(outputStream);
                                    throw th;
                                }
                            } catch (Throwable th3) {
                                th = th3;
                                bufferedOutputStream = bufferedOutputStream2;
                                this.f21439d = this.f21440e;
                                com.yalantis.ucrop.e.a.c(bufferedOutputStream);
                                com.yalantis.ucrop.e.a.c(bufferedInputStream);
                                com.yalantis.ucrop.e.a.c(outputStream);
                                throw th;
                            }
                        }
                        bufferedOutputStream2.flush();
                        bufferedOutputStream = bufferedOutputStream2;
                    } catch (Exception e4) {
                        e2 = e4;
                        e2.printStackTrace();
                        this.f21439d = this.f21440e;
                        com.yalantis.ucrop.e.a.c(bufferedOutputStream);
                        com.yalantis.ucrop.e.a.c(bufferedInputStream);
                        com.yalantis.ucrop.e.a.c(outputStream);
                    }
                }
            } catch (Exception e5) {
                e2 = e5;
                outputStream = null;
                e2.printStackTrace();
                this.f21439d = this.f21440e;
                com.yalantis.ucrop.e.a.c(bufferedOutputStream);
                com.yalantis.ucrop.e.a.c(bufferedInputStream);
                com.yalantis.ucrop.e.a.c(outputStream);
            } catch (Throwable th4) {
                th = th4;
                outputStream = null;
                this.f21439d = this.f21440e;
                com.yalantis.ucrop.e.a.c(bufferedOutputStream);
                com.yalantis.ucrop.e.a.c(bufferedInputStream);
                com.yalantis.ucrop.e.a.c(outputStream);
                throw th;
            }
        } catch (Exception e6) {
            e2 = e6;
            outputStream = null;
            bufferedInputStream = null;
            e2.printStackTrace();
            this.f21439d = this.f21440e;
            com.yalantis.ucrop.e.a.c(bufferedOutputStream);
            com.yalantis.ucrop.e.a.c(bufferedInputStream);
            com.yalantis.ucrop.e.a.c(outputStream);
        } catch (Throwable th5) {
            th = th5;
            outputStream = null;
            bufferedInputStream = null;
            this.f21439d = this.f21440e;
            com.yalantis.ucrop.e.a.c(bufferedOutputStream);
            com.yalantis.ucrop.e.a.c(bufferedInputStream);
            com.yalantis.ucrop.e.a.c(outputStream);
            throw th;
        }
        this.f21439d = this.f21440e;
        com.yalantis.ucrop.e.a.c(bufferedOutputStream);
        com.yalantis.ucrop.e.a.c(bufferedInputStream);
        com.yalantis.ucrop.e.a.c(outputStream);
    }

    private String e() {
        return d.a(this.f21438c, "android.permission.READ_EXTERNAL_STORAGE") == 0 ? e.d(this.f21438c, this.f21439d) : "";
    }

    private void g() throws NullPointerException, IOException {
        String scheme = this.f21439d.getScheme();
        Log.d(f21436a, "Uri scheme: " + scheme);
        if ("http".equals(scheme) || c.a.b.c.b.f4999a.equals(scheme)) {
            try {
                d(this.f21439d, this.f21440e);
            } catch (IOException | NullPointerException e2) {
                Log.e(f21436a, "Downloading failed", e2);
                throw e2;
            }
        } else if (FirebaseAnalytics.b.N.equals(scheme)) {
            String e3 = e();
            if (TextUtils.isEmpty(e3) || !new File(e3).exists()) {
                try {
                    b(this.f21439d, this.f21440e);
                } catch (IOException | NullPointerException e4) {
                    Log.e(f21436a, "Copying failed", e4);
                    throw e4;
                }
            } else {
                this.f21439d = l.a() ? this.f21439d : Uri.fromFile(new File(e3));
            }
        } else if (!"file".equals(scheme)) {
            Log.e(f21436a, "Invalid Uri scheme " + scheme);
            throw new IllegalArgumentException("Invalid Uri scheme" + scheme);
        }
    }

    /* JADX INFO: finally extract failed */
    /* access modifiers changed from: protected */
    @NonNull
    /* renamed from: c */
    public a doInBackground(Void... voidArr) {
        if (this.f21439d == null) {
            return new a(new NullPointerException("Input Uri cannot be null"));
        }
        try {
            g();
            BitmapFactory.Options options = new BitmapFactory.Options();
            options.inJustDecodeBounds = true;
            options.inSampleSize = com.yalantis.ucrop.e.a.a(options, this.f, this.g);
            boolean z = false;
            options.inJustDecodeBounds = false;
            Bitmap bitmap = null;
            while (!z) {
                try {
                    InputStream openInputStream = this.f21438c.getContentResolver().openInputStream(this.f21439d);
                    try {
                        bitmap = BitmapFactory.decodeStream(openInputStream, null, options);
                        if (options.outWidth == -1 || options.outHeight == -1) {
                            a aVar = new a(new IllegalArgumentException("Bounds for bitmap could not be retrieved from the Uri: [" + this.f21439d + "]"));
                            com.yalantis.ucrop.e.a.c(openInputStream);
                            return aVar;
                        }
                        com.yalantis.ucrop.e.a.c(openInputStream);
                        if (!a(bitmap, options)) {
                            z = true;
                        }
                    } catch (Throwable th) {
                        com.yalantis.ucrop.e.a.c(openInputStream);
                        throw th;
                    }
                } catch (OutOfMemoryError e2) {
                    Log.e(f21436a, "doInBackground: BitmapFactory.decodeFileDescriptor: ", e2);
                    options.inSampleSize *= 2;
                } catch (IOException e3) {
                    Log.e(f21436a, "doInBackground: ImageDecoder.createSource: ", e3);
                    return new a(new IllegalArgumentException("Bitmap could not be decoded from the Uri: [" + this.f21439d + "]", e3));
                }
            }
            if (bitmap == null) {
                return new a(new IllegalArgumentException("Bitmap could not be decoded from the Uri: [" + this.f21439d + "]"));
            }
            int g2 = com.yalantis.ucrop.e.a.g(this.f21438c, this.f21439d);
            int e4 = com.yalantis.ucrop.e.a.e(g2);
            int f2 = com.yalantis.ucrop.e.a.f(g2);
            com.yalantis.ucrop.model.b bVar = new com.yalantis.ucrop.model.b(g2, e4, f2);
            Matrix matrix = new Matrix();
            if (e4 != 0) {
                matrix.preRotate((float) e4);
            }
            if (f2 != 1) {
                matrix.postScale((float) f2, 1.0f);
            }
            if (!matrix.isIdentity()) {
                return new a(com.yalantis.ucrop.e.a.h(bitmap, matrix), bVar);
            }
            return new a(bitmap, bVar);
        } catch (IOException | NullPointerException e5) {
            return new a(e5);
        }
    }

    /* access modifiers changed from: protected */
    /* renamed from: f */
    public void onPostExecute(@NonNull a aVar) {
        Exception exc = aVar.f21443c;
        if (exc == null) {
            String uri = this.f21439d.toString();
            com.yalantis.ucrop.c.b bVar = this.h;
            Bitmap bitmap = aVar.f21441a;
            com.yalantis.ucrop.model.b bVar2 = aVar.f21442b;
            if (!com.luck.picture.lib.config.b.g(uri)) {
                uri = this.f21439d.getPath();
            }
            Uri uri2 = this.f21440e;
            bVar.a(bitmap, bVar2, uri, uri2 == null ? null : uri2.getPath());
            return;
        }
        this.h.d(exc);
    }

    /* compiled from: BitmapLoadTask */
    public static class a {

        /* renamed from: a  reason: collision with root package name */
        Bitmap f21441a;

        /* renamed from: b  reason: collision with root package name */
        com.yalantis.ucrop.model.b f21442b;

        /* renamed from: c  reason: collision with root package name */
        Exception f21443c;

        public a(@NonNull Bitmap bitmap, @NonNull com.yalantis.ucrop.model.b bVar) {
            this.f21441a = bitmap;
            this.f21442b = bVar;
        }

        public a(@NonNull Exception exc) {
            this.f21443c = exc;
        }
    }
}
