package com.yalantis.ucrop.e;

import android.text.TextUtils;
import android.util.Log;
import androidx.core.view.MotionEventCompat;
import androidx.exifinterface.media.ExifInterface;
import java.io.IOException;
import java.io.InputStream;
import java.nio.ByteBuffer;
import java.nio.ByteOrder;
import java.nio.charset.StandardCharsets;

/* compiled from: ImageHeaderParser */
public class f {

    /* renamed from: a  reason: collision with root package name */
    private static final String f21452a = "ImageHeaderParser";

    /* renamed from: b  reason: collision with root package name */
    public static final int f21453b = -1;

    /* renamed from: c  reason: collision with root package name */
    private static final int f21454c = 65496;

    /* renamed from: d  reason: collision with root package name */
    private static final int f21455d = 19789;

    /* renamed from: e  reason: collision with root package name */
    private static final int f21456e = 18761;
    private static final String f = "Exif\u0000\u0000";
    private static final byte[] g = f.getBytes(StandardCharsets.UTF_8);
    private static final int h = 218;
    private static final int i = 217;
    private static final int j = 255;
    private static final int k = 225;
    private static final int l = 274;
    private static final int[] m = {0, 1, 1, 2, 4, 8, 1, 1, 2, 4, 8, 4, 8};
    private final b n;

    /* access modifiers changed from: private */
    /* compiled from: ImageHeaderParser */
    public static class a {

        /* renamed from: a  reason: collision with root package name */
        private final ByteBuffer f21457a;

        public a(byte[] bArr, int i) {
            this.f21457a = (ByteBuffer) ByteBuffer.wrap(bArr).order(ByteOrder.BIG_ENDIAN).limit(i);
        }

        public short a(int i) {
            return this.f21457a.getShort(i);
        }

        public int b(int i) {
            return this.f21457a.getInt(i);
        }

        public int c() {
            return this.f21457a.remaining();
        }

        public void d(ByteOrder byteOrder) {
            this.f21457a.order(byteOrder);
        }
    }

    /* access modifiers changed from: private */
    /* compiled from: ImageHeaderParser */
    public interface b {
        int a(byte[] bArr, int i) throws IOException;

        int b() throws IOException;

        short c() throws IOException;

        long skip(long j) throws IOException;
    }

    /* compiled from: ImageHeaderParser */
    private static class c implements b {

        /* renamed from: a  reason: collision with root package name */
        private final InputStream f21458a;

        public c(InputStream inputStream) {
            this.f21458a = inputStream;
        }

        @Override // com.yalantis.ucrop.e.f.b
        public int a(byte[] bArr, int i) throws IOException {
            int i2 = i;
            while (i2 > 0) {
                int read = this.f21458a.read(bArr, i - i2, i2);
                if (read == -1) {
                    break;
                }
                i2 -= read;
            }
            return i - i2;
        }

        @Override // com.yalantis.ucrop.e.f.b
        public int b() throws IOException {
            return ((this.f21458a.read() << 8) & MotionEventCompat.ACTION_POINTER_INDEX_MASK) | (this.f21458a.read() & 255);
        }

        @Override // com.yalantis.ucrop.e.f.b
        public short c() throws IOException {
            return (short) (this.f21458a.read() & 255);
        }

        @Override // com.yalantis.ucrop.e.f.b
        public long skip(long j) throws IOException {
            if (j < 0) {
                return 0;
            }
            long j2 = j;
            while (j2 > 0) {
                long skip = this.f21458a.skip(j2);
                if (skip <= 0) {
                    if (this.f21458a.read() == -1) {
                        break;
                    }
                    skip = 1;
                }
                j2 -= skip;
            }
            return j - j2;
        }
    }

    public f(InputStream inputStream) {
        this.n = new c(inputStream);
    }

    private static int a(int i2, int i3) {
        return i2 + 2 + (i3 * 12);
    }

    public static void b(ExifInterface exifInterface, int i2, int i3, String str) {
        String[] strArr = {ExifInterface.a0, ExifInterface.z, ExifInterface.S, ExifInterface.Z, ExifInterface.u0, ExifInterface.w0, ExifInterface.i1, ExifInterface.h1, ExifInterface.F1, ExifInterface.e1, ExifInterface.d1, ExifInterface.g1, ExifInterface.f1, ExifInterface.D1, ExifInterface.j1, ExifInterface.e0, ExifInterface.B, ExifInterface.C, ExifInterface.W, ExifInterface.Y, ExifInterface.X, ExifInterface.K0};
        try {
            ExifInterface exifInterface2 = new ExifInterface(str);
            for (int i4 = 0; i4 < 22; i4++) {
                String str2 = strArr[i4];
                String i5 = exifInterface.i(str2);
                if (!TextUtils.isEmpty(i5)) {
                    exifInterface2.v0(str2, i5);
                }
            }
            exifInterface2.v0(ExifInterface.f3056c, String.valueOf(i2));
            exifInterface2.v0(ExifInterface.f3057d, String.valueOf(i3));
            exifInterface2.v0(ExifInterface.h, "0");
            exifInterface2.q0();
        } catch (IOException e2) {
            Log.d(f21452a, e2.getMessage());
        }
    }

    private static boolean d(int i2) {
        return (i2 & f21454c) == f21454c || i2 == f21455d || i2 == f21456e;
    }

    private boolean e(byte[] bArr, int i2) {
        boolean z = bArr != null && i2 > g.length;
        if (z) {
            int i3 = 0;
            while (true) {
                byte[] bArr2 = g;
                if (i3 >= bArr2.length) {
                    break;
                } else if (bArr[i3] != bArr2[i3]) {
                    return false;
                } else {
                    i3++;
                }
            }
        }
        return z;
    }

    private int f() throws IOException {
        short c2;
        int b2;
        long j2;
        long skip;
        do {
            short c3 = this.n.c();
            if (c3 != 255) {
                if (Log.isLoggable(f21452a, 3)) {
                    Log.d(f21452a, "Unknown segmentId=" + ((int) c3));
                }
                return -1;
            }
            c2 = this.n.c();
            if (c2 == 218) {
                return -1;
            }
            if (c2 == 217) {
                if (Log.isLoggable(f21452a, 3)) {
                    Log.d(f21452a, "Found MARKER_EOI in exif segment");
                }
                return -1;
            }
            b2 = this.n.b() - 2;
            if (c2 == 225) {
                return b2;
            }
            j2 = (long) b2;
            skip = this.n.skip(j2);
        } while (skip == j2);
        if (Log.isLoggable(f21452a, 3)) {
            Log.d(f21452a, "Unable to skip enough data, type: " + ((int) c2) + ", wanted to skip: " + b2 + ", but actually skipped: " + skip);
        }
        return -1;
    }

    private static int g(a aVar) {
        ByteOrder byteOrder;
        short a2 = aVar.a(6);
        if (a2 == f21455d) {
            byteOrder = ByteOrder.BIG_ENDIAN;
        } else if (a2 == f21456e) {
            byteOrder = ByteOrder.LITTLE_ENDIAN;
        } else {
            if (Log.isLoggable(f21452a, 3)) {
                Log.d(f21452a, "Unknown endianness = " + ((int) a2));
            }
            byteOrder = ByteOrder.BIG_ENDIAN;
        }
        aVar.d(byteOrder);
        int b2 = aVar.b(10) + 6;
        short a3 = aVar.a(b2);
        for (int i2 = 0; i2 < a3; i2++) {
            int a4 = a(b2, i2);
            short a5 = aVar.a(a4);
            if (a5 == 274) {
                short a6 = aVar.a(a4 + 2);
                if (a6 >= 1 && a6 <= 12) {
                    int b3 = aVar.b(a4 + 4);
                    if (b3 >= 0) {
                        if (Log.isLoggable(f21452a, 3)) {
                            Log.d(f21452a, "Got tagIndex=" + i2 + " tagType=" + ((int) a5) + " formatCode=" + ((int) a6) + " componentCount=" + b3);
                        }
                        int i3 = b3 + m[a6];
                        if (i3 <= 4) {
                            int i4 = a4 + 8;
                            if (i4 < 0 || i4 > aVar.c()) {
                                if (Log.isLoggable(f21452a, 3)) {
                                    Log.d(f21452a, "Illegal tagValueOffset=" + i4 + " tagType=" + ((int) a5));
                                }
                            } else if (i3 >= 0 && i3 + i4 <= aVar.c()) {
                                return aVar.a(i4);
                            } else {
                                if (Log.isLoggable(f21452a, 3)) {
                                    Log.d(f21452a, "Illegal number of bytes for TI tag data tagType=" + ((int) a5));
                                }
                            }
                        } else if (Log.isLoggable(f21452a, 3)) {
                            Log.d(f21452a, "Got byte count > 4, not orientation, continuing, formatCode=" + ((int) a6));
                        }
                    } else if (Log.isLoggable(f21452a, 3)) {
                        Log.d(f21452a, "Negative tiff component count");
                    }
                } else if (Log.isLoggable(f21452a, 3)) {
                    Log.d(f21452a, "Got invalid format code = " + ((int) a6));
                }
            }
        }
        return -1;
    }

    private int h(byte[] bArr, int i2) throws IOException {
        int a2 = this.n.a(bArr, i2);
        if (a2 != i2) {
            if (Log.isLoggable(f21452a, 3)) {
                Log.d(f21452a, "Unable to read exif segment data, length: " + i2 + ", actually read: " + a2);
            }
            return -1;
        } else if (e(bArr, i2)) {
            return g(new a(bArr, i2));
        } else {
            if (Log.isLoggable(f21452a, 3)) {
                Log.d(f21452a, "Missing jpeg exif preamble");
            }
            return -1;
        }
    }

    public int c() throws IOException {
        int b2 = this.n.b();
        if (!d(b2)) {
            if (Log.isLoggable(f21452a, 3)) {
                Log.d(f21452a, "Parser doesn't handle magic number: " + b2);
            }
            return -1;
        }
        int f2 = f();
        if (f2 != -1) {
            return h(new byte[f2], f2);
        }
        if (Log.isLoggable(f21452a, 3)) {
            Log.d(f21452a, "Failed to parse exif segment length, or exif segment not found");
        }
        return -1;
    }
}
