package com.yalantis.ucrop.view;

import android.content.Context;
import android.content.res.TypedArray;
import android.graphics.Bitmap;
import android.graphics.Matrix;
import android.graphics.RectF;
import android.graphics.drawable.Drawable;
import android.util.AttributeSet;
import androidx.annotation.IntRange;
import androidx.annotation.NonNull;
import androidx.annotation.Nullable;
import com.luck.picture.lib.R;
import com.yalantis.ucrop.c.c;
import com.yalantis.ucrop.e.g;
import com.yalantis.ucrop.view.TransformImageView;
import java.lang.ref.WeakReference;
import java.util.Arrays;
import java.util.concurrent.Executors;

public class CropImageView extends TransformImageView {
    public static final int Z0 = 0;
    public static final int a1 = 500;
    public static final float b1 = 10.0f;
    public static final float c1 = 0.0f;
    public static final float d1 = 0.0f;
    private final RectF e1;
    private final Matrix f1;
    private float g1;
    private float h1;
    private c i1;
    private Runnable j1;
    private Runnable k1;
    private float l1;
    private float m1;
    private int n1;
    private int o1;
    private long p1;

    /* access modifiers changed from: private */
    public static class a implements Runnable {
        private final long I0 = System.currentTimeMillis();
        private final float J0;
        private final float K0;
        private final float L0;
        private final float M0;
        private final float N0;
        private final float O0;
        private final boolean P0;

        /* renamed from: a  reason: collision with root package name */
        private final WeakReference<CropImageView> f21479a;

        /* renamed from: b  reason: collision with root package name */
        private final long f21480b;

        public a(CropImageView cropImageView, long j, float f, float f2, float f3, float f4, float f5, float f6, boolean z) {
            this.f21479a = new WeakReference<>(cropImageView);
            this.f21480b = j;
            this.J0 = f;
            this.K0 = f2;
            this.L0 = f3;
            this.M0 = f4;
            this.N0 = f5;
            this.O0 = f6;
            this.P0 = z;
        }

        public void run() {
            CropImageView cropImageView = this.f21479a.get();
            if (cropImageView != null) {
                float min = (float) Math.min(this.f21480b, System.currentTimeMillis() - this.I0);
                float c2 = com.yalantis.ucrop.e.b.c(min, 0.0f, this.L0, (float) this.f21480b);
                float c3 = com.yalantis.ucrop.e.b.c(min, 0.0f, this.M0, (float) this.f21480b);
                float b2 = com.yalantis.ucrop.e.b.b(min, 0.0f, this.O0, (float) this.f21480b);
                if (min < ((float) this.f21480b)) {
                    float[] fArr = cropImageView.L0;
                    cropImageView.m(c2 - (fArr[0] - this.J0), c3 - (fArr[1] - this.K0));
                    if (!this.P0) {
                        cropImageView.E(this.N0 + b2, cropImageView.e1.centerX(), cropImageView.e1.centerY());
                    }
                    if (!cropImageView.w()) {
                        cropImageView.post(this);
                    }
                }
            }
        }
    }

    private static class b implements Runnable {
        private final long I0 = System.currentTimeMillis();
        private final float J0;
        private final float K0;
        private final float L0;
        private final float M0;

        /* renamed from: a  reason: collision with root package name */
        private final WeakReference<CropImageView> f21481a;

        /* renamed from: b  reason: collision with root package name */
        private final long f21482b;

        public b(CropImageView cropImageView, long j, float f, float f2, float f3, float f4) {
            this.f21481a = new WeakReference<>(cropImageView);
            this.f21482b = j;
            this.J0 = f;
            this.K0 = f2;
            this.L0 = f3;
            this.M0 = f4;
        }

        public void run() {
            CropImageView cropImageView = this.f21481a.get();
            if (cropImageView != null) {
                float min = (float) Math.min(this.f21482b, System.currentTimeMillis() - this.I0);
                float b2 = com.yalantis.ucrop.e.b.b(min, 0.0f, this.K0, (float) this.f21482b);
                if (min < ((float) this.f21482b)) {
                    cropImageView.E(this.J0 + b2, this.L0, this.M0);
                    cropImageView.post(this);
                    return;
                }
                cropImageView.A();
            }
        }
    }

    public CropImageView(Context context) {
        this(context, null);
    }

    private void B(float f, float f2) {
        float width = this.e1.width();
        float height = this.e1.height();
        float max = Math.max(this.e1.width() / f, this.e1.height() / f2);
        RectF rectF = this.e1;
        float f3 = ((height - (f2 * max)) / 2.0f) + rectF.top;
        this.N0.reset();
        this.N0.postScale(max, max);
        this.N0.postTranslate(((width - (f * max)) / 2.0f) + rectF.left, f3);
        setImageMatrix(this.N0);
    }

    private float[] r() {
        this.f1.reset();
        this.f1.setRotate(-getCurrentAngle());
        float[] fArr = this.K0;
        float[] copyOf = Arrays.copyOf(fArr, fArr.length);
        float[] b2 = g.b(this.e1);
        this.f1.mapPoints(copyOf);
        this.f1.mapPoints(b2);
        RectF d2 = g.d(copyOf);
        RectF d3 = g.d(b2);
        float f = d2.left - d3.left;
        float f2 = d2.top - d3.top;
        float f3 = d2.right - d3.right;
        float f4 = d2.bottom - d3.bottom;
        float[] fArr2 = new float[4];
        if (f <= 0.0f) {
            f = 0.0f;
        }
        fArr2[0] = f;
        if (f2 <= 0.0f) {
            f2 = 0.0f;
        }
        fArr2[1] = f2;
        if (f3 >= 0.0f) {
            f3 = 0.0f;
        }
        fArr2[2] = f3;
        if (f4 >= 0.0f) {
            f4 = 0.0f;
        }
        fArr2[3] = f4;
        this.f1.reset();
        this.f1.setRotate(getCurrentAngle());
        this.f1.mapPoints(fArr2);
        return fArr2;
    }

    private void s() {
        Drawable drawable = getDrawable();
        if (drawable != null) {
            t((float) drawable.getIntrinsicWidth(), (float) drawable.getIntrinsicHeight());
        }
    }

    private void t(float f, float f2) {
        float min = Math.min(Math.min(this.e1.width() / f, this.e1.width() / f2), Math.min(this.e1.height() / f2, this.e1.height() / f));
        this.m1 = min;
        this.l1 = min * this.h1;
    }

    public void A() {
        setImageToWrapCropBounds(true);
    }

    /* access modifiers changed from: protected */
    public void C(float f, float f2, float f3, long j) {
        if (f > getMaxScale()) {
            f = getMaxScale();
        }
        float currentScale = getCurrentScale();
        b bVar = new b(this, j, currentScale, f - currentScale, f2, f3);
        this.k1 = bVar;
        post(bVar);
    }

    public void D(float f) {
        E(f, this.e1.centerX(), this.e1.centerY());
    }

    public void E(float f, float f2, float f3) {
        if (f <= getMaxScale()) {
            l(f / getCurrentScale(), f2, f3);
        }
    }

    public void F(float f) {
        G(f, this.e1.centerX(), this.e1.centerY());
    }

    public void G(float f, float f2, float f3) {
        if (f >= getMinScale()) {
            l(f / getCurrentScale(), f2, f3);
        }
    }

    @Nullable
    public c getCropBoundsChangeListener() {
        return this.i1;
    }

    public float getMaxScale() {
        return this.l1;
    }

    public float getMinScale() {
        return this.m1;
    }

    public float getTargetAspectRatio() {
        return this.g1;
    }

    /* access modifiers changed from: protected */
    @Override // com.yalantis.ucrop.view.TransformImageView
    public void j() {
        super.j();
        Drawable drawable = getDrawable();
        if (drawable != null) {
            float intrinsicWidth = (float) drawable.getIntrinsicWidth();
            float intrinsicHeight = (float) drawable.getIntrinsicHeight();
            if (this.g1 == 0.0f) {
                this.g1 = intrinsicWidth / intrinsicHeight;
            }
            int i = this.O0;
            float f = this.g1;
            int i2 = (int) (((float) i) / f);
            int i3 = this.P0;
            if (i2 > i3) {
                int i4 = (int) (((float) i3) * f);
                int i5 = (i - i4) / 2;
                this.e1.set((float) i5, 0.0f, (float) (i4 + i5), (float) i3);
            } else {
                int i6 = (i3 - i2) / 2;
                this.e1.set(0.0f, (float) i6, (float) i, (float) (i2 + i6));
            }
            t(intrinsicWidth, intrinsicHeight);
            B(intrinsicWidth, intrinsicHeight);
            c cVar = this.i1;
            if (cVar != null) {
                cVar.a(this.g1);
            }
            TransformImageView.b bVar = this.Q0;
            if (bVar != null) {
                bVar.d(getCurrentScale());
                this.Q0.a(getCurrentAngle());
            }
        }
    }

    @Override // com.yalantis.ucrop.view.TransformImageView
    public void l(float f, float f2, float f3) {
        if (f > 1.0f && getCurrentScale() * f <= getMaxScale()) {
            super.l(f, f2, f3);
        } else if (f < 1.0f && getCurrentScale() * f >= getMinScale()) {
            super.l(f, f2, f3);
        }
    }

    public void setCropBoundsChangeListener(@Nullable c cVar) {
        this.i1 = cVar;
    }

    public void setCropRect(RectF rectF) {
        this.g1 = rectF.width() / rectF.height();
        this.e1.set(rectF.left - ((float) getPaddingLeft()), rectF.top - ((float) getPaddingTop()), rectF.right - ((float) getPaddingRight()), rectF.bottom - ((float) getPaddingBottom()));
        s();
        A();
    }

    public void setImageToWrapCropBounds(boolean z) {
        float f;
        float f2;
        float f3;
        if (this.U0 && !w()) {
            float[] fArr = this.L0;
            float f4 = fArr[0];
            float f5 = fArr[1];
            float currentScale = getCurrentScale();
            float centerX = this.e1.centerX() - f4;
            float centerY = this.e1.centerY() - f5;
            this.f1.reset();
            this.f1.setTranslate(centerX, centerY);
            float[] fArr2 = this.K0;
            float[] copyOf = Arrays.copyOf(fArr2, fArr2.length);
            this.f1.mapPoints(copyOf);
            boolean x = x(copyOf);
            if (x) {
                float[] r = r();
                f2 = -(r[1] + r[3]);
                f3 = -(r[0] + r[2]);
                f = 0.0f;
            } else {
                RectF rectF = new RectF(this.e1);
                this.f1.reset();
                this.f1.setRotate(getCurrentAngle());
                this.f1.mapRect(rectF);
                float[] c2 = g.c(this.K0);
                f3 = centerX;
                f = (Math.max(rectF.width() / c2[0], rectF.height() / c2[1]) * currentScale) - currentScale;
                f2 = centerY;
            }
            if (z) {
                a aVar = new a(this, this.p1, f4, f5, f3, f2, currentScale, f, x);
                this.j1 = aVar;
                post(aVar);
                return;
            }
            m(f3, f2);
            if (!x) {
                E(currentScale + f, this.e1.centerX(), this.e1.centerY());
            }
        }
    }

    public void setImageToWrapCropBoundsAnimDuration(@IntRange(from = 100) long j) {
        if (j > 0) {
            this.p1 = j;
            return;
        }
        throw new IllegalArgumentException("Animation duration cannot be negative value.");
    }

    public void setMaxResultImageSizeX(@IntRange(from = 10) int i) {
        this.n1 = i;
    }

    public void setMaxResultImageSizeY(@IntRange(from = 10) int i) {
        this.o1 = i;
    }

    public void setMaxScaleMultiplier(float f) {
        this.h1 = f;
    }

    public void setTargetAspectRatio(float f) {
        Drawable drawable = getDrawable();
        if (drawable == null) {
            this.g1 = f;
            return;
        }
        if (f == 0.0f) {
            this.g1 = ((float) drawable.getIntrinsicWidth()) / ((float) drawable.getIntrinsicHeight());
        } else {
            this.g1 = f;
        }
        c cVar = this.i1;
        if (cVar != null) {
            cVar.a(this.g1);
        }
    }

    public void u() {
        removeCallbacks(this.j1);
        removeCallbacks(this.k1);
    }

    public void v(@NonNull Bitmap.CompressFormat compressFormat, int i, @Nullable com.yalantis.ucrop.c.a aVar) {
        u();
        setImageToWrapCropBounds(false);
        new com.yalantis.ucrop.d.a(getContext(), getViewBitmap(), new com.yalantis.ucrop.model.c(this.e1, g.d(this.K0), getCurrentScale(), getCurrentAngle()), new com.yalantis.ucrop.model.a(this.n1, this.o1, compressFormat, i, getImageInputPath(), getImageOutputPath(), getExifInfo()), aVar).executeOnExecutor(Executors.newCachedThreadPool(), new Void[0]);
    }

    /* access modifiers changed from: protected */
    public boolean w() {
        return x(this.K0);
    }

    /* access modifiers changed from: protected */
    public boolean x(float[] fArr) {
        this.f1.reset();
        this.f1.setRotate(-getCurrentAngle());
        float[] copyOf = Arrays.copyOf(fArr, fArr.length);
        this.f1.mapPoints(copyOf);
        float[] b2 = g.b(this.e1);
        this.f1.mapPoints(b2);
        return g.d(copyOf).contains(g.d(b2));
    }

    public void y(float f) {
        k(f, this.e1.centerX(), this.e1.centerY());
    }

    /* access modifiers changed from: protected */
    public void z(@NonNull TypedArray typedArray) {
        float abs = Math.abs(typedArray.getFloat(R.styleable.ucrop_UCropView_ucrop_aspect_ratio_x, 0.0f));
        float abs2 = Math.abs(typedArray.getFloat(R.styleable.ucrop_UCropView_ucrop_aspect_ratio_y, 0.0f));
        if (abs == 0.0f || abs2 == 0.0f) {
            this.g1 = 0.0f;
        } else {
            this.g1 = abs / abs2;
        }
    }

    public CropImageView(Context context, AttributeSet attributeSet) {
        this(context, attributeSet, 0);
    }

    public CropImageView(Context context, AttributeSet attributeSet, int i) {
        super(context, attributeSet, i);
        this.e1 = new RectF();
        this.f1 = new Matrix();
        this.h1 = 10.0f;
        this.k1 = null;
        this.n1 = 0;
        this.o1 = 0;
        this.p1 = 500;
    }
}
