package com.yalantis.ucrop.view;

import android.animation.Animator;
import android.animation.ValueAnimator;
import android.content.Context;
import android.content.res.TypedArray;
import android.graphics.Canvas;
import android.graphics.Paint;
import android.graphics.Path;
import android.graphics.Point;
import android.graphics.RectF;
import android.graphics.Region;
import android.os.Build;
import android.util.AttributeSet;
import android.util.Log;
import android.view.MotionEvent;
import android.view.View;
import android.view.animation.OvershootInterpolator;
import androidx.annotation.ColorInt;
import androidx.annotation.IntRange;
import androidx.annotation.NonNull;
import com.luck.picture.lib.R;
import com.yalantis.ucrop.c.d;
import com.yalantis.ucrop.e.g;
import java.lang.annotation.Retention;
import java.lang.annotation.RetentionPolicy;

public class OverlayView extends View {
    public static final int I0 = 2;
    public static final boolean J0 = true;
    public static final boolean K0 = true;
    public static final boolean L0 = true;
    public static final boolean M0 = false;
    public static final int N0 = 0;
    public static final int O0 = 2;
    public static final int P0 = 2;

    /* renamed from: a  reason: collision with root package name */
    public static final int f21486a = 0;

    /* renamed from: b  reason: collision with root package name */
    public static final int f21487b = 1;
    private final RectF Q0;
    private final RectF R0;
    protected int S0;
    protected int T0;
    protected float[] U0;
    protected float[] V0;
    private int W0;
    private int X0;
    private float Y0;
    private float[] Z0;
    private boolean a1;
    private boolean b1;
    private boolean c1;
    private int d1;
    private int e1;
    private Path f1;
    private Paint g1;
    private Paint h1;
    private Paint i1;
    private Paint j1;
    private int k1;
    private float l1;
    private float m1;
    private int n1;
    private int o1;
    private int p1;
    private int q1;
    private int r1;
    private boolean s1;
    private ValueAnimator t1;
    private d u1;
    private boolean v1;

    @Retention(RetentionPolicy.SOURCE)
    public @interface FreestyleMode {
    }

    /* access modifiers changed from: package-private */
    public class a implements ValueAnimator.AnimatorUpdateListener {
        final /* synthetic */ int I0;
        final /* synthetic */ RectF J0;

        /* renamed from: a  reason: collision with root package name */
        float f21488a = 0.0f;

        /* renamed from: b  reason: collision with root package name */
        final /* synthetic */ int f21489b;

        a(int i, int i2, RectF rectF) {
            this.f21489b = i;
            this.I0 = i2;
            this.J0 = rectF;
        }

        public void onAnimationUpdate(ValueAnimator valueAnimator) {
            float floatValue = ((float) this.f21489b) * ((Float) valueAnimator.getAnimatedValue()).floatValue();
            float floatValue2 = ((float) this.I0) * ((Float) valueAnimator.getAnimatedValue()).floatValue();
            RectF rectF = OverlayView.this.Q0;
            RectF rectF2 = this.J0;
            rectF.set(new RectF(rectF2.left + floatValue, rectF2.top + floatValue2, rectF2.right + floatValue, rectF2.bottom + floatValue2));
            OverlayView.this.p();
            OverlayView.this.postInvalidate();
            if (OverlayView.this.u1 != null) {
                OverlayView.this.u1.a(((float) this.f21489b) * (((Float) valueAnimator.getAnimatedValue()).floatValue() - this.f21488a), ((float) this.I0) * (((Float) valueAnimator.getAnimatedValue()).floatValue() - this.f21488a));
            }
            this.f21488a = ((Float) valueAnimator.getAnimatedValue()).floatValue();
        }
    }

    /* access modifiers changed from: package-private */
    public class b implements Animator.AnimatorListener {
        b() {
        }

        public void onAnimationCancel(Animator animator) {
        }

        public void onAnimationEnd(Animator animator) {
            if (OverlayView.this.u1 != null) {
                OverlayView.this.u1.b(OverlayView.this.Q0);
            }
        }

        public void onAnimationRepeat(Animator animator) {
        }

        public void onAnimationStart(Animator animator) {
        }
    }

    public OverlayView(Context context) {
        this(context, null);
    }

    private int f(float f, float f2) {
        double d2 = (double) this.o1;
        int i = -1;
        for (int i2 = 0; i2 < 8; i2 += 2) {
            double sqrt = Math.sqrt(Math.pow((double) (f - this.U0[i2]), 2.0d) + Math.pow((double) (f2 - this.U0[i2 + 1]), 2.0d));
            if (sqrt < d2) {
                i = i2 / 2;
                d2 = sqrt;
            }
        }
        if (this.k1 != 1 || i >= 0 || !this.Q0.contains(f, f2)) {
            return i;
        }
        return 4;
    }

    private void h(@NonNull TypedArray typedArray) {
        int dimensionPixelSize = typedArray.getDimensionPixelSize(R.styleable.ucrop_UCropView_ucrop_frame_stroke_size, getResources().getDimensionPixelSize(R.dimen.ucrop_default_crop_frame_stoke_width));
        int color = typedArray.getColor(R.styleable.ucrop_UCropView_ucrop_frame_color, getResources().getColor(R.color.ucrop_color_default_crop_frame));
        this.i1.setStrokeWidth((float) dimensionPixelSize);
        this.i1.setColor(color);
        this.i1.setStyle(Paint.Style.STROKE);
        this.j1.setStrokeWidth((float) (dimensionPixelSize * 3));
        this.j1.setColor(color);
        this.j1.setStyle(Paint.Style.STROKE);
    }

    private void i(@NonNull TypedArray typedArray) {
        int dimensionPixelSize = typedArray.getDimensionPixelSize(R.styleable.ucrop_UCropView_ucrop_grid_stroke_size, getResources().getDimensionPixelSize(R.dimen.ucrop_default_crop_grid_stoke_width));
        int color = typedArray.getColor(R.styleable.ucrop_UCropView_ucrop_grid_color, getResources().getColor(R.color.ucrop_color_default_crop_grid));
        this.h1.setStrokeWidth((float) dimensionPixelSize);
        this.h1.setColor(color);
        this.W0 = typedArray.getInt(R.styleable.ucrop_UCropView_ucrop_grid_row_count, 2);
        this.X0 = typedArray.getInt(R.styleable.ucrop_UCropView_ucrop_grid_column_count, 2);
    }

    private void n() {
        Point point = new Point((getRight() + getLeft()) / 2, (getTop() + getBottom()) / 2);
        int centerY = (int) (((float) point.y) - this.Q0.centerY());
        int centerX = (int) (((float) point.x) - this.Q0.centerX());
        RectF rectF = new RectF(this.Q0);
        Log.d("pisa", "pre" + this.Q0);
        RectF rectF2 = new RectF(this.Q0);
        rectF2.offset((float) centerX, (float) centerY);
        Log.d("pisa", "after" + rectF2);
        ValueAnimator valueAnimator = this.t1;
        if (valueAnimator != null) {
            valueAnimator.cancel();
        }
        ValueAnimator ofFloat = ValueAnimator.ofFloat(0.0f, 1.0f);
        this.t1 = ofFloat;
        ofFloat.setDuration(1000L);
        this.t1.setInterpolator(new OvershootInterpolator());
        this.t1.addUpdateListener(new a(centerX, centerY, rectF));
        this.t1.addListener(new b());
        this.t1.start();
    }

    private void o(float f, float f2) {
        this.R0.set(this.Q0);
        int i = this.n1;
        boolean z = true;
        if (i != 0) {
            if (i != 1) {
                if (i != 2) {
                    if (i != 3) {
                        if (i == 4) {
                            this.R0.offset(f - this.l1, f2 - this.m1);
                            if (this.R0.left > ((float) getLeft()) && this.R0.top > ((float) getTop()) && this.R0.right < ((float) getRight()) && this.R0.bottom < ((float) getBottom())) {
                                this.Q0.set(this.R0);
                                p();
                                postInvalidate();
                                return;
                            }
                            return;
                        }
                    } else if (j()) {
                        RectF rectF = this.R0;
                        RectF rectF2 = this.Q0;
                        rectF.set(f, rectF2.top, rectF2.right, f2);
                    }
                } else if (j()) {
                    RectF rectF3 = this.R0;
                    RectF rectF4 = this.Q0;
                    rectF3.set(rectF4.left, rectF4.top, f, f2);
                }
            } else if (j()) {
                RectF rectF5 = this.R0;
                RectF rectF6 = this.Q0;
                rectF5.set(rectF6.left, f2, f, rectF6.bottom);
            }
        } else if (j()) {
            RectF rectF7 = this.R0;
            RectF rectF8 = this.Q0;
            rectF7.set(f, f2, rectF8.right, rectF8.bottom);
        }
        boolean z2 = this.R0.height() >= ((float) this.p1);
        if (this.R0.width() < ((float) this.p1)) {
            z = false;
        }
        RectF rectF9 = this.Q0;
        rectF9.set(z ? this.R0.left : rectF9.left, z2 ? this.R0.top : rectF9.top, z ? this.R0.right : rectF9.right, z2 ? this.R0.bottom : rectF9.bottom);
        if (z2 || z) {
            p();
            postInvalidate();
        }
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    private void p() {
        this.U0 = g.b(this.Q0);
        this.V0 = g.a(this.Q0);
        this.Z0 = null;
        this.f1.reset();
        this.f1.addCircle(this.Q0.centerX(), this.Q0.centerY(), Math.min(this.Q0.width(), this.Q0.height()) / 2.0f, Path.Direction.CW);
    }

    /* access modifiers changed from: protected */
    public void d(@NonNull Canvas canvas) {
        if (this.b1) {
            if (this.Z0 == null && !this.Q0.isEmpty()) {
                this.Z0 = new float[((this.W0 * 4) + (this.X0 * 4))];
                int i = 0;
                for (int i2 = 0; i2 < this.W0; i2++) {
                    float[] fArr = this.Z0;
                    int i3 = i + 1;
                    RectF rectF = this.Q0;
                    fArr[i] = rectF.left;
                    int i4 = i3 + 1;
                    float f = ((float) i2) + 1.0f;
                    float height = rectF.height() * (f / ((float) (this.W0 + 1)));
                    RectF rectF2 = this.Q0;
                    fArr[i3] = height + rectF2.top;
                    float[] fArr2 = this.Z0;
                    int i5 = i4 + 1;
                    fArr2[i4] = rectF2.right;
                    i = i5 + 1;
                    fArr2[i5] = (rectF2.height() * (f / ((float) (this.W0 + 1)))) + this.Q0.top;
                }
                for (int i6 = 0; i6 < this.X0; i6++) {
                    float[] fArr3 = this.Z0;
                    int i7 = i + 1;
                    float f2 = ((float) i6) + 1.0f;
                    float width = this.Q0.width() * (f2 / ((float) (this.X0 + 1)));
                    RectF rectF3 = this.Q0;
                    fArr3[i] = width + rectF3.left;
                    float[] fArr4 = this.Z0;
                    int i8 = i7 + 1;
                    fArr4[i7] = rectF3.top;
                    int i9 = i8 + 1;
                    float width2 = rectF3.width() * (f2 / ((float) (this.X0 + 1)));
                    RectF rectF4 = this.Q0;
                    fArr4[i8] = width2 + rectF4.left;
                    i = i9 + 1;
                    this.Z0[i9] = rectF4.bottom;
                }
            }
            float[] fArr5 = this.Z0;
            if (fArr5 != null) {
                canvas.drawLines(fArr5, this.h1);
            }
        }
        if (this.a1) {
            canvas.drawRect(this.Q0, this.i1);
        }
        if (this.k1 != 0) {
            canvas.save();
            this.R0.set(this.Q0);
            RectF rectF5 = this.R0;
            int i10 = this.q1;
            rectF5.inset((float) i10, (float) (-i10));
            canvas.clipRect(this.R0, Region.Op.DIFFERENCE);
            this.R0.set(this.Q0);
            RectF rectF6 = this.R0;
            int i11 = this.q1;
            rectF6.inset((float) (-i11), (float) i11);
            canvas.clipRect(this.R0, Region.Op.DIFFERENCE);
            canvas.drawRect(this.Q0, this.j1);
            canvas.restore();
        }
    }

    /* access modifiers changed from: protected */
    public void e(@NonNull Canvas canvas) {
        canvas.save();
        if (this.c1) {
            canvas.clipPath(this.f1, Region.Op.DIFFERENCE);
        } else {
            canvas.clipRect(this.Q0, Region.Op.DIFFERENCE);
        }
        canvas.drawColor(this.d1);
        canvas.restore();
        if (this.c1) {
            canvas.drawCircle(this.Q0.centerX(), this.Q0.centerY(), Math.min(this.Q0.width(), this.Q0.height()) / 2.0f, this.g1);
        }
    }

    /* access modifiers changed from: protected */
    public void g() {
        if (Build.VERSION.SDK_INT < 18) {
            setLayerType(1, null);
        }
    }

    @NonNull
    public RectF getCropViewRect() {
        return this.Q0;
    }

    public int getFreestyleCropMode() {
        return this.k1;
    }

    public d getOverlayViewChangeListener() {
        return this.u1;
    }

    public boolean j() {
        return this.s1;
    }

    @Deprecated
    public boolean k() {
        return this.k1 == 1;
    }

    /* access modifiers changed from: protected */
    public void l(@NonNull TypedArray typedArray) {
        this.c1 = typedArray.getBoolean(R.styleable.ucrop_UCropView_ucrop_circle_dimmed_layer, false);
        this.d1 = typedArray.getColor(R.styleable.ucrop_UCropView_ucrop_dimmed_color, getResources().getColor(R.color.ucrop_color_default_dimmed));
        this.g1.setColor(this.e1);
        this.g1.setStyle(Paint.Style.STROKE);
        this.g1.setStrokeWidth((float) this.r1);
        h(typedArray);
        this.a1 = typedArray.getBoolean(R.styleable.ucrop_UCropView_ucrop_show_frame, true);
        i(typedArray);
        this.b1 = typedArray.getBoolean(R.styleable.ucrop_UCropView_ucrop_show_grid, true);
    }

    public void m() {
        int i = this.S0;
        float f = this.Y0;
        int i2 = (int) (((float) i) / f);
        int i3 = this.T0;
        if (i2 > i3) {
            int i4 = (int) (((float) i3) * f);
            int i5 = (i - i4) / 2;
            this.Q0.set((float) (getPaddingLeft() + i5), (float) getPaddingTop(), (float) (getPaddingLeft() + i4 + i5), (float) (getPaddingTop() + this.T0));
        } else {
            int i6 = (i3 - i2) / 2;
            this.Q0.set((float) getPaddingLeft(), (float) (getPaddingTop() + i6), (float) (getPaddingLeft() + this.S0), (float) (getPaddingTop() + i2 + i6));
        }
        d dVar = this.u1;
        if (dVar != null) {
            dVar.b(this.Q0);
        }
        p();
    }

    /* access modifiers changed from: protected */
    public void onDraw(Canvas canvas) {
        super.onDraw(canvas);
        e(canvas);
        d(canvas);
    }

    /* access modifiers changed from: protected */
    public void onLayout(boolean z, int i, int i2, int i3, int i4) {
        super.onLayout(z, i, i2, i3, i4);
        if (z) {
            int paddingLeft = getPaddingLeft();
            int paddingTop = getPaddingTop();
            this.S0 = (getWidth() - getPaddingRight()) - paddingLeft;
            this.T0 = (getHeight() - getPaddingBottom()) - paddingTop;
            if (this.v1) {
                this.v1 = false;
                setTargetAspectRatio(this.Y0);
            }
        }
    }

    public boolean onTouchEvent(MotionEvent motionEvent) {
        boolean z = false;
        if (!this.Q0.isEmpty() && this.k1 != 0) {
            float x = motionEvent.getX();
            float y = motionEvent.getY();
            if ((motionEvent.getAction() & 255) == 0) {
                ValueAnimator valueAnimator = this.t1;
                if (valueAnimator != null) {
                    valueAnimator.cancel();
                }
                int f = f(x, y);
                this.n1 = f;
                if (!(f == -1 || f == 4)) {
                    z = true;
                }
                if (!z) {
                    this.l1 = -1.0f;
                    this.m1 = -1.0f;
                } else if (this.l1 < 0.0f) {
                    this.l1 = x;
                    this.m1 = y;
                }
                return z;
            } else if ((motionEvent.getAction() & 255) == 2 && motionEvent.getPointerCount() == 1 && this.n1 != -1) {
                float min = Math.min(Math.max(x, (float) getPaddingLeft()), (float) (getWidth() - getPaddingRight()));
                float min2 = Math.min(Math.max(y, (float) getPaddingTop()), (float) (getHeight() - getPaddingBottom()));
                o(min, min2);
                this.l1 = min;
                this.m1 = min2;
                return true;
            } else if ((motionEvent.getAction() & 255) == 1) {
                this.l1 = -1.0f;
                this.m1 = -1.0f;
                this.n1 = -1;
                d dVar = this.u1;
                if (dVar != null) {
                    dVar.b(this.Q0);
                }
                n();
            }
        }
        return false;
    }

    public void setCircleDimmedLayer(boolean z) {
        this.c1 = z;
    }

    public void setCropFrameColor(@ColorInt int i) {
        this.i1.setColor(i);
    }

    public void setCropFrameStrokeWidth(@IntRange(from = 0) int i) {
        this.i1.setStrokeWidth((float) i);
    }

    public void setCropGridColor(@ColorInt int i) {
        this.h1.setColor(i);
    }

    public void setCropGridColumnCount(@IntRange(from = 0) int i) {
        this.X0 = i;
        this.Z0 = null;
    }

    public void setCropGridRowCount(@IntRange(from = 0) int i) {
        this.W0 = i;
        this.Z0 = null;
    }

    public void setCropGridStrokeWidth(@IntRange(from = 0) int i) {
        this.h1.setStrokeWidth((float) i);
    }

    public void setDimmedBorderColor(@ColorInt int i) {
        this.e1 = i;
        Paint paint = this.g1;
        if (paint != null) {
            paint.setColor(i);
        }
    }

    public void setDimmedColor(@ColorInt int i) {
        this.d1 = i;
    }

    public void setDimmedStrokeWidth(int i) {
        this.r1 = i;
        Paint paint = this.g1;
        if (paint != null) {
            paint.setStrokeWidth((float) i);
        }
    }

    public void setDragFrame(boolean z) {
        this.s1 = z;
    }

    @Deprecated
    public void setFreestyleCropEnabled(boolean z) {
        this.k1 = z ? 1 : 0;
    }

    public void setFreestyleCropMode(int i) {
        this.k1 = i;
        postInvalidate();
    }

    public void setOverlayViewChangeListener(d dVar) {
        this.u1 = dVar;
    }

    public void setShowCropFrame(boolean z) {
        this.a1 = z;
    }

    public void setShowCropGrid(boolean z) {
        this.b1 = z;
    }

    public void setTargetAspectRatio(float f) {
        this.Y0 = f;
        if (this.S0 > 0) {
            m();
            postInvalidate();
            return;
        }
        this.v1 = true;
    }

    public OverlayView(Context context, AttributeSet attributeSet) {
        this(context, attributeSet, 0);
    }

    public OverlayView(Context context, AttributeSet attributeSet, int i) {
        super(context, attributeSet, i);
        this.Q0 = new RectF();
        this.R0 = new RectF();
        this.Z0 = null;
        this.f1 = new Path();
        this.g1 = new Paint(1);
        this.h1 = new Paint(1);
        this.i1 = new Paint(1);
        this.j1 = new Paint(1);
        this.k1 = 0;
        this.l1 = -1.0f;
        this.m1 = -1.0f;
        this.n1 = -1;
        this.r1 = 1;
        this.s1 = true;
        this.o1 = getResources().getDimensionPixelSize(R.dimen.ucrop_default_crop_rect_corner_touch_threshold);
        this.p1 = getResources().getDimensionPixelSize(R.dimen.ucrop_default_crop_rect_min_size);
        this.q1 = getResources().getDimensionPixelSize(R.dimen.ucrop_default_crop_rect_corner_touch_area_line_length);
        g();
    }
}
