package com.yalantis.ucrop.view;

import android.content.Context;
import android.graphics.Bitmap;
import android.graphics.Matrix;
import android.graphics.RectF;
import android.graphics.drawable.Drawable;
import android.net.Uri;
import android.util.AttributeSet;
import android.util.Log;
import android.widget.ImageView;
import androidx.annotation.IntRange;
import androidx.annotation.NonNull;
import androidx.annotation.Nullable;
import androidx.appcompat.widget.AppCompatImageView;
import com.yalantis.ucrop.e.d;
import com.yalantis.ucrop.e.g;

public class TransformImageView extends AppCompatImageView {
    private static final int I0 = 2;
    private static final int J0 = 9;

    /* renamed from: a  reason: collision with root package name */
    private static final String f21491a = "TransformImageView";

    /* renamed from: b  reason: collision with root package name */
    private static final int f21492b = 8;
    protected final float[] K0;
    protected final float[] L0;
    private final float[] M0;
    protected Matrix N0;
    protected int O0;
    protected int P0;
    protected b Q0;
    private float[] R0;
    private float[] S0;
    protected boolean T0;
    protected boolean U0;
    private int V0;
    private String W0;
    private String X0;
    private com.yalantis.ucrop.model.b Y0;

    /* access modifiers changed from: package-private */
    public class a implements com.yalantis.ucrop.c.b {
        a() {
        }

        @Override // com.yalantis.ucrop.c.b
        public void a(@NonNull Bitmap bitmap, @NonNull com.yalantis.ucrop.model.b bVar, @NonNull String str, @Nullable String str2) {
            TransformImageView.this.W0 = str;
            TransformImageView.this.X0 = str2;
            TransformImageView.this.Y0 = bVar;
            TransformImageView transformImageView = TransformImageView.this;
            transformImageView.T0 = true;
            transformImageView.setImageBitmap(bitmap);
        }

        @Override // com.yalantis.ucrop.c.b
        public void d(@NonNull Exception exc) {
            Log.e(TransformImageView.f21491a, "onFailure: setImageUri", exc);
            b bVar = TransformImageView.this.Q0;
            if (bVar != null) {
                bVar.c(exc);
            }
        }
    }

    public interface b {
        void a(float f);

        void b();

        void c(@NonNull Exception exc);

        void d(float f);
    }

    public TransformImageView(Context context) {
        this(context, null);
    }

    private void p() {
        this.N0.mapPoints(this.K0, this.R0);
        this.N0.mapPoints(this.L0, this.S0);
    }

    public float f(@NonNull Matrix matrix) {
        return (float) (-(Math.atan2((double) h(matrix, 1), (double) h(matrix, 0)) * 57.29577951308232d));
    }

    public float g(@NonNull Matrix matrix) {
        return (float) Math.sqrt(Math.pow((double) h(matrix, 0), 2.0d) + Math.pow((double) h(matrix, 3), 2.0d));
    }

    public float getCurrentAngle() {
        return f(this.N0);
    }

    public float getCurrentScale() {
        return g(this.N0);
    }

    public com.yalantis.ucrop.model.b getExifInfo() {
        return this.Y0;
    }

    public String getImageInputPath() {
        return this.W0;
    }

    public String getImageOutputPath() {
        return this.X0;
    }

    public int getMaxBitmapSize() {
        if (this.V0 <= 0) {
            this.V0 = com.yalantis.ucrop.e.a.b(getContext());
        }
        return this.V0;
    }

    @Nullable
    public Bitmap getViewBitmap() {
        if (getDrawable() == null || !(getDrawable() instanceof d)) {
            return null;
        }
        return ((d) getDrawable()).a();
    }

    /* access modifiers changed from: protected */
    public float h(@NonNull Matrix matrix, @IntRange(from = 0, to = 9) int i) {
        matrix.getValues(this.M0);
        return this.M0[i];
    }

    /* access modifiers changed from: protected */
    public void i() {
        setScaleType(ImageView.ScaleType.MATRIX);
    }

    /* access modifiers changed from: protected */
    public void j() {
        Drawable drawable = getDrawable();
        if (drawable != null) {
            float intrinsicWidth = (float) drawable.getIntrinsicWidth();
            float intrinsicHeight = (float) drawable.getIntrinsicHeight();
            Log.d(f21491a, String.format("Image size: [%d:%d]", Integer.valueOf((int) intrinsicWidth), Integer.valueOf((int) intrinsicHeight)));
            RectF rectF = new RectF(0.0f, 0.0f, intrinsicWidth, intrinsicHeight);
            this.R0 = g.b(rectF);
            this.S0 = g.a(rectF);
            this.U0 = true;
            b bVar = this.Q0;
            if (bVar != null) {
                bVar.b();
            }
        }
    }

    public void k(float f, float f2, float f3) {
        if (f != 0.0f) {
            this.N0.postRotate(f, f2, f3);
            setImageMatrix(this.N0);
            b bVar = this.Q0;
            if (bVar != null) {
                bVar.a(f(this.N0));
            }
        }
    }

    public void l(float f, float f2, float f3) {
        if (f != 0.0f) {
            this.N0.postScale(f, f, f2, f3);
            setImageMatrix(this.N0);
            b bVar = this.Q0;
            if (bVar != null) {
                bVar.d(g(this.N0));
            }
        }
    }

    public void m(float f, float f2) {
        if (f != 0.0f || f2 != 0.0f) {
            this.N0.postTranslate(f, f2);
            setImageMatrix(this.N0);
        }
    }

    /* access modifiers changed from: protected */
    public void n(@NonNull String str, @NonNull Matrix matrix) {
        float h = h(matrix, 2);
        float h2 = h(matrix, 5);
        float g = g(matrix);
        float f = f(matrix);
        Log.d(f21491a, str + ": matrix: { x: " + h + ", y: " + h2 + ", scale: " + g + ", angle: " + f + " }");
    }

    public void o(@NonNull Uri uri, @Nullable Uri uri2) throws Exception {
        int maxBitmapSize = getMaxBitmapSize();
        com.yalantis.ucrop.e.a.d(getContext(), uri, uri2, maxBitmapSize, maxBitmapSize, new a());
    }

    /* access modifiers changed from: protected */
    public void onLayout(boolean z, int i, int i2, int i3, int i4) {
        super.onLayout(z, i, i2, i3, i4);
        if (z || (this.T0 && !this.U0)) {
            int paddingLeft = getPaddingLeft();
            int paddingTop = getPaddingTop();
            this.O0 = (getWidth() - getPaddingRight()) - paddingLeft;
            this.P0 = (getHeight() - getPaddingBottom()) - paddingTop;
            j();
        }
    }

    @Override // androidx.appcompat.widget.AppCompatImageView
    public void setImageBitmap(Bitmap bitmap) {
        setImageDrawable(new d(bitmap));
    }

    public void setImageMatrix(Matrix matrix) {
        super.setImageMatrix(matrix);
        this.N0.set(matrix);
        p();
    }

    public void setMaxBitmapSize(int i) {
        this.V0 = i;
    }

    public void setScaleType(ImageView.ScaleType scaleType) {
        if (scaleType == ImageView.ScaleType.MATRIX) {
            super.setScaleType(scaleType);
        } else {
            Log.w(f21491a, "Invalid ScaleType. Only ScaleType.MATRIX can be used");
        }
    }

    public void setTransformImageListener(b bVar) {
        this.Q0 = bVar;
    }

    public TransformImageView(Context context, AttributeSet attributeSet) {
        this(context, attributeSet, 0);
    }

    public TransformImageView(Context context, AttributeSet attributeSet, int i) {
        super(context, attributeSet, i);
        this.K0 = new float[8];
        this.L0 = new float[2];
        this.M0 = new float[9];
        this.N0 = new Matrix();
        this.T0 = false;
        this.U0 = false;
        this.V0 = 0;
        i();
    }
}
