package com.yalantis.ucrop.view.widget;

import android.annotation.TargetApi;
import android.content.Context;
import android.content.res.ColorStateList;
import android.content.res.TypedArray;
import android.graphics.Canvas;
import android.graphics.Paint;
import android.graphics.Rect;
import android.text.TextUtils;
import android.util.AttributeSet;
import androidx.annotation.ColorInt;
import androidx.annotation.NonNull;
import androidx.appcompat.widget.AppCompatTextView;
import androidx.core.content.d;
import com.luck.picture.lib.R;
import com.yalantis.ucrop.model.AspectRatio;
import java.util.Locale;

public class AspectRatioTextView extends AppCompatTextView {
    private Paint I0;
    private int J0;
    private float K0;
    private String L0;
    private float M0;
    private float N0;

    /* renamed from: a  reason: collision with root package name */
    private final float f21498a;

    /* renamed from: b  reason: collision with root package name */
    private final Rect f21499b;

    public AspectRatioTextView(Context context) {
        this(context, null);
    }

    private void j(@ColorInt int i) {
        Paint paint = this.I0;
        if (paint != null) {
            paint.setColor(i);
        }
        setTextColor(new ColorStateList(new int[][]{new int[]{16842913}, new int[]{0}}, new int[]{i, d.f(getContext(), R.color.ucrop_color_widget)}));
    }

    private void l(@NonNull TypedArray typedArray) {
        setGravity(1);
        this.L0 = typedArray.getString(R.styleable.ucrop_AspectRatioTextView_ucrop_artv_ratio_title);
        this.M0 = typedArray.getFloat(R.styleable.ucrop_AspectRatioTextView_ucrop_artv_ratio_x, 0.0f);
        float f = typedArray.getFloat(R.styleable.ucrop_AspectRatioTextView_ucrop_artv_ratio_y, 0.0f);
        this.N0 = f;
        float f2 = this.M0;
        if (f2 == 0.0f || f == 0.0f) {
            this.K0 = 0.0f;
        } else {
            this.K0 = f2 / f;
        }
        this.J0 = getContext().getResources().getDimensionPixelSize(R.dimen.ucrop_size_dot_scale_text_view);
        Paint paint = new Paint(1);
        this.I0 = paint;
        paint.setStyle(Paint.Style.FILL);
        m();
        j(getResources().getColor(R.color.ucrop_color_widget_active));
        typedArray.recycle();
    }

    private void m() {
        if (!TextUtils.isEmpty(this.L0)) {
            setText(this.L0);
            return;
        }
        setText(String.format(Locale.US, "%d:%d", Integer.valueOf((int) this.M0), Integer.valueOf((int) this.N0)));
    }

    private void n() {
        if (this.K0 != 0.0f) {
            float f = this.M0;
            float f2 = this.N0;
            this.M0 = f2;
            this.N0 = f;
            this.K0 = f2 / f;
        }
    }

    public float k(boolean z) {
        if (z) {
            n();
            m();
        }
        return this.K0;
    }

    /* access modifiers changed from: protected */
    public void onDraw(Canvas canvas) {
        super.onDraw(canvas);
        if (isSelected()) {
            canvas.getClipBounds(this.f21499b);
            Rect rect = this.f21499b;
            float f = ((float) rect.bottom) - (((float) rect.top) / 2.0f);
            int i = this.J0;
            canvas.drawCircle(((float) (rect.right - rect.left)) / 2.0f, f - (((float) i) * 1.5f), ((float) i) / 2.0f, this.I0);
        }
    }

    public void setActiveColor(@ColorInt int i) {
        j(i);
        invalidate();
    }

    public void setAspectRatio(@NonNull AspectRatio aspectRatio) {
        this.L0 = aspectRatio.a();
        this.M0 = aspectRatio.b();
        float c2 = aspectRatio.c();
        this.N0 = c2;
        float f = this.M0;
        if (f == 0.0f || c2 == 0.0f) {
            this.K0 = 0.0f;
        } else {
            this.K0 = f / c2;
        }
        m();
    }

    public AspectRatioTextView(Context context, AttributeSet attributeSet) {
        this(context, attributeSet, 0);
    }

    public AspectRatioTextView(Context context, AttributeSet attributeSet, int i) {
        super(context, attributeSet, i);
        this.f21498a = 1.5f;
        this.f21499b = new Rect();
        l(context.obtainStyledAttributes(attributeSet, R.styleable.ucrop_AspectRatioTextView));
    }

    @TargetApi(21)
    public AspectRatioTextView(Context context, AttributeSet attributeSet, int i, int i2) {
        super(context, attributeSet, i);
        this.f21498a = 1.5f;
        this.f21499b = new Rect();
        l(context.obtainStyledAttributes(attributeSet, R.styleable.ucrop_AspectRatioTextView));
    }
}
