package com.yalantis.ucrop.view.widget;

import android.annotation.TargetApi;
import android.content.Context;
import android.graphics.Canvas;
import android.graphics.Paint;
import android.graphics.Rect;
import android.util.AttributeSet;
import android.view.MotionEvent;
import android.view.View;
import androidx.annotation.ColorInt;
import androidx.core.content.d;
import com.luck.picture.lib.R;

public class HorizontalProgressWheelView extends View {
    private float I0;
    private Paint J0;
    private Paint K0;
    private int L0;
    private int M0;
    private int N0;
    private boolean O0;
    private float P0;
    private int Q0;

    /* renamed from: a  reason: collision with root package name */
    private final Rect f21500a;

    /* renamed from: b  reason: collision with root package name */
    private a f21501b;

    public interface a {
        void a();

        void b(float f, float f2);

        void c();
    }

    public HorizontalProgressWheelView(Context context) {
        this(context, null);
    }

    private void a() {
        this.Q0 = d.f(getContext(), R.color.ucrop_color_widget_rotate_mid_line);
        this.L0 = getContext().getResources().getDimensionPixelSize(R.dimen.ucrop_width_horizontal_wheel_progress_line);
        this.M0 = getContext().getResources().getDimensionPixelSize(R.dimen.ucrop_height_horizontal_wheel_progress_line);
        this.N0 = getContext().getResources().getDimensionPixelSize(R.dimen.ucrop_margin_horizontal_wheel_progress_line);
        Paint paint = new Paint(1);
        this.J0 = paint;
        paint.setStyle(Paint.Style.STROKE);
        this.J0.setStrokeWidth((float) this.L0);
        this.J0.setColor(getResources().getColor(R.color.ucrop_color_progress_wheel_line));
        Paint paint2 = new Paint(this.J0);
        this.K0 = paint2;
        paint2.setColor(this.Q0);
        this.K0.setStrokeCap(Paint.Cap.ROUND);
        this.K0.setStrokeWidth((float) getContext().getResources().getDimensionPixelSize(R.dimen.ucrop_width_middle_wheel_progress_line));
    }

    private void b(MotionEvent motionEvent, float f) {
        this.P0 -= f;
        postInvalidate();
        this.I0 = motionEvent.getX();
        a aVar = this.f21501b;
        if (aVar != null) {
            aVar.b(-f, this.P0);
        }
    }

    /* access modifiers changed from: protected */
    public void onDraw(Canvas canvas) {
        super.onDraw(canvas);
        canvas.getClipBounds(this.f21500a);
        int width = this.f21500a.width();
        int i = this.L0;
        int i2 = this.N0;
        int i3 = width / (i + i2);
        float f = this.P0 % ((float) (i2 + i));
        for (int i4 = 0; i4 < i3; i4++) {
            int i5 = i3 / 4;
            if (i4 < i5) {
                this.J0.setAlpha((int) ((((float) i4) / ((float) i5)) * 255.0f));
            } else if (i4 > (i3 * 3) / 4) {
                this.J0.setAlpha((int) ((((float) (i3 - i4)) / ((float) i5)) * 255.0f));
            } else {
                this.J0.setAlpha(255);
            }
            float f2 = -f;
            Rect rect = this.f21500a;
            float f3 = ((float) rect.left) + f2 + ((float) ((this.L0 + this.N0) * i4));
            float centerY = ((float) rect.centerY()) - (((float) this.M0) / 4.0f);
            Rect rect2 = this.f21500a;
            canvas.drawLine(f3, centerY, f2 + ((float) rect2.left) + ((float) ((this.L0 + this.N0) * i4)), ((float) rect2.centerY()) + (((float) this.M0) / 4.0f), this.J0);
        }
        canvas.drawLine((float) this.f21500a.centerX(), ((float) this.f21500a.centerY()) - (((float) this.M0) / 2.0f), (float) this.f21500a.centerX(), (((float) this.M0) / 2.0f) + ((float) this.f21500a.centerY()), this.K0);
    }

    public boolean onTouchEvent(MotionEvent motionEvent) {
        int action = motionEvent.getAction();
        if (action == 0) {
            this.I0 = motionEvent.getX();
        } else if (action == 1) {
            a aVar = this.f21501b;
            if (aVar != null) {
                this.O0 = false;
                aVar.a();
            }
        } else if (action == 2) {
            float x = motionEvent.getX() - this.I0;
            if (x != 0.0f) {
                if (!this.O0) {
                    this.O0 = true;
                    a aVar2 = this.f21501b;
                    if (aVar2 != null) {
                        aVar2.c();
                    }
                }
                b(motionEvent, x);
            }
        }
        return true;
    }

    public void setMiddleLineColor(@ColorInt int i) {
        this.Q0 = i;
        invalidate();
    }

    public void setScrollingListener(a aVar) {
        this.f21501b = aVar;
    }

    public HorizontalProgressWheelView(Context context, AttributeSet attributeSet) {
        this(context, attributeSet, 0);
    }

    public HorizontalProgressWheelView(Context context, AttributeSet attributeSet, int i) {
        super(context, attributeSet, i);
        this.f21500a = new Rect();
        a();
    }

    @TargetApi(21)
    public HorizontalProgressWheelView(Context context, AttributeSet attributeSet, int i, int i2) {
        super(context, attributeSet, i, i2);
        this.f21500a = new Rect();
    }
}
