package fr.castorflex.android.verticalviewpager;

import android.content.Context;
import android.content.res.Resources;
import android.content.res.TypedArray;
import android.database.DataSetObserver;
import android.graphics.Canvas;
import android.graphics.Rect;
import android.graphics.drawable.Drawable;
import android.os.Build;
import android.os.Bundle;
import android.os.Parcel;
import android.os.Parcelable;
import android.os.SystemClock;
import android.util.AttributeSet;
import android.util.Log;
import android.view.FocusFinder;
import android.view.KeyEvent;
import android.view.MotionEvent;
import android.view.SoundEffectConstants;
import android.view.VelocityTracker;
import android.view.View;
import android.view.ViewConfiguration;
import android.view.ViewGroup;
import android.view.ViewParent;
import android.view.accessibility.AccessibilityEvent;
import android.view.animation.Interpolator;
import android.widget.Scroller;
import androidx.core.os.n;
import androidx.core.os.o;
import androidx.core.view.AccessibilityDelegateCompat;
import androidx.core.view.KeyEventCompat;
import androidx.core.view.MotionEventCompat;
import androidx.core.view.VelocityTrackerCompat;
import androidx.core.view.ViewCompat;
import androidx.core.view.ViewConfigurationCompat;
import androidx.core.view.accessibility.AccessibilityNodeInfoCompat;
import androidx.core.view.accessibility.AccessibilityRecordCompat;
import androidx.viewpager.widget.ViewPager;
import java.lang.reflect.Method;
import java.util.ArrayList;
import java.util.Collections;
import java.util.Comparator;

public class VerticalViewPager extends ViewGroup {
    private static final boolean I0 = false;
    private static final int J0 = 1;
    private static final int K0 = 600;
    private static final int L0 = 25;
    private static final int M0 = 16;
    private static final int N0 = 400;
    private static final int[] O0 = {16842931};
    private static final Comparator<e> P0 = new a();
    private static final Interpolator Q0 = new b();
    private static final int R0 = -1;
    private static final int S0 = 2;
    private static final int T0 = 0;
    private static final int U0 = 1;
    private static final int V0 = 2;
    private static final i W0 = new i();
    public static final int X0 = 0;
    public static final int Y0 = 1;
    public static final int Z0 = 2;

    /* renamed from: a  reason: collision with root package name */
    private static final String f21572a = "ViewPager";

    /* renamed from: b  reason: collision with root package name */
    private static final boolean f21573b = false;
    private int A1;
    private int B1;
    private int C1;
    private float D1;
    private float E1;
    private float F1;
    private float G1;
    private int H1 = -1;
    private VelocityTracker I1;
    private int J1;
    private int K1;
    private int L1;
    private int M1;
    private boolean N1;
    private long O1;
    private androidx.core.widget.i P1;
    private androidx.core.widget.i Q1;
    private boolean R1 = true;
    private boolean S1 = false;
    private boolean T1;
    private int U1;
    private ViewPager.h V1;
    private ViewPager.h W1;
    private g X1;
    private ViewPager.i Y1;
    private Method Z1;
    private int a1;
    private int a2;
    private final ArrayList<e> b1 = new ArrayList<>();
    private ArrayList<View> b2;
    private final e c1 = new e();
    private final Runnable c2 = new c();
    private final Rect d1 = new Rect();
    private int d2 = 0;
    private androidx.viewpager.widget.a e1;
    private int f1;
    private int g1 = -1;
    private Parcelable h1 = null;
    private ClassLoader i1 = null;
    private Scroller j1;
    private h k1;
    private int l1;
    private Drawable m1;
    private int n1;
    private int o1;
    private float p1 = -3.4028235E38f;
    private float q1 = Float.MAX_VALUE;
    private int r1;
    private int s1;
    private boolean t1;
    private boolean u1;
    private boolean v1;
    private int w1 = 1;
    private boolean x1;
    private boolean y1;
    private boolean z1;

    public static class SavedState extends View.BaseSavedState {
        public static final Parcelable.Creator<SavedState> CREATOR = n.a(new a());
        ClassLoader I0;

        /* renamed from: a  reason: collision with root package name */
        int f21579a;

        /* renamed from: b  reason: collision with root package name */
        Parcelable f21580b;

        static class a implements o<SavedState> {
            a() {
            }

            /* renamed from: a */
            public SavedState createFromParcel(Parcel parcel, ClassLoader classLoader) {
                return new SavedState(parcel, classLoader);
            }

            /* renamed from: b */
            public SavedState[] newArray(int i) {
                return new SavedState[i];
            }
        }

        public SavedState(Parcelable parcelable) {
            super(parcelable);
        }

        public String toString() {
            return "FragmentPager.SavedState{" + Integer.toHexString(System.identityHashCode(this)) + " position=" + this.f21579a + com.alipay.sdk.util.g.f6033d;
        }

        public void writeToParcel(Parcel parcel, int i) {
            super.writeToParcel(parcel, i);
            parcel.writeInt(this.f21579a);
            parcel.writeParcelable(this.f21580b, i);
        }

        SavedState(Parcel parcel, ClassLoader classLoader) {
            super(parcel);
            classLoader = classLoader == null ? getClass().getClassLoader() : classLoader;
            this.f21579a = parcel.readInt();
            this.f21580b = parcel.readParcelable(classLoader);
            this.I0 = classLoader;
        }
    }

    static class a implements Comparator<e> {
        a() {
        }

        /* renamed from: a */
        public int compare(e eVar, e eVar2) {
            return eVar.f21583b - eVar2.f21583b;
        }
    }

    static class b implements Interpolator {
        b() {
        }

        public float getInterpolation(float f) {
            float f2 = f - 1.0f;
            return (f2 * f2 * f2 * f2 * f2) + 1.0f;
        }
    }

    class c implements Runnable {
        c() {
        }

        public void run() {
            VerticalViewPager.this.setScrollState(0);
            VerticalViewPager.this.H();
        }
    }

    interface d {
    }

    /* access modifiers changed from: package-private */
    public static class e {

        /* renamed from: a  reason: collision with root package name */
        Object f21582a;

        /* renamed from: b  reason: collision with root package name */
        int f21583b;

        /* renamed from: c  reason: collision with root package name */
        boolean f21584c;

        /* renamed from: d  reason: collision with root package name */
        float f21585d;

        /* renamed from: e  reason: collision with root package name */
        float f21586e;

        e() {
        }
    }

    /* access modifiers changed from: package-private */
    public class f extends AccessibilityDelegateCompat {
        f() {
        }

        private boolean a() {
            return VerticalViewPager.this.e1 != null && VerticalViewPager.this.e1.e() > 1;
        }

        @Override // androidx.core.view.AccessibilityDelegateCompat
        public void onInitializeAccessibilityEvent(View view, AccessibilityEvent accessibilityEvent) {
            super.onInitializeAccessibilityEvent(view, accessibilityEvent);
            accessibilityEvent.setClassName(ViewPager.class.getName());
            AccessibilityRecordCompat obtain = AccessibilityRecordCompat.obtain();
            obtain.setScrollable(a());
            if (accessibilityEvent.getEventType() == 4096 && VerticalViewPager.this.e1 != null) {
                obtain.setItemCount(VerticalViewPager.this.e1.e());
                obtain.setFromIndex(VerticalViewPager.this.f1);
                obtain.setToIndex(VerticalViewPager.this.f1);
            }
        }

        @Override // androidx.core.view.AccessibilityDelegateCompat
        public void onInitializeAccessibilityNodeInfo(View view, AccessibilityNodeInfoCompat accessibilityNodeInfoCompat) {
            super.onInitializeAccessibilityNodeInfo(view, accessibilityNodeInfoCompat);
            accessibilityNodeInfoCompat.setClassName(ViewPager.class.getName());
            accessibilityNodeInfoCompat.setScrollable(a());
            if (VerticalViewPager.this.y(1)) {
                accessibilityNodeInfoCompat.addAction(4096);
            }
            if (VerticalViewPager.this.y(-1)) {
                accessibilityNodeInfoCompat.addAction(8192);
            }
        }

        @Override // androidx.core.view.AccessibilityDelegateCompat
        public boolean performAccessibilityAction(View view, int i, Bundle bundle) {
            if (super.performAccessibilityAction(view, i, bundle)) {
                return true;
            }
            if (i != 4096) {
                if (i != 8192 || !VerticalViewPager.this.y(-1)) {
                    return false;
                }
                VerticalViewPager verticalViewPager = VerticalViewPager.this;
                verticalViewPager.setCurrentItem(verticalViewPager.f1 - 1);
                return true;
            } else if (!VerticalViewPager.this.y(1)) {
                return false;
            } else {
                VerticalViewPager verticalViewPager2 = VerticalViewPager.this;
                verticalViewPager2.setCurrentItem(verticalViewPager2.f1 + 1);
                return true;
            }
        }
    }

    interface g {
        void a(androidx.viewpager.widget.a aVar, androidx.viewpager.widget.a aVar2);
    }

    private class h extends DataSetObserver {
        private h() {
        }

        public void onChanged() {
            VerticalViewPager.this.k();
        }

        public void onInvalidated() {
            VerticalViewPager.this.k();
        }

        /* synthetic */ h(VerticalViewPager verticalViewPager, a aVar) {
            this();
        }
    }

    /* access modifiers changed from: package-private */
    public static class i implements Comparator<View> {
        i() {
        }

        /* renamed from: a */
        public int compare(View view, View view2) {
            LayoutParams layoutParams = (LayoutParams) view.getLayoutParams();
            LayoutParams layoutParams2 = (LayoutParams) view2.getLayoutParams();
            boolean z = layoutParams.f21574a;
            if (z != layoutParams2.f21574a) {
                return z ? 1 : -1;
            }
            return layoutParams.f21578e - layoutParams2.f21578e;
        }
    }

    public VerticalViewPager(Context context) {
        super(context);
        x();
    }

    private boolean A(float f2, float f3) {
        return (f2 < ((float) this.B1) && f3 > 0.0f) || (f2 > ((float) (getHeight() - this.B1)) && f3 < 0.0f);
    }

    private void C(MotionEvent motionEvent) {
        int actionIndex = MotionEventCompat.getActionIndex(motionEvent);
        if (MotionEventCompat.getPointerId(motionEvent, actionIndex) == this.H1) {
            int i2 = actionIndex == 0 ? 1 : 0;
            this.E1 = MotionEventCompat.getY(motionEvent, i2);
            this.H1 = MotionEventCompat.getPointerId(motionEvent, i2);
            VelocityTracker velocityTracker = this.I1;
            if (velocityTracker != null) {
                velocityTracker.clear();
            }
        }
    }

    private boolean E(int i2) {
        if (this.b1.size() == 0) {
            this.T1 = false;
            B(0, 0.0f, 0);
            if (this.T1) {
                return false;
            }
            throw new IllegalStateException("onPageScrolled did not call superclass implementation");
        }
        e v = v();
        int clientHeight = getClientHeight();
        int i3 = this.l1;
        int i4 = clientHeight + i3;
        float f2 = (float) clientHeight;
        int i5 = v.f21583b;
        float f3 = ((((float) i2) / f2) - v.f21586e) / (v.f21585d + (((float) i3) / f2));
        this.T1 = false;
        B(i5, f3, (int) (((float) i4) * f3));
        if (this.T1) {
            return true;
        }
        throw new IllegalStateException("onPageScrolled did not call superclass implementation");
    }

    private boolean G(float f2) {
        boolean z;
        float f3 = this.E1 - f2;
        this.E1 = f2;
        float scrollY = ((float) getScrollY()) + f3;
        float clientHeight = (float) getClientHeight();
        float f4 = this.p1 * clientHeight;
        float f5 = this.q1 * clientHeight;
        boolean z2 = false;
        e eVar = this.b1.get(0);
        ArrayList<e> arrayList = this.b1;
        boolean z3 = true;
        e eVar2 = arrayList.get(arrayList.size() - 1);
        if (eVar.f21583b != 0) {
            f4 = eVar.f21586e * clientHeight;
            z = false;
        } else {
            z = true;
        }
        if (eVar2.f21583b != this.e1.e() - 1) {
            f5 = eVar2.f21586e * clientHeight;
            z3 = false;
        }
        if (scrollY < f4) {
            if (z) {
                z2 = this.P1.f(Math.abs(f4 - scrollY) / clientHeight);
            }
            scrollY = f4;
        } else if (scrollY > f5) {
            if (z3) {
                z2 = this.Q1.f(Math.abs(scrollY - f5) / clientHeight);
            }
            scrollY = f5;
        }
        int i2 = (int) scrollY;
        this.D1 += scrollY - ((float) i2);
        scrollTo(getScrollX(), i2);
        E(i2);
        return z2;
    }

    private void J(int i2, int i3, int i4, int i5) {
        if (i3 <= 0 || this.b1.isEmpty()) {
            e w = w(this.f1);
            int min = (int) ((w != null ? Math.min(w.f21586e, this.q1) : 0.0f) * ((float) ((i2 - getPaddingTop()) - getPaddingBottom())));
            if (min != getScrollY()) {
                j(false);
                scrollTo(getScrollX(), min);
                return;
            }
            return;
        }
        int scrollY = (int) ((((float) getScrollY()) / ((float) (((i3 - getPaddingTop()) - getPaddingBottom()) + i5))) * ((float) (((i2 - getPaddingTop()) - getPaddingBottom()) + i4)));
        scrollTo(getScrollX(), scrollY);
        if (!this.j1.isFinished()) {
            this.j1.startScroll(0, scrollY, 0, (int) (w(this.f1).f21586e * ((float) i2)), this.j1.getDuration() - this.j1.timePassed());
        }
    }

    private void K() {
        int i2 = 0;
        while (i2 < getChildCount()) {
            if (!((LayoutParams) getChildAt(i2).getLayoutParams()).f21574a) {
                removeViewAt(i2);
                i2--;
            }
            i2++;
        }
    }

    private void L(boolean z) {
        ViewParent parent = getParent();
        if (parent != null) {
            parent.requestDisallowInterceptTouchEvent(z);
        }
    }

    private void M(int i2, boolean z, int i3, boolean z2) {
        ViewPager.h hVar;
        ViewPager.h hVar2;
        ViewPager.h hVar3;
        ViewPager.h hVar4;
        e w = w(i2);
        int clientHeight = w != null ? (int) (((float) getClientHeight()) * Math.max(this.p1, Math.min(w.f21586e, this.q1))) : 0;
        if (z) {
            T(0, clientHeight, i3);
            if (z2 && (hVar4 = this.V1) != null) {
                hVar4.onPageSelected(i2);
            }
            if (z2 && (hVar3 = this.W1) != null) {
                hVar3.onPageSelected(i2);
                return;
            }
            return;
        }
        if (z2 && (hVar2 = this.V1) != null) {
            hVar2.onPageSelected(i2);
        }
        if (z2 && (hVar = this.W1) != null) {
            hVar.onPageSelected(i2);
        }
        j(false);
        scrollTo(0, clientHeight);
        E(clientHeight);
    }

    private void U() {
        if (this.a2 != 0) {
            ArrayList<View> arrayList = this.b2;
            if (arrayList == null) {
                this.b2 = new ArrayList<>();
            } else {
                arrayList.clear();
            }
            int childCount = getChildCount();
            for (int i2 = 0; i2 < childCount; i2++) {
                this.b2.add(getChildAt(i2));
            }
            Collections.sort(this.b2, W0);
        }
    }

    private int getClientHeight() {
        return (getMeasuredHeight() - getPaddingTop()) - getPaddingBottom();
    }

    private void h(e eVar, int i2, e eVar2) {
        int i3;
        int i4;
        e eVar3;
        e eVar4;
        int e2 = this.e1.e();
        int clientHeight = getClientHeight();
        float f2 = clientHeight > 0 ? ((float) this.l1) / ((float) clientHeight) : 0.0f;
        if (eVar2 != null) {
            int i5 = eVar2.f21583b;
            int i6 = eVar.f21583b;
            if (i5 < i6) {
                float f3 = eVar2.f21586e + eVar2.f21585d + f2;
                int i7 = i5 + 1;
                int i8 = 0;
                while (i7 <= eVar.f21583b && i8 < this.b1.size()) {
                    e eVar5 = this.b1.get(i8);
                    while (true) {
                        eVar4 = eVar5;
                        if (i7 > eVar4.f21583b && i8 < this.b1.size() - 1) {
                            i8++;
                            eVar5 = this.b1.get(i8);
                        }
                    }
                    while (i7 < eVar4.f21583b) {
                        f3 += this.e1.h(i7) + f2;
                        i7++;
                    }
                    eVar4.f21586e = f3;
                    f3 += eVar4.f21585d + f2;
                    i7++;
                }
            } else if (i5 > i6) {
                int size = this.b1.size() - 1;
                float f4 = eVar2.f21586e;
                while (true) {
                    i5--;
                    if (i5 < eVar.f21583b || size < 0) {
                        break;
                    }
                    e eVar6 = this.b1.get(size);
                    while (true) {
                        eVar3 = eVar6;
                        if (i5 < eVar3.f21583b && size > 0) {
                            size--;
                            eVar6 = this.b1.get(size);
                        }
                    }
                    while (i5 > eVar3.f21583b) {
                        f4 -= this.e1.h(i5) + f2;
                        i5--;
                    }
                    f4 -= eVar3.f21585d + f2;
                    eVar3.f21586e = f4;
                }
            }
        }
        int size2 = this.b1.size();
        float f5 = eVar.f21586e;
        int i9 = eVar.f21583b;
        int i10 = i9 - 1;
        this.p1 = i9 == 0 ? f5 : -3.4028235E38f;
        int i11 = e2 - 1;
        this.q1 = i9 == i11 ? (eVar.f21585d + f5) - 1.0f : Float.MAX_VALUE;
        int i12 = i2 - 1;
        while (i12 >= 0) {
            e eVar7 = this.b1.get(i12);
            while (true) {
                i4 = eVar7.f21583b;
                if (i10 <= i4) {
                    break;
                }
                f5 -= this.e1.h(i10) + f2;
                i10--;
            }
            f5 -= eVar7.f21585d + f2;
            eVar7.f21586e = f5;
            if (i4 == 0) {
                this.p1 = f5;
            }
            i12--;
            i10--;
        }
        float f6 = eVar.f21586e + eVar.f21585d + f2;
        int i13 = eVar.f21583b + 1;
        int i14 = i2 + 1;
        while (i14 < size2) {
            e eVar8 = this.b1.get(i14);
            while (true) {
                i3 = eVar8.f21583b;
                if (i13 >= i3) {
                    break;
                }
                f6 += this.e1.h(i13) + f2;
                i13++;
            }
            if (i3 == i11) {
                this.q1 = (eVar8.f21585d + f6) - 1.0f;
            }
            eVar8.f21586e = f6;
            f6 += eVar8.f21585d + f2;
            i14++;
            i13++;
        }
        this.S1 = false;
    }

    private void j(boolean z) {
        boolean z2 = this.d2 == 2;
        if (z2) {
            setScrollingCacheEnabled(false);
            this.j1.abortAnimation();
            int scrollX = getScrollX();
            int scrollY = getScrollY();
            int currX = this.j1.getCurrX();
            int currY = this.j1.getCurrY();
            if (!(scrollX == currX && scrollY == currY)) {
                scrollTo(currX, currY);
            }
        }
        this.v1 = false;
        for (int i2 = 0; i2 < this.b1.size(); i2++) {
            e eVar = this.b1.get(i2);
            if (eVar.f21584c) {
                eVar.f21584c = false;
                z2 = true;
            }
        }
        if (!z2) {
            return;
        }
        if (z) {
            ViewCompat.postOnAnimation(this, this.c2);
        } else {
            this.c2.run();
        }
    }

    private int l(int i2, float f2, int i3, int i4) {
        if (Math.abs(i4) <= this.L1 || Math.abs(i3) <= this.J1) {
            i2 = (int) (((float) i2) + f2 + (i2 >= this.f1 ? 0.4f : 0.6f));
        } else if (i3 <= 0) {
            i2++;
        }
        if (this.b1.size() <= 0) {
            return i2;
        }
        ArrayList<e> arrayList = this.b1;
        return Math.max(this.b1.get(0).f21583b, Math.min(i2, arrayList.get(arrayList.size() - 1).f21583b));
    }

    private void n(boolean z) {
        int childCount = getChildCount();
        for (int i2 = 0; i2 < childCount; i2++) {
            ViewCompat.setLayerType(getChildAt(i2), z ? 2 : 0, null);
        }
    }

    private void o() {
        this.x1 = false;
        this.y1 = false;
        VelocityTracker velocityTracker = this.I1;
        if (velocityTracker != null) {
            velocityTracker.recycle();
            this.I1 = null;
        }
    }

    private Rect s(Rect rect, View view) {
        if (rect == null) {
            rect = new Rect();
        }
        if (view == null) {
            rect.set(0, 0, 0, 0);
            return rect;
        }
        rect.left = view.getLeft();
        rect.right = view.getRight();
        rect.top = view.getTop();
        rect.bottom = view.getBottom();
        ViewParent parent = view.getParent();
        while ((parent instanceof ViewGroup) && parent != this) {
            ViewGroup viewGroup = (ViewGroup) parent;
            rect.left += viewGroup.getLeft();
            rect.right += viewGroup.getRight();
            rect.top += viewGroup.getTop();
            rect.bottom += viewGroup.getBottom();
            parent = viewGroup.getParent();
        }
        return rect;
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    private void setScrollState(int i2) {
        if (this.d2 != i2) {
            this.d2 = i2;
            if (this.Y1 != null) {
                n(i2 != 0);
            }
            ViewPager.h hVar = this.V1;
            if (hVar != null) {
                hVar.onPageScrollStateChanged(i2);
            }
        }
    }

    private void setScrollingCacheEnabled(boolean z) {
        if (this.u1 != z) {
            this.u1 = z;
        }
    }

    private e v() {
        int i2;
        int clientHeight = getClientHeight();
        float f2 = 0.0f;
        float scrollY = clientHeight > 0 ? ((float) getScrollY()) / ((float) clientHeight) : 0.0f;
        float f3 = clientHeight > 0 ? ((float) this.l1) / ((float) clientHeight) : 0.0f;
        e eVar = null;
        float f4 = 0.0f;
        int i3 = -1;
        int i4 = 0;
        boolean z = true;
        while (i4 < this.b1.size()) {
            e eVar2 = this.b1.get(i4);
            if (!z && eVar2.f21583b != (i2 = i3 + 1)) {
                eVar2 = this.c1;
                eVar2.f21586e = f2 + f4 + f3;
                eVar2.f21583b = i2;
                eVar2.f21585d = this.e1.h(i2);
                i4--;
            }
            f2 = eVar2.f21586e;
            float f5 = eVar2.f21585d + f2 + f3;
            if (!z && scrollY < f2) {
                return eVar;
            }
            if (scrollY < f5 || i4 == this.b1.size() - 1) {
                return eVar2;
            }
            i3 = eVar2.f21583b;
            f4 = eVar2.f21585d;
            i4++;
            eVar = eVar2;
            z = false;
        }
        return eVar;
    }

    /* access modifiers changed from: protected */
    /* JADX WARNING: Removed duplicated region for block: B:19:0x0067  */
    public void B(int i2, float f2, int i3) {
        int i4;
        int top2;
        int i5;
        if (this.U1 > 0) {
            int scrollY = getScrollY();
            int paddingTop = getPaddingTop();
            int paddingBottom = getPaddingBottom();
            int height = getHeight();
            int childCount = getChildCount();
            for (int i6 = 0; i6 < childCount; i6++) {
                View childAt = getChildAt(i6);
                LayoutParams layoutParams = (LayoutParams) childAt.getLayoutParams();
                if (layoutParams.f21574a) {
                    int i7 = layoutParams.f21575b & 112;
                    if (i7 != 16) {
                        if (i7 == 48) {
                            i4 = childAt.getHeight() + paddingTop;
                        } else if (i7 != 80) {
                            i4 = paddingTop;
                        } else {
                            i5 = (height - paddingBottom) - childAt.getMeasuredHeight();
                            paddingBottom += childAt.getMeasuredHeight();
                        }
                        top2 = (paddingTop + scrollY) - childAt.getTop();
                        if (top2 != 0) {
                            childAt.offsetTopAndBottom(top2);
                        }
                        paddingTop = i4;
                    } else {
                        i5 = Math.max((height - childAt.getMeasuredHeight()) / 2, paddingTop);
                    }
                    i4 = paddingTop;
                    paddingTop = i5;
                    top2 = (paddingTop + scrollY) - childAt.getTop();
                    if (top2 != 0) {
                    }
                    paddingTop = i4;
                }
            }
        }
        ViewPager.h hVar = this.V1;
        if (hVar != null) {
            hVar.onPageScrolled(i2, f2, i3);
        }
        ViewPager.h hVar2 = this.W1;
        if (hVar2 != null) {
            hVar2.onPageScrolled(i2, f2, i3);
        }
        if (this.Y1 != null) {
            int scrollY2 = getScrollY();
            int childCount2 = getChildCount();
            for (int i8 = 0; i8 < childCount2; i8++) {
                View childAt2 = getChildAt(i8);
                if (!((LayoutParams) childAt2.getLayoutParams()).f21574a) {
                    this.Y1.transformPage(childAt2, ((float) (childAt2.getTop() - scrollY2)) / ((float) getClientHeight()));
                }
            }
        }
        this.T1 = true;
    }

    /* access modifiers changed from: package-private */
    public boolean D() {
        androidx.viewpager.widget.a aVar = this.e1;
        if (aVar == null || this.f1 >= aVar.e() - 1) {
            return false;
        }
        N(this.f1 + 1, true);
        return true;
    }

    /* access modifiers changed from: package-private */
    public boolean F() {
        int i2 = this.f1;
        if (i2 <= 0) {
            return false;
        }
        N(i2 - 1, true);
        return true;
    }

    /* access modifiers changed from: package-private */
    public void H() {
        I(this.f1);
    }

    /* access modifiers changed from: package-private */
    /* JADX WARNING: Code restructure failed: missing block: B:25:0x0068, code lost:
        if (r10 == r11) goto L_0x006f;
     */
    public void I(int i2) {
        int i3;
        e eVar;
        String str;
        e eVar2;
        e u;
        float f2;
        float f3;
        e eVar3;
        int i4 = this.f1;
        if (i4 != i2) {
            i3 = i4 < i2 ? 130 : 33;
            eVar = w(i4);
            this.f1 = i2;
        } else {
            i3 = 2;
            eVar = null;
        }
        if (this.e1 == null) {
            U();
        } else if (this.v1) {
            U();
        } else if (getWindowToken() != null) {
            this.e1.t(this);
            int i5 = this.w1;
            int max = Math.max(0, this.f1 - i5);
            int e2 = this.e1.e();
            int min = Math.min(e2 - 1, this.f1 + i5);
            if (e2 == this.a1) {
                int i6 = 0;
                while (true) {
                    if (i6 >= this.b1.size()) {
                        break;
                    }
                    eVar2 = this.b1.get(i6);
                    int i7 = eVar2.f21583b;
                    int i8 = this.f1;
                    if (i7 < i8) {
                        i6++;
                    }
                }
                eVar2 = null;
                if (eVar2 == null && e2 > 0) {
                    eVar2 = e(this.f1, i6);
                }
                if (eVar2 != null) {
                    int i9 = i6 - 1;
                    e eVar4 = i9 >= 0 ? this.b1.get(i9) : null;
                    int clientHeight = getClientHeight();
                    if (clientHeight <= 0) {
                        f2 = 0.0f;
                    } else {
                        f2 = (2.0f - eVar2.f21585d) + (((float) getPaddingLeft()) / ((float) clientHeight));
                    }
                    float f4 = 0.0f;
                    for (int i10 = this.f1 - 1; i10 >= 0; i10--) {
                        if (f4 < f2 || i10 >= max) {
                            if (eVar4 == null || i10 != eVar4.f21583b) {
                                f4 += e(i10, i9 + 1).f21585d;
                                i6++;
                                if (i9 >= 0) {
                                    eVar3 = this.b1.get(i9);
                                    eVar4 = eVar3;
                                }
                            } else {
                                f4 += eVar4.f21585d;
                                i9--;
                                if (i9 >= 0) {
                                    eVar3 = this.b1.get(i9);
                                    eVar4 = eVar3;
                                }
                            }
                        } else if (eVar4 == null) {
                            break;
                        } else {
                            if (i10 == eVar4.f21583b && !eVar4.f21584c) {
                                this.b1.remove(i9);
                                this.e1.b(this, i10, eVar4.f21582a);
                                i9--;
                                i6--;
                                if (i9 >= 0) {
                                    eVar3 = this.b1.get(i9);
                                    eVar4 = eVar3;
                                }
                            }
                        }
                        eVar3 = null;
                        eVar4 = eVar3;
                    }
                    float f5 = eVar2.f21585d;
                    int i11 = i6 + 1;
                    if (f5 < 2.0f) {
                        e eVar5 = i11 < this.b1.size() ? this.b1.get(i11) : null;
                        if (clientHeight <= 0) {
                            f3 = 0.0f;
                        } else {
                            f3 = (((float) getPaddingRight()) / ((float) clientHeight)) + 2.0f;
                        }
                        int i12 = this.f1;
                        while (true) {
                            i12++;
                            if (i12 >= e2) {
                                break;
                            }
                            if (f5 < f3 || i12 <= min) {
                                if (eVar5 == null || i12 != eVar5.f21583b) {
                                    e e3 = e(i12, i11);
                                    i11++;
                                    f5 += e3.f21585d;
                                    if (i11 < this.b1.size()) {
                                        eVar5 = this.b1.get(i11);
                                    }
                                } else {
                                    f5 += eVar5.f21585d;
                                    i11++;
                                    if (i11 < this.b1.size()) {
                                        eVar5 = this.b1.get(i11);
                                    }
                                }
                            } else if (eVar5 == null) {
                                break;
                            } else if (i12 == eVar5.f21583b && !eVar5.f21584c) {
                                this.b1.remove(i11);
                                this.e1.b(this, i12, eVar5.f21582a);
                                if (i11 < this.b1.size()) {
                                    eVar5 = this.b1.get(i11);
                                }
                            }
                            eVar5 = null;
                        }
                    }
                    h(eVar2, i6, eVar);
                }
                this.e1.q(this, this.f1, eVar2 != null ? eVar2.f21582a : null);
                this.e1.d(this);
                int childCount = getChildCount();
                for (int i13 = 0; i13 < childCount; i13++) {
                    View childAt = getChildAt(i13);
                    LayoutParams layoutParams = (LayoutParams) childAt.getLayoutParams();
                    layoutParams.f = i13;
                    if (!layoutParams.f21574a) {
                        if (layoutParams.f21576c == 0.0f && (u = u(childAt)) != null) {
                            layoutParams.f21576c = u.f21585d;
                            layoutParams.f21578e = u.f21583b;
                        }
                    }
                }
                U();
                if (hasFocus()) {
                    View findFocus = findFocus();
                    e t = findFocus != null ? t(findFocus) : null;
                    if (t == null || t.f21583b != this.f1) {
                        for (int i14 = 0; i14 < getChildCount(); i14++) {
                            View childAt2 = getChildAt(i14);
                            e u2 = u(childAt2);
                            if (u2 != null && u2.f21583b == this.f1 && childAt2.requestFocus(i3)) {
                                return;
                            }
                        }
                        return;
                    }
                    return;
                }
                return;
            }
            try {
                str = getResources().getResourceName(getId());
            } catch (Resources.NotFoundException unused) {
                str = Integer.toHexString(getId());
            }
            throw new IllegalStateException("The application's PagerAdapter changed the adapter's contents without calling PagerAdapter#notifyDataSetChanged! Expected adapter item count: " + this.a1 + ", found: " + e2 + " Pager id: " + str + " Pager class: " + getClass() + " Problematic adapter: " + this.e1.getClass());
        }
    }

    public void N(int i2, boolean z) {
        this.v1 = false;
        O(i2, z, false);
    }

    /* access modifiers changed from: package-private */
    public void O(int i2, boolean z, boolean z2) {
        P(i2, z, z2, 0);
    }

    /* access modifiers changed from: package-private */
    public void P(int i2, boolean z, boolean z2, int i3) {
        ViewPager.h hVar;
        ViewPager.h hVar2;
        androidx.viewpager.widget.a aVar = this.e1;
        boolean z3 = false;
        if (aVar == null || aVar.e() <= 0) {
            setScrollingCacheEnabled(false);
        } else if (z2 || this.f1 != i2 || this.b1.size() == 0) {
            if (i2 < 0) {
                i2 = 0;
            } else if (i2 >= this.e1.e()) {
                i2 = this.e1.e() - 1;
            }
            int i4 = this.w1;
            int i5 = this.f1;
            if (i2 > i5 + i4 || i2 < i5 - i4) {
                for (int i6 = 0; i6 < this.b1.size(); i6++) {
                    this.b1.get(i6).f21584c = true;
                }
            }
            if (this.f1 != i2) {
                z3 = true;
            }
            if (this.R1) {
                this.f1 = i2;
                if (z3 && (hVar2 = this.V1) != null) {
                    hVar2.onPageSelected(i2);
                }
                if (z3 && (hVar = this.W1) != null) {
                    hVar.onPageSelected(i2);
                }
                requestLayout();
                return;
            }
            I(i2);
            M(i2, z, i3, z3);
        } else {
            setScrollingCacheEnabled(false);
        }
    }

    /* access modifiers changed from: package-private */
    public ViewPager.h Q(ViewPager.h hVar) {
        ViewPager.h hVar2 = this.W1;
        this.W1 = hVar;
        return hVar2;
    }

    public void R(boolean z, ViewPager.i iVar) {
        if (Build.VERSION.SDK_INT >= 11) {
            int i2 = 1;
            boolean z2 = iVar != null;
            boolean z3 = z2 != (this.Y1 != null);
            this.Y1 = iVar;
            setChildrenDrawingOrderEnabledCompat(z2);
            if (z2) {
                if (z) {
                    i2 = 2;
                }
                this.a2 = i2;
            } else {
                this.a2 = 0;
            }
            if (z3) {
                H();
            }
        }
    }

    /* access modifiers changed from: package-private */
    public void S(int i2, int i3) {
        T(i2, i3, 0);
    }

    /* access modifiers changed from: package-private */
    public void T(int i2, int i3, int i4) {
        int i5;
        if (getChildCount() == 0) {
            setScrollingCacheEnabled(false);
            return;
        }
        int scrollX = getScrollX();
        int scrollY = getScrollY();
        int i6 = i2 - scrollX;
        int i7 = i3 - scrollY;
        if (i6 == 0 && i7 == 0) {
            j(false);
            H();
            setScrollState(0);
            return;
        }
        setScrollingCacheEnabled(true);
        setScrollState(2);
        int clientHeight = getClientHeight();
        int i8 = clientHeight / 2;
        float f2 = (float) clientHeight;
        float f3 = (float) i8;
        float m = f3 + (m(Math.min(1.0f, (((float) Math.abs(i6)) * 1.0f) / f2)) * f3);
        int abs = Math.abs(i4);
        if (abs > 0) {
            i5 = Math.round(Math.abs(m / ((float) abs)) * 1000.0f) * 4;
        } else {
            i5 = (int) (((((float) Math.abs(i6)) / ((f2 * this.e1.h(this.f1)) + ((float) this.l1))) + 1.0f) * 100.0f);
        }
        this.j1.startScroll(scrollX, scrollY, i6, i7, Math.min(i5, 600));
        ViewCompat.postInvalidateOnAnimation(this);
    }

    @Override // android.view.View, android.view.ViewGroup
    public void addFocusables(ArrayList<View> arrayList, int i2, int i3) {
        e u;
        int size = arrayList.size();
        int descendantFocusability = getDescendantFocusability();
        if (descendantFocusability != 393216) {
            for (int i4 = 0; i4 < getChildCount(); i4++) {
                View childAt = getChildAt(i4);
                if (childAt.getVisibility() == 0 && (u = u(childAt)) != null && u.f21583b == this.f1) {
                    childAt.addFocusables(arrayList, i2, i3);
                }
            }
        }
        if ((descendantFocusability == 262144 && size != arrayList.size()) || !isFocusable()) {
            return;
        }
        if ((i3 & 1) != 1 || !isInTouchMode() || isFocusableInTouchMode()) {
            arrayList.add(this);
        }
    }

    @Override // android.view.View, android.view.ViewGroup
    public void addTouchables(ArrayList<View> arrayList) {
        e u;
        for (int i2 = 0; i2 < getChildCount(); i2++) {
            View childAt = getChildAt(i2);
            if (childAt.getVisibility() == 0 && (u = u(childAt)) != null && u.f21583b == this.f1) {
                childAt.addTouchables(arrayList);
            }
        }
    }

    @Override // android.view.ViewGroup
    public void addView(View view, int i2, ViewGroup.LayoutParams layoutParams) {
        if (!checkLayoutParams(layoutParams)) {
            layoutParams = generateLayoutParams(layoutParams);
        }
        LayoutParams layoutParams2 = (LayoutParams) layoutParams;
        boolean z = layoutParams2.f21574a | (view instanceof d);
        layoutParams2.f21574a = z;
        if (!this.t1) {
            super.addView(view, i2, layoutParams);
        } else if (!z) {
            layoutParams2.f21577d = true;
            addViewInLayout(view, i2, layoutParams);
        } else {
            throw new IllegalStateException("Cannot add pager decor view during layout");
        }
    }

    /* access modifiers changed from: protected */
    public boolean checkLayoutParams(ViewGroup.LayoutParams layoutParams) {
        return (layoutParams instanceof LayoutParams) && super.checkLayoutParams(layoutParams);
    }

    public void computeScroll() {
        if (this.j1.isFinished() || !this.j1.computeScrollOffset()) {
            j(true);
            return;
        }
        int scrollX = getScrollX();
        int scrollY = getScrollY();
        int currX = this.j1.getCurrX();
        int currY = this.j1.getCurrY();
        if (!(scrollX == currX && scrollY == currY)) {
            scrollTo(currX, currY);
            if (!E(currY)) {
                this.j1.abortAnimation();
                scrollTo(currX, 0);
            }
        }
        ViewCompat.postInvalidateOnAnimation(this);
    }

    public boolean dispatchKeyEvent(KeyEvent keyEvent) {
        return super.dispatchKeyEvent(keyEvent) || q(keyEvent);
    }

    public boolean dispatchPopulateAccessibilityEvent(AccessibilityEvent accessibilityEvent) {
        e u;
        if (accessibilityEvent.getEventType() == 4096) {
            return super.dispatchPopulateAccessibilityEvent(accessibilityEvent);
        }
        int childCount = getChildCount();
        for (int i2 = 0; i2 < childCount; i2++) {
            View childAt = getChildAt(i2);
            if (childAt.getVisibility() == 0 && (u = u(childAt)) != null && u.f21583b == this.f1 && childAt.dispatchPopulateAccessibilityEvent(accessibilityEvent)) {
                return true;
            }
        }
        return false;
    }

    public void draw(Canvas canvas) {
        androidx.viewpager.widget.a aVar;
        super.draw(canvas);
        int overScrollMode = ViewCompat.getOverScrollMode(this);
        boolean z = false;
        if (overScrollMode == 0 || (overScrollMode == 1 && (aVar = this.e1) != null && aVar.e() > 1)) {
            if (!this.P1.c()) {
                int save = canvas.save();
                int height = getHeight();
                int width = (getWidth() - getPaddingLeft()) - getPaddingRight();
                canvas.translate((float) getPaddingLeft(), this.p1 * ((float) height));
                this.P1.i(width, height);
                z = false | this.P1.a(canvas);
                canvas.restoreToCount(save);
            }
            if (!this.Q1.c()) {
                int save2 = canvas.save();
                int height2 = getHeight();
                int width2 = (getWidth() - getPaddingLeft()) - getPaddingRight();
                canvas.rotate(180.0f);
                canvas.translate((float) ((-width2) - getPaddingLeft()), (-(this.q1 + 1.0f)) * ((float) height2));
                this.Q1.i(width2, height2);
                z |= this.Q1.a(canvas);
                canvas.restoreToCount(save2);
            }
        } else {
            this.P1.b();
            this.Q1.b();
        }
        if (z) {
            ViewCompat.postInvalidateOnAnimation(this);
        }
    }

    /* access modifiers changed from: protected */
    public void drawableStateChanged() {
        super.drawableStateChanged();
        Drawable drawable = this.m1;
        if (drawable != null && drawable.isStateful()) {
            drawable.setState(getDrawableState());
        }
    }

    /* access modifiers changed from: package-private */
    public e e(int i2, int i3) {
        e eVar = new e();
        eVar.f21583b = i2;
        eVar.f21582a = this.e1.j(this, i2);
        eVar.f21585d = this.e1.h(i2);
        if (i3 < 0 || i3 >= this.b1.size()) {
            this.b1.add(eVar);
        } else {
            this.b1.add(i3, eVar);
        }
        return eVar;
    }

    /* JADX WARNING: Removed duplicated region for block: B:41:0x00cf  */
    public boolean f(int i2) {
        View findNextFocus;
        boolean requestFocus;
        boolean z;
        View findFocus = findFocus();
        boolean z2 = false;
        if (findFocus != this) {
            if (findFocus != null) {
                ViewParent parent = findFocus.getParent();
                while (true) {
                    if (!(parent instanceof ViewGroup)) {
                        z = false;
                        break;
                    } else if (parent == this) {
                        z = true;
                        break;
                    } else {
                        parent = parent.getParent();
                    }
                }
                if (!z) {
                    StringBuilder sb = new StringBuilder();
                    sb.append(findFocus.getClass().getSimpleName());
                    for (ViewParent parent2 = findFocus.getParent(); parent2 instanceof ViewGroup; parent2 = parent2.getParent()) {
                        sb.append(" => ");
                        sb.append(parent2.getClass().getSimpleName());
                    }
                    Log.e(f21572a, "arrowScroll tried to find focus based on non-child current focused view " + sb.toString());
                }
            }
            findNextFocus = FocusFinder.getInstance().findNextFocus(this, findFocus, i2);
            if (findNextFocus == null && findNextFocus != findFocus) {
                if (i2 == 33) {
                    int i3 = s(this.d1, findNextFocus).top;
                    int i4 = s(this.d1, findFocus).top;
                    if (findFocus == null || i3 < i4) {
                        requestFocus = findNextFocus.requestFocus();
                    } else {
                        requestFocus = F();
                    }
                } else if (i2 == 130) {
                    int i5 = s(this.d1, findNextFocus).bottom;
                    int i6 = s(this.d1, findFocus).bottom;
                    if (findFocus == null || i5 > i6) {
                        requestFocus = findNextFocus.requestFocus();
                    } else {
                        requestFocus = D();
                    }
                }
                z2 = requestFocus;
            } else if (i2 != 33 || i2 == 1) {
                z2 = F();
            } else if (i2 == 130 || i2 == 2) {
                z2 = D();
            }
            if (z2) {
                playSoundEffect(SoundEffectConstants.getContantForFocusDirection(i2));
            }
            return z2;
        }
        findFocus = null;
        findNextFocus = FocusFinder.getInstance().findNextFocus(this, findFocus, i2);
        if (findNextFocus == null) {
        }
        if (i2 != 33) {
        }
        z2 = F();
        if (z2) {
        }
        return z2;
    }

    public boolean g() {
        if (this.x1) {
            return false;
        }
        this.N1 = true;
        setScrollState(1);
        this.E1 = 0.0f;
        this.G1 = 0.0f;
        VelocityTracker velocityTracker = this.I1;
        if (velocityTracker == null) {
            this.I1 = VelocityTracker.obtain();
        } else {
            velocityTracker.clear();
        }
        long uptimeMillis = SystemClock.uptimeMillis();
        MotionEvent obtain = MotionEvent.obtain(uptimeMillis, uptimeMillis, 0, 0.0f, 0.0f, 0);
        this.I1.addMovement(obtain);
        obtain.recycle();
        this.O1 = uptimeMillis;
        return true;
    }

    /* access modifiers changed from: protected */
    public ViewGroup.LayoutParams generateDefaultLayoutParams() {
        return new LayoutParams();
    }

    /* access modifiers changed from: protected */
    @Override // android.view.ViewGroup
    public ViewGroup.LayoutParams generateLayoutParams(ViewGroup.LayoutParams layoutParams) {
        return generateDefaultLayoutParams();
    }

    public androidx.viewpager.widget.a getAdapter() {
        return this.e1;
    }

    /* access modifiers changed from: protected */
    public int getChildDrawingOrder(int i2, int i3) {
        if (this.a2 == 2) {
            i3 = (i2 - 1) - i3;
        }
        return ((LayoutParams) this.b2.get(i3).getLayoutParams()).f;
    }

    public int getCurrentItem() {
        return this.f1;
    }

    public int getOffscreenPageLimit() {
        return this.w1;
    }

    public int getPageMargin() {
        return this.l1;
    }

    /* access modifiers changed from: protected */
    public boolean i(View view, boolean z, int i2, int i3, int i4) {
        int i5;
        if (view instanceof ViewGroup) {
            ViewGroup viewGroup = (ViewGroup) view;
            int scrollX = view.getScrollX();
            int scrollY = view.getScrollY();
            for (int childCount = viewGroup.getChildCount() - 1; childCount >= 0; childCount--) {
                View childAt = viewGroup.getChildAt(childCount);
                int i6 = i4 + scrollY;
                if (i6 >= childAt.getTop() && i6 < childAt.getBottom() && (i5 = i3 + scrollX) >= childAt.getLeft() && i5 < childAt.getRight() && i(childAt, true, i2, i5 - childAt.getLeft(), i6 - childAt.getTop())) {
                    return true;
                }
            }
        }
        if (!z || !ViewCompat.canScrollVertically(view, -i2)) {
            return false;
        }
        return true;
    }

    /* access modifiers changed from: package-private */
    public void k() {
        int e2 = this.e1.e();
        this.a1 = e2;
        boolean z = this.b1.size() < (this.w1 * 2) + 1 && this.b1.size() < e2;
        int i2 = this.f1;
        int i3 = 0;
        boolean z2 = false;
        while (i3 < this.b1.size()) {
            e eVar = this.b1.get(i3);
            int f2 = this.e1.f(eVar.f21582a);
            if (f2 != -1) {
                if (f2 == -2) {
                    this.b1.remove(i3);
                    i3--;
                    if (!z2) {
                        this.e1.t(this);
                        z2 = true;
                    }
                    this.e1.b(this, eVar.f21583b, eVar.f21582a);
                    int i4 = this.f1;
                    if (i4 == eVar.f21583b) {
                        i2 = Math.max(0, Math.min(i4, e2 - 1));
                    }
                } else {
                    int i5 = eVar.f21583b;
                    if (i5 != f2) {
                        if (i5 == this.f1) {
                            i2 = f2;
                        }
                        eVar.f21583b = f2;
                    }
                }
                z = true;
            }
            i3++;
        }
        if (z2) {
            this.e1.d(this);
        }
        Collections.sort(this.b1, P0);
        if (z) {
            int childCount = getChildCount();
            for (int i6 = 0; i6 < childCount; i6++) {
                LayoutParams layoutParams = (LayoutParams) getChildAt(i6).getLayoutParams();
                if (!layoutParams.f21574a) {
                    layoutParams.f21576c = 0.0f;
                }
            }
            O(i2, false, true);
            requestLayout();
        }
    }

    /* access modifiers changed from: package-private */
    public float m(float f2) {
        return (float) Math.sin((double) ((float) (((double) (f2 - 0.5f)) * 0.4712389167638204d)));
    }

    /* access modifiers changed from: protected */
    public void onAttachedToWindow() {
        super.onAttachedToWindow();
        this.R1 = true;
    }

    /* access modifiers changed from: protected */
    public void onDetachedFromWindow() {
        removeCallbacks(this.c2);
        super.onDetachedFromWindow();
    }

    /* access modifiers changed from: protected */
    /* JADX WARNING: Removed duplicated region for block: B:15:0x005a  */
    /* JADX WARNING: Removed duplicated region for block: B:16:0x0065  */
    public void onDraw(Canvas canvas) {
        int i2;
        float f2;
        float f3;
        super.onDraw(canvas);
        if (this.l1 > 0 && this.m1 != null && this.b1.size() > 0 && this.e1 != null) {
            int scrollY = getScrollY();
            int height = getHeight();
            float f4 = (float) height;
            float f5 = ((float) this.l1) / f4;
            int i3 = 0;
            e eVar = this.b1.get(0);
            float f6 = eVar.f21586e;
            int size = this.b1.size();
            int i4 = eVar.f21583b;
            int i5 = this.b1.get(size - 1).f21583b;
            while (i4 < i5) {
                while (true) {
                    i2 = eVar.f21583b;
                    if (i4 > i2 && i3 < size) {
                        i3++;
                        eVar = this.b1.get(i3);
                    } else if (i4 != i2) {
                        float f7 = eVar.f21586e;
                        float f8 = eVar.f21585d;
                        f2 = (f7 + f8) * f4;
                        f6 = f7 + f8 + f5;
                    } else {
                        float h2 = this.e1.h(i4);
                        f2 = (f6 + h2) * f4;
                        f6 += h2 + f5;
                    }
                }
                if (i4 != i2) {
                }
                int i6 = this.l1;
                if (((float) i6) + f2 > ((float) scrollY)) {
                    f3 = f5;
                    this.m1.setBounds(this.n1, (int) f2, this.o1, (int) (((float) i6) + f2 + 0.5f));
                    this.m1.draw(canvas);
                } else {
                    f3 = f5;
                }
                if (f2 <= ((float) (scrollY + height))) {
                    i4++;
                    f5 = f3;
                } else {
                    return;
                }
            }
        }
    }

    public boolean onInterceptTouchEvent(MotionEvent motionEvent) {
        int action = motionEvent.getAction() & 255;
        if (action == 3 || action == 1) {
            this.x1 = false;
            this.y1 = false;
            this.H1 = -1;
            VelocityTracker velocityTracker = this.I1;
            if (velocityTracker != null) {
                velocityTracker.recycle();
                this.I1 = null;
            }
            return false;
        }
        if (action != 0) {
            if (this.x1) {
                return true;
            }
            if (this.y1) {
                return false;
            }
        }
        if (action == 0) {
            float x = motionEvent.getX();
            this.F1 = x;
            this.D1 = x;
            float y = motionEvent.getY();
            this.G1 = y;
            this.E1 = y;
            this.H1 = MotionEventCompat.getPointerId(motionEvent, 0);
            this.y1 = false;
            this.j1.computeScrollOffset();
            if (this.d2 != 2 || Math.abs(this.j1.getFinalY() - this.j1.getCurrY()) <= this.M1) {
                j(false);
                this.x1 = false;
            } else {
                this.j1.abortAnimation();
                this.v1 = false;
                H();
                this.x1 = true;
                L(true);
                setScrollState(1);
            }
        } else if (action == 2) {
            int i2 = this.H1;
            if (i2 != -1) {
                int findPointerIndex = MotionEventCompat.findPointerIndex(motionEvent, i2);
                float y2 = MotionEventCompat.getY(motionEvent, findPointerIndex);
                float f2 = y2 - this.E1;
                float abs = Math.abs(f2);
                float x2 = MotionEventCompat.getX(motionEvent, findPointerIndex);
                float abs2 = Math.abs(x2 - this.F1);
                int i3 = (f2 > 0.0f ? 1 : (f2 == 0.0f ? 0 : -1));
                if (i3 == 0 || A(this.E1, f2) || !i(this, false, (int) f2, (int) x2, (int) y2)) {
                    int i4 = this.C1;
                    if (abs > ((float) i4) && abs * 0.5f > abs2) {
                        this.x1 = true;
                        L(true);
                        setScrollState(1);
                        float f3 = this.G1;
                        float f4 = (float) this.C1;
                        this.E1 = i3 > 0 ? f3 + f4 : f3 - f4;
                        this.D1 = x2;
                        setScrollingCacheEnabled(true);
                    } else if (abs2 > ((float) i4)) {
                        this.y1 = true;
                    }
                    if (this.x1 && G(y2)) {
                        ViewCompat.postInvalidateOnAnimation(this);
                    }
                } else {
                    this.D1 = x2;
                    this.E1 = y2;
                    this.y1 = true;
                    return false;
                }
            }
        } else if (action == 6) {
            C(motionEvent);
        }
        if (this.I1 == null) {
            this.I1 = VelocityTracker.obtain();
        }
        this.I1.addMovement(motionEvent);
        return this.x1;
    }

    /* access modifiers changed from: protected */
    /* JADX WARNING: Removed duplicated region for block: B:20:0x0071  */
    /* JADX WARNING: Removed duplicated region for block: B:27:0x008e  */
    public void onLayout(boolean z, int i2, int i3, int i4, int i5) {
        boolean z2;
        e u;
        int i6;
        int i7;
        int i8;
        int i9;
        int childCount = getChildCount();
        int i10 = i4 - i2;
        int i11 = i5 - i3;
        int paddingLeft = getPaddingLeft();
        int paddingTop = getPaddingTop();
        int paddingRight = getPaddingRight();
        int paddingBottom = getPaddingBottom();
        int scrollY = getScrollY();
        int i12 = 0;
        for (int i13 = 0; i13 < childCount; i13++) {
            View childAt = getChildAt(i13);
            if (childAt.getVisibility() != 8) {
                LayoutParams layoutParams = (LayoutParams) childAt.getLayoutParams();
                if (layoutParams.f21574a) {
                    int i14 = layoutParams.f21575b;
                    int i15 = i14 & 7;
                    int i16 = i14 & 112;
                    if (i15 != 1) {
                        if (i15 == 3) {
                            i6 = childAt.getMeasuredWidth() + paddingLeft;
                        } else if (i15 != 5) {
                            i6 = paddingLeft;
                        } else {
                            i9 = (i10 - paddingRight) - childAt.getMeasuredWidth();
                            paddingRight += childAt.getMeasuredWidth();
                        }
                        if (i16 == 16) {
                            if (i16 == 48) {
                                i7 = childAt.getMeasuredHeight() + paddingTop;
                            } else if (i16 != 80) {
                                i7 = paddingTop;
                            } else {
                                i8 = (i11 - paddingBottom) - childAt.getMeasuredHeight();
                                paddingBottom += childAt.getMeasuredHeight();
                            }
                            int i17 = paddingTop + scrollY;
                            childAt.layout(paddingLeft, i17, childAt.getMeasuredWidth() + paddingLeft, i17 + childAt.getMeasuredHeight());
                            i12++;
                            paddingTop = i7;
                            paddingLeft = i6;
                        } else {
                            i8 = Math.max((i11 - childAt.getMeasuredHeight()) / 2, paddingTop);
                        }
                        i7 = paddingTop;
                        paddingTop = i8;
                        int i172 = paddingTop + scrollY;
                        childAt.layout(paddingLeft, i172, childAt.getMeasuredWidth() + paddingLeft, i172 + childAt.getMeasuredHeight());
                        i12++;
                        paddingTop = i7;
                        paddingLeft = i6;
                    } else {
                        i9 = Math.max((i10 - childAt.getMeasuredWidth()) / 2, paddingLeft);
                    }
                    i6 = paddingLeft;
                    paddingLeft = i9;
                    if (i16 == 16) {
                    }
                    i7 = paddingTop;
                    paddingTop = i8;
                    int i1722 = paddingTop + scrollY;
                    childAt.layout(paddingLeft, i1722, childAt.getMeasuredWidth() + paddingLeft, i1722 + childAt.getMeasuredHeight());
                    i12++;
                    paddingTop = i7;
                    paddingLeft = i6;
                }
            }
        }
        int i18 = (i11 - paddingTop) - paddingBottom;
        for (int i19 = 0; i19 < childCount; i19++) {
            View childAt2 = getChildAt(i19);
            if (childAt2.getVisibility() != 8) {
                LayoutParams layoutParams2 = (LayoutParams) childAt2.getLayoutParams();
                if (!layoutParams2.f21574a && (u = u(childAt2)) != null) {
                    float f2 = (float) i18;
                    int i20 = ((int) (u.f21586e * f2)) + paddingTop;
                    if (layoutParams2.f21577d) {
                        layoutParams2.f21577d = false;
                        childAt2.measure(View.MeasureSpec.makeMeasureSpec((i10 - paddingLeft) - paddingRight, 1073741824), View.MeasureSpec.makeMeasureSpec((int) (f2 * layoutParams2.f21576c), 1073741824));
                    }
                    childAt2.layout(paddingLeft, i20, childAt2.getMeasuredWidth() + paddingLeft, childAt2.getMeasuredHeight() + i20);
                }
            }
        }
        this.n1 = paddingLeft;
        this.o1 = i10 - paddingRight;
        this.U1 = i12;
        if (this.R1) {
            z2 = false;
            M(this.f1, false, 0, false);
        } else {
            z2 = false;
        }
        this.R1 = z2;
    }

    /* access modifiers changed from: protected */
    /* JADX WARNING: Removed duplicated region for block: B:28:0x0082  */
    /* JADX WARNING: Removed duplicated region for block: B:31:0x0089  */
    /* JADX WARNING: Removed duplicated region for block: B:34:0x008e  */
    /* JADX WARNING: Removed duplicated region for block: B:36:0x0093  */
    /* JADX WARNING: Removed duplicated region for block: B:39:0x00a2  */
    /* JADX WARNING: Removed duplicated region for block: B:40:0x00a8  */
    public void onMeasure(int i2, int i3) {
        LayoutParams layoutParams;
        LayoutParams layoutParams2;
        int i4;
        int i5;
        int i6;
        setMeasuredDimension(ViewGroup.getDefaultSize(0, i2), ViewGroup.getDefaultSize(0, i3));
        int measuredHeight = getMeasuredHeight();
        this.B1 = Math.min(measuredHeight / 10, this.A1);
        int measuredWidth = (getMeasuredWidth() - getPaddingLeft()) - getPaddingRight();
        int paddingTop = (measuredHeight - getPaddingTop()) - getPaddingBottom();
        int childCount = getChildCount();
        int i7 = 0;
        while (true) {
            boolean z = true;
            int i8 = 1073741824;
            if (i7 >= childCount) {
                break;
            }
            View childAt = getChildAt(i7);
            if (!(childAt.getVisibility() == 8 || (layoutParams2 = (LayoutParams) childAt.getLayoutParams()) == null || !layoutParams2.f21574a)) {
                int i9 = layoutParams2.f21575b;
                int i10 = i9 & 7;
                int i11 = i9 & 112;
                boolean z2 = i11 == 48 || i11 == 80;
                if (!(i10 == 3 || i10 == 5)) {
                    z = false;
                }
                int i12 = Integer.MIN_VALUE;
                if (z2) {
                    i12 = 1073741824;
                } else if (z) {
                    i4 = 1073741824;
                    i5 = ((ViewGroup.LayoutParams) layoutParams2).width;
                    if (i5 == -2) {
                        if (i5 == -1) {
                            i5 = measuredWidth;
                        }
                        i12 = 1073741824;
                    } else {
                        i5 = measuredWidth;
                    }
                    i6 = ((ViewGroup.LayoutParams) layoutParams2).height;
                    if (i6 != -2) {
                        i6 = paddingTop;
                        i8 = i4;
                    } else if (i6 == -1) {
                        i6 = paddingTop;
                    }
                    childAt.measure(View.MeasureSpec.makeMeasureSpec(i5, i12), View.MeasureSpec.makeMeasureSpec(i6, i8));
                    if (!z2) {
                        paddingTop -= childAt.getMeasuredHeight();
                    } else if (z) {
                        measuredWidth -= childAt.getMeasuredWidth();
                    }
                }
                i4 = Integer.MIN_VALUE;
                i5 = ((ViewGroup.LayoutParams) layoutParams2).width;
                if (i5 == -2) {
                }
                i6 = ((ViewGroup.LayoutParams) layoutParams2).height;
                if (i6 != -2) {
                }
                childAt.measure(View.MeasureSpec.makeMeasureSpec(i5, i12), View.MeasureSpec.makeMeasureSpec(i6, i8));
                if (!z2) {
                }
            }
            i7++;
        }
        this.r1 = View.MeasureSpec.makeMeasureSpec(measuredWidth, 1073741824);
        this.s1 = View.MeasureSpec.makeMeasureSpec(paddingTop, 1073741824);
        this.t1 = true;
        H();
        this.t1 = false;
        int childCount2 = getChildCount();
        for (int i13 = 0; i13 < childCount2; i13++) {
            View childAt2 = getChildAt(i13);
            if (childAt2.getVisibility() != 8 && ((layoutParams = (LayoutParams) childAt2.getLayoutParams()) == null || !layoutParams.f21574a)) {
                childAt2.measure(this.r1, View.MeasureSpec.makeMeasureSpec((int) (((float) paddingTop) * layoutParams.f21576c), 1073741824));
            }
        }
    }

    /* access modifiers changed from: protected */
    public boolean onRequestFocusInDescendants(int i2, Rect rect) {
        int i3;
        int i4;
        e u;
        int childCount = getChildCount();
        int i5 = -1;
        if ((i2 & 2) != 0) {
            i5 = childCount;
            i4 = 0;
            i3 = 1;
        } else {
            i4 = childCount - 1;
            i3 = -1;
        }
        while (i4 != i5) {
            View childAt = getChildAt(i4);
            if (childAt.getVisibility() == 0 && (u = u(childAt)) != null && u.f21583b == this.f1 && childAt.requestFocus(i2, rect)) {
                return true;
            }
            i4 += i3;
        }
        return false;
    }

    public void onRestoreInstanceState(Parcelable parcelable) {
        if (!(parcelable instanceof SavedState)) {
            super.onRestoreInstanceState(parcelable);
            return;
        }
        SavedState savedState = (SavedState) parcelable;
        super.onRestoreInstanceState(savedState.getSuperState());
        androidx.viewpager.widget.a aVar = this.e1;
        if (aVar != null) {
            aVar.n(savedState.f21580b, savedState.I0);
            O(savedState.f21579a, false, true);
            return;
        }
        this.g1 = savedState.f21579a;
        this.h1 = savedState.f21580b;
        this.i1 = savedState.I0;
    }

    public Parcelable onSaveInstanceState() {
        SavedState savedState = new SavedState(super.onSaveInstanceState());
        savedState.f21579a = this.f1;
        androidx.viewpager.widget.a aVar = this.e1;
        if (aVar != null) {
            savedState.f21580b = aVar.o();
        }
        return savedState;
    }

    /* access modifiers changed from: protected */
    public void onSizeChanged(int i2, int i3, int i4, int i5) {
        super.onSizeChanged(i2, i3, i4, i5);
        if (i3 != i5) {
            int i6 = this.l1;
            J(i3, i5, i6, i6);
        }
    }

    public boolean onTouchEvent(MotionEvent motionEvent) {
        androidx.viewpager.widget.a aVar;
        boolean z;
        boolean z2;
        if (this.N1) {
            return true;
        }
        boolean z3 = false;
        if ((motionEvent.getAction() == 0 && motionEvent.getEdgeFlags() != 0) || (aVar = this.e1) == null || aVar.e() == 0) {
            return false;
        }
        if (this.I1 == null) {
            this.I1 = VelocityTracker.obtain();
        }
        this.I1.addMovement(motionEvent);
        int action = motionEvent.getAction() & 255;
        if (action != 0) {
            if (action != 1) {
                if (action == 2) {
                    if (!this.x1) {
                        int findPointerIndex = MotionEventCompat.findPointerIndex(motionEvent, this.H1);
                        float y = MotionEventCompat.getY(motionEvent, findPointerIndex);
                        float abs = Math.abs(y - this.E1);
                        float x = MotionEventCompat.getX(motionEvent, findPointerIndex);
                        float abs2 = Math.abs(x - this.D1);
                        if (abs > ((float) this.C1) && abs > abs2) {
                            this.x1 = true;
                            L(true);
                            float f2 = this.G1;
                            this.E1 = y - f2 > 0.0f ? f2 + ((float) this.C1) : f2 - ((float) this.C1);
                            this.D1 = x;
                            setScrollState(1);
                            setScrollingCacheEnabled(true);
                            ViewParent parent = getParent();
                            if (parent != null) {
                                parent.requestDisallowInterceptTouchEvent(true);
                            }
                        }
                    }
                    if (this.x1) {
                        z3 = false | G(MotionEventCompat.getY(motionEvent, MotionEventCompat.findPointerIndex(motionEvent, this.H1)));
                    }
                } else if (action != 3) {
                    if (action == 5) {
                        int actionIndex = MotionEventCompat.getActionIndex(motionEvent);
                        this.E1 = MotionEventCompat.getY(motionEvent, actionIndex);
                        this.H1 = MotionEventCompat.getPointerId(motionEvent, actionIndex);
                    } else if (action == 6) {
                        C(motionEvent);
                        this.E1 = MotionEventCompat.getY(motionEvent, MotionEventCompat.findPointerIndex(motionEvent, this.H1));
                    }
                } else if (this.x1) {
                    M(this.f1, true, 0, false);
                    this.H1 = -1;
                    o();
                    z = this.P1.h();
                    z2 = this.Q1.h();
                }
            } else if (this.x1) {
                VelocityTracker velocityTracker = this.I1;
                velocityTracker.computeCurrentVelocity(1000, (float) this.K1);
                int yVelocity = (int) VelocityTrackerCompat.getYVelocity(velocityTracker, this.H1);
                this.v1 = true;
                int clientHeight = getClientHeight();
                int scrollY = getScrollY();
                e v = v();
                P(l(v.f21583b, ((((float) scrollY) / ((float) clientHeight)) - v.f21586e) / v.f21585d, yVelocity, (int) (MotionEventCompat.getY(motionEvent, MotionEventCompat.findPointerIndex(motionEvent, this.H1)) - this.G1)), true, true, yVelocity);
                this.H1 = -1;
                o();
                z = this.P1.h();
                z2 = this.Q1.h();
            }
            z3 = z | z2;
        } else {
            this.j1.abortAnimation();
            this.v1 = false;
            H();
            float x2 = motionEvent.getX();
            this.F1 = x2;
            this.D1 = x2;
            float y2 = motionEvent.getY();
            this.G1 = y2;
            this.E1 = y2;
            this.H1 = MotionEventCompat.getPointerId(motionEvent, 0);
        }
        if (z3) {
            ViewCompat.postInvalidateOnAnimation(this);
        }
        return true;
    }

    public void p() {
        if (this.N1) {
            VelocityTracker velocityTracker = this.I1;
            velocityTracker.computeCurrentVelocity(1000, (float) this.K1);
            int yVelocity = (int) VelocityTrackerCompat.getYVelocity(velocityTracker, this.H1);
            this.v1 = true;
            int clientHeight = getClientHeight();
            int scrollY = getScrollY();
            e v = v();
            P(l(v.f21583b, ((((float) scrollY) / ((float) clientHeight)) - v.f21586e) / v.f21585d, yVelocity, (int) (this.E1 - this.G1)), true, true, yVelocity);
            o();
            this.N1 = false;
            return;
        }
        throw new IllegalStateException("No fake drag in progress. Call beginFakeDrag first.");
    }

    public boolean q(KeyEvent keyEvent) {
        if (keyEvent.getAction() == 0) {
            int keyCode = keyEvent.getKeyCode();
            if (keyCode == 21) {
                return f(17);
            }
            if (keyCode == 22) {
                return f(66);
            }
            if (keyCode == 61 && Build.VERSION.SDK_INT >= 11) {
                if (KeyEventCompat.hasNoModifiers(keyEvent)) {
                    return f(2);
                }
                if (KeyEventCompat.hasModifiers(keyEvent, 1)) {
                    return f(1);
                }
            }
        }
        return false;
    }

    public void r(float f2) {
        if (this.N1) {
            this.E1 += f2;
            float scrollY = ((float) getScrollY()) - f2;
            float clientHeight = (float) getClientHeight();
            float f3 = this.p1 * clientHeight;
            float f4 = this.q1 * clientHeight;
            e eVar = this.b1.get(0);
            ArrayList<e> arrayList = this.b1;
            e eVar2 = arrayList.get(arrayList.size() - 1);
            if (eVar.f21583b != 0) {
                f3 = eVar.f21586e * clientHeight;
            }
            if (eVar2.f21583b != this.e1.e() - 1) {
                f4 = eVar2.f21586e * clientHeight;
            }
            if (scrollY < f3) {
                scrollY = f3;
            } else if (scrollY > f4) {
                scrollY = f4;
            }
            int i2 = (int) scrollY;
            this.E1 += scrollY - ((float) i2);
            scrollTo(getScrollX(), i2);
            E(i2);
            MotionEvent obtain = MotionEvent.obtain(this.O1, SystemClock.uptimeMillis(), 2, 0.0f, this.E1, 0);
            this.I1.addMovement(obtain);
            obtain.recycle();
            return;
        }
        throw new IllegalStateException("No fake drag in progress. Call beginFakeDrag first.");
    }

    public void removeView(View view) {
        if (this.t1) {
            removeViewInLayout(view);
        } else {
            super.removeView(view);
        }
    }

    public void setAdapter(androidx.viewpager.widget.a aVar) {
        androidx.viewpager.widget.a aVar2 = this.e1;
        if (aVar2 != null) {
            aVar2.u(this.k1);
            this.e1.t(this);
            for (int i2 = 0; i2 < this.b1.size(); i2++) {
                e eVar = this.b1.get(i2);
                this.e1.b(this, eVar.f21583b, eVar.f21582a);
            }
            this.e1.d(this);
            this.b1.clear();
            K();
            this.f1 = 0;
            scrollTo(0, 0);
        }
        androidx.viewpager.widget.a aVar3 = this.e1;
        this.e1 = aVar;
        this.a1 = 0;
        if (aVar != null) {
            if (this.k1 == null) {
                this.k1 = new h(this, null);
            }
            this.e1.m(this.k1);
            this.v1 = false;
            boolean z = this.R1;
            this.R1 = true;
            this.a1 = this.e1.e();
            if (this.g1 >= 0) {
                this.e1.n(this.h1, this.i1);
                O(this.g1, false, true);
                this.g1 = -1;
                this.h1 = null;
                this.i1 = null;
            } else if (!z) {
                H();
            } else {
                requestLayout();
            }
        }
        g gVar = this.X1;
        if (!(gVar == null || aVar3 == aVar)) {
            gVar.a(aVar3, aVar);
        }
    }

    /* access modifiers changed from: package-private */
    public void setChildrenDrawingOrderEnabledCompat(boolean z) {
        if (Build.VERSION.SDK_INT >= 7) {
            if (this.Z1 == null) {
                try {
                    this.Z1 = ViewGroup.class.getDeclaredMethod("setChildrenDrawingOrderEnabled", Boolean.TYPE);
                } catch (NoSuchMethodException e2) {
                    Log.e(f21572a, "Can't find setChildrenDrawingOrderEnabled", e2);
                }
            }
            try {
                this.Z1.invoke(this, Boolean.valueOf(z));
            } catch (Exception e3) {
                Log.e(f21572a, "Error changing children drawing order", e3);
            }
        }
    }

    public void setCurrentItem(int i2) {
        this.v1 = false;
        O(i2, !this.R1, false);
    }

    public void setOffscreenPageLimit(int i2) {
        if (i2 < 1) {
            Log.w(f21572a, "Requested offscreen page limit " + i2 + " too small; defaulting to " + 1);
            i2 = 1;
        }
        if (i2 != this.w1) {
            this.w1 = i2;
            H();
        }
    }

    /* access modifiers changed from: package-private */
    public void setOnAdapterChangeListener(g gVar) {
        this.X1 = gVar;
    }

    public void setOnPageChangeListener(ViewPager.h hVar) {
        this.V1 = hVar;
    }

    public void setPageMargin(int i2) {
        int i3 = this.l1;
        this.l1 = i2;
        int height = getHeight();
        J(height, height, i2, i3);
        requestLayout();
    }

    public void setPageMarginDrawable(Drawable drawable) {
        this.m1 = drawable;
        if (drawable != null) {
            refreshDrawableState();
        }
        setWillNotDraw(drawable == null);
        invalidate();
    }

    /* access modifiers changed from: package-private */
    public e t(View view) {
        while (true) {
            ViewParent parent = view.getParent();
            if (parent == this) {
                return u(view);
            }
            if (parent == null || !(parent instanceof View)) {
                return null;
            }
            view = (View) parent;
        }
    }

    /* access modifiers changed from: package-private */
    public e u(View view) {
        for (int i2 = 0; i2 < this.b1.size(); i2++) {
            e eVar = this.b1.get(i2);
            if (this.e1.k(view, eVar.f21582a)) {
                return eVar;
            }
        }
        return null;
    }

    /* access modifiers changed from: protected */
    public boolean verifyDrawable(Drawable drawable) {
        return super.verifyDrawable(drawable) || drawable == this.m1;
    }

    /* access modifiers changed from: package-private */
    public e w(int i2) {
        for (int i3 = 0; i3 < this.b1.size(); i3++) {
            e eVar = this.b1.get(i3);
            if (eVar.f21583b == i2) {
                return eVar;
            }
        }
        return null;
    }

    /* access modifiers changed from: package-private */
    public void x() {
        setWillNotDraw(false);
        setDescendantFocusability(262144);
        setFocusable(true);
        Context context = getContext();
        this.j1 = new Scroller(context, Q0);
        ViewConfiguration viewConfiguration = ViewConfiguration.get(context);
        float f2 = context.getResources().getDisplayMetrics().density;
        this.C1 = ViewConfigurationCompat.getScaledPagingTouchSlop(viewConfiguration);
        this.J1 = (int) (400.0f * f2);
        this.K1 = viewConfiguration.getScaledMaximumFlingVelocity();
        this.P1 = new androidx.core.widget.i(context);
        this.Q1 = new androidx.core.widget.i(context);
        this.L1 = (int) (25.0f * f2);
        this.M1 = (int) (2.0f * f2);
        this.A1 = (int) (f2 * 16.0f);
        ViewCompat.setAccessibilityDelegate(this, new f());
        if (ViewCompat.getImportantForAccessibility(this) == 0) {
            ViewCompat.setImportantForAccessibility(this, 1);
        }
    }

    public boolean y(int i2) {
        if (this.e1 == null) {
            return false;
        }
        int clientHeight = getClientHeight();
        int scrollY = getScrollY();
        if (i2 < 0) {
            if (scrollY > ((int) (((float) clientHeight) * this.p1))) {
                return true;
            }
            return false;
        } else if (i2 <= 0 || scrollY >= ((int) (((float) clientHeight) * this.q1))) {
            return false;
        } else {
            return true;
        }
    }

    public boolean z() {
        return this.N1;
    }

    public static class LayoutParams extends ViewGroup.LayoutParams {

        /* renamed from: a  reason: collision with root package name */
        public boolean f21574a;

        /* renamed from: b  reason: collision with root package name */
        public int f21575b;

        /* renamed from: c  reason: collision with root package name */
        float f21576c = 0.0f;

        /* renamed from: d  reason: collision with root package name */
        boolean f21577d;

        /* renamed from: e  reason: collision with root package name */
        int f21578e;
        int f;

        public LayoutParams() {
            super(-1, -1);
        }

        public LayoutParams(Context context, AttributeSet attributeSet) {
            super(context, attributeSet);
            TypedArray obtainStyledAttributes = context.obtainStyledAttributes(attributeSet, VerticalViewPager.O0);
            this.f21575b = obtainStyledAttributes.getInteger(0, 48);
            obtainStyledAttributes.recycle();
        }
    }

    @Override // android.view.ViewGroup
    public ViewGroup.LayoutParams generateLayoutParams(AttributeSet attributeSet) {
        return new LayoutParams(getContext(), attributeSet);
    }

    public void setPageMarginDrawable(int i2) {
        setPageMarginDrawable(getContext().getResources().getDrawable(i2));
    }

    public VerticalViewPager(Context context, AttributeSet attributeSet) {
        super(context, attributeSet);
        x();
    }
}
