package org.greenrobot.greendao.rx;

import java.util.List;
import java.util.concurrent.Callable;
import org.greenrobot.greendao.AbstractDao;
import org.greenrobot.greendao.annotation.apihint.Experimental;
import rx.Observable;
import rx.Scheduler;

@Experimental
public class RxDao<T, K> extends RxBase {
    private final AbstractDao<T, K> dao;

    @Experimental
    public RxDao(AbstractDao<T, K> abstractDao) {
        this(abstractDao, null);
    }

    @Experimental
    public Observable<Long> count() {
        return wrap(new Callable<Long>() {
            /* class org.greenrobot.greendao.rx.RxDao.AnonymousClass23 */

            @Override // java.util.concurrent.Callable
            public Long call() throws Exception {
                return Long.valueOf(RxDao.this.dao.count());
            }
        });
    }

    @Experimental
    public Observable<Void> delete(final T t) {
        return wrap(new Callable<Void>() {
            /* class org.greenrobot.greendao.rx.RxDao.AnonymousClass16 */

            /* JADX DEBUG: Multi-variable search result rejected for r0v1, resolved type: org.greenrobot.greendao.AbstractDao */
            /* JADX WARN: Multi-variable type inference failed */
            @Override // java.util.concurrent.Callable
            public Void call() throws Exception {
                RxDao.this.dao.delete(t);
                return null;
            }
        });
    }

    @Experimental
    public Observable<Void> deleteAll() {
        return wrap(new Callable<Void>() {
            /* class org.greenrobot.greendao.rx.RxDao.AnonymousClass18 */

            @Override // java.util.concurrent.Callable
            public Void call() throws Exception {
                RxDao.this.dao.deleteAll();
                return null;
            }
        });
    }

    @Experimental
    public Observable<Void> deleteByKey(final K k) {
        return wrap(new Callable<Void>() {
            /* class org.greenrobot.greendao.rx.RxDao.AnonymousClass17 */

            /* JADX DEBUG: Multi-variable search result rejected for r0v1, resolved type: org.greenrobot.greendao.AbstractDao */
            /* JADX WARN: Multi-variable type inference failed */
            @Override // java.util.concurrent.Callable
            public Void call() throws Exception {
                RxDao.this.dao.deleteByKey(k);
                return null;
            }
        });
    }

    @Experimental
    public Observable<Void> deleteByKeyInTx(final Iterable<K> iterable) {
        return wrap(new Callable<Void>() {
            /* class org.greenrobot.greendao.rx.RxDao.AnonymousClass21 */

            @Override // java.util.concurrent.Callable
            public Void call() throws Exception {
                RxDao.this.dao.deleteByKeyInTx(iterable);
                return null;
            }
        });
    }

    @Experimental
    public Observable<Void> deleteInTx(final Iterable<T> iterable) {
        return wrap(new Callable<Void>() {
            /* class org.greenrobot.greendao.rx.RxDao.AnonymousClass19 */

            @Override // java.util.concurrent.Callable
            public Void call() throws Exception {
                RxDao.this.dao.deleteInTx(iterable);
                return null;
            }
        });
    }

    @Experimental
    public AbstractDao<T, K> getDao() {
        return this.dao;
    }

    @Override // org.greenrobot.greendao.rx.RxBase
    @Experimental
    public /* bridge */ /* synthetic */ Scheduler getScheduler() {
        return super.getScheduler();
    }

    /* JADX DEBUG: Type inference failed for r2v1. Raw type applied. Possible types: rx.Observable<R>, rx.Observable<T> */
    @Experimental
    public Observable<T> insert(final T t) {
        return (Observable<R>) wrap(new Callable<T>() {
            /* class org.greenrobot.greendao.rx.RxDao.AnonymousClass4 */

            /* JADX DEBUG: Multi-variable search result rejected for r0v1, resolved type: org.greenrobot.greendao.AbstractDao */
            /* JADX WARN: Multi-variable type inference failed */
            @Override // java.util.concurrent.Callable
            public T call() throws Exception {
                RxDao.this.dao.insert(t);
                return (T) t;
            }
        });
    }

    @Experimental
    public Observable<Iterable<T>> insertInTx(final Iterable<T> iterable) {
        return wrap(new Callable<Iterable<T>>() {
            /* class org.greenrobot.greendao.rx.RxDao.AnonymousClass5 */

            @Override // java.util.concurrent.Callable
            public Iterable<T> call() throws Exception {
                RxDao.this.dao.insertInTx(iterable);
                return iterable;
            }
        });
    }

    /* JADX DEBUG: Type inference failed for r2v1. Raw type applied. Possible types: rx.Observable<R>, rx.Observable<T> */
    @Experimental
    public Observable<T> insertOrReplace(final T t) {
        return (Observable<R>) wrap(new Callable<T>() {
            /* class org.greenrobot.greendao.rx.RxDao.AnonymousClass7 */

            /* JADX DEBUG: Multi-variable search result rejected for r0v1, resolved type: org.greenrobot.greendao.AbstractDao */
            /* JADX WARN: Multi-variable type inference failed */
            @Override // java.util.concurrent.Callable
            public T call() throws Exception {
                RxDao.this.dao.insertOrReplace(t);
                return (T) t;
            }
        });
    }

    @Experimental
    public Observable<Iterable<T>> insertOrReplaceInTx(final Iterable<T> iterable) {
        return wrap(new Callable<Iterable<T>>() {
            /* class org.greenrobot.greendao.rx.RxDao.AnonymousClass8 */

            @Override // java.util.concurrent.Callable
            public Iterable<T> call() throws Exception {
                RxDao.this.dao.insertOrReplaceInTx(iterable);
                return iterable;
            }
        });
    }

    /* JADX DEBUG: Type inference failed for r2v1. Raw type applied. Possible types: rx.Observable<R>, rx.Observable<T> */
    @Experimental
    public Observable<T> load(final K k) {
        return (Observable<R>) wrap(new Callable<T>() {
            /* class org.greenrobot.greendao.rx.RxDao.AnonymousClass2 */

            /* JADX DEBUG: Multi-variable search result rejected for r0v1, resolved type: org.greenrobot.greendao.AbstractDao */
            /* JADX WARN: Multi-variable type inference failed */
            @Override // java.util.concurrent.Callable
            public T call() throws Exception {
                return (T) RxDao.this.dao.load(k);
            }
        });
    }

    @Experimental
    public Observable<List<T>> loadAll() {
        return wrap(new Callable<List<T>>() {
            /* class org.greenrobot.greendao.rx.RxDao.AnonymousClass1 */

            @Override // java.util.concurrent.Callable
            public List<T> call() throws Exception {
                return RxDao.this.dao.loadAll();
            }
        });
    }

    /* JADX DEBUG: Type inference failed for r2v1. Raw type applied. Possible types: rx.Observable<R>, rx.Observable<T> */
    @Experimental
    public Observable<T> refresh(final T t) {
        return (Observable<R>) wrap(new Callable<T>() {
            /* class org.greenrobot.greendao.rx.RxDao.AnonymousClass3 */

            /* JADX DEBUG: Multi-variable search result rejected for r0v1, resolved type: org.greenrobot.greendao.AbstractDao */
            /* JADX WARN: Multi-variable type inference failed */
            @Override // java.util.concurrent.Callable
            public T call() throws Exception {
                RxDao.this.dao.refresh(t);
                return (T) t;
            }
        });
    }

    /* JADX DEBUG: Type inference failed for r2v1. Raw type applied. Possible types: rx.Observable<R>, rx.Observable<T> */
    @Experimental
    public Observable<T> save(final T t) {
        return (Observable<R>) wrap(new Callable<T>() {
            /* class org.greenrobot.greendao.rx.RxDao.AnonymousClass10 */

            /* JADX DEBUG: Multi-variable search result rejected for r0v1, resolved type: org.greenrobot.greendao.AbstractDao */
            /* JADX WARN: Multi-variable type inference failed */
            @Override // java.util.concurrent.Callable
            public T call() throws Exception {
                RxDao.this.dao.save(t);
                return (T) t;
            }
        });
    }

    @Experimental
    public Observable<Iterable<T>> saveInTx(final Iterable<T> iterable) {
        return wrap(new Callable<Iterable<T>>() {
            /* class org.greenrobot.greendao.rx.RxDao.AnonymousClass11 */

            @Override // java.util.concurrent.Callable
            public Iterable<T> call() throws Exception {
                RxDao.this.dao.saveInTx(iterable);
                return iterable;
            }
        });
    }

    /* JADX DEBUG: Type inference failed for r2v1. Raw type applied. Possible types: rx.Observable<R>, rx.Observable<T> */
    @Experimental
    public Observable<T> update(final T t) {
        return (Observable<R>) wrap(new Callable<T>() {
            /* class org.greenrobot.greendao.rx.RxDao.AnonymousClass13 */

            /* JADX DEBUG: Multi-variable search result rejected for r0v1, resolved type: org.greenrobot.greendao.AbstractDao */
            /* JADX WARN: Multi-variable type inference failed */
            @Override // java.util.concurrent.Callable
            public T call() throws Exception {
                RxDao.this.dao.update(t);
                return (T) t;
            }
        });
    }

    @Experimental
    public Observable<Iterable<T>> updateInTx(final Iterable<T> iterable) {
        return wrap(new Callable<Iterable<T>>() {
            /* class org.greenrobot.greendao.rx.RxDao.AnonymousClass14 */

            @Override // java.util.concurrent.Callable
            public Iterable<T> call() throws Exception {
                RxDao.this.dao.updateInTx(iterable);
                return iterable;
            }
        });
    }

    @Experimental
    public RxDao(AbstractDao<T, K> abstractDao, Scheduler scheduler) {
        super(scheduler);
        this.dao = abstractDao;
    }

    @Experimental
    public Observable<Void> deleteByKeyInTx(final K... kArr) {
        return wrap(new Callable<Void>() {
            /* class org.greenrobot.greendao.rx.RxDao.AnonymousClass22 */

            /* JADX DEBUG: Multi-variable search result rejected for r0v1, resolved type: org.greenrobot.greendao.AbstractDao */
            /* JADX WARN: Multi-variable type inference failed */
            @Override // java.util.concurrent.Callable
            public Void call() throws Exception {
                RxDao.this.dao.deleteByKeyInTx(kArr);
                return null;
            }
        });
    }

    @Experimental
    public Observable<Void> deleteInTx(final T... tArr) {
        return wrap(new Callable<Void>() {
            /* class org.greenrobot.greendao.rx.RxDao.AnonymousClass20 */

            /* JADX DEBUG: Multi-variable search result rejected for r0v1, resolved type: org.greenrobot.greendao.AbstractDao */
            /* JADX WARN: Multi-variable type inference failed */
            @Override // java.util.concurrent.Callable
            public Void call() throws Exception {
                RxDao.this.dao.deleteInTx(tArr);
                return null;
            }
        });
    }

    /* JADX DEBUG: Type inference failed for r2v1. Raw type applied. Possible types: rx.Observable<R>, rx.Observable<java.lang.Object[]> */
    @Experimental
    public Observable<Object[]> insertInTx(final T... tArr) {
        return (Observable<R>) wrap(new Callable<Object[]>() {
            /* class org.greenrobot.greendao.rx.RxDao.AnonymousClass6 */

            /* JADX DEBUG: Multi-variable search result rejected for r0v1, resolved type: org.greenrobot.greendao.AbstractDao */
            /* JADX WARN: Multi-variable type inference failed */
            @Override // java.util.concurrent.Callable
            public Object[] call() throws Exception {
                RxDao.this.dao.insertInTx(tArr);
                return tArr;
            }
        });
    }

    /* JADX DEBUG: Type inference failed for r2v1. Raw type applied. Possible types: rx.Observable<R>, rx.Observable<java.lang.Object[]> */
    @Experimental
    public Observable<Object[]> insertOrReplaceInTx(final T... tArr) {
        return (Observable<R>) wrap(new Callable<Object[]>() {
            /* class org.greenrobot.greendao.rx.RxDao.AnonymousClass9 */

            /* JADX DEBUG: Multi-variable search result rejected for r0v1, resolved type: org.greenrobot.greendao.AbstractDao */
            /* JADX WARN: Multi-variable type inference failed */
            @Override // java.util.concurrent.Callable
            public Object[] call() throws Exception {
                RxDao.this.dao.insertOrReplaceInTx(tArr);
                return tArr;
            }
        });
    }

    /* JADX DEBUG: Type inference failed for r2v1. Raw type applied. Possible types: rx.Observable<R>, rx.Observable<java.lang.Object[]> */
    @Experimental
    public Observable<Object[]> saveInTx(final T... tArr) {
        return (Observable<R>) wrap(new Callable<Object[]>() {
            /* class org.greenrobot.greendao.rx.RxDao.AnonymousClass12 */

            /* JADX DEBUG: Multi-variable search result rejected for r0v1, resolved type: org.greenrobot.greendao.AbstractDao */
            /* JADX WARN: Multi-variable type inference failed */
            @Override // java.util.concurrent.Callable
            public Object[] call() throws Exception {
                RxDao.this.dao.saveInTx(tArr);
                return tArr;
            }
        });
    }

    /* JADX DEBUG: Type inference failed for r2v1. Raw type applied. Possible types: rx.Observable<R>, rx.Observable<java.lang.Object[]> */
    @Experimental
    public Observable<Object[]> updateInTx(final T... tArr) {
        return (Observable<R>) wrap(new Callable<Object[]>() {
            /* class org.greenrobot.greendao.rx.RxDao.AnonymousClass15 */

            /* JADX DEBUG: Multi-variable search result rejected for r0v1, resolved type: org.greenrobot.greendao.AbstractDao */
            /* JADX WARN: Multi-variable type inference failed */
            @Override // java.util.concurrent.Callable
            public Object[] call() throws Exception {
                RxDao.this.dao.updateInTx(tArr);
                return tArr;
            }
        });
    }
}
