package tv.danmaku.ijk.media.exo2.g;

import android.os.SystemClock;
import android.util.Log;
import android.view.Surface;
import androidx.annotation.Nullable;
import com.google.android.exoplayer2.C;
import com.google.android.exoplayer2.ExoPlaybackException;
import com.google.android.exoplayer2.Format;
import com.google.android.exoplayer2.Player;
import com.google.android.exoplayer2.c0;
import com.google.android.exoplayer2.drm.c;
import com.google.android.exoplayer2.metadata.Metadata;
import com.google.android.exoplayer2.metadata.d;
import com.google.android.exoplayer2.metadata.emsg.EventMessage;
import com.google.android.exoplayer2.metadata.id3.ApicFrame;
import com.google.android.exoplayer2.metadata.id3.CommentFrame;
import com.google.android.exoplayer2.metadata.id3.GeobFrame;
import com.google.android.exoplayer2.metadata.id3.Id3Frame;
import com.google.android.exoplayer2.metadata.id3.PrivFrame;
import com.google.android.exoplayer2.metadata.id3.TextInformationFrame;
import com.google.android.exoplayer2.metadata.id3.UrlLinkFrame;
import com.google.android.exoplayer2.source.TrackGroup;
import com.google.android.exoplayer2.source.TrackGroupArray;
import com.google.android.exoplayer2.source.s;
import com.google.android.exoplayer2.source.t;
import com.google.android.exoplayer2.trackselection.d;
import com.google.android.exoplayer2.trackselection.g;
import com.google.android.exoplayer2.u;
import com.google.android.exoplayer2.video.f;
import com.ibm.icu.text.DateFormat;
import java.io.IOException;
import java.text.NumberFormat;
import java.util.Locale;

/* compiled from: EventLogger */
public final class a implements Player.b, d, com.google.android.exoplayer2.audio.d, f, t, c {
    private static final NumberFormat I0;

    /* renamed from: a  reason: collision with root package name */
    private static final String f23023a = "EventLogger";

    /* renamed from: b  reason: collision with root package name */
    private static final int f23024b = 3;
    private final com.google.android.exoplayer2.trackselection.d J0;
    private final c0.c K0 = new c0.c();
    private final c0.b L0 = new c0.b();
    private final long M0 = SystemClock.elapsedRealtime();

    static {
        NumberFormat instance = NumberFormat.getInstance(Locale.US);
        I0 = instance;
        instance.setMinimumFractionDigits(2);
        instance.setMaximumFractionDigits(2);
        instance.setGroupingUsed(false);
    }

    public a(com.google.android.exoplayer2.trackselection.d dVar) {
        this.J0 = dVar;
    }

    private static String H(int i) {
        return i != 0 ? i != 1 ? i != 2 ? i != 4 ? "?" : "INTERNAL" : "SEEK_ADJUSTMENT" : "SEEK" : "PERIOD_TRANSITION";
    }

    private static String I(int i) {
        return i != 0 ? i != 1 ? i != 2 ? i != 3 ? i != 4 ? "?" : "YES" : "NO_EXCEEDS_CAPABILITIES" : "NO_UNSUPPORTED_DRM" : "NO_UNSUPPORTED_TYPE" : "NO";
    }

    private static String J(int i) {
        return i != 0 ? i != 1 ? i != 2 ? "?" : "ALL" : "ONE" : "OFF";
    }

    private String K() {
        return M(SystemClock.elapsedRealtime() - this.M0);
    }

    private static String L(int i) {
        return i != 1 ? i != 2 ? i != 3 ? i != 4 ? "?" : "E" : DateFormat.JP_ERA_2019_NARROW : "B" : "I";
    }

    private static String M(long j) {
        return j == C.f7870b ? "?" : I0.format((double) (((float) j) / 1000.0f));
    }

    private static String O(com.google.android.exoplayer2.trackselection.f fVar, TrackGroup trackGroup, int i) {
        return P((fVar == null || fVar.a() != trackGroup || fVar.p(i) == -1) ? false : true);
    }

    private static String P(boolean z) {
        return z ? "[X]" : "[ ]";
    }

    private void Q(String str, Exception exc) {
        Log.e(f23023a, "internalError [" + K() + ", " + str + "]", exc);
    }

    private void R(Metadata metadata, String str) {
        for (int i = 0; i < metadata.b(); i++) {
            Metadata.Entry a2 = metadata.a(i);
            if (a2 instanceof TextInformationFrame) {
                TextInformationFrame textInformationFrame = (TextInformationFrame) a2;
                Log.d(f23023a, str + String.format("%s: value=%s", textInformationFrame.f8572a, textInformationFrame.I0));
            } else if (a2 instanceof UrlLinkFrame) {
                UrlLinkFrame urlLinkFrame = (UrlLinkFrame) a2;
                Log.d(f23023a, str + String.format("%s: url=%s", urlLinkFrame.f8572a, urlLinkFrame.I0));
            } else if (a2 instanceof PrivFrame) {
                PrivFrame privFrame = (PrivFrame) a2;
                Log.d(f23023a, str + String.format("%s: owner=%s", privFrame.f8572a, privFrame.I0));
            } else if (a2 instanceof GeobFrame) {
                GeobFrame geobFrame = (GeobFrame) a2;
                Log.d(f23023a, str + String.format("%s: mimeType=%s, filename=%s, description=%s", geobFrame.f8572a, geobFrame.I0, geobFrame.J0, geobFrame.K0));
            } else if (a2 instanceof ApicFrame) {
                ApicFrame apicFrame = (ApicFrame) a2;
                Log.d(f23023a, str + String.format("%s: mimeType=%s, description=%s", apicFrame.f8572a, apicFrame.I0, apicFrame.J0));
            } else if (a2 instanceof CommentFrame) {
                CommentFrame commentFrame = (CommentFrame) a2;
                Log.d(f23023a, str + String.format("%s: language=%s, description=%s", commentFrame.f8572a, commentFrame.I0, commentFrame.J0));
            } else if (a2 instanceof Id3Frame) {
                Log.d(f23023a, str + String.format("%s", ((Id3Frame) a2).f8572a));
            } else if (a2 instanceof EventMessage) {
                EventMessage eventMessage = (EventMessage) a2;
                Log.d(f23023a, str + String.format("EMSG: scheme=%s, id=%d, value=%s", eventMessage.f8562a, Long.valueOf(eventMessage.K0), eventMessage.f8563b));
            }
        }
    }

    private static String o(int i, int i2) {
        return i < 2 ? "N/A" : i2 != 0 ? i2 != 8 ? i2 != 16 ? "?" : "YES" : "YES_NOT_SEAMLESS" : "NO";
    }

    @Override // com.google.android.exoplayer2.source.t
    public void A(int i, s.a aVar) {
    }

    @Override // com.google.android.exoplayer2.audio.d
    public void B(Format format) {
        Log.d(f23023a, "audioFormatChanged [" + K() + ", " + Format.E(format) + "]");
    }

    @Override // com.google.android.exoplayer2.source.t
    public void C(int i, s.a aVar) {
    }

    @Override // com.google.android.exoplayer2.audio.d
    public void D(int i, long j, long j2) {
        Q("audioTrackUnderrun [" + i + ", " + j + ", " + j2 + "]", null);
    }

    @Override // com.google.android.exoplayer2.drm.c
    public void E() {
        Log.d(f23023a, "drmKeysRemoved [" + K() + "]");
    }

    @Override // com.google.android.exoplayer2.video.f
    public void F(com.google.android.exoplayer2.decoder.d dVar) {
        Log.d(f23023a, "videoDisabled [" + K() + "]");
    }

    @Override // com.google.android.exoplayer2.source.t
    public void G(int i, @Nullable s.a aVar, t.c cVar) {
    }

    @Override // com.google.android.exoplayer2.Player.b
    public void N(boolean z) {
        Log.d(f23023a, "shuffleModeEnabled [" + z + "]");
    }

    @Override // com.google.android.exoplayer2.audio.d
    public void a(int i) {
        Log.d(f23023a, "audioSessionId [" + i + "]");
    }

    @Override // com.google.android.exoplayer2.Player.b
    public void a0(boolean z, int i) {
        Log.d(f23023a, "state [" + K() + ", " + z + ", " + L(i) + "]");
    }

    @Override // com.google.android.exoplayer2.video.f
    public void b(int i, int i2, int i3, float f) {
        Log.d(f23023a, "videoSizeChanged [" + i + ", " + i2 + "]");
    }

    @Override // com.google.android.exoplayer2.audio.d
    public void c(com.google.android.exoplayer2.decoder.d dVar) {
        Log.d(f23023a, "audioDisabled [" + K() + "]");
    }

    @Override // com.google.android.exoplayer2.audio.d
    public void d(com.google.android.exoplayer2.decoder.d dVar) {
        Log.d(f23023a, "audioEnabled [" + K() + "]");
    }

    @Override // com.google.android.exoplayer2.Player.b
    public void d0(c0 c0Var, Object obj, int i) {
        int h = c0Var.h();
        int o = c0Var.o();
        Log.d(f23023a, "sourceInfo [periodCount=" + h + ", windowCount=" + o);
        for (int i2 = 0; i2 < Math.min(h, 3); i2++) {
            c0Var.f(i2, this.L0);
            Log.d(f23023a, "  period [" + M(this.L0.h()) + "]");
        }
        if (h > 3) {
            Log.d(f23023a, "  ...");
        }
        for (int i3 = 0; i3 < Math.min(o, 3); i3++) {
            c0Var.l(i3, this.K0);
            Log.d(f23023a, "  window [" + M(this.K0.c()) + ", " + this.K0.f8011d + ", " + this.K0.f8012e + "]");
        }
        if (o > 3) {
            Log.d(f23023a, "  ...");
        }
        Log.d(f23023a, "]");
    }

    @Override // com.google.android.exoplayer2.Player.b
    public void e(u uVar) {
        Log.d(f23023a, "playbackParameters " + String.format("[speed=%.2f, pitch=%.2f]", Float.valueOf(uVar.f9329b), Float.valueOf(uVar.f9330c)));
    }

    @Override // com.google.android.exoplayer2.video.f
    public void f(String str, long j, long j2) {
        Log.d(f23023a, "videoDecoderInitialized [" + K() + ", " + str + "]");
    }

    @Override // com.google.android.exoplayer2.source.t
    public void g(int i, @Nullable s.a aVar, t.b bVar, t.c cVar) {
    }

    @Override // com.google.android.exoplayer2.Player.b
    public void h(boolean z) {
        Log.d(f23023a, "loading [" + z + "]");
    }

    @Override // com.google.android.exoplayer2.Player.b
    public void i(int i) {
        Log.d(f23023a, "positionDiscontinuity [" + H(i) + "]");
    }

    @Override // com.google.android.exoplayer2.drm.c
    public void j() {
        Log.d(f23023a, "drmKeysRestored [" + K() + "]");
    }

    @Override // com.google.android.exoplayer2.source.t
    public void k(int i, s.a aVar) {
    }

    @Override // com.google.android.exoplayer2.source.t
    public void l(int i, @Nullable s.a aVar, t.b bVar, t.c cVar) {
    }

    @Override // com.google.android.exoplayer2.drm.c
    public void m(Exception exc) {
        Q("drmSessionManagerError", exc);
    }

    @Override // com.google.android.exoplayer2.video.f
    public void n(Surface surface) {
        Log.d(f23023a, "renderedFirstFrame [" + surface + "]");
    }

    @Override // com.google.android.exoplayer2.Player.b
    public void o0(TrackGroupArray trackGroupArray, g gVar) {
        String str;
        String str2;
        a aVar;
        a aVar2 = this;
        d.a f = aVar2.J0.f();
        if (f == null) {
            Log.d(f23023a, "Tracks []");
            return;
        }
        Log.d(f23023a, "Tracks [");
        int i = 0;
        while (true) {
            str = "  ]";
            str2 = " [";
            if (i >= f.f9318e) {
                break;
            }
            TrackGroupArray g = f.g(i);
            com.google.android.exoplayer2.trackselection.f a2 = gVar.a(i);
            if (g.f8718b > 0) {
                Log.d(f23023a, "  Renderer:" + i + str2);
                int i2 = 0;
                while (i2 < g.f8718b) {
                    TrackGroup a3 = g.a(i2);
                    String o = o(a3.f8715a, f.a(i, i2, false));
                    Log.d(f23023a, "    Group:" + i2 + ", adaptive_supported=" + o + str2);
                    int i3 = 0;
                    while (i3 < a3.f8715a) {
                        String O = O(a2, a3, i3);
                        String I = I(f.f(i, i2, i3));
                        Log.d(f23023a, "      " + O + " Track:" + i3 + ", " + Format.E(a3.a(i3)) + ", supported=" + I);
                        i3++;
                        str2 = str2;
                    }
                    Log.d(f23023a, "    ]");
                    i2++;
                    g = g;
                    str = str;
                }
                if (a2 != null) {
                    int i4 = 0;
                    while (true) {
                        if (i4 >= a2.length()) {
                            break;
                        }
                        Metadata metadata = a2.d(i4).L0;
                        if (metadata != null) {
                            Log.d(f23023a, "    Metadata [");
                            aVar = this;
                            aVar.R(metadata, "      ");
                            Log.d(f23023a, "    ]");
                            break;
                        }
                        i4++;
                    }
                    Log.d(f23023a, str);
                }
                aVar = this;
                Log.d(f23023a, str);
            } else {
                aVar = aVar2;
            }
            i++;
            aVar2 = aVar;
        }
        String str3 = str2;
        TrackGroupArray k = f.k();
        if (k.f8718b > 0) {
            Log.d(f23023a, "  Renderer:None [");
            int i5 = 0;
            while (i5 < k.f8718b) {
                Log.d(f23023a, "    Group:" + i5 + str3);
                TrackGroup a4 = k.a(i5);
                int i6 = 0;
                while (i6 < a4.f8715a) {
                    String P = P(false);
                    String I2 = I(0);
                    Log.d(f23023a, "      " + P + " Track:" + i6 + ", " + Format.E(a4.a(i6)) + ", supported=" + I2);
                    i6++;
                    k = k;
                }
                Log.d(f23023a, "    ]");
                i5++;
                str3 = str3;
            }
            Log.d(f23023a, str);
        }
        Log.d(f23023a, "]");
    }

    @Override // com.google.android.exoplayer2.Player.b
    public void onRepeatModeChanged(int i) {
        Log.d(f23023a, "repeatMode [" + J(i) + "]");
    }

    @Override // com.google.android.exoplayer2.audio.d
    public void p(String str, long j, long j2) {
        Log.d(f23023a, "audioDecoderInitialized [" + K() + ", " + str + "]");
    }

    @Override // com.google.android.exoplayer2.metadata.d
    public void q(Metadata metadata) {
        Log.d(f23023a, "onMetadata [");
        R(metadata, "  ");
        Log.d(f23023a, "]");
    }

    @Override // com.google.android.exoplayer2.drm.c
    public void r() {
        Log.d(f23023a, "drmKeysLoaded [" + K() + "]");
    }

    @Override // com.google.android.exoplayer2.video.f
    public void s(int i, long j) {
        Log.d(f23023a, "droppedFrames [" + K() + ", " + i + "]");
    }

    @Override // com.google.android.exoplayer2.Player.b
    public void t(ExoPlaybackException exoPlaybackException) {
        Log.e(f23023a, "playerFailed [" + K() + "]", exoPlaybackException);
    }

    @Override // com.google.android.exoplayer2.source.t
    public void u(int i, s.a aVar, t.c cVar) {
    }

    @Override // com.google.android.exoplayer2.Player.b
    public void v() {
        Log.d(f23023a, "seekProcessed");
    }

    @Override // com.google.android.exoplayer2.source.t
    public void w(int i, @Nullable s.a aVar, t.b bVar, t.c cVar) {
    }

    @Override // com.google.android.exoplayer2.source.t
    public void x(int i, @Nullable s.a aVar, t.b bVar, t.c cVar, IOException iOException, boolean z) {
        Q("loadError", iOException);
    }

    @Override // com.google.android.exoplayer2.video.f
    public void y(Format format) {
        Log.d(f23023a, "videoFormatChanged [" + K() + ", " + Format.E(format) + "]");
    }

    @Override // com.google.android.exoplayer2.video.f
    public void z(com.google.android.exoplayer2.decoder.d dVar) {
        Log.d(f23023a, "videoEnabled [" + K() + "]");
    }
}
