package tv.danmaku.ijk.media.player;

import android.annotation.TargetApi;
import android.content.Context;
import android.media.MediaDataSource;
import android.media.MediaPlayer;
import android.media.TimedText;
import android.net.Uri;
import android.text.TextUtils;
import android.view.Surface;
import android.view.SurfaceHolder;
import java.io.FileDescriptor;
import java.io.IOException;
import java.lang.ref.WeakReference;
import java.util.Map;
import tv.danmaku.ijk.media.player.misc.IMediaDataSource;
import tv.danmaku.ijk.media.player.misc.d;

/* compiled from: AndroidMediaPlayer */
public class b extends a {
    private static k O0;
    private final MediaPlayer P0;
    private final a Q0;
    private String R0;
    private MediaDataSource S0;
    private final Object T0;
    private boolean U0;

    /* access modifiers changed from: private */
    /* compiled from: AndroidMediaPlayer */
    public class a implements MediaPlayer.OnPreparedListener, MediaPlayer.OnCompletionListener, MediaPlayer.OnBufferingUpdateListener, MediaPlayer.OnSeekCompleteListener, MediaPlayer.OnVideoSizeChangedListener, MediaPlayer.OnErrorListener, MediaPlayer.OnInfoListener, MediaPlayer.OnTimedTextListener {

        /* renamed from: a  reason: collision with root package name */
        public final WeakReference<b> f23034a;

        public a(b bVar) {
            this.f23034a = new WeakReference<>(bVar);
        }

        public void onBufferingUpdate(MediaPlayer mediaPlayer, int i) {
            if (this.f23034a.get() != null) {
                b.this.y0(i);
            }
        }

        public void onCompletion(MediaPlayer mediaPlayer) {
            if (this.f23034a.get() != null) {
                b.this.z0();
            }
        }

        public boolean onError(MediaPlayer mediaPlayer, int i, int i2) {
            return this.f23034a.get() != null && b.this.A0(i, i2);
        }

        public boolean onInfo(MediaPlayer mediaPlayer, int i, int i2) {
            return this.f23034a.get() != null && b.this.B0(i, i2);
        }

        public void onPrepared(MediaPlayer mediaPlayer) {
            if (this.f23034a.get() != null) {
                b.this.C0();
            }
        }

        public void onSeekComplete(MediaPlayer mediaPlayer) {
            if (this.f23034a.get() != null) {
                b.this.D0();
            }
        }

        public void onTimedText(MediaPlayer mediaPlayer, TimedText timedText) {
            if (this.f23034a.get() != null) {
                j jVar = null;
                if (timedText != null) {
                    jVar = new j(timedText.getBounds(), timedText.getText());
                }
                b.this.E0(jVar);
            }
        }

        public void onVideoSizeChanged(MediaPlayer mediaPlayer, int i, int i2) {
            if (this.f23034a.get() != null) {
                b.this.F0(i, i2, 1, 1);
            }
        }
    }

    @TargetApi(23)
    /* renamed from: tv.danmaku.ijk.media.player.b$b  reason: collision with other inner class name */
    /* compiled from: AndroidMediaPlayer */
    private static class C0470b extends MediaDataSource {

        /* renamed from: a  reason: collision with root package name */
        private final IMediaDataSource f23036a;

        public C0470b(IMediaDataSource iMediaDataSource) {
            this.f23036a = iMediaDataSource;
        }

        @Override // java.io.Closeable, java.lang.AutoCloseable
        public void close() throws IOException {
            this.f23036a.close();
        }

        @Override // android.media.MediaDataSource
        public long getSize() throws IOException {
            return this.f23036a.a();
        }

        @Override // android.media.MediaDataSource
        public int readAt(long j, byte[] bArr, int i, int i2) throws IOException {
            return this.f23036a.b(j, bArr, i, i2);
        }
    }

    public b() {
        MediaPlayer mediaPlayer;
        Object obj = new Object();
        this.T0 = obj;
        synchronized (obj) {
            mediaPlayer = new MediaPlayer();
            this.P0 = mediaPlayer;
        }
        mediaPlayer.setAudioStreamType(3);
        this.Q0 = new a(this);
        H0();
    }

    private void H0() {
        this.P0.setOnPreparedListener(this.Q0);
        this.P0.setOnBufferingUpdateListener(this.Q0);
        this.P0.setOnCompletionListener(this.Q0);
        this.P0.setOnSeekCompleteListener(this.Q0);
        this.P0.setOnVideoSizeChangedListener(this.Q0);
        this.P0.setOnErrorListener(this.Q0);
        this.P0.setOnInfoListener(this.Q0);
        this.P0.setOnTimedTextListener(this.Q0);
    }

    private void J0() {
        MediaDataSource mediaDataSource = this.S0;
        if (mediaDataSource != null) {
            try {
                mediaDataSource.close();
            } catch (IOException e2) {
                e2.printStackTrace();
            }
            this.S0 = null;
        }
    }

    @Override // tv.danmaku.ijk.media.player.a, tv.danmaku.ijk.media.player.d
    @TargetApi(23)
    public void B(IMediaDataSource iMediaDataSource) {
        J0();
        C0470b bVar = new C0470b(iMediaDataSource);
        this.S0 = bVar;
        this.P0.setDataSource(bVar);
    }

    @Override // tv.danmaku.ijk.media.player.d
    public d[] H() {
        return tv.danmaku.ijk.media.player.misc.b.c(this.P0);
    }

    public MediaPlayer I0() {
        return this.P0;
    }

    @Override // tv.danmaku.ijk.media.player.d
    public void M(int i) {
        this.P0.setAudioStreamType(i);
    }

    @Override // tv.danmaku.ijk.media.player.d
    public boolean P() {
        return this.P0.isLooping();
    }

    @Override // tv.danmaku.ijk.media.player.d
    @TargetApi(14)
    public void S(Surface surface) {
        this.P0.setSurface(surface);
    }

    @Override // tv.danmaku.ijk.media.player.d
    public void U(FileDescriptor fileDescriptor) throws IOException, IllegalArgumentException, IllegalStateException {
        this.P0.setDataSource(fileDescriptor);
    }

    @Override // tv.danmaku.ijk.media.player.d
    public void V(boolean z) {
    }

    @Override // tv.danmaku.ijk.media.player.d
    public void X(SurfaceHolder surfaceHolder) {
        synchronized (this.T0) {
            if (!this.U0) {
                this.P0.setDisplay(surfaceHolder);
            }
        }
    }

    @Override // tv.danmaku.ijk.media.player.d
    public void Y(boolean z) {
    }

    @Override // tv.danmaku.ijk.media.player.d
    public void a() {
        try {
            this.P0.reset();
        } catch (IllegalStateException e2) {
            tv.danmaku.ijk.media.player.n.a.k(e2);
        }
        J0();
        G0();
        H0();
    }

    @Override // tv.danmaku.ijk.media.player.d
    public int b() {
        return this.P0.getVideoWidth();
    }

    @Override // tv.danmaku.ijk.media.player.d
    public int c() {
        return this.P0.getVideoHeight();
    }

    @Override // tv.danmaku.ijk.media.player.d
    public String d() {
        return this.R0;
    }

    @Override // tv.danmaku.ijk.media.player.d
    public void g(boolean z) {
        this.P0.setLooping(z);
    }

    @Override // tv.danmaku.ijk.media.player.d
    public int getAudioSessionId() {
        return this.P0.getAudioSessionId();
    }

    @Override // tv.danmaku.ijk.media.player.d
    public long getCurrentPosition() {
        try {
            return (long) this.P0.getCurrentPosition();
        } catch (IllegalStateException e2) {
            tv.danmaku.ijk.media.player.n.a.k(e2);
            return 0;
        }
    }

    @Override // tv.danmaku.ijk.media.player.d
    public long getDuration() {
        try {
            return (long) this.P0.getDuration();
        } catch (IllegalStateException e2) {
            tv.danmaku.ijk.media.player.n.a.k(e2);
            return 0;
        }
    }

    @Override // tv.danmaku.ijk.media.player.d
    public int getVideoSarDen() {
        return 1;
    }

    @Override // tv.danmaku.ijk.media.player.d
    public int getVideoSarNum() {
        return 1;
    }

    @Override // tv.danmaku.ijk.media.player.d
    public boolean isPlaying() {
        try {
            return this.P0.isPlaying();
        } catch (IllegalStateException e2) {
            tv.danmaku.ijk.media.player.n.a.k(e2);
            return false;
        }
    }

    @Override // tv.danmaku.ijk.media.player.d
    public void k0(String str) throws IOException, IllegalArgumentException, SecurityException, IllegalStateException {
        this.R0 = str;
        Uri parse = Uri.parse(str);
        String scheme = parse.getScheme();
        if (TextUtils.isEmpty(scheme) || !scheme.equalsIgnoreCase("file")) {
            this.P0.setDataSource(str);
        } else {
            this.P0.setDataSource(parse.getPath());
        }
    }

    @Override // tv.danmaku.ijk.media.player.d
    public void l0() throws IllegalStateException {
        this.P0.prepareAsync();
    }

    @Override // tv.danmaku.ijk.media.player.d
    public void m0(boolean z) {
        this.P0.setScreenOnWhilePlaying(z);
    }

    @Override // tv.danmaku.ijk.media.player.d
    public void n0(Context context, int i) {
        this.P0.setWakeMode(context, i);
    }

    @Override // tv.danmaku.ijk.media.player.d
    public void pause() throws IllegalStateException {
        this.P0.pause();
    }

    @Override // tv.danmaku.ijk.media.player.d
    public k q() {
        if (O0 == null) {
            k kVar = new k();
            kVar.f23060b = "android";
            kVar.f23061c = "HW";
            kVar.f23062d = "android";
            kVar.f23063e = "HW";
            O0 = kVar;
        }
        return O0;
    }

    @Override // tv.danmaku.ijk.media.player.d
    public void r0(Context context, Uri uri) throws IOException, IllegalArgumentException, SecurityException, IllegalStateException {
        this.P0.setDataSource(context, uri);
    }

    @Override // tv.danmaku.ijk.media.player.d
    public void release() {
        this.U0 = true;
        this.P0.release();
        J0();
        G0();
        H0();
    }

    @Override // tv.danmaku.ijk.media.player.d
    public boolean s() {
        return true;
    }

    @Override // tv.danmaku.ijk.media.player.d
    @TargetApi(14)
    public void s0(Context context, Uri uri, Map<String, String> map) throws IOException, IllegalArgumentException, SecurityException, IllegalStateException {
        this.P0.setDataSource(context, uri, map);
    }

    @Override // tv.danmaku.ijk.media.player.d
    public void seekTo(long j) throws IllegalStateException {
        this.P0.seekTo((int) j);
    }

    @Override // tv.danmaku.ijk.media.player.d
    public void setVolume(float f, float f2) {
        this.P0.setVolume(f, f2);
    }

    @Override // tv.danmaku.ijk.media.player.d
    public void start() throws IllegalStateException {
        this.P0.start();
    }

    @Override // tv.danmaku.ijk.media.player.d
    public void stop() throws IllegalStateException {
        this.P0.stop();
    }
}
