package tv.danmaku.ijk.media.player;

import android.annotation.TargetApi;
import android.media.MediaCodecInfo;
import android.os.Build;
import android.text.TextUtils;
import android.util.Log;
import androidx.room.r1;
import com.niming.weipa.model.PayType;
import java.util.Locale;
import java.util.Map;
import java.util.TreeMap;

/* compiled from: IjkMediaCodecInfo */
public class h {

    /* renamed from: a  reason: collision with root package name */
    private static final String f23042a = "IjkMediaCodecInfo";

    /* renamed from: b  reason: collision with root package name */
    public static final int f23043b = 1000;

    /* renamed from: c  reason: collision with root package name */
    public static final int f23044c = 800;

    /* renamed from: d  reason: collision with root package name */
    public static final int f23045d = 700;

    /* renamed from: e  reason: collision with root package name */
    public static final int f23046e = 600;
    public static final int f = 300;
    public static final int g = 200;
    public static final int h = 100;
    public static final int i = 0;
    private static Map<String, Integer> j;
    public MediaCodecInfo k;
    public int l = 0;
    public String m;

    private static synchronized Map<String, Integer> b() {
        synchronized (h.class) {
            Map<String, Integer> map = j;
            if (map != null) {
                return map;
            }
            TreeMap treeMap = new TreeMap(String.CASE_INSENSITIVE_ORDER);
            j = treeMap;
            treeMap.put("OMX.Nvidia.h264.decode", 800);
            j.put("OMX.Nvidia.h264.decode.secure", 300);
            j.put("OMX.Intel.hw_vd.h264", Integer.valueOf((int) d.i0));
            j.put("OMX.Intel.VideoDecoder.AVC", 800);
            j.put("OMX.qcom.video.decoder.avc", 800);
            j.put("OMX.ittiam.video.decoder.avc", 0);
            j.put("OMX.SEC.avc.dec", 800);
            j.put("OMX.SEC.AVC.Decoder", 799);
            j.put("OMX.SEC.avcdec", 798);
            j.put("OMX.SEC.avc.sw.dec", 200);
            j.put("OMX.Exynos.avc.dec", 800);
            j.put("OMX.Exynos.AVC.Decoder", 799);
            j.put("OMX.k3.video.decoder.avc", 800);
            j.put("OMX.IMG.MSVDX.Decoder.AVC", 800);
            j.put("OMX.TI.DUCATI1.VIDEO.DECODER", 800);
            j.put("OMX.rk.video_decoder.avc", 800);
            j.put("OMX.amlogic.avc.decoder.awesome", 800);
            j.put("OMX.MARVELL.VIDEO.HW.CODA7542DECODER", 800);
            j.put("OMX.MARVELL.VIDEO.H264DECODER", 200);
            j.remove("OMX.Action.Video.Decoder");
            j.remove("OMX.allwinner.video.decoder.avc");
            j.remove("OMX.BRCM.vc4.decoder.avc");
            j.remove("OMX.brcm.video.h264.hw.decoder");
            j.remove("OMX.brcm.video.h264.decoder");
            j.remove("OMX.cosmo.video.decoder.avc");
            j.remove("OMX.duos.h264.decoder");
            j.remove("OMX.hantro.81x0.video.decoder");
            j.remove("OMX.hantro.G1.video.decoder");
            j.remove("OMX.hisi.video.decoder");
            j.remove("OMX.LG.decoder.video.avc");
            j.remove("OMX.MS.AVC.Decoder");
            j.remove("OMX.RENESAS.VIDEO.DECODER.H264");
            j.remove("OMX.RTK.video.decoder");
            j.remove("OMX.sprd.h264.decoder");
            j.remove("OMX.ST.VFM.H264Dec");
            j.remove("OMX.vpu.video_decoder.avc");
            j.remove("OMX.WMT.decoder.avc");
            j.remove("OMX.bluestacks.hw.decoder");
            j.put("OMX.google.h264.decoder", 200);
            j.put("OMX.google.h264.lc.decoder", 200);
            j.put("OMX.k3.ffmpeg.decoder", 200);
            j.put("OMX.ffmpeg.video.decoder", 200);
            j.put("OMX.sprd.soft.h264.decoder", 200);
            return j;
        }
    }

    public static String c(int i2) {
        if (i2 == 1) {
            return "1";
        }
        if (i2 == 2) {
            return "1b";
        }
        switch (i2) {
            case 4:
                return "11";
            case 8:
                return "12";
            case 16:
                return "13";
            case 32:
                return "2";
            case 64:
                return "21";
            case 128:
                return "22";
            case 256:
                return "3";
            case 512:
                return "31";
            case 1024:
                return "32";
            case 2048:
                return PayType.TYPE_YUER;
            case 4096:
                return "41";
            case 8192:
                return r1.f4014e;
            case 16384:
                return PayType.TYPE_DAICONG;
            case 32768:
                return "51";
            case 65536:
                return "52";
            default:
                return "0";
        }
    }

    public static String d(int i2, int i3) {
        return String.format(Locale.US, " %s Profile Level %s (%d,%d)", e(i2), c(i3), Integer.valueOf(i2), Integer.valueOf(i3));
    }

    public static String e(int i2) {
        return i2 != 1 ? i2 != 2 ? i2 != 4 ? i2 != 8 ? i2 != 16 ? i2 != 32 ? i2 != 64 ? "Unknown" : "High444" : "High422" : "High10" : "High" : "Extends" : "Main" : "Baseline";
    }

    @TargetApi(16)
    public static h f(MediaCodecInfo mediaCodecInfo, String str) {
        int i2;
        if (mediaCodecInfo == null || (i2 = Build.VERSION.SDK_INT) < 16) {
            return null;
        }
        String name = mediaCodecInfo.getName();
        if (TextUtils.isEmpty(name)) {
            return null;
        }
        String lowerCase = name.toLowerCase(Locale.US);
        int i3 = 600;
        if (!lowerCase.startsWith("omx.")) {
            i3 = 100;
        } else if (!lowerCase.startsWith("omx.pv") && !lowerCase.startsWith("omx.google.") && !lowerCase.startsWith("omx.ffmpeg.") && !lowerCase.startsWith("omx.k3.ffmpeg.") && !lowerCase.startsWith("omx.avcodec.")) {
            if (!lowerCase.startsWith("omx.ittiam.")) {
                if (!lowerCase.startsWith("omx.mtk.")) {
                    Integer num = b().get(lowerCase);
                    if (num != null) {
                        i3 = num.intValue();
                    } else {
                        try {
                            if (mediaCodecInfo.getCapabilitiesForType(str) != null) {
                                i3 = 700;
                            }
                        } catch (Throwable unused) {
                        }
                    }
                } else if (i2 >= 18) {
                    i3 = 800;
                }
            }
            i3 = 0;
        } else {
            i3 = 200;
        }
        h hVar = new h();
        hVar.k = mediaCodecInfo;
        hVar.l = i3;
        hVar.m = str;
        return hVar;
    }

    @TargetApi(16)
    public void a(String str) {
        int i2;
        int i3;
        MediaCodecInfo.CodecProfileLevel[] codecProfileLevelArr;
        if (Build.VERSION.SDK_INT >= 16) {
            try {
                MediaCodecInfo.CodecCapabilities capabilitiesForType = this.k.getCapabilitiesForType(str);
                if (capabilitiesForType == null || (codecProfileLevelArr = capabilitiesForType.profileLevels) == null) {
                    i3 = 0;
                    i2 = 0;
                } else {
                    i3 = 0;
                    i2 = 0;
                    for (MediaCodecInfo.CodecProfileLevel codecProfileLevel : codecProfileLevelArr) {
                        if (codecProfileLevel != null) {
                            i3 = Math.max(i3, codecProfileLevel.profile);
                            i2 = Math.max(i2, codecProfileLevel.level);
                        }
                    }
                }
                Log.i(f23042a, String.format(Locale.US, "%s", d(i3, i2)));
            } catch (Throwable unused) {
                Log.i(f23042a, "profile-level: exception");
            }
        }
    }
}
