package tv.danmaku.ijk.media.player.misc;

import android.annotation.TargetApi;
import android.text.TextUtils;
import java.util.HashMap;
import java.util.Locale;
import java.util.Map;
import tv.danmaku.ijk.media.player.i;

/* compiled from: IjkMediaFormat */
public class e implements c {

    /* renamed from: d  reason: collision with root package name */
    public static final String f23091d = "ijk-codec-long-name-ui";

    /* renamed from: e  reason: collision with root package name */
    public static final String f23092e = "ijk-codec-name-ui";
    public static final String f = "ijk-bit-rate-ui";
    public static final String g = "ijk-profile-level-ui";
    public static final String h = "ijk-pixel-format-ui";
    public static final String i = "ijk-resolution-ui";
    public static final String j = "ijk-frame-rate-ui";
    public static final String k = "ijk-sample-rate-ui";
    public static final String l = "ijk-channel-ui";
    public static final String m = "h264";
    private static final Map<String, j> n = new HashMap();
    public final i.a o;

    /* compiled from: IjkMediaFormat */
    class a extends j {
        a() {
            super(null);
        }

        @Override // tv.danmaku.ijk.media.player.misc.e.j
        public String a(e eVar) {
            return e.this.o.l(tv.danmaku.ijk.media.player.i.q);
        }
    }

    /* compiled from: IjkMediaFormat */
    class b extends j {
        b() {
            super(null);
        }

        @Override // tv.danmaku.ijk.media.player.misc.e.j
        public String a(e eVar) {
            return e.this.o.l(tv.danmaku.ijk.media.player.i.n);
        }
    }

    /* compiled from: IjkMediaFormat */
    class c extends j {
        c() {
            super(null);
        }

        /* access modifiers changed from: protected */
        @Override // tv.danmaku.ijk.media.player.misc.e.j
        public String a(e eVar) {
            int b2 = eVar.b(tv.danmaku.ijk.media.player.i.f23050d);
            if (b2 <= 0) {
                return null;
            }
            if (b2 < 1000) {
                return String.format(Locale.US, "%d bit/s", Integer.valueOf(b2));
            }
            return String.format(Locale.US, "%d kb/s", Integer.valueOf(b2 / 1000));
        }
    }

    /* compiled from: IjkMediaFormat */
    class d extends j {
        d() {
            super(null);
        }

        /* access modifiers changed from: protected */
        @Override // tv.danmaku.ijk.media.player.misc.e.j
        public String a(e eVar) {
            String str;
            switch (eVar.b(tv.danmaku.ijk.media.player.i.s)) {
                case 44:
                    str = "CAVLC 4:4:4";
                    break;
                case 66:
                    str = "Baseline";
                    break;
                case 77:
                    str = "Main";
                    break;
                case 88:
                    str = "Extended";
                    break;
                case 100:
                    str = "High";
                    break;
                case 110:
                    str = "High 10";
                    break;
                case 122:
                    str = "High 4:2:2";
                    break;
                case 144:
                    str = "High 4:4:4";
                    break;
                case 244:
                    str = "High 4:4:4 Predictive";
                    break;
                case tv.danmaku.ijk.media.player.i.H0:
                    str = "Constrained Baseline";
                    break;
                case tv.danmaku.ijk.media.player.i.M0:
                    str = "High 10 Intra";
                    break;
                case tv.danmaku.ijk.media.player.i.O0:
                    str = "High 4:2:2 Intra";
                    break;
                case tv.danmaku.ijk.media.player.i.R0:
                    str = "High 4:4:4 Intra";
                    break;
                default:
                    return null;
            }
            StringBuilder sb = new StringBuilder();
            sb.append(str);
            String a2 = eVar.a(tv.danmaku.ijk.media.player.i.n);
            if (!TextUtils.isEmpty(a2) && a2.equalsIgnoreCase(e.m)) {
                int b2 = eVar.b(tv.danmaku.ijk.media.player.i.p);
                if (b2 < 10) {
                    return sb.toString();
                }
                sb.append(" Profile Level ");
                sb.append((b2 / 10) % 10);
                int i = b2 % 10;
                if (i != 0) {
                    sb.append(".");
                    sb.append(i);
                }
            }
            return sb.toString();
        }
    }

    /* renamed from: tv.danmaku.ijk.media.player.misc.e$e  reason: collision with other inner class name */
    /* compiled from: IjkMediaFormat */
    class C0472e extends j {
        C0472e() {
            super(null);
        }

        /* access modifiers changed from: protected */
        @Override // tv.danmaku.ijk.media.player.misc.e.j
        public String a(e eVar) {
            return eVar.a(tv.danmaku.ijk.media.player.i.r);
        }
    }

    /* compiled from: IjkMediaFormat */
    class f extends j {
        f() {
            super(null);
        }

        /* access modifiers changed from: protected */
        @Override // tv.danmaku.ijk.media.player.misc.e.j
        public String a(e eVar) {
            int b2 = eVar.b("width");
            int b3 = eVar.b("height");
            int b4 = eVar.b(tv.danmaku.ijk.media.player.i.z);
            int b5 = eVar.b(tv.danmaku.ijk.media.player.i.A);
            if (b2 <= 0 || b3 <= 0) {
                return null;
            }
            if (b4 <= 0 || b5 <= 0) {
                return String.format(Locale.US, "%d x %d", Integer.valueOf(b2), Integer.valueOf(b3));
            }
            return String.format(Locale.US, "%d x %d [SAR %d:%d]", Integer.valueOf(b2), Integer.valueOf(b3), Integer.valueOf(b4), Integer.valueOf(b5));
        }
    }

    /* compiled from: IjkMediaFormat */
    class g extends j {
        g() {
            super(null);
        }

        /* access modifiers changed from: protected */
        @Override // tv.danmaku.ijk.media.player.misc.e.j
        public String a(e eVar) {
            int b2 = eVar.b(tv.danmaku.ijk.media.player.i.v);
            int b3 = eVar.b(tv.danmaku.ijk.media.player.i.w);
            if (b2 <= 0 || b3 <= 0) {
                return null;
            }
            return String.valueOf(((float) b2) / ((float) b3));
        }
    }

    /* compiled from: IjkMediaFormat */
    class h extends j {
        h() {
            super(null);
        }

        /* access modifiers changed from: protected */
        @Override // tv.danmaku.ijk.media.player.misc.e.j
        public String a(e eVar) {
            int b2 = eVar.b(tv.danmaku.ijk.media.player.i.B);
            if (b2 <= 0) {
                return null;
            }
            return String.format(Locale.US, "%d Hz", Integer.valueOf(b2));
        }
    }

    /* compiled from: IjkMediaFormat */
    class i extends j {
        i() {
            super(null);
        }

        /* access modifiers changed from: protected */
        @Override // tv.danmaku.ijk.media.player.misc.e.j
        public String a(e eVar) {
            int b2 = eVar.b(tv.danmaku.ijk.media.player.i.C);
            if (b2 <= 0) {
                return null;
            }
            long j = (long) b2;
            if (j == 4) {
                return "mono";
            }
            if (j == 3) {
                return "stereo";
            }
            return String.format(Locale.US, "%x", Integer.valueOf(b2));
        }
    }

    /* access modifiers changed from: private */
    /* compiled from: IjkMediaFormat */
    public static abstract class j {
        private j() {
        }

        /* access modifiers changed from: protected */
        public abstract String a(e eVar);

        public String b(e eVar) {
            String a2 = a(eVar);
            return TextUtils.isEmpty(a2) ? c() : a2;
        }

        /* access modifiers changed from: protected */
        public String c() {
            return "N/A";
        }

        /* synthetic */ j(a aVar) {
            this();
        }
    }

    public e(i.a aVar) {
        Map<String, j> map = n;
        map.put(f23091d, new a());
        map.put(f23092e, new b());
        map.put(f, new c());
        map.put(g, new d());
        map.put(h, new C0472e());
        map.put(i, new f());
        map.put(j, new g());
        map.put(k, new h());
        map.put(l, new i());
        this.o = aVar;
    }

    @Override // tv.danmaku.ijk.media.player.misc.c
    public String a(String str) {
        if (this.o == null) {
            return null;
        }
        Map<String, j> map = n;
        if (map.containsKey(str)) {
            return map.get(str).b(this);
        }
        return this.o.l(str);
    }

    @Override // tv.danmaku.ijk.media.player.misc.c
    @TargetApi(16)
    public int b(String str) {
        i.a aVar = this.o;
        if (aVar == null) {
            return 0;
        }
        return aVar.f(str);
    }
}
